#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2691
#define LARGE_STATE_COUNT 466
#define SYMBOL_COUNT 268
#define ALIAS_COUNT 4
#define TOKEN_COUNT 136
#define EXTERNAL_TOKEN_COUNT 7
#define FIELD_COUNT 38
#define MAX_ALIAS_SEQUENCE_LENGTH 7
#define PRODUCTION_ID_COUNT 106

enum ts_symbol_identifiers {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_as = 6,
  anon_sym_LBRACE = 7,
  anon_sym_COMMA = 8,
  anon_sym_RBRACE = 9,
  anon_sym_import = 10,
  anon_sym_from = 11,
  anon_sym_with = 12,
  anon_sym_var = 13,
  anon_sym_let = 14,
  anon_sym_const = 15,
  anon_sym_else = 16,
  anon_sym_if = 17,
  anon_sym_switch = 18,
  anon_sym_for = 19,
  anon_sym_LPAREN = 20,
  anon_sym_RPAREN = 21,
  anon_sym_await = 22,
  anon_sym_in = 23,
  anon_sym_of = 24,
  anon_sym_while = 25,
  anon_sym_do = 26,
  anon_sym_try = 27,
  anon_sym_break = 28,
  anon_sym_continue = 29,
  anon_sym_debugger = 30,
  anon_sym_return = 31,
  anon_sym_throw = 32,
  anon_sym_SEMI = 33,
  anon_sym_COLON = 34,
  anon_sym_case = 35,
  anon_sym_catch = 36,
  anon_sym_finally = 37,
  anon_sym_yield = 38,
  anon_sym_EQ = 39,
  anon_sym_LBRACK = 40,
  anon_sym_RBRACK = 41,
  sym__glimmer_template_content = 42,
  anon_sym_LTtemplate_GT = 43,
  anon_sym_LT_SLASHtemplate_GT = 44,
  aux_sym_jsx_text_token1 = 45,
  aux_sym_jsx_text_token2 = 46,
  sym_html_character_reference = 47,
  anon_sym_LT = 48,
  anon_sym_GT = 49,
  sym_jsx_identifier = 50,
  anon_sym_DOT = 51,
  anon_sym_LT_SLASH = 52,
  anon_sym_SLASH_GT = 53,
  anon_sym_DQUOTE = 54,
  anon_sym_SQUOTE = 55,
  sym_unescaped_double_jsx_string_fragment = 56,
  sym_unescaped_single_jsx_string_fragment = 57,
  anon_sym_class = 58,
  anon_sym_extends = 59,
  anon_sym_async = 60,
  anon_sym_function = 61,
  anon_sym_EQ_GT = 62,
  sym_optional_chain = 63,
  anon_sym_new = 64,
  anon_sym_PLUS_EQ = 65,
  anon_sym_DASH_EQ = 66,
  anon_sym_STAR_EQ = 67,
  anon_sym_SLASH_EQ = 68,
  anon_sym_PERCENT_EQ = 69,
  anon_sym_CARET_EQ = 70,
  anon_sym_AMP_EQ = 71,
  anon_sym_PIPE_EQ = 72,
  anon_sym_GT_GT_EQ = 73,
  anon_sym_GT_GT_GT_EQ = 74,
  anon_sym_LT_LT_EQ = 75,
  anon_sym_STAR_STAR_EQ = 76,
  anon_sym_AMP_AMP_EQ = 77,
  anon_sym_PIPE_PIPE_EQ = 78,
  anon_sym_QMARK_QMARK_EQ = 79,
  anon_sym_DOT_DOT_DOT = 80,
  anon_sym_AMP_AMP = 81,
  anon_sym_PIPE_PIPE = 82,
  anon_sym_GT_GT = 83,
  anon_sym_GT_GT_GT = 84,
  anon_sym_LT_LT = 85,
  anon_sym_AMP = 86,
  anon_sym_CARET = 87,
  anon_sym_PIPE = 88,
  anon_sym_PLUS = 89,
  anon_sym_DASH = 90,
  anon_sym_SLASH = 91,
  anon_sym_PERCENT = 92,
  anon_sym_STAR_STAR = 93,
  anon_sym_LT_EQ = 94,
  anon_sym_EQ_EQ = 95,
  anon_sym_EQ_EQ_EQ = 96,
  anon_sym_BANG_EQ = 97,
  anon_sym_BANG_EQ_EQ = 98,
  anon_sym_GT_EQ = 99,
  anon_sym_QMARK_QMARK = 100,
  anon_sym_instanceof = 101,
  anon_sym_BANG = 102,
  anon_sym_TILDE = 103,
  anon_sym_typeof = 104,
  anon_sym_void = 105,
  anon_sym_delete = 106,
  anon_sym_PLUS_PLUS = 107,
  anon_sym_DASH_DASH = 108,
  sym_unescaped_double_string_fragment = 109,
  sym_unescaped_single_string_fragment = 110,
  sym_escape_sequence = 111,
  aux_sym_comment_token1 = 112,
  anon_sym_BQUOTE = 113,
  anon_sym_DOLLAR_LBRACE = 114,
  anon_sym_SLASH2 = 115,
  sym_regex_pattern = 116,
  sym_regex_flags = 117,
  sym_number = 118,
  sym_private_property_identifier = 119,
  anon_sym_target = 120,
  sym_this = 121,
  sym_super = 122,
  sym_true = 123,
  sym_false = 124,
  sym_null = 125,
  sym_undefined = 126,
  anon_sym_AT = 127,
  anon_sym_static = 128,
  aux_sym_method_definition_token1 = 129,
  anon_sym_get = 130,
  anon_sym_set = 131,
  sym__automatic_semicolon = 132,
  sym__template_chars = 133,
  sym__ternary_qmark = 134,
  sym_html_comment = 135,
  sym_program = 136,
  sym_export_statement = 137,
  sym_namespace_export = 138,
  sym_export_clause = 139,
  sym_export_specifier = 140,
  sym__module_export_name = 141,
  sym_declaration = 142,
  sym_import = 143,
  sym_import_statement = 144,
  sym_import_clause = 145,
  sym__from_clause = 146,
  sym_namespace_import = 147,
  sym_named_imports = 148,
  sym_import_specifier = 149,
  sym_import_attribute = 150,
  sym_statement = 151,
  sym_expression_statement = 152,
  sym_variable_declaration = 153,
  sym_lexical_declaration = 154,
  sym_variable_declarator = 155,
  sym_statement_block = 156,
  sym_else_clause = 157,
  sym_if_statement = 158,
  sym_switch_statement = 159,
  sym_for_statement = 160,
  sym_for_in_statement = 161,
  sym__for_header = 162,
  sym_while_statement = 163,
  sym_do_statement = 164,
  sym_try_statement = 165,
  sym_with_statement = 166,
  sym_break_statement = 167,
  sym_continue_statement = 168,
  sym_debugger_statement = 169,
  sym_return_statement = 170,
  sym_throw_statement = 171,
  sym_empty_statement = 172,
  sym_labeled_statement = 173,
  sym_switch_body = 174,
  sym_switch_case = 175,
  sym_switch_default = 176,
  sym_catch_clause = 177,
  sym_finally_clause = 178,
  sym_parenthesized_expression = 179,
  sym_expression = 180,
  sym_primary_expression = 181,
  sym_yield_expression = 182,
  sym_object = 183,
  sym_object_pattern = 184,
  sym_assignment_pattern = 185,
  sym_object_assignment_pattern = 186,
  sym_array = 187,
  sym_array_pattern = 188,
  sym_glimmer_template = 189,
  sym_glimmer_opening_tag = 190,
  sym_glimmer_closing_tag = 191,
  sym_jsx_element = 192,
  sym_jsx_text = 193,
  sym_jsx_expression = 194,
  sym_jsx_opening_element = 195,
  sym_nested_identifier = 196,
  sym_jsx_namespace_name = 197,
  sym_jsx_closing_element = 198,
  sym_jsx_self_closing_element = 199,
  sym_jsx_attribute = 200,
  sym__jsx_string = 201,
  sym_class = 202,
  sym_class_declaration = 203,
  sym_class_heritage = 204,
  sym_function_expression = 205,
  sym_function_declaration = 206,
  sym_generator_function = 207,
  sym_generator_function_declaration = 208,
  sym_arrow_function = 209,
  sym_call_expression = 210,
  sym_new_expression = 211,
  sym_await_expression = 212,
  sym_member_expression = 213,
  sym_subscript_expression = 214,
  sym_assignment_expression = 215,
  sym__augmented_assignment_lhs = 216,
  sym_augmented_assignment_expression = 217,
  sym__initializer = 218,
  sym__destructuring_pattern = 219,
  sym_spread_element = 220,
  sym_ternary_expression = 221,
  sym_binary_expression = 222,
  sym_unary_expression = 223,
  sym_update_expression = 224,
  sym_sequence_expression = 225,
  sym_string = 226,
  sym_comment = 227,
  sym_template_string = 228,
  sym_template_substitution = 229,
  sym_regex = 230,
  sym_meta_property = 231,
  sym_arguments = 232,
  sym_decorator = 233,
  sym_decorator_member_expression = 234,
  sym_decorator_call_expression = 235,
  sym_class_body = 236,
  sym_field_definition = 237,
  sym_formal_parameters = 238,
  sym_class_static_block = 239,
  sym_pattern = 240,
  sym_rest_pattern = 241,
  sym_method_definition = 242,
  sym_pair = 243,
  sym_pair_pattern = 244,
  sym__property_name = 245,
  sym_computed_property_name = 246,
  aux_sym_program_repeat1 = 247,
  aux_sym_export_statement_repeat1 = 248,
  aux_sym_export_clause_repeat1 = 249,
  aux_sym_named_imports_repeat1 = 250,
  aux_sym_variable_declaration_repeat1 = 251,
  aux_sym_switch_body_repeat1 = 252,
  aux_sym_object_repeat1 = 253,
  aux_sym_object_pattern_repeat1 = 254,
  aux_sym_array_repeat1 = 255,
  aux_sym_array_pattern_repeat1 = 256,
  aux_sym_glimmer_template_repeat1 = 257,
  aux_sym_jsx_element_repeat1 = 258,
  aux_sym_jsx_opening_element_repeat1 = 259,
  aux_sym__jsx_string_repeat1 = 260,
  aux_sym__jsx_string_repeat2 = 261,
  aux_sym_sequence_expression_repeat1 = 262,
  aux_sym_string_repeat1 = 263,
  aux_sym_string_repeat2 = 264,
  aux_sym_template_string_repeat1 = 265,
  aux_sym_class_body_repeat1 = 266,
  aux_sym_formal_parameters_repeat1 = 267,
  alias_sym_property_identifier = 268,
  alias_sym_shorthand_property_identifier = 269,
  alias_sym_shorthand_property_identifier_pattern = 270,
  alias_sym_statement_identifier = 271,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_as] = "as",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_with] = "with",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_EQ] = "=",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym__glimmer_template_content] = "_glimmer_template_content",
  [anon_sym_LTtemplate_GT] = "<template>",
  [anon_sym_LT_SLASHtemplate_GT] = "</template>",
  [aux_sym_jsx_text_token1] = "jsx_text_token1",
  [aux_sym_jsx_text_token2] = "jsx_text_token2",
  [sym_html_character_reference] = "html_character_reference",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [sym_jsx_identifier] = "identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_LT_SLASH] = "</",
  [anon_sym_SLASH_GT] = "/>",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [sym_unescaped_double_jsx_string_fragment] = "string_fragment",
  [sym_unescaped_single_jsx_string_fragment] = "string_fragment",
  [anon_sym_class] = "class",
  [anon_sym_extends] = "extends",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [sym_optional_chain] = "optional_chain",
  [anon_sym_new] = "new",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_typeof] = "typeof",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [aux_sym_comment_token1] = "comment_token1",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [aux_sym_method_definition_token1] = "static get",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "string_fragment",
  [sym__ternary_qmark] = "\?",
  [sym_html_comment] = "html_comment",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_namespace_export] = "namespace_export",
  [sym_export_clause] = "export_clause",
  [sym_export_specifier] = "export_specifier",
  [sym__module_export_name] = "_module_export_name",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_import_specifier] = "import_specifier",
  [sym_import_attribute] = "import_attribute",
  [sym_statement] = "statement",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_glimmer_template] = "glimmer_template",
  [sym_glimmer_opening_tag] = "glimmer_opening_tag",
  [sym_glimmer_closing_tag] = "glimmer_closing_tag",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_text] = "jsx_text",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "member_expression",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym__jsx_string] = "string",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function_expression] = "function_expression",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_comment] = "comment",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_field_definition] = "field_definition",
  [sym_formal_parameters] = "formal_parameters",
  [sym_class_static_block] = "class_static_block",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_glimmer_template_repeat1] = "glimmer_template_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym_jsx_opening_element_repeat1] = "jsx_opening_element_repeat1",
  [aux_sym__jsx_string_repeat1] = "_jsx_string_repeat1",
  [aux_sym__jsx_string_repeat2] = "_jsx_string_repeat2",
  [aux_sym_sequence_expression_repeat1] = "sequence_expression_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym__glimmer_template_content] = sym__glimmer_template_content,
  [anon_sym_LTtemplate_GT] = anon_sym_LTtemplate_GT,
  [anon_sym_LT_SLASHtemplate_GT] = anon_sym_LT_SLASHtemplate_GT,
  [aux_sym_jsx_text_token1] = aux_sym_jsx_text_token1,
  [aux_sym_jsx_text_token2] = aux_sym_jsx_text_token2,
  [sym_html_character_reference] = sym_html_character_reference,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [sym_jsx_identifier] = sym_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_LT_SLASH] = anon_sym_LT_SLASH,
  [anon_sym_SLASH_GT] = anon_sym_SLASH_GT,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_unescaped_double_jsx_string_fragment] = sym__template_chars,
  [sym_unescaped_single_jsx_string_fragment] = sym__template_chars,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [sym_optional_chain] = sym_optional_chain,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [sym_unescaped_double_string_fragment] = sym__template_chars,
  [sym_unescaped_single_string_fragment] = sym__template_chars,
  [sym_escape_sequence] = sym_escape_sequence,
  [aux_sym_comment_token1] = aux_sym_comment_token1,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [aux_sym_method_definition_token1] = aux_sym_method_definition_token1,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__ternary_qmark] = sym__ternary_qmark,
  [sym_html_comment] = sym_html_comment,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_namespace_export] = sym_namespace_export,
  [sym_export_clause] = sym_export_clause,
  [sym_export_specifier] = sym_export_specifier,
  [sym__module_export_name] = sym__module_export_name,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_import_specifier] = sym_import_specifier,
  [sym_import_attribute] = sym_import_attribute,
  [sym_statement] = sym_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_glimmer_template] = sym_glimmer_template,
  [sym_glimmer_opening_tag] = sym_glimmer_opening_tag,
  [sym_glimmer_closing_tag] = sym_glimmer_closing_tag,
  [sym_jsx_element] = sym_jsx_element,
  [sym_jsx_text] = sym_jsx_text,
  [sym_jsx_expression] = sym_jsx_expression,
  [sym_jsx_opening_element] = sym_jsx_opening_element,
  [sym_nested_identifier] = sym_member_expression,
  [sym_jsx_namespace_name] = sym_jsx_namespace_name,
  [sym_jsx_closing_element] = sym_jsx_closing_element,
  [sym_jsx_self_closing_element] = sym_jsx_self_closing_element,
  [sym_jsx_attribute] = sym_jsx_attribute,
  [sym__jsx_string] = sym_string,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function_expression] = sym_function_expression,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_comment] = sym_comment,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_field_definition] = sym_field_definition,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_class_static_block] = sym_class_static_block,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_glimmer_template_repeat1] = aux_sym_glimmer_template_repeat1,
  [aux_sym_jsx_element_repeat1] = aux_sym_jsx_element_repeat1,
  [aux_sym_jsx_opening_element_repeat1] = aux_sym_jsx_opening_element_repeat1,
  [aux_sym__jsx_string_repeat1] = aux_sym__jsx_string_repeat1,
  [aux_sym__jsx_string_repeat2] = aux_sym__jsx_string_repeat2,
  [aux_sym_sequence_expression_repeat1] = aux_sym_sequence_expression_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym__glimmer_template_content] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LTtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASHtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_jsx_text_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_text_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_html_character_reference] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_optional_chain] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_method_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = true,
    .named = true,
  },
  [sym__ternary_qmark] = {
    .visible = true,
    .named = false,
  },
  [sym_html_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_export] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__module_export_name] = {
    .visible = false,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_import_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_template] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_opening_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__jsx_string] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_class_static_block] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_glimmer_template_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sequence_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_close_tag = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constructor = 10,
  field_content = 11,
  field_declaration = 12,
  field_decorator = 13,
  field_finalizer = 14,
  field_flags = 15,
  field_function = 16,
  field_handler = 17,
  field_increment = 18,
  field_index = 19,
  field_initializer = 20,
  field_key = 21,
  field_kind = 22,
  field_label = 23,
  field_left = 24,
  field_member = 25,
  field_name = 26,
  field_object = 27,
  field_open_tag = 28,
  field_operator = 29,
  field_optional_chain = 30,
  field_parameter = 31,
  field_parameters = 32,
  field_pattern = 33,
  field_property = 34,
  field_right = 35,
  field_source = 36,
  field_template = 37,
  field_value = 38,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constructor] = "constructor",
  [field_content] = "content",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_optional_chain] = "optional_chain",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_right] = "right",
  [field_source] = "source",
  [field_template] = "template",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 1},
  [7] = {.index = 4, .length = 1},
  [8] = {.index = 5, .length = 2},
  [9] = {.index = 7, .length = 2},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 1},
  [14] = {.index = 16, .length = 2},
  [15] = {.index = 18, .length = 2},
  [16] = {.index = 20, .length = 2},
  [20] = {.index = 22, .length = 1},
  [21] = {.index = 23, .length = 2},
  [22] = {.index = 25, .length = 2},
  [23] = {.index = 27, .length = 1},
  [24] = {.index = 28, .length = 2},
  [25] = {.index = 30, .length = 2},
  [26] = {.index = 32, .length = 6},
  [27] = {.index = 38, .length = 2},
  [28] = {.index = 40, .length = 2},
  [29] = {.index = 42, .length = 2},
  [30] = {.index = 44, .length = 1},
  [31] = {.index = 45, .length = 1},
  [32] = {.index = 46, .length = 1},
  [33] = {.index = 47, .length = 1},
  [34] = {.index = 48, .length = 1},
  [35] = {.index = 49, .length = 1},
  [36] = {.index = 50, .length = 2},
  [37] = {.index = 52, .length = 1},
  [38] = {.index = 53, .length = 2},
  [39] = {.index = 55, .length = 2},
  [40] = {.index = 57, .length = 1},
  [41] = {.index = 18, .length = 2},
  [42] = {.index = 20, .length = 2},
  [43] = {.index = 58, .length = 3},
  [44] = {.index = 61, .length = 2},
  [45] = {.index = 61, .length = 2},
  [46] = {.index = 63, .length = 3},
  [47] = {.index = 63, .length = 3},
  [48] = {.index = 66, .length = 3},
  [49] = {.index = 69, .length = 3},
  [50] = {.index = 72, .length = 2},
  [51] = {.index = 74, .length = 2},
  [52] = {.index = 76, .length = 2},
  [53] = {.index = 78, .length = 2},
  [54] = {.index = 80, .length = 1},
  [55] = {.index = 81, .length = 1},
  [56] = {.index = 18, .length = 2},
  [57] = {.index = 82, .length = 2},
  [58] = {.index = 84, .length = 3},
  [59] = {.index = 87, .length = 1},
  [60] = {.index = 88, .length = 3},
  [61] = {.index = 91, .length = 6},
  [62] = {.index = 97, .length = 2},
  [63] = {.index = 99, .length = 3},
  [64] = {.index = 102, .length = 2},
  [65] = {.index = 104, .length = 2},
  [66] = {.index = 106, .length = 1},
  [67] = {.index = 107, .length = 2},
  [68] = {.index = 109, .length = 2},
  [69] = {.index = 111, .length = 2},
  [70] = {.index = 113, .length = 4},
  [71] = {.index = 117, .length = 2},
  [72] = {.index = 119, .length = 2},
  [73] = {.index = 121, .length = 2},
  [74] = {.index = 119, .length = 2},
  [75] = {.index = 123, .length = 2},
  [76] = {.index = 125, .length = 3},
  [77] = {.index = 128, .length = 2},
  [78] = {.index = 130, .length = 2},
  [79] = {.index = 132, .length = 2},
  [80] = {.index = 134, .length = 3},
  [81] = {.index = 137, .length = 2},
  [82] = {.index = 139, .length = 2},
  [83] = {.index = 141, .length = 4},
  [84] = {.index = 145, .length = 2},
  [85] = {.index = 147, .length = 2},
  [86] = {.index = 149, .length = 3},
  [87] = {.index = 152, .length = 2},
  [88] = {.index = 154, .length = 3},
  [89] = {.index = 157, .length = 3},
  [90] = {.index = 160, .length = 3},
  [91] = {.index = 163, .length = 2},
  [92] = {.index = 165, .length = 3},
  [93] = {.index = 168, .length = 4},
  [94] = {.index = 172, .length = 3},
  [95] = {.index = 172, .length = 3},
  [96] = {.index = 175, .length = 3},
  [97] = {.index = 178, .length = 3},
  [98] = {.index = 181, .length = 3},
  [99] = {.index = 184, .length = 4},
  [100] = {.index = 188, .length = 2},
  [101] = {.index = 190, .length = 4},
  [102] = {.index = 194, .length = 4},
  [103] = {.index = 198, .length = 2},
  [104] = {.index = 200, .length = 4},
  [105] = {.index = 204, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_declaration, 1},
  [2] =
    {field_name, 0},
  [3] =
    {field_body, 1},
  [4] =
    {field_constructor, 1},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_argument, 0},
    {field_operator, 1},
  [11] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [13] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [15] =
    {field_declaration, 2},
  [16] =
    {field_body, 2},
    {field_label, 0},
  [18] =
    {field_left, 0},
    {field_right, 2},
  [20] =
    {field_body, 2},
    {field_parameter, 0},
  [22] =
    {field_source, 1},
  [23] =
    {field_body, 2},
    {field_object, 1},
  [25] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [27] =
    {field_kind, 0},
  [28] =
    {field_condition, 1},
    {field_consequence, 2},
  [30] =
    {field_body, 2},
    {field_value, 1},
  [32] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [38] =
    {field_body, 2},
    {field_condition, 1},
  [40] =
    {field_body, 1},
    {field_handler, 2},
  [42] =
    {field_body, 1},
    {field_finalizer, 2},
  [44] =
    {field_label, 1},
  [45] =
    {field_name, 1},
  [46] =
    {field_attribute, 0},
  [47] =
    {field_template, 0},
  [48] =
    {field_member, 0},
  [49] =
    {field_property, 0},
  [50] =
    {field_body, 2},
    {field_name, 1},
  [52] =
    {field_body, 2},
  [53] =
    {field_body, 2},
    {field_parameters, 1},
  [55] =
    {field_arguments, 2},
    {field_constructor, 1},
  [57] =
    {field_pattern, 1},
  [58] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [61] =
    {field_object, 0},
    {field_property, 2},
  [63] =
    {field_object, 0},
    {field_optional_chain, 1},
    {field_property, 2},
  [66] =
    {field_arguments, 2},
    {field_function, 0},
    {field_optional_chain, 1},
  [69] =
    {field_close_tag, 2},
    {field_content, 1},
    {field_open_tag, 0},
  [72] =
    {field_close_tag, 2},
    {field_open_tag, 0},
  [74] =
    {field_body, 2},
    {field_parameters, 0},
  [76] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [78] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [80] =
    {field_source, 2, .inherited = true},
  [81] =
    {field_value, 2},
  [82] =
    {field_key, 0},
    {field_value, 2},
  [84] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1},
  [87] =
    {field_value, 1},
  [88] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [91] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [97] =
    {field_body, 1},
    {field_condition, 3},
  [99] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [102] =
    {field_attribute, 2, .inherited = true},
    {field_name, 1},
  [104] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [106] =
    {field_property, 1},
  [107] =
    {field_property, 0},
    {field_value, 1, .inherited = true},
  [109] =
    {field_decorator, 0, .inherited = true},
    {field_property, 1},
  [111] =
    {field_member, 1, .inherited = true},
    {field_template, 1, .inherited = true},
  [113] =
    {field_member, 0, .inherited = true},
    {field_member, 1, .inherited = true},
    {field_template, 0, .inherited = true},
    {field_template, 1, .inherited = true},
  [117] =
    {field_body, 3},
    {field_name, 1},
  [119] =
    {field_body, 3},
    {field_parameter, 1},
  [121] =
    {field_body, 3},
    {field_parameters, 2},
  [123] =
    {field_body, 3},
    {field_parameters, 1},
  [125] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [128] =
    {field_flags, 3},
    {field_pattern, 1},
  [130] =
    {field_index, 2},
    {field_object, 0},
  [132] =
    {field_declaration, 3},
    {field_decorator, 0, .inherited = true},
  [134] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [137] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [139] =
    {field_alias, 2},
    {field_name, 0},
  [141] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_parameters, 2},
  [145] =
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [147] =
    {field_decorator, 0, .inherited = true},
    {field_property, 2},
  [149] =
    {field_decorator, 0, .inherited = true},
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [152] =
    {field_body, 4},
    {field_parameters, 3},
  [154] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [157] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [160] =
    {field_index, 3},
    {field_object, 0},
    {field_optional_chain, 1},
  [163] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [165] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [168] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_parameters, 3},
  [172] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [175] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [178] =
    {field_decorator, 0, .inherited = true},
    {field_property, 2},
    {field_value, 3, .inherited = true},
  [181] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4},
  [184] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_parameters, 4},
  [188] =
    {field_body, 3},
    {field_value, 1},
  [190] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [194] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [198] =
    {field_body, 4},
    {field_parameter, 2},
  [200] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_parameters, 5},
  [204] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
    {field_value, 3, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [4] = {
    [0] = alias_sym_property_identifier,
  },
  [14] = {
    [0] = alias_sym_statement_identifier,
  },
  [15] = {
    [0] = sym_identifier,
  },
  [16] = {
    [0] = sym_identifier,
  },
  [17] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [18] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [19] = {
    [1] = sym_identifier,
  },
  [30] = {
    [1] = alias_sym_statement_identifier,
  },
  [44] = {
    [2] = alias_sym_property_identifier,
  },
  [46] = {
    [2] = alias_sym_property_identifier,
  },
  [56] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [72] = {
    [1] = sym_identifier,
  },
  [94] = {
    [1] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 10,
  [16] = 16,
  [17] = 17,
  [18] = 17,
  [19] = 16,
  [20] = 16,
  [21] = 17,
  [22] = 16,
  [23] = 17,
  [24] = 16,
  [25] = 17,
  [26] = 17,
  [27] = 16,
  [28] = 17,
  [29] = 16,
  [30] = 17,
  [31] = 16,
  [32] = 17,
  [33] = 17,
  [34] = 16,
  [35] = 17,
  [36] = 16,
  [37] = 17,
  [38] = 16,
  [39] = 16,
  [40] = 17,
  [41] = 16,
  [42] = 17,
  [43] = 16,
  [44] = 17,
  [45] = 45,
  [46] = 46,
  [47] = 17,
  [48] = 17,
  [49] = 16,
  [50] = 17,
  [51] = 17,
  [52] = 16,
  [53] = 16,
  [54] = 16,
  [55] = 17,
  [56] = 16,
  [57] = 17,
  [58] = 16,
  [59] = 17,
  [60] = 16,
  [61] = 17,
  [62] = 62,
  [63] = 16,
  [64] = 16,
  [65] = 17,
  [66] = 17,
  [67] = 16,
  [68] = 16,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 70,
  [75] = 73,
  [76] = 76,
  [77] = 70,
  [78] = 71,
  [79] = 79,
  [80] = 69,
  [81] = 79,
  [82] = 76,
  [83] = 83,
  [84] = 83,
  [85] = 85,
  [86] = 86,
  [87] = 76,
  [88] = 79,
  [89] = 69,
  [90] = 70,
  [91] = 73,
  [92] = 72,
  [93] = 71,
  [94] = 83,
  [95] = 85,
  [96] = 86,
  [97] = 76,
  [98] = 69,
  [99] = 70,
  [100] = 73,
  [101] = 72,
  [102] = 72,
  [103] = 86,
  [104] = 71,
  [105] = 79,
  [106] = 72,
  [107] = 71,
  [108] = 86,
  [109] = 83,
  [110] = 79,
  [111] = 73,
  [112] = 85,
  [113] = 86,
  [114] = 69,
  [115] = 85,
  [116] = 83,
  [117] = 76,
  [118] = 85,
  [119] = 119,
  [120] = 119,
  [121] = 119,
  [122] = 119,
  [123] = 119,
  [124] = 124,
  [125] = 124,
  [126] = 124,
  [127] = 127,
  [128] = 124,
  [129] = 124,
  [130] = 124,
  [131] = 124,
  [132] = 132,
  [133] = 133,
  [134] = 133,
  [135] = 135,
  [136] = 135,
  [137] = 133,
  [138] = 133,
  [139] = 133,
  [140] = 140,
  [141] = 140,
  [142] = 140,
  [143] = 140,
  [144] = 135,
  [145] = 140,
  [146] = 135,
  [147] = 135,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 151,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 132,
  [160] = 160,
  [161] = 161,
  [162] = 132,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 155,
  [170] = 148,
  [171] = 158,
  [172] = 172,
  [173] = 132,
  [174] = 156,
  [175] = 161,
  [176] = 163,
  [177] = 164,
  [178] = 165,
  [179] = 166,
  [180] = 149,
  [181] = 154,
  [182] = 160,
  [183] = 167,
  [184] = 150,
  [185] = 154,
  [186] = 158,
  [187] = 168,
  [188] = 156,
  [189] = 161,
  [190] = 163,
  [191] = 164,
  [192] = 165,
  [193] = 166,
  [194] = 149,
  [195] = 160,
  [196] = 148,
  [197] = 155,
  [198] = 167,
  [199] = 150,
  [200] = 150,
  [201] = 201,
  [202] = 202,
  [203] = 156,
  [204] = 201,
  [205] = 163,
  [206] = 164,
  [207] = 201,
  [208] = 208,
  [209] = 209,
  [210] = 165,
  [211] = 211,
  [212] = 167,
  [213] = 166,
  [214] = 155,
  [215] = 201,
  [216] = 148,
  [217] = 160,
  [218] = 201,
  [219] = 161,
  [220] = 154,
  [221] = 158,
  [222] = 149,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 225,
  [227] = 227,
  [228] = 225,
  [229] = 225,
  [230] = 230,
  [231] = 225,
  [232] = 227,
  [233] = 233,
  [234] = 233,
  [235] = 233,
  [236] = 233,
  [237] = 233,
  [238] = 238,
  [239] = 238,
  [240] = 238,
  [241] = 241,
  [242] = 238,
  [243] = 238,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 246,
  [250] = 250,
  [251] = 244,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 254,
  [256] = 256,
  [257] = 250,
  [258] = 248,
  [259] = 259,
  [260] = 252,
  [261] = 253,
  [262] = 262,
  [263] = 244,
  [264] = 248,
  [265] = 250,
  [266] = 266,
  [267] = 254,
  [268] = 268,
  [269] = 247,
  [270] = 270,
  [271] = 246,
  [272] = 272,
  [273] = 268,
  [274] = 262,
  [275] = 248,
  [276] = 250,
  [277] = 254,
  [278] = 253,
  [279] = 247,
  [280] = 252,
  [281] = 244,
  [282] = 246,
  [283] = 252,
  [284] = 259,
  [285] = 268,
  [286] = 244,
  [287] = 247,
  [288] = 244,
  [289] = 252,
  [290] = 253,
  [291] = 268,
  [292] = 246,
  [293] = 248,
  [294] = 294,
  [295] = 268,
  [296] = 296,
  [297] = 247,
  [298] = 254,
  [299] = 250,
  [300] = 244,
  [301] = 253,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 304,
  [319] = 319,
  [320] = 306,
  [321] = 321,
  [322] = 308,
  [323] = 321,
  [324] = 324,
  [325] = 319,
  [326] = 316,
  [327] = 315,
  [328] = 314,
  [329] = 329,
  [330] = 312,
  [331] = 311,
  [332] = 310,
  [333] = 309,
  [334] = 308,
  [335] = 335,
  [336] = 306,
  [337] = 324,
  [338] = 329,
  [339] = 339,
  [340] = 340,
  [341] = 340,
  [342] = 311,
  [343] = 343,
  [344] = 339,
  [345] = 345,
  [346] = 302,
  [347] = 340,
  [348] = 345,
  [349] = 343,
  [350] = 343,
  [351] = 317,
  [352] = 309,
  [353] = 304,
  [354] = 345,
  [355] = 306,
  [356] = 308,
  [357] = 305,
  [358] = 312,
  [359] = 309,
  [360] = 310,
  [361] = 311,
  [362] = 312,
  [363] = 314,
  [364] = 304,
  [365] = 315,
  [366] = 316,
  [367] = 319,
  [368] = 321,
  [369] = 314,
  [370] = 329,
  [371] = 310,
  [372] = 324,
  [373] = 317,
  [374] = 302,
  [375] = 340,
  [376] = 311,
  [377] = 377,
  [378] = 312,
  [379] = 314,
  [380] = 339,
  [381] = 377,
  [382] = 315,
  [383] = 383,
  [384] = 335,
  [385] = 385,
  [386] = 386,
  [387] = 329,
  [388] = 377,
  [389] = 389,
  [390] = 316,
  [391] = 315,
  [392] = 316,
  [393] = 339,
  [394] = 317,
  [395] = 395,
  [396] = 310,
  [397] = 309,
  [398] = 308,
  [399] = 306,
  [400] = 319,
  [401] = 401,
  [402] = 304,
  [403] = 403,
  [404] = 317,
  [405] = 377,
  [406] = 345,
  [407] = 321,
  [408] = 339,
  [409] = 302,
  [410] = 377,
  [411] = 343,
  [412] = 345,
  [413] = 335,
  [414] = 335,
  [415] = 343,
  [416] = 319,
  [417] = 321,
  [418] = 335,
  [419] = 302,
  [420] = 329,
  [421] = 340,
  [422] = 422,
  [423] = 395,
  [424] = 424,
  [425] = 425,
  [426] = 425,
  [427] = 425,
  [428] = 428,
  [429] = 429,
  [430] = 428,
  [431] = 429,
  [432] = 428,
  [433] = 428,
  [434] = 428,
  [435] = 429,
  [436] = 436,
  [437] = 437,
  [438] = 436,
  [439] = 437,
  [440] = 437,
  [441] = 436,
  [442] = 442,
  [443] = 442,
  [444] = 442,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 447,
  [450] = 442,
  [451] = 448,
  [452] = 442,
  [453] = 453,
  [454] = 448,
  [455] = 448,
  [456] = 456,
  [457] = 446,
  [458] = 442,
  [459] = 448,
  [460] = 447,
  [461] = 453,
  [462] = 155,
  [463] = 445,
  [464] = 160,
  [465] = 445,
  [466] = 155,
  [467] = 160,
  [468] = 445,
  [469] = 469,
  [470] = 470,
  [471] = 160,
  [472] = 446,
  [473] = 470,
  [474] = 160,
  [475] = 150,
  [476] = 154,
  [477] = 155,
  [478] = 155,
  [479] = 470,
  [480] = 470,
  [481] = 442,
  [482] = 470,
  [483] = 167,
  [484] = 469,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 154,
  [489] = 150,
  [490] = 487,
  [491] = 155,
  [492] = 487,
  [493] = 154,
  [494] = 150,
  [495] = 155,
  [496] = 496,
  [497] = 154,
  [498] = 155,
  [499] = 150,
  [500] = 160,
  [501] = 160,
  [502] = 148,
  [503] = 155,
  [504] = 504,
  [505] = 456,
  [506] = 160,
  [507] = 507,
  [508] = 469,
  [509] = 442,
  [510] = 154,
  [511] = 150,
  [512] = 512,
  [513] = 504,
  [514] = 514,
  [515] = 487,
  [516] = 487,
  [517] = 160,
  [518] = 442,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 160,
  [527] = 155,
  [528] = 524,
  [529] = 496,
  [530] = 512,
  [531] = 523,
  [532] = 522,
  [533] = 160,
  [534] = 160,
  [535] = 535,
  [536] = 525,
  [537] = 537,
  [538] = 520,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 485,
  [543] = 486,
  [544] = 154,
  [545] = 496,
  [546] = 546,
  [547] = 547,
  [548] = 469,
  [549] = 504,
  [550] = 550,
  [551] = 551,
  [552] = 150,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 160,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 504,
  [570] = 570,
  [571] = 514,
  [572] = 572,
  [573] = 573,
  [574] = 519,
  [575] = 575,
  [576] = 155,
  [577] = 160,
  [578] = 507,
  [579] = 148,
  [580] = 167,
  [581] = 507,
  [582] = 582,
  [583] = 148,
  [584] = 167,
  [585] = 585,
  [586] = 486,
  [587] = 485,
  [588] = 155,
  [589] = 589,
  [590] = 590,
  [591] = 520,
  [592] = 592,
  [593] = 150,
  [594] = 160,
  [595] = 154,
  [596] = 596,
  [597] = 524,
  [598] = 155,
  [599] = 599,
  [600] = 600,
  [601] = 150,
  [602] = 525,
  [603] = 603,
  [604] = 154,
  [605] = 522,
  [606] = 606,
  [607] = 523,
  [608] = 512,
  [609] = 150,
  [610] = 610,
  [611] = 611,
  [612] = 155,
  [613] = 514,
  [614] = 614,
  [615] = 154,
  [616] = 616,
  [617] = 617,
  [618] = 150,
  [619] = 155,
  [620] = 154,
  [621] = 621,
  [622] = 622,
  [623] = 150,
  [624] = 519,
  [625] = 154,
  [626] = 626,
  [627] = 627,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 539,
  [642] = 628,
  [643] = 561,
  [644] = 626,
  [645] = 627,
  [646] = 646,
  [647] = 629,
  [648] = 630,
  [649] = 631,
  [650] = 632,
  [651] = 635,
  [652] = 564,
  [653] = 637,
  [654] = 639,
  [655] = 640,
  [656] = 537,
  [657] = 563,
  [658] = 568,
  [659] = 570,
  [660] = 566,
  [661] = 567,
  [662] = 575,
  [663] = 646,
  [664] = 589,
  [665] = 590,
  [666] = 596,
  [667] = 599,
  [668] = 600,
  [669] = 603,
  [670] = 606,
  [671] = 486,
  [672] = 610,
  [673] = 611,
  [674] = 485,
  [675] = 520,
  [676] = 614,
  [677] = 616,
  [678] = 646,
  [679] = 524,
  [680] = 617,
  [681] = 525,
  [682] = 621,
  [683] = 622,
  [684] = 628,
  [685] = 633,
  [686] = 572,
  [687] = 573,
  [688] = 634,
  [689] = 636,
  [690] = 638,
  [691] = 562,
  [692] = 592,
  [693] = 582,
  [694] = 585,
  [695] = 540,
  [696] = 160,
  [697] = 646,
  [698] = 646,
  [699] = 699,
  [700] = 541,
  [701] = 546,
  [702] = 547,
  [703] = 535,
  [704] = 550,
  [705] = 551,
  [706] = 553,
  [707] = 554,
  [708] = 555,
  [709] = 556,
  [710] = 557,
  [711] = 154,
  [712] = 150,
  [713] = 160,
  [714] = 154,
  [715] = 150,
  [716] = 155,
  [717] = 558,
  [718] = 519,
  [719] = 559,
  [720] = 154,
  [721] = 560,
  [722] = 150,
  [723] = 496,
  [724] = 626,
  [725] = 627,
  [726] = 629,
  [727] = 630,
  [728] = 631,
  [729] = 632,
  [730] = 155,
  [731] = 635,
  [732] = 637,
  [733] = 639,
  [734] = 640,
  [735] = 537,
  [736] = 514,
  [737] = 563,
  [738] = 566,
  [739] = 567,
  [740] = 575,
  [741] = 589,
  [742] = 590,
  [743] = 596,
  [744] = 599,
  [745] = 600,
  [746] = 148,
  [747] = 603,
  [748] = 573,
  [749] = 572,
  [750] = 606,
  [751] = 610,
  [752] = 154,
  [753] = 611,
  [754] = 507,
  [755] = 570,
  [756] = 568,
  [757] = 150,
  [758] = 564,
  [759] = 614,
  [760] = 561,
  [761] = 616,
  [762] = 560,
  [763] = 559,
  [764] = 558,
  [765] = 557,
  [766] = 617,
  [767] = 556,
  [768] = 555,
  [769] = 621,
  [770] = 622,
  [771] = 554,
  [772] = 553,
  [773] = 551,
  [774] = 522,
  [775] = 523,
  [776] = 512,
  [777] = 550,
  [778] = 535,
  [779] = 547,
  [780] = 546,
  [781] = 541,
  [782] = 540,
  [783] = 539,
  [784] = 585,
  [785] = 582,
  [786] = 167,
  [787] = 592,
  [788] = 562,
  [789] = 638,
  [790] = 636,
  [791] = 634,
  [792] = 633,
  [793] = 599,
  [794] = 633,
  [795] = 553,
  [796] = 554,
  [797] = 629,
  [798] = 573,
  [799] = 637,
  [800] = 800,
  [801] = 800,
  [802] = 638,
  [803] = 639,
  [804] = 551,
  [805] = 154,
  [806] = 550,
  [807] = 535,
  [808] = 585,
  [809] = 640,
  [810] = 150,
  [811] = 547,
  [812] = 634,
  [813] = 568,
  [814] = 636,
  [815] = 621,
  [816] = 555,
  [817] = 600,
  [818] = 617,
  [819] = 596,
  [820] = 614,
  [821] = 582,
  [822] = 616,
  [823] = 572,
  [824] = 590,
  [825] = 560,
  [826] = 589,
  [827] = 575,
  [828] = 630,
  [829] = 537,
  [830] = 627,
  [831] = 556,
  [832] = 557,
  [833] = 558,
  [834] = 631,
  [835] = 567,
  [836] = 564,
  [837] = 635,
  [838] = 800,
  [839] = 632,
  [840] = 562,
  [841] = 539,
  [842] = 603,
  [843] = 699,
  [844] = 566,
  [845] = 546,
  [846] = 570,
  [847] = 540,
  [848] = 606,
  [849] = 610,
  [850] = 611,
  [851] = 561,
  [852] = 626,
  [853] = 541,
  [854] = 559,
  [855] = 628,
  [856] = 592,
  [857] = 622,
  [858] = 563,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 864,
  [865] = 507,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 875,
  [876] = 507,
  [877] = 877,
  [878] = 868,
  [879] = 874,
  [880] = 507,
  [881] = 868,
  [882] = 859,
  [883] = 883,
  [884] = 874,
  [885] = 860,
  [886] = 867,
  [887] = 887,
  [888] = 888,
  [889] = 887,
  [890] = 860,
  [891] = 883,
  [892] = 866,
  [893] = 887,
  [894] = 894,
  [895] = 861,
  [896] = 863,
  [897] = 897,
  [898] = 888,
  [899] = 883,
  [900] = 900,
  [901] = 887,
  [902] = 868,
  [903] = 868,
  [904] = 900,
  [905] = 862,
  [906] = 868,
  [907] = 907,
  [908] = 874,
  [909] = 909,
  [910] = 874,
  [911] = 874,
  [912] = 887,
  [913] = 883,
  [914] = 883,
  [915] = 915,
  [916] = 860,
  [917] = 894,
  [918] = 918,
  [919] = 919,
  [920] = 915,
  [921] = 897,
  [922] = 860,
  [923] = 900,
  [924] = 888,
  [925] = 868,
  [926] = 919,
  [927] = 874,
  [928] = 868,
  [929] = 909,
  [930] = 907,
  [931] = 874,
  [932] = 868,
  [933] = 915,
  [934] = 874,
  [935] = 918,
  [936] = 860,
  [937] = 561,
  [938] = 564,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 132,
  [943] = 943,
  [944] = 572,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 570,
  [950] = 573,
  [951] = 160,
  [952] = 952,
  [953] = 155,
  [954] = 568,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 939,
  [961] = 961,
  [962] = 962,
  [963] = 155,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 940,
  [971] = 941,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 154,
  [978] = 150,
  [979] = 167,
  [980] = 150,
  [981] = 160,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 167,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 148,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 148,
  [1029] = 154,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1005,
  [1051] = 1049,
  [1052] = 1013,
  [1053] = 946,
  [1054] = 945,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 964,
  [1058] = 1047,
  [1059] = 982,
  [1060] = 952,
  [1061] = 1061,
  [1062] = 964,
  [1063] = 943,
  [1064] = 993,
  [1065] = 1065,
  [1066] = 1056,
  [1067] = 993,
  [1068] = 995,
  [1069] = 1055,
  [1070] = 999,
  [1071] = 1071,
  [1072] = 132,
  [1073] = 969,
  [1074] = 1013,
  [1075] = 1075,
  [1076] = 1047,
  [1077] = 1042,
  [1078] = 999,
  [1079] = 1041,
  [1080] = 1042,
  [1081] = 1041,
  [1082] = 1040,
  [1083] = 1039,
  [1084] = 1038,
  [1085] = 1037,
  [1086] = 1036,
  [1087] = 1035,
  [1088] = 1034,
  [1089] = 1033,
  [1090] = 1031,
  [1091] = 1040,
  [1092] = 1039,
  [1093] = 1024,
  [1094] = 1094,
  [1095] = 1023,
  [1096] = 1021,
  [1097] = 1097,
  [1098] = 1005,
  [1099] = 1049,
  [1100] = 947,
  [1101] = 948,
  [1102] = 1055,
  [1103] = 967,
  [1104] = 965,
  [1105] = 1049,
  [1106] = 1038,
  [1107] = 947,
  [1108] = 1056,
  [1109] = 1049,
  [1110] = 1056,
  [1111] = 1055,
  [1112] = 1037,
  [1113] = 995,
  [1114] = 1036,
  [1115] = 1035,
  [1116] = 943,
  [1117] = 952,
  [1118] = 965,
  [1119] = 957,
  [1120] = 1034,
  [1121] = 1033,
  [1122] = 132,
  [1123] = 1031,
  [1124] = 1049,
  [1125] = 1055,
  [1126] = 1024,
  [1127] = 1056,
  [1128] = 967,
  [1129] = 982,
  [1130] = 1021,
  [1131] = 948,
  [1132] = 1023,
  [1133] = 1133,
  [1134] = 991,
  [1135] = 947,
  [1136] = 1044,
  [1137] = 985,
  [1138] = 1015,
  [1139] = 1027,
  [1140] = 947,
  [1141] = 1012,
  [1142] = 164,
  [1143] = 165,
  [1144] = 1004,
  [1145] = 1145,
  [1146] = 959,
  [1147] = 958,
  [1148] = 948,
  [1149] = 968,
  [1150] = 166,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 948,
  [1154] = 1045,
  [1155] = 1016,
  [1156] = 952,
  [1157] = 1017,
  [1158] = 1018,
  [1159] = 1019,
  [1160] = 1160,
  [1161] = 1020,
  [1162] = 1162,
  [1163] = 996,
  [1164] = 989,
  [1165] = 987,
  [1166] = 149,
  [1167] = 1022,
  [1168] = 1002,
  [1169] = 1030,
  [1170] = 1145,
  [1171] = 984,
  [1172] = 1046,
  [1173] = 983,
  [1174] = 1145,
  [1175] = 1026,
  [1176] = 1048,
  [1177] = 976,
  [1178] = 1152,
  [1179] = 966,
  [1180] = 1162,
  [1181] = 990,
  [1182] = 158,
  [1183] = 1162,
  [1184] = 1133,
  [1185] = 1185,
  [1186] = 998,
  [1187] = 1075,
  [1188] = 1000,
  [1189] = 986,
  [1190] = 1162,
  [1191] = 962,
  [1192] = 952,
  [1193] = 1025,
  [1194] = 1185,
  [1195] = 1162,
  [1196] = 943,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1032,
  [1200] = 1200,
  [1201] = 1162,
  [1202] = 1145,
  [1203] = 1203,
  [1204] = 1009,
  [1205] = 1162,
  [1206] = 1007,
  [1207] = 1152,
  [1208] = 1014,
  [1209] = 1152,
  [1210] = 973,
  [1211] = 1211,
  [1212] = 975,
  [1213] = 1151,
  [1214] = 1203,
  [1215] = 1215,
  [1216] = 1200,
  [1217] = 997,
  [1218] = 1043,
  [1219] = 1008,
  [1220] = 163,
  [1221] = 943,
  [1222] = 988,
  [1223] = 994,
  [1224] = 1162,
  [1225] = 1225,
  [1226] = 1006,
  [1227] = 1003,
  [1228] = 1228,
  [1229] = 992,
  [1230] = 961,
  [1231] = 1231,
  [1232] = 956,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1152,
  [1237] = 1145,
  [1238] = 161,
  [1239] = 156,
  [1240] = 955,
  [1241] = 1162,
  [1242] = 1019,
  [1243] = 1011,
  [1244] = 972,
  [1245] = 974,
  [1246] = 1038,
  [1247] = 1040,
  [1248] = 1248,
  [1249] = 965,
  [1250] = 982,
  [1251] = 1248,
  [1252] = 993,
  [1253] = 967,
  [1254] = 1034,
  [1255] = 1005,
  [1256] = 995,
  [1257] = 1035,
  [1258] = 1258,
  [1259] = 999,
  [1260] = 1036,
  [1261] = 1021,
  [1262] = 1037,
  [1263] = 1013,
  [1264] = 1039,
  [1265] = 1248,
  [1266] = 1258,
  [1267] = 1267,
  [1268] = 1258,
  [1269] = 1269,
  [1270] = 1211,
  [1271] = 1248,
  [1272] = 1272,
  [1273] = 1033,
  [1274] = 1274,
  [1275] = 1047,
  [1276] = 1042,
  [1277] = 1258,
  [1278] = 1031,
  [1279] = 964,
  [1280] = 1023,
  [1281] = 1248,
  [1282] = 1282,
  [1283] = 1041,
  [1284] = 1258,
  [1285] = 1024,
  [1286] = 964,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1041,
  [1290] = 1042,
  [1291] = 1288,
  [1292] = 1047,
  [1293] = 1039,
  [1294] = 952,
  [1295] = 1013,
  [1296] = 948,
  [1297] = 947,
  [1298] = 982,
  [1299] = 1288,
  [1300] = 1038,
  [1301] = 1288,
  [1302] = 1005,
  [1303] = 967,
  [1304] = 1037,
  [1305] = 1036,
  [1306] = 1040,
  [1307] = 1035,
  [1308] = 1075,
  [1309] = 1034,
  [1310] = 1033,
  [1311] = 1133,
  [1312] = 993,
  [1313] = 1288,
  [1314] = 1314,
  [1315] = 965,
  [1316] = 995,
  [1317] = 1021,
  [1318] = 1023,
  [1319] = 999,
  [1320] = 1287,
  [1321] = 1024,
  [1322] = 1031,
  [1323] = 1323,
  [1324] = 1324,
  [1325] = 947,
  [1326] = 1323,
  [1327] = 1324,
  [1328] = 1324,
  [1329] = 952,
  [1330] = 1324,
  [1331] = 948,
  [1332] = 1019,
  [1333] = 1324,
  [1334] = 1324,
  [1335] = 1324,
  [1336] = 1235,
  [1337] = 943,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1339,
  [1341] = 1339,
  [1342] = 1342,
  [1343] = 1339,
  [1344] = 1339,
  [1345] = 1342,
  [1346] = 1339,
  [1347] = 1342,
  [1348] = 1339,
  [1349] = 1342,
  [1350] = 1350,
  [1351] = 1342,
  [1352] = 1339,
  [1353] = 1342,
  [1354] = 1342,
  [1355] = 1342,
  [1356] = 1342,
  [1357] = 1339,
  [1358] = 1339,
  [1359] = 1342,
  [1360] = 1342,
  [1361] = 1339,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1364,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1367,
  [1369] = 1369,
  [1370] = 1367,
  [1371] = 1369,
  [1372] = 1367,
  [1373] = 1369,
  [1374] = 1367,
  [1375] = 1369,
  [1376] = 1369,
  [1377] = 1369,
  [1378] = 1369,
  [1379] = 1367,
  [1380] = 1367,
  [1381] = 1381,
  [1382] = 1381,
  [1383] = 1381,
  [1384] = 1381,
  [1385] = 1381,
  [1386] = 1386,
  [1387] = 1381,
  [1388] = 1381,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 160,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 155,
  [1414] = 1414,
  [1415] = 1415,
  [1416] = 1416,
  [1417] = 1417,
  [1418] = 1418,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1421,
  [1422] = 1422,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 1427,
  [1428] = 1428,
  [1429] = 1429,
  [1430] = 1430,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 1409,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1044,
  [1447] = 1447,
  [1448] = 1448,
  [1449] = 150,
  [1450] = 959,
  [1451] = 958,
  [1452] = 154,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1397,
  [1459] = 1394,
  [1460] = 1460,
  [1461] = 1461,
  [1462] = 1394,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1441,
  [1466] = 1460,
  [1467] = 1396,
  [1468] = 1418,
  [1469] = 1469,
  [1470] = 1470,
  [1471] = 1471,
  [1472] = 1026,
  [1473] = 1473,
  [1474] = 1474,
  [1475] = 1470,
  [1476] = 1476,
  [1477] = 1405,
  [1478] = 1408,
  [1479] = 1406,
  [1480] = 1480,
  [1481] = 1481,
  [1482] = 1482,
  [1483] = 1471,
  [1484] = 1474,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 983,
  [1488] = 1481,
  [1489] = 1469,
  [1490] = 1473,
  [1491] = 1411,
  [1492] = 1492,
  [1493] = 1412,
  [1494] = 1406,
  [1495] = 1492,
  [1496] = 1482,
  [1497] = 1485,
  [1498] = 1498,
  [1499] = 1473,
  [1500] = 1500,
  [1501] = 1500,
  [1502] = 1486,
  [1503] = 1473,
  [1504] = 990,
  [1505] = 1505,
  [1506] = 1473,
  [1507] = 1476,
  [1508] = 1508,
  [1509] = 1498,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1508,
  [1514] = 1480,
  [1515] = 1508,
  [1516] = 1505,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1519,
  [1520] = 1510,
  [1521] = 1508,
  [1522] = 1519,
  [1523] = 1523,
  [1524] = 990,
  [1525] = 1508,
  [1526] = 983,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1026,
  [1530] = 1518,
  [1531] = 1512,
  [1532] = 1517,
  [1533] = 1528,
  [1534] = 1511,
  [1535] = 1527,
  [1536] = 1523,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1537,
  [1540] = 1540,
  [1541] = 1540,
  [1542] = 1538,
  [1543] = 1538,
  [1544] = 1537,
  [1545] = 1537,
  [1546] = 1540,
  [1547] = 1540,
  [1548] = 1538,
  [1549] = 1537,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 1551,
  [1553] = 1551,
  [1554] = 1551,
  [1555] = 1555,
  [1556] = 1556,
  [1557] = 1556,
  [1558] = 1556,
  [1559] = 1555,
  [1560] = 1555,
  [1561] = 1556,
  [1562] = 1555,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1565,
  [1567] = 1567,
  [1568] = 1564,
  [1569] = 1569,
  [1570] = 1564,
  [1571] = 1567,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1567,
  [1575] = 1573,
  [1576] = 1567,
  [1577] = 1564,
  [1578] = 1573,
  [1579] = 1565,
  [1580] = 1569,
  [1581] = 1569,
  [1582] = 1582,
  [1583] = 1565,
  [1584] = 1573,
  [1585] = 1569,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 1588,
  [1589] = 1589,
  [1590] = 1589,
  [1591] = 1591,
  [1592] = 1592,
  [1593] = 1592,
  [1594] = 1594,
  [1595] = 1595,
  [1596] = 1596,
  [1597] = 1591,
  [1598] = 1592,
  [1599] = 1589,
  [1600] = 1600,
  [1601] = 1591,
  [1602] = 1602,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1589,
  [1606] = 1606,
  [1607] = 1607,
  [1608] = 1591,
  [1609] = 1592,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1612,
  [1613] = 1592,
  [1614] = 1589,
  [1615] = 1591,
  [1616] = 1589,
  [1617] = 1617,
  [1618] = 1618,
  [1619] = 1589,
  [1620] = 155,
  [1621] = 1621,
  [1622] = 160,
  [1623] = 1623,
  [1624] = 1624,
  [1625] = 1625,
  [1626] = 1409,
  [1627] = 1627,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 957,
  [1633] = 1602,
  [1634] = 1634,
  [1635] = 1046,
  [1636] = 445,
  [1637] = 1045,
  [1638] = 1612,
  [1639] = 1630,
  [1640] = 1003,
  [1641] = 956,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 1644,
  [1645] = 1007,
  [1646] = 1627,
  [1647] = 1627,
  [1648] = 1648,
  [1649] = 1649,
  [1650] = 1650,
  [1651] = 1623,
  [1652] = 1652,
  [1653] = 1653,
  [1654] = 1654,
  [1655] = 1588,
  [1656] = 1630,
  [1657] = 969,
  [1658] = 1658,
  [1659] = 1621,
  [1660] = 1660,
  [1661] = 1661,
  [1662] = 1623,
  [1663] = 1663,
  [1664] = 1664,
  [1665] = 154,
  [1666] = 1627,
  [1667] = 150,
  [1668] = 1606,
  [1669] = 1604,
  [1670] = 1670,
  [1671] = 1623,
  [1672] = 1625,
  [1673] = 1673,
  [1674] = 1630,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1677,
  [1678] = 1678,
  [1679] = 961,
  [1680] = 1677,
  [1681] = 1681,
  [1682] = 1682,
  [1683] = 988,
  [1684] = 1684,
  [1685] = 1685,
  [1686] = 1653,
  [1687] = 1687,
  [1688] = 1623,
  [1689] = 1008,
  [1690] = 1630,
  [1691] = 1004,
  [1692] = 1627,
  [1693] = 1693,
  [1694] = 1007,
  [1695] = 1441,
  [1696] = 957,
  [1697] = 1652,
  [1698] = 1698,
  [1699] = 1699,
  [1700] = 1700,
  [1701] = 1701,
  [1702] = 1643,
  [1703] = 1703,
  [1704] = 1693,
  [1705] = 1705,
  [1706] = 1706,
  [1707] = 1707,
  [1708] = 1705,
  [1709] = 1701,
  [1710] = 1710,
  [1711] = 1693,
  [1712] = 1712,
  [1713] = 1703,
  [1714] = 1705,
  [1715] = 1699,
  [1716] = 1701,
  [1717] = 1693,
  [1718] = 1705,
  [1719] = 1707,
  [1720] = 1699,
  [1721] = 1698,
  [1722] = 1722,
  [1723] = 1706,
  [1724] = 1698,
  [1725] = 1701,
  [1726] = 1726,
  [1727] = 1698,
  [1728] = 1728,
  [1729] = 1701,
  [1730] = 1705,
  [1731] = 1699,
  [1732] = 969,
  [1733] = 1733,
  [1734] = 1693,
  [1735] = 1418,
  [1736] = 1736,
  [1737] = 1737,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 1740,
  [1741] = 961,
  [1742] = 1742,
  [1743] = 1743,
  [1744] = 1045,
  [1745] = 1745,
  [1746] = 1008,
  [1747] = 1728,
  [1748] = 1742,
  [1749] = 956,
  [1750] = 1046,
  [1751] = 1003,
  [1752] = 1004,
  [1753] = 988,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1754,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 1765,
  [1766] = 1766,
  [1767] = 1766,
  [1768] = 1760,
  [1769] = 1759,
  [1770] = 1758,
  [1771] = 1771,
  [1772] = 1772,
  [1773] = 1773,
  [1774] = 1774,
  [1775] = 1772,
  [1776] = 1776,
  [1777] = 1766,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1661,
  [1782] = 1765,
  [1783] = 1764,
  [1784] = 1784,
  [1785] = 1785,
  [1786] = 1786,
  [1787] = 1760,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1759,
  [1791] = 1758,
  [1792] = 1771,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1754,
  [1796] = 1793,
  [1797] = 1797,
  [1798] = 1758,
  [1799] = 1759,
  [1800] = 1758,
  [1801] = 1793,
  [1802] = 1759,
  [1803] = 1776,
  [1804] = 1780,
  [1805] = 1805,
  [1806] = 1760,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 1761,
  [1812] = 1754,
  [1813] = 1813,
  [1814] = 1784,
  [1815] = 1815,
  [1816] = 1624,
  [1817] = 1766,
  [1818] = 1784,
  [1819] = 1786,
  [1820] = 1786,
  [1821] = 1771,
  [1822] = 1772,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1793,
  [1826] = 1776,
  [1827] = 1774,
  [1828] = 1828,
  [1829] = 1762,
  [1830] = 1771,
  [1831] = 1805,
  [1832] = 1832,
  [1833] = 1807,
  [1834] = 1785,
  [1835] = 1835,
  [1836] = 1771,
  [1837] = 1786,
  [1838] = 1832,
  [1839] = 1839,
  [1840] = 1840,
  [1841] = 1841,
  [1842] = 1784,
  [1843] = 1807,
  [1844] = 1844,
  [1845] = 1807,
  [1846] = 1758,
  [1847] = 1785,
  [1848] = 1663,
  [1849] = 1794,
  [1850] = 1759,
  [1851] = 1760,
  [1852] = 1774,
  [1853] = 1685,
  [1854] = 1722,
  [1855] = 1776,
  [1856] = 1780,
  [1857] = 1839,
  [1858] = 1858,
  [1859] = 1766,
  [1860] = 1785,
  [1861] = 1861,
  [1862] = 1774,
  [1863] = 1858,
  [1864] = 1776,
  [1865] = 1780,
  [1866] = 1780,
  [1867] = 1780,
  [1868] = 1832,
  [1869] = 1869,
  [1870] = 1765,
  [1871] = 1764,
  [1872] = 1774,
  [1873] = 1785,
  [1874] = 1776,
  [1875] = 1861,
  [1876] = 1763,
  [1877] = 1877,
  [1878] = 1794,
  [1879] = 1764,
  [1880] = 507,
  [1881] = 1881,
  [1882] = 469,
  [1883] = 1807,
  [1884] = 486,
  [1885] = 1861,
  [1886] = 1763,
  [1887] = 1648,
  [1888] = 1794,
  [1889] = 1861,
  [1890] = 1754,
  [1891] = 1763,
  [1892] = 1794,
  [1893] = 1861,
  [1894] = 1765,
  [1895] = 1793,
  [1896] = 1824,
  [1897] = 1763,
  [1898] = 1898,
  [1899] = 1899,
  [1900] = 1900,
  [1901] = 1901,
  [1902] = 1902,
  [1903] = 496,
  [1904] = 1901,
  [1905] = 1902,
  [1906] = 1901,
  [1907] = 1907,
  [1908] = 1902,
  [1909] = 1909,
  [1910] = 485,
  [1911] = 1911,
  [1912] = 1901,
  [1913] = 1913,
  [1914] = 1914,
  [1915] = 520,
  [1916] = 524,
  [1917] = 525,
  [1918] = 1918,
  [1919] = 1902,
  [1920] = 1899,
  [1921] = 504,
  [1922] = 1922,
  [1923] = 522,
  [1924] = 523,
  [1925] = 512,
  [1926] = 1926,
  [1927] = 1922,
  [1928] = 519,
  [1929] = 514,
  [1930] = 1922,
  [1931] = 1931,
  [1932] = 1932,
  [1933] = 1933,
  [1934] = 1934,
  [1935] = 1933,
  [1936] = 1936,
  [1937] = 1922,
  [1938] = 1938,
  [1939] = 1939,
  [1940] = 1026,
  [1941] = 1505,
  [1942] = 1922,
  [1943] = 990,
  [1944] = 983,
  [1945] = 1945,
  [1946] = 1946,
  [1947] = 1947,
  [1948] = 1948,
  [1949] = 1949,
  [1950] = 1950,
  [1951] = 1951,
  [1952] = 1952,
  [1953] = 1953,
  [1954] = 1900,
  [1955] = 1955,
  [1956] = 1956,
  [1957] = 1957,
  [1958] = 1914,
  [1959] = 1914,
  [1960] = 1956,
  [1961] = 1957,
  [1962] = 1962,
  [1963] = 1963,
  [1964] = 1964,
  [1965] = 1965,
  [1966] = 1899,
  [1967] = 1918,
  [1968] = 1962,
  [1969] = 1907,
  [1970] = 1914,
  [1971] = 1971,
  [1972] = 1972,
  [1973] = 1956,
  [1974] = 1957,
  [1975] = 1498,
  [1976] = 1480,
  [1977] = 1900,
  [1978] = 1978,
  [1979] = 1979,
  [1980] = 1980,
  [1981] = 1981,
  [1982] = 160,
  [1983] = 1956,
  [1984] = 1957,
  [1985] = 1962,
  [1986] = 1901,
  [1987] = 1987,
  [1988] = 1898,
  [1989] = 1989,
  [1990] = 1971,
  [1991] = 1965,
  [1992] = 1992,
  [1993] = 1993,
  [1994] = 1962,
  [1995] = 1995,
  [1996] = 1996,
  [1997] = 1934,
  [1998] = 1913,
  [1999] = 148,
  [2000] = 2000,
  [2001] = 2001,
  [2002] = 2002,
  [2003] = 2003,
  [2004] = 2004,
  [2005] = 167,
  [2006] = 2006,
  [2007] = 2007,
  [2008] = 2008,
  [2009] = 1899,
  [2010] = 1918,
  [2011] = 1907,
  [2012] = 2012,
  [2013] = 1914,
  [2014] = 2014,
  [2015] = 2015,
  [2016] = 1900,
  [2017] = 1956,
  [2018] = 1902,
  [2019] = 1957,
  [2020] = 2020,
  [2021] = 2021,
  [2022] = 1962,
  [2023] = 1978,
  [2024] = 150,
  [2025] = 154,
  [2026] = 1979,
  [2027] = 1978,
  [2028] = 1950,
  [2029] = 1907,
  [2030] = 2030,
  [2031] = 1981,
  [2032] = 1980,
  [2033] = 1918,
  [2034] = 1899,
  [2035] = 1981,
  [2036] = 1949,
  [2037] = 2037,
  [2038] = 1947,
  [2039] = 1946,
  [2040] = 1907,
  [2041] = 2041,
  [2042] = 2004,
  [2043] = 2003,
  [2044] = 1918,
  [2045] = 1932,
  [2046] = 155,
  [2047] = 2047,
  [2048] = 1932,
  [2049] = 2001,
  [2050] = 2002,
  [2051] = 1947,
  [2052] = 1949,
  [2053] = 2053,
  [2054] = 2054,
  [2055] = 2055,
  [2056] = 606,
  [2057] = 2057,
  [2058] = 2058,
  [2059] = 2058,
  [2060] = 1421,
  [2061] = 610,
  [2062] = 2053,
  [2063] = 2063,
  [2064] = 2064,
  [2065] = 611,
  [2066] = 2053,
  [2067] = 2067,
  [2068] = 2068,
  [2069] = 2069,
  [2070] = 2054,
  [2071] = 2071,
  [2072] = 2067,
  [2073] = 2073,
  [2074] = 2074,
  [2075] = 1877,
  [2076] = 2076,
  [2077] = 2077,
  [2078] = 2078,
  [2079] = 2079,
  [2080] = 2080,
  [2081] = 2074,
  [2082] = 2082,
  [2083] = 2083,
  [2084] = 2084,
  [2085] = 2085,
  [2086] = 2086,
  [2087] = 614,
  [2088] = 2064,
  [2089] = 616,
  [2090] = 2090,
  [2091] = 617,
  [2092] = 2092,
  [2093] = 2058,
  [2094] = 621,
  [2095] = 2095,
  [2096] = 2096,
  [2097] = 2097,
  [2098] = 2098,
  [2099] = 2099,
  [2100] = 2100,
  [2101] = 2101,
  [2102] = 2102,
  [2103] = 2083,
  [2104] = 2085,
  [2105] = 2068,
  [2106] = 2106,
  [2107] = 2107,
  [2108] = 2108,
  [2109] = 2074,
  [2110] = 2110,
  [2111] = 2054,
  [2112] = 1422,
  [2113] = 2113,
  [2114] = 2114,
  [2115] = 2115,
  [2116] = 2116,
  [2117] = 2071,
  [2118] = 2118,
  [2119] = 2119,
  [2120] = 622,
  [2121] = 2121,
  [2122] = 2122,
  [2123] = 2086,
  [2124] = 2124,
  [2125] = 2125,
  [2126] = 628,
  [2127] = 2127,
  [2128] = 633,
  [2129] = 2129,
  [2130] = 2058,
  [2131] = 2131,
  [2132] = 2132,
  [2133] = 2133,
  [2134] = 2134,
  [2135] = 2135,
  [2136] = 572,
  [2137] = 2076,
  [2138] = 2092,
  [2139] = 2139,
  [2140] = 2134,
  [2141] = 2067,
  [2142] = 2142,
  [2143] = 2143,
  [2144] = 2144,
  [2145] = 573,
  [2146] = 2146,
  [2147] = 2147,
  [2148] = 2148,
  [2149] = 2149,
  [2150] = 2150,
  [2151] = 2151,
  [2152] = 2086,
  [2153] = 2153,
  [2154] = 2154,
  [2155] = 2155,
  [2156] = 2149,
  [2157] = 2148,
  [2158] = 2082,
  [2159] = 2108,
  [2160] = 2080,
  [2161] = 2074,
  [2162] = 2162,
  [2163] = 2163,
  [2164] = 2164,
  [2165] = 2067,
  [2166] = 2068,
  [2167] = 2077,
  [2168] = 2078,
  [2169] = 2064,
  [2170] = 2170,
  [2171] = 2078,
  [2172] = 2172,
  [2173] = 2118,
  [2174] = 2174,
  [2175] = 2077,
  [2176] = 2080,
  [2177] = 2068,
  [2178] = 2124,
  [2179] = 2179,
  [2180] = 2082,
  [2181] = 634,
  [2182] = 636,
  [2183] = 2053,
  [2184] = 638,
  [2185] = 2185,
  [2186] = 2186,
  [2187] = 562,
  [2188] = 592,
  [2189] = 1676,
  [2190] = 2190,
  [2191] = 600,
  [2192] = 2054,
  [2193] = 2071,
  [2194] = 599,
  [2195] = 2195,
  [2196] = 596,
  [2197] = 2142,
  [2198] = 2147,
  [2199] = 2077,
  [2200] = 2078,
  [2201] = 2116,
  [2202] = 2080,
  [2203] = 582,
  [2204] = 2082,
  [2205] = 2118,
  [2206] = 2206,
  [2207] = 2207,
  [2208] = 2208,
  [2209] = 2209,
  [2210] = 2210,
  [2211] = 2211,
  [2212] = 2212,
  [2213] = 590,
  [2214] = 589,
  [2215] = 575,
  [2216] = 567,
  [2217] = 2143,
  [2218] = 2099,
  [2219] = 2219,
  [2220] = 2220,
  [2221] = 2099,
  [2222] = 2099,
  [2223] = 2223,
  [2224] = 2224,
  [2225] = 2083,
  [2226] = 2085,
  [2227] = 2144,
  [2228] = 2108,
  [2229] = 585,
  [2230] = 2230,
  [2231] = 2231,
  [2232] = 2232,
  [2233] = 2233,
  [2234] = 2234,
  [2235] = 2235,
  [2236] = 2116,
  [2237] = 2147,
  [2238] = 2118,
  [2239] = 2239,
  [2240] = 2240,
  [2241] = 2241,
  [2242] = 2125,
  [2243] = 2148,
  [2244] = 2124,
  [2245] = 2125,
  [2246] = 2246,
  [2247] = 2247,
  [2248] = 2083,
  [2249] = 2153,
  [2250] = 2131,
  [2251] = 2085,
  [2252] = 2133,
  [2253] = 2149,
  [2254] = 2058,
  [2255] = 2114,
  [2256] = 2076,
  [2257] = 2092,
  [2258] = 2219,
  [2259] = 2134,
  [2260] = 2220,
  [2261] = 2261,
  [2262] = 2143,
  [2263] = 2144,
  [2264] = 2150,
  [2265] = 2154,
  [2266] = 2147,
  [2267] = 2148,
  [2268] = 2149,
  [2269] = 2150,
  [2270] = 1428,
  [2271] = 2150,
  [2272] = 2153,
  [2273] = 2154,
  [2274] = 2155,
  [2275] = 2275,
  [2276] = 2055,
  [2277] = 2074,
  [2278] = 1429,
  [2279] = 2108,
  [2280] = 2280,
  [2281] = 2067,
  [2282] = 2068,
  [2283] = 2116,
  [2284] = 2284,
  [2285] = 2064,
  [2286] = 2286,
  [2287] = 2287,
  [2288] = 1430,
  [2289] = 539,
  [2290] = 2290,
  [2291] = 2163,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 540,
  [2296] = 2131,
  [2297] = 541,
  [2298] = 2298,
  [2299] = 546,
  [2300] = 2300,
  [2301] = 2301,
  [2302] = 1431,
  [2303] = 2155,
  [2304] = 559,
  [2305] = 2071,
  [2306] = 2306,
  [2307] = 2307,
  [2308] = 2086,
  [2309] = 2309,
  [2310] = 2077,
  [2311] = 2078,
  [2312] = 2312,
  [2313] = 2080,
  [2314] = 2314,
  [2315] = 2082,
  [2316] = 2316,
  [2317] = 2317,
  [2318] = 547,
  [2319] = 2064,
  [2320] = 2119,
  [2321] = 1432,
  [2322] = 1433,
  [2323] = 2099,
  [2324] = 1434,
  [2325] = 2186,
  [2326] = 2083,
  [2327] = 2085,
  [2328] = 2328,
  [2329] = 2108,
  [2330] = 2330,
  [2331] = 2331,
  [2332] = 2332,
  [2333] = 2333,
  [2334] = 630,
  [2335] = 2314,
  [2336] = 2223,
  [2337] = 2116,
  [2338] = 2164,
  [2339] = 2118,
  [2340] = 2340,
  [2341] = 2124,
  [2342] = 2125,
  [2343] = 1435,
  [2344] = 2124,
  [2345] = 2235,
  [2346] = 1436,
  [2347] = 1437,
  [2348] = 1439,
  [2349] = 2076,
  [2350] = 2092,
  [2351] = 1440,
  [2352] = 2134,
  [2353] = 2353,
  [2354] = 2241,
  [2355] = 2143,
  [2356] = 2144,
  [2357] = 2125,
  [2358] = 2358,
  [2359] = 2147,
  [2360] = 2148,
  [2361] = 2149,
  [2362] = 2150,
  [2363] = 2363,
  [2364] = 2364,
  [2365] = 2153,
  [2366] = 2154,
  [2367] = 2155,
  [2368] = 2071,
  [2369] = 2054,
  [2370] = 2370,
  [2371] = 2053,
  [2372] = 2131,
  [2373] = 2239,
  [2374] = 2133,
  [2375] = 2234,
  [2376] = 2376,
  [2377] = 535,
  [2378] = 1442,
  [2379] = 2063,
  [2380] = 1416,
  [2381] = 1444,
  [2382] = 1445,
  [2383] = 2383,
  [2384] = 2073,
  [2385] = 550,
  [2386] = 2386,
  [2387] = 2387,
  [2388] = 1447,
  [2389] = 1415,
  [2390] = 1457,
  [2391] = 2387,
  [2392] = 566,
  [2393] = 2247,
  [2394] = 2386,
  [2395] = 2076,
  [2396] = 2396,
  [2397] = 2397,
  [2398] = 2139,
  [2399] = 570,
  [2400] = 2396,
  [2401] = 2401,
  [2402] = 2370,
  [2403] = 2110,
  [2404] = 1455,
  [2405] = 551,
  [2406] = 2383,
  [2407] = 2364,
  [2408] = 2092,
  [2409] = 2376,
  [2410] = 1454,
  [2411] = 1453,
  [2412] = 1419,
  [2413] = 1815,
  [2414] = 2358,
  [2415] = 1420,
  [2416] = 1438,
  [2417] = 2353,
  [2418] = 553,
  [2419] = 2155,
  [2420] = 561,
  [2421] = 2333,
  [2422] = 2317,
  [2423] = 626,
  [2424] = 627,
  [2425] = 2096,
  [2426] = 2426,
  [2427] = 2316,
  [2428] = 629,
  [2429] = 2401,
  [2430] = 2086,
  [2431] = 554,
  [2432] = 2127,
  [2433] = 1011,
  [2434] = 2102,
  [2435] = 568,
  [2436] = 2107,
  [2437] = 2232,
  [2438] = 2053,
  [2439] = 2230,
  [2440] = 1014,
  [2441] = 631,
  [2442] = 632,
  [2443] = 635,
  [2444] = 2301,
  [2445] = 564,
  [2446] = 2446,
  [2447] = 2119,
  [2448] = 2127,
  [2449] = 2300,
  [2450] = 2298,
  [2451] = 2451,
  [2452] = 2452,
  [2453] = 2164,
  [2454] = 2172,
  [2455] = 2290,
  [2456] = 2363,
  [2457] = 2401,
  [2458] = 2287,
  [2459] = 2396,
  [2460] = 2460,
  [2461] = 2461,
  [2462] = 2364,
  [2463] = 2286,
  [2464] = 1448,
  [2465] = 2370,
  [2466] = 2139,
  [2467] = 2135,
  [2468] = 2468,
  [2469] = 973,
  [2470] = 637,
  [2471] = 2073,
  [2472] = 2239,
  [2473] = 639,
  [2474] = 2090,
  [2475] = 640,
  [2476] = 2234,
  [2477] = 2477,
  [2478] = 2280,
  [2479] = 2190,
  [2480] = 2234,
  [2481] = 2239,
  [2482] = 2144,
  [2483] = 2370,
  [2484] = 2364,
  [2485] = 2426,
  [2486] = 2468,
  [2487] = 2477,
  [2488] = 2488,
  [2489] = 2489,
  [2490] = 2490,
  [2491] = 2275,
  [2492] = 2461,
  [2493] = 2460,
  [2494] = 2363,
  [2495] = 2164,
  [2496] = 2079,
  [2497] = 2170,
  [2498] = 2106,
  [2499] = 2179,
  [2500] = 2261,
  [2501] = 2233,
  [2502] = 2146,
  [2503] = 2132,
  [2504] = 2069,
  [2505] = 2057,
  [2506] = 2084,
  [2507] = 2098,
  [2508] = 2207,
  [2509] = 555,
  [2510] = 2292,
  [2511] = 2293,
  [2512] = 2294,
  [2513] = 2306,
  [2514] = 2307,
  [2515] = 2312,
  [2516] = 2363,
  [2517] = 2517,
  [2518] = 2488,
  [2519] = 2489,
  [2520] = 2490,
  [2521] = 2129,
  [2522] = 2073,
  [2523] = 2113,
  [2524] = 2119,
  [2525] = 2127,
  [2526] = 2154,
  [2527] = 556,
  [2528] = 2153,
  [2529] = 2139,
  [2530] = 557,
  [2531] = 2224,
  [2532] = 2396,
  [2533] = 2401,
  [2534] = 2396,
  [2535] = 537,
  [2536] = 2401,
  [2537] = 2139,
  [2538] = 2133,
  [2539] = 563,
  [2540] = 2134,
  [2541] = 2073,
  [2542] = 558,
  [2543] = 2543,
  [2544] = 2234,
  [2545] = 2239,
  [2546] = 2370,
  [2547] = 2364,
  [2548] = 2363,
  [2549] = 2164,
  [2550] = 603,
  [2551] = 2143,
  [2552] = 2209,
  [2553] = 560,
  [2554] = 2208,
  [2555] = 2119,
  [2556] = 2127,
  [2557] = 2557,
  [2558] = 2558,
  [2559] = 2559,
  [2560] = 2560,
  [2561] = 2561,
  [2562] = 2562,
  [2563] = 2563,
  [2564] = 2564,
  [2565] = 2565,
  [2566] = 2562,
  [2567] = 2565,
  [2568] = 2568,
  [2569] = 2559,
  [2570] = 2559,
  [2571] = 2571,
  [2572] = 2572,
  [2573] = 2561,
  [2574] = 2574,
  [2575] = 2560,
  [2576] = 2576,
  [2577] = 2561,
  [2578] = 2565,
  [2579] = 507,
  [2580] = 2562,
  [2581] = 2560,
  [2582] = 2557,
  [2583] = 2583,
  [2584] = 2584,
  [2585] = 2585,
  [2586] = 2562,
  [2587] = 2563,
  [2588] = 2588,
  [2589] = 2589,
  [2590] = 2562,
  [2591] = 2591,
  [2592] = 2592,
  [2593] = 2593,
  [2594] = 2565,
  [2595] = 2589,
  [2596] = 2596,
  [2597] = 2597,
  [2598] = 2589,
  [2599] = 2599,
  [2600] = 2561,
  [2601] = 2601,
  [2602] = 2589,
  [2603] = 2603,
  [2604] = 2604,
  [2605] = 2599,
  [2606] = 2585,
  [2607] = 2558,
  [2608] = 2560,
  [2609] = 2609,
  [2610] = 2610,
  [2611] = 2611,
  [2612] = 2612,
  [2613] = 2613,
  [2614] = 2584,
  [2615] = 2589,
  [2616] = 2604,
  [2617] = 2584,
  [2618] = 2583,
  [2619] = 2564,
  [2620] = 2620,
  [2621] = 2589,
  [2622] = 2585,
  [2623] = 2623,
  [2624] = 2559,
  [2625] = 2603,
  [2626] = 2626,
  [2627] = 2620,
  [2628] = 2628,
  [2629] = 2609,
  [2630] = 2592,
  [2631] = 2560,
  [2632] = 2628,
  [2633] = 2628,
  [2634] = 2612,
  [2635] = 2613,
  [2636] = 2584,
  [2637] = 2637,
  [2638] = 2589,
  [2639] = 2585,
  [2640] = 2612,
  [2641] = 1684,
  [2642] = 2613,
  [2643] = 2557,
  [2644] = 2565,
  [2645] = 2645,
  [2646] = 2564,
  [2647] = 2583,
  [2648] = 2648,
  [2649] = 2564,
  [2650] = 2650,
  [2651] = 2585,
  [2652] = 2637,
  [2653] = 2653,
  [2654] = 2654,
  [2655] = 2655,
  [2656] = 2603,
  [2657] = 2623,
  [2658] = 2658,
  [2659] = 2592,
  [2660] = 2612,
  [2661] = 2613,
  [2662] = 2589,
  [2663] = 2558,
  [2664] = 2557,
  [2665] = 2665,
  [2666] = 2666,
  [2667] = 2667,
  [2668] = 2668,
  [2669] = 2628,
  [2670] = 2623,
  [2671] = 2612,
  [2672] = 2592,
  [2673] = 2613,
  [2674] = 2557,
  [2675] = 1840,
  [2676] = 2676,
  [2677] = 2561,
  [2678] = 2564,
  [2679] = 2589,
  [2680] = 2583,
  [2681] = 2583,
  [2682] = 2584,
  [2683] = 2623,
  [2684] = 2603,
  [2685] = 2592,
  [2686] = 2623,
  [2687] = 2563,
  [2688] = 2563,
  [2689] = 2563,
  [2690] = 2690,
};

static TSCharacterRange extras_character_set_1[] = {
  {'\t', '\r'}, {' ', ' '}, {0xa0, 0xa0}, {0x1680, 0x1680}, {0x2000, 0x200b}, {0x2028, 0x2029}, {0x202f, 0x202f}, {0x205f, 0x2060},
  {0x3000, 0x3000}, {0xfeff, 0xfeff},
};

static TSCharacterRange extras_character_set_2[] = {
  {'\t', '\r'}, {' ', ' '}, {0xa0, 0xa0}, {0x1680, 0x1680}, {0x2000, 0x200b}, {0x202f, 0x202f}, {0x205f, 0x2060}, {0x3000, 0x3000},
  {0xfeff, 0xfeff},
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f}, {0x1681, 0x1fff},
  {0x200c, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f},
  {0x1681, 0x1fff}, {0x200c, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(260);
      ADVANCE_MAP(
        '!', 422,
        '"', 344,
        '#', 11,
        '$', 604,
        '%', 407,
        '&', 394,
        '\'', 345,
        '(', 286,
        ')', 287,
        '*', 265,
        '+', 401,
        ',', 272,
        '-', 403,
        '.', 340,
        '/', 447,
        '0', 461,
        ':', 300,
        ';', 299,
        '<', 330,
        '=', 309,
        '>', 336,
        '?', 57,
        '@', 619,
        '[', 311,
        '\\', 203,
        ']', 312,
        '^', 397,
        '`', 445,
        'a', 575,
        'c', 506,
        'd', 528,
        'e', 549,
        'f', 544,
        'i', 558,
        'l', 529,
        'o', 534,
        's', 594,
        't', 507,
        'v', 510,
        'w', 538,
        '{', 271,
        '|', 398,
        '}', 273,
        '~', 423,
        0x2028, 478,
        0x2029, 478,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(249);
      if (lookahead > '@') ADVANCE(615);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(620);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(45);
      if (lookahead == ' ') ADVANCE(2);
      if (lookahead == '&') ADVANCE(42);
      if (lookahead == '/') ADVANCE(319);
      if (lookahead == '<') ADVANCE(329);
      if (lookahead == '{') ADVANCE(271);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(321);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(320);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(3);
      if (lookahead == '/') ADVANCE(314);
      if (lookahead == '<') ADVANCE(316);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(315);
      if (lookahead != 0) ADVANCE(313);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(63);
      if (lookahead == '/') ADVANCE(49);
      if (lookahead == '[') ADVANCE(108);
      if (lookahead == '\\') ADVANCE(248);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(448);
      if (lookahead != 0) ADVANCE(449);
      END_STATE();
    case 5:
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(320);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        ' ', 6,
        '*', 322,
        '\n', 52,
        '&', 52,
        '<', 52,
        '>', 52,
        '{', 52,
        '}', 52,
      );
      if (lookahead != 0) ADVANCE(323);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 422,
        '"', 344,
        '#', 107,
        '%', 406,
        '&', 395,
        '\'', 345,
        '(', 286,
        ')', 287,
        '*', 266,
        '+', 400,
        ',', 272,
        '-', 402,
        '.', 341,
        '/', 404,
        '0', 461,
        ':', 300,
        ';', 299,
        '<', 333,
        '=', 104,
        '>', 337,
        '?', 58,
        '@', 619,
        '[', 311,
        '\\', 206,
        ']', 312,
        '^', 396,
        '`', 445,
        'a', 578,
        'c', 553,
        'e', 600,
        'f', 599,
        'i', 558,
        'l', 529,
        '{', 271,
        '|', 399,
        '}', 273,
        '~', 423,
        0x2028, 499,
        0x2029, 499,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(7);
      if (lookahead > '#') ADVANCE(615);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 422,
        '"', 344,
        '#', 107,
        '%', 406,
        '&', 395,
        '\'', 345,
        '(', 286,
        '*', 266,
        '+', 400,
        ',', 272,
        '-', 402,
        '.', 341,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 333,
        '=', 104,
        '>', 337,
        '?', 58,
        '@', 619,
        '[', 311,
        '\\', 206,
        '^', 396,
        '`', 445,
        'a', 578,
        'c', 553,
        'e', 600,
        'f', 599,
        'i', 558,
        'l', 529,
        'o', 534,
        '{', 271,
        '|', 399,
        '~', 423,
        0x2028, 498,
        0x2029, 498,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(8);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 422,
        '"', 344,
        '#', 107,
        '%', 406,
        '&', 395,
        '\'', 345,
        '(', 286,
        '*', 266,
        '+', 400,
        ',', 272,
        '-', 402,
        '.', 341,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 333,
        '=', 308,
        '>', 337,
        '?', 58,
        '@', 619,
        '[', 311,
        '\\', 206,
        '^', 396,
        '`', 445,
        'a', 578,
        'c', 518,
        'd', 528,
        'e', 600,
        'f', 599,
        'i', 558,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '|', 399,
        '}', 273,
        '~', 423,
        0x2028, 491,
        0x2029, 491,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(9);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead)) ADVANCE(615);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 422,
        '"', 344,
        '#', 107,
        '%', 406,
        '&', 395,
        '\'', 345,
        '(', 286,
        '*', 266,
        '+', 400,
        ',', 272,
        '-', 402,
        '.', 341,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 333,
        '=', 308,
        '>', 337,
        '?', 58,
        '@', 619,
        '[', 311,
        '\\', 206,
        '^', 396,
        '`', 445,
        'a', 578,
        'c', 518,
        'd', 528,
        'e', 550,
        'f', 599,
        'i', 558,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '|', 399,
        '}', 273,
        '~', 423,
        0x2028, 494,
        0x2029, 494,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(10);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead)) ADVANCE(615);
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(261);
      if (lookahead == '\\') ADVANCE(205);
      if (set_contains(sym_identifier_character_set_1, 13, lookahead)) ADVANCE(616);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        ')', 287,
        '+', 400,
        ',', 272,
        '-', 402,
        '.', 55,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        ']', 312,
        '`', 445,
        'a', 578,
        'c', 553,
        'e', 600,
        'f', 599,
        'l', 529,
        '{', 271,
        '}', 273,
        '~', 423,
        0x2028, 500,
        0x2029, 500,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(12);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '*', 264,
        '+', 400,
        ',', 272,
        '-', 402,
        '.', 55,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 552,
        'e', 600,
        'f', 599,
        'l', 529,
        's', 594,
        'v', 510,
        'w', 538,
        '{', 271,
        '}', 273,
        '~', 423,
        0x2028, 484,
        0x2029, 484,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(13);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '+', 400,
        '-', 402,
        '.', 341,
        '/', 404,
        '0', 461,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 553,
        'e', 600,
        'f', 599,
        'l', 529,
        '{', 271,
        '~', 423,
        0x2028, 500,
        0x2029, 500,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(14);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '+', 400,
        '-', 402,
        '.', 224,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 506,
        'd', 528,
        'e', 600,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '}', 273,
        '~', 423,
        0x2028, 480,
        0x2029, 480,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(15);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '+', 400,
        '-', 402,
        '.', 224,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 506,
        'd', 528,
        'e', 550,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '}', 273,
        '~', 423,
        0x2028, 481,
        0x2029, 481,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(16);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '+', 400,
        '-', 402,
        '.', 224,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 552,
        'e', 600,
        'f', 599,
        'l', 529,
        'v', 510,
        '{', 271,
        '~', 423,
        0x2028, 486,
        0x2029, 486,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(17);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '+', 400,
        '-', 402,
        '.', 224,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 518,
        'd', 528,
        'e', 600,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '}', 273,
        '~', 423,
        0x2028, 490,
        0x2029, 490,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(18);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '+', 400,
        '-', 402,
        '.', 224,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 518,
        'd', 528,
        'e', 600,
        'f', 599,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '}', 273,
        '~', 423,
        0x2028, 492,
        0x2029, 492,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(19);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '+', 400,
        '-', 402,
        '.', 224,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 518,
        'd', 528,
        'e', 550,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '}', 273,
        '~', 423,
        0x2028, 493,
        0x2029, 493,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(20);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '+', 400,
        '-', 402,
        '.', 224,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 518,
        'd', 528,
        'e', 550,
        'f', 599,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '}', 273,
        '~', 423,
        0x2028, 495,
        0x2029, 495,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(21);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 22:
      ADVANCE_MAP(
        '!', 103,
        '"', 344,
        '#', 107,
        '%', 407,
        '&', 394,
        '\'', 345,
        '(', 286,
        '*', 265,
        '+', 401,
        ',', 272,
        '-', 403,
        '.', 341,
        '/', 405,
        '0', 461,
        ':', 300,
        ';', 299,
        '<', 331,
        '=', 309,
        '>', 336,
        '?', 57,
        '[', 311,
        '\\', 206,
        '^', 397,
        '`', 445,
        'a', 579,
        'e', 600,
        'f', 599,
        'i', 558,
        'l', 529,
        '|', 398,
        '}', 273,
        0x2028, 502,
        0x2029, 502,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(22);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        '!', 103,
        '"', 344,
        '#', 107,
        '%', 407,
        '&', 394,
        '\'', 345,
        '(', 286,
        '*', 265,
        '+', 401,
        ',', 272,
        '-', 403,
        '.', 341,
        '/', 405,
        '0', 461,
        ':', 300,
        ';', 299,
        '<', 331,
        '=', 309,
        '>', 336,
        '?', 57,
        '[', 311,
        '\\', 206,
        '^', 397,
        '`', 445,
        'a', 579,
        'e', 600,
        'i', 558,
        'l', 529,
        '|', 398,
        '}', 273,
        0x2028, 503,
        0x2029, 503,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(23);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 24:
      ADVANCE_MAP(
        '!', 103,
        '%', 407,
        '&', 394,
        '(', 286,
        ')', 287,
        '*', 265,
        '+', 401,
        ',', 272,
        '-', 403,
        '.', 339,
        '/', 405,
        ':', 300,
        ';', 299,
        '<', 331,
        '=', 309,
        '>', 336,
        '?', 57,
        '[', 311,
        '\\', 206,
        ']', 312,
        '^', 397,
        '`', 445,
        'a', 579,
        'e', 600,
        'f', 599,
        'i', 558,
        'l', 529,
        '{', 271,
        '|', 398,
        '}', 273,
        0x2028, 516,
        0x2029, 516,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(24);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 25:
      ADVANCE_MAP(
        '!', 103,
        '%', 407,
        '&', 394,
        '(', 286,
        '*', 265,
        '+', 401,
        ',', 272,
        '-', 403,
        '.', 339,
        '/', 405,
        ':', 300,
        ';', 299,
        '<', 331,
        '=', 309,
        '>', 336,
        '?', 57,
        '[', 311,
        '\\', 206,
        '^', 397,
        '`', 445,
        'i', 558,
        '{', 271,
        '|', 398,
        '}', 273,
        0x2028, 542,
        0x2029, 542,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(25);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 26:
      ADVANCE_MAP(
        '!', 103,
        '%', 407,
        '&', 394,
        '(', 286,
        '*', 265,
        '+', 401,
        ',', 272,
        '-', 403,
        '.', 339,
        '/', 405,
        ';', 299,
        '<', 331,
        '=', 309,
        '>', 336,
        '?', 57,
        '[', 311,
        '\\', 206,
        '^', 397,
        '`', 445,
        'a', 579,
        'e', 600,
        'f', 599,
        'i', 558,
        'l', 529,
        'o', 534,
        '|', 398,
        0x2028, 515,
        0x2029, 515,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(26);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 27:
      ADVANCE_MAP(
        '!', 103,
        '%', 407,
        '&', 394,
        '(', 286,
        '*', 265,
        '+', 401,
        ',', 272,
        '-', 403,
        '.', 339,
        '/', 405,
        ';', 299,
        '<', 331,
        '=', 309,
        '>', 336,
        '?', 57,
        '[', 311,
        '\\', 206,
        '^', 397,
        '`', 445,
        'i', 558,
        'o', 534,
        '{', 271,
        '|', 398,
        0x2028, 541,
        0x2029, 541,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(27);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 28:
      ADVANCE_MAP(
        '!', 103,
        '%', 406,
        '&', 395,
        '(', 286,
        ')', 287,
        '*', 266,
        '+', 400,
        ',', 272,
        '-', 402,
        '.', 339,
        '/', 404,
        ':', 300,
        ';', 299,
        '<', 332,
        '=', 104,
        '>', 337,
        '?', 58,
        '[', 311,
        ']', 312,
        '^', 396,
        '`', 445,
        'i', 161,
        '{', 271,
        '|', 399,
        '}', 273,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(28);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        '!', 103,
        '%', 406,
        '&', 395,
        '(', 286,
        ')', 287,
        '*', 266,
        '+', 400,
        ',', 272,
        '-', 402,
        '.', 339,
        '/', 404,
        ':', 300,
        ';', 299,
        '<', 332,
        '=', 104,
        '>', 337,
        '?', 58,
        '[', 311,
        ']', 312,
        '^', 396,
        '`', 445,
        'i', 455,
        '{', 271,
        '|', 399,
        '}', 273,
      );
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(28);
      END_STATE();
    case 30:
      ADVANCE_MAP(
        '!', 103,
        '%', 406,
        '&', 395,
        '(', 286,
        ')', 287,
        '*', 266,
        '+', 400,
        ',', 272,
        '-', 402,
        '.', 339,
        '/', 404,
        ':', 300,
        ';', 299,
        '<', 332,
        '=', 308,
        '>', 337,
        '?', 58,
        '[', 311,
        ']', 312,
        '^', 396,
        '`', 445,
        'a', 184,
        'e', 151,
        'f', 177,
        'i', 161,
        'o', 137,
        'w', 142,
        '{', 271,
        '|', 399,
        '}', 273,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(30);
      END_STATE();
    case 31:
      ADVANCE_MAP(
        '!', 103,
        '%', 406,
        '&', 395,
        '(', 286,
        '*', 266,
        '+', 400,
        ',', 272,
        '-', 402,
        '.', 339,
        '/', 404,
        ';', 299,
        '<', 332,
        '=', 104,
        '>', 337,
        '?', 58,
        '[', 311,
        '^', 396,
        '`', 445,
        'i', 161,
        'o', 137,
        '|', 399,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(31);
      END_STATE();
    case 32:
      ADVANCE_MAP(
        '!', 103,
        '%', 406,
        '&', 395,
        '(', 286,
        '*', 266,
        '+', 400,
        ',', 272,
        '-', 402,
        '.', 339,
        '/', 404,
        ';', 299,
        '<', 332,
        '=', 104,
        '>', 337,
        '?', 58,
        '[', 311,
        '^', 396,
        '`', 445,
        'i', 455,
        'o', 454,
        '|', 399,
      );
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(31);
      END_STATE();
    case 33:
      ADVANCE_MAP(
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '*', 264,
        ',', 272,
        '.', 55,
        '/', 49,
        '0', 461,
        ':', 300,
        ';', 299,
        '=', 310,
        '[', 311,
        '\\', 206,
        'a', 579,
        'e', 600,
        'l', 529,
        '{', 271,
        '}', 273,
        0x2028, 505,
        0x2029, 505,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(33);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          lookahead != 'a' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 34:
      ADVANCE_MAP(
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '*', 264,
        ',', 272,
        '.', 339,
        '/', 49,
        ';', 299,
        '?', 56,
        '[', 311,
        '\\', 206,
        '`', 445,
        '{', 271,
        '}', 273,
        0x2028, 607,
        0x2029, 607,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(34);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 35:
      ADVANCE_MAP(
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '*', 264,
        '.', 341,
        '/', 49,
        '0', 461,
        '@', 619,
        '[', 311,
        '\\', 206,
        'a', 579,
        'c', 553,
        'e', 600,
        'l', 529,
        's', 594,
        0x2028, 501,
        0x2029, 501,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(35);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          lookahead != 'a' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 36:
      ADVANCE_MAP(
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '*', 264,
        '.', 341,
        '/', 49,
        '0', 461,
        '@', 619,
        '[', 311,
        '\\', 206,
        'a', 579,
        'e', 600,
        'l', 529,
        's', 594,
        0x2028, 504,
        0x2029, 504,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(36);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          lookahead != 'a' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 37:
      ADVANCE_MAP(
        '"', 344,
        '#', 107,
        '\'', 345,
        '*', 264,
        ',', 272,
        '.', 55,
        '/', 49,
        '0', 461,
        ';', 299,
        '<', 189,
        '@', 619,
        '[', 311,
        '\\', 206,
        'a', 579,
        'e', 600,
        'l', 529,
        's', 594,
        '{', 271,
        '}', 273,
        0x2028, 504,
        0x2029, 504,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(37);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          lookahead != 'a' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 38:
      if (lookahead == '"') ADVANCE(344);
      if (lookahead == '&') ADVANCE(43);
      if (lookahead == '/') ADVANCE(348);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(347);
      if (lookahead != 0) ADVANCE(349);
      END_STATE();
    case 39:
      ADVANCE_MAP(
        '"', 344,
        '\'', 345,
        '(', 286,
        ')', 287,
        ',', 272,
        '.', 339,
        '/', 49,
        ':', 300,
        ';', 299,
        '<', 328,
        '=', 307,
        '>', 335,
        ']', 312,
        'i', 164,
        'o', 137,
        '{', 271,
        '}', 273,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(39);
      END_STATE();
    case 40:
      if (lookahead == '"') ADVANCE(344);
      if (lookahead == '/') ADVANCE(49);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(40);
      END_STATE();
    case 41:
      if (lookahead == '"') ADVANCE(344);
      if (lookahead == '/') ADVANCE(426);
      if (lookahead == '\\') ADVANCE(207);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(40);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(429);
      if (lookahead != 0) ADVANCE(430);
      END_STATE();
    case 42:
      if (lookahead == '#') ADVANCE(220);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(102);
      END_STATE();
    case 43:
      if (lookahead == '#') ADVANCE(220);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(102);
      if (lookahead != 0) ADVANCE(349);
      END_STATE();
    case 44:
      if (lookahead == '#') ADVANCE(220);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(102);
      if (lookahead != 0) ADVANCE(355);
      END_STATE();
    case 45:
      if (lookahead == '&') ADVANCE(42);
      if (lookahead == '/') ADVANCE(319);
      if (lookahead == '<') ADVANCE(329);
      if (lookahead == '{') ADVANCE(271);
      if (lookahead == '\n' ||
          lookahead == ' ') SKIP(45);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(321);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(320);
      END_STATE();
    case 46:
      if (lookahead == '&') ADVANCE(44);
      if (lookahead == '\'') ADVANCE(345);
      if (lookahead == '/') ADVANCE(354);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(353);
      if (lookahead != 0) ADVANCE(355);
      END_STATE();
    case 47:
      if (lookahead == '\'') ADVANCE(345);
      if (lookahead == '/') ADVANCE(49);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(47);
      END_STATE();
    case 48:
      if (lookahead == '\'') ADVANCE(345);
      if (lookahead == '/') ADVANCE(431);
      if (lookahead == '\\') ADVANCE(207);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(47);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(434);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 49:
      if (lookahead == '*') ADVANCE(52);
      if (lookahead == '/') ADVANCE(444);
      END_STATE();
    case 50:
      if (lookahead == '*') ADVANCE(52);
      if (lookahead == '/') ADVANCE(444);
      if (lookahead == '>') ADVANCE(343);
      END_STATE();
    case 51:
      if (lookahead == '*') ADVANCE(51);
      if (lookahead == '/') ADVANCE(441);
      if (lookahead != 0) ADVANCE(52);
      END_STATE();
    case 52:
      if (lookahead == '*') ADVANCE(51);
      if (lookahead != 0) ADVANCE(52);
      END_STATE();
    case 53:
      if (lookahead == '*') ADVANCE(350);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(52);
      if (lookahead != 0) ADVANCE(351);
      END_STATE();
    case 54:
      if (lookahead == '*') ADVANCE(356);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(52);
      if (lookahead != 0) ADVANCE(357);
      END_STATE();
    case 55:
      if (lookahead == '.') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(475);
      END_STATE();
    case 56:
      if (lookahead == '.') ADVANCE(367);
      END_STATE();
    case 57:
      if (lookahead == '.') ADVANCE(367);
      if (lookahead == '?') ADVANCE(417);
      END_STATE();
    case 58:
      if (lookahead == '.') ADVANCE(367);
      if (lookahead == '?') ADVANCE(416);
      END_STATE();
    case 59:
      if (lookahead == '.') ADVANCE(383);
      END_STATE();
    case 60:
      ADVANCE_MAP(
        '.', 339,
        '/', 50,
        ':', 300,
        '=', 307,
        '>', 335,
        '\\', 206,
        '{', 271,
        0x2028, 608,
        0x2029, 608,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(60);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(479);
      if (lookahead > '~') ADVANCE(615);
      END_STATE();
    case 61:
      if (lookahead == '/') ADVANCE(447);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(63);
      END_STATE();
    case 62:
      if (lookahead == '/') ADVANCE(49);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'e') ADVANCE(601);
      if (lookahead == '{') ADVANCE(271);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(530);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(62);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 63:
      if (lookahead == '/') ADVANCE(49);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(63);
      END_STATE();
    case 64:
      if (lookahead == ';') ADVANCE(327);
      END_STATE();
    case 65:
      if (lookahead == ';') ADVANCE(327);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(64);
      END_STATE();
    case 66:
      if (lookahead == ';') ADVANCE(327);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(65);
      END_STATE();
    case 67:
      if (lookahead == ';') ADVANCE(327);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(66);
      END_STATE();
    case 68:
      if (lookahead == ';') ADVANCE(327);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(67);
      END_STATE();
    case 69:
      if (lookahead == ';') ADVANCE(327);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(64);
      END_STATE();
    case 70:
      if (lookahead == ';') ADVANCE(327);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(69);
      END_STATE();
    case 71:
      if (lookahead == ';') ADVANCE(327);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(70);
      END_STATE();
    case 72:
      if (lookahead == ';') ADVANCE(327);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(71);
      END_STATE();
    case 73:
      if (lookahead == ';') ADVANCE(327);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(72);
      END_STATE();
    case 74:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(64);
      END_STATE();
    case 75:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 76:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(75);
      END_STATE();
    case 77:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(76);
      END_STATE();
    case 78:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(77);
      END_STATE();
    case 79:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(78);
      END_STATE();
    case 80:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(79);
      END_STATE();
    case 81:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(80);
      END_STATE();
    case 82:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(81);
      END_STATE();
    case 83:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(82);
      END_STATE();
    case 84:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(83);
      END_STATE();
    case 85:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(84);
      END_STATE();
    case 86:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(85);
      END_STATE();
    case 87:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(86);
      END_STATE();
    case 88:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(87);
      END_STATE();
    case 89:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(88);
      END_STATE();
    case 90:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(89);
      END_STATE();
    case 91:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(90);
      END_STATE();
    case 92:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(91);
      END_STATE();
    case 93:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(92);
      END_STATE();
    case 94:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(93);
      END_STATE();
    case 95:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(94);
      END_STATE();
    case 96:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(95);
      END_STATE();
    case 97:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(96);
      END_STATE();
    case 98:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(97);
      END_STATE();
    case 99:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(98);
      END_STATE();
    case 100:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(99);
      END_STATE();
    case 101:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(100);
      END_STATE();
    case 102:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(101);
      END_STATE();
    case 103:
      if (lookahead == '=') ADVANCE(413);
      END_STATE();
    case 104:
      if (lookahead == '=') ADVANCE(411);
      END_STATE();
    case 105:
      if (lookahead == '>') ADVANCE(317);
      END_STATE();
    case 106:
      if (lookahead == '>') ADVANCE(318);
      END_STATE();
    case 107:
      if (lookahead == '\\') ADVANCE(205);
      if (set_contains(sym_identifier_character_set_1, 13, lookahead)) ADVANCE(616);
      END_STATE();
    case 108:
      if (lookahead == '\\') ADVANCE(247);
      if (lookahead == ']') ADVANCE(449);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(108);
      END_STATE();
    case 109:
      if (lookahead == 'a') ADVANCE(198);
      END_STATE();
    case 110:
      if (lookahead == 'a') ADVANCE(186);
      if (lookahead == 'l') ADVANCE(113);
      if (lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 111:
      if (lookahead == 'a') ADVANCE(178);
      END_STATE();
    case 112:
      if (lookahead == 'a') ADVANCE(204);
      END_STATE();
    case 113:
      if (lookahead == 'a') ADVANCE(185);
      END_STATE();
    case 114:
      if (lookahead == 'a') ADVANCE(179);
      END_STATE();
    case 115:
      if (lookahead == 'a') ADVANCE(149);
      END_STATE();
    case 116:
      if (lookahead == 'a') ADVANCE(154);
      END_STATE();
    case 117:
      if (lookahead == 'a') ADVANCE(168);
      END_STATE();
    case 118:
      if (lookahead == 'a') ADVANCE(201);
      END_STATE();
    case 119:
      if (lookahead == 'c') ADVANCE(362);
      END_STATE();
    case 120:
      if (lookahead == 'c') ADVANCE(145);
      END_STATE();
    case 121:
      if (lookahead == 'c') ADVANCE(199);
      END_STATE();
    case 122:
      if (lookahead == 'c') ADVANCE(133);
      END_STATE();
    case 123:
      if (lookahead == 'd') ADVANCE(183);
      END_STATE();
    case 124:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(105);
      END_STATE();
    case 126:
      if (lookahead == 'e') ADVANCE(301);
      END_STATE();
    case 127:
      if (lookahead == 'e') ADVANCE(284);
      END_STATE();
    case 128:
      if (lookahead == 'e') ADVANCE(297);
      END_STATE();
    case 129:
      if (lookahead == 'e') ADVANCE(190);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(106);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(139);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(191);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(171);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(162);
      END_STATE();
    case 135:
      if (lookahead == 'e') ADVANCE(196);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(160);
      END_STATE();
    case 137:
      if (lookahead == 'f') ADVANCE(294);
      END_STATE();
    case 138:
      if (lookahead == 'f') ADVANCE(418);
      END_STATE();
    case 139:
      if (lookahead == 'f') ADVANCE(112);
      END_STATE();
    case 140:
      if (lookahead == 'g') ADVANCE(129);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(140);
      END_STATE();
    case 141:
      if (lookahead == 'g') ADVANCE(135);
      END_STATE();
    case 142:
      if (lookahead == 'h') ADVANCE(146);
      END_STATE();
    case 143:
      if (lookahead == 'h') ADVANCE(146);
      if (lookahead == 'i') ADVANCE(192);
      END_STATE();
    case 144:
      if (lookahead == 'h') ADVANCE(276);
      END_STATE();
    case 145:
      if (lookahead == 'h') ADVANCE(303);
      END_STATE();
    case 146:
      if (lookahead == 'i') ADVANCE(155);
      END_STATE();
    case 147:
      if (lookahead == 'i') ADVANCE(169);
      if (lookahead == 'r') ADVANCE(170);
      if (lookahead == 'u') ADVANCE(165);
      END_STATE();
    case 148:
      if (lookahead == 'i') ADVANCE(173);
      END_STATE();
    case 149:
      if (lookahead == 'i') ADVANCE(193);
      END_STATE();
    case 150:
      if (lookahead == 'l') ADVANCE(109);
      END_STATE();
    case 151:
      if (lookahead == 'l') ADVANCE(187);
      END_STATE();
    case 152:
      if (lookahead == 'l') ADVANCE(187);
      if (lookahead == 'x') ADVANCE(175);
      END_STATE();
    case 153:
      if (lookahead == 'l') ADVANCE(208);
      END_STATE();
    case 154:
      if (lookahead == 'l') ADVANCE(153);
      END_STATE();
    case 155:
      if (lookahead == 'l') ADVANCE(128);
      END_STATE();
    case 156:
      if (lookahead == 'l') ADVANCE(197);
      END_STATE();
    case 157:
      if (lookahead == 'l') ADVANCE(118);
      END_STATE();
    case 158:
      if (lookahead == 'm') ADVANCE(174);
      END_STATE();
    case 159:
      if (lookahead == 'm') ADVANCE(274);
      END_STATE();
    case 160:
      if (lookahead == 'm') ADVANCE(176);
      END_STATE();
    case 161:
      if (lookahead == 'n') ADVANCE(293);
      END_STATE();
    case 162:
      if (lookahead == 'n') ADVANCE(123);
      END_STATE();
    case 163:
      if (lookahead == 'n') ADVANCE(364);
      END_STATE();
    case 164:
      if (lookahead == 'n') ADVANCE(290);
      END_STATE();
    case 165:
      if (lookahead == 'n') ADVANCE(121);
      END_STATE();
    case 166:
      if (lookahead == 'n') ADVANCE(188);
      END_STATE();
    case 167:
      if (lookahead == 'n') ADVANCE(119);
      END_STATE();
    case 168:
      if (lookahead == 'n') ADVANCE(122);
      END_STATE();
    case 169:
      if (lookahead == 'n') ADVANCE(116);
      END_STATE();
    case 170:
      if (lookahead == 'o') ADVANCE(159);
      END_STATE();
    case 171:
      if (lookahead == 'o') ADVANCE(138);
      END_STATE();
    case 172:
      if (lookahead == 'o') ADVANCE(180);
      END_STATE();
    case 173:
      if (lookahead == 'o') ADVANCE(163);
      END_STATE();
    case 174:
      if (lookahead == 'p') ADVANCE(150);
      END_STATE();
    case 175:
      if (lookahead == 'p') ADVANCE(172);
      if (lookahead == 't') ADVANCE(134);
      END_STATE();
    case 176:
      if (lookahead == 'p') ADVANCE(157);
      END_STATE();
    case 177:
      if (lookahead == 'r') ADVANCE(170);
      END_STATE();
    case 178:
      if (lookahead == 'r') ADVANCE(141);
      END_STATE();
    case 179:
      if (lookahead == 'r') ADVANCE(278);
      END_STATE();
    case 180:
      if (lookahead == 'r') ADVANCE(195);
      END_STATE();
    case 181:
      if (lookahead == 's') ADVANCE(209);
      if (lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 182:
      if (lookahead == 's') ADVANCE(358);
      END_STATE();
    case 183:
      if (lookahead == 's') ADVANCE(360);
      END_STATE();
    case 184:
      if (lookahead == 's') ADVANCE(269);
      END_STATE();
    case 185:
      if (lookahead == 's') ADVANCE(182);
      END_STATE();
    case 186:
      if (lookahead == 's') ADVANCE(126);
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 187:
      if (lookahead == 's') ADVANCE(127);
      END_STATE();
    case 188:
      if (lookahead == 's') ADVANCE(194);
      END_STATE();
    case 189:
      if (lookahead == 't') ADVANCE(124);
      END_STATE();
    case 190:
      if (lookahead == 't') ADVANCE(1);
      END_STATE();
    case 191:
      if (lookahead == 't') ADVANCE(280);
      END_STATE();
    case 192:
      if (lookahead == 't') ADVANCE(144);
      END_STATE();
    case 193:
      if (lookahead == 't') ADVANCE(288);
      END_STATE();
    case 194:
      if (lookahead == 't') ADVANCE(282);
      END_STATE();
    case 195:
      if (lookahead == 't') ADVANCE(262);
      END_STATE();
    case 196:
      if (lookahead == 't') ADVANCE(617);
      END_STATE();
    case 197:
      if (lookahead == 't') ADVANCE(267);
      END_STATE();
    case 198:
      if (lookahead == 't') ADVANCE(125);
      END_STATE();
    case 199:
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 200:
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 201:
      if (lookahead == 't') ADVANCE(130);
      END_STATE();
    case 202:
      if (lookahead == 't') ADVANCE(136);
      END_STATE();
    case 203:
      if (lookahead == 'u') ADVANCE(211);
      if (lookahead == 'x') ADVANCE(237);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(438);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(440);
      if (lookahead != 0) ADVANCE(436);
      END_STATE();
    case 204:
      if (lookahead == 'u') ADVANCE(156);
      END_STATE();
    case 205:
      if (lookahead == 'u') ADVANCE(212);
      END_STATE();
    case 206:
      if (lookahead == 'u') ADVANCE(213);
      END_STATE();
    case 207:
      if (lookahead == 'u') ADVANCE(214);
      if (lookahead == 'x') ADVANCE(237);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(438);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(440);
      if (lookahead != 0) ADVANCE(436);
      END_STATE();
    case 208:
      if (lookahead == 'y') ADVANCE(305);
      END_STATE();
    case 209:
      if (lookahead == 'y') ADVANCE(167);
      END_STATE();
    case 210:
      if (lookahead == '{') ADVANCE(446);
      END_STATE();
    case 211:
      if (lookahead == '{') ADVANCE(231);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(242);
      END_STATE();
    case 212:
      if (lookahead == '{') ADVANCE(235);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(243);
      END_STATE();
    case 213:
      if (lookahead == '{') ADVANCE(236);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(244);
      END_STATE();
    case 214:
      if (lookahead == '{') ADVANCE(238);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(234);
      END_STATE();
    case 215:
      if (lookahead == '}') ADVANCE(615);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(215);
      END_STATE();
    case 216:
      if (lookahead == '}') ADVANCE(616);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(216);
      END_STATE();
    case 217:
      if (lookahead == '}') ADVANCE(436);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(217);
      END_STATE();
    case 218:
      if (lookahead == '}') ADVANCE(437);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(218);
      END_STATE();
    case 219:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(476);
      END_STATE();
    case 220:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(233);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(68);
      END_STATE();
    case 221:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(472);
      END_STATE();
    case 222:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(473);
      END_STATE();
    case 223:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(464);
      END_STATE();
    case 224:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(475);
      END_STATE();
    case 225:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(471);
      END_STATE();
    case 226:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(476);
      END_STATE();
    case 227:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(615);
      END_STATE();
    case 228:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(616);
      END_STATE();
    case 229:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(436);
      END_STATE();
    case 230:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(474);
      END_STATE();
    case 231:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(218);
      END_STATE();
    case 232:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(437);
      END_STATE();
    case 233:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(73);
      END_STATE();
    case 234:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(237);
      END_STATE();
    case 235:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(216);
      END_STATE();
    case 236:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(215);
      END_STATE();
    case 237:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(229);
      END_STATE();
    case 238:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(217);
      END_STATE();
    case 239:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(232);
      END_STATE();
    case 240:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(228);
      END_STATE();
    case 241:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(227);
      END_STATE();
    case 242:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(239);
      END_STATE();
    case 243:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(240);
      END_STATE();
    case 244:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(241);
      END_STATE();
    case 245:
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(349);
      END_STATE();
    case 246:
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(355);
      END_STATE();
    case 247:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(108);
      END_STATE();
    case 248:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(449);
      END_STATE();
    case 249:
      if (eof) ADVANCE(260);
      ADVANCE_MAP(
        '!', 422,
        '"', 344,
        '#', 11,
        '$', 604,
        '%', 407,
        '&', 394,
        '\'', 345,
        '(', 286,
        ')', 287,
        '*', 265,
        '+', 401,
        ',', 272,
        '-', 403,
        '.', 340,
        '/', 405,
        '0', 461,
        ':', 300,
        ';', 299,
        '<', 330,
        '=', 309,
        '>', 336,
        '?', 57,
        '@', 619,
        '[', 311,
        '\\', 206,
        ']', 312,
        '^', 397,
        '`', 445,
        'a', 575,
        'c', 506,
        'd', 528,
        'e', 549,
        'f', 544,
        'i', 558,
        'l', 529,
        'o', 534,
        's', 594,
        't', 507,
        'v', 510,
        'w', 538,
        '{', 271,
        '|', 398,
        '}', 273,
        '~', 423,
        0x2028, 478,
        0x2029, 478,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(249);
      if (lookahead > '@') ADVANCE(615);
      END_STATE();
    case 250:
      if (eof) ADVANCE(260);
      ADVANCE_MAP(
        '!', 422,
        '"', 344,
        '#', 107,
        '%', 406,
        '&', 395,
        '\'', 345,
        '(', 286,
        '*', 266,
        '+', 400,
        ',', 272,
        '-', 402,
        '.', 341,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 333,
        '=', 308,
        '>', 337,
        '?', 58,
        '@', 619,
        '[', 311,
        '\\', 206,
        '^', 396,
        '`', 445,
        'a', 578,
        'c', 552,
        'e', 600,
        'f', 599,
        'i', 558,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '|', 399,
        '}', 273,
        '~', 423,
        0x2028, 483,
        0x2029, 483,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(250);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead)) ADVANCE(615);
      END_STATE();
    case 251:
      if (eof) ADVANCE(260);
      ADVANCE_MAP(
        '!', 422,
        '"', 344,
        '#', 107,
        '%', 406,
        '&', 395,
        '\'', 345,
        '(', 286,
        '*', 266,
        '+', 400,
        ',', 272,
        '-', 402,
        '.', 341,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 333,
        '=', 308,
        '>', 337,
        '?', 58,
        '@', 619,
        '[', 311,
        '\\', 206,
        '^', 396,
        '`', 445,
        'a', 578,
        'c', 552,
        'e', 550,
        'f', 599,
        'i', 558,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '|', 399,
        '}', 273,
        '~', 423,
        0x2028, 488,
        0x2029, 488,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(251);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead)) ADVANCE(615);
      END_STATE();
    case 252:
      if (eof) ADVANCE(260);
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 11,
        '\'', 345,
        '(', 286,
        '+', 400,
        '-', 402,
        '.', 224,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 552,
        'e', 600,
        'f', 599,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '}', 273,
        '~', 423,
        0x2028, 485,
        0x2029, 485,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(252);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 253:
      if (eof) ADVANCE(260);
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '+', 400,
        '-', 402,
        '.', 224,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 552,
        'e', 600,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '}', 273,
        '~', 423,
        0x2028, 482,
        0x2029, 482,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(253);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 254:
      if (eof) ADVANCE(260);
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '+', 400,
        '-', 402,
        '.', 224,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 552,
        'e', 550,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '}', 273,
        '~', 423,
        0x2028, 487,
        0x2029, 487,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(254);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 255:
      if (eof) ADVANCE(260);
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '+', 400,
        '-', 402,
        '.', 224,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 552,
        'e', 550,
        'f', 599,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '}', 273,
        '~', 423,
        0x2028, 489,
        0x2029, 489,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(255);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 256:
      if (eof) ADVANCE(260);
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '+', 400,
        '-', 402,
        '.', 224,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 517,
        'e', 600,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '}', 273,
        '~', 423,
        0x2028, 496,
        0x2029, 496,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(256);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 257:
      if (eof) ADVANCE(260);
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '+', 400,
        '-', 402,
        '.', 224,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 517,
        'e', 550,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '}', 273,
        '~', 423,
        0x2028, 497,
        0x2029, 497,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(257);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 258:
      if (eof) ADVANCE(260);
      ADVANCE_MAP(
        '!', 103,
        '"', 344,
        '$', 210,
        '%', 407,
        '&', 394,
        '\'', 345,
        '(', 286,
        ')', 287,
        '*', 265,
        '+', 401,
        ',', 272,
        '-', 403,
        '.', 339,
        '/', 405,
        ':', 300,
        ';', 299,
        '<', 331,
        '=', 309,
        '>', 336,
        '?', 57,
        '@', 619,
        '[', 311,
        '\\', 207,
        ']', 312,
        '^', 397,
        '`', 445,
        'a', 181,
        'c', 110,
        'd', 131,
        'e', 152,
        'f', 147,
        'i', 161,
        'l', 132,
        'o', 137,
        't', 111,
        'v', 114,
        'w', 143,
        '{', 271,
        '|', 398,
        '}', 273,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(259);
      END_STATE();
    case 259:
      if (eof) ADVANCE(260);
      ADVANCE_MAP(
        '!', 103,
        '"', 344,
        '$', 210,
        '%', 407,
        '&', 394,
        '\'', 345,
        '(', 286,
        ')', 287,
        '*', 265,
        '+', 401,
        ',', 272,
        '-', 403,
        '.', 339,
        '/', 405,
        ':', 300,
        ';', 299,
        '<', 331,
        '=', 309,
        '>', 336,
        '?', 57,
        '@', 619,
        '[', 311,
        ']', 312,
        '^', 397,
        '`', 445,
        'a', 181,
        'c', 110,
        'd', 131,
        'e', 152,
        'f', 147,
        'i', 161,
        'l', 132,
        'o', 137,
        't', 111,
        'v', 114,
        'w', 143,
        '{', 271,
        '|', 398,
        '}', 273,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(259);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(261);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_export);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(409);
      if (lookahead == '=') ADVANCE(370);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(408);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_default);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_from);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_with);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_var);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_let);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_await);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 's') ADVANCE(597);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(458);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(200);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_of);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_of);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_while);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(anon_sym_case);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_catch);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(anon_sym_finally);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(411);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(411);
      if (lookahead == '>') ADVANCE(366);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(366);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '*') ADVANCE(52);
      if (lookahead == '/') ADVANCE(444);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(314);
      if (lookahead == '<') ADVANCE(316);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n') ADVANCE(315);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(313);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(202);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(anon_sym_LTtemplate_GT);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(anon_sym_LT_SLASHtemplate_GT);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead == '*') ADVANCE(323);
      if (lookahead == '/') ADVANCE(324);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(320);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(320);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(2);
      if (lookahead == '/') ADVANCE(319);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n') ADVANCE(321);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(320);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      ADVANCE_MAP(
        ' ', 6,
        '*', 322,
        '/', 320,
        '\n', 52,
        '&', 52,
        '<', 52,
        '>', 52,
        '{', 52,
        '}', 52,
      );
      if (lookahead != 0) ADVANCE(323);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      ADVANCE_MAP(
        ' ', 6,
        '*', 322,
        '\n', 52,
        '&', 52,
        '<', 52,
        '>', 52,
        '{', 52,
        '}', 52,
      );
      if (lookahead != 0) ADVANCE(323);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(325);
      if (lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(326);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(324);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(aux_sym_jsx_text_token2);
      if (lookahead == ' ') ADVANCE(325);
      if (lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(326);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(324);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(aux_sym_jsx_text_token2);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(326);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(sym_html_character_reference);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(342);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(342);
      if (lookahead == '<') ADVANCE(393);
      if (lookahead == '=') ADVANCE(410);
      if (lookahead == 't') ADVANCE(124);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(393);
      if (lookahead == '=') ADVANCE(410);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(392);
      if (lookahead == '=') ADVANCE(410);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(392);
      if (lookahead == '=') ADVANCE(410);
      if (lookahead == 't') ADVANCE(124);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == 't') ADVANCE(124);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(415);
      if (lookahead == '>') ADVANCE(388);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(415);
      if (lookahead == '>') ADVANCE(389);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(338);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(475);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(475);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_LT_SLASH);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_SLASH_GT);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '\n') ADVANCE(349);
      if (lookahead == '&') ADVANCE(442);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(346);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(43);
      if (lookahead == '/') ADVANCE(348);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(347);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(349);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(245);
      if (lookahead == '*') ADVANCE(351);
      if (lookahead == '/') ADVANCE(346);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(349);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(245);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(349);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(53);
      if (lookahead == '*') ADVANCE(350);
      if (lookahead == '/') ADVANCE(349);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(351);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(53);
      if (lookahead == '*') ADVANCE(350);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(351);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '\n') ADVANCE(355);
      if (lookahead == '&') ADVANCE(443);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(352);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(44);
      if (lookahead == '/') ADVANCE(354);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(353);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(355);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(246);
      if (lookahead == '*') ADVANCE(357);
      if (lookahead == '/') ADVANCE(352);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(355);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(355);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(54);
      if (lookahead == '*') ADVANCE(356);
      if (lookahead == '/') ADVANCE(355);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(357);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(54);
      if (lookahead == '*') ADVANCE(356);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(357);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(anon_sym_class);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(anon_sym_extends);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym_async);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym_function);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(sym_optional_chain);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(380);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(381);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(376);
      if (lookahead == '>') ADVANCE(391);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(390);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(377);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(378);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(385);
      if (lookahead == '=') ADVANCE(374);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(384);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(373);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(375);
      if (lookahead == '|') ADVANCE(387);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(386);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(424);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(424);
      if (lookahead == '=') ADVANCE(368);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(425);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(425);
      if (lookahead == '=') ADVANCE(369);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(52);
      if (lookahead == '/') ADVANCE(444);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(52);
      if (lookahead == '/') ADVANCE(444);
      if (lookahead == '=') ADVANCE(371);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(372);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(379);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(412);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(414);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(382);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_instanceof);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_instanceof);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(413);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(428);
      if (lookahead == '/') ADVANCE(430);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(430);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(427);
      if (lookahead == '/') ADVANCE(430);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(428);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(427);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(428);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '/') ADVANCE(426);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(429);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(430);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(430);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(433);
      if (lookahead == '/') ADVANCE(435);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(435);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(432);
      if (lookahead == '/') ADVANCE(435);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(433);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(432);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(433);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '/') ADVANCE(431);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(434);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(435);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(435);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(436);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(436);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(439);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead == '\n') ADVANCE(349);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(444);
      if (lookahead != 0) ADVANCE(346);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead == '\n') ADVANCE(355);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(444);
      if (lookahead != 0) ADVANCE(352);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(444);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(63);
      if (lookahead == '/') ADVANCE(49);
      if (lookahead == '[') ADVANCE(108);
      if (lookahead == '\\') ADVANCE(248);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(448);
      if (lookahead != 0) ADVANCE(449);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(108);
      if (lookahead == '\\') ADVANCE(248);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(449);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'a') ADVANCE(456);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'c') ADVANCE(452);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(457);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(420);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(296);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(292);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(451);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'o') ADVANCE(453);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 't') ADVANCE(450);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(sym_regex_flags);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(sym_number);
      ADVANCE_MAP(
        '.', 477,
        '0', 471,
        '_', 225,
        'n', 460,
        'B', 221,
        'b', 221,
        'E', 219,
        'e', 219,
        'O', 222,
        'o', 222,
        'X', 230,
        'x', 230,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(sym_number);
      ADVANCE_MAP(
        '.', 477,
        '0', 465,
        '\\', 206,
        '_', 612,
        'n', 470,
        'B', 606,
        'b', 606,
        'E', 605,
        'e', 605,
        'O', 610,
        'o', 610,
        'X', 614,
        'x', 614,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(477);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == '_') ADVANCE(611);
      if (lookahead == 'n') ADVANCE(470);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(605);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(477);
      if (lookahead == '_') ADVANCE(223);
      if (lookahead == 'n') ADVANCE(460);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(219);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(464);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == '_') ADVANCE(612);
      if (lookahead == 'n') ADVANCE(470);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(465);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == '_') ADVANCE(606);
      if (lookahead == 'n') ADVANCE(470);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(466);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == '_') ADVANCE(610);
      if (lookahead == 'n') ADVANCE(470);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(467);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == '_') ADVANCE(614);
      if (lookahead == 'n') ADVANCE(470);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(468);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == '_') ADVANCE(613);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(469);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(225);
      if (lookahead == 'n') ADVANCE(460);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(471);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(221);
      if (lookahead == 'n') ADVANCE(460);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(472);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(222);
      if (lookahead == 'n') ADVANCE(460);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(473);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(230);
      if (lookahead == 'n') ADVANCE(460);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(474);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(224);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(219);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(475);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(476);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(219);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(475);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '$', 604,
        '0', 462,
        '\\', 206,
        'a', 575,
        'c', 506,
        'd', 528,
        'e', 549,
        'f', 544,
        'i', 558,
        'l', 529,
        'o', 534,
        's', 594,
        't', 507,
        'v', 510,
        'w', 538,
        0x2028, 478,
        0x2029, 478,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(338);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(479);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 506,
        'd', 528,
        'e', 600,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 480,
        0x2029, 480,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 506,
        'd', 528,
        'e', 550,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 481,
        0x2029, 481,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 552,
        'e', 600,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 482,
        0x2029, 482,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 552,
        'e', 600,
        'f', 599,
        'i', 558,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 483,
        0x2029, 483,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 552,
        'e', 600,
        'f', 599,
        'l', 529,
        's', 594,
        'v', 510,
        'w', 538,
        0x2028, 484,
        0x2029, 484,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 552,
        'e', 600,
        'f', 599,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 485,
        0x2029, 485,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 552,
        'e', 600,
        'f', 599,
        'l', 529,
        'v', 510,
        0x2028, 486,
        0x2029, 486,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 552,
        'e', 550,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 487,
        0x2029, 487,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 552,
        'e', 550,
        'f', 599,
        'i', 558,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 488,
        0x2029, 488,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 552,
        'e', 550,
        'f', 599,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 489,
        0x2029, 489,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 518,
        'd', 528,
        'e', 600,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 490,
        0x2029, 490,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 518,
        'd', 528,
        'e', 600,
        'f', 599,
        'i', 558,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 491,
        0x2029, 491,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 518,
        'd', 528,
        'e', 600,
        'f', 599,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 492,
        0x2029, 492,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 518,
        'd', 528,
        'e', 550,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 493,
        0x2029, 493,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 518,
        'd', 528,
        'e', 550,
        'f', 599,
        'i', 558,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 494,
        0x2029, 494,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 518,
        'd', 528,
        'e', 550,
        'f', 599,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 495,
        0x2029, 495,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 517,
        'e', 600,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 496,
        0x2029, 496,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 517,
        'e', 550,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 497,
        0x2029, 497,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 553,
        'e', 600,
        'f', 599,
        'i', 558,
        'l', 529,
        'o', 534,
        0x2028, 498,
        0x2029, 498,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 553,
        'e', 600,
        'f', 599,
        'i', 558,
        'l', 529,
        0x2028, 499,
        0x2029, 499,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 553,
        'e', 600,
        'f', 599,
        'l', 529,
        0x2028, 500,
        0x2029, 500,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 579,
        'c', 553,
        'e', 600,
        'l', 529,
        's', 594,
        0x2028, 501,
        0x2029, 501,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 579,
        'e', 600,
        'f', 599,
        'i', 558,
        'l', 529,
        0x2028, 502,
        0x2029, 502,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(462);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(579);
      if (lookahead == 'e') ADVANCE(600);
      if (lookahead == 'i') ADVANCE(558);
      if (lookahead == 'l') ADVANCE(529);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(503);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(462);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(579);
      if (lookahead == 'e') ADVANCE(600);
      if (lookahead == 'l') ADVANCE(529);
      if (lookahead == 's') ADVANCE(594);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(504);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(462);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(579);
      if (lookahead == 'e') ADVANCE(600);
      if (lookahead == 'l') ADVANCE(529);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(505);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(580);
      if (lookahead == 'l') ADVANCE(509);
      if (lookahead == 'o') ADVANCE(562);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(572);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(598);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(583);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(573);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(548);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(554);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(593);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(563);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '\\', 206,
        'a', 579,
        'e', 600,
        'f', 599,
        'i', 558,
        'l', 529,
        'o', 534,
        0x2028, 515,
        0x2029, 515,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(615);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(579);
      if (lookahead == 'e') ADVANCE(600);
      if (lookahead == 'f') ADVANCE(599);
      if (lookahead == 'i') ADVANCE(558);
      if (lookahead == 'l') ADVANCE(529);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(516);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(615);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(585);
      if (lookahead == 'l') ADVANCE(509);
      if (lookahead == 'o') ADVANCE(562);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(581);
      if (lookahead == 'l') ADVANCE(509);
      if (lookahead == 'o') ADVANCE(562);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'c') ADVANCE(609);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'c') ADVANCE(363);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'c') ADVANCE(540);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'c') ADVANCE(531);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'c') ADVANCE(595);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'd') ADVANCE(577);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'e') ADVANCE(302);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'e') ADVANCE(285);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'e') ADVANCE(298);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'e') ADVANCE(536);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'e') ADVANCE(586);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'e') ADVANCE(601);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(530);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(615);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'e') ADVANCE(567);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'e') ADVANCE(559);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'e') ADVANCE(591);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'f') ADVANCE(295);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'f') ADVANCE(419);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'f') ADVANCE(508);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'g') ADVANCE(533);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'h') ADVANCE(543);
      if (lookahead == 'i') ADVANCE(587);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'h') ADVANCE(277);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'h') ADVANCE(304);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'i') ADVANCE(558);
      if (lookahead == 'o') ADVANCE(534);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(541);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(615);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'i') ADVANCE(558);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(542);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(615);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'i') ADVANCE(555);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'i') ADVANCE(565);
      if (lookahead == 'r') ADVANCE(566);
      if (lookahead == 'u') ADVANCE(561);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'i') ADVANCE(565);
      if (lookahead == 'u') ADVANCE(561);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'i') ADVANCE(569);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'i') ADVANCE(519);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'i') ADVANCE(588);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'l') ADVANCE(582);
      if (lookahead == 'x') ADVANCE(570);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'l') ADVANCE(582);
      if (lookahead == 'x') ADVANCE(571);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'l') ADVANCE(602);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'l') ADVANCE(509);
      if (lookahead == 'o') ADVANCE(562);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'l') ADVANCE(509);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'l') ADVANCE(551);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'l') ADVANCE(527);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'l') ADVANCE(592);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'm') ADVANCE(275);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'n') ADVANCE(291);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'n') ADVANCE(524);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'n') ADVANCE(365);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'n') ADVANCE(523);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'n') ADVANCE(584);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'n') ADVANCE(522);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'n') ADVANCE(520);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'n') ADVANCE(512);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'o') ADVANCE(557);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'o') ADVANCE(535);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'o') ADVANCE(574);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'o') ADVANCE(560);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'p') ADVANCE(568);
      if (lookahead == 't') ADVANCE(532);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'p') ADVANCE(568);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'r') ADVANCE(537);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'r') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'r') ADVANCE(590);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 's') ADVANCE(270);
      if (lookahead == 'w') ADVANCE(511);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 's') ADVANCE(359);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 's') ADVANCE(361);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 's') ADVANCE(603);
      if (lookahead == 'w') ADVANCE(511);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 's') ADVANCE(603);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 's') ADVANCE(525);
      if (lookahead == 't') ADVANCE(521);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 's') ADVANCE(525);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 's') ADVANCE(526);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 's') ADVANCE(576);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 's') ADVANCE(589);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 't') ADVANCE(521);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 't') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 't') ADVANCE(539);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 't') ADVANCE(289);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 't') ADVANCE(283);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 't') ADVANCE(263);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 't') ADVANCE(618);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 't') ADVANCE(268);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 't') ADVANCE(547);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 't') ADVANCE(513);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 't') ADVANCE(546);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 't') ADVANCE(532);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 't') ADVANCE(514);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'u') ADVANCE(556);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'u') ADVANCE(561);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'x') ADVANCE(571);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'x') ADVANCE(596);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'y') ADVANCE(306);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'y') ADVANCE(564);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == '{') ADVANCE(446);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(469);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(466);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(607);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(615);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(608);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(615);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(479);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(140);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(467);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(465);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(469);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(468);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(205);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(616);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(anon_sym_target);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(aux_sym_method_definition_token1);
      if (lookahead == '\n') ADVANCE(620);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'b', 1,
        'c', 2,
        'd', 3,
        'f', 4,
        'g', 5,
        'i', 6,
        'n', 7,
        'r', 8,
        's', 9,
        't', 10,
        'u', 11,
        'v', 12,
        'y', 13,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'r') ADVANCE(14);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(15);
      END_STATE();
    case 3:
      if (lookahead == 'e') ADVANCE(16);
      if (lookahead == 'o') ADVANCE(17);
      END_STATE();
    case 4:
      if (lookahead == 'a') ADVANCE(18);
      if (lookahead == 'o') ADVANCE(19);
      END_STATE();
    case 5:
      if (lookahead == 'e') ADVANCE(20);
      END_STATE();
    case 6:
      if (lookahead == 'f') ADVANCE(21);
      if (lookahead == 'm') ADVANCE(22);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(23);
      if (lookahead == 'u') ADVANCE(24);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(25);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(26);
      if (lookahead == 't') ADVANCE(27);
      if (lookahead == 'u') ADVANCE(28);
      if (lookahead == 'w') ADVANCE(29);
      END_STATE();
    case 10:
      if (lookahead == 'h') ADVANCE(30);
      if (lookahead == 'r') ADVANCE(31);
      if (lookahead == 'y') ADVANCE(32);
      END_STATE();
    case 11:
      if (lookahead == 'n') ADVANCE(33);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(34);
      END_STATE();
    case 13:
      if (lookahead == 'i') ADVANCE(35);
      END_STATE();
    case 14:
      if (lookahead == 'e') ADVANCE(36);
      END_STATE();
    case 15:
      if (lookahead == 'n') ADVANCE(37);
      END_STATE();
    case 16:
      if (lookahead == 'b') ADVANCE(38);
      if (lookahead == 'l') ADVANCE(39);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 18:
      if (lookahead == 'l') ADVANCE(40);
      END_STATE();
    case 19:
      if (lookahead == 'r') ADVANCE(41);
      END_STATE();
    case 20:
      if (lookahead == 't') ADVANCE(42);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 22:
      if (lookahead == 'p') ADVANCE(43);
      END_STATE();
    case 23:
      if (lookahead == 'w') ADVANCE(44);
      END_STATE();
    case 24:
      if (lookahead == 'l') ADVANCE(45);
      END_STATE();
    case 25:
      if (lookahead == 't') ADVANCE(46);
      END_STATE();
    case 26:
      if (lookahead == 't') ADVANCE(47);
      END_STATE();
    case 27:
      if (lookahead == 'a') ADVANCE(48);
      END_STATE();
    case 28:
      if (lookahead == 'p') ADVANCE(49);
      END_STATE();
    case 29:
      if (lookahead == 'i') ADVANCE(50);
      END_STATE();
    case 30:
      if (lookahead == 'i') ADVANCE(51);
      if (lookahead == 'r') ADVANCE(52);
      END_STATE();
    case 31:
      if (lookahead == 'u') ADVANCE(53);
      if (lookahead == 'y') ADVANCE(54);
      END_STATE();
    case 32:
      if (lookahead == 'p') ADVANCE(55);
      END_STATE();
    case 33:
      if (lookahead == 'd') ADVANCE(56);
      END_STATE();
    case 34:
      if (lookahead == 'i') ADVANCE(57);
      END_STATE();
    case 35:
      if (lookahead == 'e') ADVANCE(58);
      END_STATE();
    case 36:
      if (lookahead == 'a') ADVANCE(59);
      END_STATE();
    case 37:
      if (lookahead == 't') ADVANCE(60);
      END_STATE();
    case 38:
      if (lookahead == 'u') ADVANCE(61);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(62);
      END_STATE();
    case 40:
      if (lookahead == 's') ADVANCE(63);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 43:
      if (lookahead == 'o') ADVANCE(64);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 45:
      if (lookahead == 'l') ADVANCE(65);
      END_STATE();
    case 46:
      if (lookahead == 'u') ADVANCE(66);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 48:
      if (lookahead == 't') ADVANCE(67);
      END_STATE();
    case 49:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 50:
      if (lookahead == 't') ADVANCE(69);
      END_STATE();
    case 51:
      if (lookahead == 's') ADVANCE(70);
      END_STATE();
    case 52:
      if (lookahead == 'o') ADVANCE(71);
      END_STATE();
    case 53:
      if (lookahead == 'e') ADVANCE(72);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 55:
      if (lookahead == 'e') ADVANCE(73);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(74);
      END_STATE();
    case 57:
      if (lookahead == 'd') ADVANCE(75);
      END_STATE();
    case 58:
      if (lookahead == 'l') ADVANCE(76);
      END_STATE();
    case 59:
      if (lookahead == 'k') ADVANCE(77);
      END_STATE();
    case 60:
      if (lookahead == 'i') ADVANCE(78);
      END_STATE();
    case 61:
      if (lookahead == 'g') ADVANCE(79);
      END_STATE();
    case 62:
      if (lookahead == 't') ADVANCE(80);
      END_STATE();
    case 63:
      if (lookahead == 'e') ADVANCE(81);
      END_STATE();
    case 64:
      if (lookahead == 'r') ADVANCE(82);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 66:
      if (lookahead == 'r') ADVANCE(83);
      END_STATE();
    case 67:
      if (lookahead == 'i') ADVANCE(84);
      END_STATE();
    case 68:
      if (lookahead == 'r') ADVANCE(85);
      END_STATE();
    case 69:
      if (lookahead == 'c') ADVANCE(86);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 71:
      if (lookahead == 'w') ADVANCE(87);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 73:
      if (lookahead == 'o') ADVANCE(88);
      END_STATE();
    case 74:
      if (lookahead == 'f') ADVANCE(89);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 76:
      if (lookahead == 'd') ADVANCE(90);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 78:
      if (lookahead == 'n') ADVANCE(91);
      END_STATE();
    case 79:
      if (lookahead == 'g') ADVANCE(92);
      END_STATE();
    case 80:
      if (lookahead == 'e') ADVANCE(93);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 82:
      if (lookahead == 't') ADVANCE(94);
      END_STATE();
    case 83:
      if (lookahead == 'n') ADVANCE(95);
      END_STATE();
    case 84:
      if (lookahead == 'c') ADVANCE(96);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 86:
      if (lookahead == 'h') ADVANCE(97);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 88:
      if (lookahead == 'f') ADVANCE(98);
      END_STATE();
    case 89:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 91:
      if (lookahead == 'u') ADVANCE(100);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 99:
      if (lookahead == 'n') ADVANCE(102);
      END_STATE();
    case 100:
      if (lookahead == 'e') ADVANCE(103);
      END_STATE();
    case 101:
      if (lookahead == 'r') ADVANCE(104);
      END_STATE();
    case 102:
      if (lookahead == 'e') ADVANCE(105);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 105:
      if (lookahead == 'd') ADVANCE(106);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 252, .external_lex_state = 2},
  [2] = {.lex_state = 13, .external_lex_state = 2},
  [3] = {.lex_state = 13, .external_lex_state = 2},
  [4] = {.lex_state = 13, .external_lex_state = 2},
  [5] = {.lex_state = 13, .external_lex_state = 2},
  [6] = {.lex_state = 13, .external_lex_state = 2},
  [7] = {.lex_state = 13, .external_lex_state = 2},
  [8] = {.lex_state = 13, .external_lex_state = 2},
  [9] = {.lex_state = 13, .external_lex_state = 2},
  [10] = {.lex_state = 19, .external_lex_state = 2},
  [11] = {.lex_state = 19, .external_lex_state = 2},
  [12] = {.lex_state = 19, .external_lex_state = 2},
  [13] = {.lex_state = 19, .external_lex_state = 2},
  [14] = {.lex_state = 19, .external_lex_state = 2},
  [15] = {.lex_state = 252, .external_lex_state = 2},
  [16] = {.lex_state = 252, .external_lex_state = 2},
  [17] = {.lex_state = 252, .external_lex_state = 2},
  [18] = {.lex_state = 252, .external_lex_state = 2},
  [19] = {.lex_state = 252, .external_lex_state = 2},
  [20] = {.lex_state = 252, .external_lex_state = 2},
  [21] = {.lex_state = 252, .external_lex_state = 2},
  [22] = {.lex_state = 252, .external_lex_state = 2},
  [23] = {.lex_state = 252, .external_lex_state = 2},
  [24] = {.lex_state = 252, .external_lex_state = 2},
  [25] = {.lex_state = 252, .external_lex_state = 2},
  [26] = {.lex_state = 252, .external_lex_state = 2},
  [27] = {.lex_state = 252, .external_lex_state = 2},
  [28] = {.lex_state = 252, .external_lex_state = 2},
  [29] = {.lex_state = 252, .external_lex_state = 2},
  [30] = {.lex_state = 252, .external_lex_state = 2},
  [31] = {.lex_state = 252, .external_lex_state = 2},
  [32] = {.lex_state = 252, .external_lex_state = 2},
  [33] = {.lex_state = 252, .external_lex_state = 2},
  [34] = {.lex_state = 252, .external_lex_state = 2},
  [35] = {.lex_state = 252, .external_lex_state = 2},
  [36] = {.lex_state = 252, .external_lex_state = 2},
  [37] = {.lex_state = 252, .external_lex_state = 2},
  [38] = {.lex_state = 252, .external_lex_state = 2},
  [39] = {.lex_state = 252, .external_lex_state = 2},
  [40] = {.lex_state = 252, .external_lex_state = 2},
  [41] = {.lex_state = 252, .external_lex_state = 2},
  [42] = {.lex_state = 252, .external_lex_state = 2},
  [43] = {.lex_state = 252, .external_lex_state = 2},
  [44] = {.lex_state = 252, .external_lex_state = 2},
  [45] = {.lex_state = 252, .external_lex_state = 2},
  [46] = {.lex_state = 252, .external_lex_state = 2},
  [47] = {.lex_state = 252, .external_lex_state = 2},
  [48] = {.lex_state = 252, .external_lex_state = 2},
  [49] = {.lex_state = 252, .external_lex_state = 2},
  [50] = {.lex_state = 252, .external_lex_state = 2},
  [51] = {.lex_state = 252, .external_lex_state = 2},
  [52] = {.lex_state = 252, .external_lex_state = 2},
  [53] = {.lex_state = 252, .external_lex_state = 2},
  [54] = {.lex_state = 252, .external_lex_state = 2},
  [55] = {.lex_state = 252, .external_lex_state = 2},
  [56] = {.lex_state = 252, .external_lex_state = 2},
  [57] = {.lex_state = 252, .external_lex_state = 2},
  [58] = {.lex_state = 252, .external_lex_state = 2},
  [59] = {.lex_state = 252, .external_lex_state = 2},
  [60] = {.lex_state = 252, .external_lex_state = 2},
  [61] = {.lex_state = 252, .external_lex_state = 2},
  [62] = {.lex_state = 252, .external_lex_state = 2},
  [63] = {.lex_state = 252, .external_lex_state = 2},
  [64] = {.lex_state = 252, .external_lex_state = 2},
  [65] = {.lex_state = 252, .external_lex_state = 2},
  [66] = {.lex_state = 252, .external_lex_state = 2},
  [67] = {.lex_state = 252, .external_lex_state = 2},
  [68] = {.lex_state = 252, .external_lex_state = 2},
  [69] = {.lex_state = 252, .external_lex_state = 2},
  [70] = {.lex_state = 252, .external_lex_state = 2},
  [71] = {.lex_state = 252, .external_lex_state = 2},
  [72] = {.lex_state = 252, .external_lex_state = 2},
  [73] = {.lex_state = 252, .external_lex_state = 2},
  [74] = {.lex_state = 252, .external_lex_state = 2},
  [75] = {.lex_state = 252, .external_lex_state = 2},
  [76] = {.lex_state = 252, .external_lex_state = 2},
  [77] = {.lex_state = 252, .external_lex_state = 2},
  [78] = {.lex_state = 252, .external_lex_state = 2},
  [79] = {.lex_state = 252, .external_lex_state = 2},
  [80] = {.lex_state = 252, .external_lex_state = 2},
  [81] = {.lex_state = 252, .external_lex_state = 2},
  [82] = {.lex_state = 252, .external_lex_state = 2},
  [83] = {.lex_state = 252, .external_lex_state = 2},
  [84] = {.lex_state = 252, .external_lex_state = 2},
  [85] = {.lex_state = 252, .external_lex_state = 2},
  [86] = {.lex_state = 252, .external_lex_state = 2},
  [87] = {.lex_state = 252, .external_lex_state = 2},
  [88] = {.lex_state = 252, .external_lex_state = 2},
  [89] = {.lex_state = 252, .external_lex_state = 2},
  [90] = {.lex_state = 252, .external_lex_state = 2},
  [91] = {.lex_state = 252, .external_lex_state = 2},
  [92] = {.lex_state = 252, .external_lex_state = 2},
  [93] = {.lex_state = 252, .external_lex_state = 2},
  [94] = {.lex_state = 252, .external_lex_state = 2},
  [95] = {.lex_state = 252, .external_lex_state = 2},
  [96] = {.lex_state = 252, .external_lex_state = 2},
  [97] = {.lex_state = 252, .external_lex_state = 2},
  [98] = {.lex_state = 252, .external_lex_state = 2},
  [99] = {.lex_state = 252, .external_lex_state = 2},
  [100] = {.lex_state = 252, .external_lex_state = 2},
  [101] = {.lex_state = 252, .external_lex_state = 2},
  [102] = {.lex_state = 252, .external_lex_state = 2},
  [103] = {.lex_state = 252, .external_lex_state = 2},
  [104] = {.lex_state = 252, .external_lex_state = 2},
  [105] = {.lex_state = 252, .external_lex_state = 2},
  [106] = {.lex_state = 252, .external_lex_state = 2},
  [107] = {.lex_state = 252, .external_lex_state = 2},
  [108] = {.lex_state = 252, .external_lex_state = 2},
  [109] = {.lex_state = 252, .external_lex_state = 2},
  [110] = {.lex_state = 252, .external_lex_state = 2},
  [111] = {.lex_state = 252, .external_lex_state = 2},
  [112] = {.lex_state = 252, .external_lex_state = 2},
  [113] = {.lex_state = 252, .external_lex_state = 2},
  [114] = {.lex_state = 252, .external_lex_state = 2},
  [115] = {.lex_state = 252, .external_lex_state = 2},
  [116] = {.lex_state = 252, .external_lex_state = 2},
  [117] = {.lex_state = 252, .external_lex_state = 2},
  [118] = {.lex_state = 252, .external_lex_state = 2},
  [119] = {.lex_state = 7, .external_lex_state = 3},
  [120] = {.lex_state = 8, .external_lex_state = 4},
  [121] = {.lex_state = 7, .external_lex_state = 4},
  [122] = {.lex_state = 8, .external_lex_state = 3},
  [123] = {.lex_state = 7, .external_lex_state = 3},
  [124] = {.lex_state = 12, .external_lex_state = 2},
  [125] = {.lex_state = 12, .external_lex_state = 2},
  [126] = {.lex_state = 12, .external_lex_state = 2},
  [127] = {.lex_state = 12, .external_lex_state = 2},
  [128] = {.lex_state = 12, .external_lex_state = 2},
  [129] = {.lex_state = 12, .external_lex_state = 2},
  [130] = {.lex_state = 12, .external_lex_state = 2},
  [131] = {.lex_state = 12, .external_lex_state = 2},
  [132] = {.lex_state = 10, .external_lex_state = 4},
  [133] = {.lex_state = 17, .external_lex_state = 2},
  [134] = {.lex_state = 17, .external_lex_state = 2},
  [135] = {.lex_state = 17, .external_lex_state = 2},
  [136] = {.lex_state = 17, .external_lex_state = 2},
  [137] = {.lex_state = 17, .external_lex_state = 2},
  [138] = {.lex_state = 17, .external_lex_state = 2},
  [139] = {.lex_state = 17, .external_lex_state = 2},
  [140] = {.lex_state = 17, .external_lex_state = 2},
  [141] = {.lex_state = 17, .external_lex_state = 2},
  [142] = {.lex_state = 17, .external_lex_state = 2},
  [143] = {.lex_state = 17, .external_lex_state = 2},
  [144] = {.lex_state = 17, .external_lex_state = 2},
  [145] = {.lex_state = 17, .external_lex_state = 2},
  [146] = {.lex_state = 17, .external_lex_state = 2},
  [147] = {.lex_state = 17, .external_lex_state = 2},
  [148] = {.lex_state = 10, .external_lex_state = 4},
  [149] = {.lex_state = 10, .external_lex_state = 4},
  [150] = {.lex_state = 10, .external_lex_state = 4},
  [151] = {.lex_state = 12, .external_lex_state = 2},
  [152] = {.lex_state = 12, .external_lex_state = 2},
  [153] = {.lex_state = 12, .external_lex_state = 2},
  [154] = {.lex_state = 10, .external_lex_state = 4},
  [155] = {.lex_state = 10, .external_lex_state = 4},
  [156] = {.lex_state = 10, .external_lex_state = 4},
  [157] = {.lex_state = 12, .external_lex_state = 2},
  [158] = {.lex_state = 10, .external_lex_state = 4},
  [159] = {.lex_state = 9, .external_lex_state = 4},
  [160] = {.lex_state = 10, .external_lex_state = 4},
  [161] = {.lex_state = 10, .external_lex_state = 4},
  [162] = {.lex_state = 251, .external_lex_state = 4},
  [163] = {.lex_state = 10, .external_lex_state = 4},
  [164] = {.lex_state = 10, .external_lex_state = 4},
  [165] = {.lex_state = 10, .external_lex_state = 4},
  [166] = {.lex_state = 10, .external_lex_state = 4},
  [167] = {.lex_state = 10, .external_lex_state = 4},
  [168] = {.lex_state = 12, .external_lex_state = 2},
  [169] = {.lex_state = 251, .external_lex_state = 4},
  [170] = {.lex_state = 9, .external_lex_state = 4},
  [171] = {.lex_state = 251, .external_lex_state = 4},
  [172] = {.lex_state = 12, .external_lex_state = 2},
  [173] = {.lex_state = 250, .external_lex_state = 4},
  [174] = {.lex_state = 251, .external_lex_state = 4},
  [175] = {.lex_state = 251, .external_lex_state = 4},
  [176] = {.lex_state = 251, .external_lex_state = 4},
  [177] = {.lex_state = 251, .external_lex_state = 4},
  [178] = {.lex_state = 251, .external_lex_state = 4},
  [179] = {.lex_state = 251, .external_lex_state = 4},
  [180] = {.lex_state = 251, .external_lex_state = 4},
  [181] = {.lex_state = 9, .external_lex_state = 4},
  [182] = {.lex_state = 251, .external_lex_state = 4},
  [183] = {.lex_state = 9, .external_lex_state = 4},
  [184] = {.lex_state = 251, .external_lex_state = 4},
  [185] = {.lex_state = 251, .external_lex_state = 4},
  [186] = {.lex_state = 9, .external_lex_state = 4},
  [187] = {.lex_state = 12, .external_lex_state = 2},
  [188] = {.lex_state = 9, .external_lex_state = 4},
  [189] = {.lex_state = 9, .external_lex_state = 4},
  [190] = {.lex_state = 9, .external_lex_state = 4},
  [191] = {.lex_state = 9, .external_lex_state = 4},
  [192] = {.lex_state = 9, .external_lex_state = 4},
  [193] = {.lex_state = 9, .external_lex_state = 4},
  [194] = {.lex_state = 9, .external_lex_state = 4},
  [195] = {.lex_state = 9, .external_lex_state = 4},
  [196] = {.lex_state = 251, .external_lex_state = 4},
  [197] = {.lex_state = 9, .external_lex_state = 4},
  [198] = {.lex_state = 251, .external_lex_state = 4},
  [199] = {.lex_state = 9, .external_lex_state = 4},
  [200] = {.lex_state = 250, .external_lex_state = 4},
  [201] = {.lex_state = 12, .external_lex_state = 2},
  [202] = {.lex_state = 12, .external_lex_state = 2},
  [203] = {.lex_state = 250, .external_lex_state = 4},
  [204] = {.lex_state = 12, .external_lex_state = 2},
  [205] = {.lex_state = 250, .external_lex_state = 4},
  [206] = {.lex_state = 250, .external_lex_state = 4},
  [207] = {.lex_state = 12, .external_lex_state = 2},
  [208] = {.lex_state = 12, .external_lex_state = 2},
  [209] = {.lex_state = 12, .external_lex_state = 2},
  [210] = {.lex_state = 250, .external_lex_state = 4},
  [211] = {.lex_state = 12, .external_lex_state = 2},
  [212] = {.lex_state = 250, .external_lex_state = 4},
  [213] = {.lex_state = 250, .external_lex_state = 4},
  [214] = {.lex_state = 250, .external_lex_state = 4},
  [215] = {.lex_state = 12, .external_lex_state = 2},
  [216] = {.lex_state = 250, .external_lex_state = 4},
  [217] = {.lex_state = 250, .external_lex_state = 4},
  [218] = {.lex_state = 12, .external_lex_state = 2},
  [219] = {.lex_state = 250, .external_lex_state = 4},
  [220] = {.lex_state = 250, .external_lex_state = 4},
  [221] = {.lex_state = 250, .external_lex_state = 4},
  [222] = {.lex_state = 250, .external_lex_state = 4},
  [223] = {.lex_state = 12, .external_lex_state = 2},
  [224] = {.lex_state = 12, .external_lex_state = 2},
  [225] = {.lex_state = 12, .external_lex_state = 2},
  [226] = {.lex_state = 12, .external_lex_state = 2},
  [227] = {.lex_state = 12, .external_lex_state = 2},
  [228] = {.lex_state = 12, .external_lex_state = 2},
  [229] = {.lex_state = 12, .external_lex_state = 2},
  [230] = {.lex_state = 12, .external_lex_state = 2},
  [231] = {.lex_state = 12, .external_lex_state = 2},
  [232] = {.lex_state = 12, .external_lex_state = 2},
  [233] = {.lex_state = 12, .external_lex_state = 5},
  [234] = {.lex_state = 12, .external_lex_state = 5},
  [235] = {.lex_state = 12, .external_lex_state = 5},
  [236] = {.lex_state = 12, .external_lex_state = 5},
  [237] = {.lex_state = 12, .external_lex_state = 5},
  [238] = {.lex_state = 12, .external_lex_state = 2},
  [239] = {.lex_state = 12, .external_lex_state = 2},
  [240] = {.lex_state = 12, .external_lex_state = 2},
  [241] = {.lex_state = 17, .external_lex_state = 2},
  [242] = {.lex_state = 12, .external_lex_state = 2},
  [243] = {.lex_state = 12, .external_lex_state = 2},
  [244] = {.lex_state = 12, .external_lex_state = 2},
  [245] = {.lex_state = 12, .external_lex_state = 2},
  [246] = {.lex_state = 12, .external_lex_state = 2},
  [247] = {.lex_state = 12, .external_lex_state = 2},
  [248] = {.lex_state = 12, .external_lex_state = 2},
  [249] = {.lex_state = 12, .external_lex_state = 2},
  [250] = {.lex_state = 12, .external_lex_state = 2},
  [251] = {.lex_state = 12, .external_lex_state = 2},
  [252] = {.lex_state = 12, .external_lex_state = 2},
  [253] = {.lex_state = 14, .external_lex_state = 2},
  [254] = {.lex_state = 12, .external_lex_state = 2},
  [255] = {.lex_state = 12, .external_lex_state = 2},
  [256] = {.lex_state = 12, .external_lex_state = 2},
  [257] = {.lex_state = 12, .external_lex_state = 2},
  [258] = {.lex_state = 12, .external_lex_state = 2},
  [259] = {.lex_state = 12, .external_lex_state = 2},
  [260] = {.lex_state = 12, .external_lex_state = 2},
  [261] = {.lex_state = 14, .external_lex_state = 2},
  [262] = {.lex_state = 12, .external_lex_state = 2},
  [263] = {.lex_state = 12, .external_lex_state = 2},
  [264] = {.lex_state = 12, .external_lex_state = 2},
  [265] = {.lex_state = 12, .external_lex_state = 2},
  [266] = {.lex_state = 12, .external_lex_state = 2},
  [267] = {.lex_state = 12, .external_lex_state = 2},
  [268] = {.lex_state = 12, .external_lex_state = 2},
  [269] = {.lex_state = 12, .external_lex_state = 2},
  [270] = {.lex_state = 12, .external_lex_state = 2},
  [271] = {.lex_state = 12, .external_lex_state = 2},
  [272] = {.lex_state = 12, .external_lex_state = 2},
  [273] = {.lex_state = 12, .external_lex_state = 2},
  [274] = {.lex_state = 12, .external_lex_state = 2},
  [275] = {.lex_state = 12, .external_lex_state = 2},
  [276] = {.lex_state = 12, .external_lex_state = 2},
  [277] = {.lex_state = 12, .external_lex_state = 2},
  [278] = {.lex_state = 14, .external_lex_state = 2},
  [279] = {.lex_state = 12, .external_lex_state = 2},
  [280] = {.lex_state = 12, .external_lex_state = 2},
  [281] = {.lex_state = 12, .external_lex_state = 2},
  [282] = {.lex_state = 12, .external_lex_state = 2},
  [283] = {.lex_state = 12, .external_lex_state = 2},
  [284] = {.lex_state = 12, .external_lex_state = 2},
  [285] = {.lex_state = 12, .external_lex_state = 2},
  [286] = {.lex_state = 12, .external_lex_state = 2},
  [287] = {.lex_state = 12, .external_lex_state = 2},
  [288] = {.lex_state = 12, .external_lex_state = 2},
  [289] = {.lex_state = 12, .external_lex_state = 2},
  [290] = {.lex_state = 14, .external_lex_state = 2},
  [291] = {.lex_state = 12, .external_lex_state = 2},
  [292] = {.lex_state = 12, .external_lex_state = 2},
  [293] = {.lex_state = 12, .external_lex_state = 2},
  [294] = {.lex_state = 12, .external_lex_state = 2},
  [295] = {.lex_state = 12, .external_lex_state = 2},
  [296] = {.lex_state = 12, .external_lex_state = 2},
  [297] = {.lex_state = 12, .external_lex_state = 2},
  [298] = {.lex_state = 12, .external_lex_state = 2},
  [299] = {.lex_state = 12, .external_lex_state = 2},
  [300] = {.lex_state = 12, .external_lex_state = 2},
  [301] = {.lex_state = 14, .external_lex_state = 2},
  [302] = {.lex_state = 12, .external_lex_state = 2},
  [303] = {.lex_state = 12, .external_lex_state = 2},
  [304] = {.lex_state = 12, .external_lex_state = 2},
  [305] = {.lex_state = 12, .external_lex_state = 2},
  [306] = {.lex_state = 12, .external_lex_state = 2},
  [307] = {.lex_state = 12, .external_lex_state = 2},
  [308] = {.lex_state = 12, .external_lex_state = 2},
  [309] = {.lex_state = 12, .external_lex_state = 2},
  [310] = {.lex_state = 12, .external_lex_state = 2},
  [311] = {.lex_state = 12, .external_lex_state = 2},
  [312] = {.lex_state = 12, .external_lex_state = 2},
  [313] = {.lex_state = 12, .external_lex_state = 2},
  [314] = {.lex_state = 12, .external_lex_state = 2},
  [315] = {.lex_state = 12, .external_lex_state = 2},
  [316] = {.lex_state = 12, .external_lex_state = 2},
  [317] = {.lex_state = 12, .external_lex_state = 2},
  [318] = {.lex_state = 12, .external_lex_state = 2},
  [319] = {.lex_state = 12, .external_lex_state = 2},
  [320] = {.lex_state = 12, .external_lex_state = 2},
  [321] = {.lex_state = 12, .external_lex_state = 2},
  [322] = {.lex_state = 12, .external_lex_state = 2},
  [323] = {.lex_state = 12, .external_lex_state = 2},
  [324] = {.lex_state = 12, .external_lex_state = 2},
  [325] = {.lex_state = 12, .external_lex_state = 2},
  [326] = {.lex_state = 12, .external_lex_state = 2},
  [327] = {.lex_state = 12, .external_lex_state = 2},
  [328] = {.lex_state = 12, .external_lex_state = 2},
  [329] = {.lex_state = 12, .external_lex_state = 2},
  [330] = {.lex_state = 12, .external_lex_state = 2},
  [331] = {.lex_state = 12, .external_lex_state = 2},
  [332] = {.lex_state = 12, .external_lex_state = 2},
  [333] = {.lex_state = 12, .external_lex_state = 2},
  [334] = {.lex_state = 12, .external_lex_state = 2},
  [335] = {.lex_state = 12, .external_lex_state = 2},
  [336] = {.lex_state = 12, .external_lex_state = 2},
  [337] = {.lex_state = 12, .external_lex_state = 2},
  [338] = {.lex_state = 12, .external_lex_state = 2},
  [339] = {.lex_state = 12, .external_lex_state = 2},
  [340] = {.lex_state = 12, .external_lex_state = 2},
  [341] = {.lex_state = 12, .external_lex_state = 2},
  [342] = {.lex_state = 12, .external_lex_state = 2},
  [343] = {.lex_state = 12, .external_lex_state = 2},
  [344] = {.lex_state = 12, .external_lex_state = 2},
  [345] = {.lex_state = 12, .external_lex_state = 2},
  [346] = {.lex_state = 12, .external_lex_state = 2},
  [347] = {.lex_state = 12, .external_lex_state = 2},
  [348] = {.lex_state = 12, .external_lex_state = 2},
  [349] = {.lex_state = 12, .external_lex_state = 2},
  [350] = {.lex_state = 12, .external_lex_state = 2},
  [351] = {.lex_state = 12, .external_lex_state = 2},
  [352] = {.lex_state = 12, .external_lex_state = 2},
  [353] = {.lex_state = 12, .external_lex_state = 2},
  [354] = {.lex_state = 12, .external_lex_state = 2},
  [355] = {.lex_state = 12, .external_lex_state = 2},
  [356] = {.lex_state = 12, .external_lex_state = 2},
  [357] = {.lex_state = 12, .external_lex_state = 2},
  [358] = {.lex_state = 12, .external_lex_state = 2},
  [359] = {.lex_state = 12, .external_lex_state = 2},
  [360] = {.lex_state = 12, .external_lex_state = 2},
  [361] = {.lex_state = 12, .external_lex_state = 2},
  [362] = {.lex_state = 12, .external_lex_state = 2},
  [363] = {.lex_state = 12, .external_lex_state = 2},
  [364] = {.lex_state = 12, .external_lex_state = 2},
  [365] = {.lex_state = 12, .external_lex_state = 2},
  [366] = {.lex_state = 12, .external_lex_state = 2},
  [367] = {.lex_state = 12, .external_lex_state = 2},
  [368] = {.lex_state = 12, .external_lex_state = 2},
  [369] = {.lex_state = 12, .external_lex_state = 2},
  [370] = {.lex_state = 12, .external_lex_state = 2},
  [371] = {.lex_state = 12, .external_lex_state = 2},
  [372] = {.lex_state = 12, .external_lex_state = 2},
  [373] = {.lex_state = 12, .external_lex_state = 2},
  [374] = {.lex_state = 12, .external_lex_state = 2},
  [375] = {.lex_state = 12, .external_lex_state = 2},
  [376] = {.lex_state = 12, .external_lex_state = 2},
  [377] = {.lex_state = 12, .external_lex_state = 2},
  [378] = {.lex_state = 12, .external_lex_state = 2},
  [379] = {.lex_state = 12, .external_lex_state = 2},
  [380] = {.lex_state = 12, .external_lex_state = 2},
  [381] = {.lex_state = 12, .external_lex_state = 2},
  [382] = {.lex_state = 12, .external_lex_state = 2},
  [383] = {.lex_state = 12, .external_lex_state = 2},
  [384] = {.lex_state = 12, .external_lex_state = 2},
  [385] = {.lex_state = 12, .external_lex_state = 2},
  [386] = {.lex_state = 12, .external_lex_state = 2},
  [387] = {.lex_state = 12, .external_lex_state = 2},
  [388] = {.lex_state = 12, .external_lex_state = 2},
  [389] = {.lex_state = 12, .external_lex_state = 2},
  [390] = {.lex_state = 12, .external_lex_state = 2},
  [391] = {.lex_state = 12, .external_lex_state = 2},
  [392] = {.lex_state = 12, .external_lex_state = 2},
  [393] = {.lex_state = 12, .external_lex_state = 2},
  [394] = {.lex_state = 12, .external_lex_state = 2},
  [395] = {.lex_state = 12, .external_lex_state = 2},
  [396] = {.lex_state = 12, .external_lex_state = 2},
  [397] = {.lex_state = 12, .external_lex_state = 2},
  [398] = {.lex_state = 12, .external_lex_state = 2},
  [399] = {.lex_state = 12, .external_lex_state = 2},
  [400] = {.lex_state = 12, .external_lex_state = 2},
  [401] = {.lex_state = 12, .external_lex_state = 2},
  [402] = {.lex_state = 12, .external_lex_state = 2},
  [403] = {.lex_state = 12, .external_lex_state = 2},
  [404] = {.lex_state = 12, .external_lex_state = 2},
  [405] = {.lex_state = 12, .external_lex_state = 2},
  [406] = {.lex_state = 12, .external_lex_state = 2},
  [407] = {.lex_state = 12, .external_lex_state = 2},
  [408] = {.lex_state = 12, .external_lex_state = 2},
  [409] = {.lex_state = 12, .external_lex_state = 2},
  [410] = {.lex_state = 12, .external_lex_state = 2},
  [411] = {.lex_state = 12, .external_lex_state = 2},
  [412] = {.lex_state = 12, .external_lex_state = 2},
  [413] = {.lex_state = 12, .external_lex_state = 2},
  [414] = {.lex_state = 12, .external_lex_state = 2},
  [415] = {.lex_state = 12, .external_lex_state = 2},
  [416] = {.lex_state = 12, .external_lex_state = 2},
  [417] = {.lex_state = 12, .external_lex_state = 2},
  [418] = {.lex_state = 12, .external_lex_state = 2},
  [419] = {.lex_state = 12, .external_lex_state = 2},
  [420] = {.lex_state = 12, .external_lex_state = 2},
  [421] = {.lex_state = 12, .external_lex_state = 2},
  [422] = {.lex_state = 12, .external_lex_state = 2},
  [423] = {.lex_state = 12, .external_lex_state = 2},
  [424] = {.lex_state = 12, .external_lex_state = 2},
  [425] = {.lex_state = 258, .external_lex_state = 4},
  [426] = {.lex_state = 258, .external_lex_state = 4},
  [427] = {.lex_state = 258, .external_lex_state = 4},
  [428] = {.lex_state = 258, .external_lex_state = 4},
  [429] = {.lex_state = 22, .external_lex_state = 4},
  [430] = {.lex_state = 258, .external_lex_state = 4},
  [431] = {.lex_state = 22, .external_lex_state = 4},
  [432] = {.lex_state = 258, .external_lex_state = 4},
  [433] = {.lex_state = 258, .external_lex_state = 4},
  [434] = {.lex_state = 258, .external_lex_state = 4},
  [435] = {.lex_state = 22, .external_lex_state = 4},
  [436] = {.lex_state = 23, .external_lex_state = 4},
  [437] = {.lex_state = 23, .external_lex_state = 4},
  [438] = {.lex_state = 23, .external_lex_state = 4},
  [439] = {.lex_state = 23, .external_lex_state = 4},
  [440] = {.lex_state = 23, .external_lex_state = 4},
  [441] = {.lex_state = 23, .external_lex_state = 4},
  [442] = {.lex_state = 24, .external_lex_state = 3},
  [443] = {.lex_state = 24, .external_lex_state = 3},
  [444] = {.lex_state = 26, .external_lex_state = 4},
  [445] = {.lex_state = 16, .external_lex_state = 2},
  [446] = {.lex_state = 24, .external_lex_state = 3},
  [447] = {.lex_state = 25, .external_lex_state = 4},
  [448] = {.lex_state = 24, .external_lex_state = 4},
  [449] = {.lex_state = 25, .external_lex_state = 4},
  [450] = {.lex_state = 24, .external_lex_state = 4},
  [451] = {.lex_state = 24, .external_lex_state = 4},
  [452] = {.lex_state = 26, .external_lex_state = 4},
  [453] = {.lex_state = 24, .external_lex_state = 3},
  [454] = {.lex_state = 24, .external_lex_state = 4},
  [455] = {.lex_state = 24, .external_lex_state = 4},
  [456] = {.lex_state = 26, .external_lex_state = 4},
  [457] = {.lex_state = 24, .external_lex_state = 3},
  [458] = {.lex_state = 24, .external_lex_state = 4},
  [459] = {.lex_state = 24, .external_lex_state = 4},
  [460] = {.lex_state = 25, .external_lex_state = 4},
  [461] = {.lex_state = 24, .external_lex_state = 3},
  [462] = {.lex_state = 16, .external_lex_state = 5},
  [463] = {.lex_state = 257, .external_lex_state = 2},
  [464] = {.lex_state = 16, .external_lex_state = 5},
  [465] = {.lex_state = 15, .external_lex_state = 2},
  [466] = {.lex_state = 15, .external_lex_state = 5},
  [467] = {.lex_state = 15, .external_lex_state = 5},
  [468] = {.lex_state = 256, .external_lex_state = 2},
  [469] = {.lex_state = 20, .external_lex_state = 2},
  [470] = {.lex_state = 24, .external_lex_state = 4},
  [471] = {.lex_state = 257, .external_lex_state = 5},
  [472] = {.lex_state = 24, .external_lex_state = 3},
  [473] = {.lex_state = 24, .external_lex_state = 4},
  [474] = {.lex_state = 20, .external_lex_state = 5},
  [475] = {.lex_state = 16, .external_lex_state = 2},
  [476] = {.lex_state = 16, .external_lex_state = 2},
  [477] = {.lex_state = 257, .external_lex_state = 5},
  [478] = {.lex_state = 20, .external_lex_state = 5},
  [479] = {.lex_state = 24, .external_lex_state = 4},
  [480] = {.lex_state = 24, .external_lex_state = 4},
  [481] = {.lex_state = 24, .external_lex_state = 3},
  [482] = {.lex_state = 24, .external_lex_state = 4},
  [483] = {.lex_state = 21, .external_lex_state = 5},
  [484] = {.lex_state = 254, .external_lex_state = 2},
  [485] = {.lex_state = 20, .external_lex_state = 2},
  [486] = {.lex_state = 21, .external_lex_state = 5},
  [487] = {.lex_state = 25, .external_lex_state = 4},
  [488] = {.lex_state = 21, .external_lex_state = 5},
  [489] = {.lex_state = 21, .external_lex_state = 5},
  [490] = {.lex_state = 25, .external_lex_state = 4},
  [491] = {.lex_state = 21, .external_lex_state = 5},
  [492] = {.lex_state = 25, .external_lex_state = 4},
  [493] = {.lex_state = 20, .external_lex_state = 2},
  [494] = {.lex_state = 20, .external_lex_state = 2},
  [495] = {.lex_state = 21, .external_lex_state = 5},
  [496] = {.lex_state = 21, .external_lex_state = 5},
  [497] = {.lex_state = 15, .external_lex_state = 2},
  [498] = {.lex_state = 18, .external_lex_state = 5},
  [499] = {.lex_state = 15, .external_lex_state = 2},
  [500] = {.lex_state = 18, .external_lex_state = 5},
  [501] = {.lex_state = 21, .external_lex_state = 5},
  [502] = {.lex_state = 21, .external_lex_state = 5},
  [503] = {.lex_state = 254, .external_lex_state = 5},
  [504] = {.lex_state = 21, .external_lex_state = 2},
  [505] = {.lex_state = 26, .external_lex_state = 3},
  [506] = {.lex_state = 254, .external_lex_state = 5},
  [507] = {.lex_state = 21, .external_lex_state = 5},
  [508] = {.lex_state = 18, .external_lex_state = 2},
  [509] = {.lex_state = 26, .external_lex_state = 3},
  [510] = {.lex_state = 257, .external_lex_state = 2},
  [511] = {.lex_state = 257, .external_lex_state = 2},
  [512] = {.lex_state = 21, .external_lex_state = 5},
  [513] = {.lex_state = 21, .external_lex_state = 2},
  [514] = {.lex_state = 21, .external_lex_state = 5},
  [515] = {.lex_state = 25, .external_lex_state = 4},
  [516] = {.lex_state = 25, .external_lex_state = 4},
  [517] = {.lex_state = 256, .external_lex_state = 5},
  [518] = {.lex_state = 26, .external_lex_state = 3},
  [519] = {.lex_state = 20, .external_lex_state = 2},
  [520] = {.lex_state = 21, .external_lex_state = 5},
  [521] = {.lex_state = 27, .external_lex_state = 4},
  [522] = {.lex_state = 21, .external_lex_state = 5},
  [523] = {.lex_state = 21, .external_lex_state = 5},
  [524] = {.lex_state = 21, .external_lex_state = 5},
  [525] = {.lex_state = 21, .external_lex_state = 5},
  [526] = {.lex_state = 21, .external_lex_state = 5},
  [527] = {.lex_state = 256, .external_lex_state = 5},
  [528] = {.lex_state = 255, .external_lex_state = 5},
  [529] = {.lex_state = 19, .external_lex_state = 5},
  [530] = {.lex_state = 255, .external_lex_state = 5},
  [531] = {.lex_state = 255, .external_lex_state = 5},
  [532] = {.lex_state = 255, .external_lex_state = 5},
  [533] = {.lex_state = 255, .external_lex_state = 5},
  [534] = {.lex_state = 19, .external_lex_state = 5},
  [535] = {.lex_state = 21, .external_lex_state = 2},
  [536] = {.lex_state = 255, .external_lex_state = 5},
  [537] = {.lex_state = 21, .external_lex_state = 2},
  [538] = {.lex_state = 255, .external_lex_state = 5},
  [539] = {.lex_state = 21, .external_lex_state = 2},
  [540] = {.lex_state = 21, .external_lex_state = 2},
  [541] = {.lex_state = 21, .external_lex_state = 2},
  [542] = {.lex_state = 254, .external_lex_state = 2},
  [543] = {.lex_state = 255, .external_lex_state = 5},
  [544] = {.lex_state = 256, .external_lex_state = 2},
  [545] = {.lex_state = 255, .external_lex_state = 5},
  [546] = {.lex_state = 21, .external_lex_state = 2},
  [547] = {.lex_state = 21, .external_lex_state = 2},
  [548] = {.lex_state = 253, .external_lex_state = 2},
  [549] = {.lex_state = 255, .external_lex_state = 2},
  [550] = {.lex_state = 21, .external_lex_state = 2},
  [551] = {.lex_state = 21, .external_lex_state = 2},
  [552] = {.lex_state = 256, .external_lex_state = 2},
  [553] = {.lex_state = 21, .external_lex_state = 2},
  [554] = {.lex_state = 21, .external_lex_state = 2},
  [555] = {.lex_state = 21, .external_lex_state = 2},
  [556] = {.lex_state = 21, .external_lex_state = 2},
  [557] = {.lex_state = 21, .external_lex_state = 2},
  [558] = {.lex_state = 21, .external_lex_state = 2},
  [559] = {.lex_state = 21, .external_lex_state = 2},
  [560] = {.lex_state = 21, .external_lex_state = 2},
  [561] = {.lex_state = 21, .external_lex_state = 2},
  [562] = {.lex_state = 21, .external_lex_state = 2},
  [563] = {.lex_state = 21, .external_lex_state = 2},
  [564] = {.lex_state = 21, .external_lex_state = 2},
  [565] = {.lex_state = 255, .external_lex_state = 5},
  [566] = {.lex_state = 21, .external_lex_state = 2},
  [567] = {.lex_state = 21, .external_lex_state = 2},
  [568] = {.lex_state = 21, .external_lex_state = 2},
  [569] = {.lex_state = 255, .external_lex_state = 2},
  [570] = {.lex_state = 21, .external_lex_state = 2},
  [571] = {.lex_state = 255, .external_lex_state = 5},
  [572] = {.lex_state = 21, .external_lex_state = 2},
  [573] = {.lex_state = 21, .external_lex_state = 2},
  [574] = {.lex_state = 254, .external_lex_state = 2},
  [575] = {.lex_state = 21, .external_lex_state = 2},
  [576] = {.lex_state = 253, .external_lex_state = 5},
  [577] = {.lex_state = 253, .external_lex_state = 5},
  [578] = {.lex_state = 255, .external_lex_state = 5},
  [579] = {.lex_state = 255, .external_lex_state = 5},
  [580] = {.lex_state = 255, .external_lex_state = 5},
  [581] = {.lex_state = 19, .external_lex_state = 5},
  [582] = {.lex_state = 21, .external_lex_state = 2},
  [583] = {.lex_state = 19, .external_lex_state = 5},
  [584] = {.lex_state = 19, .external_lex_state = 5},
  [585] = {.lex_state = 21, .external_lex_state = 2},
  [586] = {.lex_state = 19, .external_lex_state = 5},
  [587] = {.lex_state = 18, .external_lex_state = 2},
  [588] = {.lex_state = 255, .external_lex_state = 5},
  [589] = {.lex_state = 21, .external_lex_state = 2},
  [590] = {.lex_state = 21, .external_lex_state = 2},
  [591] = {.lex_state = 19, .external_lex_state = 5},
  [592] = {.lex_state = 21, .external_lex_state = 2},
  [593] = {.lex_state = 254, .external_lex_state = 2},
  [594] = {.lex_state = 19, .external_lex_state = 5},
  [595] = {.lex_state = 254, .external_lex_state = 2},
  [596] = {.lex_state = 21, .external_lex_state = 2},
  [597] = {.lex_state = 19, .external_lex_state = 5},
  [598] = {.lex_state = 255, .external_lex_state = 5},
  [599] = {.lex_state = 21, .external_lex_state = 2},
  [600] = {.lex_state = 21, .external_lex_state = 2},
  [601] = {.lex_state = 255, .external_lex_state = 5},
  [602] = {.lex_state = 19, .external_lex_state = 5},
  [603] = {.lex_state = 21, .external_lex_state = 2},
  [604] = {.lex_state = 255, .external_lex_state = 5},
  [605] = {.lex_state = 19, .external_lex_state = 5},
  [606] = {.lex_state = 21, .external_lex_state = 2},
  [607] = {.lex_state = 19, .external_lex_state = 5},
  [608] = {.lex_state = 19, .external_lex_state = 5},
  [609] = {.lex_state = 21, .external_lex_state = 2},
  [610] = {.lex_state = 21, .external_lex_state = 2},
  [611] = {.lex_state = 21, .external_lex_state = 2},
  [612] = {.lex_state = 19, .external_lex_state = 5},
  [613] = {.lex_state = 19, .external_lex_state = 5},
  [614] = {.lex_state = 21, .external_lex_state = 2},
  [615] = {.lex_state = 21, .external_lex_state = 2},
  [616] = {.lex_state = 21, .external_lex_state = 2},
  [617] = {.lex_state = 21, .external_lex_state = 2},
  [618] = {.lex_state = 18, .external_lex_state = 2},
  [619] = {.lex_state = 19, .external_lex_state = 5},
  [620] = {.lex_state = 18, .external_lex_state = 2},
  [621] = {.lex_state = 21, .external_lex_state = 2},
  [622] = {.lex_state = 21, .external_lex_state = 2},
  [623] = {.lex_state = 19, .external_lex_state = 5},
  [624] = {.lex_state = 18, .external_lex_state = 2},
  [625] = {.lex_state = 19, .external_lex_state = 5},
  [626] = {.lex_state = 21, .external_lex_state = 2},
  [627] = {.lex_state = 21, .external_lex_state = 2},
  [628] = {.lex_state = 21, .external_lex_state = 2},
  [629] = {.lex_state = 21, .external_lex_state = 2},
  [630] = {.lex_state = 21, .external_lex_state = 2},
  [631] = {.lex_state = 21, .external_lex_state = 2},
  [632] = {.lex_state = 21, .external_lex_state = 2},
  [633] = {.lex_state = 21, .external_lex_state = 2},
  [634] = {.lex_state = 21, .external_lex_state = 2},
  [635] = {.lex_state = 21, .external_lex_state = 2},
  [636] = {.lex_state = 21, .external_lex_state = 2},
  [637] = {.lex_state = 21, .external_lex_state = 2},
  [638] = {.lex_state = 21, .external_lex_state = 2},
  [639] = {.lex_state = 21, .external_lex_state = 2},
  [640] = {.lex_state = 21, .external_lex_state = 2},
  [641] = {.lex_state = 255, .external_lex_state = 2},
  [642] = {.lex_state = 19, .external_lex_state = 2},
  [643] = {.lex_state = 255, .external_lex_state = 2},
  [644] = {.lex_state = 255, .external_lex_state = 2},
  [645] = {.lex_state = 255, .external_lex_state = 2},
  [646] = {.lex_state = 25, .external_lex_state = 4},
  [647] = {.lex_state = 255, .external_lex_state = 2},
  [648] = {.lex_state = 255, .external_lex_state = 2},
  [649] = {.lex_state = 255, .external_lex_state = 2},
  [650] = {.lex_state = 255, .external_lex_state = 2},
  [651] = {.lex_state = 255, .external_lex_state = 2},
  [652] = {.lex_state = 255, .external_lex_state = 2},
  [653] = {.lex_state = 255, .external_lex_state = 2},
  [654] = {.lex_state = 255, .external_lex_state = 2},
  [655] = {.lex_state = 255, .external_lex_state = 2},
  [656] = {.lex_state = 255, .external_lex_state = 2},
  [657] = {.lex_state = 255, .external_lex_state = 2},
  [658] = {.lex_state = 255, .external_lex_state = 2},
  [659] = {.lex_state = 255, .external_lex_state = 2},
  [660] = {.lex_state = 255, .external_lex_state = 2},
  [661] = {.lex_state = 255, .external_lex_state = 2},
  [662] = {.lex_state = 255, .external_lex_state = 2},
  [663] = {.lex_state = 25, .external_lex_state = 4},
  [664] = {.lex_state = 255, .external_lex_state = 2},
  [665] = {.lex_state = 255, .external_lex_state = 2},
  [666] = {.lex_state = 255, .external_lex_state = 2},
  [667] = {.lex_state = 255, .external_lex_state = 2},
  [668] = {.lex_state = 255, .external_lex_state = 2},
  [669] = {.lex_state = 255, .external_lex_state = 2},
  [670] = {.lex_state = 255, .external_lex_state = 2},
  [671] = {.lex_state = 252, .external_lex_state = 5},
  [672] = {.lex_state = 255, .external_lex_state = 2},
  [673] = {.lex_state = 255, .external_lex_state = 2},
  [674] = {.lex_state = 253, .external_lex_state = 2},
  [675] = {.lex_state = 252, .external_lex_state = 5},
  [676] = {.lex_state = 255, .external_lex_state = 2},
  [677] = {.lex_state = 255, .external_lex_state = 2},
  [678] = {.lex_state = 25, .external_lex_state = 4},
  [679] = {.lex_state = 252, .external_lex_state = 5},
  [680] = {.lex_state = 255, .external_lex_state = 2},
  [681] = {.lex_state = 252, .external_lex_state = 5},
  [682] = {.lex_state = 255, .external_lex_state = 2},
  [683] = {.lex_state = 255, .external_lex_state = 2},
  [684] = {.lex_state = 255, .external_lex_state = 2},
  [685] = {.lex_state = 255, .external_lex_state = 2},
  [686] = {.lex_state = 255, .external_lex_state = 2},
  [687] = {.lex_state = 255, .external_lex_state = 2},
  [688] = {.lex_state = 255, .external_lex_state = 2},
  [689] = {.lex_state = 255, .external_lex_state = 2},
  [690] = {.lex_state = 255, .external_lex_state = 2},
  [691] = {.lex_state = 255, .external_lex_state = 2},
  [692] = {.lex_state = 255, .external_lex_state = 2},
  [693] = {.lex_state = 255, .external_lex_state = 2},
  [694] = {.lex_state = 255, .external_lex_state = 2},
  [695] = {.lex_state = 255, .external_lex_state = 2},
  [696] = {.lex_state = 252, .external_lex_state = 5},
  [697] = {.lex_state = 25, .external_lex_state = 4},
  [698] = {.lex_state = 25, .external_lex_state = 4},
  [699] = {.lex_state = 19, .external_lex_state = 2},
  [700] = {.lex_state = 255, .external_lex_state = 2},
  [701] = {.lex_state = 255, .external_lex_state = 2},
  [702] = {.lex_state = 255, .external_lex_state = 2},
  [703] = {.lex_state = 255, .external_lex_state = 2},
  [704] = {.lex_state = 255, .external_lex_state = 2},
  [705] = {.lex_state = 255, .external_lex_state = 2},
  [706] = {.lex_state = 255, .external_lex_state = 2},
  [707] = {.lex_state = 255, .external_lex_state = 2},
  [708] = {.lex_state = 255, .external_lex_state = 2},
  [709] = {.lex_state = 255, .external_lex_state = 2},
  [710] = {.lex_state = 255, .external_lex_state = 2},
  [711] = {.lex_state = 19, .external_lex_state = 2},
  [712] = {.lex_state = 19, .external_lex_state = 2},
  [713] = {.lex_state = 252, .external_lex_state = 5},
  [714] = {.lex_state = 252, .external_lex_state = 5},
  [715] = {.lex_state = 252, .external_lex_state = 5},
  [716] = {.lex_state = 252, .external_lex_state = 5},
  [717] = {.lex_state = 255, .external_lex_state = 2},
  [718] = {.lex_state = 253, .external_lex_state = 2},
  [719] = {.lex_state = 255, .external_lex_state = 2},
  [720] = {.lex_state = 253, .external_lex_state = 2},
  [721] = {.lex_state = 255, .external_lex_state = 2},
  [722] = {.lex_state = 253, .external_lex_state = 2},
  [723] = {.lex_state = 252, .external_lex_state = 5},
  [724] = {.lex_state = 19, .external_lex_state = 2},
  [725] = {.lex_state = 19, .external_lex_state = 2},
  [726] = {.lex_state = 19, .external_lex_state = 2},
  [727] = {.lex_state = 19, .external_lex_state = 2},
  [728] = {.lex_state = 19, .external_lex_state = 2},
  [729] = {.lex_state = 19, .external_lex_state = 2},
  [730] = {.lex_state = 252, .external_lex_state = 5},
  [731] = {.lex_state = 19, .external_lex_state = 2},
  [732] = {.lex_state = 19, .external_lex_state = 2},
  [733] = {.lex_state = 19, .external_lex_state = 2},
  [734] = {.lex_state = 19, .external_lex_state = 2},
  [735] = {.lex_state = 19, .external_lex_state = 2},
  [736] = {.lex_state = 252, .external_lex_state = 5},
  [737] = {.lex_state = 19, .external_lex_state = 2},
  [738] = {.lex_state = 19, .external_lex_state = 2},
  [739] = {.lex_state = 19, .external_lex_state = 2},
  [740] = {.lex_state = 19, .external_lex_state = 2},
  [741] = {.lex_state = 19, .external_lex_state = 2},
  [742] = {.lex_state = 19, .external_lex_state = 2},
  [743] = {.lex_state = 19, .external_lex_state = 2},
  [744] = {.lex_state = 19, .external_lex_state = 2},
  [745] = {.lex_state = 19, .external_lex_state = 2},
  [746] = {.lex_state = 252, .external_lex_state = 5},
  [747] = {.lex_state = 19, .external_lex_state = 2},
  [748] = {.lex_state = 19, .external_lex_state = 2},
  [749] = {.lex_state = 19, .external_lex_state = 2},
  [750] = {.lex_state = 19, .external_lex_state = 2},
  [751] = {.lex_state = 19, .external_lex_state = 2},
  [752] = {.lex_state = 255, .external_lex_state = 2},
  [753] = {.lex_state = 19, .external_lex_state = 2},
  [754] = {.lex_state = 252, .external_lex_state = 5},
  [755] = {.lex_state = 19, .external_lex_state = 2},
  [756] = {.lex_state = 19, .external_lex_state = 2},
  [757] = {.lex_state = 255, .external_lex_state = 2},
  [758] = {.lex_state = 19, .external_lex_state = 2},
  [759] = {.lex_state = 19, .external_lex_state = 2},
  [760] = {.lex_state = 19, .external_lex_state = 2},
  [761] = {.lex_state = 19, .external_lex_state = 2},
  [762] = {.lex_state = 19, .external_lex_state = 2},
  [763] = {.lex_state = 19, .external_lex_state = 2},
  [764] = {.lex_state = 19, .external_lex_state = 2},
  [765] = {.lex_state = 19, .external_lex_state = 2},
  [766] = {.lex_state = 19, .external_lex_state = 2},
  [767] = {.lex_state = 19, .external_lex_state = 2},
  [768] = {.lex_state = 19, .external_lex_state = 2},
  [769] = {.lex_state = 19, .external_lex_state = 2},
  [770] = {.lex_state = 19, .external_lex_state = 2},
  [771] = {.lex_state = 19, .external_lex_state = 2},
  [772] = {.lex_state = 19, .external_lex_state = 2},
  [773] = {.lex_state = 19, .external_lex_state = 2},
  [774] = {.lex_state = 252, .external_lex_state = 5},
  [775] = {.lex_state = 252, .external_lex_state = 5},
  [776] = {.lex_state = 252, .external_lex_state = 5},
  [777] = {.lex_state = 19, .external_lex_state = 2},
  [778] = {.lex_state = 19, .external_lex_state = 2},
  [779] = {.lex_state = 19, .external_lex_state = 2},
  [780] = {.lex_state = 19, .external_lex_state = 2},
  [781] = {.lex_state = 19, .external_lex_state = 2},
  [782] = {.lex_state = 19, .external_lex_state = 2},
  [783] = {.lex_state = 19, .external_lex_state = 2},
  [784] = {.lex_state = 19, .external_lex_state = 2},
  [785] = {.lex_state = 19, .external_lex_state = 2},
  [786] = {.lex_state = 252, .external_lex_state = 5},
  [787] = {.lex_state = 19, .external_lex_state = 2},
  [788] = {.lex_state = 19, .external_lex_state = 2},
  [789] = {.lex_state = 19, .external_lex_state = 2},
  [790] = {.lex_state = 19, .external_lex_state = 2},
  [791] = {.lex_state = 19, .external_lex_state = 2},
  [792] = {.lex_state = 19, .external_lex_state = 2},
  [793] = {.lex_state = 252, .external_lex_state = 2},
  [794] = {.lex_state = 252, .external_lex_state = 2},
  [795] = {.lex_state = 252, .external_lex_state = 2},
  [796] = {.lex_state = 252, .external_lex_state = 2},
  [797] = {.lex_state = 252, .external_lex_state = 2},
  [798] = {.lex_state = 252, .external_lex_state = 2},
  [799] = {.lex_state = 252, .external_lex_state = 2},
  [800] = {.lex_state = 258, .external_lex_state = 4},
  [801] = {.lex_state = 258, .external_lex_state = 4},
  [802] = {.lex_state = 252, .external_lex_state = 2},
  [803] = {.lex_state = 252, .external_lex_state = 2},
  [804] = {.lex_state = 252, .external_lex_state = 2},
  [805] = {.lex_state = 252, .external_lex_state = 2},
  [806] = {.lex_state = 252, .external_lex_state = 2},
  [807] = {.lex_state = 252, .external_lex_state = 2},
  [808] = {.lex_state = 252, .external_lex_state = 2},
  [809] = {.lex_state = 252, .external_lex_state = 2},
  [810] = {.lex_state = 252, .external_lex_state = 2},
  [811] = {.lex_state = 252, .external_lex_state = 2},
  [812] = {.lex_state = 252, .external_lex_state = 2},
  [813] = {.lex_state = 252, .external_lex_state = 2},
  [814] = {.lex_state = 252, .external_lex_state = 2},
  [815] = {.lex_state = 252, .external_lex_state = 2},
  [816] = {.lex_state = 252, .external_lex_state = 2},
  [817] = {.lex_state = 252, .external_lex_state = 2},
  [818] = {.lex_state = 252, .external_lex_state = 2},
  [819] = {.lex_state = 252, .external_lex_state = 2},
  [820] = {.lex_state = 252, .external_lex_state = 2},
  [821] = {.lex_state = 252, .external_lex_state = 2},
  [822] = {.lex_state = 252, .external_lex_state = 2},
  [823] = {.lex_state = 252, .external_lex_state = 2},
  [824] = {.lex_state = 252, .external_lex_state = 2},
  [825] = {.lex_state = 252, .external_lex_state = 2},
  [826] = {.lex_state = 252, .external_lex_state = 2},
  [827] = {.lex_state = 252, .external_lex_state = 2},
  [828] = {.lex_state = 252, .external_lex_state = 2},
  [829] = {.lex_state = 252, .external_lex_state = 2},
  [830] = {.lex_state = 252, .external_lex_state = 2},
  [831] = {.lex_state = 252, .external_lex_state = 2},
  [832] = {.lex_state = 252, .external_lex_state = 2},
  [833] = {.lex_state = 252, .external_lex_state = 2},
  [834] = {.lex_state = 252, .external_lex_state = 2},
  [835] = {.lex_state = 252, .external_lex_state = 2},
  [836] = {.lex_state = 252, .external_lex_state = 2},
  [837] = {.lex_state = 252, .external_lex_state = 2},
  [838] = {.lex_state = 258, .external_lex_state = 4},
  [839] = {.lex_state = 252, .external_lex_state = 2},
  [840] = {.lex_state = 252, .external_lex_state = 2},
  [841] = {.lex_state = 252, .external_lex_state = 2},
  [842] = {.lex_state = 252, .external_lex_state = 2},
  [843] = {.lex_state = 252, .external_lex_state = 2},
  [844] = {.lex_state = 252, .external_lex_state = 2},
  [845] = {.lex_state = 252, .external_lex_state = 2},
  [846] = {.lex_state = 252, .external_lex_state = 2},
  [847] = {.lex_state = 252, .external_lex_state = 2},
  [848] = {.lex_state = 252, .external_lex_state = 2},
  [849] = {.lex_state = 252, .external_lex_state = 2},
  [850] = {.lex_state = 252, .external_lex_state = 2},
  [851] = {.lex_state = 252, .external_lex_state = 2},
  [852] = {.lex_state = 252, .external_lex_state = 2},
  [853] = {.lex_state = 252, .external_lex_state = 2},
  [854] = {.lex_state = 252, .external_lex_state = 2},
  [855] = {.lex_state = 252, .external_lex_state = 2},
  [856] = {.lex_state = 252, .external_lex_state = 2},
  [857] = {.lex_state = 252, .external_lex_state = 2},
  [858] = {.lex_state = 252, .external_lex_state = 2},
  [859] = {.lex_state = 258, .external_lex_state = 3},
  [860] = {.lex_state = 258, .external_lex_state = 3},
  [861] = {.lex_state = 258, .external_lex_state = 3},
  [862] = {.lex_state = 258, .external_lex_state = 3},
  [863] = {.lex_state = 258, .external_lex_state = 3},
  [864] = {.lex_state = 27, .external_lex_state = 3},
  [865] = {.lex_state = 258, .external_lex_state = 3},
  [866] = {.lex_state = 258, .external_lex_state = 3},
  [867] = {.lex_state = 258, .external_lex_state = 3},
  [868] = {.lex_state = 258, .external_lex_state = 3},
  [869] = {.lex_state = 252, .external_lex_state = 2},
  [870] = {.lex_state = 252, .external_lex_state = 2},
  [871] = {.lex_state = 252, .external_lex_state = 2},
  [872] = {.lex_state = 252, .external_lex_state = 2},
  [873] = {.lex_state = 252, .external_lex_state = 2},
  [874] = {.lex_state = 258, .external_lex_state = 3},
  [875] = {.lex_state = 252, .external_lex_state = 2},
  [876] = {.lex_state = 252, .external_lex_state = 2},
  [877] = {.lex_state = 252, .external_lex_state = 2},
  [878] = {.lex_state = 258, .external_lex_state = 3},
  [879] = {.lex_state = 258, .external_lex_state = 3},
  [880] = {.lex_state = 258, .external_lex_state = 4},
  [881] = {.lex_state = 258, .external_lex_state = 4},
  [882] = {.lex_state = 258, .external_lex_state = 4},
  [883] = {.lex_state = 258, .external_lex_state = 4},
  [884] = {.lex_state = 258, .external_lex_state = 4},
  [885] = {.lex_state = 258, .external_lex_state = 3},
  [886] = {.lex_state = 258, .external_lex_state = 4},
  [887] = {.lex_state = 258, .external_lex_state = 4},
  [888] = {.lex_state = 258, .external_lex_state = 3},
  [889] = {.lex_state = 258, .external_lex_state = 4},
  [890] = {.lex_state = 258, .external_lex_state = 4},
  [891] = {.lex_state = 258, .external_lex_state = 4},
  [892] = {.lex_state = 258, .external_lex_state = 4},
  [893] = {.lex_state = 258, .external_lex_state = 4},
  [894] = {.lex_state = 258, .external_lex_state = 3},
  [895] = {.lex_state = 258, .external_lex_state = 4},
  [896] = {.lex_state = 258, .external_lex_state = 4},
  [897] = {.lex_state = 258, .external_lex_state = 3},
  [898] = {.lex_state = 258, .external_lex_state = 3},
  [899] = {.lex_state = 258, .external_lex_state = 4},
  [900] = {.lex_state = 258, .external_lex_state = 3},
  [901] = {.lex_state = 258, .external_lex_state = 4},
  [902] = {.lex_state = 258, .external_lex_state = 4},
  [903] = {.lex_state = 258, .external_lex_state = 4},
  [904] = {.lex_state = 258, .external_lex_state = 3},
  [905] = {.lex_state = 258, .external_lex_state = 4},
  [906] = {.lex_state = 258, .external_lex_state = 4},
  [907] = {.lex_state = 258, .external_lex_state = 4},
  [908] = {.lex_state = 258, .external_lex_state = 4},
  [909] = {.lex_state = 258, .external_lex_state = 4},
  [910] = {.lex_state = 258, .external_lex_state = 4},
  [911] = {.lex_state = 258, .external_lex_state = 4},
  [912] = {.lex_state = 258, .external_lex_state = 4},
  [913] = {.lex_state = 258, .external_lex_state = 4},
  [914] = {.lex_state = 258, .external_lex_state = 4},
  [915] = {.lex_state = 258, .external_lex_state = 3},
  [916] = {.lex_state = 258, .external_lex_state = 4},
  [917] = {.lex_state = 258, .external_lex_state = 3},
  [918] = {.lex_state = 258, .external_lex_state = 4},
  [919] = {.lex_state = 258, .external_lex_state = 3},
  [920] = {.lex_state = 258, .external_lex_state = 3},
  [921] = {.lex_state = 258, .external_lex_state = 3},
  [922] = {.lex_state = 258, .external_lex_state = 4},
  [923] = {.lex_state = 258, .external_lex_state = 3},
  [924] = {.lex_state = 258, .external_lex_state = 3},
  [925] = {.lex_state = 258, .external_lex_state = 3},
  [926] = {.lex_state = 258, .external_lex_state = 3},
  [927] = {.lex_state = 258, .external_lex_state = 3},
  [928] = {.lex_state = 258, .external_lex_state = 3},
  [929] = {.lex_state = 258, .external_lex_state = 3},
  [930] = {.lex_state = 258, .external_lex_state = 3},
  [931] = {.lex_state = 258, .external_lex_state = 3},
  [932] = {.lex_state = 258, .external_lex_state = 3},
  [933] = {.lex_state = 258, .external_lex_state = 3},
  [934] = {.lex_state = 258, .external_lex_state = 3},
  [935] = {.lex_state = 258, .external_lex_state = 3},
  [936] = {.lex_state = 258, .external_lex_state = 3},
  [937] = {.lex_state = 12, .external_lex_state = 2},
  [938] = {.lex_state = 12, .external_lex_state = 2},
  [939] = {.lex_state = 30, .external_lex_state = 3},
  [940] = {.lex_state = 30, .external_lex_state = 3},
  [941] = {.lex_state = 30, .external_lex_state = 3},
  [942] = {.lex_state = 30, .external_lex_state = 4},
  [943] = {.lex_state = 30, .external_lex_state = 3},
  [944] = {.lex_state = 12, .external_lex_state = 2},
  [945] = {.lex_state = 30, .external_lex_state = 3},
  [946] = {.lex_state = 30, .external_lex_state = 3},
  [947] = {.lex_state = 30, .external_lex_state = 3},
  [948] = {.lex_state = 30, .external_lex_state = 3},
  [949] = {.lex_state = 12, .external_lex_state = 2},
  [950] = {.lex_state = 12, .external_lex_state = 2},
  [951] = {.lex_state = 30, .external_lex_state = 4},
  [952] = {.lex_state = 30, .external_lex_state = 3},
  [953] = {.lex_state = 30, .external_lex_state = 4},
  [954] = {.lex_state = 12, .external_lex_state = 2},
  [955] = {.lex_state = 30, .external_lex_state = 3},
  [956] = {.lex_state = 30, .external_lex_state = 3},
  [957] = {.lex_state = 30, .external_lex_state = 3},
  [958] = {.lex_state = 30, .external_lex_state = 3},
  [959] = {.lex_state = 30, .external_lex_state = 3},
  [960] = {.lex_state = 30, .external_lex_state = 4},
  [961] = {.lex_state = 30, .external_lex_state = 3},
  [962] = {.lex_state = 30, .external_lex_state = 3},
  [963] = {.lex_state = 30, .external_lex_state = 4},
  [964] = {.lex_state = 30, .external_lex_state = 3},
  [965] = {.lex_state = 30, .external_lex_state = 3},
  [966] = {.lex_state = 30, .external_lex_state = 3},
  [967] = {.lex_state = 30, .external_lex_state = 3},
  [968] = {.lex_state = 30, .external_lex_state = 3},
  [969] = {.lex_state = 30, .external_lex_state = 3},
  [970] = {.lex_state = 30, .external_lex_state = 4},
  [971] = {.lex_state = 30, .external_lex_state = 4},
  [972] = {.lex_state = 30, .external_lex_state = 3},
  [973] = {.lex_state = 30, .external_lex_state = 3},
  [974] = {.lex_state = 30, .external_lex_state = 3},
  [975] = {.lex_state = 30, .external_lex_state = 3},
  [976] = {.lex_state = 30, .external_lex_state = 3},
  [977] = {.lex_state = 30, .external_lex_state = 3},
  [978] = {.lex_state = 30, .external_lex_state = 3},
  [979] = {.lex_state = 30, .external_lex_state = 4},
  [980] = {.lex_state = 30, .external_lex_state = 4},
  [981] = {.lex_state = 30, .external_lex_state = 4},
  [982] = {.lex_state = 30, .external_lex_state = 3},
  [983] = {.lex_state = 30, .external_lex_state = 3},
  [984] = {.lex_state = 30, .external_lex_state = 3},
  [985] = {.lex_state = 30, .external_lex_state = 3},
  [986] = {.lex_state = 30, .external_lex_state = 3},
  [987] = {.lex_state = 30, .external_lex_state = 3},
  [988] = {.lex_state = 30, .external_lex_state = 3},
  [989] = {.lex_state = 30, .external_lex_state = 3},
  [990] = {.lex_state = 30, .external_lex_state = 3},
  [991] = {.lex_state = 30, .external_lex_state = 3},
  [992] = {.lex_state = 30, .external_lex_state = 3},
  [993] = {.lex_state = 30, .external_lex_state = 3},
  [994] = {.lex_state = 30, .external_lex_state = 3},
  [995] = {.lex_state = 30, .external_lex_state = 3},
  [996] = {.lex_state = 30, .external_lex_state = 3},
  [997] = {.lex_state = 30, .external_lex_state = 3},
  [998] = {.lex_state = 30, .external_lex_state = 3},
  [999] = {.lex_state = 30, .external_lex_state = 3},
  [1000] = {.lex_state = 30, .external_lex_state = 3},
  [1001] = {.lex_state = 30, .external_lex_state = 3},
  [1002] = {.lex_state = 30, .external_lex_state = 3},
  [1003] = {.lex_state = 30, .external_lex_state = 3},
  [1004] = {.lex_state = 30, .external_lex_state = 3},
  [1005] = {.lex_state = 30, .external_lex_state = 3},
  [1006] = {.lex_state = 30, .external_lex_state = 3},
  [1007] = {.lex_state = 30, .external_lex_state = 3},
  [1008] = {.lex_state = 30, .external_lex_state = 3},
  [1009] = {.lex_state = 30, .external_lex_state = 3},
  [1010] = {.lex_state = 30, .external_lex_state = 3},
  [1011] = {.lex_state = 30, .external_lex_state = 3},
  [1012] = {.lex_state = 30, .external_lex_state = 3},
  [1013] = {.lex_state = 30, .external_lex_state = 3},
  [1014] = {.lex_state = 30, .external_lex_state = 3},
  [1015] = {.lex_state = 30, .external_lex_state = 3},
  [1016] = {.lex_state = 30, .external_lex_state = 3},
  [1017] = {.lex_state = 30, .external_lex_state = 3},
  [1018] = {.lex_state = 30, .external_lex_state = 3},
  [1019] = {.lex_state = 29, .external_lex_state = 3},
  [1020] = {.lex_state = 30, .external_lex_state = 3},
  [1021] = {.lex_state = 30, .external_lex_state = 3},
  [1022] = {.lex_state = 30, .external_lex_state = 3},
  [1023] = {.lex_state = 30, .external_lex_state = 3},
  [1024] = {.lex_state = 30, .external_lex_state = 3},
  [1025] = {.lex_state = 30, .external_lex_state = 3},
  [1026] = {.lex_state = 30, .external_lex_state = 3},
  [1027] = {.lex_state = 30, .external_lex_state = 3},
  [1028] = {.lex_state = 30, .external_lex_state = 4},
  [1029] = {.lex_state = 30, .external_lex_state = 4},
  [1030] = {.lex_state = 30, .external_lex_state = 3},
  [1031] = {.lex_state = 30, .external_lex_state = 3},
  [1032] = {.lex_state = 30, .external_lex_state = 3},
  [1033] = {.lex_state = 30, .external_lex_state = 3},
  [1034] = {.lex_state = 30, .external_lex_state = 3},
  [1035] = {.lex_state = 30, .external_lex_state = 3},
  [1036] = {.lex_state = 30, .external_lex_state = 3},
  [1037] = {.lex_state = 30, .external_lex_state = 3},
  [1038] = {.lex_state = 30, .external_lex_state = 3},
  [1039] = {.lex_state = 30, .external_lex_state = 3},
  [1040] = {.lex_state = 30, .external_lex_state = 3},
  [1041] = {.lex_state = 30, .external_lex_state = 3},
  [1042] = {.lex_state = 30, .external_lex_state = 3},
  [1043] = {.lex_state = 30, .external_lex_state = 3},
  [1044] = {.lex_state = 30, .external_lex_state = 3},
  [1045] = {.lex_state = 30, .external_lex_state = 3},
  [1046] = {.lex_state = 30, .external_lex_state = 3},
  [1047] = {.lex_state = 30, .external_lex_state = 3},
  [1048] = {.lex_state = 30, .external_lex_state = 3},
  [1049] = {.lex_state = 30, .external_lex_state = 4},
  [1050] = {.lex_state = 30, .external_lex_state = 4},
  [1051] = {.lex_state = 30, .external_lex_state = 4},
  [1052] = {.lex_state = 30, .external_lex_state = 4},
  [1053] = {.lex_state = 30, .external_lex_state = 4},
  [1054] = {.lex_state = 30, .external_lex_state = 4},
  [1055] = {.lex_state = 30, .external_lex_state = 4},
  [1056] = {.lex_state = 30, .external_lex_state = 4},
  [1057] = {.lex_state = 30, .external_lex_state = 4},
  [1058] = {.lex_state = 30, .external_lex_state = 4},
  [1059] = {.lex_state = 30, .external_lex_state = 4},
  [1060] = {.lex_state = 30, .external_lex_state = 4},
  [1061] = {.lex_state = 30, .external_lex_state = 4},
  [1062] = {.lex_state = 30, .external_lex_state = 4},
  [1063] = {.lex_state = 30, .external_lex_state = 3},
  [1064] = {.lex_state = 30, .external_lex_state = 4},
  [1065] = {.lex_state = 30, .external_lex_state = 4},
  [1066] = {.lex_state = 30, .external_lex_state = 4},
  [1067] = {.lex_state = 30, .external_lex_state = 4},
  [1068] = {.lex_state = 30, .external_lex_state = 4},
  [1069] = {.lex_state = 30, .external_lex_state = 4},
  [1070] = {.lex_state = 30, .external_lex_state = 4},
  [1071] = {.lex_state = 30, .external_lex_state = 4},
  [1072] = {.lex_state = 30, .external_lex_state = 4},
  [1073] = {.lex_state = 30, .external_lex_state = 4},
  [1074] = {.lex_state = 30, .external_lex_state = 4},
  [1075] = {.lex_state = 30, .external_lex_state = 4},
  [1076] = {.lex_state = 30, .external_lex_state = 4},
  [1077] = {.lex_state = 30, .external_lex_state = 4},
  [1078] = {.lex_state = 30, .external_lex_state = 4},
  [1079] = {.lex_state = 30, .external_lex_state = 4},
  [1080] = {.lex_state = 30, .external_lex_state = 4},
  [1081] = {.lex_state = 30, .external_lex_state = 4},
  [1082] = {.lex_state = 30, .external_lex_state = 4},
  [1083] = {.lex_state = 30, .external_lex_state = 4},
  [1084] = {.lex_state = 30, .external_lex_state = 4},
  [1085] = {.lex_state = 30, .external_lex_state = 4},
  [1086] = {.lex_state = 30, .external_lex_state = 4},
  [1087] = {.lex_state = 30, .external_lex_state = 4},
  [1088] = {.lex_state = 30, .external_lex_state = 4},
  [1089] = {.lex_state = 30, .external_lex_state = 4},
  [1090] = {.lex_state = 30, .external_lex_state = 4},
  [1091] = {.lex_state = 30, .external_lex_state = 4},
  [1092] = {.lex_state = 30, .external_lex_state = 4},
  [1093] = {.lex_state = 30, .external_lex_state = 4},
  [1094] = {.lex_state = 30, .external_lex_state = 3},
  [1095] = {.lex_state = 30, .external_lex_state = 4},
  [1096] = {.lex_state = 30, .external_lex_state = 4},
  [1097] = {.lex_state = 30, .external_lex_state = 3},
  [1098] = {.lex_state = 30, .external_lex_state = 4},
  [1099] = {.lex_state = 30, .external_lex_state = 4},
  [1100] = {.lex_state = 30, .external_lex_state = 3},
  [1101] = {.lex_state = 30, .external_lex_state = 3},
  [1102] = {.lex_state = 30, .external_lex_state = 4},
  [1103] = {.lex_state = 30, .external_lex_state = 4},
  [1104] = {.lex_state = 30, .external_lex_state = 4},
  [1105] = {.lex_state = 30, .external_lex_state = 4},
  [1106] = {.lex_state = 30, .external_lex_state = 4},
  [1107] = {.lex_state = 30, .external_lex_state = 4},
  [1108] = {.lex_state = 30, .external_lex_state = 4},
  [1109] = {.lex_state = 30, .external_lex_state = 4},
  [1110] = {.lex_state = 30, .external_lex_state = 4},
  [1111] = {.lex_state = 30, .external_lex_state = 4},
  [1112] = {.lex_state = 30, .external_lex_state = 4},
  [1113] = {.lex_state = 30, .external_lex_state = 4},
  [1114] = {.lex_state = 30, .external_lex_state = 4},
  [1115] = {.lex_state = 30, .external_lex_state = 4},
  [1116] = {.lex_state = 30, .external_lex_state = 4},
  [1117] = {.lex_state = 30, .external_lex_state = 3},
  [1118] = {.lex_state = 30, .external_lex_state = 4},
  [1119] = {.lex_state = 30, .external_lex_state = 4},
  [1120] = {.lex_state = 30, .external_lex_state = 4},
  [1121] = {.lex_state = 30, .external_lex_state = 4},
  [1122] = {.lex_state = 30, .external_lex_state = 4},
  [1123] = {.lex_state = 30, .external_lex_state = 4},
  [1124] = {.lex_state = 30, .external_lex_state = 4},
  [1125] = {.lex_state = 30, .external_lex_state = 4},
  [1126] = {.lex_state = 30, .external_lex_state = 4},
  [1127] = {.lex_state = 30, .external_lex_state = 4},
  [1128] = {.lex_state = 30, .external_lex_state = 4},
  [1129] = {.lex_state = 30, .external_lex_state = 4},
  [1130] = {.lex_state = 30, .external_lex_state = 4},
  [1131] = {.lex_state = 30, .external_lex_state = 4},
  [1132] = {.lex_state = 30, .external_lex_state = 4},
  [1133] = {.lex_state = 30, .external_lex_state = 3},
  [1134] = {.lex_state = 30, .external_lex_state = 4},
  [1135] = {.lex_state = 30, .external_lex_state = 3},
  [1136] = {.lex_state = 30, .external_lex_state = 4},
  [1137] = {.lex_state = 30, .external_lex_state = 4},
  [1138] = {.lex_state = 30, .external_lex_state = 4},
  [1139] = {.lex_state = 30, .external_lex_state = 4},
  [1140] = {.lex_state = 30, .external_lex_state = 4},
  [1141] = {.lex_state = 30, .external_lex_state = 4},
  [1142] = {.lex_state = 30, .external_lex_state = 4},
  [1143] = {.lex_state = 30, .external_lex_state = 4},
  [1144] = {.lex_state = 30, .external_lex_state = 4},
  [1145] = {.lex_state = 30, .external_lex_state = 3},
  [1146] = {.lex_state = 30, .external_lex_state = 4},
  [1147] = {.lex_state = 30, .external_lex_state = 4},
  [1148] = {.lex_state = 30, .external_lex_state = 3},
  [1149] = {.lex_state = 30, .external_lex_state = 4},
  [1150] = {.lex_state = 30, .external_lex_state = 4},
  [1151] = {.lex_state = 30, .external_lex_state = 3},
  [1152] = {.lex_state = 30, .external_lex_state = 3},
  [1153] = {.lex_state = 30, .external_lex_state = 4},
  [1154] = {.lex_state = 30, .external_lex_state = 4},
  [1155] = {.lex_state = 30, .external_lex_state = 4},
  [1156] = {.lex_state = 30, .external_lex_state = 4},
  [1157] = {.lex_state = 30, .external_lex_state = 4},
  [1158] = {.lex_state = 30, .external_lex_state = 4},
  [1159] = {.lex_state = 29, .external_lex_state = 4},
  [1160] = {.lex_state = 30, .external_lex_state = 3},
  [1161] = {.lex_state = 30, .external_lex_state = 4},
  [1162] = {.lex_state = 30, .external_lex_state = 3},
  [1163] = {.lex_state = 30, .external_lex_state = 4},
  [1164] = {.lex_state = 30, .external_lex_state = 4},
  [1165] = {.lex_state = 30, .external_lex_state = 4},
  [1166] = {.lex_state = 30, .external_lex_state = 4},
  [1167] = {.lex_state = 30, .external_lex_state = 4},
  [1168] = {.lex_state = 30, .external_lex_state = 4},
  [1169] = {.lex_state = 30, .external_lex_state = 4},
  [1170] = {.lex_state = 30, .external_lex_state = 3},
  [1171] = {.lex_state = 30, .external_lex_state = 4},
  [1172] = {.lex_state = 30, .external_lex_state = 4},
  [1173] = {.lex_state = 30, .external_lex_state = 4},
  [1174] = {.lex_state = 30, .external_lex_state = 3},
  [1175] = {.lex_state = 30, .external_lex_state = 4},
  [1176] = {.lex_state = 30, .external_lex_state = 4},
  [1177] = {.lex_state = 30, .external_lex_state = 4},
  [1178] = {.lex_state = 30, .external_lex_state = 3},
  [1179] = {.lex_state = 30, .external_lex_state = 4},
  [1180] = {.lex_state = 30, .external_lex_state = 3},
  [1181] = {.lex_state = 30, .external_lex_state = 4},
  [1182] = {.lex_state = 30, .external_lex_state = 4},
  [1183] = {.lex_state = 30, .external_lex_state = 3},
  [1184] = {.lex_state = 30, .external_lex_state = 3},
  [1185] = {.lex_state = 30, .external_lex_state = 3},
  [1186] = {.lex_state = 30, .external_lex_state = 4},
  [1187] = {.lex_state = 30, .external_lex_state = 4},
  [1188] = {.lex_state = 30, .external_lex_state = 4},
  [1189] = {.lex_state = 30, .external_lex_state = 4},
  [1190] = {.lex_state = 30, .external_lex_state = 3},
  [1191] = {.lex_state = 30, .external_lex_state = 4},
  [1192] = {.lex_state = 30, .external_lex_state = 3},
  [1193] = {.lex_state = 30, .external_lex_state = 4},
  [1194] = {.lex_state = 30, .external_lex_state = 3},
  [1195] = {.lex_state = 30, .external_lex_state = 3},
  [1196] = {.lex_state = 30, .external_lex_state = 4},
  [1197] = {.lex_state = 30, .external_lex_state = 3},
  [1198] = {.lex_state = 30, .external_lex_state = 3},
  [1199] = {.lex_state = 30, .external_lex_state = 4},
  [1200] = {.lex_state = 30, .external_lex_state = 3},
  [1201] = {.lex_state = 30, .external_lex_state = 3},
  [1202] = {.lex_state = 30, .external_lex_state = 3},
  [1203] = {.lex_state = 30, .external_lex_state = 3},
  [1204] = {.lex_state = 30, .external_lex_state = 4},
  [1205] = {.lex_state = 30, .external_lex_state = 3},
  [1206] = {.lex_state = 30, .external_lex_state = 4},
  [1207] = {.lex_state = 30, .external_lex_state = 3},
  [1208] = {.lex_state = 30, .external_lex_state = 4},
  [1209] = {.lex_state = 30, .external_lex_state = 3},
  [1210] = {.lex_state = 30, .external_lex_state = 4},
  [1211] = {.lex_state = 30, .external_lex_state = 3},
  [1212] = {.lex_state = 30, .external_lex_state = 4},
  [1213] = {.lex_state = 30, .external_lex_state = 3},
  [1214] = {.lex_state = 30, .external_lex_state = 3},
  [1215] = {.lex_state = 30, .external_lex_state = 3},
  [1216] = {.lex_state = 30, .external_lex_state = 3},
  [1217] = {.lex_state = 30, .external_lex_state = 4},
  [1218] = {.lex_state = 30, .external_lex_state = 4},
  [1219] = {.lex_state = 30, .external_lex_state = 4},
  [1220] = {.lex_state = 30, .external_lex_state = 4},
  [1221] = {.lex_state = 30, .external_lex_state = 4},
  [1222] = {.lex_state = 30, .external_lex_state = 4},
  [1223] = {.lex_state = 30, .external_lex_state = 4},
  [1224] = {.lex_state = 30, .external_lex_state = 3},
  [1225] = {.lex_state = 30, .external_lex_state = 3},
  [1226] = {.lex_state = 30, .external_lex_state = 4},
  [1227] = {.lex_state = 30, .external_lex_state = 4},
  [1228] = {.lex_state = 30, .external_lex_state = 3},
  [1229] = {.lex_state = 30, .external_lex_state = 4},
  [1230] = {.lex_state = 30, .external_lex_state = 4},
  [1231] = {.lex_state = 30, .external_lex_state = 3},
  [1232] = {.lex_state = 30, .external_lex_state = 4},
  [1233] = {.lex_state = 30, .external_lex_state = 3},
  [1234] = {.lex_state = 30, .external_lex_state = 3},
  [1235] = {.lex_state = 30, .external_lex_state = 4},
  [1236] = {.lex_state = 30, .external_lex_state = 3},
  [1237] = {.lex_state = 30, .external_lex_state = 3},
  [1238] = {.lex_state = 30, .external_lex_state = 4},
  [1239] = {.lex_state = 30, .external_lex_state = 4},
  [1240] = {.lex_state = 30, .external_lex_state = 4},
  [1241] = {.lex_state = 30, .external_lex_state = 3},
  [1242] = {.lex_state = 32, .external_lex_state = 4},
  [1243] = {.lex_state = 30, .external_lex_state = 4},
  [1244] = {.lex_state = 30, .external_lex_state = 4},
  [1245] = {.lex_state = 30, .external_lex_state = 4},
  [1246] = {.lex_state = 30, .external_lex_state = 3},
  [1247] = {.lex_state = 30, .external_lex_state = 3},
  [1248] = {.lex_state = 30, .external_lex_state = 4},
  [1249] = {.lex_state = 30, .external_lex_state = 3},
  [1250] = {.lex_state = 30, .external_lex_state = 3},
  [1251] = {.lex_state = 30, .external_lex_state = 4},
  [1252] = {.lex_state = 30, .external_lex_state = 3},
  [1253] = {.lex_state = 30, .external_lex_state = 3},
  [1254] = {.lex_state = 30, .external_lex_state = 3},
  [1255] = {.lex_state = 30, .external_lex_state = 3},
  [1256] = {.lex_state = 30, .external_lex_state = 3},
  [1257] = {.lex_state = 30, .external_lex_state = 3},
  [1258] = {.lex_state = 30, .external_lex_state = 4},
  [1259] = {.lex_state = 30, .external_lex_state = 3},
  [1260] = {.lex_state = 30, .external_lex_state = 3},
  [1261] = {.lex_state = 30, .external_lex_state = 3},
  [1262] = {.lex_state = 30, .external_lex_state = 3},
  [1263] = {.lex_state = 30, .external_lex_state = 3},
  [1264] = {.lex_state = 30, .external_lex_state = 3},
  [1265] = {.lex_state = 30, .external_lex_state = 4},
  [1266] = {.lex_state = 30, .external_lex_state = 4},
  [1267] = {.lex_state = 30, .external_lex_state = 4},
  [1268] = {.lex_state = 30, .external_lex_state = 4},
  [1269] = {.lex_state = 30, .external_lex_state = 4},
  [1270] = {.lex_state = 30, .external_lex_state = 3},
  [1271] = {.lex_state = 30, .external_lex_state = 4},
  [1272] = {.lex_state = 30, .external_lex_state = 3},
  [1273] = {.lex_state = 30, .external_lex_state = 3},
  [1274] = {.lex_state = 30, .external_lex_state = 3},
  [1275] = {.lex_state = 30, .external_lex_state = 3},
  [1276] = {.lex_state = 30, .external_lex_state = 3},
  [1277] = {.lex_state = 30, .external_lex_state = 4},
  [1278] = {.lex_state = 30, .external_lex_state = 3},
  [1279] = {.lex_state = 30, .external_lex_state = 3},
  [1280] = {.lex_state = 30, .external_lex_state = 3},
  [1281] = {.lex_state = 30, .external_lex_state = 4},
  [1282] = {.lex_state = 30, .external_lex_state = 3},
  [1283] = {.lex_state = 30, .external_lex_state = 3},
  [1284] = {.lex_state = 30, .external_lex_state = 4},
  [1285] = {.lex_state = 30, .external_lex_state = 3},
  [1286] = {.lex_state = 30, .external_lex_state = 3},
  [1287] = {.lex_state = 30, .external_lex_state = 3},
  [1288] = {.lex_state = 30, .external_lex_state = 3},
  [1289] = {.lex_state = 30, .external_lex_state = 3},
  [1290] = {.lex_state = 30, .external_lex_state = 3},
  [1291] = {.lex_state = 30, .external_lex_state = 3},
  [1292] = {.lex_state = 30, .external_lex_state = 3},
  [1293] = {.lex_state = 30, .external_lex_state = 3},
  [1294] = {.lex_state = 30, .external_lex_state = 3},
  [1295] = {.lex_state = 30, .external_lex_state = 3},
  [1296] = {.lex_state = 30, .external_lex_state = 3},
  [1297] = {.lex_state = 30, .external_lex_state = 3},
  [1298] = {.lex_state = 30, .external_lex_state = 3},
  [1299] = {.lex_state = 30, .external_lex_state = 3},
  [1300] = {.lex_state = 30, .external_lex_state = 3},
  [1301] = {.lex_state = 30, .external_lex_state = 3},
  [1302] = {.lex_state = 30, .external_lex_state = 3},
  [1303] = {.lex_state = 30, .external_lex_state = 3},
  [1304] = {.lex_state = 30, .external_lex_state = 3},
  [1305] = {.lex_state = 30, .external_lex_state = 3},
  [1306] = {.lex_state = 30, .external_lex_state = 3},
  [1307] = {.lex_state = 30, .external_lex_state = 3},
  [1308] = {.lex_state = 30, .external_lex_state = 3},
  [1309] = {.lex_state = 30, .external_lex_state = 3},
  [1310] = {.lex_state = 30, .external_lex_state = 3},
  [1311] = {.lex_state = 30, .external_lex_state = 3},
  [1312] = {.lex_state = 30, .external_lex_state = 3},
  [1313] = {.lex_state = 30, .external_lex_state = 3},
  [1314] = {.lex_state = 30, .external_lex_state = 3},
  [1315] = {.lex_state = 30, .external_lex_state = 3},
  [1316] = {.lex_state = 30, .external_lex_state = 3},
  [1317] = {.lex_state = 30, .external_lex_state = 3},
  [1318] = {.lex_state = 30, .external_lex_state = 3},
  [1319] = {.lex_state = 30, .external_lex_state = 3},
  [1320] = {.lex_state = 30, .external_lex_state = 3},
  [1321] = {.lex_state = 30, .external_lex_state = 3},
  [1322] = {.lex_state = 30, .external_lex_state = 3},
  [1323] = {.lex_state = 30, .external_lex_state = 3},
  [1324] = {.lex_state = 37, .external_lex_state = 2},
  [1325] = {.lex_state = 30, .external_lex_state = 3},
  [1326] = {.lex_state = 30, .external_lex_state = 3},
  [1327] = {.lex_state = 37, .external_lex_state = 2},
  [1328] = {.lex_state = 37, .external_lex_state = 2},
  [1329] = {.lex_state = 30, .external_lex_state = 3},
  [1330] = {.lex_state = 37, .external_lex_state = 2},
  [1331] = {.lex_state = 30, .external_lex_state = 3},
  [1332] = {.lex_state = 32, .external_lex_state = 3},
  [1333] = {.lex_state = 37, .external_lex_state = 2},
  [1334] = {.lex_state = 37, .external_lex_state = 2},
  [1335] = {.lex_state = 37, .external_lex_state = 2},
  [1336] = {.lex_state = 30, .external_lex_state = 3},
  [1337] = {.lex_state = 30, .external_lex_state = 3},
  [1338] = {.lex_state = 37, .external_lex_state = 2},
  [1339] = {.lex_state = 37, .external_lex_state = 2},
  [1340] = {.lex_state = 37, .external_lex_state = 2},
  [1341] = {.lex_state = 37, .external_lex_state = 2},
  [1342] = {.lex_state = 37, .external_lex_state = 2},
  [1343] = {.lex_state = 37, .external_lex_state = 2},
  [1344] = {.lex_state = 37, .external_lex_state = 2},
  [1345] = {.lex_state = 37, .external_lex_state = 2},
  [1346] = {.lex_state = 37, .external_lex_state = 2},
  [1347] = {.lex_state = 37, .external_lex_state = 2},
  [1348] = {.lex_state = 37, .external_lex_state = 2},
  [1349] = {.lex_state = 37, .external_lex_state = 2},
  [1350] = {.lex_state = 37, .external_lex_state = 2},
  [1351] = {.lex_state = 37, .external_lex_state = 2},
  [1352] = {.lex_state = 37, .external_lex_state = 2},
  [1353] = {.lex_state = 37, .external_lex_state = 2},
  [1354] = {.lex_state = 37, .external_lex_state = 2},
  [1355] = {.lex_state = 37, .external_lex_state = 2},
  [1356] = {.lex_state = 37, .external_lex_state = 2},
  [1357] = {.lex_state = 37, .external_lex_state = 2},
  [1358] = {.lex_state = 37, .external_lex_state = 2},
  [1359] = {.lex_state = 37, .external_lex_state = 2},
  [1360] = {.lex_state = 37, .external_lex_state = 2},
  [1361] = {.lex_state = 37, .external_lex_state = 2},
  [1362] = {.lex_state = 37, .external_lex_state = 2},
  [1363] = {.lex_state = 37, .external_lex_state = 2},
  [1364] = {.lex_state = 33, .external_lex_state = 2},
  [1365] = {.lex_state = 33, .external_lex_state = 2},
  [1366] = {.lex_state = 33, .external_lex_state = 2},
  [1367] = {.lex_state = 33, .external_lex_state = 2},
  [1368] = {.lex_state = 33, .external_lex_state = 2},
  [1369] = {.lex_state = 33, .external_lex_state = 2},
  [1370] = {.lex_state = 33, .external_lex_state = 2},
  [1371] = {.lex_state = 33, .external_lex_state = 2},
  [1372] = {.lex_state = 33, .external_lex_state = 2},
  [1373] = {.lex_state = 33, .external_lex_state = 2},
  [1374] = {.lex_state = 33, .external_lex_state = 2},
  [1375] = {.lex_state = 33, .external_lex_state = 2},
  [1376] = {.lex_state = 33, .external_lex_state = 2},
  [1377] = {.lex_state = 33, .external_lex_state = 2},
  [1378] = {.lex_state = 33, .external_lex_state = 2},
  [1379] = {.lex_state = 33, .external_lex_state = 2},
  [1380] = {.lex_state = 33, .external_lex_state = 2},
  [1381] = {.lex_state = 33, .external_lex_state = 2},
  [1382] = {.lex_state = 33, .external_lex_state = 2},
  [1383] = {.lex_state = 33, .external_lex_state = 2},
  [1384] = {.lex_state = 33, .external_lex_state = 2},
  [1385] = {.lex_state = 33, .external_lex_state = 2},
  [1386] = {.lex_state = 33, .external_lex_state = 5},
  [1387] = {.lex_state = 33, .external_lex_state = 2},
  [1388] = {.lex_state = 33, .external_lex_state = 2},
  [1389] = {.lex_state = 33, .external_lex_state = 2},
  [1390] = {.lex_state = 33, .external_lex_state = 2},
  [1391] = {.lex_state = 33, .external_lex_state = 2},
  [1392] = {.lex_state = 35, .external_lex_state = 2},
  [1393] = {.lex_state = 33, .external_lex_state = 2},
  [1394] = {.lex_state = 33, .external_lex_state = 5},
  [1395] = {.lex_state = 37, .external_lex_state = 2},
  [1396] = {.lex_state = 33, .external_lex_state = 5},
  [1397] = {.lex_state = 33, .external_lex_state = 5},
  [1398] = {.lex_state = 33, .external_lex_state = 2},
  [1399] = {.lex_state = 33, .external_lex_state = 2},
  [1400] = {.lex_state = 33, .external_lex_state = 5},
  [1401] = {.lex_state = 33, .external_lex_state = 2},
  [1402] = {.lex_state = 37, .external_lex_state = 2},
  [1403] = {.lex_state = 33, .external_lex_state = 2},
  [1404] = {.lex_state = 33, .external_lex_state = 5},
  [1405] = {.lex_state = 33, .external_lex_state = 5},
  [1406] = {.lex_state = 33, .external_lex_state = 5},
  [1407] = {.lex_state = 33, .external_lex_state = 2},
  [1408] = {.lex_state = 33, .external_lex_state = 5},
  [1409] = {.lex_state = 35, .external_lex_state = 2},
  [1410] = {.lex_state = 37, .external_lex_state = 5},
  [1411] = {.lex_state = 33, .external_lex_state = 5},
  [1412] = {.lex_state = 33, .external_lex_state = 5},
  [1413] = {.lex_state = 37, .external_lex_state = 5},
  [1414] = {.lex_state = 33, .external_lex_state = 5},
  [1415] = {.lex_state = 37, .external_lex_state = 2},
  [1416] = {.lex_state = 37, .external_lex_state = 2},
  [1417] = {.lex_state = 37, .external_lex_state = 2},
  [1418] = {.lex_state = 35, .external_lex_state = 2},
  [1419] = {.lex_state = 37, .external_lex_state = 2},
  [1420] = {.lex_state = 37, .external_lex_state = 2},
  [1421] = {.lex_state = 37, .external_lex_state = 2},
  [1422] = {.lex_state = 37, .external_lex_state = 2},
  [1423] = {.lex_state = 37, .external_lex_state = 2},
  [1424] = {.lex_state = 37, .external_lex_state = 2},
  [1425] = {.lex_state = 37, .external_lex_state = 2},
  [1426] = {.lex_state = 37, .external_lex_state = 2},
  [1427] = {.lex_state = 37, .external_lex_state = 2},
  [1428] = {.lex_state = 37, .external_lex_state = 2},
  [1429] = {.lex_state = 37, .external_lex_state = 2},
  [1430] = {.lex_state = 37, .external_lex_state = 2},
  [1431] = {.lex_state = 37, .external_lex_state = 2},
  [1432] = {.lex_state = 37, .external_lex_state = 2},
  [1433] = {.lex_state = 37, .external_lex_state = 2},
  [1434] = {.lex_state = 37, .external_lex_state = 2},
  [1435] = {.lex_state = 37, .external_lex_state = 2},
  [1436] = {.lex_state = 37, .external_lex_state = 2},
  [1437] = {.lex_state = 37, .external_lex_state = 2},
  [1438] = {.lex_state = 37, .external_lex_state = 2},
  [1439] = {.lex_state = 37, .external_lex_state = 2},
  [1440] = {.lex_state = 37, .external_lex_state = 2},
  [1441] = {.lex_state = 35, .external_lex_state = 2},
  [1442] = {.lex_state = 37, .external_lex_state = 2},
  [1443] = {.lex_state = 36, .external_lex_state = 2},
  [1444] = {.lex_state = 37, .external_lex_state = 2},
  [1445] = {.lex_state = 37, .external_lex_state = 2},
  [1446] = {.lex_state = 37, .external_lex_state = 2},
  [1447] = {.lex_state = 37, .external_lex_state = 2},
  [1448] = {.lex_state = 37, .external_lex_state = 2},
  [1449] = {.lex_state = 37, .external_lex_state = 2},
  [1450] = {.lex_state = 37, .external_lex_state = 2},
  [1451] = {.lex_state = 37, .external_lex_state = 2},
  [1452] = {.lex_state = 37, .external_lex_state = 2},
  [1453] = {.lex_state = 37, .external_lex_state = 2},
  [1454] = {.lex_state = 37, .external_lex_state = 2},
  [1455] = {.lex_state = 37, .external_lex_state = 2},
  [1456] = {.lex_state = 37, .external_lex_state = 2},
  [1457] = {.lex_state = 37, .external_lex_state = 2},
  [1458] = {.lex_state = 33, .external_lex_state = 2},
  [1459] = {.lex_state = 33, .external_lex_state = 2},
  [1460] = {.lex_state = 33, .external_lex_state = 2},
  [1461] = {.lex_state = 258, .external_lex_state = 2},
  [1462] = {.lex_state = 33, .external_lex_state = 2},
  [1463] = {.lex_state = 33, .external_lex_state = 2},
  [1464] = {.lex_state = 33, .external_lex_state = 2},
  [1465] = {.lex_state = 37, .external_lex_state = 2},
  [1466] = {.lex_state = 33, .external_lex_state = 2},
  [1467] = {.lex_state = 33, .external_lex_state = 2},
  [1468] = {.lex_state = 36, .external_lex_state = 2},
  [1469] = {.lex_state = 33, .external_lex_state = 2},
  [1470] = {.lex_state = 33, .external_lex_state = 2},
  [1471] = {.lex_state = 33, .external_lex_state = 2},
  [1472] = {.lex_state = 35, .external_lex_state = 2},
  [1473] = {.lex_state = 258, .external_lex_state = 2},
  [1474] = {.lex_state = 33, .external_lex_state = 2},
  [1475] = {.lex_state = 33, .external_lex_state = 2},
  [1476] = {.lex_state = 33, .external_lex_state = 2},
  [1477] = {.lex_state = 33, .external_lex_state = 2},
  [1478] = {.lex_state = 33, .external_lex_state = 2},
  [1479] = {.lex_state = 33, .external_lex_state = 2},
  [1480] = {.lex_state = 35, .external_lex_state = 2},
  [1481] = {.lex_state = 33, .external_lex_state = 2},
  [1482] = {.lex_state = 33, .external_lex_state = 2},
  [1483] = {.lex_state = 33, .external_lex_state = 2},
  [1484] = {.lex_state = 33, .external_lex_state = 2},
  [1485] = {.lex_state = 33, .external_lex_state = 2},
  [1486] = {.lex_state = 33, .external_lex_state = 2},
  [1487] = {.lex_state = 35, .external_lex_state = 2},
  [1488] = {.lex_state = 33, .external_lex_state = 2},
  [1489] = {.lex_state = 33, .external_lex_state = 2},
  [1490] = {.lex_state = 258, .external_lex_state = 2},
  [1491] = {.lex_state = 33, .external_lex_state = 2},
  [1492] = {.lex_state = 33, .external_lex_state = 2},
  [1493] = {.lex_state = 33, .external_lex_state = 2},
  [1494] = {.lex_state = 33, .external_lex_state = 2},
  [1495] = {.lex_state = 33, .external_lex_state = 2},
  [1496] = {.lex_state = 33, .external_lex_state = 2},
  [1497] = {.lex_state = 33, .external_lex_state = 2},
  [1498] = {.lex_state = 35, .external_lex_state = 2},
  [1499] = {.lex_state = 258, .external_lex_state = 2},
  [1500] = {.lex_state = 33, .external_lex_state = 2},
  [1501] = {.lex_state = 33, .external_lex_state = 2},
  [1502] = {.lex_state = 33, .external_lex_state = 2},
  [1503] = {.lex_state = 258, .external_lex_state = 2},
  [1504] = {.lex_state = 35, .external_lex_state = 2},
  [1505] = {.lex_state = 35, .external_lex_state = 2},
  [1506] = {.lex_state = 258, .external_lex_state = 2},
  [1507] = {.lex_state = 33, .external_lex_state = 2},
  [1508] = {.lex_state = 258, .external_lex_state = 2},
  [1509] = {.lex_state = 37, .external_lex_state = 2},
  [1510] = {.lex_state = 33, .external_lex_state = 2},
  [1511] = {.lex_state = 33, .external_lex_state = 2},
  [1512] = {.lex_state = 33, .external_lex_state = 2},
  [1513] = {.lex_state = 258, .external_lex_state = 2},
  [1514] = {.lex_state = 37, .external_lex_state = 2},
  [1515] = {.lex_state = 258, .external_lex_state = 2},
  [1516] = {.lex_state = 37, .external_lex_state = 2},
  [1517] = {.lex_state = 33, .external_lex_state = 2},
  [1518] = {.lex_state = 33, .external_lex_state = 2},
  [1519] = {.lex_state = 33, .external_lex_state = 2},
  [1520] = {.lex_state = 33, .external_lex_state = 2},
  [1521] = {.lex_state = 258, .external_lex_state = 2},
  [1522] = {.lex_state = 33, .external_lex_state = 2},
  [1523] = {.lex_state = 33, .external_lex_state = 2},
  [1524] = {.lex_state = 37, .external_lex_state = 2},
  [1525] = {.lex_state = 258, .external_lex_state = 2},
  [1526] = {.lex_state = 37, .external_lex_state = 2},
  [1527] = {.lex_state = 33, .external_lex_state = 2},
  [1528] = {.lex_state = 33, .external_lex_state = 2},
  [1529] = {.lex_state = 37, .external_lex_state = 2},
  [1530] = {.lex_state = 33, .external_lex_state = 2},
  [1531] = {.lex_state = 33, .external_lex_state = 2},
  [1532] = {.lex_state = 33, .external_lex_state = 2},
  [1533] = {.lex_state = 33, .external_lex_state = 2},
  [1534] = {.lex_state = 33, .external_lex_state = 2},
  [1535] = {.lex_state = 33, .external_lex_state = 2},
  [1536] = {.lex_state = 33, .external_lex_state = 2},
  [1537] = {.lex_state = 34, .external_lex_state = 2},
  [1538] = {.lex_state = 45, .external_lex_state = 2},
  [1539] = {.lex_state = 34, .external_lex_state = 2},
  [1540] = {.lex_state = 45, .external_lex_state = 2},
  [1541] = {.lex_state = 45, .external_lex_state = 2},
  [1542] = {.lex_state = 45, .external_lex_state = 2},
  [1543] = {.lex_state = 45, .external_lex_state = 2},
  [1544] = {.lex_state = 34, .external_lex_state = 2},
  [1545] = {.lex_state = 34, .external_lex_state = 2},
  [1546] = {.lex_state = 45, .external_lex_state = 2},
  [1547] = {.lex_state = 45, .external_lex_state = 2},
  [1548] = {.lex_state = 45, .external_lex_state = 2},
  [1549] = {.lex_state = 34, .external_lex_state = 2},
  [1550] = {.lex_state = 45, .external_lex_state = 2},
  [1551] = {.lex_state = 60, .external_lex_state = 2},
  [1552] = {.lex_state = 60, .external_lex_state = 2},
  [1553] = {.lex_state = 60, .external_lex_state = 2},
  [1554] = {.lex_state = 60, .external_lex_state = 2},
  [1555] = {.lex_state = 60, .external_lex_state = 2},
  [1556] = {.lex_state = 60, .external_lex_state = 2},
  [1557] = {.lex_state = 60, .external_lex_state = 2},
  [1558] = {.lex_state = 60, .external_lex_state = 2},
  [1559] = {.lex_state = 60, .external_lex_state = 2},
  [1560] = {.lex_state = 60, .external_lex_state = 2},
  [1561] = {.lex_state = 60, .external_lex_state = 2},
  [1562] = {.lex_state = 60, .external_lex_state = 2},
  [1563] = {.lex_state = 60, .external_lex_state = 2},
  [1564] = {.lex_state = 60, .external_lex_state = 2},
  [1565] = {.lex_state = 60, .external_lex_state = 2},
  [1566] = {.lex_state = 60, .external_lex_state = 2},
  [1567] = {.lex_state = 60, .external_lex_state = 2},
  [1568] = {.lex_state = 60, .external_lex_state = 2},
  [1569] = {.lex_state = 60, .external_lex_state = 2},
  [1570] = {.lex_state = 60, .external_lex_state = 2},
  [1571] = {.lex_state = 60, .external_lex_state = 2},
  [1572] = {.lex_state = 39, .external_lex_state = 2},
  [1573] = {.lex_state = 60, .external_lex_state = 2},
  [1574] = {.lex_state = 60, .external_lex_state = 2},
  [1575] = {.lex_state = 60, .external_lex_state = 2},
  [1576] = {.lex_state = 60, .external_lex_state = 2},
  [1577] = {.lex_state = 60, .external_lex_state = 2},
  [1578] = {.lex_state = 60, .external_lex_state = 2},
  [1579] = {.lex_state = 60, .external_lex_state = 2},
  [1580] = {.lex_state = 60, .external_lex_state = 2},
  [1581] = {.lex_state = 60, .external_lex_state = 2},
  [1582] = {.lex_state = 39, .external_lex_state = 2},
  [1583] = {.lex_state = 60, .external_lex_state = 2},
  [1584] = {.lex_state = 60, .external_lex_state = 2},
  [1585] = {.lex_state = 60, .external_lex_state = 2},
  [1586] = {.lex_state = 34, .external_lex_state = 2},
  [1587] = {.lex_state = 34, .external_lex_state = 2},
  [1588] = {.lex_state = 39, .external_lex_state = 2},
  [1589] = {.lex_state = 258, .external_lex_state = 2},
  [1590] = {.lex_state = 258, .external_lex_state = 2},
  [1591] = {.lex_state = 34, .external_lex_state = 2},
  [1592] = {.lex_state = 34, .external_lex_state = 2},
  [1593] = {.lex_state = 34, .external_lex_state = 2},
  [1594] = {.lex_state = 34, .external_lex_state = 2},
  [1595] = {.lex_state = 34, .external_lex_state = 2},
  [1596] = {.lex_state = 60, .external_lex_state = 2},
  [1597] = {.lex_state = 34, .external_lex_state = 2},
  [1598] = {.lex_state = 34, .external_lex_state = 2},
  [1599] = {.lex_state = 258, .external_lex_state = 2},
  [1600] = {.lex_state = 39, .external_lex_state = 5},
  [1601] = {.lex_state = 34, .external_lex_state = 2},
  [1602] = {.lex_state = 39, .external_lex_state = 2},
  [1603] = {.lex_state = 34, .external_lex_state = 2},
  [1604] = {.lex_state = 39, .external_lex_state = 2},
  [1605] = {.lex_state = 258, .external_lex_state = 2},
  [1606] = {.lex_state = 39, .external_lex_state = 2},
  [1607] = {.lex_state = 34, .external_lex_state = 2},
  [1608] = {.lex_state = 34, .external_lex_state = 2},
  [1609] = {.lex_state = 34, .external_lex_state = 2},
  [1610] = {.lex_state = 34, .external_lex_state = 2},
  [1611] = {.lex_state = 39, .external_lex_state = 5},
  [1612] = {.lex_state = 39, .external_lex_state = 2},
  [1613] = {.lex_state = 34, .external_lex_state = 2},
  [1614] = {.lex_state = 258, .external_lex_state = 2},
  [1615] = {.lex_state = 34, .external_lex_state = 2},
  [1616] = {.lex_state = 258, .external_lex_state = 2},
  [1617] = {.lex_state = 34, .external_lex_state = 2},
  [1618] = {.lex_state = 34, .external_lex_state = 2},
  [1619] = {.lex_state = 258, .external_lex_state = 2},
  [1620] = {.lex_state = 258, .external_lex_state = 5},
  [1621] = {.lex_state = 39, .external_lex_state = 2},
  [1622] = {.lex_state = 258, .external_lex_state = 5},
  [1623] = {.lex_state = 258, .external_lex_state = 2},
  [1624] = {.lex_state = 39, .external_lex_state = 5},
  [1625] = {.lex_state = 258, .external_lex_state = 6},
  [1626] = {.lex_state = 258, .external_lex_state = 2},
  [1627] = {.lex_state = 258, .external_lex_state = 2},
  [1628] = {.lex_state = 45, .external_lex_state = 2},
  [1629] = {.lex_state = 45, .external_lex_state = 2},
  [1630] = {.lex_state = 34, .external_lex_state = 2},
  [1631] = {.lex_state = 45, .external_lex_state = 2},
  [1632] = {.lex_state = 30, .external_lex_state = 2},
  [1633] = {.lex_state = 39, .external_lex_state = 5},
  [1634] = {.lex_state = 258, .external_lex_state = 5},
  [1635] = {.lex_state = 45, .external_lex_state = 2},
  [1636] = {.lex_state = 258, .external_lex_state = 2},
  [1637] = {.lex_state = 45, .external_lex_state = 2},
  [1638] = {.lex_state = 39, .external_lex_state = 5},
  [1639] = {.lex_state = 34, .external_lex_state = 2},
  [1640] = {.lex_state = 45, .external_lex_state = 2},
  [1641] = {.lex_state = 45, .external_lex_state = 2},
  [1642] = {.lex_state = 34, .external_lex_state = 2},
  [1643] = {.lex_state = 45, .external_lex_state = 2},
  [1644] = {.lex_state = 258, .external_lex_state = 5},
  [1645] = {.lex_state = 45, .external_lex_state = 2},
  [1646] = {.lex_state = 258, .external_lex_state = 2},
  [1647] = {.lex_state = 258, .external_lex_state = 2},
  [1648] = {.lex_state = 39, .external_lex_state = 5},
  [1649] = {.lex_state = 258, .external_lex_state = 5},
  [1650] = {.lex_state = 258, .external_lex_state = 2},
  [1651] = {.lex_state = 258, .external_lex_state = 2},
  [1652] = {.lex_state = 45, .external_lex_state = 2},
  [1653] = {.lex_state = 258, .external_lex_state = 6},
  [1654] = {.lex_state = 45, .external_lex_state = 2},
  [1655] = {.lex_state = 39, .external_lex_state = 5},
  [1656] = {.lex_state = 34, .external_lex_state = 2},
  [1657] = {.lex_state = 30, .external_lex_state = 2},
  [1658] = {.lex_state = 258, .external_lex_state = 6},
  [1659] = {.lex_state = 39, .external_lex_state = 5},
  [1660] = {.lex_state = 45, .external_lex_state = 2},
  [1661] = {.lex_state = 258, .external_lex_state = 2},
  [1662] = {.lex_state = 258, .external_lex_state = 2},
  [1663] = {.lex_state = 39, .external_lex_state = 5},
  [1664] = {.lex_state = 45, .external_lex_state = 2},
  [1665] = {.lex_state = 258, .external_lex_state = 2},
  [1666] = {.lex_state = 258, .external_lex_state = 2},
  [1667] = {.lex_state = 258, .external_lex_state = 2},
  [1668] = {.lex_state = 39, .external_lex_state = 5},
  [1669] = {.lex_state = 39, .external_lex_state = 5},
  [1670] = {.lex_state = 45, .external_lex_state = 2},
  [1671] = {.lex_state = 258, .external_lex_state = 2},
  [1672] = {.lex_state = 258, .external_lex_state = 6},
  [1673] = {.lex_state = 258, .external_lex_state = 5},
  [1674] = {.lex_state = 34, .external_lex_state = 2},
  [1675] = {.lex_state = 45, .external_lex_state = 2},
  [1676] = {.lex_state = 60, .external_lex_state = 2},
  [1677] = {.lex_state = 258, .external_lex_state = 2},
  [1678] = {.lex_state = 34, .external_lex_state = 2},
  [1679] = {.lex_state = 45, .external_lex_state = 2},
  [1680] = {.lex_state = 258, .external_lex_state = 2},
  [1681] = {.lex_state = 34, .external_lex_state = 2},
  [1682] = {.lex_state = 34, .external_lex_state = 2},
  [1683] = {.lex_state = 45, .external_lex_state = 2},
  [1684] = {.lex_state = 60, .external_lex_state = 2},
  [1685] = {.lex_state = 258, .external_lex_state = 2},
  [1686] = {.lex_state = 258, .external_lex_state = 6},
  [1687] = {.lex_state = 60, .external_lex_state = 2},
  [1688] = {.lex_state = 258, .external_lex_state = 2},
  [1689] = {.lex_state = 45, .external_lex_state = 2},
  [1690] = {.lex_state = 34, .external_lex_state = 2},
  [1691] = {.lex_state = 45, .external_lex_state = 2},
  [1692] = {.lex_state = 258, .external_lex_state = 2},
  [1693] = {.lex_state = 258, .external_lex_state = 2},
  [1694] = {.lex_state = 60, .external_lex_state = 2},
  [1695] = {.lex_state = 258, .external_lex_state = 2},
  [1696] = {.lex_state = 258, .external_lex_state = 5},
  [1697] = {.lex_state = 60, .external_lex_state = 2},
  [1698] = {.lex_state = 60, .external_lex_state = 2},
  [1699] = {.lex_state = 60, .external_lex_state = 2},
  [1700] = {.lex_state = 258, .external_lex_state = 2},
  [1701] = {.lex_state = 62, .external_lex_state = 2},
  [1702] = {.lex_state = 60, .external_lex_state = 2},
  [1703] = {.lex_state = 258, .external_lex_state = 2},
  [1704] = {.lex_state = 258, .external_lex_state = 2},
  [1705] = {.lex_state = 62, .external_lex_state = 2},
  [1706] = {.lex_state = 34, .external_lex_state = 2},
  [1707] = {.lex_state = 62, .external_lex_state = 2},
  [1708] = {.lex_state = 62, .external_lex_state = 2},
  [1709] = {.lex_state = 62, .external_lex_state = 2},
  [1710] = {.lex_state = 39, .external_lex_state = 5},
  [1711] = {.lex_state = 258, .external_lex_state = 2},
  [1712] = {.lex_state = 34, .external_lex_state = 2},
  [1713] = {.lex_state = 258, .external_lex_state = 2},
  [1714] = {.lex_state = 62, .external_lex_state = 2},
  [1715] = {.lex_state = 60, .external_lex_state = 2},
  [1716] = {.lex_state = 62, .external_lex_state = 2},
  [1717] = {.lex_state = 258, .external_lex_state = 2},
  [1718] = {.lex_state = 62, .external_lex_state = 2},
  [1719] = {.lex_state = 62, .external_lex_state = 2},
  [1720] = {.lex_state = 60, .external_lex_state = 2},
  [1721] = {.lex_state = 60, .external_lex_state = 2},
  [1722] = {.lex_state = 258, .external_lex_state = 2},
  [1723] = {.lex_state = 34, .external_lex_state = 2},
  [1724] = {.lex_state = 60, .external_lex_state = 2},
  [1725] = {.lex_state = 62, .external_lex_state = 2},
  [1726] = {.lex_state = 60, .external_lex_state = 2},
  [1727] = {.lex_state = 60, .external_lex_state = 2},
  [1728] = {.lex_state = 258, .external_lex_state = 2},
  [1729] = {.lex_state = 62, .external_lex_state = 2},
  [1730] = {.lex_state = 62, .external_lex_state = 2},
  [1731] = {.lex_state = 60, .external_lex_state = 2},
  [1732] = {.lex_state = 258, .external_lex_state = 5},
  [1733] = {.lex_state = 258, .external_lex_state = 2},
  [1734] = {.lex_state = 258, .external_lex_state = 2},
  [1735] = {.lex_state = 258, .external_lex_state = 2},
  [1736] = {.lex_state = 60, .external_lex_state = 2},
  [1737] = {.lex_state = 34, .external_lex_state = 2},
  [1738] = {.lex_state = 258, .external_lex_state = 5},
  [1739] = {.lex_state = 60, .external_lex_state = 2},
  [1740] = {.lex_state = 60, .external_lex_state = 2},
  [1741] = {.lex_state = 60, .external_lex_state = 2},
  [1742] = {.lex_state = 62, .external_lex_state = 2},
  [1743] = {.lex_state = 60, .external_lex_state = 2},
  [1744] = {.lex_state = 60, .external_lex_state = 2},
  [1745] = {.lex_state = 258, .external_lex_state = 2},
  [1746] = {.lex_state = 60, .external_lex_state = 2},
  [1747] = {.lex_state = 258, .external_lex_state = 2},
  [1748] = {.lex_state = 62, .external_lex_state = 2},
  [1749] = {.lex_state = 60, .external_lex_state = 2},
  [1750] = {.lex_state = 60, .external_lex_state = 2},
  [1751] = {.lex_state = 60, .external_lex_state = 2},
  [1752] = {.lex_state = 60, .external_lex_state = 2},
  [1753] = {.lex_state = 60, .external_lex_state = 2},
  [1754] = {.lex_state = 258, .external_lex_state = 2},
  [1755] = {.lex_state = 41, .external_lex_state = 7},
  [1756] = {.lex_state = 258, .external_lex_state = 2},
  [1757] = {.lex_state = 258, .external_lex_state = 2},
  [1758] = {.lex_state = 258, .external_lex_state = 5},
  [1759] = {.lex_state = 258, .external_lex_state = 5},
  [1760] = {.lex_state = 258, .external_lex_state = 5},
  [1761] = {.lex_state = 258, .external_lex_state = 2},
  [1762] = {.lex_state = 34, .external_lex_state = 2},
  [1763] = {.lex_state = 258, .external_lex_state = 2},
  [1764] = {.lex_state = 41, .external_lex_state = 7},
  [1765] = {.lex_state = 48, .external_lex_state = 7},
  [1766] = {.lex_state = 258, .external_lex_state = 5},
  [1767] = {.lex_state = 258, .external_lex_state = 5},
  [1768] = {.lex_state = 258, .external_lex_state = 5},
  [1769] = {.lex_state = 258, .external_lex_state = 5},
  [1770] = {.lex_state = 258, .external_lex_state = 5},
  [1771] = {.lex_state = 258, .external_lex_state = 2},
  [1772] = {.lex_state = 3, .external_lex_state = 2},
  [1773] = {.lex_state = 258, .external_lex_state = 2},
  [1774] = {.lex_state = 258, .external_lex_state = 5},
  [1775] = {.lex_state = 3, .external_lex_state = 2},
  [1776] = {.lex_state = 258, .external_lex_state = 5},
  [1777] = {.lex_state = 258, .external_lex_state = 5},
  [1778] = {.lex_state = 258, .external_lex_state = 2},
  [1779] = {.lex_state = 30, .external_lex_state = 2},
  [1780] = {.lex_state = 258, .external_lex_state = 5},
  [1781] = {.lex_state = 258, .external_lex_state = 5},
  [1782] = {.lex_state = 48, .external_lex_state = 7},
  [1783] = {.lex_state = 41, .external_lex_state = 7},
  [1784] = {.lex_state = 41, .external_lex_state = 7},
  [1785] = {.lex_state = 258, .external_lex_state = 2},
  [1786] = {.lex_state = 48, .external_lex_state = 7},
  [1787] = {.lex_state = 258, .external_lex_state = 5},
  [1788] = {.lex_state = 38, .external_lex_state = 2},
  [1789] = {.lex_state = 46, .external_lex_state = 2},
  [1790] = {.lex_state = 258, .external_lex_state = 5},
  [1791] = {.lex_state = 258, .external_lex_state = 5},
  [1792] = {.lex_state = 258, .external_lex_state = 2},
  [1793] = {.lex_state = 258, .external_lex_state = 2},
  [1794] = {.lex_state = 34, .external_lex_state = 2},
  [1795] = {.lex_state = 258, .external_lex_state = 2},
  [1796] = {.lex_state = 258, .external_lex_state = 2},
  [1797] = {.lex_state = 38, .external_lex_state = 2},
  [1798] = {.lex_state = 258, .external_lex_state = 5},
  [1799] = {.lex_state = 258, .external_lex_state = 5},
  [1800] = {.lex_state = 258, .external_lex_state = 5},
  [1801] = {.lex_state = 258, .external_lex_state = 2},
  [1802] = {.lex_state = 258, .external_lex_state = 5},
  [1803] = {.lex_state = 258, .external_lex_state = 5},
  [1804] = {.lex_state = 258, .external_lex_state = 5},
  [1805] = {.lex_state = 258, .external_lex_state = 2},
  [1806] = {.lex_state = 258, .external_lex_state = 5},
  [1807] = {.lex_state = 258, .external_lex_state = 2},
  [1808] = {.lex_state = 46, .external_lex_state = 2},
  [1809] = {.lex_state = 38, .external_lex_state = 2},
  [1810] = {.lex_state = 46, .external_lex_state = 2},
  [1811] = {.lex_state = 258, .external_lex_state = 2},
  [1812] = {.lex_state = 258, .external_lex_state = 2},
  [1813] = {.lex_state = 258, .external_lex_state = 2},
  [1814] = {.lex_state = 41, .external_lex_state = 7},
  [1815] = {.lex_state = 258, .external_lex_state = 5},
  [1816] = {.lex_state = 39, .external_lex_state = 2},
  [1817] = {.lex_state = 258, .external_lex_state = 5},
  [1818] = {.lex_state = 41, .external_lex_state = 7},
  [1819] = {.lex_state = 48, .external_lex_state = 7},
  [1820] = {.lex_state = 48, .external_lex_state = 7},
  [1821] = {.lex_state = 258, .external_lex_state = 2},
  [1822] = {.lex_state = 3, .external_lex_state = 2},
  [1823] = {.lex_state = 48, .external_lex_state = 7},
  [1824] = {.lex_state = 258, .external_lex_state = 2},
  [1825] = {.lex_state = 258, .external_lex_state = 2},
  [1826] = {.lex_state = 258, .external_lex_state = 5},
  [1827] = {.lex_state = 258, .external_lex_state = 5},
  [1828] = {.lex_state = 258, .external_lex_state = 6},
  [1829] = {.lex_state = 34, .external_lex_state = 2},
  [1830] = {.lex_state = 258, .external_lex_state = 2},
  [1831] = {.lex_state = 258, .external_lex_state = 2},
  [1832] = {.lex_state = 3, .external_lex_state = 2},
  [1833] = {.lex_state = 258, .external_lex_state = 2},
  [1834] = {.lex_state = 258, .external_lex_state = 2},
  [1835] = {.lex_state = 258, .external_lex_state = 2},
  [1836] = {.lex_state = 258, .external_lex_state = 2},
  [1837] = {.lex_state = 48, .external_lex_state = 7},
  [1838] = {.lex_state = 3, .external_lex_state = 2},
  [1839] = {.lex_state = 34, .external_lex_state = 2},
  [1840] = {.lex_state = 258, .external_lex_state = 5},
  [1841] = {.lex_state = 258, .external_lex_state = 6},
  [1842] = {.lex_state = 41, .external_lex_state = 7},
  [1843] = {.lex_state = 258, .external_lex_state = 2},
  [1844] = {.lex_state = 39, .external_lex_state = 2},
  [1845] = {.lex_state = 258, .external_lex_state = 2},
  [1846] = {.lex_state = 258, .external_lex_state = 5},
  [1847] = {.lex_state = 258, .external_lex_state = 2},
  [1848] = {.lex_state = 39, .external_lex_state = 2},
  [1849] = {.lex_state = 34, .external_lex_state = 2},
  [1850] = {.lex_state = 258, .external_lex_state = 5},
  [1851] = {.lex_state = 258, .external_lex_state = 5},
  [1852] = {.lex_state = 258, .external_lex_state = 5},
  [1853] = {.lex_state = 258, .external_lex_state = 5},
  [1854] = {.lex_state = 258, .external_lex_state = 2},
  [1855] = {.lex_state = 258, .external_lex_state = 5},
  [1856] = {.lex_state = 258, .external_lex_state = 5},
  [1857] = {.lex_state = 34, .external_lex_state = 2},
  [1858] = {.lex_state = 258, .external_lex_state = 2},
  [1859] = {.lex_state = 258, .external_lex_state = 5},
  [1860] = {.lex_state = 258, .external_lex_state = 2},
  [1861] = {.lex_state = 34, .external_lex_state = 2},
  [1862] = {.lex_state = 258, .external_lex_state = 5},
  [1863] = {.lex_state = 258, .external_lex_state = 2},
  [1864] = {.lex_state = 258, .external_lex_state = 5},
  [1865] = {.lex_state = 258, .external_lex_state = 5},
  [1866] = {.lex_state = 258, .external_lex_state = 5},
  [1867] = {.lex_state = 258, .external_lex_state = 5},
  [1868] = {.lex_state = 3, .external_lex_state = 2},
  [1869] = {.lex_state = 258, .external_lex_state = 2},
  [1870] = {.lex_state = 48, .external_lex_state = 7},
  [1871] = {.lex_state = 41, .external_lex_state = 7},
  [1872] = {.lex_state = 258, .external_lex_state = 5},
  [1873] = {.lex_state = 258, .external_lex_state = 2},
  [1874] = {.lex_state = 258, .external_lex_state = 5},
  [1875] = {.lex_state = 34, .external_lex_state = 2},
  [1876] = {.lex_state = 258, .external_lex_state = 2},
  [1877] = {.lex_state = 258, .external_lex_state = 5},
  [1878] = {.lex_state = 34, .external_lex_state = 2},
  [1879] = {.lex_state = 41, .external_lex_state = 7},
  [1880] = {.lex_state = 258, .external_lex_state = 5},
  [1881] = {.lex_state = 258, .external_lex_state = 5},
  [1882] = {.lex_state = 258, .external_lex_state = 2},
  [1883] = {.lex_state = 258, .external_lex_state = 2},
  [1884] = {.lex_state = 258, .external_lex_state = 5},
  [1885] = {.lex_state = 34, .external_lex_state = 2},
  [1886] = {.lex_state = 258, .external_lex_state = 2},
  [1887] = {.lex_state = 39, .external_lex_state = 2},
  [1888] = {.lex_state = 34, .external_lex_state = 2},
  [1889] = {.lex_state = 34, .external_lex_state = 2},
  [1890] = {.lex_state = 258, .external_lex_state = 2},
  [1891] = {.lex_state = 258, .external_lex_state = 2},
  [1892] = {.lex_state = 34, .external_lex_state = 2},
  [1893] = {.lex_state = 34, .external_lex_state = 2},
  [1894] = {.lex_state = 48, .external_lex_state = 7},
  [1895] = {.lex_state = 258, .external_lex_state = 2},
  [1896] = {.lex_state = 258, .external_lex_state = 2},
  [1897] = {.lex_state = 258, .external_lex_state = 2},
  [1898] = {.lex_state = 258, .external_lex_state = 2},
  [1899] = {.lex_state = 34, .external_lex_state = 5},
  [1900] = {.lex_state = 39, .external_lex_state = 2},
  [1901] = {.lex_state = 34, .external_lex_state = 2},
  [1902] = {.lex_state = 34, .external_lex_state = 2},
  [1903] = {.lex_state = 258, .external_lex_state = 5},
  [1904] = {.lex_state = 34, .external_lex_state = 2},
  [1905] = {.lex_state = 34, .external_lex_state = 2},
  [1906] = {.lex_state = 34, .external_lex_state = 2},
  [1907] = {.lex_state = 258, .external_lex_state = 2},
  [1908] = {.lex_state = 34, .external_lex_state = 2},
  [1909] = {.lex_state = 258, .external_lex_state = 5},
  [1910] = {.lex_state = 258, .external_lex_state = 2},
  [1911] = {.lex_state = 258, .external_lex_state = 2},
  [1912] = {.lex_state = 34, .external_lex_state = 2},
  [1913] = {.lex_state = 39, .external_lex_state = 2},
  [1914] = {.lex_state = 258, .external_lex_state = 2},
  [1915] = {.lex_state = 258, .external_lex_state = 5},
  [1916] = {.lex_state = 258, .external_lex_state = 5},
  [1917] = {.lex_state = 258, .external_lex_state = 5},
  [1918] = {.lex_state = 34, .external_lex_state = 5},
  [1919] = {.lex_state = 34, .external_lex_state = 2},
  [1920] = {.lex_state = 34, .external_lex_state = 5},
  [1921] = {.lex_state = 258, .external_lex_state = 2},
  [1922] = {.lex_state = 30, .external_lex_state = 2},
  [1923] = {.lex_state = 258, .external_lex_state = 5},
  [1924] = {.lex_state = 258, .external_lex_state = 5},
  [1925] = {.lex_state = 258, .external_lex_state = 5},
  [1926] = {.lex_state = 258, .external_lex_state = 2},
  [1927] = {.lex_state = 30, .external_lex_state = 2},
  [1928] = {.lex_state = 258, .external_lex_state = 2},
  [1929] = {.lex_state = 258, .external_lex_state = 5},
  [1930] = {.lex_state = 30, .external_lex_state = 2},
  [1931] = {.lex_state = 258, .external_lex_state = 2},
  [1932] = {.lex_state = 34, .external_lex_state = 2},
  [1933] = {.lex_state = 34, .external_lex_state = 2},
  [1934] = {.lex_state = 34, .external_lex_state = 2},
  [1935] = {.lex_state = 34, .external_lex_state = 2},
  [1936] = {.lex_state = 258, .external_lex_state = 2},
  [1937] = {.lex_state = 30, .external_lex_state = 2},
  [1938] = {.lex_state = 258, .external_lex_state = 2},
  [1939] = {.lex_state = 258, .external_lex_state = 2},
  [1940] = {.lex_state = 258, .external_lex_state = 2},
  [1941] = {.lex_state = 258, .external_lex_state = 2},
  [1942] = {.lex_state = 30, .external_lex_state = 2},
  [1943] = {.lex_state = 258, .external_lex_state = 2},
  [1944] = {.lex_state = 258, .external_lex_state = 2},
  [1945] = {.lex_state = 39, .external_lex_state = 2},
  [1946] = {.lex_state = 258, .external_lex_state = 2},
  [1947] = {.lex_state = 258, .external_lex_state = 2},
  [1948] = {.lex_state = 258, .external_lex_state = 2},
  [1949] = {.lex_state = 258, .external_lex_state = 2},
  [1950] = {.lex_state = 258, .external_lex_state = 2},
  [1951] = {.lex_state = 258, .external_lex_state = 2},
  [1952] = {.lex_state = 258, .external_lex_state = 5},
  [1953] = {.lex_state = 258, .external_lex_state = 5},
  [1954] = {.lex_state = 39, .external_lex_state = 2},
  [1955] = {.lex_state = 3, .external_lex_state = 2},
  [1956] = {.lex_state = 258, .external_lex_state = 2},
  [1957] = {.lex_state = 258, .external_lex_state = 2},
  [1958] = {.lex_state = 258, .external_lex_state = 2},
  [1959] = {.lex_state = 258, .external_lex_state = 2},
  [1960] = {.lex_state = 258, .external_lex_state = 2},
  [1961] = {.lex_state = 258, .external_lex_state = 2},
  [1962] = {.lex_state = 258, .external_lex_state = 2},
  [1963] = {.lex_state = 46, .external_lex_state = 2},
  [1964] = {.lex_state = 38, .external_lex_state = 2},
  [1965] = {.lex_state = 258, .external_lex_state = 2},
  [1966] = {.lex_state = 34, .external_lex_state = 5},
  [1967] = {.lex_state = 34, .external_lex_state = 5},
  [1968] = {.lex_state = 258, .external_lex_state = 2},
  [1969] = {.lex_state = 258, .external_lex_state = 2},
  [1970] = {.lex_state = 258, .external_lex_state = 2},
  [1971] = {.lex_state = 34, .external_lex_state = 2},
  [1972] = {.lex_state = 258, .external_lex_state = 5},
  [1973] = {.lex_state = 258, .external_lex_state = 2},
  [1974] = {.lex_state = 258, .external_lex_state = 2},
  [1975] = {.lex_state = 258, .external_lex_state = 2},
  [1976] = {.lex_state = 258, .external_lex_state = 2},
  [1977] = {.lex_state = 39, .external_lex_state = 2},
  [1978] = {.lex_state = 258, .external_lex_state = 2},
  [1979] = {.lex_state = 258, .external_lex_state = 2},
  [1980] = {.lex_state = 258, .external_lex_state = 2},
  [1981] = {.lex_state = 258, .external_lex_state = 2},
  [1982] = {.lex_state = 258, .external_lex_state = 5},
  [1983] = {.lex_state = 258, .external_lex_state = 2},
  [1984] = {.lex_state = 258, .external_lex_state = 2},
  [1985] = {.lex_state = 258, .external_lex_state = 2},
  [1986] = {.lex_state = 34, .external_lex_state = 2},
  [1987] = {.lex_state = 258, .external_lex_state = 2},
  [1988] = {.lex_state = 258, .external_lex_state = 2},
  [1989] = {.lex_state = 258, .external_lex_state = 2},
  [1990] = {.lex_state = 34, .external_lex_state = 2},
  [1991] = {.lex_state = 258, .external_lex_state = 2},
  [1992] = {.lex_state = 258, .external_lex_state = 2},
  [1993] = {.lex_state = 258, .external_lex_state = 2},
  [1994] = {.lex_state = 258, .external_lex_state = 2},
  [1995] = {.lex_state = 258, .external_lex_state = 2},
  [1996] = {.lex_state = 258, .external_lex_state = 5},
  [1997] = {.lex_state = 34, .external_lex_state = 2},
  [1998] = {.lex_state = 39, .external_lex_state = 2},
  [1999] = {.lex_state = 258, .external_lex_state = 5},
  [2000] = {.lex_state = 258, .external_lex_state = 2},
  [2001] = {.lex_state = 258, .external_lex_state = 2},
  [2002] = {.lex_state = 258, .external_lex_state = 2},
  [2003] = {.lex_state = 258, .external_lex_state = 2},
  [2004] = {.lex_state = 258, .external_lex_state = 2},
  [2005] = {.lex_state = 258, .external_lex_state = 5},
  [2006] = {.lex_state = 258, .external_lex_state = 2},
  [2007] = {.lex_state = 258, .external_lex_state = 5},
  [2008] = {.lex_state = 258, .external_lex_state = 2},
  [2009] = {.lex_state = 34, .external_lex_state = 5},
  [2010] = {.lex_state = 34, .external_lex_state = 5},
  [2011] = {.lex_state = 258, .external_lex_state = 2},
  [2012] = {.lex_state = 258, .external_lex_state = 2},
  [2013] = {.lex_state = 258, .external_lex_state = 2},
  [2014] = {.lex_state = 258, .external_lex_state = 2},
  [2015] = {.lex_state = 30, .external_lex_state = 2},
  [2016] = {.lex_state = 39, .external_lex_state = 2},
  [2017] = {.lex_state = 258, .external_lex_state = 2},
  [2018] = {.lex_state = 34, .external_lex_state = 2},
  [2019] = {.lex_state = 258, .external_lex_state = 2},
  [2020] = {.lex_state = 258, .external_lex_state = 2},
  [2021] = {.lex_state = 258, .external_lex_state = 2},
  [2022] = {.lex_state = 258, .external_lex_state = 2},
  [2023] = {.lex_state = 258, .external_lex_state = 2},
  [2024] = {.lex_state = 258, .external_lex_state = 5},
  [2025] = {.lex_state = 258, .external_lex_state = 5},
  [2026] = {.lex_state = 258, .external_lex_state = 2},
  [2027] = {.lex_state = 258, .external_lex_state = 2},
  [2028] = {.lex_state = 258, .external_lex_state = 2},
  [2029] = {.lex_state = 258, .external_lex_state = 2},
  [2030] = {.lex_state = 48, .external_lex_state = 7},
  [2031] = {.lex_state = 258, .external_lex_state = 2},
  [2032] = {.lex_state = 258, .external_lex_state = 2},
  [2033] = {.lex_state = 34, .external_lex_state = 5},
  [2034] = {.lex_state = 34, .external_lex_state = 5},
  [2035] = {.lex_state = 258, .external_lex_state = 2},
  [2036] = {.lex_state = 258, .external_lex_state = 2},
  [2037] = {.lex_state = 41, .external_lex_state = 7},
  [2038] = {.lex_state = 258, .external_lex_state = 2},
  [2039] = {.lex_state = 258, .external_lex_state = 2},
  [2040] = {.lex_state = 258, .external_lex_state = 2},
  [2041] = {.lex_state = 258, .external_lex_state = 5},
  [2042] = {.lex_state = 258, .external_lex_state = 2},
  [2043] = {.lex_state = 258, .external_lex_state = 2},
  [2044] = {.lex_state = 34, .external_lex_state = 5},
  [2045] = {.lex_state = 34, .external_lex_state = 2},
  [2046] = {.lex_state = 258, .external_lex_state = 5},
  [2047] = {.lex_state = 30, .external_lex_state = 2},
  [2048] = {.lex_state = 34, .external_lex_state = 2},
  [2049] = {.lex_state = 258, .external_lex_state = 2},
  [2050] = {.lex_state = 258, .external_lex_state = 2},
  [2051] = {.lex_state = 258, .external_lex_state = 2},
  [2052] = {.lex_state = 258, .external_lex_state = 2},
  [2053] = {.lex_state = 258, .external_lex_state = 5},
  [2054] = {.lex_state = 258, .external_lex_state = 2},
  [2055] = {.lex_state = 258, .external_lex_state = 2},
  [2056] = {.lex_state = 258, .external_lex_state = 2},
  [2057] = {.lex_state = 258, .external_lex_state = 2},
  [2058] = {.lex_state = 34, .external_lex_state = 2},
  [2059] = {.lex_state = 34, .external_lex_state = 2},
  [2060] = {.lex_state = 258, .external_lex_state = 2},
  [2061] = {.lex_state = 258, .external_lex_state = 2},
  [2062] = {.lex_state = 258, .external_lex_state = 5},
  [2063] = {.lex_state = 258, .external_lex_state = 2},
  [2064] = {.lex_state = 258, .external_lex_state = 5},
  [2065] = {.lex_state = 258, .external_lex_state = 2},
  [2066] = {.lex_state = 258, .external_lex_state = 5},
  [2067] = {.lex_state = 258, .external_lex_state = 2},
  [2068] = {.lex_state = 258, .external_lex_state = 2},
  [2069] = {.lex_state = 258, .external_lex_state = 2},
  [2070] = {.lex_state = 258, .external_lex_state = 2},
  [2071] = {.lex_state = 258, .external_lex_state = 2},
  [2072] = {.lex_state = 258, .external_lex_state = 2},
  [2073] = {.lex_state = 258, .external_lex_state = 2},
  [2074] = {.lex_state = 258, .external_lex_state = 2},
  [2075] = {.lex_state = 258, .external_lex_state = 2},
  [2076] = {.lex_state = 258, .external_lex_state = 2},
  [2077] = {.lex_state = 258, .external_lex_state = 5},
  [2078] = {.lex_state = 258, .external_lex_state = 5},
  [2079] = {.lex_state = 258, .external_lex_state = 2},
  [2080] = {.lex_state = 258, .external_lex_state = 5},
  [2081] = {.lex_state = 258, .external_lex_state = 2},
  [2082] = {.lex_state = 258, .external_lex_state = 5},
  [2083] = {.lex_state = 258, .external_lex_state = 5},
  [2084] = {.lex_state = 258, .external_lex_state = 2},
  [2085] = {.lex_state = 258, .external_lex_state = 5},
  [2086] = {.lex_state = 34, .external_lex_state = 2},
  [2087] = {.lex_state = 258, .external_lex_state = 2},
  [2088] = {.lex_state = 258, .external_lex_state = 5},
  [2089] = {.lex_state = 258, .external_lex_state = 2},
  [2090] = {.lex_state = 258, .external_lex_state = 2},
  [2091] = {.lex_state = 258, .external_lex_state = 2},
  [2092] = {.lex_state = 258, .external_lex_state = 2},
  [2093] = {.lex_state = 34, .external_lex_state = 2},
  [2094] = {.lex_state = 258, .external_lex_state = 2},
  [2095] = {.lex_state = 258, .external_lex_state = 2},
  [2096] = {.lex_state = 258, .external_lex_state = 2},
  [2097] = {.lex_state = 258, .external_lex_state = 2},
  [2098] = {.lex_state = 258, .external_lex_state = 2},
  [2099] = {.lex_state = 258, .external_lex_state = 5},
  [2100] = {.lex_state = 258, .external_lex_state = 2},
  [2101] = {.lex_state = 258, .external_lex_state = 2},
  [2102] = {.lex_state = 258, .external_lex_state = 2},
  [2103] = {.lex_state = 258, .external_lex_state = 5},
  [2104] = {.lex_state = 258, .external_lex_state = 5},
  [2105] = {.lex_state = 258, .external_lex_state = 2},
  [2106] = {.lex_state = 258, .external_lex_state = 2},
  [2107] = {.lex_state = 258, .external_lex_state = 2},
  [2108] = {.lex_state = 258, .external_lex_state = 5},
  [2109] = {.lex_state = 258, .external_lex_state = 2},
  [2110] = {.lex_state = 258, .external_lex_state = 2},
  [2111] = {.lex_state = 258, .external_lex_state = 2},
  [2112] = {.lex_state = 258, .external_lex_state = 2},
  [2113] = {.lex_state = 258, .external_lex_state = 2},
  [2114] = {.lex_state = 258, .external_lex_state = 2},
  [2115] = {.lex_state = 258, .external_lex_state = 2},
  [2116] = {.lex_state = 258, .external_lex_state = 2},
  [2117] = {.lex_state = 258, .external_lex_state = 2},
  [2118] = {.lex_state = 258, .external_lex_state = 2},
  [2119] = {.lex_state = 258, .external_lex_state = 2},
  [2120] = {.lex_state = 258, .external_lex_state = 2},
  [2121] = {.lex_state = 258, .external_lex_state = 2},
  [2122] = {.lex_state = 258, .external_lex_state = 2},
  [2123] = {.lex_state = 34, .external_lex_state = 2},
  [2124] = {.lex_state = 258, .external_lex_state = 2},
  [2125] = {.lex_state = 258, .external_lex_state = 2},
  [2126] = {.lex_state = 258, .external_lex_state = 2},
  [2127] = {.lex_state = 258, .external_lex_state = 2},
  [2128] = {.lex_state = 258, .external_lex_state = 2},
  [2129] = {.lex_state = 258, .external_lex_state = 2},
  [2130] = {.lex_state = 34, .external_lex_state = 2},
  [2131] = {.lex_state = 39, .external_lex_state = 2},
  [2132] = {.lex_state = 258, .external_lex_state = 2},
  [2133] = {.lex_state = 39, .external_lex_state = 2},
  [2134] = {.lex_state = 258, .external_lex_state = 5},
  [2135] = {.lex_state = 258, .external_lex_state = 2},
  [2136] = {.lex_state = 258, .external_lex_state = 2},
  [2137] = {.lex_state = 258, .external_lex_state = 2},
  [2138] = {.lex_state = 258, .external_lex_state = 2},
  [2139] = {.lex_state = 258, .external_lex_state = 2},
  [2140] = {.lex_state = 258, .external_lex_state = 5},
  [2141] = {.lex_state = 258, .external_lex_state = 2},
  [2142] = {.lex_state = 258, .external_lex_state = 2},
  [2143] = {.lex_state = 258, .external_lex_state = 2},
  [2144] = {.lex_state = 258, .external_lex_state = 2},
  [2145] = {.lex_state = 258, .external_lex_state = 2},
  [2146] = {.lex_state = 258, .external_lex_state = 2},
  [2147] = {.lex_state = 258, .external_lex_state = 2},
  [2148] = {.lex_state = 258, .external_lex_state = 2},
  [2149] = {.lex_state = 258, .external_lex_state = 2},
  [2150] = {.lex_state = 258, .external_lex_state = 2},
  [2151] = {.lex_state = 258, .external_lex_state = 2},
  [2152] = {.lex_state = 34, .external_lex_state = 2},
  [2153] = {.lex_state = 258, .external_lex_state = 2},
  [2154] = {.lex_state = 258, .external_lex_state = 2},
  [2155] = {.lex_state = 258, .external_lex_state = 2},
  [2156] = {.lex_state = 258, .external_lex_state = 2},
  [2157] = {.lex_state = 258, .external_lex_state = 2},
  [2158] = {.lex_state = 258, .external_lex_state = 5},
  [2159] = {.lex_state = 258, .external_lex_state = 5},
  [2160] = {.lex_state = 258, .external_lex_state = 5},
  [2161] = {.lex_state = 258, .external_lex_state = 2},
  [2162] = {.lex_state = 258, .external_lex_state = 5},
  [2163] = {.lex_state = 258, .external_lex_state = 2},
  [2164] = {.lex_state = 258, .external_lex_state = 2},
  [2165] = {.lex_state = 258, .external_lex_state = 2},
  [2166] = {.lex_state = 258, .external_lex_state = 2},
  [2167] = {.lex_state = 258, .external_lex_state = 5},
  [2168] = {.lex_state = 258, .external_lex_state = 5},
  [2169] = {.lex_state = 258, .external_lex_state = 5},
  [2170] = {.lex_state = 258, .external_lex_state = 2},
  [2171] = {.lex_state = 258, .external_lex_state = 5},
  [2172] = {.lex_state = 258, .external_lex_state = 2},
  [2173] = {.lex_state = 258, .external_lex_state = 2},
  [2174] = {.lex_state = 258, .external_lex_state = 2},
  [2175] = {.lex_state = 258, .external_lex_state = 5},
  [2176] = {.lex_state = 258, .external_lex_state = 5},
  [2177] = {.lex_state = 258, .external_lex_state = 2},
  [2178] = {.lex_state = 258, .external_lex_state = 2},
  [2179] = {.lex_state = 258, .external_lex_state = 2},
  [2180] = {.lex_state = 258, .external_lex_state = 5},
  [2181] = {.lex_state = 258, .external_lex_state = 2},
  [2182] = {.lex_state = 258, .external_lex_state = 2},
  [2183] = {.lex_state = 258, .external_lex_state = 5},
  [2184] = {.lex_state = 258, .external_lex_state = 2},
  [2185] = {.lex_state = 258, .external_lex_state = 2},
  [2186] = {.lex_state = 258, .external_lex_state = 2},
  [2187] = {.lex_state = 258, .external_lex_state = 2},
  [2188] = {.lex_state = 258, .external_lex_state = 2},
  [2189] = {.lex_state = 39, .external_lex_state = 2},
  [2190] = {.lex_state = 258, .external_lex_state = 2},
  [2191] = {.lex_state = 258, .external_lex_state = 2},
  [2192] = {.lex_state = 258, .external_lex_state = 2},
  [2193] = {.lex_state = 258, .external_lex_state = 2},
  [2194] = {.lex_state = 258, .external_lex_state = 2},
  [2195] = {.lex_state = 258, .external_lex_state = 2},
  [2196] = {.lex_state = 258, .external_lex_state = 2},
  [2197] = {.lex_state = 258, .external_lex_state = 2},
  [2198] = {.lex_state = 258, .external_lex_state = 2},
  [2199] = {.lex_state = 258, .external_lex_state = 5},
  [2200] = {.lex_state = 258, .external_lex_state = 5},
  [2201] = {.lex_state = 258, .external_lex_state = 2},
  [2202] = {.lex_state = 258, .external_lex_state = 5},
  [2203] = {.lex_state = 258, .external_lex_state = 2},
  [2204] = {.lex_state = 258, .external_lex_state = 5},
  [2205] = {.lex_state = 258, .external_lex_state = 2},
  [2206] = {.lex_state = 39, .external_lex_state = 2},
  [2207] = {.lex_state = 258, .external_lex_state = 2},
  [2208] = {.lex_state = 258, .external_lex_state = 2},
  [2209] = {.lex_state = 258, .external_lex_state = 2},
  [2210] = {.lex_state = 258, .external_lex_state = 2},
  [2211] = {.lex_state = 258, .external_lex_state = 5},
  [2212] = {.lex_state = 258, .external_lex_state = 2},
  [2213] = {.lex_state = 258, .external_lex_state = 2},
  [2214] = {.lex_state = 258, .external_lex_state = 2},
  [2215] = {.lex_state = 258, .external_lex_state = 2},
  [2216] = {.lex_state = 258, .external_lex_state = 2},
  [2217] = {.lex_state = 258, .external_lex_state = 2},
  [2218] = {.lex_state = 258, .external_lex_state = 5},
  [2219] = {.lex_state = 34, .external_lex_state = 2},
  [2220] = {.lex_state = 34, .external_lex_state = 2},
  [2221] = {.lex_state = 258, .external_lex_state = 5},
  [2222] = {.lex_state = 258, .external_lex_state = 5},
  [2223] = {.lex_state = 60, .external_lex_state = 2},
  [2224] = {.lex_state = 258, .external_lex_state = 2},
  [2225] = {.lex_state = 258, .external_lex_state = 5},
  [2226] = {.lex_state = 258, .external_lex_state = 5},
  [2227] = {.lex_state = 258, .external_lex_state = 2},
  [2228] = {.lex_state = 258, .external_lex_state = 5},
  [2229] = {.lex_state = 258, .external_lex_state = 2},
  [2230] = {.lex_state = 258, .external_lex_state = 2},
  [2231] = {.lex_state = 258, .external_lex_state = 5},
  [2232] = {.lex_state = 258, .external_lex_state = 2},
  [2233] = {.lex_state = 258, .external_lex_state = 2},
  [2234] = {.lex_state = 258, .external_lex_state = 2},
  [2235] = {.lex_state = 258, .external_lex_state = 2},
  [2236] = {.lex_state = 258, .external_lex_state = 2},
  [2237] = {.lex_state = 258, .external_lex_state = 2},
  [2238] = {.lex_state = 258, .external_lex_state = 2},
  [2239] = {.lex_state = 258, .external_lex_state = 2},
  [2240] = {.lex_state = 258, .external_lex_state = 5},
  [2241] = {.lex_state = 258, .external_lex_state = 2},
  [2242] = {.lex_state = 258, .external_lex_state = 2},
  [2243] = {.lex_state = 258, .external_lex_state = 2},
  [2244] = {.lex_state = 258, .external_lex_state = 2},
  [2245] = {.lex_state = 258, .external_lex_state = 2},
  [2246] = {.lex_state = 258, .external_lex_state = 5},
  [2247] = {.lex_state = 258, .external_lex_state = 2},
  [2248] = {.lex_state = 258, .external_lex_state = 5},
  [2249] = {.lex_state = 258, .external_lex_state = 2},
  [2250] = {.lex_state = 39, .external_lex_state = 2},
  [2251] = {.lex_state = 258, .external_lex_state = 5},
  [2252] = {.lex_state = 39, .external_lex_state = 2},
  [2253] = {.lex_state = 258, .external_lex_state = 2},
  [2254] = {.lex_state = 34, .external_lex_state = 2},
  [2255] = {.lex_state = 258, .external_lex_state = 2},
  [2256] = {.lex_state = 258, .external_lex_state = 2},
  [2257] = {.lex_state = 258, .external_lex_state = 2},
  [2258] = {.lex_state = 34, .external_lex_state = 2},
  [2259] = {.lex_state = 258, .external_lex_state = 5},
  [2260] = {.lex_state = 34, .external_lex_state = 2},
  [2261] = {.lex_state = 258, .external_lex_state = 2},
  [2262] = {.lex_state = 258, .external_lex_state = 2},
  [2263] = {.lex_state = 258, .external_lex_state = 2},
  [2264] = {.lex_state = 258, .external_lex_state = 2},
  [2265] = {.lex_state = 258, .external_lex_state = 2},
  [2266] = {.lex_state = 258, .external_lex_state = 2},
  [2267] = {.lex_state = 258, .external_lex_state = 2},
  [2268] = {.lex_state = 258, .external_lex_state = 2},
  [2269] = {.lex_state = 258, .external_lex_state = 2},
  [2270] = {.lex_state = 258, .external_lex_state = 2},
  [2271] = {.lex_state = 258, .external_lex_state = 2},
  [2272] = {.lex_state = 258, .external_lex_state = 2},
  [2273] = {.lex_state = 258, .external_lex_state = 2},
  [2274] = {.lex_state = 258, .external_lex_state = 2},
  [2275] = {.lex_state = 258, .external_lex_state = 2},
  [2276] = {.lex_state = 258, .external_lex_state = 2},
  [2277] = {.lex_state = 258, .external_lex_state = 2},
  [2278] = {.lex_state = 258, .external_lex_state = 2},
  [2279] = {.lex_state = 258, .external_lex_state = 5},
  [2280] = {.lex_state = 258, .external_lex_state = 2},
  [2281] = {.lex_state = 258, .external_lex_state = 2},
  [2282] = {.lex_state = 258, .external_lex_state = 2},
  [2283] = {.lex_state = 258, .external_lex_state = 2},
  [2284] = {.lex_state = 3, .external_lex_state = 2},
  [2285] = {.lex_state = 258, .external_lex_state = 5},
  [2286] = {.lex_state = 258, .external_lex_state = 2},
  [2287] = {.lex_state = 258, .external_lex_state = 2},
  [2288] = {.lex_state = 258, .external_lex_state = 2},
  [2289] = {.lex_state = 258, .external_lex_state = 2},
  [2290] = {.lex_state = 258, .external_lex_state = 2},
  [2291] = {.lex_state = 258, .external_lex_state = 2},
  [2292] = {.lex_state = 258, .external_lex_state = 2},
  [2293] = {.lex_state = 258, .external_lex_state = 2},
  [2294] = {.lex_state = 258, .external_lex_state = 2},
  [2295] = {.lex_state = 258, .external_lex_state = 2},
  [2296] = {.lex_state = 39, .external_lex_state = 2},
  [2297] = {.lex_state = 258, .external_lex_state = 2},
  [2298] = {.lex_state = 258, .external_lex_state = 2},
  [2299] = {.lex_state = 258, .external_lex_state = 2},
  [2300] = {.lex_state = 258, .external_lex_state = 2},
  [2301] = {.lex_state = 258, .external_lex_state = 2},
  [2302] = {.lex_state = 258, .external_lex_state = 2},
  [2303] = {.lex_state = 258, .external_lex_state = 2},
  [2304] = {.lex_state = 258, .external_lex_state = 2},
  [2305] = {.lex_state = 258, .external_lex_state = 2},
  [2306] = {.lex_state = 258, .external_lex_state = 2},
  [2307] = {.lex_state = 258, .external_lex_state = 2},
  [2308] = {.lex_state = 34, .external_lex_state = 2},
  [2309] = {.lex_state = 258, .external_lex_state = 2},
  [2310] = {.lex_state = 258, .external_lex_state = 5},
  [2311] = {.lex_state = 258, .external_lex_state = 5},
  [2312] = {.lex_state = 258, .external_lex_state = 2},
  [2313] = {.lex_state = 258, .external_lex_state = 5},
  [2314] = {.lex_state = 258, .external_lex_state = 2},
  [2315] = {.lex_state = 258, .external_lex_state = 5},
  [2316] = {.lex_state = 258, .external_lex_state = 2},
  [2317] = {.lex_state = 258, .external_lex_state = 2},
  [2318] = {.lex_state = 258, .external_lex_state = 2},
  [2319] = {.lex_state = 258, .external_lex_state = 5},
  [2320] = {.lex_state = 258, .external_lex_state = 2},
  [2321] = {.lex_state = 258, .external_lex_state = 2},
  [2322] = {.lex_state = 258, .external_lex_state = 2},
  [2323] = {.lex_state = 258, .external_lex_state = 5},
  [2324] = {.lex_state = 258, .external_lex_state = 2},
  [2325] = {.lex_state = 258, .external_lex_state = 2},
  [2326] = {.lex_state = 258, .external_lex_state = 5},
  [2327] = {.lex_state = 258, .external_lex_state = 5},
  [2328] = {.lex_state = 258, .external_lex_state = 5},
  [2329] = {.lex_state = 258, .external_lex_state = 5},
  [2330] = {.lex_state = 258, .external_lex_state = 2},
  [2331] = {.lex_state = 3, .external_lex_state = 2},
  [2332] = {.lex_state = 39, .external_lex_state = 2},
  [2333] = {.lex_state = 258, .external_lex_state = 2},
  [2334] = {.lex_state = 258, .external_lex_state = 2},
  [2335] = {.lex_state = 258, .external_lex_state = 2},
  [2336] = {.lex_state = 60, .external_lex_state = 2},
  [2337] = {.lex_state = 258, .external_lex_state = 2},
  [2338] = {.lex_state = 258, .external_lex_state = 2},
  [2339] = {.lex_state = 258, .external_lex_state = 2},
  [2340] = {.lex_state = 258, .external_lex_state = 5},
  [2341] = {.lex_state = 258, .external_lex_state = 2},
  [2342] = {.lex_state = 258, .external_lex_state = 2},
  [2343] = {.lex_state = 258, .external_lex_state = 2},
  [2344] = {.lex_state = 258, .external_lex_state = 2},
  [2345] = {.lex_state = 258, .external_lex_state = 2},
  [2346] = {.lex_state = 258, .external_lex_state = 2},
  [2347] = {.lex_state = 258, .external_lex_state = 2},
  [2348] = {.lex_state = 258, .external_lex_state = 2},
  [2349] = {.lex_state = 258, .external_lex_state = 2},
  [2350] = {.lex_state = 258, .external_lex_state = 2},
  [2351] = {.lex_state = 258, .external_lex_state = 2},
  [2352] = {.lex_state = 258, .external_lex_state = 5},
  [2353] = {.lex_state = 258, .external_lex_state = 2},
  [2354] = {.lex_state = 258, .external_lex_state = 2},
  [2355] = {.lex_state = 258, .external_lex_state = 2},
  [2356] = {.lex_state = 258, .external_lex_state = 2},
  [2357] = {.lex_state = 258, .external_lex_state = 2},
  [2358] = {.lex_state = 258, .external_lex_state = 2},
  [2359] = {.lex_state = 258, .external_lex_state = 2},
  [2360] = {.lex_state = 258, .external_lex_state = 2},
  [2361] = {.lex_state = 258, .external_lex_state = 2},
  [2362] = {.lex_state = 258, .external_lex_state = 2},
  [2363] = {.lex_state = 258, .external_lex_state = 2},
  [2364] = {.lex_state = 258, .external_lex_state = 2},
  [2365] = {.lex_state = 258, .external_lex_state = 2},
  [2366] = {.lex_state = 258, .external_lex_state = 2},
  [2367] = {.lex_state = 258, .external_lex_state = 2},
  [2368] = {.lex_state = 258, .external_lex_state = 2},
  [2369] = {.lex_state = 258, .external_lex_state = 2},
  [2370] = {.lex_state = 258, .external_lex_state = 2},
  [2371] = {.lex_state = 258, .external_lex_state = 5},
  [2372] = {.lex_state = 39, .external_lex_state = 2},
  [2373] = {.lex_state = 258, .external_lex_state = 2},
  [2374] = {.lex_state = 39, .external_lex_state = 2},
  [2375] = {.lex_state = 258, .external_lex_state = 2},
  [2376] = {.lex_state = 258, .external_lex_state = 2},
  [2377] = {.lex_state = 258, .external_lex_state = 2},
  [2378] = {.lex_state = 258, .external_lex_state = 2},
  [2379] = {.lex_state = 258, .external_lex_state = 2},
  [2380] = {.lex_state = 258, .external_lex_state = 2},
  [2381] = {.lex_state = 258, .external_lex_state = 2},
  [2382] = {.lex_state = 258, .external_lex_state = 2},
  [2383] = {.lex_state = 258, .external_lex_state = 2},
  [2384] = {.lex_state = 258, .external_lex_state = 2},
  [2385] = {.lex_state = 258, .external_lex_state = 2},
  [2386] = {.lex_state = 258, .external_lex_state = 2},
  [2387] = {.lex_state = 258, .external_lex_state = 2},
  [2388] = {.lex_state = 258, .external_lex_state = 2},
  [2389] = {.lex_state = 258, .external_lex_state = 2},
  [2390] = {.lex_state = 258, .external_lex_state = 2},
  [2391] = {.lex_state = 258, .external_lex_state = 2},
  [2392] = {.lex_state = 258, .external_lex_state = 2},
  [2393] = {.lex_state = 258, .external_lex_state = 2},
  [2394] = {.lex_state = 258, .external_lex_state = 2},
  [2395] = {.lex_state = 258, .external_lex_state = 2},
  [2396] = {.lex_state = 258, .external_lex_state = 2},
  [2397] = {.lex_state = 258, .external_lex_state = 2},
  [2398] = {.lex_state = 258, .external_lex_state = 2},
  [2399] = {.lex_state = 258, .external_lex_state = 2},
  [2400] = {.lex_state = 258, .external_lex_state = 2},
  [2401] = {.lex_state = 258, .external_lex_state = 2},
  [2402] = {.lex_state = 258, .external_lex_state = 2},
  [2403] = {.lex_state = 258, .external_lex_state = 2},
  [2404] = {.lex_state = 258, .external_lex_state = 2},
  [2405] = {.lex_state = 258, .external_lex_state = 2},
  [2406] = {.lex_state = 258, .external_lex_state = 2},
  [2407] = {.lex_state = 258, .external_lex_state = 2},
  [2408] = {.lex_state = 258, .external_lex_state = 2},
  [2409] = {.lex_state = 258, .external_lex_state = 2},
  [2410] = {.lex_state = 258, .external_lex_state = 2},
  [2411] = {.lex_state = 258, .external_lex_state = 2},
  [2412] = {.lex_state = 258, .external_lex_state = 2},
  [2413] = {.lex_state = 258, .external_lex_state = 2},
  [2414] = {.lex_state = 258, .external_lex_state = 2},
  [2415] = {.lex_state = 258, .external_lex_state = 2},
  [2416] = {.lex_state = 258, .external_lex_state = 2},
  [2417] = {.lex_state = 258, .external_lex_state = 2},
  [2418] = {.lex_state = 258, .external_lex_state = 2},
  [2419] = {.lex_state = 258, .external_lex_state = 2},
  [2420] = {.lex_state = 258, .external_lex_state = 2},
  [2421] = {.lex_state = 258, .external_lex_state = 2},
  [2422] = {.lex_state = 258, .external_lex_state = 2},
  [2423] = {.lex_state = 258, .external_lex_state = 2},
  [2424] = {.lex_state = 258, .external_lex_state = 2},
  [2425] = {.lex_state = 258, .external_lex_state = 2},
  [2426] = {.lex_state = 258, .external_lex_state = 2},
  [2427] = {.lex_state = 258, .external_lex_state = 2},
  [2428] = {.lex_state = 258, .external_lex_state = 2},
  [2429] = {.lex_state = 258, .external_lex_state = 2},
  [2430] = {.lex_state = 34, .external_lex_state = 2},
  [2431] = {.lex_state = 258, .external_lex_state = 2},
  [2432] = {.lex_state = 258, .external_lex_state = 2},
  [2433] = {.lex_state = 258, .external_lex_state = 5},
  [2434] = {.lex_state = 258, .external_lex_state = 2},
  [2435] = {.lex_state = 258, .external_lex_state = 2},
  [2436] = {.lex_state = 258, .external_lex_state = 2},
  [2437] = {.lex_state = 258, .external_lex_state = 2},
  [2438] = {.lex_state = 258, .external_lex_state = 5},
  [2439] = {.lex_state = 258, .external_lex_state = 2},
  [2440] = {.lex_state = 258, .external_lex_state = 5},
  [2441] = {.lex_state = 258, .external_lex_state = 2},
  [2442] = {.lex_state = 258, .external_lex_state = 2},
  [2443] = {.lex_state = 258, .external_lex_state = 2},
  [2444] = {.lex_state = 258, .external_lex_state = 2},
  [2445] = {.lex_state = 258, .external_lex_state = 2},
  [2446] = {.lex_state = 258, .external_lex_state = 2},
  [2447] = {.lex_state = 258, .external_lex_state = 2},
  [2448] = {.lex_state = 258, .external_lex_state = 2},
  [2449] = {.lex_state = 258, .external_lex_state = 2},
  [2450] = {.lex_state = 258, .external_lex_state = 2},
  [2451] = {.lex_state = 258, .external_lex_state = 2},
  [2452] = {.lex_state = 258, .external_lex_state = 2},
  [2453] = {.lex_state = 258, .external_lex_state = 2},
  [2454] = {.lex_state = 258, .external_lex_state = 2},
  [2455] = {.lex_state = 258, .external_lex_state = 2},
  [2456] = {.lex_state = 258, .external_lex_state = 2},
  [2457] = {.lex_state = 258, .external_lex_state = 2},
  [2458] = {.lex_state = 258, .external_lex_state = 2},
  [2459] = {.lex_state = 258, .external_lex_state = 2},
  [2460] = {.lex_state = 258, .external_lex_state = 2},
  [2461] = {.lex_state = 258, .external_lex_state = 2},
  [2462] = {.lex_state = 258, .external_lex_state = 2},
  [2463] = {.lex_state = 258, .external_lex_state = 2},
  [2464] = {.lex_state = 258, .external_lex_state = 2},
  [2465] = {.lex_state = 258, .external_lex_state = 2},
  [2466] = {.lex_state = 258, .external_lex_state = 2},
  [2467] = {.lex_state = 258, .external_lex_state = 2},
  [2468] = {.lex_state = 258, .external_lex_state = 2},
  [2469] = {.lex_state = 258, .external_lex_state = 5},
  [2470] = {.lex_state = 258, .external_lex_state = 2},
  [2471] = {.lex_state = 258, .external_lex_state = 2},
  [2472] = {.lex_state = 258, .external_lex_state = 2},
  [2473] = {.lex_state = 258, .external_lex_state = 2},
  [2474] = {.lex_state = 258, .external_lex_state = 2},
  [2475] = {.lex_state = 258, .external_lex_state = 2},
  [2476] = {.lex_state = 258, .external_lex_state = 2},
  [2477] = {.lex_state = 258, .external_lex_state = 2},
  [2478] = {.lex_state = 258, .external_lex_state = 2},
  [2479] = {.lex_state = 258, .external_lex_state = 2},
  [2480] = {.lex_state = 258, .external_lex_state = 2},
  [2481] = {.lex_state = 258, .external_lex_state = 2},
  [2482] = {.lex_state = 258, .external_lex_state = 2},
  [2483] = {.lex_state = 258, .external_lex_state = 2},
  [2484] = {.lex_state = 258, .external_lex_state = 2},
  [2485] = {.lex_state = 258, .external_lex_state = 2},
  [2486] = {.lex_state = 258, .external_lex_state = 2},
  [2487] = {.lex_state = 258, .external_lex_state = 2},
  [2488] = {.lex_state = 258, .external_lex_state = 2},
  [2489] = {.lex_state = 258, .external_lex_state = 2},
  [2490] = {.lex_state = 258, .external_lex_state = 2},
  [2491] = {.lex_state = 258, .external_lex_state = 2},
  [2492] = {.lex_state = 258, .external_lex_state = 2},
  [2493] = {.lex_state = 258, .external_lex_state = 2},
  [2494] = {.lex_state = 258, .external_lex_state = 2},
  [2495] = {.lex_state = 258, .external_lex_state = 2},
  [2496] = {.lex_state = 258, .external_lex_state = 2},
  [2497] = {.lex_state = 258, .external_lex_state = 2},
  [2498] = {.lex_state = 258, .external_lex_state = 2},
  [2499] = {.lex_state = 258, .external_lex_state = 2},
  [2500] = {.lex_state = 258, .external_lex_state = 2},
  [2501] = {.lex_state = 258, .external_lex_state = 2},
  [2502] = {.lex_state = 258, .external_lex_state = 2},
  [2503] = {.lex_state = 258, .external_lex_state = 2},
  [2504] = {.lex_state = 258, .external_lex_state = 2},
  [2505] = {.lex_state = 258, .external_lex_state = 2},
  [2506] = {.lex_state = 258, .external_lex_state = 2},
  [2507] = {.lex_state = 258, .external_lex_state = 2},
  [2508] = {.lex_state = 258, .external_lex_state = 2},
  [2509] = {.lex_state = 258, .external_lex_state = 2},
  [2510] = {.lex_state = 258, .external_lex_state = 2},
  [2511] = {.lex_state = 258, .external_lex_state = 2},
  [2512] = {.lex_state = 258, .external_lex_state = 2},
  [2513] = {.lex_state = 258, .external_lex_state = 2},
  [2514] = {.lex_state = 258, .external_lex_state = 2},
  [2515] = {.lex_state = 258, .external_lex_state = 2},
  [2516] = {.lex_state = 258, .external_lex_state = 2},
  [2517] = {.lex_state = 258, .external_lex_state = 2},
  [2518] = {.lex_state = 258, .external_lex_state = 2},
  [2519] = {.lex_state = 258, .external_lex_state = 2},
  [2520] = {.lex_state = 258, .external_lex_state = 2},
  [2521] = {.lex_state = 258, .external_lex_state = 2},
  [2522] = {.lex_state = 258, .external_lex_state = 2},
  [2523] = {.lex_state = 258, .external_lex_state = 2},
  [2524] = {.lex_state = 258, .external_lex_state = 2},
  [2525] = {.lex_state = 258, .external_lex_state = 2},
  [2526] = {.lex_state = 258, .external_lex_state = 2},
  [2527] = {.lex_state = 258, .external_lex_state = 2},
  [2528] = {.lex_state = 258, .external_lex_state = 2},
  [2529] = {.lex_state = 258, .external_lex_state = 2},
  [2530] = {.lex_state = 258, .external_lex_state = 2},
  [2531] = {.lex_state = 258, .external_lex_state = 2},
  [2532] = {.lex_state = 258, .external_lex_state = 2},
  [2533] = {.lex_state = 258, .external_lex_state = 2},
  [2534] = {.lex_state = 258, .external_lex_state = 2},
  [2535] = {.lex_state = 258, .external_lex_state = 2},
  [2536] = {.lex_state = 258, .external_lex_state = 2},
  [2537] = {.lex_state = 258, .external_lex_state = 2},
  [2538] = {.lex_state = 39, .external_lex_state = 2},
  [2539] = {.lex_state = 258, .external_lex_state = 2},
  [2540] = {.lex_state = 258, .external_lex_state = 5},
  [2541] = {.lex_state = 258, .external_lex_state = 2},
  [2542] = {.lex_state = 258, .external_lex_state = 2},
  [2543] = {.lex_state = 258, .external_lex_state = 5},
  [2544] = {.lex_state = 258, .external_lex_state = 2},
  [2545] = {.lex_state = 258, .external_lex_state = 2},
  [2546] = {.lex_state = 258, .external_lex_state = 2},
  [2547] = {.lex_state = 258, .external_lex_state = 2},
  [2548] = {.lex_state = 258, .external_lex_state = 2},
  [2549] = {.lex_state = 258, .external_lex_state = 2},
  [2550] = {.lex_state = 258, .external_lex_state = 2},
  [2551] = {.lex_state = 258, .external_lex_state = 2},
  [2552] = {.lex_state = 258, .external_lex_state = 2},
  [2553] = {.lex_state = 258, .external_lex_state = 2},
  [2554] = {.lex_state = 258, .external_lex_state = 2},
  [2555] = {.lex_state = 258, .external_lex_state = 2},
  [2556] = {.lex_state = 258, .external_lex_state = 2},
  [2557] = {.lex_state = 258, .external_lex_state = 2},
  [2558] = {.lex_state = 34, .external_lex_state = 2},
  [2559] = {.lex_state = 4, .external_lex_state = 8},
  [2560] = {.lex_state = 258, .external_lex_state = 2},
  [2561] = {.lex_state = 34, .external_lex_state = 2},
  [2562] = {.lex_state = 34, .external_lex_state = 2},
  [2563] = {.lex_state = 258, .external_lex_state = 2},
  [2564] = {.lex_state = 39, .external_lex_state = 2},
  [2565] = {.lex_state = 258, .external_lex_state = 2},
  [2566] = {.lex_state = 34, .external_lex_state = 2},
  [2567] = {.lex_state = 258, .external_lex_state = 2},
  [2568] = {.lex_state = 258, .external_lex_state = 2},
  [2569] = {.lex_state = 4, .external_lex_state = 8},
  [2570] = {.lex_state = 4, .external_lex_state = 8},
  [2571] = {.lex_state = 34, .external_lex_state = 2},
  [2572] = {.lex_state = 258, .external_lex_state = 2},
  [2573] = {.lex_state = 34, .external_lex_state = 2},
  [2574] = {.lex_state = 258, .external_lex_state = 2},
  [2575] = {.lex_state = 258, .external_lex_state = 2},
  [2576] = {.lex_state = 258, .external_lex_state = 2},
  [2577] = {.lex_state = 34, .external_lex_state = 2},
  [2578] = {.lex_state = 258, .external_lex_state = 2},
  [2579] = {.lex_state = 258, .external_lex_state = 2},
  [2580] = {.lex_state = 34, .external_lex_state = 2},
  [2581] = {.lex_state = 258, .external_lex_state = 2},
  [2582] = {.lex_state = 258, .external_lex_state = 2},
  [2583] = {.lex_state = 258, .external_lex_state = 2},
  [2584] = {.lex_state = 258, .external_lex_state = 2},
  [2585] = {.lex_state = 258, .external_lex_state = 2},
  [2586] = {.lex_state = 34, .external_lex_state = 2},
  [2587] = {.lex_state = 258, .external_lex_state = 2},
  [2588] = {.lex_state = 258, .external_lex_state = 2},
  [2589] = {.lex_state = 258, .external_lex_state = 2},
  [2590] = {.lex_state = 34, .external_lex_state = 2},
  [2591] = {.lex_state = 30, .external_lex_state = 2},
  [2592] = {.lex_state = 34, .external_lex_state = 2},
  [2593] = {.lex_state = 258, .external_lex_state = 2},
  [2594] = {.lex_state = 258, .external_lex_state = 2},
  [2595] = {.lex_state = 258, .external_lex_state = 2},
  [2596] = {.lex_state = 258, .external_lex_state = 2},
  [2597] = {.lex_state = 258, .external_lex_state = 2},
  [2598] = {.lex_state = 258, .external_lex_state = 2},
  [2599] = {.lex_state = 258, .external_lex_state = 2},
  [2600] = {.lex_state = 34, .external_lex_state = 2},
  [2601] = {.lex_state = 258, .external_lex_state = 2},
  [2602] = {.lex_state = 258, .external_lex_state = 2},
  [2603] = {.lex_state = 39, .external_lex_state = 2},
  [2604] = {.lex_state = 258, .external_lex_state = 2},
  [2605] = {.lex_state = 258, .external_lex_state = 2},
  [2606] = {.lex_state = 258, .external_lex_state = 2},
  [2607] = {.lex_state = 34, .external_lex_state = 2},
  [2608] = {.lex_state = 258, .external_lex_state = 2},
  [2609] = {.lex_state = 34, .external_lex_state = 2},
  [2610] = {.lex_state = 258, .external_lex_state = 2},
  [2611] = {.lex_state = 258, .external_lex_state = 2},
  [2612] = {.lex_state = 258, .external_lex_state = 2},
  [2613] = {.lex_state = 258, .external_lex_state = 2},
  [2614] = {.lex_state = 258, .external_lex_state = 2},
  [2615] = {.lex_state = 258, .external_lex_state = 2},
  [2616] = {.lex_state = 258, .external_lex_state = 2},
  [2617] = {.lex_state = 258, .external_lex_state = 2},
  [2618] = {.lex_state = 258, .external_lex_state = 2},
  [2619] = {.lex_state = 39, .external_lex_state = 2},
  [2620] = {.lex_state = 258, .external_lex_state = 2},
  [2621] = {.lex_state = 258, .external_lex_state = 2},
  [2622] = {.lex_state = 258, .external_lex_state = 2},
  [2623] = {.lex_state = 34, .external_lex_state = 2},
  [2624] = {.lex_state = 4, .external_lex_state = 8},
  [2625] = {.lex_state = 39, .external_lex_state = 2},
  [2626] = {.lex_state = 258, .external_lex_state = 2},
  [2627] = {.lex_state = 258, .external_lex_state = 2},
  [2628] = {.lex_state = 61, .external_lex_state = 2},
  [2629] = {.lex_state = 34, .external_lex_state = 2},
  [2630] = {.lex_state = 34, .external_lex_state = 2},
  [2631] = {.lex_state = 258, .external_lex_state = 2},
  [2632] = {.lex_state = 61, .external_lex_state = 2},
  [2633] = {.lex_state = 61, .external_lex_state = 2},
  [2634] = {.lex_state = 258, .external_lex_state = 2},
  [2635] = {.lex_state = 258, .external_lex_state = 2},
  [2636] = {.lex_state = 258, .external_lex_state = 2},
  [2637] = {.lex_state = 258, .external_lex_state = 2},
  [2638] = {.lex_state = 258, .external_lex_state = 2},
  [2639] = {.lex_state = 258, .external_lex_state = 2},
  [2640] = {.lex_state = 258, .external_lex_state = 2},
  [2641] = {.lex_state = 39, .external_lex_state = 2},
  [2642] = {.lex_state = 258, .external_lex_state = 2},
  [2643] = {.lex_state = 258, .external_lex_state = 2},
  [2644] = {.lex_state = 258, .external_lex_state = 2},
  [2645] = {.lex_state = 258, .external_lex_state = 2},
  [2646] = {.lex_state = 39, .external_lex_state = 2},
  [2647] = {.lex_state = 258, .external_lex_state = 2},
  [2648] = {.lex_state = 258, .external_lex_state = 2},
  [2649] = {.lex_state = 39, .external_lex_state = 2},
  [2650] = {.lex_state = 258, .external_lex_state = 2},
  [2651] = {.lex_state = 258, .external_lex_state = 2},
  [2652] = {.lex_state = 258, .external_lex_state = 2},
  [2653] = {.lex_state = 30, .external_lex_state = 2},
  [2654] = {.lex_state = 258, .external_lex_state = 2},
  [2655] = {.lex_state = 258, .external_lex_state = 2},
  [2656] = {.lex_state = 39, .external_lex_state = 2},
  [2657] = {.lex_state = 34, .external_lex_state = 2},
  [2658] = {.lex_state = 34, .external_lex_state = 2},
  [2659] = {.lex_state = 34, .external_lex_state = 2},
  [2660] = {.lex_state = 258, .external_lex_state = 2},
  [2661] = {.lex_state = 258, .external_lex_state = 2},
  [2662] = {.lex_state = 258, .external_lex_state = 2},
  [2663] = {.lex_state = 34, .external_lex_state = 2},
  [2664] = {.lex_state = 258, .external_lex_state = 2},
  [2665] = {.lex_state = 258, .external_lex_state = 2},
  [2666] = {.lex_state = 258, .external_lex_state = 2},
  [2667] = {.lex_state = 258, .external_lex_state = 2},
  [2668] = {.lex_state = 258, .external_lex_state = 2},
  [2669] = {.lex_state = 61, .external_lex_state = 2},
  [2670] = {.lex_state = 34, .external_lex_state = 2},
  [2671] = {.lex_state = 258, .external_lex_state = 2},
  [2672] = {.lex_state = 34, .external_lex_state = 2},
  [2673] = {.lex_state = 258, .external_lex_state = 2},
  [2674] = {.lex_state = 258, .external_lex_state = 2},
  [2675] = {.lex_state = 258, .external_lex_state = 2},
  [2676] = {.lex_state = 258, .external_lex_state = 2},
  [2677] = {.lex_state = 34, .external_lex_state = 2},
  [2678] = {.lex_state = 39, .external_lex_state = 2},
  [2679] = {.lex_state = 258, .external_lex_state = 2},
  [2680] = {.lex_state = 258, .external_lex_state = 2},
  [2681] = {.lex_state = 258, .external_lex_state = 2},
  [2682] = {.lex_state = 258, .external_lex_state = 2},
  [2683] = {.lex_state = 34, .external_lex_state = 2},
  [2684] = {.lex_state = 39, .external_lex_state = 2},
  [2685] = {.lex_state = 34, .external_lex_state = 2},
  [2686] = {.lex_state = 34, .external_lex_state = 2},
  [2687] = {.lex_state = 258, .external_lex_state = 2},
  [2688] = {.lex_state = 258, .external_lex_state = 2},
  [2689] = {.lex_state = 258, .external_lex_state = 2},
  [2690] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_comment] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LTtemplate_GT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_LT_SLASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [sym_optional_chain] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [aux_sym_method_definition_token1] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__ternary_qmark] = ACTIONS(1),
    [sym_html_comment] = ACTIONS(5),
  },
  [1] = {
    [sym_program] = STATE(2576),
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(1),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(62),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [sym_hash_bang_line] = ACTIONS(11),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_object_assignment_pattern] = STATE(1946),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2588),
    [sym_spread_element] = STATE(1947),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1267),
    [sym_comment] = STATE(2),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1505),
    [sym_formal_parameters] = STATE(2584),
    [sym_rest_pattern] = STATE(1946),
    [sym_method_definition] = STATE(1947),
    [sym_pair] = STATE(1947),
    [sym_pair_pattern] = STATE(1946),
    [sym__property_name] = STATE(1948),
    [sym_computed_property_name] = STATE(2413),
    [aux_sym_program_repeat1] = STATE(21),
    [aux_sym_export_statement_repeat1] = STATE(1392),
    [aux_sym_object_repeat1] = STATE(1949),
    [aux_sym_object_pattern_repeat1] = STATE(1950),
    [sym_identifier] = ACTIONS(93),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(117),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(121),
    [anon_sym_set] = ACTIONS(121),
    [sym_html_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_object_assignment_pattern] = STATE(1946),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2588),
    [sym_spread_element] = STATE(1947),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1267),
    [sym_comment] = STATE(3),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1505),
    [sym_formal_parameters] = STATE(2584),
    [sym_rest_pattern] = STATE(1946),
    [sym_method_definition] = STATE(1947),
    [sym_pair] = STATE(1947),
    [sym_pair_pattern] = STATE(1946),
    [sym__property_name] = STATE(1948),
    [sym_computed_property_name] = STATE(2413),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_export_statement_repeat1] = STATE(1392),
    [aux_sym_object_repeat1] = STATE(1949),
    [aux_sym_object_pattern_repeat1] = STATE(1950),
    [sym_identifier] = ACTIONS(93),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(117),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(121),
    [anon_sym_set] = ACTIONS(121),
    [sym_html_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_object_assignment_pattern] = STATE(1946),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2588),
    [sym_spread_element] = STATE(1947),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1267),
    [sym_comment] = STATE(4),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1505),
    [sym_formal_parameters] = STATE(2584),
    [sym_rest_pattern] = STATE(1946),
    [sym_method_definition] = STATE(1947),
    [sym_pair] = STATE(1947),
    [sym_pair_pattern] = STATE(1946),
    [sym__property_name] = STATE(1948),
    [sym_computed_property_name] = STATE(2413),
    [aux_sym_program_repeat1] = STATE(33),
    [aux_sym_export_statement_repeat1] = STATE(1392),
    [aux_sym_object_repeat1] = STATE(1949),
    [aux_sym_object_pattern_repeat1] = STATE(1950),
    [sym_identifier] = ACTIONS(93),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(117),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(121),
    [anon_sym_set] = ACTIONS(121),
    [sym_html_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_object_assignment_pattern] = STATE(1946),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2588),
    [sym_spread_element] = STATE(2038),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1267),
    [sym_comment] = STATE(5),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1505),
    [sym_formal_parameters] = STATE(2584),
    [sym_rest_pattern] = STATE(1946),
    [sym_method_definition] = STATE(2038),
    [sym_pair] = STATE(2038),
    [sym_pair_pattern] = STATE(1946),
    [sym__property_name] = STATE(1948),
    [sym_computed_property_name] = STATE(2413),
    [aux_sym_program_repeat1] = STATE(26),
    [aux_sym_export_statement_repeat1] = STATE(1392),
    [aux_sym_object_repeat1] = STATE(2036),
    [aux_sym_object_pattern_repeat1] = STATE(1950),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_export] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(131),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(137),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [sym_html_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_object_assignment_pattern] = STATE(1946),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2588),
    [sym_spread_element] = STATE(2038),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1267),
    [sym_comment] = STATE(6),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1505),
    [sym_formal_parameters] = STATE(2584),
    [sym_rest_pattern] = STATE(1946),
    [sym_method_definition] = STATE(2038),
    [sym_pair] = STATE(2038),
    [sym_pair_pattern] = STATE(1946),
    [sym__property_name] = STATE(1948),
    [sym_computed_property_name] = STATE(2413),
    [aux_sym_program_repeat1] = STATE(26),
    [aux_sym_export_statement_repeat1] = STATE(1392),
    [aux_sym_object_repeat1] = STATE(2036),
    [aux_sym_object_pattern_repeat1] = STATE(1950),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_export] = ACTIONS(143),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(131),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(145),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(147),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(149),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(151),
    [anon_sym_set] = ACTIONS(151),
    [sym_html_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_object_assignment_pattern] = STATE(1946),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2588),
    [sym_spread_element] = STATE(1947),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1267),
    [sym_comment] = STATE(7),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1505),
    [sym_formal_parameters] = STATE(2584),
    [sym_rest_pattern] = STATE(1946),
    [sym_method_definition] = STATE(1947),
    [sym_pair] = STATE(1947),
    [sym_pair_pattern] = STATE(1946),
    [sym__property_name] = STATE(1948),
    [sym_computed_property_name] = STATE(2413),
    [aux_sym_program_repeat1] = STATE(40),
    [aux_sym_export_statement_repeat1] = STATE(1392),
    [aux_sym_object_repeat1] = STATE(1949),
    [aux_sym_object_pattern_repeat1] = STATE(1950),
    [sym_identifier] = ACTIONS(93),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(117),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(121),
    [anon_sym_set] = ACTIONS(121),
    [sym_html_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_object_assignment_pattern] = STATE(1946),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2588),
    [sym_spread_element] = STATE(1947),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1267),
    [sym_comment] = STATE(8),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1505),
    [sym_formal_parameters] = STATE(2584),
    [sym_rest_pattern] = STATE(1946),
    [sym_method_definition] = STATE(1947),
    [sym_pair] = STATE(1947),
    [sym_pair_pattern] = STATE(1946),
    [sym__property_name] = STATE(1948),
    [sym_computed_property_name] = STATE(2413),
    [aux_sym_program_repeat1] = STATE(66),
    [aux_sym_export_statement_repeat1] = STATE(1392),
    [aux_sym_object_repeat1] = STATE(1949),
    [aux_sym_object_pattern_repeat1] = STATE(1950),
    [sym_identifier] = ACTIONS(93),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(117),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(121),
    [anon_sym_set] = ACTIONS(121),
    [sym_html_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_object_assignment_pattern] = STATE(1946),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2588),
    [sym_spread_element] = STATE(1947),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1267),
    [sym_comment] = STATE(9),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1505),
    [sym_formal_parameters] = STATE(2584),
    [sym_rest_pattern] = STATE(1946),
    [sym_method_definition] = STATE(1947),
    [sym_pair] = STATE(1947),
    [sym_pair_pattern] = STATE(1946),
    [sym__property_name] = STATE(1948),
    [sym_computed_property_name] = STATE(2413),
    [aux_sym_program_repeat1] = STATE(44),
    [aux_sym_export_statement_repeat1] = STATE(1392),
    [aux_sym_object_repeat1] = STATE(1949),
    [aux_sym_object_pattern_repeat1] = STATE(1950),
    [sym_identifier] = ACTIONS(93),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(157),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(117),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(121),
    [anon_sym_set] = ACTIONS(121),
    [sym_html_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_export_statement] = STATE(724),
    [sym_declaration] = STATE(724),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(724),
    [sym_statement] = STATE(699),
    [sym_expression_statement] = STATE(724),
    [sym_variable_declaration] = STATE(725),
    [sym_lexical_declaration] = STATE(725),
    [sym_statement_block] = STATE(724),
    [sym_if_statement] = STATE(724),
    [sym_switch_statement] = STATE(724),
    [sym_for_statement] = STATE(724),
    [sym_for_in_statement] = STATE(724),
    [sym_while_statement] = STATE(724),
    [sym_do_statement] = STATE(724),
    [sym_try_statement] = STATE(724),
    [sym_with_statement] = STATE(724),
    [sym_break_statement] = STATE(724),
    [sym_continue_statement] = STATE(724),
    [sym_debugger_statement] = STATE(724),
    [sym_return_statement] = STATE(724),
    [sym_throw_statement] = STATE(724),
    [sym_empty_statement] = STATE(724),
    [sym_labeled_statement] = STATE(724),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1124),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(725),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(725),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(725),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2053),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(10),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_export_statement_repeat1] = STATE(1711),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_export] = ACTIONS(162),
    [anon_sym_default] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(167),
    [anon_sym_RBRACE] = ACTIONS(165),
    [anon_sym_import] = ACTIONS(170),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_var] = ACTIONS(176),
    [anon_sym_let] = ACTIONS(179),
    [anon_sym_const] = ACTIONS(182),
    [anon_sym_if] = ACTIONS(185),
    [anon_sym_switch] = ACTIONS(188),
    [anon_sym_for] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(194),
    [anon_sym_await] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(200),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(206),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(212),
    [anon_sym_debugger] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(218),
    [anon_sym_throw] = ACTIONS(221),
    [anon_sym_SEMI] = ACTIONS(224),
    [anon_sym_case] = ACTIONS(165),
    [anon_sym_yield] = ACTIONS(227),
    [anon_sym_LBRACK] = ACTIONS(230),
    [anon_sym_LTtemplate_GT] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(236),
    [anon_sym_DQUOTE] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(242),
    [anon_sym_class] = ACTIONS(245),
    [anon_sym_async] = ACTIONS(248),
    [anon_sym_function] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(254),
    [anon_sym_PLUS] = ACTIONS(257),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_SLASH] = ACTIONS(260),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_typeof] = ACTIONS(257),
    [anon_sym_void] = ACTIONS(257),
    [anon_sym_delete] = ACTIONS(257),
    [anon_sym_PLUS_PLUS] = ACTIONS(263),
    [anon_sym_DASH_DASH] = ACTIONS(263),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(266),
    [sym_number] = ACTIONS(269),
    [sym_private_property_identifier] = ACTIONS(272),
    [sym_this] = ACTIONS(269),
    [sym_super] = ACTIONS(269),
    [sym_true] = ACTIONS(269),
    [sym_false] = ACTIONS(269),
    [sym_null] = ACTIONS(269),
    [sym_undefined] = ACTIONS(275),
    [anon_sym_AT] = ACTIONS(278),
    [anon_sym_static] = ACTIONS(281),
    [anon_sym_get] = ACTIONS(281),
    [anon_sym_set] = ACTIONS(281),
    [sym_html_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_export_statement] = STATE(724),
    [sym_declaration] = STATE(724),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(724),
    [sym_statement] = STATE(699),
    [sym_expression_statement] = STATE(724),
    [sym_variable_declaration] = STATE(725),
    [sym_lexical_declaration] = STATE(725),
    [sym_statement_block] = STATE(724),
    [sym_if_statement] = STATE(724),
    [sym_switch_statement] = STATE(724),
    [sym_for_statement] = STATE(724),
    [sym_for_in_statement] = STATE(724),
    [sym_while_statement] = STATE(724),
    [sym_do_statement] = STATE(724),
    [sym_try_statement] = STATE(724),
    [sym_with_statement] = STATE(724),
    [sym_break_statement] = STATE(724),
    [sym_continue_statement] = STATE(724),
    [sym_debugger_statement] = STATE(724),
    [sym_return_statement] = STATE(724),
    [sym_throw_statement] = STATE(724),
    [sym_empty_statement] = STATE(724),
    [sym_labeled_statement] = STATE(724),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1124),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(725),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(725),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(725),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2053),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(11),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(1711),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_default] = ACTIONS(288),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_RBRACE] = ACTIONS(288),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_case] = ACTIONS(288),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_export_statement] = STATE(724),
    [sym_declaration] = STATE(724),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(724),
    [sym_statement] = STATE(699),
    [sym_expression_statement] = STATE(724),
    [sym_variable_declaration] = STATE(725),
    [sym_lexical_declaration] = STATE(725),
    [sym_statement_block] = STATE(724),
    [sym_if_statement] = STATE(724),
    [sym_switch_statement] = STATE(724),
    [sym_for_statement] = STATE(724),
    [sym_for_in_statement] = STATE(724),
    [sym_while_statement] = STATE(724),
    [sym_do_statement] = STATE(724),
    [sym_try_statement] = STATE(724),
    [sym_with_statement] = STATE(724),
    [sym_break_statement] = STATE(724),
    [sym_continue_statement] = STATE(724),
    [sym_debugger_statement] = STATE(724),
    [sym_return_statement] = STATE(724),
    [sym_throw_statement] = STATE(724),
    [sym_empty_statement] = STATE(724),
    [sym_labeled_statement] = STATE(724),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1124),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(725),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(725),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(725),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2053),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(12),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_export_statement_repeat1] = STATE(1711),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_default] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_RBRACE] = ACTIONS(334),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_case] = ACTIONS(334),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [13] = {
    [sym_export_statement] = STATE(724),
    [sym_declaration] = STATE(724),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(724),
    [sym_statement] = STATE(699),
    [sym_expression_statement] = STATE(724),
    [sym_variable_declaration] = STATE(725),
    [sym_lexical_declaration] = STATE(725),
    [sym_statement_block] = STATE(724),
    [sym_if_statement] = STATE(724),
    [sym_switch_statement] = STATE(724),
    [sym_for_statement] = STATE(724),
    [sym_for_in_statement] = STATE(724),
    [sym_while_statement] = STATE(724),
    [sym_do_statement] = STATE(724),
    [sym_try_statement] = STATE(724),
    [sym_with_statement] = STATE(724),
    [sym_break_statement] = STATE(724),
    [sym_continue_statement] = STATE(724),
    [sym_debugger_statement] = STATE(724),
    [sym_return_statement] = STATE(724),
    [sym_throw_statement] = STATE(724),
    [sym_empty_statement] = STATE(724),
    [sym_labeled_statement] = STATE(724),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1124),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(725),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(725),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(725),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2053),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(13),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(1711),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_default] = ACTIONS(336),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_RBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_case] = ACTIONS(336),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [14] = {
    [sym_export_statement] = STATE(724),
    [sym_declaration] = STATE(724),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(724),
    [sym_statement] = STATE(699),
    [sym_expression_statement] = STATE(724),
    [sym_variable_declaration] = STATE(725),
    [sym_lexical_declaration] = STATE(725),
    [sym_statement_block] = STATE(724),
    [sym_if_statement] = STATE(724),
    [sym_switch_statement] = STATE(724),
    [sym_for_statement] = STATE(724),
    [sym_for_in_statement] = STATE(724),
    [sym_while_statement] = STATE(724),
    [sym_do_statement] = STATE(724),
    [sym_try_statement] = STATE(724),
    [sym_with_statement] = STATE(724),
    [sym_break_statement] = STATE(724),
    [sym_continue_statement] = STATE(724),
    [sym_debugger_statement] = STATE(724),
    [sym_return_statement] = STATE(724),
    [sym_throw_statement] = STATE(724),
    [sym_empty_statement] = STATE(724),
    [sym_labeled_statement] = STATE(724),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1124),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(725),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(725),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(725),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2053),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(14),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_export_statement_repeat1] = STATE(1711),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_default] = ACTIONS(338),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_RBRACE] = ACTIONS(338),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_case] = ACTIONS(338),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [15] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(15),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [ts_builtin_sym_end] = ACTIONS(340),
    [sym_identifier] = ACTIONS(342),
    [anon_sym_export] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(348),
    [anon_sym_RBRACE] = ACTIONS(165),
    [anon_sym_import] = ACTIONS(351),
    [anon_sym_with] = ACTIONS(354),
    [anon_sym_var] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_const] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(366),
    [anon_sym_switch] = ACTIONS(369),
    [anon_sym_for] = ACTIONS(372),
    [anon_sym_LPAREN] = ACTIONS(194),
    [anon_sym_await] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(375),
    [anon_sym_do] = ACTIONS(378),
    [anon_sym_try] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(384),
    [anon_sym_continue] = ACTIONS(387),
    [anon_sym_debugger] = ACTIONS(390),
    [anon_sym_return] = ACTIONS(393),
    [anon_sym_throw] = ACTIONS(396),
    [anon_sym_SEMI] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(227),
    [anon_sym_LBRACK] = ACTIONS(230),
    [anon_sym_LTtemplate_GT] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(236),
    [anon_sym_DQUOTE] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(242),
    [anon_sym_class] = ACTIONS(402),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(408),
    [anon_sym_new] = ACTIONS(254),
    [anon_sym_PLUS] = ACTIONS(257),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_SLASH] = ACTIONS(260),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_typeof] = ACTIONS(257),
    [anon_sym_void] = ACTIONS(257),
    [anon_sym_delete] = ACTIONS(257),
    [anon_sym_PLUS_PLUS] = ACTIONS(263),
    [anon_sym_DASH_DASH] = ACTIONS(263),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(266),
    [sym_number] = ACTIONS(269),
    [sym_private_property_identifier] = ACTIONS(272),
    [sym_this] = ACTIONS(269),
    [sym_super] = ACTIONS(269),
    [sym_true] = ACTIONS(269),
    [sym_false] = ACTIONS(269),
    [sym_null] = ACTIONS(269),
    [sym_undefined] = ACTIONS(275),
    [anon_sym_AT] = ACTIONS(278),
    [anon_sym_static] = ACTIONS(411),
    [anon_sym_get] = ACTIONS(411),
    [anon_sym_set] = ACTIONS(411),
    [sym_html_comment] = ACTIONS(5),
  },
  [16] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(16),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(28),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(414),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [17] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(17),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(18),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [19] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(19),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(21),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(420),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [20] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(20),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(422),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(21),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(424),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(22),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(25),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(426),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(23),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [24] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(24),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(26),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(430),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [25] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(25),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(432),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(26),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(434),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(27),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(33),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(436),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(28),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(438),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(29),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(30),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(440),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [30] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(30),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(442),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [31] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(31),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(32),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(444),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [32] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(32),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(446),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [33] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(33),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(448),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [34] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(34),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(50),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(450),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(35),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(452),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [36] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(36),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(35),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(454),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [37] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(37),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [38] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(38),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [39] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(39),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(44),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [40] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(40),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(462),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [41] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(41),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(37),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(464),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [42] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(42),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(466),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(43),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(42),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(468),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(44),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(470),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(45),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(46),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [ts_builtin_sym_end] = ACTIONS(472),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [46] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(46),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [ts_builtin_sym_end] = ACTIONS(474),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(47),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(476),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(48),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(478),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [49] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(49),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(480),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [50] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(50),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(482),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [51] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(51),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(484),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [52] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(52),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(486),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(53),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(55),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(488),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(54),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(57),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(490),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(55),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(492),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(56),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(66),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(494),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(57),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(496),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(58),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(59),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(498),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(59),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(500),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(60),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(61),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(502),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(61),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(504),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(62),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [ts_builtin_sym_end] = ACTIONS(472),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(63),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(65),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(506),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(64),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(508),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [65] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(65),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(510),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [66] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(66),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(512),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(67),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(40),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(514),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(843),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(68),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(516),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [69] = {
    [sym_export_statement] = STATE(644),
    [sym_declaration] = STATE(644),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(644),
    [sym_statement] = STATE(549),
    [sym_expression_statement] = STATE(644),
    [sym_variable_declaration] = STATE(645),
    [sym_lexical_declaration] = STATE(645),
    [sym_statement_block] = STATE(644),
    [sym_if_statement] = STATE(644),
    [sym_switch_statement] = STATE(644),
    [sym_for_statement] = STATE(644),
    [sym_for_in_statement] = STATE(644),
    [sym_while_statement] = STATE(644),
    [sym_do_statement] = STATE(644),
    [sym_try_statement] = STATE(644),
    [sym_with_statement] = STATE(644),
    [sym_break_statement] = STATE(644),
    [sym_continue_statement] = STATE(644),
    [sym_debugger_statement] = STATE(644),
    [sym_return_statement] = STATE(644),
    [sym_throw_statement] = STATE(644),
    [sym_empty_statement] = STATE(644),
    [sym_labeled_statement] = STATE(644),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(645),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(645),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(645),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2066),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(69),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1717),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(854),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(70),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [71] = {
    [sym_export_statement] = STATE(724),
    [sym_declaration] = STATE(724),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(724),
    [sym_statement] = STATE(789),
    [sym_expression_statement] = STATE(724),
    [sym_variable_declaration] = STATE(725),
    [sym_lexical_declaration] = STATE(725),
    [sym_statement_block] = STATE(724),
    [sym_if_statement] = STATE(724),
    [sym_switch_statement] = STATE(724),
    [sym_for_statement] = STATE(724),
    [sym_for_in_statement] = STATE(724),
    [sym_while_statement] = STATE(724),
    [sym_do_statement] = STATE(724),
    [sym_try_statement] = STATE(724),
    [sym_with_statement] = STATE(724),
    [sym_break_statement] = STATE(724),
    [sym_continue_statement] = STATE(724),
    [sym_debugger_statement] = STATE(724),
    [sym_return_statement] = STATE(724),
    [sym_throw_statement] = STATE(724),
    [sym_empty_statement] = STATE(724),
    [sym_labeled_statement] = STATE(724),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1124),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(725),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(725),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(725),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2053),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(71),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1711),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_export_statement] = STATE(724),
    [sym_declaration] = STATE(724),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(724),
    [sym_statement] = STATE(781),
    [sym_expression_statement] = STATE(724),
    [sym_variable_declaration] = STATE(725),
    [sym_lexical_declaration] = STATE(725),
    [sym_statement_block] = STATE(724),
    [sym_if_statement] = STATE(724),
    [sym_switch_statement] = STATE(724),
    [sym_for_statement] = STATE(724),
    [sym_for_in_statement] = STATE(724),
    [sym_while_statement] = STATE(724),
    [sym_do_statement] = STATE(724),
    [sym_try_statement] = STATE(724),
    [sym_with_statement] = STATE(724),
    [sym_break_statement] = STATE(724),
    [sym_continue_statement] = STATE(724),
    [sym_debugger_statement] = STATE(724),
    [sym_return_statement] = STATE(724),
    [sym_throw_statement] = STATE(724),
    [sym_empty_statement] = STATE(724),
    [sym_labeled_statement] = STATE(724),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1124),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(725),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(725),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(725),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2053),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(72),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1711),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [73] = {
    [sym_export_statement] = STATE(724),
    [sym_declaration] = STATE(724),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(724),
    [sym_statement] = STATE(768),
    [sym_expression_statement] = STATE(724),
    [sym_variable_declaration] = STATE(725),
    [sym_lexical_declaration] = STATE(725),
    [sym_statement_block] = STATE(724),
    [sym_if_statement] = STATE(724),
    [sym_switch_statement] = STATE(724),
    [sym_for_statement] = STATE(724),
    [sym_for_in_statement] = STATE(724),
    [sym_while_statement] = STATE(724),
    [sym_do_statement] = STATE(724),
    [sym_try_statement] = STATE(724),
    [sym_with_statement] = STATE(724),
    [sym_break_statement] = STATE(724),
    [sym_continue_statement] = STATE(724),
    [sym_debugger_statement] = STATE(724),
    [sym_return_statement] = STATE(724),
    [sym_throw_statement] = STATE(724),
    [sym_empty_statement] = STATE(724),
    [sym_labeled_statement] = STATE(724),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1124),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(725),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(725),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(725),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2053),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(73),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1711),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_export_statement] = STATE(626),
    [sym_declaration] = STATE(626),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(626),
    [sym_statement] = STATE(559),
    [sym_expression_statement] = STATE(626),
    [sym_variable_declaration] = STATE(627),
    [sym_lexical_declaration] = STATE(627),
    [sym_statement_block] = STATE(626),
    [sym_if_statement] = STATE(626),
    [sym_switch_statement] = STATE(626),
    [sym_for_statement] = STATE(626),
    [sym_for_in_statement] = STATE(626),
    [sym_while_statement] = STATE(626),
    [sym_do_statement] = STATE(626),
    [sym_try_statement] = STATE(626),
    [sym_with_statement] = STATE(626),
    [sym_break_statement] = STATE(626),
    [sym_continue_statement] = STATE(626),
    [sym_debugger_statement] = STATE(626),
    [sym_return_statement] = STATE(626),
    [sym_throw_statement] = STATE(626),
    [sym_empty_statement] = STATE(626),
    [sym_labeled_statement] = STATE(626),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1051),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(627),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(627),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(627),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2371),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(74),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1704),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(816),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(75),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(803),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(76),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_export_statement] = STATE(724),
    [sym_declaration] = STATE(724),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(724),
    [sym_statement] = STATE(763),
    [sym_expression_statement] = STATE(724),
    [sym_variable_declaration] = STATE(725),
    [sym_lexical_declaration] = STATE(725),
    [sym_statement_block] = STATE(724),
    [sym_if_statement] = STATE(724),
    [sym_switch_statement] = STATE(724),
    [sym_for_statement] = STATE(724),
    [sym_for_in_statement] = STATE(724),
    [sym_while_statement] = STATE(724),
    [sym_do_statement] = STATE(724),
    [sym_try_statement] = STATE(724),
    [sym_with_statement] = STATE(724),
    [sym_break_statement] = STATE(724),
    [sym_continue_statement] = STATE(724),
    [sym_debugger_statement] = STATE(724),
    [sym_return_statement] = STATE(724),
    [sym_throw_statement] = STATE(724),
    [sym_empty_statement] = STATE(724),
    [sym_labeled_statement] = STATE(724),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1124),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(725),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(725),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(725),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2053),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(77),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1711),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(802),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(78),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_export_statement] = STATE(2423),
    [sym_declaration] = STATE(2423),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(2423),
    [sym_statement] = STATE(2644),
    [sym_expression_statement] = STATE(2423),
    [sym_variable_declaration] = STATE(2424),
    [sym_lexical_declaration] = STATE(2424),
    [sym_statement_block] = STATE(2423),
    [sym_if_statement] = STATE(2423),
    [sym_switch_statement] = STATE(2423),
    [sym_for_statement] = STATE(2423),
    [sym_for_in_statement] = STATE(2423),
    [sym_while_statement] = STATE(2423),
    [sym_do_statement] = STATE(2423),
    [sym_try_statement] = STATE(2423),
    [sym_with_statement] = STATE(2423),
    [sym_break_statement] = STATE(2423),
    [sym_continue_statement] = STATE(2423),
    [sym_debugger_statement] = STATE(2423),
    [sym_return_statement] = STATE(2423),
    [sym_throw_statement] = STATE(2423),
    [sym_empty_statement] = STATE(2423),
    [sym_labeled_statement] = STATE(2423),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(2424),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(2424),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(2424),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2062),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(79),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1693),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_export_statement] = STATE(626),
    [sym_declaration] = STATE(626),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(626),
    [sym_statement] = STATE(513),
    [sym_expression_statement] = STATE(626),
    [sym_variable_declaration] = STATE(627),
    [sym_lexical_declaration] = STATE(627),
    [sym_statement_block] = STATE(626),
    [sym_if_statement] = STATE(626),
    [sym_switch_statement] = STATE(626),
    [sym_for_statement] = STATE(626),
    [sym_for_in_statement] = STATE(626),
    [sym_while_statement] = STATE(626),
    [sym_do_statement] = STATE(626),
    [sym_try_statement] = STATE(626),
    [sym_with_statement] = STATE(626),
    [sym_break_statement] = STATE(626),
    [sym_continue_statement] = STATE(626),
    [sym_debugger_statement] = STATE(626),
    [sym_return_statement] = STATE(626),
    [sym_throw_statement] = STATE(626),
    [sym_empty_statement] = STATE(626),
    [sym_labeled_statement] = STATE(626),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1051),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(627),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(627),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(627),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2371),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(80),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1704),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_export_statement] = STATE(2423),
    [sym_declaration] = STATE(2423),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(2423),
    [sym_statement] = STATE(2565),
    [sym_expression_statement] = STATE(2423),
    [sym_variable_declaration] = STATE(2424),
    [sym_lexical_declaration] = STATE(2424),
    [sym_statement_block] = STATE(2423),
    [sym_if_statement] = STATE(2423),
    [sym_switch_statement] = STATE(2423),
    [sym_for_statement] = STATE(2423),
    [sym_for_in_statement] = STATE(2423),
    [sym_while_statement] = STATE(2423),
    [sym_do_statement] = STATE(2423),
    [sym_try_statement] = STATE(2423),
    [sym_with_statement] = STATE(2423),
    [sym_break_statement] = STATE(2423),
    [sym_continue_statement] = STATE(2423),
    [sym_debugger_statement] = STATE(2423),
    [sym_return_statement] = STATE(2423),
    [sym_throw_statement] = STATE(2423),
    [sym_empty_statement] = STATE(2423),
    [sym_labeled_statement] = STATE(2423),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(2424),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(2424),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(2424),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2062),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(81),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1693),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_export_statement] = STATE(2423),
    [sym_declaration] = STATE(2423),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(2423),
    [sym_statement] = STATE(2473),
    [sym_expression_statement] = STATE(2423),
    [sym_variable_declaration] = STATE(2424),
    [sym_lexical_declaration] = STATE(2424),
    [sym_statement_block] = STATE(2423),
    [sym_if_statement] = STATE(2423),
    [sym_switch_statement] = STATE(2423),
    [sym_for_statement] = STATE(2423),
    [sym_for_in_statement] = STATE(2423),
    [sym_while_statement] = STATE(2423),
    [sym_do_statement] = STATE(2423),
    [sym_try_statement] = STATE(2423),
    [sym_with_statement] = STATE(2423),
    [sym_break_statement] = STATE(2423),
    [sym_continue_statement] = STATE(2423),
    [sym_debugger_statement] = STATE(2423),
    [sym_return_statement] = STATE(2423),
    [sym_throw_statement] = STATE(2423),
    [sym_empty_statement] = STATE(2423),
    [sym_labeled_statement] = STATE(2423),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(2424),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(2424),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(2424),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2062),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(82),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1693),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_export_statement] = STATE(724),
    [sym_declaration] = STATE(724),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(724),
    [sym_statement] = STATE(740),
    [sym_expression_statement] = STATE(724),
    [sym_variable_declaration] = STATE(725),
    [sym_lexical_declaration] = STATE(725),
    [sym_statement_block] = STATE(724),
    [sym_if_statement] = STATE(724),
    [sym_switch_statement] = STATE(724),
    [sym_for_statement] = STATE(724),
    [sym_for_in_statement] = STATE(724),
    [sym_while_statement] = STATE(724),
    [sym_do_statement] = STATE(724),
    [sym_try_statement] = STATE(724),
    [sym_with_statement] = STATE(724),
    [sym_break_statement] = STATE(724),
    [sym_continue_statement] = STATE(724),
    [sym_debugger_statement] = STATE(724),
    [sym_return_statement] = STATE(724),
    [sym_throw_statement] = STATE(724),
    [sym_empty_statement] = STATE(724),
    [sym_labeled_statement] = STATE(724),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1124),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(725),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(725),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(725),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2053),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(83),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1711),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(827),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(84),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_export_statement] = STATE(724),
    [sym_declaration] = STATE(724),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(724),
    [sym_statement] = STATE(739),
    [sym_expression_statement] = STATE(724),
    [sym_variable_declaration] = STATE(725),
    [sym_lexical_declaration] = STATE(725),
    [sym_statement_block] = STATE(724),
    [sym_if_statement] = STATE(724),
    [sym_switch_statement] = STATE(724),
    [sym_for_statement] = STATE(724),
    [sym_for_in_statement] = STATE(724),
    [sym_while_statement] = STATE(724),
    [sym_do_statement] = STATE(724),
    [sym_try_statement] = STATE(724),
    [sym_with_statement] = STATE(724),
    [sym_break_statement] = STATE(724),
    [sym_continue_statement] = STATE(724),
    [sym_debugger_statement] = STATE(724),
    [sym_return_statement] = STATE(724),
    [sym_throw_statement] = STATE(724),
    [sym_empty_statement] = STATE(724),
    [sym_labeled_statement] = STATE(724),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1124),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(725),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(725),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(725),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2053),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(85),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1711),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_export_statement] = STATE(724),
    [sym_declaration] = STATE(724),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(724),
    [sym_statement] = STATE(737),
    [sym_expression_statement] = STATE(724),
    [sym_variable_declaration] = STATE(725),
    [sym_lexical_declaration] = STATE(725),
    [sym_statement_block] = STATE(724),
    [sym_if_statement] = STATE(724),
    [sym_switch_statement] = STATE(724),
    [sym_for_statement] = STATE(724),
    [sym_for_in_statement] = STATE(724),
    [sym_while_statement] = STATE(724),
    [sym_do_statement] = STATE(724),
    [sym_try_statement] = STATE(724),
    [sym_with_statement] = STATE(724),
    [sym_break_statement] = STATE(724),
    [sym_continue_statement] = STATE(724),
    [sym_debugger_statement] = STATE(724),
    [sym_return_statement] = STATE(724),
    [sym_throw_statement] = STATE(724),
    [sym_empty_statement] = STATE(724),
    [sym_labeled_statement] = STATE(724),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1124),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(725),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(725),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(725),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2053),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(86),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1711),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_export_statement] = STATE(724),
    [sym_declaration] = STATE(724),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(724),
    [sym_statement] = STATE(733),
    [sym_expression_statement] = STATE(724),
    [sym_variable_declaration] = STATE(725),
    [sym_lexical_declaration] = STATE(725),
    [sym_statement_block] = STATE(724),
    [sym_if_statement] = STATE(724),
    [sym_switch_statement] = STATE(724),
    [sym_for_statement] = STATE(724),
    [sym_for_in_statement] = STATE(724),
    [sym_while_statement] = STATE(724),
    [sym_do_statement] = STATE(724),
    [sym_try_statement] = STATE(724),
    [sym_with_statement] = STATE(724),
    [sym_break_statement] = STATE(724),
    [sym_continue_statement] = STATE(724),
    [sym_debugger_statement] = STATE(724),
    [sym_return_statement] = STATE(724),
    [sym_throw_statement] = STATE(724),
    [sym_empty_statement] = STATE(724),
    [sym_labeled_statement] = STATE(724),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1124),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(725),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(725),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(725),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2053),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(87),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1711),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_export_statement] = STATE(2423),
    [sym_declaration] = STATE(2423),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(2423),
    [sym_statement] = STATE(2578),
    [sym_expression_statement] = STATE(2423),
    [sym_variable_declaration] = STATE(2424),
    [sym_lexical_declaration] = STATE(2424),
    [sym_statement_block] = STATE(2423),
    [sym_if_statement] = STATE(2423),
    [sym_switch_statement] = STATE(2423),
    [sym_for_statement] = STATE(2423),
    [sym_for_in_statement] = STATE(2423),
    [sym_while_statement] = STATE(2423),
    [sym_do_statement] = STATE(2423),
    [sym_try_statement] = STATE(2423),
    [sym_with_statement] = STATE(2423),
    [sym_break_statement] = STATE(2423),
    [sym_continue_statement] = STATE(2423),
    [sym_debugger_statement] = STATE(2423),
    [sym_return_statement] = STATE(2423),
    [sym_throw_statement] = STATE(2423),
    [sym_empty_statement] = STATE(2423),
    [sym_labeled_statement] = STATE(2423),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(2424),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(2424),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(2424),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2062),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(88),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1693),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_export_statement] = STATE(2423),
    [sym_declaration] = STATE(2423),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(2423),
    [sym_statement] = STATE(1921),
    [sym_expression_statement] = STATE(2423),
    [sym_variable_declaration] = STATE(2424),
    [sym_lexical_declaration] = STATE(2424),
    [sym_statement_block] = STATE(2423),
    [sym_if_statement] = STATE(2423),
    [sym_switch_statement] = STATE(2423),
    [sym_for_statement] = STATE(2423),
    [sym_for_in_statement] = STATE(2423),
    [sym_while_statement] = STATE(2423),
    [sym_do_statement] = STATE(2423),
    [sym_try_statement] = STATE(2423),
    [sym_with_statement] = STATE(2423),
    [sym_break_statement] = STATE(2423),
    [sym_continue_statement] = STATE(2423),
    [sym_debugger_statement] = STATE(2423),
    [sym_return_statement] = STATE(2423),
    [sym_throw_statement] = STATE(2423),
    [sym_empty_statement] = STATE(2423),
    [sym_labeled_statement] = STATE(2423),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(2424),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(2424),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(2424),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2062),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(89),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1693),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_export_statement] = STATE(644),
    [sym_declaration] = STATE(644),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(644),
    [sym_statement] = STATE(719),
    [sym_expression_statement] = STATE(644),
    [sym_variable_declaration] = STATE(645),
    [sym_lexical_declaration] = STATE(645),
    [sym_statement_block] = STATE(644),
    [sym_if_statement] = STATE(644),
    [sym_switch_statement] = STATE(644),
    [sym_for_statement] = STATE(644),
    [sym_for_in_statement] = STATE(644),
    [sym_while_statement] = STATE(644),
    [sym_do_statement] = STATE(644),
    [sym_try_statement] = STATE(644),
    [sym_with_statement] = STATE(644),
    [sym_break_statement] = STATE(644),
    [sym_continue_statement] = STATE(644),
    [sym_debugger_statement] = STATE(644),
    [sym_return_statement] = STATE(644),
    [sym_throw_statement] = STATE(644),
    [sym_empty_statement] = STATE(644),
    [sym_labeled_statement] = STATE(644),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(645),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(645),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(645),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2066),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(90),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1717),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_export_statement] = STATE(644),
    [sym_declaration] = STATE(644),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(644),
    [sym_statement] = STATE(708),
    [sym_expression_statement] = STATE(644),
    [sym_variable_declaration] = STATE(645),
    [sym_lexical_declaration] = STATE(645),
    [sym_statement_block] = STATE(644),
    [sym_if_statement] = STATE(644),
    [sym_switch_statement] = STATE(644),
    [sym_for_statement] = STATE(644),
    [sym_for_in_statement] = STATE(644),
    [sym_while_statement] = STATE(644),
    [sym_do_statement] = STATE(644),
    [sym_try_statement] = STATE(644),
    [sym_with_statement] = STATE(644),
    [sym_break_statement] = STATE(644),
    [sym_continue_statement] = STATE(644),
    [sym_debugger_statement] = STATE(644),
    [sym_return_statement] = STATE(644),
    [sym_throw_statement] = STATE(644),
    [sym_empty_statement] = STATE(644),
    [sym_labeled_statement] = STATE(644),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(645),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(645),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(645),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2066),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(91),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1717),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_export_statement] = STATE(644),
    [sym_declaration] = STATE(644),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(644),
    [sym_statement] = STATE(700),
    [sym_expression_statement] = STATE(644),
    [sym_variable_declaration] = STATE(645),
    [sym_lexical_declaration] = STATE(645),
    [sym_statement_block] = STATE(644),
    [sym_if_statement] = STATE(644),
    [sym_switch_statement] = STATE(644),
    [sym_for_statement] = STATE(644),
    [sym_for_in_statement] = STATE(644),
    [sym_while_statement] = STATE(644),
    [sym_do_statement] = STATE(644),
    [sym_try_statement] = STATE(644),
    [sym_with_statement] = STATE(644),
    [sym_break_statement] = STATE(644),
    [sym_continue_statement] = STATE(644),
    [sym_debugger_statement] = STATE(644),
    [sym_return_statement] = STATE(644),
    [sym_throw_statement] = STATE(644),
    [sym_empty_statement] = STATE(644),
    [sym_labeled_statement] = STATE(644),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(645),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(645),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(645),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2066),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(92),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1717),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_export_statement] = STATE(644),
    [sym_declaration] = STATE(644),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(644),
    [sym_statement] = STATE(690),
    [sym_expression_statement] = STATE(644),
    [sym_variable_declaration] = STATE(645),
    [sym_lexical_declaration] = STATE(645),
    [sym_statement_block] = STATE(644),
    [sym_if_statement] = STATE(644),
    [sym_switch_statement] = STATE(644),
    [sym_for_statement] = STATE(644),
    [sym_for_in_statement] = STATE(644),
    [sym_while_statement] = STATE(644),
    [sym_do_statement] = STATE(644),
    [sym_try_statement] = STATE(644),
    [sym_with_statement] = STATE(644),
    [sym_break_statement] = STATE(644),
    [sym_continue_statement] = STATE(644),
    [sym_debugger_statement] = STATE(644),
    [sym_return_statement] = STATE(644),
    [sym_throw_statement] = STATE(644),
    [sym_empty_statement] = STATE(644),
    [sym_labeled_statement] = STATE(644),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(645),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(645),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(645),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2066),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(93),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1717),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_export_statement] = STATE(644),
    [sym_declaration] = STATE(644),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(644),
    [sym_statement] = STATE(662),
    [sym_expression_statement] = STATE(644),
    [sym_variable_declaration] = STATE(645),
    [sym_lexical_declaration] = STATE(645),
    [sym_statement_block] = STATE(644),
    [sym_if_statement] = STATE(644),
    [sym_switch_statement] = STATE(644),
    [sym_for_statement] = STATE(644),
    [sym_for_in_statement] = STATE(644),
    [sym_while_statement] = STATE(644),
    [sym_do_statement] = STATE(644),
    [sym_try_statement] = STATE(644),
    [sym_with_statement] = STATE(644),
    [sym_break_statement] = STATE(644),
    [sym_continue_statement] = STATE(644),
    [sym_debugger_statement] = STATE(644),
    [sym_return_statement] = STATE(644),
    [sym_throw_statement] = STATE(644),
    [sym_empty_statement] = STATE(644),
    [sym_labeled_statement] = STATE(644),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(645),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(645),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(645),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2066),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(94),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1717),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_export_statement] = STATE(644),
    [sym_declaration] = STATE(644),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(644),
    [sym_statement] = STATE(661),
    [sym_expression_statement] = STATE(644),
    [sym_variable_declaration] = STATE(645),
    [sym_lexical_declaration] = STATE(645),
    [sym_statement_block] = STATE(644),
    [sym_if_statement] = STATE(644),
    [sym_switch_statement] = STATE(644),
    [sym_for_statement] = STATE(644),
    [sym_for_in_statement] = STATE(644),
    [sym_while_statement] = STATE(644),
    [sym_do_statement] = STATE(644),
    [sym_try_statement] = STATE(644),
    [sym_with_statement] = STATE(644),
    [sym_break_statement] = STATE(644),
    [sym_continue_statement] = STATE(644),
    [sym_debugger_statement] = STATE(644),
    [sym_return_statement] = STATE(644),
    [sym_throw_statement] = STATE(644),
    [sym_empty_statement] = STATE(644),
    [sym_labeled_statement] = STATE(644),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(645),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(645),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(645),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2066),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(95),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1717),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_export_statement] = STATE(644),
    [sym_declaration] = STATE(644),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(644),
    [sym_statement] = STATE(657),
    [sym_expression_statement] = STATE(644),
    [sym_variable_declaration] = STATE(645),
    [sym_lexical_declaration] = STATE(645),
    [sym_statement_block] = STATE(644),
    [sym_if_statement] = STATE(644),
    [sym_switch_statement] = STATE(644),
    [sym_for_statement] = STATE(644),
    [sym_for_in_statement] = STATE(644),
    [sym_while_statement] = STATE(644),
    [sym_do_statement] = STATE(644),
    [sym_try_statement] = STATE(644),
    [sym_with_statement] = STATE(644),
    [sym_break_statement] = STATE(644),
    [sym_continue_statement] = STATE(644),
    [sym_debugger_statement] = STATE(644),
    [sym_return_statement] = STATE(644),
    [sym_throw_statement] = STATE(644),
    [sym_empty_statement] = STATE(644),
    [sym_labeled_statement] = STATE(644),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(645),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(645),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(645),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2066),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(96),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1717),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_export_statement] = STATE(644),
    [sym_declaration] = STATE(644),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(644),
    [sym_statement] = STATE(654),
    [sym_expression_statement] = STATE(644),
    [sym_variable_declaration] = STATE(645),
    [sym_lexical_declaration] = STATE(645),
    [sym_statement_block] = STATE(644),
    [sym_if_statement] = STATE(644),
    [sym_switch_statement] = STATE(644),
    [sym_for_statement] = STATE(644),
    [sym_for_in_statement] = STATE(644),
    [sym_while_statement] = STATE(644),
    [sym_do_statement] = STATE(644),
    [sym_try_statement] = STATE(644),
    [sym_with_statement] = STATE(644),
    [sym_break_statement] = STATE(644),
    [sym_continue_statement] = STATE(644),
    [sym_debugger_statement] = STATE(644),
    [sym_return_statement] = STATE(644),
    [sym_throw_statement] = STATE(644),
    [sym_empty_statement] = STATE(644),
    [sym_labeled_statement] = STATE(644),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(645),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(645),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(645),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2066),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(97),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1717),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_export_statement] = STATE(626),
    [sym_declaration] = STATE(626),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(626),
    [sym_statement] = STATE(504),
    [sym_expression_statement] = STATE(626),
    [sym_variable_declaration] = STATE(627),
    [sym_lexical_declaration] = STATE(627),
    [sym_statement_block] = STATE(626),
    [sym_if_statement] = STATE(626),
    [sym_switch_statement] = STATE(626),
    [sym_for_statement] = STATE(626),
    [sym_for_in_statement] = STATE(626),
    [sym_while_statement] = STATE(626),
    [sym_do_statement] = STATE(626),
    [sym_try_statement] = STATE(626),
    [sym_with_statement] = STATE(626),
    [sym_break_statement] = STATE(626),
    [sym_continue_statement] = STATE(626),
    [sym_debugger_statement] = STATE(626),
    [sym_return_statement] = STATE(626),
    [sym_throw_statement] = STATE(626),
    [sym_empty_statement] = STATE(626),
    [sym_labeled_statement] = STATE(626),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1051),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(627),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(627),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(627),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2371),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(98),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1704),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_export_statement] = STATE(2423),
    [sym_declaration] = STATE(2423),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(2423),
    [sym_statement] = STATE(2304),
    [sym_expression_statement] = STATE(2423),
    [sym_variable_declaration] = STATE(2424),
    [sym_lexical_declaration] = STATE(2424),
    [sym_statement_block] = STATE(2423),
    [sym_if_statement] = STATE(2423),
    [sym_switch_statement] = STATE(2423),
    [sym_for_statement] = STATE(2423),
    [sym_for_in_statement] = STATE(2423),
    [sym_while_statement] = STATE(2423),
    [sym_do_statement] = STATE(2423),
    [sym_try_statement] = STATE(2423),
    [sym_with_statement] = STATE(2423),
    [sym_break_statement] = STATE(2423),
    [sym_continue_statement] = STATE(2423),
    [sym_debugger_statement] = STATE(2423),
    [sym_return_statement] = STATE(2423),
    [sym_throw_statement] = STATE(2423),
    [sym_empty_statement] = STATE(2423),
    [sym_labeled_statement] = STATE(2423),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(2424),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(2424),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(2424),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2062),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(99),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1693),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_export_statement] = STATE(2423),
    [sym_declaration] = STATE(2423),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(2423),
    [sym_statement] = STATE(2509),
    [sym_expression_statement] = STATE(2423),
    [sym_variable_declaration] = STATE(2424),
    [sym_lexical_declaration] = STATE(2424),
    [sym_statement_block] = STATE(2423),
    [sym_if_statement] = STATE(2423),
    [sym_switch_statement] = STATE(2423),
    [sym_for_statement] = STATE(2423),
    [sym_for_in_statement] = STATE(2423),
    [sym_while_statement] = STATE(2423),
    [sym_do_statement] = STATE(2423),
    [sym_try_statement] = STATE(2423),
    [sym_with_statement] = STATE(2423),
    [sym_break_statement] = STATE(2423),
    [sym_continue_statement] = STATE(2423),
    [sym_debugger_statement] = STATE(2423),
    [sym_return_statement] = STATE(2423),
    [sym_throw_statement] = STATE(2423),
    [sym_empty_statement] = STATE(2423),
    [sym_labeled_statement] = STATE(2423),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(2424),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(2424),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(2424),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2062),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(100),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1693),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_export_statement] = STATE(2423),
    [sym_declaration] = STATE(2423),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(2423),
    [sym_statement] = STATE(2297),
    [sym_expression_statement] = STATE(2423),
    [sym_variable_declaration] = STATE(2424),
    [sym_lexical_declaration] = STATE(2424),
    [sym_statement_block] = STATE(2423),
    [sym_if_statement] = STATE(2423),
    [sym_switch_statement] = STATE(2423),
    [sym_for_statement] = STATE(2423),
    [sym_for_in_statement] = STATE(2423),
    [sym_while_statement] = STATE(2423),
    [sym_do_statement] = STATE(2423),
    [sym_try_statement] = STATE(2423),
    [sym_with_statement] = STATE(2423),
    [sym_break_statement] = STATE(2423),
    [sym_continue_statement] = STATE(2423),
    [sym_debugger_statement] = STATE(2423),
    [sym_return_statement] = STATE(2423),
    [sym_throw_statement] = STATE(2423),
    [sym_empty_statement] = STATE(2423),
    [sym_labeled_statement] = STATE(2423),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(2424),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(2424),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(2424),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2062),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(101),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1693),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(853),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(102),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_export_statement] = STATE(2423),
    [sym_declaration] = STATE(2423),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(2423),
    [sym_statement] = STATE(2539),
    [sym_expression_statement] = STATE(2423),
    [sym_variable_declaration] = STATE(2424),
    [sym_lexical_declaration] = STATE(2424),
    [sym_statement_block] = STATE(2423),
    [sym_if_statement] = STATE(2423),
    [sym_switch_statement] = STATE(2423),
    [sym_for_statement] = STATE(2423),
    [sym_for_in_statement] = STATE(2423),
    [sym_while_statement] = STATE(2423),
    [sym_do_statement] = STATE(2423),
    [sym_try_statement] = STATE(2423),
    [sym_with_statement] = STATE(2423),
    [sym_break_statement] = STATE(2423),
    [sym_continue_statement] = STATE(2423),
    [sym_debugger_statement] = STATE(2423),
    [sym_return_statement] = STATE(2423),
    [sym_throw_statement] = STATE(2423),
    [sym_empty_statement] = STATE(2423),
    [sym_labeled_statement] = STATE(2423),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(2424),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(2424),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(2424),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2062),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(103),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1693),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_export_statement] = STATE(2423),
    [sym_declaration] = STATE(2423),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(2423),
    [sym_statement] = STATE(2184),
    [sym_expression_statement] = STATE(2423),
    [sym_variable_declaration] = STATE(2424),
    [sym_lexical_declaration] = STATE(2424),
    [sym_statement_block] = STATE(2423),
    [sym_if_statement] = STATE(2423),
    [sym_switch_statement] = STATE(2423),
    [sym_for_statement] = STATE(2423),
    [sym_for_in_statement] = STATE(2423),
    [sym_while_statement] = STATE(2423),
    [sym_do_statement] = STATE(2423),
    [sym_try_statement] = STATE(2423),
    [sym_with_statement] = STATE(2423),
    [sym_break_statement] = STATE(2423),
    [sym_continue_statement] = STATE(2423),
    [sym_debugger_statement] = STATE(2423),
    [sym_return_statement] = STATE(2423),
    [sym_throw_statement] = STATE(2423),
    [sym_empty_statement] = STATE(2423),
    [sym_labeled_statement] = STATE(2423),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(2424),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(2424),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(2424),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2062),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(104),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1693),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_export_statement] = STATE(2423),
    [sym_declaration] = STATE(2423),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(2423),
    [sym_statement] = STATE(2594),
    [sym_expression_statement] = STATE(2423),
    [sym_variable_declaration] = STATE(2424),
    [sym_lexical_declaration] = STATE(2424),
    [sym_statement_block] = STATE(2423),
    [sym_if_statement] = STATE(2423),
    [sym_switch_statement] = STATE(2423),
    [sym_for_statement] = STATE(2423),
    [sym_for_in_statement] = STATE(2423),
    [sym_while_statement] = STATE(2423),
    [sym_do_statement] = STATE(2423),
    [sym_try_statement] = STATE(2423),
    [sym_with_statement] = STATE(2423),
    [sym_break_statement] = STATE(2423),
    [sym_continue_statement] = STATE(2423),
    [sym_debugger_statement] = STATE(2423),
    [sym_return_statement] = STATE(2423),
    [sym_throw_statement] = STATE(2423),
    [sym_empty_statement] = STATE(2423),
    [sym_labeled_statement] = STATE(2423),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(2424),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(2424),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(2424),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2062),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(105),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1693),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_export_statement] = STATE(626),
    [sym_declaration] = STATE(626),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(626),
    [sym_statement] = STATE(541),
    [sym_expression_statement] = STATE(626),
    [sym_variable_declaration] = STATE(627),
    [sym_lexical_declaration] = STATE(627),
    [sym_statement_block] = STATE(626),
    [sym_if_statement] = STATE(626),
    [sym_switch_statement] = STATE(626),
    [sym_for_statement] = STATE(626),
    [sym_for_in_statement] = STATE(626),
    [sym_while_statement] = STATE(626),
    [sym_do_statement] = STATE(626),
    [sym_try_statement] = STATE(626),
    [sym_with_statement] = STATE(626),
    [sym_break_statement] = STATE(626),
    [sym_continue_statement] = STATE(626),
    [sym_debugger_statement] = STATE(626),
    [sym_return_statement] = STATE(626),
    [sym_throw_statement] = STATE(626),
    [sym_empty_statement] = STATE(626),
    [sym_labeled_statement] = STATE(626),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1051),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(627),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(627),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(627),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2371),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(106),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1704),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_export_statement] = STATE(626),
    [sym_declaration] = STATE(626),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(626),
    [sym_statement] = STATE(638),
    [sym_expression_statement] = STATE(626),
    [sym_variable_declaration] = STATE(627),
    [sym_lexical_declaration] = STATE(627),
    [sym_statement_block] = STATE(626),
    [sym_if_statement] = STATE(626),
    [sym_switch_statement] = STATE(626),
    [sym_for_statement] = STATE(626),
    [sym_for_in_statement] = STATE(626),
    [sym_while_statement] = STATE(626),
    [sym_do_statement] = STATE(626),
    [sym_try_statement] = STATE(626),
    [sym_with_statement] = STATE(626),
    [sym_break_statement] = STATE(626),
    [sym_continue_statement] = STATE(626),
    [sym_debugger_statement] = STATE(626),
    [sym_return_statement] = STATE(626),
    [sym_throw_statement] = STATE(626),
    [sym_empty_statement] = STATE(626),
    [sym_labeled_statement] = STATE(626),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1051),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(627),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(627),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(627),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2371),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(107),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1704),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(858),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(108),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_export_statement] = STATE(626),
    [sym_declaration] = STATE(626),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(626),
    [sym_statement] = STATE(575),
    [sym_expression_statement] = STATE(626),
    [sym_variable_declaration] = STATE(627),
    [sym_lexical_declaration] = STATE(627),
    [sym_statement_block] = STATE(626),
    [sym_if_statement] = STATE(626),
    [sym_switch_statement] = STATE(626),
    [sym_for_statement] = STATE(626),
    [sym_for_in_statement] = STATE(626),
    [sym_while_statement] = STATE(626),
    [sym_do_statement] = STATE(626),
    [sym_try_statement] = STATE(626),
    [sym_with_statement] = STATE(626),
    [sym_break_statement] = STATE(626),
    [sym_continue_statement] = STATE(626),
    [sym_debugger_statement] = STATE(626),
    [sym_return_statement] = STATE(626),
    [sym_throw_statement] = STATE(626),
    [sym_empty_statement] = STATE(626),
    [sym_labeled_statement] = STATE(626),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1051),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(627),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(627),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(627),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2371),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(109),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1704),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_export_statement] = STATE(2423),
    [sym_declaration] = STATE(2423),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(2423),
    [sym_statement] = STATE(2567),
    [sym_expression_statement] = STATE(2423),
    [sym_variable_declaration] = STATE(2424),
    [sym_lexical_declaration] = STATE(2424),
    [sym_statement_block] = STATE(2423),
    [sym_if_statement] = STATE(2423),
    [sym_switch_statement] = STATE(2423),
    [sym_for_statement] = STATE(2423),
    [sym_for_in_statement] = STATE(2423),
    [sym_while_statement] = STATE(2423),
    [sym_do_statement] = STATE(2423),
    [sym_try_statement] = STATE(2423),
    [sym_with_statement] = STATE(2423),
    [sym_break_statement] = STATE(2423),
    [sym_continue_statement] = STATE(2423),
    [sym_debugger_statement] = STATE(2423),
    [sym_return_statement] = STATE(2423),
    [sym_throw_statement] = STATE(2423),
    [sym_empty_statement] = STATE(2423),
    [sym_labeled_statement] = STATE(2423),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(2424),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(2424),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(2424),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2062),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(110),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1693),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_export_statement] = STATE(626),
    [sym_declaration] = STATE(626),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(626),
    [sym_statement] = STATE(555),
    [sym_expression_statement] = STATE(626),
    [sym_variable_declaration] = STATE(627),
    [sym_lexical_declaration] = STATE(627),
    [sym_statement_block] = STATE(626),
    [sym_if_statement] = STATE(626),
    [sym_switch_statement] = STATE(626),
    [sym_for_statement] = STATE(626),
    [sym_for_in_statement] = STATE(626),
    [sym_while_statement] = STATE(626),
    [sym_do_statement] = STATE(626),
    [sym_try_statement] = STATE(626),
    [sym_with_statement] = STATE(626),
    [sym_break_statement] = STATE(626),
    [sym_continue_statement] = STATE(626),
    [sym_debugger_statement] = STATE(626),
    [sym_return_statement] = STATE(626),
    [sym_throw_statement] = STATE(626),
    [sym_empty_statement] = STATE(626),
    [sym_labeled_statement] = STATE(626),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1051),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(627),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(627),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(627),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2371),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(111),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1704),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_export_statement] = STATE(626),
    [sym_declaration] = STATE(626),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(626),
    [sym_statement] = STATE(567),
    [sym_expression_statement] = STATE(626),
    [sym_variable_declaration] = STATE(627),
    [sym_lexical_declaration] = STATE(627),
    [sym_statement_block] = STATE(626),
    [sym_if_statement] = STATE(626),
    [sym_switch_statement] = STATE(626),
    [sym_for_statement] = STATE(626),
    [sym_for_in_statement] = STATE(626),
    [sym_while_statement] = STATE(626),
    [sym_do_statement] = STATE(626),
    [sym_try_statement] = STATE(626),
    [sym_with_statement] = STATE(626),
    [sym_break_statement] = STATE(626),
    [sym_continue_statement] = STATE(626),
    [sym_debugger_statement] = STATE(626),
    [sym_return_statement] = STATE(626),
    [sym_throw_statement] = STATE(626),
    [sym_empty_statement] = STATE(626),
    [sym_labeled_statement] = STATE(626),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1051),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(627),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(627),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(627),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2371),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(112),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1704),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_export_statement] = STATE(626),
    [sym_declaration] = STATE(626),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(626),
    [sym_statement] = STATE(563),
    [sym_expression_statement] = STATE(626),
    [sym_variable_declaration] = STATE(627),
    [sym_lexical_declaration] = STATE(627),
    [sym_statement_block] = STATE(626),
    [sym_if_statement] = STATE(626),
    [sym_switch_statement] = STATE(626),
    [sym_for_statement] = STATE(626),
    [sym_for_in_statement] = STATE(626),
    [sym_while_statement] = STATE(626),
    [sym_do_statement] = STATE(626),
    [sym_try_statement] = STATE(626),
    [sym_with_statement] = STATE(626),
    [sym_break_statement] = STATE(626),
    [sym_continue_statement] = STATE(626),
    [sym_debugger_statement] = STATE(626),
    [sym_return_statement] = STATE(626),
    [sym_throw_statement] = STATE(626),
    [sym_empty_statement] = STATE(626),
    [sym_labeled_statement] = STATE(626),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1051),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(627),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(627),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(627),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2371),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(113),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1704),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_export_statement] = STATE(644),
    [sym_declaration] = STATE(644),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(644),
    [sym_statement] = STATE(569),
    [sym_expression_statement] = STATE(644),
    [sym_variable_declaration] = STATE(645),
    [sym_lexical_declaration] = STATE(645),
    [sym_statement_block] = STATE(644),
    [sym_if_statement] = STATE(644),
    [sym_switch_statement] = STATE(644),
    [sym_for_statement] = STATE(644),
    [sym_for_in_statement] = STATE(644),
    [sym_while_statement] = STATE(644),
    [sym_do_statement] = STATE(644),
    [sym_try_statement] = STATE(644),
    [sym_with_statement] = STATE(644),
    [sym_break_statement] = STATE(644),
    [sym_continue_statement] = STATE(644),
    [sym_debugger_statement] = STATE(644),
    [sym_return_statement] = STATE(644),
    [sym_throw_statement] = STATE(644),
    [sym_empty_statement] = STATE(644),
    [sym_labeled_statement] = STATE(644),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(645),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(645),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(645),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2066),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(114),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1717),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_export_statement] = STATE(2423),
    [sym_declaration] = STATE(2423),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(2423),
    [sym_statement] = STATE(2216),
    [sym_expression_statement] = STATE(2423),
    [sym_variable_declaration] = STATE(2424),
    [sym_lexical_declaration] = STATE(2424),
    [sym_statement_block] = STATE(2423),
    [sym_if_statement] = STATE(2423),
    [sym_switch_statement] = STATE(2423),
    [sym_for_statement] = STATE(2423),
    [sym_for_in_statement] = STATE(2423),
    [sym_while_statement] = STATE(2423),
    [sym_do_statement] = STATE(2423),
    [sym_try_statement] = STATE(2423),
    [sym_with_statement] = STATE(2423),
    [sym_break_statement] = STATE(2423),
    [sym_continue_statement] = STATE(2423),
    [sym_debugger_statement] = STATE(2423),
    [sym_return_statement] = STATE(2423),
    [sym_throw_statement] = STATE(2423),
    [sym_empty_statement] = STATE(2423),
    [sym_labeled_statement] = STATE(2423),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(2424),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(2424),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(2424),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2062),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(115),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1693),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_export_statement] = STATE(2423),
    [sym_declaration] = STATE(2423),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(2423),
    [sym_statement] = STATE(2215),
    [sym_expression_statement] = STATE(2423),
    [sym_variable_declaration] = STATE(2424),
    [sym_lexical_declaration] = STATE(2424),
    [sym_statement_block] = STATE(2423),
    [sym_if_statement] = STATE(2423),
    [sym_switch_statement] = STATE(2423),
    [sym_for_statement] = STATE(2423),
    [sym_for_in_statement] = STATE(2423),
    [sym_while_statement] = STATE(2423),
    [sym_do_statement] = STATE(2423),
    [sym_try_statement] = STATE(2423),
    [sym_with_statement] = STATE(2423),
    [sym_break_statement] = STATE(2423),
    [sym_continue_statement] = STATE(2423),
    [sym_debugger_statement] = STATE(2423),
    [sym_return_statement] = STATE(2423),
    [sym_throw_statement] = STATE(2423),
    [sym_empty_statement] = STATE(2423),
    [sym_labeled_statement] = STATE(2423),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(2424),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(2424),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(2424),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2062),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(116),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1693),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_export_statement] = STATE(626),
    [sym_declaration] = STATE(626),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(626),
    [sym_statement] = STATE(639),
    [sym_expression_statement] = STATE(626),
    [sym_variable_declaration] = STATE(627),
    [sym_lexical_declaration] = STATE(627),
    [sym_statement_block] = STATE(626),
    [sym_if_statement] = STATE(626),
    [sym_switch_statement] = STATE(626),
    [sym_for_statement] = STATE(626),
    [sym_for_in_statement] = STATE(626),
    [sym_while_statement] = STATE(626),
    [sym_do_statement] = STATE(626),
    [sym_try_statement] = STATE(626),
    [sym_with_statement] = STATE(626),
    [sym_break_statement] = STATE(626),
    [sym_continue_statement] = STATE(626),
    [sym_debugger_statement] = STATE(626),
    [sym_return_statement] = STATE(626),
    [sym_throw_statement] = STATE(626),
    [sym_empty_statement] = STATE(626),
    [sym_labeled_statement] = STATE(626),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1051),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(627),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(627),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(627),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2371),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(117),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1704),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_export_statement] = STATE(852),
    [sym_declaration] = STATE(852),
    [sym_import] = STATE(1680),
    [sym_import_statement] = STATE(852),
    [sym_statement] = STATE(835),
    [sym_expression_statement] = STATE(852),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_statement_block] = STATE(852),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(852),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(852),
    [sym_while_statement] = STATE(852),
    [sym_do_statement] = STATE(852),
    [sym_try_statement] = STATE(852),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(852),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(852),
    [sym_return_statement] = STATE(852),
    [sym_throw_statement] = STATE(852),
    [sym_empty_statement] = STATE(852),
    [sym_labeled_statement] = STATE(852),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2438),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(118),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(964),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(119),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_STAR] = ACTIONS(666),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(670),
    [anon_sym_RBRACE] = ACTIONS(670),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(670),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_COLON] = ACTIONS(670),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_RBRACK] = ACTIONS(670),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_DOT] = ACTIONS(670),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [sym_optional_chain] = ACTIONS(670),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_AMP_AMP] = ACTIONS(670),
    [anon_sym_PIPE_PIPE] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(670),
    [anon_sym_GT_GT_GT] = ACTIONS(670),
    [anon_sym_LT_LT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(670),
    [anon_sym_CARET] = ACTIONS(670),
    [anon_sym_PIPE] = ACTIONS(670),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_PERCENT] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(670),
    [anon_sym_GT_EQ] = ACTIONS(670),
    [anon_sym_QMARK_QMARK] = ACTIONS(670),
    [anon_sym_instanceof] = ACTIONS(670),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym__ternary_qmark] = ACTIONS(710),
    [sym_html_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(922),
    [sym_expression] = STATE(1057),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(922),
    [sym_subscript_expression] = STATE(922),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1525),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2647),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(120),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2614),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_STAR] = ACTIONS(716),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_COMMA] = ACTIONS(670),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_of] = ACTIONS(670),
    [anon_sym_SEMI] = ACTIONS(670),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_DOT] = ACTIONS(670),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [sym_optional_chain] = ACTIONS(670),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_AMP_AMP] = ACTIONS(670),
    [anon_sym_PIPE_PIPE] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(670),
    [anon_sym_GT_GT_GT] = ACTIONS(670),
    [anon_sym_LT_LT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(670),
    [anon_sym_CARET] = ACTIONS(670),
    [anon_sym_PIPE] = ACTIONS(670),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_PERCENT] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(670),
    [anon_sym_GT_EQ] = ACTIONS(670),
    [anon_sym_QMARK_QMARK] = ACTIONS(670),
    [anon_sym_instanceof] = ACTIONS(670),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym__automatic_semicolon] = ACTIONS(710),
    [sym__ternary_qmark] = ACTIONS(710),
    [sym_html_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1062),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(121),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(746),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_COMMA] = ACTIONS(670),
    [anon_sym_RBRACE] = ACTIONS(670),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_SEMI] = ACTIONS(670),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_DOT] = ACTIONS(670),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [sym_optional_chain] = ACTIONS(670),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(670),
    [anon_sym_PIPE_PIPE] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(670),
    [anon_sym_GT_GT_GT] = ACTIONS(670),
    [anon_sym_LT_LT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(670),
    [anon_sym_CARET] = ACTIONS(670),
    [anon_sym_PIPE] = ACTIONS(670),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(670),
    [anon_sym_GT_EQ] = ACTIONS(670),
    [anon_sym_QMARK_QMARK] = ACTIONS(670),
    [anon_sym_instanceof] = ACTIONS(670),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym__automatic_semicolon] = ACTIONS(710),
    [sym__ternary_qmark] = ACTIONS(710),
    [sym_html_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1286),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1515),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2618),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(122),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2617),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_STAR] = ACTIONS(754),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_of] = ACTIONS(670),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_DOT] = ACTIONS(670),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [sym_optional_chain] = ACTIONS(670),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_AMP_AMP] = ACTIONS(670),
    [anon_sym_PIPE_PIPE] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(670),
    [anon_sym_GT_GT_GT] = ACTIONS(670),
    [anon_sym_LT_LT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(670),
    [anon_sym_CARET] = ACTIONS(670),
    [anon_sym_PIPE] = ACTIONS(670),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_PERCENT] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(670),
    [anon_sym_GT_EQ] = ACTIONS(670),
    [anon_sym_QMARK_QMARK] = ACTIONS(670),
    [anon_sym_instanceof] = ACTIONS(670),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym__ternary_qmark] = ACTIONS(710),
    [sym_html_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1279),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(123),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_STAR] = ACTIONS(782),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_COLON] = ACTIONS(670),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_DOT] = ACTIONS(670),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [sym_optional_chain] = ACTIONS(670),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(670),
    [anon_sym_PIPE_PIPE] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(670),
    [anon_sym_GT_GT_GT] = ACTIONS(670),
    [anon_sym_LT_LT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(670),
    [anon_sym_CARET] = ACTIONS(670),
    [anon_sym_PIPE] = ACTIONS(670),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_PERCENT] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(670),
    [anon_sym_GT_EQ] = ACTIONS(670),
    [anon_sym_QMARK_QMARK] = ACTIONS(670),
    [anon_sym_instanceof] = ACTIONS(670),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym__ternary_qmark] = ACTIONS(710),
    [sym_html_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1203),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_assignment_pattern] = STATE(2042),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(915),
    [sym_subscript_expression] = STATE(915),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(1747),
    [sym_spread_element] = STATE(2003),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(124),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [sym_pattern] = STATE(1761),
    [sym_rest_pattern] = STATE(1745),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [aux_sym_array_repeat1] = STATE(2002),
    [aux_sym_array_pattern_repeat1] = STATE(2049),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(806),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1203),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_assignment_pattern] = STATE(2042),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(915),
    [sym_subscript_expression] = STATE(915),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(1747),
    [sym_spread_element] = STATE(2003),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(125),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [sym_pattern] = STATE(1761),
    [sym_rest_pattern] = STATE(1745),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [aux_sym_array_repeat1] = STATE(2002),
    [aux_sym_array_pattern_repeat1] = STATE(2049),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(812),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1203),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_assignment_pattern] = STATE(2042),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(915),
    [sym_subscript_expression] = STATE(915),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(1747),
    [sym_spread_element] = STATE(2003),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(126),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [sym_pattern] = STATE(1761),
    [sym_rest_pattern] = STATE(1745),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [aux_sym_array_repeat1] = STATE(2002),
    [aux_sym_array_pattern_repeat1] = STATE(2049),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(814),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1225),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_assignment_pattern] = STATE(2042),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(915),
    [sym_subscript_expression] = STATE(915),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(1747),
    [sym_spread_element] = STATE(2043),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(127),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [sym_pattern] = STATE(1761),
    [sym_rest_pattern] = STATE(1745),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [aux_sym_array_repeat1] = STATE(2050),
    [aux_sym_array_pattern_repeat1] = STATE(2049),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(816),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1214),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_assignment_pattern] = STATE(2042),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(915),
    [sym_subscript_expression] = STATE(915),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(1747),
    [sym_spread_element] = STATE(2043),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(128),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [sym_pattern] = STATE(1761),
    [sym_rest_pattern] = STATE(1745),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [aux_sym_array_repeat1] = STATE(2050),
    [aux_sym_array_pattern_repeat1] = STATE(2049),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(818),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1203),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_assignment_pattern] = STATE(2042),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(915),
    [sym_subscript_expression] = STATE(915),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(1747),
    [sym_spread_element] = STATE(2003),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(129),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [sym_pattern] = STATE(1761),
    [sym_rest_pattern] = STATE(1745),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [aux_sym_array_repeat1] = STATE(2002),
    [aux_sym_array_pattern_repeat1] = STATE(2049),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(820),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1214),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_assignment_pattern] = STATE(2042),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(915),
    [sym_subscript_expression] = STATE(915),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(1747),
    [sym_spread_element] = STATE(2043),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(130),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [sym_pattern] = STATE(1761),
    [sym_rest_pattern] = STATE(1745),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [aux_sym_array_repeat1] = STATE(2050),
    [aux_sym_array_pattern_repeat1] = STATE(2049),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(816),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1203),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_assignment_pattern] = STATE(2042),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(915),
    [sym_subscript_expression] = STATE(915),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(1747),
    [sym_spread_element] = STATE(2003),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(131),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [sym_pattern] = STATE(1761),
    [sym_rest_pattern] = STATE(1745),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [aux_sym_array_repeat1] = STATE(2002),
    [aux_sym_array_pattern_repeat1] = STATE(2049),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(822),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_comment] = STATE(132),
    [sym_identifier] = ACTIONS(824),
    [anon_sym_export] = ACTIONS(824),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_default] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(824),
    [anon_sym_COMMA] = ACTIONS(826),
    [anon_sym_RBRACE] = ACTIONS(824),
    [anon_sym_import] = ACTIONS(824),
    [anon_sym_with] = ACTIONS(824),
    [anon_sym_var] = ACTIONS(824),
    [anon_sym_let] = ACTIONS(824),
    [anon_sym_const] = ACTIONS(824),
    [anon_sym_else] = ACTIONS(824),
    [anon_sym_if] = ACTIONS(824),
    [anon_sym_switch] = ACTIONS(824),
    [anon_sym_for] = ACTIONS(824),
    [anon_sym_LPAREN] = ACTIONS(824),
    [anon_sym_await] = ACTIONS(824),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_while] = ACTIONS(824),
    [anon_sym_do] = ACTIONS(824),
    [anon_sym_try] = ACTIONS(824),
    [anon_sym_break] = ACTIONS(824),
    [anon_sym_continue] = ACTIONS(824),
    [anon_sym_debugger] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(824),
    [anon_sym_throw] = ACTIONS(824),
    [anon_sym_SEMI] = ACTIONS(824),
    [anon_sym_case] = ACTIONS(824),
    [anon_sym_yield] = ACTIONS(824),
    [anon_sym_EQ] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(824),
    [anon_sym_LTtemplate_GT] = ACTIONS(824),
    [anon_sym_LT] = ACTIONS(824),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(824),
    [anon_sym_SQUOTE] = ACTIONS(824),
    [anon_sym_class] = ACTIONS(824),
    [anon_sym_async] = ACTIONS(824),
    [anon_sym_function] = ACTIONS(824),
    [sym_optional_chain] = ACTIONS(826),
    [anon_sym_new] = ACTIONS(824),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(824),
    [anon_sym_DASH] = ACTIONS(824),
    [anon_sym_SLASH] = ACTIONS(824),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(826),
    [anon_sym_GT_EQ] = ACTIONS(826),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_typeof] = ACTIONS(824),
    [anon_sym_void] = ACTIONS(824),
    [anon_sym_delete] = ACTIONS(824),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(824),
    [sym_number] = ACTIONS(824),
    [sym_private_property_identifier] = ACTIONS(824),
    [sym_this] = ACTIONS(824),
    [sym_super] = ACTIONS(824),
    [sym_true] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
    [sym_null] = ACTIONS(824),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(824),
    [anon_sym_static] = ACTIONS(824),
    [anon_sym_get] = ACTIONS(824),
    [anon_sym_set] = ACTIONS(824),
    [sym__automatic_semicolon] = ACTIONS(830),
    [sym__ternary_qmark] = ACTIONS(832),
    [sym_html_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_import] = STATE(1680),
    [sym_expression_statement] = STATE(229),
    [sym_variable_declaration] = STATE(229),
    [sym_lexical_declaration] = STATE(229),
    [sym_empty_statement] = STATE(229),
    [sym_parenthesized_expression] = STATE(918),
    [sym_expression] = STATE(1049),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(918),
    [sym_subscript_expression] = STATE(918),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(1998),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2183),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(133),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(834),
    [anon_sym_export] = ACTIONS(836),
    [anon_sym_LBRACE] = ACTIONS(838),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(846),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(848),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(850),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(836),
    [anon_sym_get] = ACTIONS(836),
    [anon_sym_set] = ACTIONS(836),
    [sym_html_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_import] = STATE(1680),
    [sym_expression_statement] = STATE(228),
    [sym_variable_declaration] = STATE(228),
    [sym_lexical_declaration] = STATE(228),
    [sym_empty_statement] = STATE(228),
    [sym_parenthesized_expression] = STATE(918),
    [sym_expression] = STATE(1049),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(918),
    [sym_subscript_expression] = STATE(918),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(1998),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2183),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(134),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(834),
    [anon_sym_export] = ACTIONS(836),
    [anon_sym_LBRACE] = ACTIONS(838),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(846),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(848),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(850),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(836),
    [anon_sym_get] = ACTIONS(836),
    [anon_sym_set] = ACTIONS(836),
    [sym_html_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_declaration] = STATE(2470),
    [sym_import] = STATE(1680),
    [sym_variable_declaration] = STATE(2424),
    [sym_lexical_declaration] = STATE(2424),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1258),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(2424),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(2424),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(2424),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(135),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1834),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(854),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(856),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_declaration] = STATE(732),
    [sym_import] = STATE(1680),
    [sym_variable_declaration] = STATE(725),
    [sym_lexical_declaration] = STATE(725),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1277),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(725),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(725),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(725),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(136),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1860),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(858),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(860),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_import] = STATE(1680),
    [sym_expression_statement] = STATE(231),
    [sym_variable_declaration] = STATE(231),
    [sym_lexical_declaration] = STATE(231),
    [sym_empty_statement] = STATE(231),
    [sym_parenthesized_expression] = STATE(918),
    [sym_expression] = STATE(1049),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(918),
    [sym_subscript_expression] = STATE(918),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(1998),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2183),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(137),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(834),
    [anon_sym_export] = ACTIONS(836),
    [anon_sym_LBRACE] = ACTIONS(838),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(846),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(848),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(850),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(836),
    [anon_sym_get] = ACTIONS(836),
    [anon_sym_set] = ACTIONS(836),
    [sym_html_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_import] = STATE(1680),
    [sym_expression_statement] = STATE(226),
    [sym_variable_declaration] = STATE(226),
    [sym_lexical_declaration] = STATE(226),
    [sym_empty_statement] = STATE(226),
    [sym_parenthesized_expression] = STATE(918),
    [sym_expression] = STATE(1049),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(918),
    [sym_subscript_expression] = STATE(918),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(1998),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2183),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(138),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(834),
    [anon_sym_export] = ACTIONS(836),
    [anon_sym_LBRACE] = ACTIONS(838),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(846),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(848),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(850),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(836),
    [anon_sym_get] = ACTIONS(836),
    [anon_sym_set] = ACTIONS(836),
    [sym_html_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_import] = STATE(1680),
    [sym_expression_statement] = STATE(225),
    [sym_variable_declaration] = STATE(225),
    [sym_lexical_declaration] = STATE(225),
    [sym_empty_statement] = STATE(225),
    [sym_parenthesized_expression] = STATE(918),
    [sym_expression] = STATE(1049),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(918),
    [sym_subscript_expression] = STATE(918),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(1998),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2183),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(139),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(834),
    [anon_sym_export] = ACTIONS(836),
    [anon_sym_LBRACE] = ACTIONS(838),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(846),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(848),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(850),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(836),
    [anon_sym_get] = ACTIONS(836),
    [anon_sym_set] = ACTIONS(836),
    [sym_html_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_declaration] = STATE(694),
    [sym_import] = STATE(1680),
    [sym_variable_declaration] = STATE(645),
    [sym_lexical_declaration] = STATE(645),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1265),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(645),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(645),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(645),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(140),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1847),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(862),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(864),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_declaration] = STATE(808),
    [sym_import] = STATE(1680),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1281),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(141),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1785),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(866),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(868),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_declaration] = STATE(784),
    [sym_import] = STATE(1680),
    [sym_variable_declaration] = STATE(725),
    [sym_lexical_declaration] = STATE(725),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1248),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(725),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(725),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(725),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(142),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1860),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(858),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(860),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_declaration] = STATE(585),
    [sym_import] = STATE(1680),
    [sym_variable_declaration] = STATE(627),
    [sym_lexical_declaration] = STATE(627),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1271),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(627),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(627),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(627),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(143),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1873),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(870),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_declaration] = STATE(653),
    [sym_import] = STATE(1680),
    [sym_variable_declaration] = STATE(645),
    [sym_lexical_declaration] = STATE(645),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1268),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(645),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(645),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(645),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(144),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1847),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(862),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(864),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_declaration] = STATE(2229),
    [sym_import] = STATE(1680),
    [sym_variable_declaration] = STATE(2424),
    [sym_lexical_declaration] = STATE(2424),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1251),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(2424),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(2424),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(2424),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(145),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1834),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(854),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(856),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_declaration] = STATE(799),
    [sym_import] = STATE(1680),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1266),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(830),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(830),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(146),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1785),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(866),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(868),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_declaration] = STATE(637),
    [sym_import] = STATE(1680),
    [sym_variable_declaration] = STATE(627),
    [sym_lexical_declaration] = STATE(627),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1284),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_class_declaration] = STATE(627),
    [sym_function_expression] = STATE(1212),
    [sym_function_declaration] = STATE(627),
    [sym_generator_function] = STATE(1212),
    [sym_generator_function_declaration] = STATE(627),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(147),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1873),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(870),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_comment] = STATE(148),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(874),
    [anon_sym_STAR] = ACTIONS(874),
    [anon_sym_default] = ACTIONS(874),
    [anon_sym_LBRACE] = ACTIONS(874),
    [anon_sym_COMMA] = ACTIONS(874),
    [anon_sym_RBRACE] = ACTIONS(874),
    [anon_sym_import] = ACTIONS(874),
    [anon_sym_with] = ACTIONS(874),
    [anon_sym_var] = ACTIONS(874),
    [anon_sym_let] = ACTIONS(874),
    [anon_sym_const] = ACTIONS(874),
    [anon_sym_else] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(874),
    [anon_sym_for] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(874),
    [anon_sym_await] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_while] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(874),
    [anon_sym_try] = ACTIONS(874),
    [anon_sym_break] = ACTIONS(874),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(874),
    [anon_sym_return] = ACTIONS(874),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(874),
    [anon_sym_case] = ACTIONS(874),
    [anon_sym_yield] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(874),
    [anon_sym_LTtemplate_GT] = ACTIONS(874),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DQUOTE] = ACTIONS(874),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [anon_sym_class] = ACTIONS(874),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(874),
    [sym_optional_chain] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(874),
    [anon_sym_GT_GT] = ACTIONS(874),
    [anon_sym_GT_GT_GT] = ACTIONS(874),
    [anon_sym_LT_LT] = ACTIONS(874),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(874),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_STAR_STAR] = ACTIONS(874),
    [anon_sym_LT_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(874),
    [anon_sym_QMARK_QMARK] = ACTIONS(874),
    [anon_sym_instanceof] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_typeof] = ACTIONS(874),
    [anon_sym_void] = ACTIONS(874),
    [anon_sym_delete] = ACTIONS(874),
    [anon_sym_PLUS_PLUS] = ACTIONS(874),
    [anon_sym_DASH_DASH] = ACTIONS(874),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(874),
    [sym_number] = ACTIONS(874),
    [sym_private_property_identifier] = ACTIONS(874),
    [sym_this] = ACTIONS(874),
    [sym_super] = ACTIONS(874),
    [sym_true] = ACTIONS(874),
    [sym_false] = ACTIONS(874),
    [sym_null] = ACTIONS(874),
    [sym_undefined] = ACTIONS(874),
    [anon_sym_AT] = ACTIONS(874),
    [anon_sym_static] = ACTIONS(874),
    [anon_sym_get] = ACTIONS(874),
    [anon_sym_set] = ACTIONS(874),
    [sym__automatic_semicolon] = ACTIONS(876),
    [sym__ternary_qmark] = ACTIONS(876),
    [sym_html_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_comment] = STATE(149),
    [sym_identifier] = ACTIONS(878),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_STAR] = ACTIONS(880),
    [anon_sym_default] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(878),
    [anon_sym_COMMA] = ACTIONS(880),
    [anon_sym_RBRACE] = ACTIONS(878),
    [anon_sym_import] = ACTIONS(878),
    [anon_sym_with] = ACTIONS(878),
    [anon_sym_var] = ACTIONS(878),
    [anon_sym_let] = ACTIONS(878),
    [anon_sym_const] = ACTIONS(878),
    [anon_sym_else] = ACTIONS(878),
    [anon_sym_if] = ACTIONS(878),
    [anon_sym_switch] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(878),
    [anon_sym_LPAREN] = ACTIONS(878),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_in] = ACTIONS(880),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_do] = ACTIONS(878),
    [anon_sym_try] = ACTIONS(878),
    [anon_sym_break] = ACTIONS(878),
    [anon_sym_continue] = ACTIONS(878),
    [anon_sym_debugger] = ACTIONS(878),
    [anon_sym_return] = ACTIONS(878),
    [anon_sym_throw] = ACTIONS(878),
    [anon_sym_SEMI] = ACTIONS(878),
    [anon_sym_case] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(878),
    [anon_sym_LBRACK] = ACTIONS(878),
    [anon_sym_LTtemplate_GT] = ACTIONS(878),
    [anon_sym_LT] = ACTIONS(878),
    [anon_sym_GT] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(880),
    [anon_sym_DQUOTE] = ACTIONS(878),
    [anon_sym_SQUOTE] = ACTIONS(878),
    [anon_sym_class] = ACTIONS(878),
    [anon_sym_async] = ACTIONS(878),
    [anon_sym_function] = ACTIONS(878),
    [sym_optional_chain] = ACTIONS(880),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_AMP_AMP] = ACTIONS(880),
    [anon_sym_PIPE_PIPE] = ACTIONS(880),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_GT_GT_GT] = ACTIONS(880),
    [anon_sym_LT_LT] = ACTIONS(880),
    [anon_sym_AMP] = ACTIONS(880),
    [anon_sym_CARET] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(878),
    [anon_sym_DASH] = ACTIONS(878),
    [anon_sym_SLASH] = ACTIONS(878),
    [anon_sym_PERCENT] = ACTIONS(880),
    [anon_sym_STAR_STAR] = ACTIONS(880),
    [anon_sym_LT_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(880),
    [anon_sym_GT_EQ] = ACTIONS(880),
    [anon_sym_QMARK_QMARK] = ACTIONS(880),
    [anon_sym_instanceof] = ACTIONS(880),
    [anon_sym_BANG] = ACTIONS(878),
    [anon_sym_TILDE] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(878),
    [anon_sym_void] = ACTIONS(878),
    [anon_sym_delete] = ACTIONS(878),
    [anon_sym_PLUS_PLUS] = ACTIONS(878),
    [anon_sym_DASH_DASH] = ACTIONS(878),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(878),
    [sym_number] = ACTIONS(878),
    [sym_private_property_identifier] = ACTIONS(878),
    [sym_this] = ACTIONS(878),
    [sym_super] = ACTIONS(878),
    [sym_true] = ACTIONS(878),
    [sym_false] = ACTIONS(878),
    [sym_null] = ACTIONS(878),
    [sym_undefined] = ACTIONS(878),
    [anon_sym_AT] = ACTIONS(878),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [sym__automatic_semicolon] = ACTIONS(882),
    [sym__ternary_qmark] = ACTIONS(884),
    [sym_html_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_comment] = STATE(150),
    [sym_identifier] = ACTIONS(886),
    [anon_sym_export] = ACTIONS(886),
    [anon_sym_STAR] = ACTIONS(886),
    [anon_sym_default] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(886),
    [anon_sym_COMMA] = ACTIONS(886),
    [anon_sym_RBRACE] = ACTIONS(886),
    [anon_sym_import] = ACTIONS(886),
    [anon_sym_with] = ACTIONS(886),
    [anon_sym_var] = ACTIONS(886),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_const] = ACTIONS(886),
    [anon_sym_else] = ACTIONS(886),
    [anon_sym_if] = ACTIONS(886),
    [anon_sym_switch] = ACTIONS(886),
    [anon_sym_for] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(886),
    [anon_sym_await] = ACTIONS(886),
    [anon_sym_in] = ACTIONS(886),
    [anon_sym_while] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(886),
    [anon_sym_try] = ACTIONS(886),
    [anon_sym_break] = ACTIONS(886),
    [anon_sym_continue] = ACTIONS(886),
    [anon_sym_debugger] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(886),
    [anon_sym_throw] = ACTIONS(886),
    [anon_sym_SEMI] = ACTIONS(886),
    [anon_sym_case] = ACTIONS(886),
    [anon_sym_yield] = ACTIONS(886),
    [anon_sym_LBRACK] = ACTIONS(886),
    [anon_sym_LTtemplate_GT] = ACTIONS(886),
    [anon_sym_LT] = ACTIONS(886),
    [anon_sym_GT] = ACTIONS(886),
    [anon_sym_DOT] = ACTIONS(886),
    [anon_sym_DQUOTE] = ACTIONS(886),
    [anon_sym_SQUOTE] = ACTIONS(886),
    [anon_sym_class] = ACTIONS(886),
    [anon_sym_async] = ACTIONS(886),
    [anon_sym_function] = ACTIONS(886),
    [sym_optional_chain] = ACTIONS(886),
    [anon_sym_new] = ACTIONS(886),
    [anon_sym_AMP_AMP] = ACTIONS(886),
    [anon_sym_PIPE_PIPE] = ACTIONS(886),
    [anon_sym_GT_GT] = ACTIONS(886),
    [anon_sym_GT_GT_GT] = ACTIONS(886),
    [anon_sym_LT_LT] = ACTIONS(886),
    [anon_sym_AMP] = ACTIONS(886),
    [anon_sym_CARET] = ACTIONS(886),
    [anon_sym_PIPE] = ACTIONS(886),
    [anon_sym_PLUS] = ACTIONS(886),
    [anon_sym_DASH] = ACTIONS(886),
    [anon_sym_SLASH] = ACTIONS(886),
    [anon_sym_PERCENT] = ACTIONS(886),
    [anon_sym_STAR_STAR] = ACTIONS(886),
    [anon_sym_LT_EQ] = ACTIONS(886),
    [anon_sym_EQ_EQ] = ACTIONS(886),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(886),
    [anon_sym_BANG_EQ] = ACTIONS(886),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(886),
    [anon_sym_GT_EQ] = ACTIONS(886),
    [anon_sym_QMARK_QMARK] = ACTIONS(886),
    [anon_sym_instanceof] = ACTIONS(886),
    [anon_sym_BANG] = ACTIONS(886),
    [anon_sym_TILDE] = ACTIONS(886),
    [anon_sym_typeof] = ACTIONS(886),
    [anon_sym_void] = ACTIONS(886),
    [anon_sym_delete] = ACTIONS(886),
    [anon_sym_PLUS_PLUS] = ACTIONS(886),
    [anon_sym_DASH_DASH] = ACTIONS(886),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(886),
    [sym_number] = ACTIONS(886),
    [sym_private_property_identifier] = ACTIONS(886),
    [sym_this] = ACTIONS(886),
    [sym_super] = ACTIONS(886),
    [sym_true] = ACTIONS(886),
    [sym_false] = ACTIONS(886),
    [sym_null] = ACTIONS(886),
    [sym_undefined] = ACTIONS(886),
    [anon_sym_AT] = ACTIONS(886),
    [anon_sym_static] = ACTIONS(886),
    [anon_sym_get] = ACTIONS(886),
    [anon_sym_set] = ACTIONS(886),
    [sym__automatic_semicolon] = ACTIONS(888),
    [sym__ternary_qmark] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1323),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_assignment_pattern] = STATE(2004),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(920),
    [sym_subscript_expression] = STATE(920),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(1728),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(151),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [sym_pattern] = STATE(1811),
    [sym_rest_pattern] = STATE(1745),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [aux_sym_array_pattern_repeat1] = STATE(2001),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_LBRACE] = ACTIONS(894),
    [anon_sym_COMMA] = ACTIONS(896),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(892),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(898),
    [anon_sym_RBRACK] = ACTIONS(900),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(902),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(906),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(892),
    [anon_sym_get] = ACTIONS(892),
    [anon_sym_set] = ACTIONS(892),
    [sym_html_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1323),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_assignment_pattern] = STATE(2042),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(920),
    [sym_subscript_expression] = STATE(920),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(1728),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(152),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [sym_pattern] = STATE(1761),
    [sym_rest_pattern] = STATE(1745),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [aux_sym_array_pattern_repeat1] = STATE(2049),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_LBRACE] = ACTIONS(894),
    [anon_sym_COMMA] = ACTIONS(896),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(892),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(898),
    [anon_sym_RBRACK] = ACTIONS(908),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(902),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(906),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(892),
    [anon_sym_get] = ACTIONS(892),
    [anon_sym_set] = ACTIONS(892),
    [sym_html_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1320),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_assignment_pattern] = STATE(2042),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(933),
    [sym_subscript_expression] = STATE(933),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(1747),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(153),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [sym_pattern] = STATE(1761),
    [sym_rest_pattern] = STATE(1745),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [aux_sym_array_pattern_repeat1] = STATE(2049),
    [sym_identifier] = ACTIONS(910),
    [anon_sym_export] = ACTIONS(912),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(896),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(912),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_RBRACK] = ACTIONS(908),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(918),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(912),
    [anon_sym_get] = ACTIONS(912),
    [anon_sym_set] = ACTIONS(912),
    [sym_html_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_comment] = STATE(154),
    [sym_identifier] = ACTIONS(922),
    [anon_sym_export] = ACTIONS(922),
    [anon_sym_STAR] = ACTIONS(922),
    [anon_sym_default] = ACTIONS(922),
    [anon_sym_LBRACE] = ACTIONS(922),
    [anon_sym_COMMA] = ACTIONS(922),
    [anon_sym_RBRACE] = ACTIONS(922),
    [anon_sym_import] = ACTIONS(922),
    [anon_sym_with] = ACTIONS(922),
    [anon_sym_var] = ACTIONS(922),
    [anon_sym_let] = ACTIONS(922),
    [anon_sym_const] = ACTIONS(922),
    [anon_sym_else] = ACTIONS(922),
    [anon_sym_if] = ACTIONS(922),
    [anon_sym_switch] = ACTIONS(922),
    [anon_sym_for] = ACTIONS(922),
    [anon_sym_LPAREN] = ACTIONS(922),
    [anon_sym_await] = ACTIONS(922),
    [anon_sym_in] = ACTIONS(922),
    [anon_sym_while] = ACTIONS(922),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(922),
    [anon_sym_debugger] = ACTIONS(922),
    [anon_sym_return] = ACTIONS(922),
    [anon_sym_throw] = ACTIONS(922),
    [anon_sym_SEMI] = ACTIONS(922),
    [anon_sym_case] = ACTIONS(922),
    [anon_sym_yield] = ACTIONS(922),
    [anon_sym_LBRACK] = ACTIONS(922),
    [anon_sym_LTtemplate_GT] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(922),
    [anon_sym_GT] = ACTIONS(922),
    [anon_sym_DOT] = ACTIONS(922),
    [anon_sym_DQUOTE] = ACTIONS(922),
    [anon_sym_SQUOTE] = ACTIONS(922),
    [anon_sym_class] = ACTIONS(922),
    [anon_sym_async] = ACTIONS(922),
    [anon_sym_function] = ACTIONS(922),
    [sym_optional_chain] = ACTIONS(922),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_AMP_AMP] = ACTIONS(922),
    [anon_sym_PIPE_PIPE] = ACTIONS(922),
    [anon_sym_GT_GT] = ACTIONS(922),
    [anon_sym_GT_GT_GT] = ACTIONS(922),
    [anon_sym_LT_LT] = ACTIONS(922),
    [anon_sym_AMP] = ACTIONS(922),
    [anon_sym_CARET] = ACTIONS(922),
    [anon_sym_PIPE] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(922),
    [anon_sym_DASH] = ACTIONS(922),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_PERCENT] = ACTIONS(922),
    [anon_sym_STAR_STAR] = ACTIONS(922),
    [anon_sym_LT_EQ] = ACTIONS(922),
    [anon_sym_EQ_EQ] = ACTIONS(922),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(922),
    [anon_sym_BANG_EQ] = ACTIONS(922),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(922),
    [anon_sym_GT_EQ] = ACTIONS(922),
    [anon_sym_QMARK_QMARK] = ACTIONS(922),
    [anon_sym_instanceof] = ACTIONS(922),
    [anon_sym_BANG] = ACTIONS(922),
    [anon_sym_TILDE] = ACTIONS(922),
    [anon_sym_typeof] = ACTIONS(922),
    [anon_sym_void] = ACTIONS(922),
    [anon_sym_delete] = ACTIONS(922),
    [anon_sym_PLUS_PLUS] = ACTIONS(922),
    [anon_sym_DASH_DASH] = ACTIONS(922),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(922),
    [sym_number] = ACTIONS(922),
    [sym_private_property_identifier] = ACTIONS(922),
    [sym_this] = ACTIONS(922),
    [sym_super] = ACTIONS(922),
    [sym_true] = ACTIONS(922),
    [sym_false] = ACTIONS(922),
    [sym_null] = ACTIONS(922),
    [sym_undefined] = ACTIONS(922),
    [anon_sym_AT] = ACTIONS(922),
    [anon_sym_static] = ACTIONS(922),
    [anon_sym_get] = ACTIONS(922),
    [anon_sym_set] = ACTIONS(922),
    [sym__automatic_semicolon] = ACTIONS(924),
    [sym__ternary_qmark] = ACTIONS(924),
    [sym_html_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_comment] = STATE(155),
    [sym_identifier] = ACTIONS(824),
    [anon_sym_export] = ACTIONS(824),
    [anon_sym_STAR] = ACTIONS(824),
    [anon_sym_default] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(824),
    [anon_sym_COMMA] = ACTIONS(824),
    [anon_sym_RBRACE] = ACTIONS(824),
    [anon_sym_import] = ACTIONS(824),
    [anon_sym_with] = ACTIONS(824),
    [anon_sym_var] = ACTIONS(824),
    [anon_sym_let] = ACTIONS(824),
    [anon_sym_const] = ACTIONS(824),
    [anon_sym_else] = ACTIONS(824),
    [anon_sym_if] = ACTIONS(824),
    [anon_sym_switch] = ACTIONS(824),
    [anon_sym_for] = ACTIONS(824),
    [anon_sym_LPAREN] = ACTIONS(824),
    [anon_sym_await] = ACTIONS(824),
    [anon_sym_in] = ACTIONS(824),
    [anon_sym_while] = ACTIONS(824),
    [anon_sym_do] = ACTIONS(824),
    [anon_sym_try] = ACTIONS(824),
    [anon_sym_break] = ACTIONS(824),
    [anon_sym_continue] = ACTIONS(824),
    [anon_sym_debugger] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(824),
    [anon_sym_throw] = ACTIONS(824),
    [anon_sym_SEMI] = ACTIONS(824),
    [anon_sym_case] = ACTIONS(824),
    [anon_sym_yield] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(824),
    [anon_sym_LTtemplate_GT] = ACTIONS(824),
    [anon_sym_LT] = ACTIONS(824),
    [anon_sym_GT] = ACTIONS(824),
    [anon_sym_DOT] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(824),
    [anon_sym_SQUOTE] = ACTIONS(824),
    [anon_sym_class] = ACTIONS(824),
    [anon_sym_async] = ACTIONS(824),
    [anon_sym_function] = ACTIONS(824),
    [sym_optional_chain] = ACTIONS(824),
    [anon_sym_new] = ACTIONS(824),
    [anon_sym_AMP_AMP] = ACTIONS(824),
    [anon_sym_PIPE_PIPE] = ACTIONS(824),
    [anon_sym_GT_GT] = ACTIONS(824),
    [anon_sym_GT_GT_GT] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(824),
    [anon_sym_AMP] = ACTIONS(824),
    [anon_sym_CARET] = ACTIONS(824),
    [anon_sym_PIPE] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(824),
    [anon_sym_DASH] = ACTIONS(824),
    [anon_sym_SLASH] = ACTIONS(824),
    [anon_sym_PERCENT] = ACTIONS(824),
    [anon_sym_STAR_STAR] = ACTIONS(824),
    [anon_sym_LT_EQ] = ACTIONS(824),
    [anon_sym_EQ_EQ] = ACTIONS(824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(824),
    [anon_sym_BANG_EQ] = ACTIONS(824),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(824),
    [anon_sym_GT_EQ] = ACTIONS(824),
    [anon_sym_QMARK_QMARK] = ACTIONS(824),
    [anon_sym_instanceof] = ACTIONS(824),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_typeof] = ACTIONS(824),
    [anon_sym_void] = ACTIONS(824),
    [anon_sym_delete] = ACTIONS(824),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(824),
    [sym_number] = ACTIONS(824),
    [sym_private_property_identifier] = ACTIONS(824),
    [sym_this] = ACTIONS(824),
    [sym_super] = ACTIONS(824),
    [sym_true] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
    [sym_null] = ACTIONS(824),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(824),
    [anon_sym_static] = ACTIONS(824),
    [anon_sym_get] = ACTIONS(824),
    [anon_sym_set] = ACTIONS(824),
    [sym__automatic_semicolon] = ACTIONS(926),
    [sym__ternary_qmark] = ACTIONS(928),
    [sym_html_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_comment] = STATE(156),
    [sym_identifier] = ACTIONS(930),
    [anon_sym_export] = ACTIONS(930),
    [anon_sym_STAR] = ACTIONS(932),
    [anon_sym_default] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(930),
    [anon_sym_COMMA] = ACTIONS(932),
    [anon_sym_RBRACE] = ACTIONS(930),
    [anon_sym_import] = ACTIONS(930),
    [anon_sym_with] = ACTIONS(930),
    [anon_sym_var] = ACTIONS(930),
    [anon_sym_let] = ACTIONS(930),
    [anon_sym_const] = ACTIONS(930),
    [anon_sym_else] = ACTIONS(930),
    [anon_sym_if] = ACTIONS(930),
    [anon_sym_switch] = ACTIONS(930),
    [anon_sym_for] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(930),
    [anon_sym_await] = ACTIONS(930),
    [anon_sym_in] = ACTIONS(932),
    [anon_sym_while] = ACTIONS(930),
    [anon_sym_do] = ACTIONS(930),
    [anon_sym_try] = ACTIONS(930),
    [anon_sym_break] = ACTIONS(930),
    [anon_sym_continue] = ACTIONS(930),
    [anon_sym_debugger] = ACTIONS(930),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(930),
    [anon_sym_case] = ACTIONS(930),
    [anon_sym_yield] = ACTIONS(930),
    [anon_sym_LBRACK] = ACTIONS(930),
    [anon_sym_LTtemplate_GT] = ACTIONS(930),
    [anon_sym_LT] = ACTIONS(930),
    [anon_sym_GT] = ACTIONS(932),
    [anon_sym_DOT] = ACTIONS(932),
    [anon_sym_DQUOTE] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(930),
    [anon_sym_class] = ACTIONS(930),
    [anon_sym_async] = ACTIONS(930),
    [anon_sym_function] = ACTIONS(930),
    [sym_optional_chain] = ACTIONS(932),
    [anon_sym_new] = ACTIONS(930),
    [anon_sym_AMP_AMP] = ACTIONS(932),
    [anon_sym_PIPE_PIPE] = ACTIONS(932),
    [anon_sym_GT_GT] = ACTIONS(932),
    [anon_sym_GT_GT_GT] = ACTIONS(932),
    [anon_sym_LT_LT] = ACTIONS(932),
    [anon_sym_AMP] = ACTIONS(932),
    [anon_sym_CARET] = ACTIONS(932),
    [anon_sym_PIPE] = ACTIONS(932),
    [anon_sym_PLUS] = ACTIONS(930),
    [anon_sym_DASH] = ACTIONS(930),
    [anon_sym_SLASH] = ACTIONS(930),
    [anon_sym_PERCENT] = ACTIONS(932),
    [anon_sym_STAR_STAR] = ACTIONS(932),
    [anon_sym_LT_EQ] = ACTIONS(932),
    [anon_sym_EQ_EQ] = ACTIONS(932),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(932),
    [anon_sym_BANG_EQ] = ACTIONS(932),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(932),
    [anon_sym_GT_EQ] = ACTIONS(932),
    [anon_sym_QMARK_QMARK] = ACTIONS(932),
    [anon_sym_instanceof] = ACTIONS(932),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_typeof] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(930),
    [anon_sym_delete] = ACTIONS(930),
    [anon_sym_PLUS_PLUS] = ACTIONS(930),
    [anon_sym_DASH_DASH] = ACTIONS(930),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(930),
    [sym_number] = ACTIONS(930),
    [sym_private_property_identifier] = ACTIONS(930),
    [sym_this] = ACTIONS(930),
    [sym_super] = ACTIONS(930),
    [sym_true] = ACTIONS(930),
    [sym_false] = ACTIONS(930),
    [sym_null] = ACTIONS(930),
    [sym_undefined] = ACTIONS(930),
    [anon_sym_AT] = ACTIONS(930),
    [anon_sym_static] = ACTIONS(930),
    [anon_sym_get] = ACTIONS(930),
    [anon_sym_set] = ACTIONS(930),
    [sym__automatic_semicolon] = ACTIONS(934),
    [sym__ternary_qmark] = ACTIONS(936),
    [sym_html_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1231),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_assignment_pattern] = STATE(2212),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(915),
    [sym_subscript_expression] = STATE(915),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(1747),
    [sym_spread_element] = STATE(1993),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(157),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [sym_pattern] = STATE(1992),
    [sym_rest_pattern] = STATE(1745),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(938),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(938),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_comment] = STATE(158),
    [sym_identifier] = ACTIONS(941),
    [anon_sym_export] = ACTIONS(941),
    [anon_sym_STAR] = ACTIONS(943),
    [anon_sym_default] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(943),
    [anon_sym_RBRACE] = ACTIONS(941),
    [anon_sym_import] = ACTIONS(941),
    [anon_sym_with] = ACTIONS(941),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_let] = ACTIONS(941),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_else] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_switch] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_await] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(943),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(941),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_break] = ACTIONS(941),
    [anon_sym_continue] = ACTIONS(941),
    [anon_sym_debugger] = ACTIONS(941),
    [anon_sym_return] = ACTIONS(941),
    [anon_sym_throw] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(941),
    [anon_sym_case] = ACTIONS(941),
    [anon_sym_yield] = ACTIONS(941),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_LTtemplate_GT] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(943),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_DQUOTE] = ACTIONS(941),
    [anon_sym_SQUOTE] = ACTIONS(941),
    [anon_sym_class] = ACTIONS(941),
    [anon_sym_async] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(941),
    [sym_optional_chain] = ACTIONS(943),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(943),
    [anon_sym_PIPE_PIPE] = ACTIONS(943),
    [anon_sym_GT_GT] = ACTIONS(943),
    [anon_sym_GT_GT_GT] = ACTIONS(943),
    [anon_sym_LT_LT] = ACTIONS(943),
    [anon_sym_AMP] = ACTIONS(943),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(943),
    [anon_sym_STAR_STAR] = ACTIONS(943),
    [anon_sym_LT_EQ] = ACTIONS(943),
    [anon_sym_EQ_EQ] = ACTIONS(943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(943),
    [anon_sym_BANG_EQ] = ACTIONS(943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(943),
    [anon_sym_GT_EQ] = ACTIONS(943),
    [anon_sym_QMARK_QMARK] = ACTIONS(943),
    [anon_sym_instanceof] = ACTIONS(943),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_typeof] = ACTIONS(941),
    [anon_sym_void] = ACTIONS(941),
    [anon_sym_delete] = ACTIONS(941),
    [anon_sym_PLUS_PLUS] = ACTIONS(941),
    [anon_sym_DASH_DASH] = ACTIONS(941),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(941),
    [sym_number] = ACTIONS(941),
    [sym_private_property_identifier] = ACTIONS(941),
    [sym_this] = ACTIONS(941),
    [sym_super] = ACTIONS(941),
    [sym_true] = ACTIONS(941),
    [sym_false] = ACTIONS(941),
    [sym_null] = ACTIONS(941),
    [sym_undefined] = ACTIONS(941),
    [anon_sym_AT] = ACTIONS(941),
    [anon_sym_static] = ACTIONS(941),
    [anon_sym_get] = ACTIONS(941),
    [anon_sym_set] = ACTIONS(941),
    [sym__automatic_semicolon] = ACTIONS(945),
    [sym__ternary_qmark] = ACTIONS(947),
    [sym_html_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_comment] = STATE(159),
    [sym_identifier] = ACTIONS(824),
    [anon_sym_export] = ACTIONS(824),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_default] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(824),
    [anon_sym_COMMA] = ACTIONS(826),
    [anon_sym_RBRACE] = ACTIONS(824),
    [anon_sym_import] = ACTIONS(824),
    [anon_sym_with] = ACTIONS(824),
    [anon_sym_var] = ACTIONS(824),
    [anon_sym_let] = ACTIONS(824),
    [anon_sym_const] = ACTIONS(824),
    [anon_sym_if] = ACTIONS(824),
    [anon_sym_switch] = ACTIONS(824),
    [anon_sym_for] = ACTIONS(824),
    [anon_sym_LPAREN] = ACTIONS(824),
    [anon_sym_await] = ACTIONS(824),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_while] = ACTIONS(824),
    [anon_sym_do] = ACTIONS(824),
    [anon_sym_try] = ACTIONS(824),
    [anon_sym_break] = ACTIONS(824),
    [anon_sym_continue] = ACTIONS(824),
    [anon_sym_debugger] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(824),
    [anon_sym_throw] = ACTIONS(824),
    [anon_sym_SEMI] = ACTIONS(824),
    [anon_sym_case] = ACTIONS(824),
    [anon_sym_yield] = ACTIONS(824),
    [anon_sym_EQ] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(824),
    [anon_sym_LTtemplate_GT] = ACTIONS(824),
    [anon_sym_LT] = ACTIONS(824),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(824),
    [anon_sym_SQUOTE] = ACTIONS(824),
    [anon_sym_class] = ACTIONS(824),
    [anon_sym_async] = ACTIONS(824),
    [anon_sym_function] = ACTIONS(824),
    [sym_optional_chain] = ACTIONS(826),
    [anon_sym_new] = ACTIONS(824),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(824),
    [anon_sym_DASH] = ACTIONS(824),
    [anon_sym_SLASH] = ACTIONS(824),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(826),
    [anon_sym_GT_EQ] = ACTIONS(826),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_typeof] = ACTIONS(824),
    [anon_sym_void] = ACTIONS(824),
    [anon_sym_delete] = ACTIONS(824),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(824),
    [sym_number] = ACTIONS(824),
    [sym_private_property_identifier] = ACTIONS(824),
    [sym_this] = ACTIONS(824),
    [sym_super] = ACTIONS(824),
    [sym_true] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
    [sym_null] = ACTIONS(824),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(824),
    [anon_sym_static] = ACTIONS(824),
    [anon_sym_get] = ACTIONS(824),
    [anon_sym_set] = ACTIONS(824),
    [sym__automatic_semicolon] = ACTIONS(949),
    [sym__ternary_qmark] = ACTIONS(832),
    [sym_html_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_comment] = STATE(160),
    [sym_identifier] = ACTIONS(886),
    [anon_sym_export] = ACTIONS(886),
    [anon_sym_STAR] = ACTIONS(886),
    [anon_sym_default] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(886),
    [anon_sym_COMMA] = ACTIONS(886),
    [anon_sym_RBRACE] = ACTIONS(886),
    [anon_sym_import] = ACTIONS(886),
    [anon_sym_with] = ACTIONS(886),
    [anon_sym_var] = ACTIONS(886),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_const] = ACTIONS(886),
    [anon_sym_else] = ACTIONS(886),
    [anon_sym_if] = ACTIONS(886),
    [anon_sym_switch] = ACTIONS(886),
    [anon_sym_for] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(886),
    [anon_sym_await] = ACTIONS(886),
    [anon_sym_in] = ACTIONS(886),
    [anon_sym_while] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(886),
    [anon_sym_try] = ACTIONS(886),
    [anon_sym_break] = ACTIONS(886),
    [anon_sym_continue] = ACTIONS(886),
    [anon_sym_debugger] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(886),
    [anon_sym_throw] = ACTIONS(886),
    [anon_sym_SEMI] = ACTIONS(886),
    [anon_sym_case] = ACTIONS(886),
    [anon_sym_yield] = ACTIONS(886),
    [anon_sym_LBRACK] = ACTIONS(886),
    [anon_sym_LTtemplate_GT] = ACTIONS(886),
    [anon_sym_LT] = ACTIONS(886),
    [anon_sym_GT] = ACTIONS(886),
    [anon_sym_DOT] = ACTIONS(886),
    [anon_sym_DQUOTE] = ACTIONS(886),
    [anon_sym_SQUOTE] = ACTIONS(886),
    [anon_sym_class] = ACTIONS(886),
    [anon_sym_async] = ACTIONS(886),
    [anon_sym_function] = ACTIONS(886),
    [sym_optional_chain] = ACTIONS(886),
    [anon_sym_new] = ACTIONS(886),
    [anon_sym_AMP_AMP] = ACTIONS(886),
    [anon_sym_PIPE_PIPE] = ACTIONS(886),
    [anon_sym_GT_GT] = ACTIONS(886),
    [anon_sym_GT_GT_GT] = ACTIONS(886),
    [anon_sym_LT_LT] = ACTIONS(886),
    [anon_sym_AMP] = ACTIONS(886),
    [anon_sym_CARET] = ACTIONS(886),
    [anon_sym_PIPE] = ACTIONS(886),
    [anon_sym_PLUS] = ACTIONS(886),
    [anon_sym_DASH] = ACTIONS(886),
    [anon_sym_SLASH] = ACTIONS(886),
    [anon_sym_PERCENT] = ACTIONS(886),
    [anon_sym_STAR_STAR] = ACTIONS(886),
    [anon_sym_LT_EQ] = ACTIONS(886),
    [anon_sym_EQ_EQ] = ACTIONS(886),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(886),
    [anon_sym_BANG_EQ] = ACTIONS(886),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(886),
    [anon_sym_GT_EQ] = ACTIONS(886),
    [anon_sym_QMARK_QMARK] = ACTIONS(886),
    [anon_sym_instanceof] = ACTIONS(886),
    [anon_sym_BANG] = ACTIONS(886),
    [anon_sym_TILDE] = ACTIONS(886),
    [anon_sym_typeof] = ACTIONS(886),
    [anon_sym_void] = ACTIONS(886),
    [anon_sym_delete] = ACTIONS(886),
    [anon_sym_PLUS_PLUS] = ACTIONS(886),
    [anon_sym_DASH_DASH] = ACTIONS(886),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(886),
    [sym_number] = ACTIONS(886),
    [sym_private_property_identifier] = ACTIONS(886),
    [sym_this] = ACTIONS(886),
    [sym_super] = ACTIONS(886),
    [sym_true] = ACTIONS(886),
    [sym_false] = ACTIONS(886),
    [sym_null] = ACTIONS(886),
    [sym_undefined] = ACTIONS(886),
    [anon_sym_AT] = ACTIONS(886),
    [anon_sym_static] = ACTIONS(886),
    [anon_sym_get] = ACTIONS(886),
    [anon_sym_set] = ACTIONS(886),
    [sym__automatic_semicolon] = ACTIONS(951),
    [sym__ternary_qmark] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_comment] = STATE(161),
    [sym_identifier] = ACTIONS(953),
    [anon_sym_export] = ACTIONS(953),
    [anon_sym_STAR] = ACTIONS(955),
    [anon_sym_default] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_COMMA] = ACTIONS(955),
    [anon_sym_RBRACE] = ACTIONS(953),
    [anon_sym_import] = ACTIONS(953),
    [anon_sym_with] = ACTIONS(953),
    [anon_sym_var] = ACTIONS(953),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_const] = ACTIONS(953),
    [anon_sym_else] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(953),
    [anon_sym_switch] = ACTIONS(953),
    [anon_sym_for] = ACTIONS(953),
    [anon_sym_LPAREN] = ACTIONS(953),
    [anon_sym_await] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(955),
    [anon_sym_while] = ACTIONS(953),
    [anon_sym_do] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(953),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_continue] = ACTIONS(953),
    [anon_sym_debugger] = ACTIONS(953),
    [anon_sym_return] = ACTIONS(953),
    [anon_sym_throw] = ACTIONS(953),
    [anon_sym_SEMI] = ACTIONS(953),
    [anon_sym_case] = ACTIONS(953),
    [anon_sym_yield] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LTtemplate_GT] = ACTIONS(953),
    [anon_sym_LT] = ACTIONS(953),
    [anon_sym_GT] = ACTIONS(955),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_DQUOTE] = ACTIONS(953),
    [anon_sym_SQUOTE] = ACTIONS(953),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(953),
    [anon_sym_function] = ACTIONS(953),
    [sym_optional_chain] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_AMP_AMP] = ACTIONS(955),
    [anon_sym_PIPE_PIPE] = ACTIONS(955),
    [anon_sym_GT_GT] = ACTIONS(955),
    [anon_sym_GT_GT_GT] = ACTIONS(955),
    [anon_sym_LT_LT] = ACTIONS(955),
    [anon_sym_AMP] = ACTIONS(955),
    [anon_sym_CARET] = ACTIONS(955),
    [anon_sym_PIPE] = ACTIONS(955),
    [anon_sym_PLUS] = ACTIONS(953),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_SLASH] = ACTIONS(953),
    [anon_sym_PERCENT] = ACTIONS(955),
    [anon_sym_STAR_STAR] = ACTIONS(955),
    [anon_sym_LT_EQ] = ACTIONS(955),
    [anon_sym_EQ_EQ] = ACTIONS(955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(955),
    [anon_sym_BANG_EQ] = ACTIONS(955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(955),
    [anon_sym_GT_EQ] = ACTIONS(955),
    [anon_sym_QMARK_QMARK] = ACTIONS(955),
    [anon_sym_instanceof] = ACTIONS(955),
    [anon_sym_BANG] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(953),
    [anon_sym_void] = ACTIONS(953),
    [anon_sym_delete] = ACTIONS(953),
    [anon_sym_PLUS_PLUS] = ACTIONS(953),
    [anon_sym_DASH_DASH] = ACTIONS(953),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [sym_number] = ACTIONS(953),
    [sym_private_property_identifier] = ACTIONS(953),
    [sym_this] = ACTIONS(953),
    [sym_super] = ACTIONS(953),
    [sym_true] = ACTIONS(953),
    [sym_false] = ACTIONS(953),
    [sym_null] = ACTIONS(953),
    [sym_undefined] = ACTIONS(953),
    [anon_sym_AT] = ACTIONS(953),
    [anon_sym_static] = ACTIONS(953),
    [anon_sym_get] = ACTIONS(953),
    [anon_sym_set] = ACTIONS(953),
    [sym__automatic_semicolon] = ACTIONS(957),
    [sym__ternary_qmark] = ACTIONS(959),
    [sym_html_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_comment] = STATE(162),
    [ts_builtin_sym_end] = ACTIONS(928),
    [sym_identifier] = ACTIONS(824),
    [anon_sym_export] = ACTIONS(824),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(824),
    [anon_sym_COMMA] = ACTIONS(826),
    [anon_sym_RBRACE] = ACTIONS(824),
    [anon_sym_import] = ACTIONS(824),
    [anon_sym_with] = ACTIONS(824),
    [anon_sym_var] = ACTIONS(824),
    [anon_sym_let] = ACTIONS(824),
    [anon_sym_const] = ACTIONS(824),
    [anon_sym_else] = ACTIONS(824),
    [anon_sym_if] = ACTIONS(824),
    [anon_sym_switch] = ACTIONS(824),
    [anon_sym_for] = ACTIONS(824),
    [anon_sym_LPAREN] = ACTIONS(824),
    [anon_sym_await] = ACTIONS(824),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_while] = ACTIONS(824),
    [anon_sym_do] = ACTIONS(824),
    [anon_sym_try] = ACTIONS(824),
    [anon_sym_break] = ACTIONS(824),
    [anon_sym_continue] = ACTIONS(824),
    [anon_sym_debugger] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(824),
    [anon_sym_throw] = ACTIONS(824),
    [anon_sym_SEMI] = ACTIONS(824),
    [anon_sym_yield] = ACTIONS(824),
    [anon_sym_EQ] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(824),
    [anon_sym_LTtemplate_GT] = ACTIONS(824),
    [anon_sym_LT] = ACTIONS(824),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(824),
    [anon_sym_SQUOTE] = ACTIONS(824),
    [anon_sym_class] = ACTIONS(824),
    [anon_sym_async] = ACTIONS(824),
    [anon_sym_function] = ACTIONS(824),
    [sym_optional_chain] = ACTIONS(826),
    [anon_sym_new] = ACTIONS(824),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(824),
    [anon_sym_DASH] = ACTIONS(824),
    [anon_sym_SLASH] = ACTIONS(824),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(826),
    [anon_sym_GT_EQ] = ACTIONS(826),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_typeof] = ACTIONS(824),
    [anon_sym_void] = ACTIONS(824),
    [anon_sym_delete] = ACTIONS(824),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(824),
    [sym_number] = ACTIONS(824),
    [sym_private_property_identifier] = ACTIONS(824),
    [sym_this] = ACTIONS(824),
    [sym_super] = ACTIONS(824),
    [sym_true] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
    [sym_null] = ACTIONS(824),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(824),
    [anon_sym_static] = ACTIONS(824),
    [anon_sym_get] = ACTIONS(824),
    [anon_sym_set] = ACTIONS(824),
    [sym__automatic_semicolon] = ACTIONS(961),
    [sym__ternary_qmark] = ACTIONS(832),
    [sym_html_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_comment] = STATE(163),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(963),
    [anon_sym_STAR] = ACTIONS(965),
    [anon_sym_default] = ACTIONS(963),
    [anon_sym_LBRACE] = ACTIONS(963),
    [anon_sym_COMMA] = ACTIONS(965),
    [anon_sym_RBRACE] = ACTIONS(963),
    [anon_sym_import] = ACTIONS(963),
    [anon_sym_with] = ACTIONS(963),
    [anon_sym_var] = ACTIONS(963),
    [anon_sym_let] = ACTIONS(963),
    [anon_sym_const] = ACTIONS(963),
    [anon_sym_else] = ACTIONS(963),
    [anon_sym_if] = ACTIONS(963),
    [anon_sym_switch] = ACTIONS(963),
    [anon_sym_for] = ACTIONS(963),
    [anon_sym_LPAREN] = ACTIONS(963),
    [anon_sym_await] = ACTIONS(963),
    [anon_sym_in] = ACTIONS(965),
    [anon_sym_while] = ACTIONS(963),
    [anon_sym_do] = ACTIONS(963),
    [anon_sym_try] = ACTIONS(963),
    [anon_sym_break] = ACTIONS(963),
    [anon_sym_continue] = ACTIONS(963),
    [anon_sym_debugger] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(963),
    [anon_sym_throw] = ACTIONS(963),
    [anon_sym_SEMI] = ACTIONS(963),
    [anon_sym_case] = ACTIONS(963),
    [anon_sym_yield] = ACTIONS(963),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LTtemplate_GT] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(963),
    [anon_sym_GT] = ACTIONS(965),
    [anon_sym_DOT] = ACTIONS(965),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_class] = ACTIONS(963),
    [anon_sym_async] = ACTIONS(963),
    [anon_sym_function] = ACTIONS(963),
    [sym_optional_chain] = ACTIONS(965),
    [anon_sym_new] = ACTIONS(963),
    [anon_sym_AMP_AMP] = ACTIONS(965),
    [anon_sym_PIPE_PIPE] = ACTIONS(965),
    [anon_sym_GT_GT] = ACTIONS(965),
    [anon_sym_GT_GT_GT] = ACTIONS(965),
    [anon_sym_LT_LT] = ACTIONS(965),
    [anon_sym_AMP] = ACTIONS(965),
    [anon_sym_CARET] = ACTIONS(965),
    [anon_sym_PIPE] = ACTIONS(965),
    [anon_sym_PLUS] = ACTIONS(963),
    [anon_sym_DASH] = ACTIONS(963),
    [anon_sym_SLASH] = ACTIONS(963),
    [anon_sym_PERCENT] = ACTIONS(965),
    [anon_sym_STAR_STAR] = ACTIONS(965),
    [anon_sym_LT_EQ] = ACTIONS(965),
    [anon_sym_EQ_EQ] = ACTIONS(965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(965),
    [anon_sym_BANG_EQ] = ACTIONS(965),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(965),
    [anon_sym_GT_EQ] = ACTIONS(965),
    [anon_sym_QMARK_QMARK] = ACTIONS(965),
    [anon_sym_instanceof] = ACTIONS(965),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [anon_sym_typeof] = ACTIONS(963),
    [anon_sym_void] = ACTIONS(963),
    [anon_sym_delete] = ACTIONS(963),
    [anon_sym_PLUS_PLUS] = ACTIONS(963),
    [anon_sym_DASH_DASH] = ACTIONS(963),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(963),
    [sym_number] = ACTIONS(963),
    [sym_private_property_identifier] = ACTIONS(963),
    [sym_this] = ACTIONS(963),
    [sym_super] = ACTIONS(963),
    [sym_true] = ACTIONS(963),
    [sym_false] = ACTIONS(963),
    [sym_null] = ACTIONS(963),
    [sym_undefined] = ACTIONS(963),
    [anon_sym_AT] = ACTIONS(963),
    [anon_sym_static] = ACTIONS(963),
    [anon_sym_get] = ACTIONS(963),
    [anon_sym_set] = ACTIONS(963),
    [sym__automatic_semicolon] = ACTIONS(967),
    [sym__ternary_qmark] = ACTIONS(969),
    [sym_html_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_comment] = STATE(164),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(971),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_default] = ACTIONS(971),
    [anon_sym_LBRACE] = ACTIONS(971),
    [anon_sym_COMMA] = ACTIONS(973),
    [anon_sym_RBRACE] = ACTIONS(971),
    [anon_sym_import] = ACTIONS(971),
    [anon_sym_with] = ACTIONS(971),
    [anon_sym_var] = ACTIONS(971),
    [anon_sym_let] = ACTIONS(971),
    [anon_sym_const] = ACTIONS(971),
    [anon_sym_else] = ACTIONS(971),
    [anon_sym_if] = ACTIONS(971),
    [anon_sym_switch] = ACTIONS(971),
    [anon_sym_for] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(971),
    [anon_sym_await] = ACTIONS(971),
    [anon_sym_in] = ACTIONS(973),
    [anon_sym_while] = ACTIONS(971),
    [anon_sym_do] = ACTIONS(971),
    [anon_sym_try] = ACTIONS(971),
    [anon_sym_break] = ACTIONS(971),
    [anon_sym_continue] = ACTIONS(971),
    [anon_sym_debugger] = ACTIONS(971),
    [anon_sym_return] = ACTIONS(971),
    [anon_sym_throw] = ACTIONS(971),
    [anon_sym_SEMI] = ACTIONS(971),
    [anon_sym_case] = ACTIONS(971),
    [anon_sym_yield] = ACTIONS(971),
    [anon_sym_LBRACK] = ACTIONS(971),
    [anon_sym_LTtemplate_GT] = ACTIONS(971),
    [anon_sym_LT] = ACTIONS(971),
    [anon_sym_GT] = ACTIONS(973),
    [anon_sym_DOT] = ACTIONS(973),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_class] = ACTIONS(971),
    [anon_sym_async] = ACTIONS(971),
    [anon_sym_function] = ACTIONS(971),
    [sym_optional_chain] = ACTIONS(973),
    [anon_sym_new] = ACTIONS(971),
    [anon_sym_AMP_AMP] = ACTIONS(973),
    [anon_sym_PIPE_PIPE] = ACTIONS(973),
    [anon_sym_GT_GT] = ACTIONS(973),
    [anon_sym_GT_GT_GT] = ACTIONS(973),
    [anon_sym_LT_LT] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(973),
    [anon_sym_CARET] = ACTIONS(973),
    [anon_sym_PIPE] = ACTIONS(973),
    [anon_sym_PLUS] = ACTIONS(971),
    [anon_sym_DASH] = ACTIONS(971),
    [anon_sym_SLASH] = ACTIONS(971),
    [anon_sym_PERCENT] = ACTIONS(973),
    [anon_sym_STAR_STAR] = ACTIONS(973),
    [anon_sym_LT_EQ] = ACTIONS(973),
    [anon_sym_EQ_EQ] = ACTIONS(973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(973),
    [anon_sym_BANG_EQ] = ACTIONS(973),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(973),
    [anon_sym_GT_EQ] = ACTIONS(973),
    [anon_sym_QMARK_QMARK] = ACTIONS(973),
    [anon_sym_instanceof] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(971),
    [anon_sym_TILDE] = ACTIONS(971),
    [anon_sym_typeof] = ACTIONS(971),
    [anon_sym_void] = ACTIONS(971),
    [anon_sym_delete] = ACTIONS(971),
    [anon_sym_PLUS_PLUS] = ACTIONS(971),
    [anon_sym_DASH_DASH] = ACTIONS(971),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(971),
    [sym_number] = ACTIONS(971),
    [sym_private_property_identifier] = ACTIONS(971),
    [sym_this] = ACTIONS(971),
    [sym_super] = ACTIONS(971),
    [sym_true] = ACTIONS(971),
    [sym_false] = ACTIONS(971),
    [sym_null] = ACTIONS(971),
    [sym_undefined] = ACTIONS(971),
    [anon_sym_AT] = ACTIONS(971),
    [anon_sym_static] = ACTIONS(971),
    [anon_sym_get] = ACTIONS(971),
    [anon_sym_set] = ACTIONS(971),
    [sym__automatic_semicolon] = ACTIONS(975),
    [sym__ternary_qmark] = ACTIONS(977),
    [sym_html_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_comment] = STATE(165),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(981),
    [anon_sym_default] = ACTIONS(979),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_COMMA] = ACTIONS(981),
    [anon_sym_RBRACE] = ACTIONS(979),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_with] = ACTIONS(979),
    [anon_sym_var] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_const] = ACTIONS(979),
    [anon_sym_else] = ACTIONS(979),
    [anon_sym_if] = ACTIONS(979),
    [anon_sym_switch] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(979),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_await] = ACTIONS(979),
    [anon_sym_in] = ACTIONS(981),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_do] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(979),
    [anon_sym_break] = ACTIONS(979),
    [anon_sym_continue] = ACTIONS(979),
    [anon_sym_debugger] = ACTIONS(979),
    [anon_sym_return] = ACTIONS(979),
    [anon_sym_throw] = ACTIONS(979),
    [anon_sym_SEMI] = ACTIONS(979),
    [anon_sym_case] = ACTIONS(979),
    [anon_sym_yield] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_LTtemplate_GT] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(979),
    [anon_sym_GT] = ACTIONS(981),
    [anon_sym_DOT] = ACTIONS(981),
    [anon_sym_DQUOTE] = ACTIONS(979),
    [anon_sym_SQUOTE] = ACTIONS(979),
    [anon_sym_class] = ACTIONS(979),
    [anon_sym_async] = ACTIONS(979),
    [anon_sym_function] = ACTIONS(979),
    [sym_optional_chain] = ACTIONS(981),
    [anon_sym_new] = ACTIONS(979),
    [anon_sym_AMP_AMP] = ACTIONS(981),
    [anon_sym_PIPE_PIPE] = ACTIONS(981),
    [anon_sym_GT_GT] = ACTIONS(981),
    [anon_sym_GT_GT_GT] = ACTIONS(981),
    [anon_sym_LT_LT] = ACTIONS(981),
    [anon_sym_AMP] = ACTIONS(981),
    [anon_sym_CARET] = ACTIONS(981),
    [anon_sym_PIPE] = ACTIONS(981),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_PERCENT] = ACTIONS(981),
    [anon_sym_STAR_STAR] = ACTIONS(981),
    [anon_sym_LT_EQ] = ACTIONS(981),
    [anon_sym_EQ_EQ] = ACTIONS(981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(981),
    [anon_sym_BANG_EQ] = ACTIONS(981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(981),
    [anon_sym_GT_EQ] = ACTIONS(981),
    [anon_sym_QMARK_QMARK] = ACTIONS(981),
    [anon_sym_instanceof] = ACTIONS(981),
    [anon_sym_BANG] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(979),
    [anon_sym_void] = ACTIONS(979),
    [anon_sym_delete] = ACTIONS(979),
    [anon_sym_PLUS_PLUS] = ACTIONS(979),
    [anon_sym_DASH_DASH] = ACTIONS(979),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(979),
    [sym_number] = ACTIONS(979),
    [sym_private_property_identifier] = ACTIONS(979),
    [sym_this] = ACTIONS(979),
    [sym_super] = ACTIONS(979),
    [sym_true] = ACTIONS(979),
    [sym_false] = ACTIONS(979),
    [sym_null] = ACTIONS(979),
    [sym_undefined] = ACTIONS(979),
    [anon_sym_AT] = ACTIONS(979),
    [anon_sym_static] = ACTIONS(979),
    [anon_sym_get] = ACTIONS(979),
    [anon_sym_set] = ACTIONS(979),
    [sym__automatic_semicolon] = ACTIONS(983),
    [sym__ternary_qmark] = ACTIONS(985),
    [sym_html_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_comment] = STATE(166),
    [sym_identifier] = ACTIONS(987),
    [anon_sym_export] = ACTIONS(987),
    [anon_sym_STAR] = ACTIONS(989),
    [anon_sym_default] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_COMMA] = ACTIONS(989),
    [anon_sym_RBRACE] = ACTIONS(987),
    [anon_sym_import] = ACTIONS(987),
    [anon_sym_with] = ACTIONS(987),
    [anon_sym_var] = ACTIONS(987),
    [anon_sym_let] = ACTIONS(987),
    [anon_sym_const] = ACTIONS(987),
    [anon_sym_else] = ACTIONS(987),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_switch] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_LPAREN] = ACTIONS(987),
    [anon_sym_await] = ACTIONS(987),
    [anon_sym_in] = ACTIONS(989),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_do] = ACTIONS(987),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_break] = ACTIONS(987),
    [anon_sym_continue] = ACTIONS(987),
    [anon_sym_debugger] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_throw] = ACTIONS(987),
    [anon_sym_SEMI] = ACTIONS(987),
    [anon_sym_case] = ACTIONS(987),
    [anon_sym_yield] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_LTtemplate_GT] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(987),
    [anon_sym_GT] = ACTIONS(989),
    [anon_sym_DOT] = ACTIONS(989),
    [anon_sym_DQUOTE] = ACTIONS(987),
    [anon_sym_SQUOTE] = ACTIONS(987),
    [anon_sym_class] = ACTIONS(987),
    [anon_sym_async] = ACTIONS(987),
    [anon_sym_function] = ACTIONS(987),
    [sym_optional_chain] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_AMP_AMP] = ACTIONS(989),
    [anon_sym_PIPE_PIPE] = ACTIONS(989),
    [anon_sym_GT_GT] = ACTIONS(989),
    [anon_sym_GT_GT_GT] = ACTIONS(989),
    [anon_sym_LT_LT] = ACTIONS(989),
    [anon_sym_AMP] = ACTIONS(989),
    [anon_sym_CARET] = ACTIONS(989),
    [anon_sym_PIPE] = ACTIONS(989),
    [anon_sym_PLUS] = ACTIONS(987),
    [anon_sym_DASH] = ACTIONS(987),
    [anon_sym_SLASH] = ACTIONS(987),
    [anon_sym_PERCENT] = ACTIONS(989),
    [anon_sym_STAR_STAR] = ACTIONS(989),
    [anon_sym_LT_EQ] = ACTIONS(989),
    [anon_sym_EQ_EQ] = ACTIONS(989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(989),
    [anon_sym_BANG_EQ] = ACTIONS(989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(989),
    [anon_sym_GT_EQ] = ACTIONS(989),
    [anon_sym_QMARK_QMARK] = ACTIONS(989),
    [anon_sym_instanceof] = ACTIONS(989),
    [anon_sym_BANG] = ACTIONS(987),
    [anon_sym_TILDE] = ACTIONS(987),
    [anon_sym_typeof] = ACTIONS(987),
    [anon_sym_void] = ACTIONS(987),
    [anon_sym_delete] = ACTIONS(987),
    [anon_sym_PLUS_PLUS] = ACTIONS(987),
    [anon_sym_DASH_DASH] = ACTIONS(987),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [sym_number] = ACTIONS(987),
    [sym_private_property_identifier] = ACTIONS(987),
    [sym_this] = ACTIONS(987),
    [sym_super] = ACTIONS(987),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_null] = ACTIONS(987),
    [sym_undefined] = ACTIONS(987),
    [anon_sym_AT] = ACTIONS(987),
    [anon_sym_static] = ACTIONS(987),
    [anon_sym_get] = ACTIONS(987),
    [anon_sym_set] = ACTIONS(987),
    [sym__automatic_semicolon] = ACTIONS(991),
    [sym__ternary_qmark] = ACTIONS(993),
    [sym_html_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_comment] = STATE(167),
    [sym_identifier] = ACTIONS(995),
    [anon_sym_export] = ACTIONS(995),
    [anon_sym_STAR] = ACTIONS(995),
    [anon_sym_default] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(995),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_RBRACE] = ACTIONS(995),
    [anon_sym_import] = ACTIONS(995),
    [anon_sym_with] = ACTIONS(995),
    [anon_sym_var] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(995),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_else] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_switch] = ACTIONS(995),
    [anon_sym_for] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(995),
    [anon_sym_await] = ACTIONS(995),
    [anon_sym_in] = ACTIONS(995),
    [anon_sym_while] = ACTIONS(995),
    [anon_sym_do] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(995),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [anon_sym_debugger] = ACTIONS(995),
    [anon_sym_return] = ACTIONS(995),
    [anon_sym_throw] = ACTIONS(995),
    [anon_sym_SEMI] = ACTIONS(995),
    [anon_sym_case] = ACTIONS(995),
    [anon_sym_yield] = ACTIONS(995),
    [anon_sym_LBRACK] = ACTIONS(995),
    [anon_sym_LTtemplate_GT] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(995),
    [anon_sym_GT] = ACTIONS(995),
    [anon_sym_DOT] = ACTIONS(995),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_SQUOTE] = ACTIONS(995),
    [anon_sym_class] = ACTIONS(995),
    [anon_sym_async] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(995),
    [sym_optional_chain] = ACTIONS(995),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_AMP_AMP] = ACTIONS(995),
    [anon_sym_PIPE_PIPE] = ACTIONS(995),
    [anon_sym_GT_GT] = ACTIONS(995),
    [anon_sym_GT_GT_GT] = ACTIONS(995),
    [anon_sym_LT_LT] = ACTIONS(995),
    [anon_sym_AMP] = ACTIONS(995),
    [anon_sym_CARET] = ACTIONS(995),
    [anon_sym_PIPE] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(995),
    [anon_sym_DASH] = ACTIONS(995),
    [anon_sym_SLASH] = ACTIONS(995),
    [anon_sym_PERCENT] = ACTIONS(995),
    [anon_sym_STAR_STAR] = ACTIONS(995),
    [anon_sym_LT_EQ] = ACTIONS(995),
    [anon_sym_EQ_EQ] = ACTIONS(995),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(995),
    [anon_sym_BANG_EQ] = ACTIONS(995),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(995),
    [anon_sym_GT_EQ] = ACTIONS(995),
    [anon_sym_QMARK_QMARK] = ACTIONS(995),
    [anon_sym_instanceof] = ACTIONS(995),
    [anon_sym_BANG] = ACTIONS(995),
    [anon_sym_TILDE] = ACTIONS(995),
    [anon_sym_typeof] = ACTIONS(995),
    [anon_sym_void] = ACTIONS(995),
    [anon_sym_delete] = ACTIONS(995),
    [anon_sym_PLUS_PLUS] = ACTIONS(995),
    [anon_sym_DASH_DASH] = ACTIONS(995),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(995),
    [sym_number] = ACTIONS(995),
    [sym_private_property_identifier] = ACTIONS(995),
    [sym_this] = ACTIONS(995),
    [sym_super] = ACTIONS(995),
    [sym_true] = ACTIONS(995),
    [sym_false] = ACTIONS(995),
    [sym_null] = ACTIONS(995),
    [sym_undefined] = ACTIONS(995),
    [anon_sym_AT] = ACTIONS(995),
    [anon_sym_static] = ACTIONS(995),
    [anon_sym_get] = ACTIONS(995),
    [anon_sym_set] = ACTIONS(995),
    [sym__automatic_semicolon] = ACTIONS(997),
    [sym__ternary_qmark] = ACTIONS(997),
    [sym_html_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1183),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_assignment_pattern] = STATE(2008),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(915),
    [sym_subscript_expression] = STATE(915),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(1747),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_sequence_expression] = STATE(2621),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(168),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [sym_pattern] = STATE(1757),
    [sym_rest_pattern] = STATE(1745),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(999),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_comment] = STATE(169),
    [ts_builtin_sym_end] = ACTIONS(928),
    [sym_identifier] = ACTIONS(824),
    [anon_sym_export] = ACTIONS(824),
    [anon_sym_STAR] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(824),
    [anon_sym_COMMA] = ACTIONS(824),
    [anon_sym_RBRACE] = ACTIONS(824),
    [anon_sym_import] = ACTIONS(824),
    [anon_sym_with] = ACTIONS(824),
    [anon_sym_var] = ACTIONS(824),
    [anon_sym_let] = ACTIONS(824),
    [anon_sym_const] = ACTIONS(824),
    [anon_sym_else] = ACTIONS(824),
    [anon_sym_if] = ACTIONS(824),
    [anon_sym_switch] = ACTIONS(824),
    [anon_sym_for] = ACTIONS(824),
    [anon_sym_LPAREN] = ACTIONS(824),
    [anon_sym_await] = ACTIONS(824),
    [anon_sym_in] = ACTIONS(824),
    [anon_sym_while] = ACTIONS(824),
    [anon_sym_do] = ACTIONS(824),
    [anon_sym_try] = ACTIONS(824),
    [anon_sym_break] = ACTIONS(824),
    [anon_sym_continue] = ACTIONS(824),
    [anon_sym_debugger] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(824),
    [anon_sym_throw] = ACTIONS(824),
    [anon_sym_SEMI] = ACTIONS(824),
    [anon_sym_yield] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(824),
    [anon_sym_LTtemplate_GT] = ACTIONS(824),
    [anon_sym_LT] = ACTIONS(824),
    [anon_sym_GT] = ACTIONS(824),
    [anon_sym_DOT] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(824),
    [anon_sym_SQUOTE] = ACTIONS(824),
    [anon_sym_class] = ACTIONS(824),
    [anon_sym_async] = ACTIONS(824),
    [anon_sym_function] = ACTIONS(824),
    [sym_optional_chain] = ACTIONS(824),
    [anon_sym_new] = ACTIONS(824),
    [anon_sym_AMP_AMP] = ACTIONS(824),
    [anon_sym_PIPE_PIPE] = ACTIONS(824),
    [anon_sym_GT_GT] = ACTIONS(824),
    [anon_sym_GT_GT_GT] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(824),
    [anon_sym_AMP] = ACTIONS(824),
    [anon_sym_CARET] = ACTIONS(824),
    [anon_sym_PIPE] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(824),
    [anon_sym_DASH] = ACTIONS(824),
    [anon_sym_SLASH] = ACTIONS(824),
    [anon_sym_PERCENT] = ACTIONS(824),
    [anon_sym_STAR_STAR] = ACTIONS(824),
    [anon_sym_LT_EQ] = ACTIONS(824),
    [anon_sym_EQ_EQ] = ACTIONS(824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(824),
    [anon_sym_BANG_EQ] = ACTIONS(824),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(824),
    [anon_sym_GT_EQ] = ACTIONS(824),
    [anon_sym_QMARK_QMARK] = ACTIONS(824),
    [anon_sym_instanceof] = ACTIONS(824),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_typeof] = ACTIONS(824),
    [anon_sym_void] = ACTIONS(824),
    [anon_sym_delete] = ACTIONS(824),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(824),
    [sym_number] = ACTIONS(824),
    [sym_private_property_identifier] = ACTIONS(824),
    [sym_this] = ACTIONS(824),
    [sym_super] = ACTIONS(824),
    [sym_true] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
    [sym_null] = ACTIONS(824),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(824),
    [anon_sym_static] = ACTIONS(824),
    [anon_sym_get] = ACTIONS(824),
    [anon_sym_set] = ACTIONS(824),
    [sym__automatic_semicolon] = ACTIONS(1001),
    [sym__ternary_qmark] = ACTIONS(928),
    [sym_html_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_comment] = STATE(170),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(874),
    [anon_sym_STAR] = ACTIONS(874),
    [anon_sym_default] = ACTIONS(874),
    [anon_sym_LBRACE] = ACTIONS(874),
    [anon_sym_COMMA] = ACTIONS(874),
    [anon_sym_RBRACE] = ACTIONS(874),
    [anon_sym_import] = ACTIONS(874),
    [anon_sym_with] = ACTIONS(874),
    [anon_sym_var] = ACTIONS(874),
    [anon_sym_let] = ACTIONS(874),
    [anon_sym_const] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(874),
    [anon_sym_for] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(874),
    [anon_sym_await] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_while] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(874),
    [anon_sym_try] = ACTIONS(874),
    [anon_sym_break] = ACTIONS(874),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(874),
    [anon_sym_return] = ACTIONS(874),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(874),
    [anon_sym_case] = ACTIONS(874),
    [anon_sym_yield] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(874),
    [anon_sym_LTtemplate_GT] = ACTIONS(874),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DQUOTE] = ACTIONS(874),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [anon_sym_class] = ACTIONS(874),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(874),
    [sym_optional_chain] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(874),
    [anon_sym_GT_GT] = ACTIONS(874),
    [anon_sym_GT_GT_GT] = ACTIONS(874),
    [anon_sym_LT_LT] = ACTIONS(874),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(874),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_STAR_STAR] = ACTIONS(874),
    [anon_sym_LT_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(874),
    [anon_sym_QMARK_QMARK] = ACTIONS(874),
    [anon_sym_instanceof] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_typeof] = ACTIONS(874),
    [anon_sym_void] = ACTIONS(874),
    [anon_sym_delete] = ACTIONS(874),
    [anon_sym_PLUS_PLUS] = ACTIONS(874),
    [anon_sym_DASH_DASH] = ACTIONS(874),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(874),
    [sym_number] = ACTIONS(874),
    [sym_private_property_identifier] = ACTIONS(874),
    [sym_this] = ACTIONS(874),
    [sym_super] = ACTIONS(874),
    [sym_true] = ACTIONS(874),
    [sym_false] = ACTIONS(874),
    [sym_null] = ACTIONS(874),
    [sym_undefined] = ACTIONS(874),
    [anon_sym_AT] = ACTIONS(874),
    [anon_sym_static] = ACTIONS(874),
    [anon_sym_get] = ACTIONS(874),
    [anon_sym_set] = ACTIONS(874),
    [sym__automatic_semicolon] = ACTIONS(876),
    [sym__ternary_qmark] = ACTIONS(876),
    [sym_html_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_comment] = STATE(171),
    [ts_builtin_sym_end] = ACTIONS(1003),
    [sym_identifier] = ACTIONS(941),
    [anon_sym_export] = ACTIONS(941),
    [anon_sym_STAR] = ACTIONS(943),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(943),
    [anon_sym_RBRACE] = ACTIONS(941),
    [anon_sym_import] = ACTIONS(941),
    [anon_sym_with] = ACTIONS(941),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_let] = ACTIONS(941),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_else] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_switch] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_await] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(943),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(941),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_break] = ACTIONS(941),
    [anon_sym_continue] = ACTIONS(941),
    [anon_sym_debugger] = ACTIONS(941),
    [anon_sym_return] = ACTIONS(941),
    [anon_sym_throw] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(941),
    [anon_sym_yield] = ACTIONS(941),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_LTtemplate_GT] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(943),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_DQUOTE] = ACTIONS(941),
    [anon_sym_SQUOTE] = ACTIONS(941),
    [anon_sym_class] = ACTIONS(941),
    [anon_sym_async] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(941),
    [sym_optional_chain] = ACTIONS(943),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(943),
    [anon_sym_PIPE_PIPE] = ACTIONS(943),
    [anon_sym_GT_GT] = ACTIONS(943),
    [anon_sym_GT_GT_GT] = ACTIONS(943),
    [anon_sym_LT_LT] = ACTIONS(943),
    [anon_sym_AMP] = ACTIONS(943),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(943),
    [anon_sym_STAR_STAR] = ACTIONS(943),
    [anon_sym_LT_EQ] = ACTIONS(943),
    [anon_sym_EQ_EQ] = ACTIONS(943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(943),
    [anon_sym_BANG_EQ] = ACTIONS(943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(943),
    [anon_sym_GT_EQ] = ACTIONS(943),
    [anon_sym_QMARK_QMARK] = ACTIONS(943),
    [anon_sym_instanceof] = ACTIONS(943),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_typeof] = ACTIONS(941),
    [anon_sym_void] = ACTIONS(941),
    [anon_sym_delete] = ACTIONS(941),
    [anon_sym_PLUS_PLUS] = ACTIONS(941),
    [anon_sym_DASH_DASH] = ACTIONS(941),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(941),
    [sym_number] = ACTIONS(941),
    [sym_private_property_identifier] = ACTIONS(941),
    [sym_this] = ACTIONS(941),
    [sym_super] = ACTIONS(941),
    [sym_true] = ACTIONS(941),
    [sym_false] = ACTIONS(941),
    [sym_null] = ACTIONS(941),
    [sym_undefined] = ACTIONS(941),
    [anon_sym_AT] = ACTIONS(941),
    [anon_sym_static] = ACTIONS(941),
    [anon_sym_get] = ACTIONS(941),
    [anon_sym_set] = ACTIONS(941),
    [sym__automatic_semicolon] = ACTIONS(1005),
    [sym__ternary_qmark] = ACTIONS(947),
    [sym_html_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1323),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_assignment_pattern] = STATE(2212),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(920),
    [sym_subscript_expression] = STATE(920),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(1728),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(172),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [sym_pattern] = STATE(1992),
    [sym_rest_pattern] = STATE(1745),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_LBRACE] = ACTIONS(894),
    [anon_sym_COMMA] = ACTIONS(1007),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(892),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(898),
    [anon_sym_RBRACK] = ACTIONS(1007),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(902),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(906),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(892),
    [anon_sym_get] = ACTIONS(892),
    [anon_sym_set] = ACTIONS(892),
    [sym_html_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_comment] = STATE(173),
    [ts_builtin_sym_end] = ACTIONS(928),
    [sym_identifier] = ACTIONS(824),
    [anon_sym_export] = ACTIONS(824),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(824),
    [anon_sym_COMMA] = ACTIONS(826),
    [anon_sym_RBRACE] = ACTIONS(824),
    [anon_sym_import] = ACTIONS(824),
    [anon_sym_with] = ACTIONS(824),
    [anon_sym_var] = ACTIONS(824),
    [anon_sym_let] = ACTIONS(824),
    [anon_sym_const] = ACTIONS(824),
    [anon_sym_if] = ACTIONS(824),
    [anon_sym_switch] = ACTIONS(824),
    [anon_sym_for] = ACTIONS(824),
    [anon_sym_LPAREN] = ACTIONS(824),
    [anon_sym_await] = ACTIONS(824),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_while] = ACTIONS(824),
    [anon_sym_do] = ACTIONS(824),
    [anon_sym_try] = ACTIONS(824),
    [anon_sym_break] = ACTIONS(824),
    [anon_sym_continue] = ACTIONS(824),
    [anon_sym_debugger] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(824),
    [anon_sym_throw] = ACTIONS(824),
    [anon_sym_SEMI] = ACTIONS(824),
    [anon_sym_yield] = ACTIONS(824),
    [anon_sym_EQ] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(824),
    [anon_sym_LTtemplate_GT] = ACTIONS(824),
    [anon_sym_LT] = ACTIONS(824),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(824),
    [anon_sym_SQUOTE] = ACTIONS(824),
    [anon_sym_class] = ACTIONS(824),
    [anon_sym_async] = ACTIONS(824),
    [anon_sym_function] = ACTIONS(824),
    [sym_optional_chain] = ACTIONS(826),
    [anon_sym_new] = ACTIONS(824),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(824),
    [anon_sym_DASH] = ACTIONS(824),
    [anon_sym_SLASH] = ACTIONS(824),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(826),
    [anon_sym_GT_EQ] = ACTIONS(826),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_typeof] = ACTIONS(824),
    [anon_sym_void] = ACTIONS(824),
    [anon_sym_delete] = ACTIONS(824),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(824),
    [sym_number] = ACTIONS(824),
    [sym_private_property_identifier] = ACTIONS(824),
    [sym_this] = ACTIONS(824),
    [sym_super] = ACTIONS(824),
    [sym_true] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
    [sym_null] = ACTIONS(824),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(824),
    [anon_sym_static] = ACTIONS(824),
    [anon_sym_get] = ACTIONS(824),
    [anon_sym_set] = ACTIONS(824),
    [sym__automatic_semicolon] = ACTIONS(1009),
    [sym__ternary_qmark] = ACTIONS(832),
    [sym_html_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_comment] = STATE(174),
    [ts_builtin_sym_end] = ACTIONS(1011),
    [sym_identifier] = ACTIONS(930),
    [anon_sym_export] = ACTIONS(930),
    [anon_sym_STAR] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(930),
    [anon_sym_COMMA] = ACTIONS(932),
    [anon_sym_RBRACE] = ACTIONS(930),
    [anon_sym_import] = ACTIONS(930),
    [anon_sym_with] = ACTIONS(930),
    [anon_sym_var] = ACTIONS(930),
    [anon_sym_let] = ACTIONS(930),
    [anon_sym_const] = ACTIONS(930),
    [anon_sym_else] = ACTIONS(930),
    [anon_sym_if] = ACTIONS(930),
    [anon_sym_switch] = ACTIONS(930),
    [anon_sym_for] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(930),
    [anon_sym_await] = ACTIONS(930),
    [anon_sym_in] = ACTIONS(932),
    [anon_sym_while] = ACTIONS(930),
    [anon_sym_do] = ACTIONS(930),
    [anon_sym_try] = ACTIONS(930),
    [anon_sym_break] = ACTIONS(930),
    [anon_sym_continue] = ACTIONS(930),
    [anon_sym_debugger] = ACTIONS(930),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(930),
    [anon_sym_yield] = ACTIONS(930),
    [anon_sym_LBRACK] = ACTIONS(930),
    [anon_sym_LTtemplate_GT] = ACTIONS(930),
    [anon_sym_LT] = ACTIONS(930),
    [anon_sym_GT] = ACTIONS(932),
    [anon_sym_DOT] = ACTIONS(932),
    [anon_sym_DQUOTE] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(930),
    [anon_sym_class] = ACTIONS(930),
    [anon_sym_async] = ACTIONS(930),
    [anon_sym_function] = ACTIONS(930),
    [sym_optional_chain] = ACTIONS(932),
    [anon_sym_new] = ACTIONS(930),
    [anon_sym_AMP_AMP] = ACTIONS(932),
    [anon_sym_PIPE_PIPE] = ACTIONS(932),
    [anon_sym_GT_GT] = ACTIONS(932),
    [anon_sym_GT_GT_GT] = ACTIONS(932),
    [anon_sym_LT_LT] = ACTIONS(932),
    [anon_sym_AMP] = ACTIONS(932),
    [anon_sym_CARET] = ACTIONS(932),
    [anon_sym_PIPE] = ACTIONS(932),
    [anon_sym_PLUS] = ACTIONS(930),
    [anon_sym_DASH] = ACTIONS(930),
    [anon_sym_SLASH] = ACTIONS(930),
    [anon_sym_PERCENT] = ACTIONS(932),
    [anon_sym_STAR_STAR] = ACTIONS(932),
    [anon_sym_LT_EQ] = ACTIONS(932),
    [anon_sym_EQ_EQ] = ACTIONS(932),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(932),
    [anon_sym_BANG_EQ] = ACTIONS(932),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(932),
    [anon_sym_GT_EQ] = ACTIONS(932),
    [anon_sym_QMARK_QMARK] = ACTIONS(932),
    [anon_sym_instanceof] = ACTIONS(932),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_typeof] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(930),
    [anon_sym_delete] = ACTIONS(930),
    [anon_sym_PLUS_PLUS] = ACTIONS(930),
    [anon_sym_DASH_DASH] = ACTIONS(930),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(930),
    [sym_number] = ACTIONS(930),
    [sym_private_property_identifier] = ACTIONS(930),
    [sym_this] = ACTIONS(930),
    [sym_super] = ACTIONS(930),
    [sym_true] = ACTIONS(930),
    [sym_false] = ACTIONS(930),
    [sym_null] = ACTIONS(930),
    [sym_undefined] = ACTIONS(930),
    [anon_sym_AT] = ACTIONS(930),
    [anon_sym_static] = ACTIONS(930),
    [anon_sym_get] = ACTIONS(930),
    [anon_sym_set] = ACTIONS(930),
    [sym__automatic_semicolon] = ACTIONS(1013),
    [sym__ternary_qmark] = ACTIONS(936),
    [sym_html_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_comment] = STATE(175),
    [ts_builtin_sym_end] = ACTIONS(1015),
    [sym_identifier] = ACTIONS(953),
    [anon_sym_export] = ACTIONS(953),
    [anon_sym_STAR] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_COMMA] = ACTIONS(955),
    [anon_sym_RBRACE] = ACTIONS(953),
    [anon_sym_import] = ACTIONS(953),
    [anon_sym_with] = ACTIONS(953),
    [anon_sym_var] = ACTIONS(953),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_const] = ACTIONS(953),
    [anon_sym_else] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(953),
    [anon_sym_switch] = ACTIONS(953),
    [anon_sym_for] = ACTIONS(953),
    [anon_sym_LPAREN] = ACTIONS(953),
    [anon_sym_await] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(955),
    [anon_sym_while] = ACTIONS(953),
    [anon_sym_do] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(953),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_continue] = ACTIONS(953),
    [anon_sym_debugger] = ACTIONS(953),
    [anon_sym_return] = ACTIONS(953),
    [anon_sym_throw] = ACTIONS(953),
    [anon_sym_SEMI] = ACTIONS(953),
    [anon_sym_yield] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LTtemplate_GT] = ACTIONS(953),
    [anon_sym_LT] = ACTIONS(953),
    [anon_sym_GT] = ACTIONS(955),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_DQUOTE] = ACTIONS(953),
    [anon_sym_SQUOTE] = ACTIONS(953),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(953),
    [anon_sym_function] = ACTIONS(953),
    [sym_optional_chain] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_AMP_AMP] = ACTIONS(955),
    [anon_sym_PIPE_PIPE] = ACTIONS(955),
    [anon_sym_GT_GT] = ACTIONS(955),
    [anon_sym_GT_GT_GT] = ACTIONS(955),
    [anon_sym_LT_LT] = ACTIONS(955),
    [anon_sym_AMP] = ACTIONS(955),
    [anon_sym_CARET] = ACTIONS(955),
    [anon_sym_PIPE] = ACTIONS(955),
    [anon_sym_PLUS] = ACTIONS(953),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_SLASH] = ACTIONS(953),
    [anon_sym_PERCENT] = ACTIONS(955),
    [anon_sym_STAR_STAR] = ACTIONS(955),
    [anon_sym_LT_EQ] = ACTIONS(955),
    [anon_sym_EQ_EQ] = ACTIONS(955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(955),
    [anon_sym_BANG_EQ] = ACTIONS(955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(955),
    [anon_sym_GT_EQ] = ACTIONS(955),
    [anon_sym_QMARK_QMARK] = ACTIONS(955),
    [anon_sym_instanceof] = ACTIONS(955),
    [anon_sym_BANG] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(953),
    [anon_sym_void] = ACTIONS(953),
    [anon_sym_delete] = ACTIONS(953),
    [anon_sym_PLUS_PLUS] = ACTIONS(953),
    [anon_sym_DASH_DASH] = ACTIONS(953),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [sym_number] = ACTIONS(953),
    [sym_private_property_identifier] = ACTIONS(953),
    [sym_this] = ACTIONS(953),
    [sym_super] = ACTIONS(953),
    [sym_true] = ACTIONS(953),
    [sym_false] = ACTIONS(953),
    [sym_null] = ACTIONS(953),
    [sym_undefined] = ACTIONS(953),
    [anon_sym_AT] = ACTIONS(953),
    [anon_sym_static] = ACTIONS(953),
    [anon_sym_get] = ACTIONS(953),
    [anon_sym_set] = ACTIONS(953),
    [sym__automatic_semicolon] = ACTIONS(1017),
    [sym__ternary_qmark] = ACTIONS(959),
    [sym_html_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_comment] = STATE(176),
    [ts_builtin_sym_end] = ACTIONS(1019),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(963),
    [anon_sym_STAR] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(963),
    [anon_sym_COMMA] = ACTIONS(965),
    [anon_sym_RBRACE] = ACTIONS(963),
    [anon_sym_import] = ACTIONS(963),
    [anon_sym_with] = ACTIONS(963),
    [anon_sym_var] = ACTIONS(963),
    [anon_sym_let] = ACTIONS(963),
    [anon_sym_const] = ACTIONS(963),
    [anon_sym_else] = ACTIONS(963),
    [anon_sym_if] = ACTIONS(963),
    [anon_sym_switch] = ACTIONS(963),
    [anon_sym_for] = ACTIONS(963),
    [anon_sym_LPAREN] = ACTIONS(963),
    [anon_sym_await] = ACTIONS(963),
    [anon_sym_in] = ACTIONS(965),
    [anon_sym_while] = ACTIONS(963),
    [anon_sym_do] = ACTIONS(963),
    [anon_sym_try] = ACTIONS(963),
    [anon_sym_break] = ACTIONS(963),
    [anon_sym_continue] = ACTIONS(963),
    [anon_sym_debugger] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(963),
    [anon_sym_throw] = ACTIONS(963),
    [anon_sym_SEMI] = ACTIONS(963),
    [anon_sym_yield] = ACTIONS(963),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LTtemplate_GT] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(963),
    [anon_sym_GT] = ACTIONS(965),
    [anon_sym_DOT] = ACTIONS(965),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_class] = ACTIONS(963),
    [anon_sym_async] = ACTIONS(963),
    [anon_sym_function] = ACTIONS(963),
    [sym_optional_chain] = ACTIONS(965),
    [anon_sym_new] = ACTIONS(963),
    [anon_sym_AMP_AMP] = ACTIONS(965),
    [anon_sym_PIPE_PIPE] = ACTIONS(965),
    [anon_sym_GT_GT] = ACTIONS(965),
    [anon_sym_GT_GT_GT] = ACTIONS(965),
    [anon_sym_LT_LT] = ACTIONS(965),
    [anon_sym_AMP] = ACTIONS(965),
    [anon_sym_CARET] = ACTIONS(965),
    [anon_sym_PIPE] = ACTIONS(965),
    [anon_sym_PLUS] = ACTIONS(963),
    [anon_sym_DASH] = ACTIONS(963),
    [anon_sym_SLASH] = ACTIONS(963),
    [anon_sym_PERCENT] = ACTIONS(965),
    [anon_sym_STAR_STAR] = ACTIONS(965),
    [anon_sym_LT_EQ] = ACTIONS(965),
    [anon_sym_EQ_EQ] = ACTIONS(965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(965),
    [anon_sym_BANG_EQ] = ACTIONS(965),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(965),
    [anon_sym_GT_EQ] = ACTIONS(965),
    [anon_sym_QMARK_QMARK] = ACTIONS(965),
    [anon_sym_instanceof] = ACTIONS(965),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [anon_sym_typeof] = ACTIONS(963),
    [anon_sym_void] = ACTIONS(963),
    [anon_sym_delete] = ACTIONS(963),
    [anon_sym_PLUS_PLUS] = ACTIONS(963),
    [anon_sym_DASH_DASH] = ACTIONS(963),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(963),
    [sym_number] = ACTIONS(963),
    [sym_private_property_identifier] = ACTIONS(963),
    [sym_this] = ACTIONS(963),
    [sym_super] = ACTIONS(963),
    [sym_true] = ACTIONS(963),
    [sym_false] = ACTIONS(963),
    [sym_null] = ACTIONS(963),
    [sym_undefined] = ACTIONS(963),
    [anon_sym_AT] = ACTIONS(963),
    [anon_sym_static] = ACTIONS(963),
    [anon_sym_get] = ACTIONS(963),
    [anon_sym_set] = ACTIONS(963),
    [sym__automatic_semicolon] = ACTIONS(1021),
    [sym__ternary_qmark] = ACTIONS(969),
    [sym_html_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_comment] = STATE(177),
    [ts_builtin_sym_end] = ACTIONS(1023),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(971),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(971),
    [anon_sym_COMMA] = ACTIONS(973),
    [anon_sym_RBRACE] = ACTIONS(971),
    [anon_sym_import] = ACTIONS(971),
    [anon_sym_with] = ACTIONS(971),
    [anon_sym_var] = ACTIONS(971),
    [anon_sym_let] = ACTIONS(971),
    [anon_sym_const] = ACTIONS(971),
    [anon_sym_else] = ACTIONS(971),
    [anon_sym_if] = ACTIONS(971),
    [anon_sym_switch] = ACTIONS(971),
    [anon_sym_for] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(971),
    [anon_sym_await] = ACTIONS(971),
    [anon_sym_in] = ACTIONS(973),
    [anon_sym_while] = ACTIONS(971),
    [anon_sym_do] = ACTIONS(971),
    [anon_sym_try] = ACTIONS(971),
    [anon_sym_break] = ACTIONS(971),
    [anon_sym_continue] = ACTIONS(971),
    [anon_sym_debugger] = ACTIONS(971),
    [anon_sym_return] = ACTIONS(971),
    [anon_sym_throw] = ACTIONS(971),
    [anon_sym_SEMI] = ACTIONS(971),
    [anon_sym_yield] = ACTIONS(971),
    [anon_sym_LBRACK] = ACTIONS(971),
    [anon_sym_LTtemplate_GT] = ACTIONS(971),
    [anon_sym_LT] = ACTIONS(971),
    [anon_sym_GT] = ACTIONS(973),
    [anon_sym_DOT] = ACTIONS(973),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_class] = ACTIONS(971),
    [anon_sym_async] = ACTIONS(971),
    [anon_sym_function] = ACTIONS(971),
    [sym_optional_chain] = ACTIONS(973),
    [anon_sym_new] = ACTIONS(971),
    [anon_sym_AMP_AMP] = ACTIONS(973),
    [anon_sym_PIPE_PIPE] = ACTIONS(973),
    [anon_sym_GT_GT] = ACTIONS(973),
    [anon_sym_GT_GT_GT] = ACTIONS(973),
    [anon_sym_LT_LT] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(973),
    [anon_sym_CARET] = ACTIONS(973),
    [anon_sym_PIPE] = ACTIONS(973),
    [anon_sym_PLUS] = ACTIONS(971),
    [anon_sym_DASH] = ACTIONS(971),
    [anon_sym_SLASH] = ACTIONS(971),
    [anon_sym_PERCENT] = ACTIONS(973),
    [anon_sym_STAR_STAR] = ACTIONS(973),
    [anon_sym_LT_EQ] = ACTIONS(973),
    [anon_sym_EQ_EQ] = ACTIONS(973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(973),
    [anon_sym_BANG_EQ] = ACTIONS(973),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(973),
    [anon_sym_GT_EQ] = ACTIONS(973),
    [anon_sym_QMARK_QMARK] = ACTIONS(973),
    [anon_sym_instanceof] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(971),
    [anon_sym_TILDE] = ACTIONS(971),
    [anon_sym_typeof] = ACTIONS(971),
    [anon_sym_void] = ACTIONS(971),
    [anon_sym_delete] = ACTIONS(971),
    [anon_sym_PLUS_PLUS] = ACTIONS(971),
    [anon_sym_DASH_DASH] = ACTIONS(971),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(971),
    [sym_number] = ACTIONS(971),
    [sym_private_property_identifier] = ACTIONS(971),
    [sym_this] = ACTIONS(971),
    [sym_super] = ACTIONS(971),
    [sym_true] = ACTIONS(971),
    [sym_false] = ACTIONS(971),
    [sym_null] = ACTIONS(971),
    [sym_undefined] = ACTIONS(971),
    [anon_sym_AT] = ACTIONS(971),
    [anon_sym_static] = ACTIONS(971),
    [anon_sym_get] = ACTIONS(971),
    [anon_sym_set] = ACTIONS(971),
    [sym__automatic_semicolon] = ACTIONS(1025),
    [sym__ternary_qmark] = ACTIONS(977),
    [sym_html_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_comment] = STATE(178),
    [ts_builtin_sym_end] = ACTIONS(1027),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_COMMA] = ACTIONS(981),
    [anon_sym_RBRACE] = ACTIONS(979),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_with] = ACTIONS(979),
    [anon_sym_var] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_const] = ACTIONS(979),
    [anon_sym_else] = ACTIONS(979),
    [anon_sym_if] = ACTIONS(979),
    [anon_sym_switch] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(979),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_await] = ACTIONS(979),
    [anon_sym_in] = ACTIONS(981),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_do] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(979),
    [anon_sym_break] = ACTIONS(979),
    [anon_sym_continue] = ACTIONS(979),
    [anon_sym_debugger] = ACTIONS(979),
    [anon_sym_return] = ACTIONS(979),
    [anon_sym_throw] = ACTIONS(979),
    [anon_sym_SEMI] = ACTIONS(979),
    [anon_sym_yield] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_LTtemplate_GT] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(979),
    [anon_sym_GT] = ACTIONS(981),
    [anon_sym_DOT] = ACTIONS(981),
    [anon_sym_DQUOTE] = ACTIONS(979),
    [anon_sym_SQUOTE] = ACTIONS(979),
    [anon_sym_class] = ACTIONS(979),
    [anon_sym_async] = ACTIONS(979),
    [anon_sym_function] = ACTIONS(979),
    [sym_optional_chain] = ACTIONS(981),
    [anon_sym_new] = ACTIONS(979),
    [anon_sym_AMP_AMP] = ACTIONS(981),
    [anon_sym_PIPE_PIPE] = ACTIONS(981),
    [anon_sym_GT_GT] = ACTIONS(981),
    [anon_sym_GT_GT_GT] = ACTIONS(981),
    [anon_sym_LT_LT] = ACTIONS(981),
    [anon_sym_AMP] = ACTIONS(981),
    [anon_sym_CARET] = ACTIONS(981),
    [anon_sym_PIPE] = ACTIONS(981),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_PERCENT] = ACTIONS(981),
    [anon_sym_STAR_STAR] = ACTIONS(981),
    [anon_sym_LT_EQ] = ACTIONS(981),
    [anon_sym_EQ_EQ] = ACTIONS(981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(981),
    [anon_sym_BANG_EQ] = ACTIONS(981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(981),
    [anon_sym_GT_EQ] = ACTIONS(981),
    [anon_sym_QMARK_QMARK] = ACTIONS(981),
    [anon_sym_instanceof] = ACTIONS(981),
    [anon_sym_BANG] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(979),
    [anon_sym_void] = ACTIONS(979),
    [anon_sym_delete] = ACTIONS(979),
    [anon_sym_PLUS_PLUS] = ACTIONS(979),
    [anon_sym_DASH_DASH] = ACTIONS(979),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(979),
    [sym_number] = ACTIONS(979),
    [sym_private_property_identifier] = ACTIONS(979),
    [sym_this] = ACTIONS(979),
    [sym_super] = ACTIONS(979),
    [sym_true] = ACTIONS(979),
    [sym_false] = ACTIONS(979),
    [sym_null] = ACTIONS(979),
    [sym_undefined] = ACTIONS(979),
    [anon_sym_AT] = ACTIONS(979),
    [anon_sym_static] = ACTIONS(979),
    [anon_sym_get] = ACTIONS(979),
    [anon_sym_set] = ACTIONS(979),
    [sym__automatic_semicolon] = ACTIONS(1029),
    [sym__ternary_qmark] = ACTIONS(985),
    [sym_html_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_comment] = STATE(179),
    [ts_builtin_sym_end] = ACTIONS(1031),
    [sym_identifier] = ACTIONS(987),
    [anon_sym_export] = ACTIONS(987),
    [anon_sym_STAR] = ACTIONS(989),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_COMMA] = ACTIONS(989),
    [anon_sym_RBRACE] = ACTIONS(987),
    [anon_sym_import] = ACTIONS(987),
    [anon_sym_with] = ACTIONS(987),
    [anon_sym_var] = ACTIONS(987),
    [anon_sym_let] = ACTIONS(987),
    [anon_sym_const] = ACTIONS(987),
    [anon_sym_else] = ACTIONS(987),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_switch] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_LPAREN] = ACTIONS(987),
    [anon_sym_await] = ACTIONS(987),
    [anon_sym_in] = ACTIONS(989),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_do] = ACTIONS(987),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_break] = ACTIONS(987),
    [anon_sym_continue] = ACTIONS(987),
    [anon_sym_debugger] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_throw] = ACTIONS(987),
    [anon_sym_SEMI] = ACTIONS(987),
    [anon_sym_yield] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_LTtemplate_GT] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(987),
    [anon_sym_GT] = ACTIONS(989),
    [anon_sym_DOT] = ACTIONS(989),
    [anon_sym_DQUOTE] = ACTIONS(987),
    [anon_sym_SQUOTE] = ACTIONS(987),
    [anon_sym_class] = ACTIONS(987),
    [anon_sym_async] = ACTIONS(987),
    [anon_sym_function] = ACTIONS(987),
    [sym_optional_chain] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_AMP_AMP] = ACTIONS(989),
    [anon_sym_PIPE_PIPE] = ACTIONS(989),
    [anon_sym_GT_GT] = ACTIONS(989),
    [anon_sym_GT_GT_GT] = ACTIONS(989),
    [anon_sym_LT_LT] = ACTIONS(989),
    [anon_sym_AMP] = ACTIONS(989),
    [anon_sym_CARET] = ACTIONS(989),
    [anon_sym_PIPE] = ACTIONS(989),
    [anon_sym_PLUS] = ACTIONS(987),
    [anon_sym_DASH] = ACTIONS(987),
    [anon_sym_SLASH] = ACTIONS(987),
    [anon_sym_PERCENT] = ACTIONS(989),
    [anon_sym_STAR_STAR] = ACTIONS(989),
    [anon_sym_LT_EQ] = ACTIONS(989),
    [anon_sym_EQ_EQ] = ACTIONS(989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(989),
    [anon_sym_BANG_EQ] = ACTIONS(989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(989),
    [anon_sym_GT_EQ] = ACTIONS(989),
    [anon_sym_QMARK_QMARK] = ACTIONS(989),
    [anon_sym_instanceof] = ACTIONS(989),
    [anon_sym_BANG] = ACTIONS(987),
    [anon_sym_TILDE] = ACTIONS(987),
    [anon_sym_typeof] = ACTIONS(987),
    [anon_sym_void] = ACTIONS(987),
    [anon_sym_delete] = ACTIONS(987),
    [anon_sym_PLUS_PLUS] = ACTIONS(987),
    [anon_sym_DASH_DASH] = ACTIONS(987),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [sym_number] = ACTIONS(987),
    [sym_private_property_identifier] = ACTIONS(987),
    [sym_this] = ACTIONS(987),
    [sym_super] = ACTIONS(987),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_null] = ACTIONS(987),
    [sym_undefined] = ACTIONS(987),
    [anon_sym_AT] = ACTIONS(987),
    [anon_sym_static] = ACTIONS(987),
    [anon_sym_get] = ACTIONS(987),
    [anon_sym_set] = ACTIONS(987),
    [sym__automatic_semicolon] = ACTIONS(1033),
    [sym__ternary_qmark] = ACTIONS(993),
    [sym_html_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_comment] = STATE(180),
    [ts_builtin_sym_end] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(878),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_STAR] = ACTIONS(880),
    [anon_sym_LBRACE] = ACTIONS(878),
    [anon_sym_COMMA] = ACTIONS(880),
    [anon_sym_RBRACE] = ACTIONS(878),
    [anon_sym_import] = ACTIONS(878),
    [anon_sym_with] = ACTIONS(878),
    [anon_sym_var] = ACTIONS(878),
    [anon_sym_let] = ACTIONS(878),
    [anon_sym_const] = ACTIONS(878),
    [anon_sym_else] = ACTIONS(878),
    [anon_sym_if] = ACTIONS(878),
    [anon_sym_switch] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(878),
    [anon_sym_LPAREN] = ACTIONS(878),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_in] = ACTIONS(880),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_do] = ACTIONS(878),
    [anon_sym_try] = ACTIONS(878),
    [anon_sym_break] = ACTIONS(878),
    [anon_sym_continue] = ACTIONS(878),
    [anon_sym_debugger] = ACTIONS(878),
    [anon_sym_return] = ACTIONS(878),
    [anon_sym_throw] = ACTIONS(878),
    [anon_sym_SEMI] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(878),
    [anon_sym_LBRACK] = ACTIONS(878),
    [anon_sym_LTtemplate_GT] = ACTIONS(878),
    [anon_sym_LT] = ACTIONS(878),
    [anon_sym_GT] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(880),
    [anon_sym_DQUOTE] = ACTIONS(878),
    [anon_sym_SQUOTE] = ACTIONS(878),
    [anon_sym_class] = ACTIONS(878),
    [anon_sym_async] = ACTIONS(878),
    [anon_sym_function] = ACTIONS(878),
    [sym_optional_chain] = ACTIONS(880),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_AMP_AMP] = ACTIONS(880),
    [anon_sym_PIPE_PIPE] = ACTIONS(880),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_GT_GT_GT] = ACTIONS(880),
    [anon_sym_LT_LT] = ACTIONS(880),
    [anon_sym_AMP] = ACTIONS(880),
    [anon_sym_CARET] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(878),
    [anon_sym_DASH] = ACTIONS(878),
    [anon_sym_SLASH] = ACTIONS(878),
    [anon_sym_PERCENT] = ACTIONS(880),
    [anon_sym_STAR_STAR] = ACTIONS(880),
    [anon_sym_LT_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(880),
    [anon_sym_GT_EQ] = ACTIONS(880),
    [anon_sym_QMARK_QMARK] = ACTIONS(880),
    [anon_sym_instanceof] = ACTIONS(880),
    [anon_sym_BANG] = ACTIONS(878),
    [anon_sym_TILDE] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(878),
    [anon_sym_void] = ACTIONS(878),
    [anon_sym_delete] = ACTIONS(878),
    [anon_sym_PLUS_PLUS] = ACTIONS(878),
    [anon_sym_DASH_DASH] = ACTIONS(878),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(878),
    [sym_number] = ACTIONS(878),
    [sym_private_property_identifier] = ACTIONS(878),
    [sym_this] = ACTIONS(878),
    [sym_super] = ACTIONS(878),
    [sym_true] = ACTIONS(878),
    [sym_false] = ACTIONS(878),
    [sym_null] = ACTIONS(878),
    [sym_undefined] = ACTIONS(878),
    [anon_sym_AT] = ACTIONS(878),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [sym__automatic_semicolon] = ACTIONS(1037),
    [sym__ternary_qmark] = ACTIONS(884),
    [sym_html_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_comment] = STATE(181),
    [sym_identifier] = ACTIONS(922),
    [anon_sym_export] = ACTIONS(922),
    [anon_sym_STAR] = ACTIONS(922),
    [anon_sym_default] = ACTIONS(922),
    [anon_sym_LBRACE] = ACTIONS(922),
    [anon_sym_COMMA] = ACTIONS(922),
    [anon_sym_RBRACE] = ACTIONS(922),
    [anon_sym_import] = ACTIONS(922),
    [anon_sym_with] = ACTIONS(922),
    [anon_sym_var] = ACTIONS(922),
    [anon_sym_let] = ACTIONS(922),
    [anon_sym_const] = ACTIONS(922),
    [anon_sym_if] = ACTIONS(922),
    [anon_sym_switch] = ACTIONS(922),
    [anon_sym_for] = ACTIONS(922),
    [anon_sym_LPAREN] = ACTIONS(922),
    [anon_sym_await] = ACTIONS(922),
    [anon_sym_in] = ACTIONS(922),
    [anon_sym_while] = ACTIONS(922),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(922),
    [anon_sym_debugger] = ACTIONS(922),
    [anon_sym_return] = ACTIONS(922),
    [anon_sym_throw] = ACTIONS(922),
    [anon_sym_SEMI] = ACTIONS(922),
    [anon_sym_case] = ACTIONS(922),
    [anon_sym_yield] = ACTIONS(922),
    [anon_sym_LBRACK] = ACTIONS(922),
    [anon_sym_LTtemplate_GT] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(922),
    [anon_sym_GT] = ACTIONS(922),
    [anon_sym_DOT] = ACTIONS(922),
    [anon_sym_DQUOTE] = ACTIONS(922),
    [anon_sym_SQUOTE] = ACTIONS(922),
    [anon_sym_class] = ACTIONS(922),
    [anon_sym_async] = ACTIONS(922),
    [anon_sym_function] = ACTIONS(922),
    [sym_optional_chain] = ACTIONS(922),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_AMP_AMP] = ACTIONS(922),
    [anon_sym_PIPE_PIPE] = ACTIONS(922),
    [anon_sym_GT_GT] = ACTIONS(922),
    [anon_sym_GT_GT_GT] = ACTIONS(922),
    [anon_sym_LT_LT] = ACTIONS(922),
    [anon_sym_AMP] = ACTIONS(922),
    [anon_sym_CARET] = ACTIONS(922),
    [anon_sym_PIPE] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(922),
    [anon_sym_DASH] = ACTIONS(922),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_PERCENT] = ACTIONS(922),
    [anon_sym_STAR_STAR] = ACTIONS(922),
    [anon_sym_LT_EQ] = ACTIONS(922),
    [anon_sym_EQ_EQ] = ACTIONS(922),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(922),
    [anon_sym_BANG_EQ] = ACTIONS(922),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(922),
    [anon_sym_GT_EQ] = ACTIONS(922),
    [anon_sym_QMARK_QMARK] = ACTIONS(922),
    [anon_sym_instanceof] = ACTIONS(922),
    [anon_sym_BANG] = ACTIONS(922),
    [anon_sym_TILDE] = ACTIONS(922),
    [anon_sym_typeof] = ACTIONS(922),
    [anon_sym_void] = ACTIONS(922),
    [anon_sym_delete] = ACTIONS(922),
    [anon_sym_PLUS_PLUS] = ACTIONS(922),
    [anon_sym_DASH_DASH] = ACTIONS(922),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(922),
    [sym_number] = ACTIONS(922),
    [sym_private_property_identifier] = ACTIONS(922),
    [sym_this] = ACTIONS(922),
    [sym_super] = ACTIONS(922),
    [sym_true] = ACTIONS(922),
    [sym_false] = ACTIONS(922),
    [sym_null] = ACTIONS(922),
    [sym_undefined] = ACTIONS(922),
    [anon_sym_AT] = ACTIONS(922),
    [anon_sym_static] = ACTIONS(922),
    [anon_sym_get] = ACTIONS(922),
    [anon_sym_set] = ACTIONS(922),
    [sym__automatic_semicolon] = ACTIONS(924),
    [sym__ternary_qmark] = ACTIONS(924),
    [sym_html_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_comment] = STATE(182),
    [ts_builtin_sym_end] = ACTIONS(888),
    [sym_identifier] = ACTIONS(886),
    [anon_sym_export] = ACTIONS(886),
    [anon_sym_STAR] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(886),
    [anon_sym_COMMA] = ACTIONS(886),
    [anon_sym_RBRACE] = ACTIONS(886),
    [anon_sym_import] = ACTIONS(886),
    [anon_sym_with] = ACTIONS(886),
    [anon_sym_var] = ACTIONS(886),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_const] = ACTIONS(886),
    [anon_sym_else] = ACTIONS(886),
    [anon_sym_if] = ACTIONS(886),
    [anon_sym_switch] = ACTIONS(886),
    [anon_sym_for] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(886),
    [anon_sym_await] = ACTIONS(886),
    [anon_sym_in] = ACTIONS(886),
    [anon_sym_while] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(886),
    [anon_sym_try] = ACTIONS(886),
    [anon_sym_break] = ACTIONS(886),
    [anon_sym_continue] = ACTIONS(886),
    [anon_sym_debugger] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(886),
    [anon_sym_throw] = ACTIONS(886),
    [anon_sym_SEMI] = ACTIONS(886),
    [anon_sym_yield] = ACTIONS(886),
    [anon_sym_LBRACK] = ACTIONS(886),
    [anon_sym_LTtemplate_GT] = ACTIONS(886),
    [anon_sym_LT] = ACTIONS(886),
    [anon_sym_GT] = ACTIONS(886),
    [anon_sym_DOT] = ACTIONS(886),
    [anon_sym_DQUOTE] = ACTIONS(886),
    [anon_sym_SQUOTE] = ACTIONS(886),
    [anon_sym_class] = ACTIONS(886),
    [anon_sym_async] = ACTIONS(886),
    [anon_sym_function] = ACTIONS(886),
    [sym_optional_chain] = ACTIONS(886),
    [anon_sym_new] = ACTIONS(886),
    [anon_sym_AMP_AMP] = ACTIONS(886),
    [anon_sym_PIPE_PIPE] = ACTIONS(886),
    [anon_sym_GT_GT] = ACTIONS(886),
    [anon_sym_GT_GT_GT] = ACTIONS(886),
    [anon_sym_LT_LT] = ACTIONS(886),
    [anon_sym_AMP] = ACTIONS(886),
    [anon_sym_CARET] = ACTIONS(886),
    [anon_sym_PIPE] = ACTIONS(886),
    [anon_sym_PLUS] = ACTIONS(886),
    [anon_sym_DASH] = ACTIONS(886),
    [anon_sym_SLASH] = ACTIONS(886),
    [anon_sym_PERCENT] = ACTIONS(886),
    [anon_sym_STAR_STAR] = ACTIONS(886),
    [anon_sym_LT_EQ] = ACTIONS(886),
    [anon_sym_EQ_EQ] = ACTIONS(886),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(886),
    [anon_sym_BANG_EQ] = ACTIONS(886),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(886),
    [anon_sym_GT_EQ] = ACTIONS(886),
    [anon_sym_QMARK_QMARK] = ACTIONS(886),
    [anon_sym_instanceof] = ACTIONS(886),
    [anon_sym_BANG] = ACTIONS(886),
    [anon_sym_TILDE] = ACTIONS(886),
    [anon_sym_typeof] = ACTIONS(886),
    [anon_sym_void] = ACTIONS(886),
    [anon_sym_delete] = ACTIONS(886),
    [anon_sym_PLUS_PLUS] = ACTIONS(886),
    [anon_sym_DASH_DASH] = ACTIONS(886),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(886),
    [sym_number] = ACTIONS(886),
    [sym_private_property_identifier] = ACTIONS(886),
    [sym_this] = ACTIONS(886),
    [sym_super] = ACTIONS(886),
    [sym_true] = ACTIONS(886),
    [sym_false] = ACTIONS(886),
    [sym_null] = ACTIONS(886),
    [sym_undefined] = ACTIONS(886),
    [anon_sym_AT] = ACTIONS(886),
    [anon_sym_static] = ACTIONS(886),
    [anon_sym_get] = ACTIONS(886),
    [anon_sym_set] = ACTIONS(886),
    [sym__automatic_semicolon] = ACTIONS(1039),
    [sym__ternary_qmark] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_comment] = STATE(183),
    [sym_identifier] = ACTIONS(995),
    [anon_sym_export] = ACTIONS(995),
    [anon_sym_STAR] = ACTIONS(995),
    [anon_sym_default] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(995),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_RBRACE] = ACTIONS(995),
    [anon_sym_import] = ACTIONS(995),
    [anon_sym_with] = ACTIONS(995),
    [anon_sym_var] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(995),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_switch] = ACTIONS(995),
    [anon_sym_for] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(995),
    [anon_sym_await] = ACTIONS(995),
    [anon_sym_in] = ACTIONS(995),
    [anon_sym_while] = ACTIONS(995),
    [anon_sym_do] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(995),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [anon_sym_debugger] = ACTIONS(995),
    [anon_sym_return] = ACTIONS(995),
    [anon_sym_throw] = ACTIONS(995),
    [anon_sym_SEMI] = ACTIONS(995),
    [anon_sym_case] = ACTIONS(995),
    [anon_sym_yield] = ACTIONS(995),
    [anon_sym_LBRACK] = ACTIONS(995),
    [anon_sym_LTtemplate_GT] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(995),
    [anon_sym_GT] = ACTIONS(995),
    [anon_sym_DOT] = ACTIONS(995),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_SQUOTE] = ACTIONS(995),
    [anon_sym_class] = ACTIONS(995),
    [anon_sym_async] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(995),
    [sym_optional_chain] = ACTIONS(995),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_AMP_AMP] = ACTIONS(995),
    [anon_sym_PIPE_PIPE] = ACTIONS(995),
    [anon_sym_GT_GT] = ACTIONS(995),
    [anon_sym_GT_GT_GT] = ACTIONS(995),
    [anon_sym_LT_LT] = ACTIONS(995),
    [anon_sym_AMP] = ACTIONS(995),
    [anon_sym_CARET] = ACTIONS(995),
    [anon_sym_PIPE] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(995),
    [anon_sym_DASH] = ACTIONS(995),
    [anon_sym_SLASH] = ACTIONS(995),
    [anon_sym_PERCENT] = ACTIONS(995),
    [anon_sym_STAR_STAR] = ACTIONS(995),
    [anon_sym_LT_EQ] = ACTIONS(995),
    [anon_sym_EQ_EQ] = ACTIONS(995),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(995),
    [anon_sym_BANG_EQ] = ACTIONS(995),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(995),
    [anon_sym_GT_EQ] = ACTIONS(995),
    [anon_sym_QMARK_QMARK] = ACTIONS(995),
    [anon_sym_instanceof] = ACTIONS(995),
    [anon_sym_BANG] = ACTIONS(995),
    [anon_sym_TILDE] = ACTIONS(995),
    [anon_sym_typeof] = ACTIONS(995),
    [anon_sym_void] = ACTIONS(995),
    [anon_sym_delete] = ACTIONS(995),
    [anon_sym_PLUS_PLUS] = ACTIONS(995),
    [anon_sym_DASH_DASH] = ACTIONS(995),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(995),
    [sym_number] = ACTIONS(995),
    [sym_private_property_identifier] = ACTIONS(995),
    [sym_this] = ACTIONS(995),
    [sym_super] = ACTIONS(995),
    [sym_true] = ACTIONS(995),
    [sym_false] = ACTIONS(995),
    [sym_null] = ACTIONS(995),
    [sym_undefined] = ACTIONS(995),
    [anon_sym_AT] = ACTIONS(995),
    [anon_sym_static] = ACTIONS(995),
    [anon_sym_get] = ACTIONS(995),
    [anon_sym_set] = ACTIONS(995),
    [sym__automatic_semicolon] = ACTIONS(997),
    [sym__ternary_qmark] = ACTIONS(997),
    [sym_html_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_comment] = STATE(184),
    [ts_builtin_sym_end] = ACTIONS(888),
    [sym_identifier] = ACTIONS(886),
    [anon_sym_export] = ACTIONS(886),
    [anon_sym_STAR] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(886),
    [anon_sym_COMMA] = ACTIONS(886),
    [anon_sym_RBRACE] = ACTIONS(886),
    [anon_sym_import] = ACTIONS(886),
    [anon_sym_with] = ACTIONS(886),
    [anon_sym_var] = ACTIONS(886),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_const] = ACTIONS(886),
    [anon_sym_else] = ACTIONS(886),
    [anon_sym_if] = ACTIONS(886),
    [anon_sym_switch] = ACTIONS(886),
    [anon_sym_for] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(886),
    [anon_sym_await] = ACTIONS(886),
    [anon_sym_in] = ACTIONS(886),
    [anon_sym_while] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(886),
    [anon_sym_try] = ACTIONS(886),
    [anon_sym_break] = ACTIONS(886),
    [anon_sym_continue] = ACTIONS(886),
    [anon_sym_debugger] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(886),
    [anon_sym_throw] = ACTIONS(886),
    [anon_sym_SEMI] = ACTIONS(886),
    [anon_sym_yield] = ACTIONS(886),
    [anon_sym_LBRACK] = ACTIONS(886),
    [anon_sym_LTtemplate_GT] = ACTIONS(886),
    [anon_sym_LT] = ACTIONS(886),
    [anon_sym_GT] = ACTIONS(886),
    [anon_sym_DOT] = ACTIONS(886),
    [anon_sym_DQUOTE] = ACTIONS(886),
    [anon_sym_SQUOTE] = ACTIONS(886),
    [anon_sym_class] = ACTIONS(886),
    [anon_sym_async] = ACTIONS(886),
    [anon_sym_function] = ACTIONS(886),
    [sym_optional_chain] = ACTIONS(886),
    [anon_sym_new] = ACTIONS(886),
    [anon_sym_AMP_AMP] = ACTIONS(886),
    [anon_sym_PIPE_PIPE] = ACTIONS(886),
    [anon_sym_GT_GT] = ACTIONS(886),
    [anon_sym_GT_GT_GT] = ACTIONS(886),
    [anon_sym_LT_LT] = ACTIONS(886),
    [anon_sym_AMP] = ACTIONS(886),
    [anon_sym_CARET] = ACTIONS(886),
    [anon_sym_PIPE] = ACTIONS(886),
    [anon_sym_PLUS] = ACTIONS(886),
    [anon_sym_DASH] = ACTIONS(886),
    [anon_sym_SLASH] = ACTIONS(886),
    [anon_sym_PERCENT] = ACTIONS(886),
    [anon_sym_STAR_STAR] = ACTIONS(886),
    [anon_sym_LT_EQ] = ACTIONS(886),
    [anon_sym_EQ_EQ] = ACTIONS(886),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(886),
    [anon_sym_BANG_EQ] = ACTIONS(886),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(886),
    [anon_sym_GT_EQ] = ACTIONS(886),
    [anon_sym_QMARK_QMARK] = ACTIONS(886),
    [anon_sym_instanceof] = ACTIONS(886),
    [anon_sym_BANG] = ACTIONS(886),
    [anon_sym_TILDE] = ACTIONS(886),
    [anon_sym_typeof] = ACTIONS(886),
    [anon_sym_void] = ACTIONS(886),
    [anon_sym_delete] = ACTIONS(886),
    [anon_sym_PLUS_PLUS] = ACTIONS(886),
    [anon_sym_DASH_DASH] = ACTIONS(886),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(886),
    [sym_number] = ACTIONS(886),
    [sym_private_property_identifier] = ACTIONS(886),
    [sym_this] = ACTIONS(886),
    [sym_super] = ACTIONS(886),
    [sym_true] = ACTIONS(886),
    [sym_false] = ACTIONS(886),
    [sym_null] = ACTIONS(886),
    [sym_undefined] = ACTIONS(886),
    [anon_sym_AT] = ACTIONS(886),
    [anon_sym_static] = ACTIONS(886),
    [anon_sym_get] = ACTIONS(886),
    [anon_sym_set] = ACTIONS(886),
    [sym__automatic_semicolon] = ACTIONS(888),
    [sym__ternary_qmark] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_comment] = STATE(185),
    [ts_builtin_sym_end] = ACTIONS(924),
    [sym_identifier] = ACTIONS(922),
    [anon_sym_export] = ACTIONS(922),
    [anon_sym_STAR] = ACTIONS(922),
    [anon_sym_LBRACE] = ACTIONS(922),
    [anon_sym_COMMA] = ACTIONS(922),
    [anon_sym_RBRACE] = ACTIONS(922),
    [anon_sym_import] = ACTIONS(922),
    [anon_sym_with] = ACTIONS(922),
    [anon_sym_var] = ACTIONS(922),
    [anon_sym_let] = ACTIONS(922),
    [anon_sym_const] = ACTIONS(922),
    [anon_sym_else] = ACTIONS(922),
    [anon_sym_if] = ACTIONS(922),
    [anon_sym_switch] = ACTIONS(922),
    [anon_sym_for] = ACTIONS(922),
    [anon_sym_LPAREN] = ACTIONS(922),
    [anon_sym_await] = ACTIONS(922),
    [anon_sym_in] = ACTIONS(922),
    [anon_sym_while] = ACTIONS(922),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(922),
    [anon_sym_debugger] = ACTIONS(922),
    [anon_sym_return] = ACTIONS(922),
    [anon_sym_throw] = ACTIONS(922),
    [anon_sym_SEMI] = ACTIONS(922),
    [anon_sym_yield] = ACTIONS(922),
    [anon_sym_LBRACK] = ACTIONS(922),
    [anon_sym_LTtemplate_GT] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(922),
    [anon_sym_GT] = ACTIONS(922),
    [anon_sym_DOT] = ACTIONS(922),
    [anon_sym_DQUOTE] = ACTIONS(922),
    [anon_sym_SQUOTE] = ACTIONS(922),
    [anon_sym_class] = ACTIONS(922),
    [anon_sym_async] = ACTIONS(922),
    [anon_sym_function] = ACTIONS(922),
    [sym_optional_chain] = ACTIONS(922),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_AMP_AMP] = ACTIONS(922),
    [anon_sym_PIPE_PIPE] = ACTIONS(922),
    [anon_sym_GT_GT] = ACTIONS(922),
    [anon_sym_GT_GT_GT] = ACTIONS(922),
    [anon_sym_LT_LT] = ACTIONS(922),
    [anon_sym_AMP] = ACTIONS(922),
    [anon_sym_CARET] = ACTIONS(922),
    [anon_sym_PIPE] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(922),
    [anon_sym_DASH] = ACTIONS(922),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_PERCENT] = ACTIONS(922),
    [anon_sym_STAR_STAR] = ACTIONS(922),
    [anon_sym_LT_EQ] = ACTIONS(922),
    [anon_sym_EQ_EQ] = ACTIONS(922),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(922),
    [anon_sym_BANG_EQ] = ACTIONS(922),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(922),
    [anon_sym_GT_EQ] = ACTIONS(922),
    [anon_sym_QMARK_QMARK] = ACTIONS(922),
    [anon_sym_instanceof] = ACTIONS(922),
    [anon_sym_BANG] = ACTIONS(922),
    [anon_sym_TILDE] = ACTIONS(922),
    [anon_sym_typeof] = ACTIONS(922),
    [anon_sym_void] = ACTIONS(922),
    [anon_sym_delete] = ACTIONS(922),
    [anon_sym_PLUS_PLUS] = ACTIONS(922),
    [anon_sym_DASH_DASH] = ACTIONS(922),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(922),
    [sym_number] = ACTIONS(922),
    [sym_private_property_identifier] = ACTIONS(922),
    [sym_this] = ACTIONS(922),
    [sym_super] = ACTIONS(922),
    [sym_true] = ACTIONS(922),
    [sym_false] = ACTIONS(922),
    [sym_null] = ACTIONS(922),
    [sym_undefined] = ACTIONS(922),
    [anon_sym_AT] = ACTIONS(922),
    [anon_sym_static] = ACTIONS(922),
    [anon_sym_get] = ACTIONS(922),
    [anon_sym_set] = ACTIONS(922),
    [sym__automatic_semicolon] = ACTIONS(924),
    [sym__ternary_qmark] = ACTIONS(924),
    [sym_html_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_comment] = STATE(186),
    [sym_identifier] = ACTIONS(941),
    [anon_sym_export] = ACTIONS(941),
    [anon_sym_STAR] = ACTIONS(943),
    [anon_sym_default] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(943),
    [anon_sym_RBRACE] = ACTIONS(941),
    [anon_sym_import] = ACTIONS(941),
    [anon_sym_with] = ACTIONS(941),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_let] = ACTIONS(941),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_switch] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_await] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(943),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(941),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_break] = ACTIONS(941),
    [anon_sym_continue] = ACTIONS(941),
    [anon_sym_debugger] = ACTIONS(941),
    [anon_sym_return] = ACTIONS(941),
    [anon_sym_throw] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(941),
    [anon_sym_case] = ACTIONS(941),
    [anon_sym_yield] = ACTIONS(941),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_LTtemplate_GT] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(943),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_DQUOTE] = ACTIONS(941),
    [anon_sym_SQUOTE] = ACTIONS(941),
    [anon_sym_class] = ACTIONS(941),
    [anon_sym_async] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(941),
    [sym_optional_chain] = ACTIONS(943),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(943),
    [anon_sym_PIPE_PIPE] = ACTIONS(943),
    [anon_sym_GT_GT] = ACTIONS(943),
    [anon_sym_GT_GT_GT] = ACTIONS(943),
    [anon_sym_LT_LT] = ACTIONS(943),
    [anon_sym_AMP] = ACTIONS(943),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(943),
    [anon_sym_STAR_STAR] = ACTIONS(943),
    [anon_sym_LT_EQ] = ACTIONS(943),
    [anon_sym_EQ_EQ] = ACTIONS(943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(943),
    [anon_sym_BANG_EQ] = ACTIONS(943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(943),
    [anon_sym_GT_EQ] = ACTIONS(943),
    [anon_sym_QMARK_QMARK] = ACTIONS(943),
    [anon_sym_instanceof] = ACTIONS(943),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_typeof] = ACTIONS(941),
    [anon_sym_void] = ACTIONS(941),
    [anon_sym_delete] = ACTIONS(941),
    [anon_sym_PLUS_PLUS] = ACTIONS(941),
    [anon_sym_DASH_DASH] = ACTIONS(941),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(941),
    [sym_number] = ACTIONS(941),
    [sym_private_property_identifier] = ACTIONS(941),
    [sym_this] = ACTIONS(941),
    [sym_super] = ACTIONS(941),
    [sym_true] = ACTIONS(941),
    [sym_false] = ACTIONS(941),
    [sym_null] = ACTIONS(941),
    [sym_undefined] = ACTIONS(941),
    [anon_sym_AT] = ACTIONS(941),
    [anon_sym_static] = ACTIONS(941),
    [anon_sym_get] = ACTIONS(941),
    [anon_sym_set] = ACTIONS(941),
    [sym__automatic_semicolon] = ACTIONS(1041),
    [sym__ternary_qmark] = ACTIONS(947),
    [sym_html_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_assignment_pattern] = STATE(2008),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(915),
    [sym_subscript_expression] = STATE(915),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(1747),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_sequence_expression] = STATE(2638),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(187),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [sym_pattern] = STATE(1757),
    [sym_rest_pattern] = STATE(1745),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(999),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_comment] = STATE(188),
    [sym_identifier] = ACTIONS(930),
    [anon_sym_export] = ACTIONS(930),
    [anon_sym_STAR] = ACTIONS(932),
    [anon_sym_default] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(930),
    [anon_sym_COMMA] = ACTIONS(932),
    [anon_sym_RBRACE] = ACTIONS(930),
    [anon_sym_import] = ACTIONS(930),
    [anon_sym_with] = ACTIONS(930),
    [anon_sym_var] = ACTIONS(930),
    [anon_sym_let] = ACTIONS(930),
    [anon_sym_const] = ACTIONS(930),
    [anon_sym_if] = ACTIONS(930),
    [anon_sym_switch] = ACTIONS(930),
    [anon_sym_for] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(930),
    [anon_sym_await] = ACTIONS(930),
    [anon_sym_in] = ACTIONS(932),
    [anon_sym_while] = ACTIONS(930),
    [anon_sym_do] = ACTIONS(930),
    [anon_sym_try] = ACTIONS(930),
    [anon_sym_break] = ACTIONS(930),
    [anon_sym_continue] = ACTIONS(930),
    [anon_sym_debugger] = ACTIONS(930),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(930),
    [anon_sym_case] = ACTIONS(930),
    [anon_sym_yield] = ACTIONS(930),
    [anon_sym_LBRACK] = ACTIONS(930),
    [anon_sym_LTtemplate_GT] = ACTIONS(930),
    [anon_sym_LT] = ACTIONS(930),
    [anon_sym_GT] = ACTIONS(932),
    [anon_sym_DOT] = ACTIONS(932),
    [anon_sym_DQUOTE] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(930),
    [anon_sym_class] = ACTIONS(930),
    [anon_sym_async] = ACTIONS(930),
    [anon_sym_function] = ACTIONS(930),
    [sym_optional_chain] = ACTIONS(932),
    [anon_sym_new] = ACTIONS(930),
    [anon_sym_AMP_AMP] = ACTIONS(932),
    [anon_sym_PIPE_PIPE] = ACTIONS(932),
    [anon_sym_GT_GT] = ACTIONS(932),
    [anon_sym_GT_GT_GT] = ACTIONS(932),
    [anon_sym_LT_LT] = ACTIONS(932),
    [anon_sym_AMP] = ACTIONS(932),
    [anon_sym_CARET] = ACTIONS(932),
    [anon_sym_PIPE] = ACTIONS(932),
    [anon_sym_PLUS] = ACTIONS(930),
    [anon_sym_DASH] = ACTIONS(930),
    [anon_sym_SLASH] = ACTIONS(930),
    [anon_sym_PERCENT] = ACTIONS(932),
    [anon_sym_STAR_STAR] = ACTIONS(932),
    [anon_sym_LT_EQ] = ACTIONS(932),
    [anon_sym_EQ_EQ] = ACTIONS(932),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(932),
    [anon_sym_BANG_EQ] = ACTIONS(932),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(932),
    [anon_sym_GT_EQ] = ACTIONS(932),
    [anon_sym_QMARK_QMARK] = ACTIONS(932),
    [anon_sym_instanceof] = ACTIONS(932),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_typeof] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(930),
    [anon_sym_delete] = ACTIONS(930),
    [anon_sym_PLUS_PLUS] = ACTIONS(930),
    [anon_sym_DASH_DASH] = ACTIONS(930),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(930),
    [sym_number] = ACTIONS(930),
    [sym_private_property_identifier] = ACTIONS(930),
    [sym_this] = ACTIONS(930),
    [sym_super] = ACTIONS(930),
    [sym_true] = ACTIONS(930),
    [sym_false] = ACTIONS(930),
    [sym_null] = ACTIONS(930),
    [sym_undefined] = ACTIONS(930),
    [anon_sym_AT] = ACTIONS(930),
    [anon_sym_static] = ACTIONS(930),
    [anon_sym_get] = ACTIONS(930),
    [anon_sym_set] = ACTIONS(930),
    [sym__automatic_semicolon] = ACTIONS(1043),
    [sym__ternary_qmark] = ACTIONS(936),
    [sym_html_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_comment] = STATE(189),
    [sym_identifier] = ACTIONS(953),
    [anon_sym_export] = ACTIONS(953),
    [anon_sym_STAR] = ACTIONS(955),
    [anon_sym_default] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_COMMA] = ACTIONS(955),
    [anon_sym_RBRACE] = ACTIONS(953),
    [anon_sym_import] = ACTIONS(953),
    [anon_sym_with] = ACTIONS(953),
    [anon_sym_var] = ACTIONS(953),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_const] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(953),
    [anon_sym_switch] = ACTIONS(953),
    [anon_sym_for] = ACTIONS(953),
    [anon_sym_LPAREN] = ACTIONS(953),
    [anon_sym_await] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(955),
    [anon_sym_while] = ACTIONS(953),
    [anon_sym_do] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(953),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_continue] = ACTIONS(953),
    [anon_sym_debugger] = ACTIONS(953),
    [anon_sym_return] = ACTIONS(953),
    [anon_sym_throw] = ACTIONS(953),
    [anon_sym_SEMI] = ACTIONS(953),
    [anon_sym_case] = ACTIONS(953),
    [anon_sym_yield] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LTtemplate_GT] = ACTIONS(953),
    [anon_sym_LT] = ACTIONS(953),
    [anon_sym_GT] = ACTIONS(955),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_DQUOTE] = ACTIONS(953),
    [anon_sym_SQUOTE] = ACTIONS(953),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(953),
    [anon_sym_function] = ACTIONS(953),
    [sym_optional_chain] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_AMP_AMP] = ACTIONS(955),
    [anon_sym_PIPE_PIPE] = ACTIONS(955),
    [anon_sym_GT_GT] = ACTIONS(955),
    [anon_sym_GT_GT_GT] = ACTIONS(955),
    [anon_sym_LT_LT] = ACTIONS(955),
    [anon_sym_AMP] = ACTIONS(955),
    [anon_sym_CARET] = ACTIONS(955),
    [anon_sym_PIPE] = ACTIONS(955),
    [anon_sym_PLUS] = ACTIONS(953),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_SLASH] = ACTIONS(953),
    [anon_sym_PERCENT] = ACTIONS(955),
    [anon_sym_STAR_STAR] = ACTIONS(955),
    [anon_sym_LT_EQ] = ACTIONS(955),
    [anon_sym_EQ_EQ] = ACTIONS(955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(955),
    [anon_sym_BANG_EQ] = ACTIONS(955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(955),
    [anon_sym_GT_EQ] = ACTIONS(955),
    [anon_sym_QMARK_QMARK] = ACTIONS(955),
    [anon_sym_instanceof] = ACTIONS(955),
    [anon_sym_BANG] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(953),
    [anon_sym_void] = ACTIONS(953),
    [anon_sym_delete] = ACTIONS(953),
    [anon_sym_PLUS_PLUS] = ACTIONS(953),
    [anon_sym_DASH_DASH] = ACTIONS(953),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [sym_number] = ACTIONS(953),
    [sym_private_property_identifier] = ACTIONS(953),
    [sym_this] = ACTIONS(953),
    [sym_super] = ACTIONS(953),
    [sym_true] = ACTIONS(953),
    [sym_false] = ACTIONS(953),
    [sym_null] = ACTIONS(953),
    [sym_undefined] = ACTIONS(953),
    [anon_sym_AT] = ACTIONS(953),
    [anon_sym_static] = ACTIONS(953),
    [anon_sym_get] = ACTIONS(953),
    [anon_sym_set] = ACTIONS(953),
    [sym__automatic_semicolon] = ACTIONS(1045),
    [sym__ternary_qmark] = ACTIONS(959),
    [sym_html_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_comment] = STATE(190),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(963),
    [anon_sym_STAR] = ACTIONS(965),
    [anon_sym_default] = ACTIONS(963),
    [anon_sym_LBRACE] = ACTIONS(963),
    [anon_sym_COMMA] = ACTIONS(965),
    [anon_sym_RBRACE] = ACTIONS(963),
    [anon_sym_import] = ACTIONS(963),
    [anon_sym_with] = ACTIONS(963),
    [anon_sym_var] = ACTIONS(963),
    [anon_sym_let] = ACTIONS(963),
    [anon_sym_const] = ACTIONS(963),
    [anon_sym_if] = ACTIONS(963),
    [anon_sym_switch] = ACTIONS(963),
    [anon_sym_for] = ACTIONS(963),
    [anon_sym_LPAREN] = ACTIONS(963),
    [anon_sym_await] = ACTIONS(963),
    [anon_sym_in] = ACTIONS(965),
    [anon_sym_while] = ACTIONS(963),
    [anon_sym_do] = ACTIONS(963),
    [anon_sym_try] = ACTIONS(963),
    [anon_sym_break] = ACTIONS(963),
    [anon_sym_continue] = ACTIONS(963),
    [anon_sym_debugger] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(963),
    [anon_sym_throw] = ACTIONS(963),
    [anon_sym_SEMI] = ACTIONS(963),
    [anon_sym_case] = ACTIONS(963),
    [anon_sym_yield] = ACTIONS(963),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LTtemplate_GT] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(963),
    [anon_sym_GT] = ACTIONS(965),
    [anon_sym_DOT] = ACTIONS(965),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_class] = ACTIONS(963),
    [anon_sym_async] = ACTIONS(963),
    [anon_sym_function] = ACTIONS(963),
    [sym_optional_chain] = ACTIONS(965),
    [anon_sym_new] = ACTIONS(963),
    [anon_sym_AMP_AMP] = ACTIONS(965),
    [anon_sym_PIPE_PIPE] = ACTIONS(965),
    [anon_sym_GT_GT] = ACTIONS(965),
    [anon_sym_GT_GT_GT] = ACTIONS(965),
    [anon_sym_LT_LT] = ACTIONS(965),
    [anon_sym_AMP] = ACTIONS(965),
    [anon_sym_CARET] = ACTIONS(965),
    [anon_sym_PIPE] = ACTIONS(965),
    [anon_sym_PLUS] = ACTIONS(963),
    [anon_sym_DASH] = ACTIONS(963),
    [anon_sym_SLASH] = ACTIONS(963),
    [anon_sym_PERCENT] = ACTIONS(965),
    [anon_sym_STAR_STAR] = ACTIONS(965),
    [anon_sym_LT_EQ] = ACTIONS(965),
    [anon_sym_EQ_EQ] = ACTIONS(965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(965),
    [anon_sym_BANG_EQ] = ACTIONS(965),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(965),
    [anon_sym_GT_EQ] = ACTIONS(965),
    [anon_sym_QMARK_QMARK] = ACTIONS(965),
    [anon_sym_instanceof] = ACTIONS(965),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [anon_sym_typeof] = ACTIONS(963),
    [anon_sym_void] = ACTIONS(963),
    [anon_sym_delete] = ACTIONS(963),
    [anon_sym_PLUS_PLUS] = ACTIONS(963),
    [anon_sym_DASH_DASH] = ACTIONS(963),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(963),
    [sym_number] = ACTIONS(963),
    [sym_private_property_identifier] = ACTIONS(963),
    [sym_this] = ACTIONS(963),
    [sym_super] = ACTIONS(963),
    [sym_true] = ACTIONS(963),
    [sym_false] = ACTIONS(963),
    [sym_null] = ACTIONS(963),
    [sym_undefined] = ACTIONS(963),
    [anon_sym_AT] = ACTIONS(963),
    [anon_sym_static] = ACTIONS(963),
    [anon_sym_get] = ACTIONS(963),
    [anon_sym_set] = ACTIONS(963),
    [sym__automatic_semicolon] = ACTIONS(1047),
    [sym__ternary_qmark] = ACTIONS(969),
    [sym_html_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_comment] = STATE(191),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(971),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_default] = ACTIONS(971),
    [anon_sym_LBRACE] = ACTIONS(971),
    [anon_sym_COMMA] = ACTIONS(973),
    [anon_sym_RBRACE] = ACTIONS(971),
    [anon_sym_import] = ACTIONS(971),
    [anon_sym_with] = ACTIONS(971),
    [anon_sym_var] = ACTIONS(971),
    [anon_sym_let] = ACTIONS(971),
    [anon_sym_const] = ACTIONS(971),
    [anon_sym_if] = ACTIONS(971),
    [anon_sym_switch] = ACTIONS(971),
    [anon_sym_for] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(971),
    [anon_sym_await] = ACTIONS(971),
    [anon_sym_in] = ACTIONS(973),
    [anon_sym_while] = ACTIONS(971),
    [anon_sym_do] = ACTIONS(971),
    [anon_sym_try] = ACTIONS(971),
    [anon_sym_break] = ACTIONS(971),
    [anon_sym_continue] = ACTIONS(971),
    [anon_sym_debugger] = ACTIONS(971),
    [anon_sym_return] = ACTIONS(971),
    [anon_sym_throw] = ACTIONS(971),
    [anon_sym_SEMI] = ACTIONS(971),
    [anon_sym_case] = ACTIONS(971),
    [anon_sym_yield] = ACTIONS(971),
    [anon_sym_LBRACK] = ACTIONS(971),
    [anon_sym_LTtemplate_GT] = ACTIONS(971),
    [anon_sym_LT] = ACTIONS(971),
    [anon_sym_GT] = ACTIONS(973),
    [anon_sym_DOT] = ACTIONS(973),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_class] = ACTIONS(971),
    [anon_sym_async] = ACTIONS(971),
    [anon_sym_function] = ACTIONS(971),
    [sym_optional_chain] = ACTIONS(973),
    [anon_sym_new] = ACTIONS(971),
    [anon_sym_AMP_AMP] = ACTIONS(973),
    [anon_sym_PIPE_PIPE] = ACTIONS(973),
    [anon_sym_GT_GT] = ACTIONS(973),
    [anon_sym_GT_GT_GT] = ACTIONS(973),
    [anon_sym_LT_LT] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(973),
    [anon_sym_CARET] = ACTIONS(973),
    [anon_sym_PIPE] = ACTIONS(973),
    [anon_sym_PLUS] = ACTIONS(971),
    [anon_sym_DASH] = ACTIONS(971),
    [anon_sym_SLASH] = ACTIONS(971),
    [anon_sym_PERCENT] = ACTIONS(973),
    [anon_sym_STAR_STAR] = ACTIONS(973),
    [anon_sym_LT_EQ] = ACTIONS(973),
    [anon_sym_EQ_EQ] = ACTIONS(973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(973),
    [anon_sym_BANG_EQ] = ACTIONS(973),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(973),
    [anon_sym_GT_EQ] = ACTIONS(973),
    [anon_sym_QMARK_QMARK] = ACTIONS(973),
    [anon_sym_instanceof] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(971),
    [anon_sym_TILDE] = ACTIONS(971),
    [anon_sym_typeof] = ACTIONS(971),
    [anon_sym_void] = ACTIONS(971),
    [anon_sym_delete] = ACTIONS(971),
    [anon_sym_PLUS_PLUS] = ACTIONS(971),
    [anon_sym_DASH_DASH] = ACTIONS(971),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(971),
    [sym_number] = ACTIONS(971),
    [sym_private_property_identifier] = ACTIONS(971),
    [sym_this] = ACTIONS(971),
    [sym_super] = ACTIONS(971),
    [sym_true] = ACTIONS(971),
    [sym_false] = ACTIONS(971),
    [sym_null] = ACTIONS(971),
    [sym_undefined] = ACTIONS(971),
    [anon_sym_AT] = ACTIONS(971),
    [anon_sym_static] = ACTIONS(971),
    [anon_sym_get] = ACTIONS(971),
    [anon_sym_set] = ACTIONS(971),
    [sym__automatic_semicolon] = ACTIONS(1049),
    [sym__ternary_qmark] = ACTIONS(977),
    [sym_html_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_comment] = STATE(192),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(981),
    [anon_sym_default] = ACTIONS(979),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_COMMA] = ACTIONS(981),
    [anon_sym_RBRACE] = ACTIONS(979),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_with] = ACTIONS(979),
    [anon_sym_var] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_const] = ACTIONS(979),
    [anon_sym_if] = ACTIONS(979),
    [anon_sym_switch] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(979),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_await] = ACTIONS(979),
    [anon_sym_in] = ACTIONS(981),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_do] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(979),
    [anon_sym_break] = ACTIONS(979),
    [anon_sym_continue] = ACTIONS(979),
    [anon_sym_debugger] = ACTIONS(979),
    [anon_sym_return] = ACTIONS(979),
    [anon_sym_throw] = ACTIONS(979),
    [anon_sym_SEMI] = ACTIONS(979),
    [anon_sym_case] = ACTIONS(979),
    [anon_sym_yield] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_LTtemplate_GT] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(979),
    [anon_sym_GT] = ACTIONS(981),
    [anon_sym_DOT] = ACTIONS(981),
    [anon_sym_DQUOTE] = ACTIONS(979),
    [anon_sym_SQUOTE] = ACTIONS(979),
    [anon_sym_class] = ACTIONS(979),
    [anon_sym_async] = ACTIONS(979),
    [anon_sym_function] = ACTIONS(979),
    [sym_optional_chain] = ACTIONS(981),
    [anon_sym_new] = ACTIONS(979),
    [anon_sym_AMP_AMP] = ACTIONS(981),
    [anon_sym_PIPE_PIPE] = ACTIONS(981),
    [anon_sym_GT_GT] = ACTIONS(981),
    [anon_sym_GT_GT_GT] = ACTIONS(981),
    [anon_sym_LT_LT] = ACTIONS(981),
    [anon_sym_AMP] = ACTIONS(981),
    [anon_sym_CARET] = ACTIONS(981),
    [anon_sym_PIPE] = ACTIONS(981),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_PERCENT] = ACTIONS(981),
    [anon_sym_STAR_STAR] = ACTIONS(981),
    [anon_sym_LT_EQ] = ACTIONS(981),
    [anon_sym_EQ_EQ] = ACTIONS(981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(981),
    [anon_sym_BANG_EQ] = ACTIONS(981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(981),
    [anon_sym_GT_EQ] = ACTIONS(981),
    [anon_sym_QMARK_QMARK] = ACTIONS(981),
    [anon_sym_instanceof] = ACTIONS(981),
    [anon_sym_BANG] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(979),
    [anon_sym_void] = ACTIONS(979),
    [anon_sym_delete] = ACTIONS(979),
    [anon_sym_PLUS_PLUS] = ACTIONS(979),
    [anon_sym_DASH_DASH] = ACTIONS(979),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(979),
    [sym_number] = ACTIONS(979),
    [sym_private_property_identifier] = ACTIONS(979),
    [sym_this] = ACTIONS(979),
    [sym_super] = ACTIONS(979),
    [sym_true] = ACTIONS(979),
    [sym_false] = ACTIONS(979),
    [sym_null] = ACTIONS(979),
    [sym_undefined] = ACTIONS(979),
    [anon_sym_AT] = ACTIONS(979),
    [anon_sym_static] = ACTIONS(979),
    [anon_sym_get] = ACTIONS(979),
    [anon_sym_set] = ACTIONS(979),
    [sym__automatic_semicolon] = ACTIONS(1051),
    [sym__ternary_qmark] = ACTIONS(985),
    [sym_html_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_comment] = STATE(193),
    [sym_identifier] = ACTIONS(987),
    [anon_sym_export] = ACTIONS(987),
    [anon_sym_STAR] = ACTIONS(989),
    [anon_sym_default] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_COMMA] = ACTIONS(989),
    [anon_sym_RBRACE] = ACTIONS(987),
    [anon_sym_import] = ACTIONS(987),
    [anon_sym_with] = ACTIONS(987),
    [anon_sym_var] = ACTIONS(987),
    [anon_sym_let] = ACTIONS(987),
    [anon_sym_const] = ACTIONS(987),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_switch] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_LPAREN] = ACTIONS(987),
    [anon_sym_await] = ACTIONS(987),
    [anon_sym_in] = ACTIONS(989),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_do] = ACTIONS(987),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_break] = ACTIONS(987),
    [anon_sym_continue] = ACTIONS(987),
    [anon_sym_debugger] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_throw] = ACTIONS(987),
    [anon_sym_SEMI] = ACTIONS(987),
    [anon_sym_case] = ACTIONS(987),
    [anon_sym_yield] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_LTtemplate_GT] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(987),
    [anon_sym_GT] = ACTIONS(989),
    [anon_sym_DOT] = ACTIONS(989),
    [anon_sym_DQUOTE] = ACTIONS(987),
    [anon_sym_SQUOTE] = ACTIONS(987),
    [anon_sym_class] = ACTIONS(987),
    [anon_sym_async] = ACTIONS(987),
    [anon_sym_function] = ACTIONS(987),
    [sym_optional_chain] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_AMP_AMP] = ACTIONS(989),
    [anon_sym_PIPE_PIPE] = ACTIONS(989),
    [anon_sym_GT_GT] = ACTIONS(989),
    [anon_sym_GT_GT_GT] = ACTIONS(989),
    [anon_sym_LT_LT] = ACTIONS(989),
    [anon_sym_AMP] = ACTIONS(989),
    [anon_sym_CARET] = ACTIONS(989),
    [anon_sym_PIPE] = ACTIONS(989),
    [anon_sym_PLUS] = ACTIONS(987),
    [anon_sym_DASH] = ACTIONS(987),
    [anon_sym_SLASH] = ACTIONS(987),
    [anon_sym_PERCENT] = ACTIONS(989),
    [anon_sym_STAR_STAR] = ACTIONS(989),
    [anon_sym_LT_EQ] = ACTIONS(989),
    [anon_sym_EQ_EQ] = ACTIONS(989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(989),
    [anon_sym_BANG_EQ] = ACTIONS(989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(989),
    [anon_sym_GT_EQ] = ACTIONS(989),
    [anon_sym_QMARK_QMARK] = ACTIONS(989),
    [anon_sym_instanceof] = ACTIONS(989),
    [anon_sym_BANG] = ACTIONS(987),
    [anon_sym_TILDE] = ACTIONS(987),
    [anon_sym_typeof] = ACTIONS(987),
    [anon_sym_void] = ACTIONS(987),
    [anon_sym_delete] = ACTIONS(987),
    [anon_sym_PLUS_PLUS] = ACTIONS(987),
    [anon_sym_DASH_DASH] = ACTIONS(987),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [sym_number] = ACTIONS(987),
    [sym_private_property_identifier] = ACTIONS(987),
    [sym_this] = ACTIONS(987),
    [sym_super] = ACTIONS(987),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_null] = ACTIONS(987),
    [sym_undefined] = ACTIONS(987),
    [anon_sym_AT] = ACTIONS(987),
    [anon_sym_static] = ACTIONS(987),
    [anon_sym_get] = ACTIONS(987),
    [anon_sym_set] = ACTIONS(987),
    [sym__automatic_semicolon] = ACTIONS(1053),
    [sym__ternary_qmark] = ACTIONS(993),
    [sym_html_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_comment] = STATE(194),
    [sym_identifier] = ACTIONS(878),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_STAR] = ACTIONS(880),
    [anon_sym_default] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(878),
    [anon_sym_COMMA] = ACTIONS(880),
    [anon_sym_RBRACE] = ACTIONS(878),
    [anon_sym_import] = ACTIONS(878),
    [anon_sym_with] = ACTIONS(878),
    [anon_sym_var] = ACTIONS(878),
    [anon_sym_let] = ACTIONS(878),
    [anon_sym_const] = ACTIONS(878),
    [anon_sym_if] = ACTIONS(878),
    [anon_sym_switch] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(878),
    [anon_sym_LPAREN] = ACTIONS(878),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_in] = ACTIONS(880),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_do] = ACTIONS(878),
    [anon_sym_try] = ACTIONS(878),
    [anon_sym_break] = ACTIONS(878),
    [anon_sym_continue] = ACTIONS(878),
    [anon_sym_debugger] = ACTIONS(878),
    [anon_sym_return] = ACTIONS(878),
    [anon_sym_throw] = ACTIONS(878),
    [anon_sym_SEMI] = ACTIONS(878),
    [anon_sym_case] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(878),
    [anon_sym_LBRACK] = ACTIONS(878),
    [anon_sym_LTtemplate_GT] = ACTIONS(878),
    [anon_sym_LT] = ACTIONS(878),
    [anon_sym_GT] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(880),
    [anon_sym_DQUOTE] = ACTIONS(878),
    [anon_sym_SQUOTE] = ACTIONS(878),
    [anon_sym_class] = ACTIONS(878),
    [anon_sym_async] = ACTIONS(878),
    [anon_sym_function] = ACTIONS(878),
    [sym_optional_chain] = ACTIONS(880),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_AMP_AMP] = ACTIONS(880),
    [anon_sym_PIPE_PIPE] = ACTIONS(880),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_GT_GT_GT] = ACTIONS(880),
    [anon_sym_LT_LT] = ACTIONS(880),
    [anon_sym_AMP] = ACTIONS(880),
    [anon_sym_CARET] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(878),
    [anon_sym_DASH] = ACTIONS(878),
    [anon_sym_SLASH] = ACTIONS(878),
    [anon_sym_PERCENT] = ACTIONS(880),
    [anon_sym_STAR_STAR] = ACTIONS(880),
    [anon_sym_LT_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(880),
    [anon_sym_GT_EQ] = ACTIONS(880),
    [anon_sym_QMARK_QMARK] = ACTIONS(880),
    [anon_sym_instanceof] = ACTIONS(880),
    [anon_sym_BANG] = ACTIONS(878),
    [anon_sym_TILDE] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(878),
    [anon_sym_void] = ACTIONS(878),
    [anon_sym_delete] = ACTIONS(878),
    [anon_sym_PLUS_PLUS] = ACTIONS(878),
    [anon_sym_DASH_DASH] = ACTIONS(878),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(878),
    [sym_number] = ACTIONS(878),
    [sym_private_property_identifier] = ACTIONS(878),
    [sym_this] = ACTIONS(878),
    [sym_super] = ACTIONS(878),
    [sym_true] = ACTIONS(878),
    [sym_false] = ACTIONS(878),
    [sym_null] = ACTIONS(878),
    [sym_undefined] = ACTIONS(878),
    [anon_sym_AT] = ACTIONS(878),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [sym__automatic_semicolon] = ACTIONS(1055),
    [sym__ternary_qmark] = ACTIONS(884),
    [sym_html_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_comment] = STATE(195),
    [sym_identifier] = ACTIONS(886),
    [anon_sym_export] = ACTIONS(886),
    [anon_sym_STAR] = ACTIONS(886),
    [anon_sym_default] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(886),
    [anon_sym_COMMA] = ACTIONS(886),
    [anon_sym_RBRACE] = ACTIONS(886),
    [anon_sym_import] = ACTIONS(886),
    [anon_sym_with] = ACTIONS(886),
    [anon_sym_var] = ACTIONS(886),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_const] = ACTIONS(886),
    [anon_sym_if] = ACTIONS(886),
    [anon_sym_switch] = ACTIONS(886),
    [anon_sym_for] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(886),
    [anon_sym_await] = ACTIONS(886),
    [anon_sym_in] = ACTIONS(886),
    [anon_sym_while] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(886),
    [anon_sym_try] = ACTIONS(886),
    [anon_sym_break] = ACTIONS(886),
    [anon_sym_continue] = ACTIONS(886),
    [anon_sym_debugger] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(886),
    [anon_sym_throw] = ACTIONS(886),
    [anon_sym_SEMI] = ACTIONS(886),
    [anon_sym_case] = ACTIONS(886),
    [anon_sym_yield] = ACTIONS(886),
    [anon_sym_LBRACK] = ACTIONS(886),
    [anon_sym_LTtemplate_GT] = ACTIONS(886),
    [anon_sym_LT] = ACTIONS(886),
    [anon_sym_GT] = ACTIONS(886),
    [anon_sym_DOT] = ACTIONS(886),
    [anon_sym_DQUOTE] = ACTIONS(886),
    [anon_sym_SQUOTE] = ACTIONS(886),
    [anon_sym_class] = ACTIONS(886),
    [anon_sym_async] = ACTIONS(886),
    [anon_sym_function] = ACTIONS(886),
    [sym_optional_chain] = ACTIONS(886),
    [anon_sym_new] = ACTIONS(886),
    [anon_sym_AMP_AMP] = ACTIONS(886),
    [anon_sym_PIPE_PIPE] = ACTIONS(886),
    [anon_sym_GT_GT] = ACTIONS(886),
    [anon_sym_GT_GT_GT] = ACTIONS(886),
    [anon_sym_LT_LT] = ACTIONS(886),
    [anon_sym_AMP] = ACTIONS(886),
    [anon_sym_CARET] = ACTIONS(886),
    [anon_sym_PIPE] = ACTIONS(886),
    [anon_sym_PLUS] = ACTIONS(886),
    [anon_sym_DASH] = ACTIONS(886),
    [anon_sym_SLASH] = ACTIONS(886),
    [anon_sym_PERCENT] = ACTIONS(886),
    [anon_sym_STAR_STAR] = ACTIONS(886),
    [anon_sym_LT_EQ] = ACTIONS(886),
    [anon_sym_EQ_EQ] = ACTIONS(886),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(886),
    [anon_sym_BANG_EQ] = ACTIONS(886),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(886),
    [anon_sym_GT_EQ] = ACTIONS(886),
    [anon_sym_QMARK_QMARK] = ACTIONS(886),
    [anon_sym_instanceof] = ACTIONS(886),
    [anon_sym_BANG] = ACTIONS(886),
    [anon_sym_TILDE] = ACTIONS(886),
    [anon_sym_typeof] = ACTIONS(886),
    [anon_sym_void] = ACTIONS(886),
    [anon_sym_delete] = ACTIONS(886),
    [anon_sym_PLUS_PLUS] = ACTIONS(886),
    [anon_sym_DASH_DASH] = ACTIONS(886),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(886),
    [sym_number] = ACTIONS(886),
    [sym_private_property_identifier] = ACTIONS(886),
    [sym_this] = ACTIONS(886),
    [sym_super] = ACTIONS(886),
    [sym_true] = ACTIONS(886),
    [sym_false] = ACTIONS(886),
    [sym_null] = ACTIONS(886),
    [sym_undefined] = ACTIONS(886),
    [anon_sym_AT] = ACTIONS(886),
    [anon_sym_static] = ACTIONS(886),
    [anon_sym_get] = ACTIONS(886),
    [anon_sym_set] = ACTIONS(886),
    [sym__automatic_semicolon] = ACTIONS(1057),
    [sym__ternary_qmark] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_comment] = STATE(196),
    [ts_builtin_sym_end] = ACTIONS(876),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(874),
    [anon_sym_STAR] = ACTIONS(874),
    [anon_sym_LBRACE] = ACTIONS(874),
    [anon_sym_COMMA] = ACTIONS(874),
    [anon_sym_RBRACE] = ACTIONS(874),
    [anon_sym_import] = ACTIONS(874),
    [anon_sym_with] = ACTIONS(874),
    [anon_sym_var] = ACTIONS(874),
    [anon_sym_let] = ACTIONS(874),
    [anon_sym_const] = ACTIONS(874),
    [anon_sym_else] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(874),
    [anon_sym_for] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(874),
    [anon_sym_await] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_while] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(874),
    [anon_sym_try] = ACTIONS(874),
    [anon_sym_break] = ACTIONS(874),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(874),
    [anon_sym_return] = ACTIONS(874),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(874),
    [anon_sym_yield] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(874),
    [anon_sym_LTtemplate_GT] = ACTIONS(874),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DQUOTE] = ACTIONS(874),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [anon_sym_class] = ACTIONS(874),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(874),
    [sym_optional_chain] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(874),
    [anon_sym_GT_GT] = ACTIONS(874),
    [anon_sym_GT_GT_GT] = ACTIONS(874),
    [anon_sym_LT_LT] = ACTIONS(874),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(874),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_STAR_STAR] = ACTIONS(874),
    [anon_sym_LT_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(874),
    [anon_sym_QMARK_QMARK] = ACTIONS(874),
    [anon_sym_instanceof] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_typeof] = ACTIONS(874),
    [anon_sym_void] = ACTIONS(874),
    [anon_sym_delete] = ACTIONS(874),
    [anon_sym_PLUS_PLUS] = ACTIONS(874),
    [anon_sym_DASH_DASH] = ACTIONS(874),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(874),
    [sym_number] = ACTIONS(874),
    [sym_private_property_identifier] = ACTIONS(874),
    [sym_this] = ACTIONS(874),
    [sym_super] = ACTIONS(874),
    [sym_true] = ACTIONS(874),
    [sym_false] = ACTIONS(874),
    [sym_null] = ACTIONS(874),
    [sym_undefined] = ACTIONS(874),
    [anon_sym_AT] = ACTIONS(874),
    [anon_sym_static] = ACTIONS(874),
    [anon_sym_get] = ACTIONS(874),
    [anon_sym_set] = ACTIONS(874),
    [sym__automatic_semicolon] = ACTIONS(876),
    [sym__ternary_qmark] = ACTIONS(876),
    [sym_html_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_comment] = STATE(197),
    [sym_identifier] = ACTIONS(824),
    [anon_sym_export] = ACTIONS(824),
    [anon_sym_STAR] = ACTIONS(824),
    [anon_sym_default] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(824),
    [anon_sym_COMMA] = ACTIONS(824),
    [anon_sym_RBRACE] = ACTIONS(824),
    [anon_sym_import] = ACTIONS(824),
    [anon_sym_with] = ACTIONS(824),
    [anon_sym_var] = ACTIONS(824),
    [anon_sym_let] = ACTIONS(824),
    [anon_sym_const] = ACTIONS(824),
    [anon_sym_if] = ACTIONS(824),
    [anon_sym_switch] = ACTIONS(824),
    [anon_sym_for] = ACTIONS(824),
    [anon_sym_LPAREN] = ACTIONS(824),
    [anon_sym_await] = ACTIONS(824),
    [anon_sym_in] = ACTIONS(824),
    [anon_sym_while] = ACTIONS(824),
    [anon_sym_do] = ACTIONS(824),
    [anon_sym_try] = ACTIONS(824),
    [anon_sym_break] = ACTIONS(824),
    [anon_sym_continue] = ACTIONS(824),
    [anon_sym_debugger] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(824),
    [anon_sym_throw] = ACTIONS(824),
    [anon_sym_SEMI] = ACTIONS(824),
    [anon_sym_case] = ACTIONS(824),
    [anon_sym_yield] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(824),
    [anon_sym_LTtemplate_GT] = ACTIONS(824),
    [anon_sym_LT] = ACTIONS(824),
    [anon_sym_GT] = ACTIONS(824),
    [anon_sym_DOT] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(824),
    [anon_sym_SQUOTE] = ACTIONS(824),
    [anon_sym_class] = ACTIONS(824),
    [anon_sym_async] = ACTIONS(824),
    [anon_sym_function] = ACTIONS(824),
    [sym_optional_chain] = ACTIONS(824),
    [anon_sym_new] = ACTIONS(824),
    [anon_sym_AMP_AMP] = ACTIONS(824),
    [anon_sym_PIPE_PIPE] = ACTIONS(824),
    [anon_sym_GT_GT] = ACTIONS(824),
    [anon_sym_GT_GT_GT] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(824),
    [anon_sym_AMP] = ACTIONS(824),
    [anon_sym_CARET] = ACTIONS(824),
    [anon_sym_PIPE] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(824),
    [anon_sym_DASH] = ACTIONS(824),
    [anon_sym_SLASH] = ACTIONS(824),
    [anon_sym_PERCENT] = ACTIONS(824),
    [anon_sym_STAR_STAR] = ACTIONS(824),
    [anon_sym_LT_EQ] = ACTIONS(824),
    [anon_sym_EQ_EQ] = ACTIONS(824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(824),
    [anon_sym_BANG_EQ] = ACTIONS(824),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(824),
    [anon_sym_GT_EQ] = ACTIONS(824),
    [anon_sym_QMARK_QMARK] = ACTIONS(824),
    [anon_sym_instanceof] = ACTIONS(824),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_typeof] = ACTIONS(824),
    [anon_sym_void] = ACTIONS(824),
    [anon_sym_delete] = ACTIONS(824),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(824),
    [sym_number] = ACTIONS(824),
    [sym_private_property_identifier] = ACTIONS(824),
    [sym_this] = ACTIONS(824),
    [sym_super] = ACTIONS(824),
    [sym_true] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
    [sym_null] = ACTIONS(824),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(824),
    [anon_sym_static] = ACTIONS(824),
    [anon_sym_get] = ACTIONS(824),
    [anon_sym_set] = ACTIONS(824),
    [sym__automatic_semicolon] = ACTIONS(1059),
    [sym__ternary_qmark] = ACTIONS(928),
    [sym_html_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_comment] = STATE(198),
    [ts_builtin_sym_end] = ACTIONS(997),
    [sym_identifier] = ACTIONS(995),
    [anon_sym_export] = ACTIONS(995),
    [anon_sym_STAR] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(995),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_RBRACE] = ACTIONS(995),
    [anon_sym_import] = ACTIONS(995),
    [anon_sym_with] = ACTIONS(995),
    [anon_sym_var] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(995),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_else] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_switch] = ACTIONS(995),
    [anon_sym_for] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(995),
    [anon_sym_await] = ACTIONS(995),
    [anon_sym_in] = ACTIONS(995),
    [anon_sym_while] = ACTIONS(995),
    [anon_sym_do] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(995),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [anon_sym_debugger] = ACTIONS(995),
    [anon_sym_return] = ACTIONS(995),
    [anon_sym_throw] = ACTIONS(995),
    [anon_sym_SEMI] = ACTIONS(995),
    [anon_sym_yield] = ACTIONS(995),
    [anon_sym_LBRACK] = ACTIONS(995),
    [anon_sym_LTtemplate_GT] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(995),
    [anon_sym_GT] = ACTIONS(995),
    [anon_sym_DOT] = ACTIONS(995),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_SQUOTE] = ACTIONS(995),
    [anon_sym_class] = ACTIONS(995),
    [anon_sym_async] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(995),
    [sym_optional_chain] = ACTIONS(995),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_AMP_AMP] = ACTIONS(995),
    [anon_sym_PIPE_PIPE] = ACTIONS(995),
    [anon_sym_GT_GT] = ACTIONS(995),
    [anon_sym_GT_GT_GT] = ACTIONS(995),
    [anon_sym_LT_LT] = ACTIONS(995),
    [anon_sym_AMP] = ACTIONS(995),
    [anon_sym_CARET] = ACTIONS(995),
    [anon_sym_PIPE] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(995),
    [anon_sym_DASH] = ACTIONS(995),
    [anon_sym_SLASH] = ACTIONS(995),
    [anon_sym_PERCENT] = ACTIONS(995),
    [anon_sym_STAR_STAR] = ACTIONS(995),
    [anon_sym_LT_EQ] = ACTIONS(995),
    [anon_sym_EQ_EQ] = ACTIONS(995),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(995),
    [anon_sym_BANG_EQ] = ACTIONS(995),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(995),
    [anon_sym_GT_EQ] = ACTIONS(995),
    [anon_sym_QMARK_QMARK] = ACTIONS(995),
    [anon_sym_instanceof] = ACTIONS(995),
    [anon_sym_BANG] = ACTIONS(995),
    [anon_sym_TILDE] = ACTIONS(995),
    [anon_sym_typeof] = ACTIONS(995),
    [anon_sym_void] = ACTIONS(995),
    [anon_sym_delete] = ACTIONS(995),
    [anon_sym_PLUS_PLUS] = ACTIONS(995),
    [anon_sym_DASH_DASH] = ACTIONS(995),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(995),
    [sym_number] = ACTIONS(995),
    [sym_private_property_identifier] = ACTIONS(995),
    [sym_this] = ACTIONS(995),
    [sym_super] = ACTIONS(995),
    [sym_true] = ACTIONS(995),
    [sym_false] = ACTIONS(995),
    [sym_null] = ACTIONS(995),
    [sym_undefined] = ACTIONS(995),
    [anon_sym_AT] = ACTIONS(995),
    [anon_sym_static] = ACTIONS(995),
    [anon_sym_get] = ACTIONS(995),
    [anon_sym_set] = ACTIONS(995),
    [sym__automatic_semicolon] = ACTIONS(997),
    [sym__ternary_qmark] = ACTIONS(997),
    [sym_html_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_comment] = STATE(199),
    [sym_identifier] = ACTIONS(886),
    [anon_sym_export] = ACTIONS(886),
    [anon_sym_STAR] = ACTIONS(886),
    [anon_sym_default] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(886),
    [anon_sym_COMMA] = ACTIONS(886),
    [anon_sym_RBRACE] = ACTIONS(886),
    [anon_sym_import] = ACTIONS(886),
    [anon_sym_with] = ACTIONS(886),
    [anon_sym_var] = ACTIONS(886),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_const] = ACTIONS(886),
    [anon_sym_if] = ACTIONS(886),
    [anon_sym_switch] = ACTIONS(886),
    [anon_sym_for] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(886),
    [anon_sym_await] = ACTIONS(886),
    [anon_sym_in] = ACTIONS(886),
    [anon_sym_while] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(886),
    [anon_sym_try] = ACTIONS(886),
    [anon_sym_break] = ACTIONS(886),
    [anon_sym_continue] = ACTIONS(886),
    [anon_sym_debugger] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(886),
    [anon_sym_throw] = ACTIONS(886),
    [anon_sym_SEMI] = ACTIONS(886),
    [anon_sym_case] = ACTIONS(886),
    [anon_sym_yield] = ACTIONS(886),
    [anon_sym_LBRACK] = ACTIONS(886),
    [anon_sym_LTtemplate_GT] = ACTIONS(886),
    [anon_sym_LT] = ACTIONS(886),
    [anon_sym_GT] = ACTIONS(886),
    [anon_sym_DOT] = ACTIONS(886),
    [anon_sym_DQUOTE] = ACTIONS(886),
    [anon_sym_SQUOTE] = ACTIONS(886),
    [anon_sym_class] = ACTIONS(886),
    [anon_sym_async] = ACTIONS(886),
    [anon_sym_function] = ACTIONS(886),
    [sym_optional_chain] = ACTIONS(886),
    [anon_sym_new] = ACTIONS(886),
    [anon_sym_AMP_AMP] = ACTIONS(886),
    [anon_sym_PIPE_PIPE] = ACTIONS(886),
    [anon_sym_GT_GT] = ACTIONS(886),
    [anon_sym_GT_GT_GT] = ACTIONS(886),
    [anon_sym_LT_LT] = ACTIONS(886),
    [anon_sym_AMP] = ACTIONS(886),
    [anon_sym_CARET] = ACTIONS(886),
    [anon_sym_PIPE] = ACTIONS(886),
    [anon_sym_PLUS] = ACTIONS(886),
    [anon_sym_DASH] = ACTIONS(886),
    [anon_sym_SLASH] = ACTIONS(886),
    [anon_sym_PERCENT] = ACTIONS(886),
    [anon_sym_STAR_STAR] = ACTIONS(886),
    [anon_sym_LT_EQ] = ACTIONS(886),
    [anon_sym_EQ_EQ] = ACTIONS(886),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(886),
    [anon_sym_BANG_EQ] = ACTIONS(886),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(886),
    [anon_sym_GT_EQ] = ACTIONS(886),
    [anon_sym_QMARK_QMARK] = ACTIONS(886),
    [anon_sym_instanceof] = ACTIONS(886),
    [anon_sym_BANG] = ACTIONS(886),
    [anon_sym_TILDE] = ACTIONS(886),
    [anon_sym_typeof] = ACTIONS(886),
    [anon_sym_void] = ACTIONS(886),
    [anon_sym_delete] = ACTIONS(886),
    [anon_sym_PLUS_PLUS] = ACTIONS(886),
    [anon_sym_DASH_DASH] = ACTIONS(886),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(886),
    [sym_number] = ACTIONS(886),
    [sym_private_property_identifier] = ACTIONS(886),
    [sym_this] = ACTIONS(886),
    [sym_super] = ACTIONS(886),
    [sym_true] = ACTIONS(886),
    [sym_false] = ACTIONS(886),
    [sym_null] = ACTIONS(886),
    [sym_undefined] = ACTIONS(886),
    [anon_sym_AT] = ACTIONS(886),
    [anon_sym_static] = ACTIONS(886),
    [anon_sym_get] = ACTIONS(886),
    [anon_sym_set] = ACTIONS(886),
    [sym__automatic_semicolon] = ACTIONS(888),
    [sym__ternary_qmark] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_comment] = STATE(200),
    [ts_builtin_sym_end] = ACTIONS(888),
    [sym_identifier] = ACTIONS(886),
    [anon_sym_export] = ACTIONS(886),
    [anon_sym_STAR] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(886),
    [anon_sym_COMMA] = ACTIONS(886),
    [anon_sym_RBRACE] = ACTIONS(886),
    [anon_sym_import] = ACTIONS(886),
    [anon_sym_with] = ACTIONS(886),
    [anon_sym_var] = ACTIONS(886),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_const] = ACTIONS(886),
    [anon_sym_if] = ACTIONS(886),
    [anon_sym_switch] = ACTIONS(886),
    [anon_sym_for] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(886),
    [anon_sym_await] = ACTIONS(886),
    [anon_sym_in] = ACTIONS(886),
    [anon_sym_while] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(886),
    [anon_sym_try] = ACTIONS(886),
    [anon_sym_break] = ACTIONS(886),
    [anon_sym_continue] = ACTIONS(886),
    [anon_sym_debugger] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(886),
    [anon_sym_throw] = ACTIONS(886),
    [anon_sym_SEMI] = ACTIONS(886),
    [anon_sym_yield] = ACTIONS(886),
    [anon_sym_LBRACK] = ACTIONS(886),
    [anon_sym_LTtemplate_GT] = ACTIONS(886),
    [anon_sym_LT] = ACTIONS(886),
    [anon_sym_GT] = ACTIONS(886),
    [anon_sym_DOT] = ACTIONS(886),
    [anon_sym_DQUOTE] = ACTIONS(886),
    [anon_sym_SQUOTE] = ACTIONS(886),
    [anon_sym_class] = ACTIONS(886),
    [anon_sym_async] = ACTIONS(886),
    [anon_sym_function] = ACTIONS(886),
    [sym_optional_chain] = ACTIONS(886),
    [anon_sym_new] = ACTIONS(886),
    [anon_sym_AMP_AMP] = ACTIONS(886),
    [anon_sym_PIPE_PIPE] = ACTIONS(886),
    [anon_sym_GT_GT] = ACTIONS(886),
    [anon_sym_GT_GT_GT] = ACTIONS(886),
    [anon_sym_LT_LT] = ACTIONS(886),
    [anon_sym_AMP] = ACTIONS(886),
    [anon_sym_CARET] = ACTIONS(886),
    [anon_sym_PIPE] = ACTIONS(886),
    [anon_sym_PLUS] = ACTIONS(886),
    [anon_sym_DASH] = ACTIONS(886),
    [anon_sym_SLASH] = ACTIONS(886),
    [anon_sym_PERCENT] = ACTIONS(886),
    [anon_sym_STAR_STAR] = ACTIONS(886),
    [anon_sym_LT_EQ] = ACTIONS(886),
    [anon_sym_EQ_EQ] = ACTIONS(886),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(886),
    [anon_sym_BANG_EQ] = ACTIONS(886),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(886),
    [anon_sym_GT_EQ] = ACTIONS(886),
    [anon_sym_QMARK_QMARK] = ACTIONS(886),
    [anon_sym_instanceof] = ACTIONS(886),
    [anon_sym_BANG] = ACTIONS(886),
    [anon_sym_TILDE] = ACTIONS(886),
    [anon_sym_typeof] = ACTIONS(886),
    [anon_sym_void] = ACTIONS(886),
    [anon_sym_delete] = ACTIONS(886),
    [anon_sym_PLUS_PLUS] = ACTIONS(886),
    [anon_sym_DASH_DASH] = ACTIONS(886),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(886),
    [sym_number] = ACTIONS(886),
    [sym_private_property_identifier] = ACTIONS(886),
    [sym_this] = ACTIONS(886),
    [sym_super] = ACTIONS(886),
    [sym_true] = ACTIONS(886),
    [sym_false] = ACTIONS(886),
    [sym_null] = ACTIONS(886),
    [sym_undefined] = ACTIONS(886),
    [anon_sym_AT] = ACTIONS(886),
    [anon_sym_static] = ACTIONS(886),
    [anon_sym_get] = ACTIONS(886),
    [anon_sym_set] = ACTIONS(886),
    [sym__automatic_semicolon] = ACTIONS(888),
    [sym__ternary_qmark] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1202),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_spread_element] = STATE(2019),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(201),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [aux_sym_array_repeat1] = STATE(2017),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1061),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1063),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1231),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_spread_element] = STATE(1993),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(202),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1067),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1067),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_RBRACK] = ACTIONS(1067),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_comment] = STATE(203),
    [ts_builtin_sym_end] = ACTIONS(1011),
    [sym_identifier] = ACTIONS(930),
    [anon_sym_export] = ACTIONS(930),
    [anon_sym_STAR] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(930),
    [anon_sym_COMMA] = ACTIONS(932),
    [anon_sym_RBRACE] = ACTIONS(930),
    [anon_sym_import] = ACTIONS(930),
    [anon_sym_with] = ACTIONS(930),
    [anon_sym_var] = ACTIONS(930),
    [anon_sym_let] = ACTIONS(930),
    [anon_sym_const] = ACTIONS(930),
    [anon_sym_if] = ACTIONS(930),
    [anon_sym_switch] = ACTIONS(930),
    [anon_sym_for] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(930),
    [anon_sym_await] = ACTIONS(930),
    [anon_sym_in] = ACTIONS(932),
    [anon_sym_while] = ACTIONS(930),
    [anon_sym_do] = ACTIONS(930),
    [anon_sym_try] = ACTIONS(930),
    [anon_sym_break] = ACTIONS(930),
    [anon_sym_continue] = ACTIONS(930),
    [anon_sym_debugger] = ACTIONS(930),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(930),
    [anon_sym_yield] = ACTIONS(930),
    [anon_sym_LBRACK] = ACTIONS(930),
    [anon_sym_LTtemplate_GT] = ACTIONS(930),
    [anon_sym_LT] = ACTIONS(930),
    [anon_sym_GT] = ACTIONS(932),
    [anon_sym_DOT] = ACTIONS(932),
    [anon_sym_DQUOTE] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(930),
    [anon_sym_class] = ACTIONS(930),
    [anon_sym_async] = ACTIONS(930),
    [anon_sym_function] = ACTIONS(930),
    [sym_optional_chain] = ACTIONS(932),
    [anon_sym_new] = ACTIONS(930),
    [anon_sym_AMP_AMP] = ACTIONS(932),
    [anon_sym_PIPE_PIPE] = ACTIONS(932),
    [anon_sym_GT_GT] = ACTIONS(932),
    [anon_sym_GT_GT_GT] = ACTIONS(932),
    [anon_sym_LT_LT] = ACTIONS(932),
    [anon_sym_AMP] = ACTIONS(932),
    [anon_sym_CARET] = ACTIONS(932),
    [anon_sym_PIPE] = ACTIONS(932),
    [anon_sym_PLUS] = ACTIONS(930),
    [anon_sym_DASH] = ACTIONS(930),
    [anon_sym_SLASH] = ACTIONS(930),
    [anon_sym_PERCENT] = ACTIONS(932),
    [anon_sym_STAR_STAR] = ACTIONS(932),
    [anon_sym_LT_EQ] = ACTIONS(932),
    [anon_sym_EQ_EQ] = ACTIONS(932),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(932),
    [anon_sym_BANG_EQ] = ACTIONS(932),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(932),
    [anon_sym_GT_EQ] = ACTIONS(932),
    [anon_sym_QMARK_QMARK] = ACTIONS(932),
    [anon_sym_instanceof] = ACTIONS(932),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_typeof] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(930),
    [anon_sym_delete] = ACTIONS(930),
    [anon_sym_PLUS_PLUS] = ACTIONS(930),
    [anon_sym_DASH_DASH] = ACTIONS(930),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(930),
    [sym_number] = ACTIONS(930),
    [sym_private_property_identifier] = ACTIONS(930),
    [sym_this] = ACTIONS(930),
    [sym_super] = ACTIONS(930),
    [sym_true] = ACTIONS(930),
    [sym_false] = ACTIONS(930),
    [sym_null] = ACTIONS(930),
    [sym_undefined] = ACTIONS(930),
    [anon_sym_AT] = ACTIONS(930),
    [anon_sym_static] = ACTIONS(930),
    [anon_sym_get] = ACTIONS(930),
    [anon_sym_set] = ACTIONS(930),
    [sym__automatic_semicolon] = ACTIONS(1069),
    [sym__ternary_qmark] = ACTIONS(936),
    [sym_html_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1174),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_spread_element] = STATE(1974),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(204),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [aux_sym_array_repeat1] = STATE(1973),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1061),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1071),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_comment] = STATE(205),
    [ts_builtin_sym_end] = ACTIONS(1019),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(963),
    [anon_sym_STAR] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(963),
    [anon_sym_COMMA] = ACTIONS(965),
    [anon_sym_RBRACE] = ACTIONS(963),
    [anon_sym_import] = ACTIONS(963),
    [anon_sym_with] = ACTIONS(963),
    [anon_sym_var] = ACTIONS(963),
    [anon_sym_let] = ACTIONS(963),
    [anon_sym_const] = ACTIONS(963),
    [anon_sym_if] = ACTIONS(963),
    [anon_sym_switch] = ACTIONS(963),
    [anon_sym_for] = ACTIONS(963),
    [anon_sym_LPAREN] = ACTIONS(963),
    [anon_sym_await] = ACTIONS(963),
    [anon_sym_in] = ACTIONS(965),
    [anon_sym_while] = ACTIONS(963),
    [anon_sym_do] = ACTIONS(963),
    [anon_sym_try] = ACTIONS(963),
    [anon_sym_break] = ACTIONS(963),
    [anon_sym_continue] = ACTIONS(963),
    [anon_sym_debugger] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(963),
    [anon_sym_throw] = ACTIONS(963),
    [anon_sym_SEMI] = ACTIONS(963),
    [anon_sym_yield] = ACTIONS(963),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LTtemplate_GT] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(963),
    [anon_sym_GT] = ACTIONS(965),
    [anon_sym_DOT] = ACTIONS(965),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_class] = ACTIONS(963),
    [anon_sym_async] = ACTIONS(963),
    [anon_sym_function] = ACTIONS(963),
    [sym_optional_chain] = ACTIONS(965),
    [anon_sym_new] = ACTIONS(963),
    [anon_sym_AMP_AMP] = ACTIONS(965),
    [anon_sym_PIPE_PIPE] = ACTIONS(965),
    [anon_sym_GT_GT] = ACTIONS(965),
    [anon_sym_GT_GT_GT] = ACTIONS(965),
    [anon_sym_LT_LT] = ACTIONS(965),
    [anon_sym_AMP] = ACTIONS(965),
    [anon_sym_CARET] = ACTIONS(965),
    [anon_sym_PIPE] = ACTIONS(965),
    [anon_sym_PLUS] = ACTIONS(963),
    [anon_sym_DASH] = ACTIONS(963),
    [anon_sym_SLASH] = ACTIONS(963),
    [anon_sym_PERCENT] = ACTIONS(965),
    [anon_sym_STAR_STAR] = ACTIONS(965),
    [anon_sym_LT_EQ] = ACTIONS(965),
    [anon_sym_EQ_EQ] = ACTIONS(965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(965),
    [anon_sym_BANG_EQ] = ACTIONS(965),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(965),
    [anon_sym_GT_EQ] = ACTIONS(965),
    [anon_sym_QMARK_QMARK] = ACTIONS(965),
    [anon_sym_instanceof] = ACTIONS(965),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [anon_sym_typeof] = ACTIONS(963),
    [anon_sym_void] = ACTIONS(963),
    [anon_sym_delete] = ACTIONS(963),
    [anon_sym_PLUS_PLUS] = ACTIONS(963),
    [anon_sym_DASH_DASH] = ACTIONS(963),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(963),
    [sym_number] = ACTIONS(963),
    [sym_private_property_identifier] = ACTIONS(963),
    [sym_this] = ACTIONS(963),
    [sym_super] = ACTIONS(963),
    [sym_true] = ACTIONS(963),
    [sym_false] = ACTIONS(963),
    [sym_null] = ACTIONS(963),
    [sym_undefined] = ACTIONS(963),
    [anon_sym_AT] = ACTIONS(963),
    [anon_sym_static] = ACTIONS(963),
    [anon_sym_get] = ACTIONS(963),
    [anon_sym_set] = ACTIONS(963),
    [sym__automatic_semicolon] = ACTIONS(1073),
    [sym__ternary_qmark] = ACTIONS(969),
    [sym_html_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_comment] = STATE(206),
    [ts_builtin_sym_end] = ACTIONS(1023),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(971),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(971),
    [anon_sym_COMMA] = ACTIONS(973),
    [anon_sym_RBRACE] = ACTIONS(971),
    [anon_sym_import] = ACTIONS(971),
    [anon_sym_with] = ACTIONS(971),
    [anon_sym_var] = ACTIONS(971),
    [anon_sym_let] = ACTIONS(971),
    [anon_sym_const] = ACTIONS(971),
    [anon_sym_if] = ACTIONS(971),
    [anon_sym_switch] = ACTIONS(971),
    [anon_sym_for] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(971),
    [anon_sym_await] = ACTIONS(971),
    [anon_sym_in] = ACTIONS(973),
    [anon_sym_while] = ACTIONS(971),
    [anon_sym_do] = ACTIONS(971),
    [anon_sym_try] = ACTIONS(971),
    [anon_sym_break] = ACTIONS(971),
    [anon_sym_continue] = ACTIONS(971),
    [anon_sym_debugger] = ACTIONS(971),
    [anon_sym_return] = ACTIONS(971),
    [anon_sym_throw] = ACTIONS(971),
    [anon_sym_SEMI] = ACTIONS(971),
    [anon_sym_yield] = ACTIONS(971),
    [anon_sym_LBRACK] = ACTIONS(971),
    [anon_sym_LTtemplate_GT] = ACTIONS(971),
    [anon_sym_LT] = ACTIONS(971),
    [anon_sym_GT] = ACTIONS(973),
    [anon_sym_DOT] = ACTIONS(973),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_class] = ACTIONS(971),
    [anon_sym_async] = ACTIONS(971),
    [anon_sym_function] = ACTIONS(971),
    [sym_optional_chain] = ACTIONS(973),
    [anon_sym_new] = ACTIONS(971),
    [anon_sym_AMP_AMP] = ACTIONS(973),
    [anon_sym_PIPE_PIPE] = ACTIONS(973),
    [anon_sym_GT_GT] = ACTIONS(973),
    [anon_sym_GT_GT_GT] = ACTIONS(973),
    [anon_sym_LT_LT] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(973),
    [anon_sym_CARET] = ACTIONS(973),
    [anon_sym_PIPE] = ACTIONS(973),
    [anon_sym_PLUS] = ACTIONS(971),
    [anon_sym_DASH] = ACTIONS(971),
    [anon_sym_SLASH] = ACTIONS(971),
    [anon_sym_PERCENT] = ACTIONS(973),
    [anon_sym_STAR_STAR] = ACTIONS(973),
    [anon_sym_LT_EQ] = ACTIONS(973),
    [anon_sym_EQ_EQ] = ACTIONS(973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(973),
    [anon_sym_BANG_EQ] = ACTIONS(973),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(973),
    [anon_sym_GT_EQ] = ACTIONS(973),
    [anon_sym_QMARK_QMARK] = ACTIONS(973),
    [anon_sym_instanceof] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(971),
    [anon_sym_TILDE] = ACTIONS(971),
    [anon_sym_typeof] = ACTIONS(971),
    [anon_sym_void] = ACTIONS(971),
    [anon_sym_delete] = ACTIONS(971),
    [anon_sym_PLUS_PLUS] = ACTIONS(971),
    [anon_sym_DASH_DASH] = ACTIONS(971),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(971),
    [sym_number] = ACTIONS(971),
    [sym_private_property_identifier] = ACTIONS(971),
    [sym_this] = ACTIONS(971),
    [sym_super] = ACTIONS(971),
    [sym_true] = ACTIONS(971),
    [sym_false] = ACTIONS(971),
    [sym_null] = ACTIONS(971),
    [sym_undefined] = ACTIONS(971),
    [anon_sym_AT] = ACTIONS(971),
    [anon_sym_static] = ACTIONS(971),
    [anon_sym_get] = ACTIONS(971),
    [anon_sym_set] = ACTIONS(971),
    [sym__automatic_semicolon] = ACTIONS(1075),
    [sym__ternary_qmark] = ACTIONS(977),
    [sym_html_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1145),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_spread_element] = STATE(1961),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(207),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [aux_sym_array_repeat1] = STATE(1960),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1061),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1077),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1323),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_assignment_pattern] = STATE(2451),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(920),
    [sym_subscript_expression] = STATE(920),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(1728),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(208),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [sym_pattern] = STATE(1938),
    [sym_rest_pattern] = STATE(1745),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_LBRACE] = ACTIONS(894),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(892),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1079),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(898),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(902),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(906),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(892),
    [anon_sym_get] = ACTIONS(892),
    [anon_sym_set] = ACTIONS(892),
    [sym_html_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1323),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_assignment_pattern] = STATE(2008),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(920),
    [sym_subscript_expression] = STATE(920),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(1728),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(209),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [sym_pattern] = STATE(1757),
    [sym_rest_pattern] = STATE(1745),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_LBRACE] = ACTIONS(894),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(892),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(999),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(898),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(902),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(906),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(892),
    [anon_sym_get] = ACTIONS(892),
    [anon_sym_set] = ACTIONS(892),
    [sym_html_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_comment] = STATE(210),
    [ts_builtin_sym_end] = ACTIONS(1027),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_COMMA] = ACTIONS(981),
    [anon_sym_RBRACE] = ACTIONS(979),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_with] = ACTIONS(979),
    [anon_sym_var] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_const] = ACTIONS(979),
    [anon_sym_if] = ACTIONS(979),
    [anon_sym_switch] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(979),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_await] = ACTIONS(979),
    [anon_sym_in] = ACTIONS(981),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_do] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(979),
    [anon_sym_break] = ACTIONS(979),
    [anon_sym_continue] = ACTIONS(979),
    [anon_sym_debugger] = ACTIONS(979),
    [anon_sym_return] = ACTIONS(979),
    [anon_sym_throw] = ACTIONS(979),
    [anon_sym_SEMI] = ACTIONS(979),
    [anon_sym_yield] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_LTtemplate_GT] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(979),
    [anon_sym_GT] = ACTIONS(981),
    [anon_sym_DOT] = ACTIONS(981),
    [anon_sym_DQUOTE] = ACTIONS(979),
    [anon_sym_SQUOTE] = ACTIONS(979),
    [anon_sym_class] = ACTIONS(979),
    [anon_sym_async] = ACTIONS(979),
    [anon_sym_function] = ACTIONS(979),
    [sym_optional_chain] = ACTIONS(981),
    [anon_sym_new] = ACTIONS(979),
    [anon_sym_AMP_AMP] = ACTIONS(981),
    [anon_sym_PIPE_PIPE] = ACTIONS(981),
    [anon_sym_GT_GT] = ACTIONS(981),
    [anon_sym_GT_GT_GT] = ACTIONS(981),
    [anon_sym_LT_LT] = ACTIONS(981),
    [anon_sym_AMP] = ACTIONS(981),
    [anon_sym_CARET] = ACTIONS(981),
    [anon_sym_PIPE] = ACTIONS(981),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_PERCENT] = ACTIONS(981),
    [anon_sym_STAR_STAR] = ACTIONS(981),
    [anon_sym_LT_EQ] = ACTIONS(981),
    [anon_sym_EQ_EQ] = ACTIONS(981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(981),
    [anon_sym_BANG_EQ] = ACTIONS(981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(981),
    [anon_sym_GT_EQ] = ACTIONS(981),
    [anon_sym_QMARK_QMARK] = ACTIONS(981),
    [anon_sym_instanceof] = ACTIONS(981),
    [anon_sym_BANG] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(979),
    [anon_sym_void] = ACTIONS(979),
    [anon_sym_delete] = ACTIONS(979),
    [anon_sym_PLUS_PLUS] = ACTIONS(979),
    [anon_sym_DASH_DASH] = ACTIONS(979),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(979),
    [sym_number] = ACTIONS(979),
    [sym_private_property_identifier] = ACTIONS(979),
    [sym_this] = ACTIONS(979),
    [sym_super] = ACTIONS(979),
    [sym_true] = ACTIONS(979),
    [sym_false] = ACTIONS(979),
    [sym_null] = ACTIONS(979),
    [sym_undefined] = ACTIONS(979),
    [anon_sym_AT] = ACTIONS(979),
    [anon_sym_static] = ACTIONS(979),
    [anon_sym_get] = ACTIONS(979),
    [anon_sym_set] = ACTIONS(979),
    [sym__automatic_semicolon] = ACTIONS(1081),
    [sym__ternary_qmark] = ACTIONS(985),
    [sym_html_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1323),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_assignment_pattern] = STATE(2451),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(920),
    [sym_subscript_expression] = STATE(920),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(1728),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(211),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [sym_pattern] = STATE(1938),
    [sym_rest_pattern] = STATE(1745),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_LBRACE] = ACTIONS(894),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(892),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1083),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(898),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(902),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(906),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(892),
    [anon_sym_get] = ACTIONS(892),
    [anon_sym_set] = ACTIONS(892),
    [sym_html_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_comment] = STATE(212),
    [ts_builtin_sym_end] = ACTIONS(997),
    [sym_identifier] = ACTIONS(995),
    [anon_sym_export] = ACTIONS(995),
    [anon_sym_STAR] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(995),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_RBRACE] = ACTIONS(995),
    [anon_sym_import] = ACTIONS(995),
    [anon_sym_with] = ACTIONS(995),
    [anon_sym_var] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(995),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_switch] = ACTIONS(995),
    [anon_sym_for] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(995),
    [anon_sym_await] = ACTIONS(995),
    [anon_sym_in] = ACTIONS(995),
    [anon_sym_while] = ACTIONS(995),
    [anon_sym_do] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(995),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [anon_sym_debugger] = ACTIONS(995),
    [anon_sym_return] = ACTIONS(995),
    [anon_sym_throw] = ACTIONS(995),
    [anon_sym_SEMI] = ACTIONS(995),
    [anon_sym_yield] = ACTIONS(995),
    [anon_sym_LBRACK] = ACTIONS(995),
    [anon_sym_LTtemplate_GT] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(995),
    [anon_sym_GT] = ACTIONS(995),
    [anon_sym_DOT] = ACTIONS(995),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_SQUOTE] = ACTIONS(995),
    [anon_sym_class] = ACTIONS(995),
    [anon_sym_async] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(995),
    [sym_optional_chain] = ACTIONS(995),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_AMP_AMP] = ACTIONS(995),
    [anon_sym_PIPE_PIPE] = ACTIONS(995),
    [anon_sym_GT_GT] = ACTIONS(995),
    [anon_sym_GT_GT_GT] = ACTIONS(995),
    [anon_sym_LT_LT] = ACTIONS(995),
    [anon_sym_AMP] = ACTIONS(995),
    [anon_sym_CARET] = ACTIONS(995),
    [anon_sym_PIPE] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(995),
    [anon_sym_DASH] = ACTIONS(995),
    [anon_sym_SLASH] = ACTIONS(995),
    [anon_sym_PERCENT] = ACTIONS(995),
    [anon_sym_STAR_STAR] = ACTIONS(995),
    [anon_sym_LT_EQ] = ACTIONS(995),
    [anon_sym_EQ_EQ] = ACTIONS(995),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(995),
    [anon_sym_BANG_EQ] = ACTIONS(995),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(995),
    [anon_sym_GT_EQ] = ACTIONS(995),
    [anon_sym_QMARK_QMARK] = ACTIONS(995),
    [anon_sym_instanceof] = ACTIONS(995),
    [anon_sym_BANG] = ACTIONS(995),
    [anon_sym_TILDE] = ACTIONS(995),
    [anon_sym_typeof] = ACTIONS(995),
    [anon_sym_void] = ACTIONS(995),
    [anon_sym_delete] = ACTIONS(995),
    [anon_sym_PLUS_PLUS] = ACTIONS(995),
    [anon_sym_DASH_DASH] = ACTIONS(995),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(995),
    [sym_number] = ACTIONS(995),
    [sym_private_property_identifier] = ACTIONS(995),
    [sym_this] = ACTIONS(995),
    [sym_super] = ACTIONS(995),
    [sym_true] = ACTIONS(995),
    [sym_false] = ACTIONS(995),
    [sym_null] = ACTIONS(995),
    [sym_undefined] = ACTIONS(995),
    [anon_sym_AT] = ACTIONS(995),
    [anon_sym_static] = ACTIONS(995),
    [anon_sym_get] = ACTIONS(995),
    [anon_sym_set] = ACTIONS(995),
    [sym__automatic_semicolon] = ACTIONS(997),
    [sym__ternary_qmark] = ACTIONS(997),
    [sym_html_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_comment] = STATE(213),
    [ts_builtin_sym_end] = ACTIONS(1031),
    [sym_identifier] = ACTIONS(987),
    [anon_sym_export] = ACTIONS(987),
    [anon_sym_STAR] = ACTIONS(989),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_COMMA] = ACTIONS(989),
    [anon_sym_RBRACE] = ACTIONS(987),
    [anon_sym_import] = ACTIONS(987),
    [anon_sym_with] = ACTIONS(987),
    [anon_sym_var] = ACTIONS(987),
    [anon_sym_let] = ACTIONS(987),
    [anon_sym_const] = ACTIONS(987),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_switch] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_LPAREN] = ACTIONS(987),
    [anon_sym_await] = ACTIONS(987),
    [anon_sym_in] = ACTIONS(989),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_do] = ACTIONS(987),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_break] = ACTIONS(987),
    [anon_sym_continue] = ACTIONS(987),
    [anon_sym_debugger] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_throw] = ACTIONS(987),
    [anon_sym_SEMI] = ACTIONS(987),
    [anon_sym_yield] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_LTtemplate_GT] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(987),
    [anon_sym_GT] = ACTIONS(989),
    [anon_sym_DOT] = ACTIONS(989),
    [anon_sym_DQUOTE] = ACTIONS(987),
    [anon_sym_SQUOTE] = ACTIONS(987),
    [anon_sym_class] = ACTIONS(987),
    [anon_sym_async] = ACTIONS(987),
    [anon_sym_function] = ACTIONS(987),
    [sym_optional_chain] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_AMP_AMP] = ACTIONS(989),
    [anon_sym_PIPE_PIPE] = ACTIONS(989),
    [anon_sym_GT_GT] = ACTIONS(989),
    [anon_sym_GT_GT_GT] = ACTIONS(989),
    [anon_sym_LT_LT] = ACTIONS(989),
    [anon_sym_AMP] = ACTIONS(989),
    [anon_sym_CARET] = ACTIONS(989),
    [anon_sym_PIPE] = ACTIONS(989),
    [anon_sym_PLUS] = ACTIONS(987),
    [anon_sym_DASH] = ACTIONS(987),
    [anon_sym_SLASH] = ACTIONS(987),
    [anon_sym_PERCENT] = ACTIONS(989),
    [anon_sym_STAR_STAR] = ACTIONS(989),
    [anon_sym_LT_EQ] = ACTIONS(989),
    [anon_sym_EQ_EQ] = ACTIONS(989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(989),
    [anon_sym_BANG_EQ] = ACTIONS(989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(989),
    [anon_sym_GT_EQ] = ACTIONS(989),
    [anon_sym_QMARK_QMARK] = ACTIONS(989),
    [anon_sym_instanceof] = ACTIONS(989),
    [anon_sym_BANG] = ACTIONS(987),
    [anon_sym_TILDE] = ACTIONS(987),
    [anon_sym_typeof] = ACTIONS(987),
    [anon_sym_void] = ACTIONS(987),
    [anon_sym_delete] = ACTIONS(987),
    [anon_sym_PLUS_PLUS] = ACTIONS(987),
    [anon_sym_DASH_DASH] = ACTIONS(987),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [sym_number] = ACTIONS(987),
    [sym_private_property_identifier] = ACTIONS(987),
    [sym_this] = ACTIONS(987),
    [sym_super] = ACTIONS(987),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_null] = ACTIONS(987),
    [sym_undefined] = ACTIONS(987),
    [anon_sym_AT] = ACTIONS(987),
    [anon_sym_static] = ACTIONS(987),
    [anon_sym_get] = ACTIONS(987),
    [anon_sym_set] = ACTIONS(987),
    [sym__automatic_semicolon] = ACTIONS(1085),
    [sym__ternary_qmark] = ACTIONS(993),
    [sym_html_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_comment] = STATE(214),
    [ts_builtin_sym_end] = ACTIONS(928),
    [sym_identifier] = ACTIONS(824),
    [anon_sym_export] = ACTIONS(824),
    [anon_sym_STAR] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(824),
    [anon_sym_COMMA] = ACTIONS(824),
    [anon_sym_RBRACE] = ACTIONS(824),
    [anon_sym_import] = ACTIONS(824),
    [anon_sym_with] = ACTIONS(824),
    [anon_sym_var] = ACTIONS(824),
    [anon_sym_let] = ACTIONS(824),
    [anon_sym_const] = ACTIONS(824),
    [anon_sym_if] = ACTIONS(824),
    [anon_sym_switch] = ACTIONS(824),
    [anon_sym_for] = ACTIONS(824),
    [anon_sym_LPAREN] = ACTIONS(824),
    [anon_sym_await] = ACTIONS(824),
    [anon_sym_in] = ACTIONS(824),
    [anon_sym_while] = ACTIONS(824),
    [anon_sym_do] = ACTIONS(824),
    [anon_sym_try] = ACTIONS(824),
    [anon_sym_break] = ACTIONS(824),
    [anon_sym_continue] = ACTIONS(824),
    [anon_sym_debugger] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(824),
    [anon_sym_throw] = ACTIONS(824),
    [anon_sym_SEMI] = ACTIONS(824),
    [anon_sym_yield] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(824),
    [anon_sym_LTtemplate_GT] = ACTIONS(824),
    [anon_sym_LT] = ACTIONS(824),
    [anon_sym_GT] = ACTIONS(824),
    [anon_sym_DOT] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(824),
    [anon_sym_SQUOTE] = ACTIONS(824),
    [anon_sym_class] = ACTIONS(824),
    [anon_sym_async] = ACTIONS(824),
    [anon_sym_function] = ACTIONS(824),
    [sym_optional_chain] = ACTIONS(824),
    [anon_sym_new] = ACTIONS(824),
    [anon_sym_AMP_AMP] = ACTIONS(824),
    [anon_sym_PIPE_PIPE] = ACTIONS(824),
    [anon_sym_GT_GT] = ACTIONS(824),
    [anon_sym_GT_GT_GT] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(824),
    [anon_sym_AMP] = ACTIONS(824),
    [anon_sym_CARET] = ACTIONS(824),
    [anon_sym_PIPE] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(824),
    [anon_sym_DASH] = ACTIONS(824),
    [anon_sym_SLASH] = ACTIONS(824),
    [anon_sym_PERCENT] = ACTIONS(824),
    [anon_sym_STAR_STAR] = ACTIONS(824),
    [anon_sym_LT_EQ] = ACTIONS(824),
    [anon_sym_EQ_EQ] = ACTIONS(824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(824),
    [anon_sym_BANG_EQ] = ACTIONS(824),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(824),
    [anon_sym_GT_EQ] = ACTIONS(824),
    [anon_sym_QMARK_QMARK] = ACTIONS(824),
    [anon_sym_instanceof] = ACTIONS(824),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_typeof] = ACTIONS(824),
    [anon_sym_void] = ACTIONS(824),
    [anon_sym_delete] = ACTIONS(824),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(824),
    [sym_number] = ACTIONS(824),
    [sym_private_property_identifier] = ACTIONS(824),
    [sym_this] = ACTIONS(824),
    [sym_super] = ACTIONS(824),
    [sym_true] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
    [sym_null] = ACTIONS(824),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(824),
    [anon_sym_static] = ACTIONS(824),
    [anon_sym_get] = ACTIONS(824),
    [anon_sym_set] = ACTIONS(824),
    [sym__automatic_semicolon] = ACTIONS(1087),
    [sym__ternary_qmark] = ACTIONS(928),
    [sym_html_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1170),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_spread_element] = STATE(1984),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(215),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [aux_sym_array_repeat1] = STATE(1983),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1061),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1089),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_comment] = STATE(216),
    [ts_builtin_sym_end] = ACTIONS(876),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(874),
    [anon_sym_STAR] = ACTIONS(874),
    [anon_sym_LBRACE] = ACTIONS(874),
    [anon_sym_COMMA] = ACTIONS(874),
    [anon_sym_RBRACE] = ACTIONS(874),
    [anon_sym_import] = ACTIONS(874),
    [anon_sym_with] = ACTIONS(874),
    [anon_sym_var] = ACTIONS(874),
    [anon_sym_let] = ACTIONS(874),
    [anon_sym_const] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(874),
    [anon_sym_for] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(874),
    [anon_sym_await] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_while] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(874),
    [anon_sym_try] = ACTIONS(874),
    [anon_sym_break] = ACTIONS(874),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(874),
    [anon_sym_return] = ACTIONS(874),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(874),
    [anon_sym_yield] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(874),
    [anon_sym_LTtemplate_GT] = ACTIONS(874),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DQUOTE] = ACTIONS(874),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [anon_sym_class] = ACTIONS(874),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(874),
    [sym_optional_chain] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(874),
    [anon_sym_GT_GT] = ACTIONS(874),
    [anon_sym_GT_GT_GT] = ACTIONS(874),
    [anon_sym_LT_LT] = ACTIONS(874),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(874),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_STAR_STAR] = ACTIONS(874),
    [anon_sym_LT_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(874),
    [anon_sym_QMARK_QMARK] = ACTIONS(874),
    [anon_sym_instanceof] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_typeof] = ACTIONS(874),
    [anon_sym_void] = ACTIONS(874),
    [anon_sym_delete] = ACTIONS(874),
    [anon_sym_PLUS_PLUS] = ACTIONS(874),
    [anon_sym_DASH_DASH] = ACTIONS(874),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(874),
    [sym_number] = ACTIONS(874),
    [sym_private_property_identifier] = ACTIONS(874),
    [sym_this] = ACTIONS(874),
    [sym_super] = ACTIONS(874),
    [sym_true] = ACTIONS(874),
    [sym_false] = ACTIONS(874),
    [sym_null] = ACTIONS(874),
    [sym_undefined] = ACTIONS(874),
    [anon_sym_AT] = ACTIONS(874),
    [anon_sym_static] = ACTIONS(874),
    [anon_sym_get] = ACTIONS(874),
    [anon_sym_set] = ACTIONS(874),
    [sym__automatic_semicolon] = ACTIONS(876),
    [sym__ternary_qmark] = ACTIONS(876),
    [sym_html_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_comment] = STATE(217),
    [ts_builtin_sym_end] = ACTIONS(888),
    [sym_identifier] = ACTIONS(886),
    [anon_sym_export] = ACTIONS(886),
    [anon_sym_STAR] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(886),
    [anon_sym_COMMA] = ACTIONS(886),
    [anon_sym_RBRACE] = ACTIONS(886),
    [anon_sym_import] = ACTIONS(886),
    [anon_sym_with] = ACTIONS(886),
    [anon_sym_var] = ACTIONS(886),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_const] = ACTIONS(886),
    [anon_sym_if] = ACTIONS(886),
    [anon_sym_switch] = ACTIONS(886),
    [anon_sym_for] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(886),
    [anon_sym_await] = ACTIONS(886),
    [anon_sym_in] = ACTIONS(886),
    [anon_sym_while] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(886),
    [anon_sym_try] = ACTIONS(886),
    [anon_sym_break] = ACTIONS(886),
    [anon_sym_continue] = ACTIONS(886),
    [anon_sym_debugger] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(886),
    [anon_sym_throw] = ACTIONS(886),
    [anon_sym_SEMI] = ACTIONS(886),
    [anon_sym_yield] = ACTIONS(886),
    [anon_sym_LBRACK] = ACTIONS(886),
    [anon_sym_LTtemplate_GT] = ACTIONS(886),
    [anon_sym_LT] = ACTIONS(886),
    [anon_sym_GT] = ACTIONS(886),
    [anon_sym_DOT] = ACTIONS(886),
    [anon_sym_DQUOTE] = ACTIONS(886),
    [anon_sym_SQUOTE] = ACTIONS(886),
    [anon_sym_class] = ACTIONS(886),
    [anon_sym_async] = ACTIONS(886),
    [anon_sym_function] = ACTIONS(886),
    [sym_optional_chain] = ACTIONS(886),
    [anon_sym_new] = ACTIONS(886),
    [anon_sym_AMP_AMP] = ACTIONS(886),
    [anon_sym_PIPE_PIPE] = ACTIONS(886),
    [anon_sym_GT_GT] = ACTIONS(886),
    [anon_sym_GT_GT_GT] = ACTIONS(886),
    [anon_sym_LT_LT] = ACTIONS(886),
    [anon_sym_AMP] = ACTIONS(886),
    [anon_sym_CARET] = ACTIONS(886),
    [anon_sym_PIPE] = ACTIONS(886),
    [anon_sym_PLUS] = ACTIONS(886),
    [anon_sym_DASH] = ACTIONS(886),
    [anon_sym_SLASH] = ACTIONS(886),
    [anon_sym_PERCENT] = ACTIONS(886),
    [anon_sym_STAR_STAR] = ACTIONS(886),
    [anon_sym_LT_EQ] = ACTIONS(886),
    [anon_sym_EQ_EQ] = ACTIONS(886),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(886),
    [anon_sym_BANG_EQ] = ACTIONS(886),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(886),
    [anon_sym_GT_EQ] = ACTIONS(886),
    [anon_sym_QMARK_QMARK] = ACTIONS(886),
    [anon_sym_instanceof] = ACTIONS(886),
    [anon_sym_BANG] = ACTIONS(886),
    [anon_sym_TILDE] = ACTIONS(886),
    [anon_sym_typeof] = ACTIONS(886),
    [anon_sym_void] = ACTIONS(886),
    [anon_sym_delete] = ACTIONS(886),
    [anon_sym_PLUS_PLUS] = ACTIONS(886),
    [anon_sym_DASH_DASH] = ACTIONS(886),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(886),
    [sym_number] = ACTIONS(886),
    [sym_private_property_identifier] = ACTIONS(886),
    [sym_this] = ACTIONS(886),
    [sym_super] = ACTIONS(886),
    [sym_true] = ACTIONS(886),
    [sym_false] = ACTIONS(886),
    [sym_null] = ACTIONS(886),
    [sym_undefined] = ACTIONS(886),
    [anon_sym_AT] = ACTIONS(886),
    [anon_sym_static] = ACTIONS(886),
    [anon_sym_get] = ACTIONS(886),
    [anon_sym_set] = ACTIONS(886),
    [sym__automatic_semicolon] = ACTIONS(1091),
    [sym__ternary_qmark] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1237),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_spread_element] = STATE(1957),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(218),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [aux_sym_array_repeat1] = STATE(1956),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1061),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1093),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_comment] = STATE(219),
    [ts_builtin_sym_end] = ACTIONS(1015),
    [sym_identifier] = ACTIONS(953),
    [anon_sym_export] = ACTIONS(953),
    [anon_sym_STAR] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_COMMA] = ACTIONS(955),
    [anon_sym_RBRACE] = ACTIONS(953),
    [anon_sym_import] = ACTIONS(953),
    [anon_sym_with] = ACTIONS(953),
    [anon_sym_var] = ACTIONS(953),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_const] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(953),
    [anon_sym_switch] = ACTIONS(953),
    [anon_sym_for] = ACTIONS(953),
    [anon_sym_LPAREN] = ACTIONS(953),
    [anon_sym_await] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(955),
    [anon_sym_while] = ACTIONS(953),
    [anon_sym_do] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(953),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_continue] = ACTIONS(953),
    [anon_sym_debugger] = ACTIONS(953),
    [anon_sym_return] = ACTIONS(953),
    [anon_sym_throw] = ACTIONS(953),
    [anon_sym_SEMI] = ACTIONS(953),
    [anon_sym_yield] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LTtemplate_GT] = ACTIONS(953),
    [anon_sym_LT] = ACTIONS(953),
    [anon_sym_GT] = ACTIONS(955),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_DQUOTE] = ACTIONS(953),
    [anon_sym_SQUOTE] = ACTIONS(953),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(953),
    [anon_sym_function] = ACTIONS(953),
    [sym_optional_chain] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_AMP_AMP] = ACTIONS(955),
    [anon_sym_PIPE_PIPE] = ACTIONS(955),
    [anon_sym_GT_GT] = ACTIONS(955),
    [anon_sym_GT_GT_GT] = ACTIONS(955),
    [anon_sym_LT_LT] = ACTIONS(955),
    [anon_sym_AMP] = ACTIONS(955),
    [anon_sym_CARET] = ACTIONS(955),
    [anon_sym_PIPE] = ACTIONS(955),
    [anon_sym_PLUS] = ACTIONS(953),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_SLASH] = ACTIONS(953),
    [anon_sym_PERCENT] = ACTIONS(955),
    [anon_sym_STAR_STAR] = ACTIONS(955),
    [anon_sym_LT_EQ] = ACTIONS(955),
    [anon_sym_EQ_EQ] = ACTIONS(955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(955),
    [anon_sym_BANG_EQ] = ACTIONS(955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(955),
    [anon_sym_GT_EQ] = ACTIONS(955),
    [anon_sym_QMARK_QMARK] = ACTIONS(955),
    [anon_sym_instanceof] = ACTIONS(955),
    [anon_sym_BANG] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(953),
    [anon_sym_void] = ACTIONS(953),
    [anon_sym_delete] = ACTIONS(953),
    [anon_sym_PLUS_PLUS] = ACTIONS(953),
    [anon_sym_DASH_DASH] = ACTIONS(953),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [sym_number] = ACTIONS(953),
    [sym_private_property_identifier] = ACTIONS(953),
    [sym_this] = ACTIONS(953),
    [sym_super] = ACTIONS(953),
    [sym_true] = ACTIONS(953),
    [sym_false] = ACTIONS(953),
    [sym_null] = ACTIONS(953),
    [sym_undefined] = ACTIONS(953),
    [anon_sym_AT] = ACTIONS(953),
    [anon_sym_static] = ACTIONS(953),
    [anon_sym_get] = ACTIONS(953),
    [anon_sym_set] = ACTIONS(953),
    [sym__automatic_semicolon] = ACTIONS(1095),
    [sym__ternary_qmark] = ACTIONS(959),
    [sym_html_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_comment] = STATE(220),
    [ts_builtin_sym_end] = ACTIONS(924),
    [sym_identifier] = ACTIONS(922),
    [anon_sym_export] = ACTIONS(922),
    [anon_sym_STAR] = ACTIONS(922),
    [anon_sym_LBRACE] = ACTIONS(922),
    [anon_sym_COMMA] = ACTIONS(922),
    [anon_sym_RBRACE] = ACTIONS(922),
    [anon_sym_import] = ACTIONS(922),
    [anon_sym_with] = ACTIONS(922),
    [anon_sym_var] = ACTIONS(922),
    [anon_sym_let] = ACTIONS(922),
    [anon_sym_const] = ACTIONS(922),
    [anon_sym_if] = ACTIONS(922),
    [anon_sym_switch] = ACTIONS(922),
    [anon_sym_for] = ACTIONS(922),
    [anon_sym_LPAREN] = ACTIONS(922),
    [anon_sym_await] = ACTIONS(922),
    [anon_sym_in] = ACTIONS(922),
    [anon_sym_while] = ACTIONS(922),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(922),
    [anon_sym_debugger] = ACTIONS(922),
    [anon_sym_return] = ACTIONS(922),
    [anon_sym_throw] = ACTIONS(922),
    [anon_sym_SEMI] = ACTIONS(922),
    [anon_sym_yield] = ACTIONS(922),
    [anon_sym_LBRACK] = ACTIONS(922),
    [anon_sym_LTtemplate_GT] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(922),
    [anon_sym_GT] = ACTIONS(922),
    [anon_sym_DOT] = ACTIONS(922),
    [anon_sym_DQUOTE] = ACTIONS(922),
    [anon_sym_SQUOTE] = ACTIONS(922),
    [anon_sym_class] = ACTIONS(922),
    [anon_sym_async] = ACTIONS(922),
    [anon_sym_function] = ACTIONS(922),
    [sym_optional_chain] = ACTIONS(922),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_AMP_AMP] = ACTIONS(922),
    [anon_sym_PIPE_PIPE] = ACTIONS(922),
    [anon_sym_GT_GT] = ACTIONS(922),
    [anon_sym_GT_GT_GT] = ACTIONS(922),
    [anon_sym_LT_LT] = ACTIONS(922),
    [anon_sym_AMP] = ACTIONS(922),
    [anon_sym_CARET] = ACTIONS(922),
    [anon_sym_PIPE] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(922),
    [anon_sym_DASH] = ACTIONS(922),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_PERCENT] = ACTIONS(922),
    [anon_sym_STAR_STAR] = ACTIONS(922),
    [anon_sym_LT_EQ] = ACTIONS(922),
    [anon_sym_EQ_EQ] = ACTIONS(922),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(922),
    [anon_sym_BANG_EQ] = ACTIONS(922),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(922),
    [anon_sym_GT_EQ] = ACTIONS(922),
    [anon_sym_QMARK_QMARK] = ACTIONS(922),
    [anon_sym_instanceof] = ACTIONS(922),
    [anon_sym_BANG] = ACTIONS(922),
    [anon_sym_TILDE] = ACTIONS(922),
    [anon_sym_typeof] = ACTIONS(922),
    [anon_sym_void] = ACTIONS(922),
    [anon_sym_delete] = ACTIONS(922),
    [anon_sym_PLUS_PLUS] = ACTIONS(922),
    [anon_sym_DASH_DASH] = ACTIONS(922),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(922),
    [sym_number] = ACTIONS(922),
    [sym_private_property_identifier] = ACTIONS(922),
    [sym_this] = ACTIONS(922),
    [sym_super] = ACTIONS(922),
    [sym_true] = ACTIONS(922),
    [sym_false] = ACTIONS(922),
    [sym_null] = ACTIONS(922),
    [sym_undefined] = ACTIONS(922),
    [anon_sym_AT] = ACTIONS(922),
    [anon_sym_static] = ACTIONS(922),
    [anon_sym_get] = ACTIONS(922),
    [anon_sym_set] = ACTIONS(922),
    [sym__automatic_semicolon] = ACTIONS(924),
    [sym__ternary_qmark] = ACTIONS(924),
    [sym_html_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_comment] = STATE(221),
    [ts_builtin_sym_end] = ACTIONS(1003),
    [sym_identifier] = ACTIONS(941),
    [anon_sym_export] = ACTIONS(941),
    [anon_sym_STAR] = ACTIONS(943),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(943),
    [anon_sym_RBRACE] = ACTIONS(941),
    [anon_sym_import] = ACTIONS(941),
    [anon_sym_with] = ACTIONS(941),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_let] = ACTIONS(941),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_switch] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_await] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(943),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(941),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_break] = ACTIONS(941),
    [anon_sym_continue] = ACTIONS(941),
    [anon_sym_debugger] = ACTIONS(941),
    [anon_sym_return] = ACTIONS(941),
    [anon_sym_throw] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(941),
    [anon_sym_yield] = ACTIONS(941),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_LTtemplate_GT] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(943),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_DQUOTE] = ACTIONS(941),
    [anon_sym_SQUOTE] = ACTIONS(941),
    [anon_sym_class] = ACTIONS(941),
    [anon_sym_async] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(941),
    [sym_optional_chain] = ACTIONS(943),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(943),
    [anon_sym_PIPE_PIPE] = ACTIONS(943),
    [anon_sym_GT_GT] = ACTIONS(943),
    [anon_sym_GT_GT_GT] = ACTIONS(943),
    [anon_sym_LT_LT] = ACTIONS(943),
    [anon_sym_AMP] = ACTIONS(943),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(943),
    [anon_sym_STAR_STAR] = ACTIONS(943),
    [anon_sym_LT_EQ] = ACTIONS(943),
    [anon_sym_EQ_EQ] = ACTIONS(943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(943),
    [anon_sym_BANG_EQ] = ACTIONS(943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(943),
    [anon_sym_GT_EQ] = ACTIONS(943),
    [anon_sym_QMARK_QMARK] = ACTIONS(943),
    [anon_sym_instanceof] = ACTIONS(943),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_typeof] = ACTIONS(941),
    [anon_sym_void] = ACTIONS(941),
    [anon_sym_delete] = ACTIONS(941),
    [anon_sym_PLUS_PLUS] = ACTIONS(941),
    [anon_sym_DASH_DASH] = ACTIONS(941),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(941),
    [sym_number] = ACTIONS(941),
    [sym_private_property_identifier] = ACTIONS(941),
    [sym_this] = ACTIONS(941),
    [sym_super] = ACTIONS(941),
    [sym_true] = ACTIONS(941),
    [sym_false] = ACTIONS(941),
    [sym_null] = ACTIONS(941),
    [sym_undefined] = ACTIONS(941),
    [anon_sym_AT] = ACTIONS(941),
    [anon_sym_static] = ACTIONS(941),
    [anon_sym_get] = ACTIONS(941),
    [anon_sym_set] = ACTIONS(941),
    [sym__automatic_semicolon] = ACTIONS(1097),
    [sym__ternary_qmark] = ACTIONS(947),
    [sym_html_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_comment] = STATE(222),
    [ts_builtin_sym_end] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(878),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_STAR] = ACTIONS(880),
    [anon_sym_LBRACE] = ACTIONS(878),
    [anon_sym_COMMA] = ACTIONS(880),
    [anon_sym_RBRACE] = ACTIONS(878),
    [anon_sym_import] = ACTIONS(878),
    [anon_sym_with] = ACTIONS(878),
    [anon_sym_var] = ACTIONS(878),
    [anon_sym_let] = ACTIONS(878),
    [anon_sym_const] = ACTIONS(878),
    [anon_sym_if] = ACTIONS(878),
    [anon_sym_switch] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(878),
    [anon_sym_LPAREN] = ACTIONS(878),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_in] = ACTIONS(880),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_do] = ACTIONS(878),
    [anon_sym_try] = ACTIONS(878),
    [anon_sym_break] = ACTIONS(878),
    [anon_sym_continue] = ACTIONS(878),
    [anon_sym_debugger] = ACTIONS(878),
    [anon_sym_return] = ACTIONS(878),
    [anon_sym_throw] = ACTIONS(878),
    [anon_sym_SEMI] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(878),
    [anon_sym_LBRACK] = ACTIONS(878),
    [anon_sym_LTtemplate_GT] = ACTIONS(878),
    [anon_sym_LT] = ACTIONS(878),
    [anon_sym_GT] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(880),
    [anon_sym_DQUOTE] = ACTIONS(878),
    [anon_sym_SQUOTE] = ACTIONS(878),
    [anon_sym_class] = ACTIONS(878),
    [anon_sym_async] = ACTIONS(878),
    [anon_sym_function] = ACTIONS(878),
    [sym_optional_chain] = ACTIONS(880),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_AMP_AMP] = ACTIONS(880),
    [anon_sym_PIPE_PIPE] = ACTIONS(880),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_GT_GT_GT] = ACTIONS(880),
    [anon_sym_LT_LT] = ACTIONS(880),
    [anon_sym_AMP] = ACTIONS(880),
    [anon_sym_CARET] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(878),
    [anon_sym_DASH] = ACTIONS(878),
    [anon_sym_SLASH] = ACTIONS(878),
    [anon_sym_PERCENT] = ACTIONS(880),
    [anon_sym_STAR_STAR] = ACTIONS(880),
    [anon_sym_LT_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(880),
    [anon_sym_GT_EQ] = ACTIONS(880),
    [anon_sym_QMARK_QMARK] = ACTIONS(880),
    [anon_sym_instanceof] = ACTIONS(880),
    [anon_sym_BANG] = ACTIONS(878),
    [anon_sym_TILDE] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(878),
    [anon_sym_void] = ACTIONS(878),
    [anon_sym_delete] = ACTIONS(878),
    [anon_sym_PLUS_PLUS] = ACTIONS(878),
    [anon_sym_DASH_DASH] = ACTIONS(878),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(878),
    [sym_number] = ACTIONS(878),
    [sym_private_property_identifier] = ACTIONS(878),
    [sym_this] = ACTIONS(878),
    [sym_super] = ACTIONS(878),
    [sym_true] = ACTIONS(878),
    [sym_false] = ACTIONS(878),
    [sym_null] = ACTIONS(878),
    [sym_undefined] = ACTIONS(878),
    [anon_sym_AT] = ACTIONS(878),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [sym__automatic_semicolon] = ACTIONS(1099),
    [sym__ternary_qmark] = ACTIONS(884),
    [sym_html_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1323),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_assignment_pattern] = STATE(2446),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(920),
    [sym_subscript_expression] = STATE(920),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(1728),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(223),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [sym_pattern] = STATE(1936),
    [sym_rest_pattern] = STATE(1745),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_LBRACE] = ACTIONS(894),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(892),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(898),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(902),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(906),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(892),
    [anon_sym_get] = ACTIONS(892),
    [anon_sym_set] = ACTIONS(892),
    [sym_html_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1272),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_assignment_pattern] = STATE(2446),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(915),
    [sym_subscript_expression] = STATE(915),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(1747),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(224),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [sym_pattern] = STATE(1936),
    [sym_rest_pattern] = STATE(1745),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_import] = STATE(1680),
    [sym_expression_statement] = STATE(242),
    [sym_empty_statement] = STATE(242),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1049),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2183),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(225),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(846),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_import] = STATE(1680),
    [sym_expression_statement] = STATE(239),
    [sym_empty_statement] = STATE(239),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1049),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2183),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(226),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(846),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1151),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_spread_element] = STATE(2605),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_sequence_expression] = STATE(2605),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(227),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_RBRACE] = ACTIONS(1101),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_import] = STATE(1680),
    [sym_expression_statement] = STATE(240),
    [sym_empty_statement] = STATE(240),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1049),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2183),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(228),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(846),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_import] = STATE(1680),
    [sym_expression_statement] = STATE(238),
    [sym_empty_statement] = STATE(238),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1049),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2183),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(229),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(846),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1323),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_assignment_pattern] = STATE(2451),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(920),
    [sym_subscript_expression] = STATE(920),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(1728),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(230),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [sym_pattern] = STATE(1938),
    [sym_rest_pattern] = STATE(1745),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_LBRACE] = ACTIONS(894),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(892),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(898),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(902),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(906),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(892),
    [anon_sym_get] = ACTIONS(892),
    [anon_sym_set] = ACTIONS(892),
    [sym_html_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_import] = STATE(1680),
    [sym_expression_statement] = STATE(243),
    [sym_empty_statement] = STATE(243),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1049),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2183),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(231),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(846),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1213),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_spread_element] = STATE(2599),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_sequence_expression] = STATE(2599),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(232),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_RBRACE] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1111),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2313),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(233),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(1105),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym__automatic_semicolon] = ACTIONS(1107),
    [sym_html_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1069),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2160),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(234),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(1109),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym__automatic_semicolon] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1125),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2080),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(235),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(1113),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym__automatic_semicolon] = ACTIONS(1115),
    [sym_html_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1102),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2202),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(236),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(1117),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym__automatic_semicolon] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1055),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2176),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(237),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym__automatic_semicolon] = ACTIONS(1123),
    [sym_html_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1236),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_sequence_expression] = STATE(2639),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(238),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1125),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1178),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_sequence_expression] = STATE(2622),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(239),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1127),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1207),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_sequence_expression] = STATE(2651),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(240),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1129),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(935),
    [sym_expression] = STATE(1323),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(935),
    [sym_subscript_expression] = STATE(935),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(1913),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(241),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(1131),
    [anon_sym_export] = ACTIONS(1133),
    [anon_sym_LBRACE] = ACTIONS(1135),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(1137),
    [anon_sym_let] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(1143),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(1145),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(1147),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1133),
    [anon_sym_get] = ACTIONS(1133),
    [anon_sym_set] = ACTIONS(1133),
    [sym_html_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1152),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_sequence_expression] = STATE(2606),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(242),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1149),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1209),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_sequence_expression] = STATE(2585),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(243),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1151),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1224),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_sequence_expression] = STATE(2615),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(244),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1215),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_sequence_expression] = STATE(2665),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(245),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_import] = STATE(1677),
    [sym_statement_block] = STATE(1048),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1295),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1515),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2618),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(246),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2617),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1056),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2180),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(247),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_import] = STATE(1680),
    [sym_statement_block] = STATE(1223),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(248),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_import] = STATE(1680),
    [sym_statement_block] = STATE(1176),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1052),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(249),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_import] = STATE(1680),
    [sym_statement_block] = STATE(1217),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1113),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(250),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1162),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_sequence_expression] = STATE(2662),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(251),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_import] = STATE(1677),
    [sym_statement_block] = STATE(966),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1303),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1515),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2618),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(252),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2617),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1323),
    [sym_primary_expression] = STATE(946),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(945),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(253),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2617),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(1157),
    [anon_sym_export] = ACTIONS(1159),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DOT] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(1163),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1159),
    [anon_sym_get] = ACTIONS(1159),
    [anon_sym_set] = ACTIONS(1159),
    [sym_html_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_import] = STATE(1680),
    [sym_statement_block] = STATE(1188),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1078),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(254),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_import] = STATE(1677),
    [sym_statement_block] = STATE(1000),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1319),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1515),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2618),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(255),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2617),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1160),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_sequence_expression] = STATE(2626),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(256),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_import] = STATE(1677),
    [sym_statement_block] = STATE(997),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1316),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1515),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2618),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(257),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2617),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_import] = STATE(1677),
    [sym_statement_block] = STATE(994),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1312),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1515),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2618),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(258),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2617),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1216),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_sequence_expression] = STATE(2604),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(259),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_import] = STATE(1680),
    [sym_statement_block] = STATE(1179),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1128),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(260),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1323),
    [sym_primary_expression] = STATE(946),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(945),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(261),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(1165),
    [anon_sym_export] = ACTIONS(1167),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1167),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DOT] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(1169),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1167),
    [anon_sym_get] = ACTIONS(1167),
    [anon_sym_set] = ACTIONS(1167),
    [sym_html_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1185),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_sequence_expression] = STATE(2620),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(262),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1180),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_sequence_expression] = STATE(2679),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(263),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_import] = STATE(1677),
    [sym_statement_block] = STATE(994),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1252),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(264),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_import] = STATE(1677),
    [sym_statement_block] = STATE(997),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(265),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1233),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_sequence_expression] = STATE(2610),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(266),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_import] = STATE(1677),
    [sym_statement_block] = STATE(1000),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1259),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(267),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_import] = STATE(1677),
    [sym_statement_block] = STATE(1022),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1318),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1515),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2618),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(268),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2617),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1127),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2082),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(269),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1197),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_sequence_expression] = STATE(2596),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(270),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_import] = STATE(1677),
    [sym_statement_block] = STATE(1048),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1263),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(271),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1198),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_sequence_expression] = STATE(2593),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(272),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_import] = STATE(1680),
    [sym_statement_block] = STATE(1167),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(273),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1194),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_sequence_expression] = STATE(2627),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(274),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_import] = STATE(1680),
    [sym_statement_block] = STATE(1223),
    [sym_parenthesized_expression] = STATE(922),
    [sym_expression] = STATE(1067),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(922),
    [sym_subscript_expression] = STATE(922),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1525),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2647),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(275),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2614),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_import] = STATE(1680),
    [sym_statement_block] = STATE(1217),
    [sym_parenthesized_expression] = STATE(922),
    [sym_expression] = STATE(1068),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(922),
    [sym_subscript_expression] = STATE(922),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1525),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2647),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(276),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2614),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_import] = STATE(1680),
    [sym_statement_block] = STATE(1188),
    [sym_parenthesized_expression] = STATE(922),
    [sym_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(922),
    [sym_subscript_expression] = STATE(922),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1525),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2647),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(277),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2614),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(890),
    [sym_expression] = STATE(1326),
    [sym_primary_expression] = STATE(1053),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1054),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(890),
    [sym_subscript_expression] = STATE(890),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(278),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2614),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(1171),
    [anon_sym_export] = ACTIONS(1173),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DOT] = ACTIONS(1175),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(1177),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(1179),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1173),
    [anon_sym_get] = ACTIONS(1173),
    [anon_sym_set] = ACTIONS(1173),
    [sym_html_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1108),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2204),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(279),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_import] = STATE(1677),
    [sym_statement_block] = STATE(966),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1253),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(280),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1205),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_sequence_expression] = STATE(2589),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(281),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_import] = STATE(1680),
    [sym_statement_block] = STATE(1176),
    [sym_parenthesized_expression] = STATE(922),
    [sym_expression] = STATE(1074),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(922),
    [sym_subscript_expression] = STATE(922),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1525),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2647),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(282),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2614),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_import] = STATE(1677),
    [sym_statement_block] = STATE(966),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(967),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(283),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1200),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_sequence_expression] = STATE(2616),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(284),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_import] = STATE(1680),
    [sym_statement_block] = STATE(1167),
    [sym_parenthesized_expression] = STATE(922),
    [sym_expression] = STATE(1095),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(922),
    [sym_subscript_expression] = STATE(922),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1525),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2647),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(285),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2614),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1190),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_sequence_expression] = STATE(2602),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(286),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1066),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2158),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(287),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1201),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_sequence_expression] = STATE(2595),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(288),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_import] = STATE(1680),
    [sym_statement_block] = STATE(1179),
    [sym_parenthesized_expression] = STATE(922),
    [sym_expression] = STATE(1103),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(922),
    [sym_subscript_expression] = STATE(922),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1525),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2647),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(289),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2614),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(890),
    [sym_expression] = STATE(1326),
    [sym_primary_expression] = STATE(1053),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1054),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(890),
    [sym_subscript_expression] = STATE(890),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(290),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(1183),
    [anon_sym_export] = ACTIONS(1185),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DOT] = ACTIONS(1175),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(1179),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1185),
    [anon_sym_get] = ACTIONS(1185),
    [anon_sym_set] = ACTIONS(1185),
    [sym_html_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_import] = STATE(1677),
    [sym_statement_block] = STATE(1022),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1023),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(291),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_import] = STATE(1677),
    [sym_statement_block] = STATE(1048),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1013),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(292),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_import] = STATE(1677),
    [sym_statement_block] = STATE(994),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(993),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(293),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1234),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_sequence_expression] = STATE(2645),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(294),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_import] = STATE(1677),
    [sym_statement_block] = STATE(1022),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(295),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1228),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_sequence_expression] = STATE(2648),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(296),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1110),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_sequence_expression] = STATE(2315),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(297),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_import] = STATE(1677),
    [sym_statement_block] = STATE(1000),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(999),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(298),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_import] = STATE(1677),
    [sym_statement_block] = STATE(997),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(995),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(299),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1195),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_sequence_expression] = STATE(2598),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(300),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1323),
    [sym_primary_expression] = STATE(946),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(945),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(301),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DOT] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(922),
    [sym_expression] = STATE(1104),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(922),
    [sym_subscript_expression] = STATE(922),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1525),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2647),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(302),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2614),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1097),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(303),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1031),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(304),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1032),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(305),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1033),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(306),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1065),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(307),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1034),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(308),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1035),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(309),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1036),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(310),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1037),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(311),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1038),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(312),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1071),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(313),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1039),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(314),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1040),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(315),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1041),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(316),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1285),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(317),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1278),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(318),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1042),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(319),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1273),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(320),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1047),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(321),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1254),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(322),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1275),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(323),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(922),
    [sym_expression] = STATE(1075),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(922),
    [sym_subscript_expression] = STATE(922),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1525),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2647),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(324),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2614),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1077),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(325),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1079),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(326),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1091),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(327),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(328),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1288),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(329),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(330),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1112),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(331),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1114),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(332),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1115),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(333),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1120),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(334),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(982),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(335),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1121),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(336),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1187),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(337),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1291),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(338),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(922),
    [sym_expression] = STATE(970),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(922),
    [sym_subscript_expression] = STATE(922),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1525),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2647),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(339),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2614),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(922),
    [sym_expression] = STATE(971),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(922),
    [sym_subscript_expression] = STATE(922),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1525),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2647),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(340),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2614),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(941),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(341),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1304),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1515),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2618),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(342),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2617),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1021),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(343),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(970),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(344),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1005),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(345),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1249),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(346),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(971),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(347),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(922),
    [sym_expression] = STATE(1098),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(922),
    [sym_subscript_expression] = STATE(922),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1525),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2647),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(348),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2614),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(922),
    [sym_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(922),
    [sym_subscript_expression] = STATE(922),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1525),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2647),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(349),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2614),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1261),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(350),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(922),
    [sym_expression] = STATE(1093),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(922),
    [sym_subscript_expression] = STATE(922),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1525),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2647),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(351),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2614),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1257),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(352),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(922),
    [sym_expression] = STATE(1090),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(922),
    [sym_subscript_expression] = STATE(922),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1525),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2647),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(353),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2614),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1255),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(354),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(922),
    [sym_expression] = STATE(1089),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(922),
    [sym_subscript_expression] = STATE(922),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1525),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2647),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(355),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2614),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(922),
    [sym_expression] = STATE(1088),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(922),
    [sym_subscript_expression] = STATE(922),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1525),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2647),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(356),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2614),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1199),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(357),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1300),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1515),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2618),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(358),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2617),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(922),
    [sym_expression] = STATE(1087),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(922),
    [sym_subscript_expression] = STATE(922),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1525),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2647),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(359),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2614),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(922),
    [sym_expression] = STATE(1086),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(922),
    [sym_subscript_expression] = STATE(922),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1525),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2647),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(360),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2614),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(922),
    [sym_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(922),
    [sym_subscript_expression] = STATE(922),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1525),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2647),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(361),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2614),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(922),
    [sym_expression] = STATE(1084),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(922),
    [sym_subscript_expression] = STATE(922),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1525),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2647),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(362),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2614),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(922),
    [sym_expression] = STATE(1083),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(922),
    [sym_subscript_expression] = STATE(922),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1525),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2647),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(363),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2614),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1123),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(364),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(922),
    [sym_expression] = STATE(1082),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(922),
    [sym_subscript_expression] = STATE(922),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1525),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2647),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(365),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2614),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(922),
    [sym_expression] = STATE(1081),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(922),
    [sym_subscript_expression] = STATE(922),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1525),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2647),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(366),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2614),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(922),
    [sym_expression] = STATE(1080),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(922),
    [sym_subscript_expression] = STATE(922),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1525),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2647),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(367),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2614),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(922),
    [sym_expression] = STATE(1076),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(922),
    [sym_subscript_expression] = STATE(922),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1525),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2647),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(368),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2614),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1293),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1515),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2618),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(369),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2617),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1299),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(370),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1260),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(371),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1308),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1515),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2618),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(372),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2617),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1024),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(373),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(965),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(374),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(941),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(375),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1262),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(376),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(939),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(377),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1246),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(378),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1264),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(379),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(940),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(380),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(960),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(381),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1306),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1515),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2618),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(382),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2617),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1314),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(383),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(922),
    [sym_expression] = STATE(1059),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(922),
    [sym_subscript_expression] = STATE(922),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1525),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2647),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(384),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2614),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1282),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(385),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1274),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(386),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1313),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(387),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(922),
    [sym_expression] = STATE(960),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(922),
    [sym_subscript_expression] = STATE(922),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1525),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2647),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(388),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2614),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1094),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(926),
    [sym_subscript_expression] = STATE(926),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(1854),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(389),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(1189),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(1195),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1289),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1515),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2618),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(390),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2617),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1247),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(391),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1283),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(392),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(940),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1515),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2618),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(393),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2617),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(394),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1320),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(395),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1305),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1515),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2618),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(396),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2617),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1307),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1515),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2618),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(397),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2617),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1309),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1515),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2618),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(398),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2617),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1310),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1515),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2618),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(399),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2617),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1290),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1515),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2618),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(400),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2617),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1061),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(401),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1515),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2618),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(402),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2617),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1094),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(403),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1321),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1515),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2618),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(404),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2617),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(939),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1515),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2618),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(405),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2617),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1050),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(406),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1292),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1515),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2618),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(407),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2617),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(940),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(408),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1118),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(409),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(939),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(410),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1317),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1515),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2618),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(411),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2617),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1302),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1515),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2618),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(412),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2617),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1250),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(413),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1298),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1515),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2618),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(414),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2617),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1130),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(415),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1276),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(416),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1058),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(417),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_import] = STATE(1680),
    [sym_parenthesized_expression] = STATE(916),
    [sym_expression] = STATE(1129),
    [sym_primary_expression] = STATE(1245),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(1212),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(1212),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(1244),
    [sym_glimmer_opening_tag] = STATE(1822),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_opening_element] = STATE(1546),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_class] = STATE(1212),
    [sym_function_expression] = STATE(1212),
    [sym_generator_function] = STATE(1212),
    [sym_arrow_function] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(916),
    [sym_subscript_expression] = STATE(916),
    [sym_assignment_expression] = STATE(1244),
    [sym__augmented_assignment_lhs] = STATE(1508),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym__destructuring_pattern] = STATE(2583),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_string] = STATE(1212),
    [sym_comment] = STATE(418),
    [sym_template_string] = STATE(1212),
    [sym_regex] = STATE(1212),
    [sym_meta_property] = STATE(1212),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2584),
    [aux_sym_export_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1315),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1515),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2618),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(419),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2617),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1301),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(860),
    [sym_subscript_expression] = STATE(860),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(420),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(941),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1515),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2618),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(421),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2617),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1272),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(422),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(885),
    [sym_expression] = STATE(1287),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(885),
    [sym_subscript_expression] = STATE(885),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(2680),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(423),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2682),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_import] = STATE(1677),
    [sym_parenthesized_expression] = STATE(860),
    [sym_expression] = STATE(1323),
    [sym_primary_expression] = STATE(974),
    [sym_yield_expression] = STATE(972),
    [sym_object] = STATE(975),
    [sym_object_pattern] = STATE(1621),
    [sym_array] = STATE(975),
    [sym_array_pattern] = STATE(1621),
    [sym_glimmer_template] = STATE(972),
    [sym_glimmer_opening_tag] = STATE(1772),
    [sym_jsx_element] = STATE(972),
    [sym_jsx_opening_element] = STATE(1541),
    [sym_jsx_self_closing_element] = STATE(972),
    [sym_class] = STATE(975),
    [sym_function_expression] = STATE(975),
    [sym_generator_function] = STATE(975),
    [sym_arrow_function] = STATE(975),
    [sym_call_expression] = STATE(975),
    [sym_new_expression] = STATE(972),
    [sym_await_expression] = STATE(972),
    [sym_member_expression] = STATE(919),
    [sym_subscript_expression] = STATE(919),
    [sym_assignment_expression] = STATE(972),
    [sym__augmented_assignment_lhs] = STATE(1513),
    [sym_augmented_assignment_expression] = STATE(972),
    [sym__destructuring_pattern] = STATE(1722),
    [sym_ternary_expression] = STATE(972),
    [sym_binary_expression] = STATE(972),
    [sym_unary_expression] = STATE(972),
    [sym_update_expression] = STATE(972),
    [sym_string] = STATE(975),
    [sym_comment] = STATE(424),
    [sym_template_string] = STATE(975),
    [sym_regex] = STATE(975),
    [sym_meta_property] = STATE(975),
    [sym_decorator] = STATE(1941),
    [sym_formal_parameters] = STATE(2636),
    [aux_sym_export_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(1197),
    [anon_sym_export] = ACTIONS(1199),
    [anon_sym_LBRACE] = ACTIONS(894),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(898),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(1203),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1199),
    [anon_sym_get] = ACTIONS(1199),
    [anon_sym_set] = ACTIONS(1199),
    [sym_html_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_namespace_export] = STATE(2429),
    [sym_export_clause] = STATE(1817),
    [sym_declaration] = STATE(797),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_class_declaration] = STATE(830),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function_declaration] = STATE(830),
    [sym_comment] = STATE(425),
    [sym_decorator] = STATE(1941),
    [aux_sym_export_statement_repeat1] = STATE(1763),
    [aux_sym_object_repeat1] = STATE(1981),
    [aux_sym_object_pattern_repeat1] = STATE(2032),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_RBRACE] = ACTIONS(1213),
    [anon_sym_var] = ACTIONS(1215),
    [anon_sym_let] = ACTIONS(1217),
    [anon_sym_const] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1219),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1224),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1229),
    [anon_sym_async] = ACTIONS(1231),
    [anon_sym_function] = ACTIONS(1233),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_namespace_export] = STATE(2429),
    [sym_export_clause] = STATE(1817),
    [sym_declaration] = STATE(797),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_class_declaration] = STATE(830),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function_declaration] = STATE(830),
    [sym_comment] = STATE(426),
    [sym_decorator] = STATE(1941),
    [aux_sym_export_statement_repeat1] = STATE(1763),
    [aux_sym_object_repeat1] = STATE(2035),
    [aux_sym_object_pattern_repeat1] = STATE(2032),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_RBRACE] = ACTIONS(1243),
    [anon_sym_var] = ACTIONS(1215),
    [anon_sym_let] = ACTIONS(1217),
    [anon_sym_const] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1219),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1224),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1229),
    [anon_sym_async] = ACTIONS(1231),
    [anon_sym_function] = ACTIONS(1233),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_namespace_export] = STATE(2429),
    [sym_export_clause] = STATE(1817),
    [sym_declaration] = STATE(797),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_class_declaration] = STATE(830),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function_declaration] = STATE(830),
    [sym_comment] = STATE(427),
    [sym_decorator] = STATE(1941),
    [aux_sym_export_statement_repeat1] = STATE(1763),
    [aux_sym_object_repeat1] = STATE(1981),
    [aux_sym_object_pattern_repeat1] = STATE(2032),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_RBRACE] = ACTIONS(1245),
    [anon_sym_var] = ACTIONS(1215),
    [anon_sym_let] = ACTIONS(1217),
    [anon_sym_const] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1219),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1224),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1229),
    [anon_sym_async] = ACTIONS(1231),
    [anon_sym_function] = ACTIONS(1233),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_namespace_export] = STATE(2536),
    [sym_export_clause] = STATE(1859),
    [sym_declaration] = STATE(726),
    [sym_variable_declaration] = STATE(725),
    [sym_lexical_declaration] = STATE(725),
    [sym_class_declaration] = STATE(725),
    [sym_function_declaration] = STATE(725),
    [sym_generator_function_declaration] = STATE(725),
    [sym_comment] = STATE(428),
    [sym_decorator] = STATE(1941),
    [aux_sym_export_statement_repeat1] = STATE(1891),
    [anon_sym_STAR] = ACTIONS(1247),
    [anon_sym_default] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1251),
    [anon_sym_let] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1255),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1259),
    [anon_sym_async] = ACTIONS(1261),
    [anon_sym_function] = ACTIONS(1263),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_string] = STATE(2413),
    [sym_comment] = STATE(429),
    [sym_formal_parameters] = STATE(2660),
    [sym__property_name] = STATE(2090),
    [sym_computed_property_name] = STATE(2413),
    [aux_sym_object_repeat1] = STATE(1981),
    [aux_sym_object_pattern_repeat1] = STATE(2032),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1272),
    [anon_sym_let] = ACTIONS(1267),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1267),
    [anon_sym_function] = ACTIONS(1288),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1294),
    [sym_private_property_identifier] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1267),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_namespace_export] = STATE(2401),
    [sym_export_clause] = STATE(1766),
    [sym_declaration] = STATE(629),
    [sym_variable_declaration] = STATE(627),
    [sym_lexical_declaration] = STATE(627),
    [sym_class_declaration] = STATE(627),
    [sym_function_declaration] = STATE(627),
    [sym_generator_function_declaration] = STATE(627),
    [sym_comment] = STATE(430),
    [sym_decorator] = STATE(1941),
    [aux_sym_export_statement_repeat1] = STATE(1897),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_default] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1302),
    [anon_sym_let] = ACTIONS(1304),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1306),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1308),
    [anon_sym_async] = ACTIONS(1310),
    [anon_sym_function] = ACTIONS(1312),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_string] = STATE(2413),
    [sym_comment] = STATE(431),
    [sym_formal_parameters] = STATE(2660),
    [sym__property_name] = STATE(2090),
    [sym_computed_property_name] = STATE(2413),
    [aux_sym_object_repeat1] = STATE(2035),
    [aux_sym_object_pattern_repeat1] = STATE(2032),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1267),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1267),
    [anon_sym_function] = ACTIONS(1288),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1294),
    [sym_private_property_identifier] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1267),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_namespace_export] = STATE(2429),
    [sym_export_clause] = STATE(1817),
    [sym_declaration] = STATE(797),
    [sym_variable_declaration] = STATE(830),
    [sym_lexical_declaration] = STATE(830),
    [sym_class_declaration] = STATE(830),
    [sym_function_declaration] = STATE(830),
    [sym_generator_function_declaration] = STATE(830),
    [sym_comment] = STATE(432),
    [sym_decorator] = STATE(1941),
    [aux_sym_export_statement_repeat1] = STATE(1763),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1215),
    [anon_sym_let] = ACTIONS(1217),
    [anon_sym_const] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1316),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1229),
    [anon_sym_async] = ACTIONS(1231),
    [anon_sym_function] = ACTIONS(1233),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_namespace_export] = STATE(2457),
    [sym_export_clause] = STATE(1777),
    [sym_declaration] = STATE(2428),
    [sym_variable_declaration] = STATE(2424),
    [sym_lexical_declaration] = STATE(2424),
    [sym_class_declaration] = STATE(2424),
    [sym_function_declaration] = STATE(2424),
    [sym_generator_function_declaration] = STATE(2424),
    [sym_comment] = STATE(433),
    [sym_decorator] = STATE(1941),
    [aux_sym_export_statement_repeat1] = STATE(1876),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_default] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1322),
    [anon_sym_let] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1326),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1328),
    [anon_sym_async] = ACTIONS(1330),
    [anon_sym_function] = ACTIONS(1332),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_namespace_export] = STATE(2533),
    [sym_export_clause] = STATE(1767),
    [sym_declaration] = STATE(647),
    [sym_variable_declaration] = STATE(645),
    [sym_lexical_declaration] = STATE(645),
    [sym_class_declaration] = STATE(645),
    [sym_function_declaration] = STATE(645),
    [sym_generator_function_declaration] = STATE(645),
    [sym_comment] = STATE(434),
    [sym_decorator] = STATE(1941),
    [aux_sym_export_statement_repeat1] = STATE(1886),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1338),
    [anon_sym_let] = ACTIONS(1340),
    [anon_sym_const] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1342),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1344),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(1348),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_string] = STATE(2413),
    [sym_comment] = STATE(435),
    [sym_formal_parameters] = STATE(2660),
    [sym__property_name] = STATE(2090),
    [sym_computed_property_name] = STATE(2413),
    [aux_sym_object_repeat1] = STATE(1981),
    [aux_sym_object_pattern_repeat1] = STATE(2032),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1267),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1267),
    [anon_sym_function] = ACTIONS(1288),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1294),
    [sym_private_property_identifier] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1267),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_string] = STATE(2413),
    [sym_comment] = STATE(436),
    [sym__property_name] = STATE(2090),
    [sym_computed_property_name] = STATE(2413),
    [aux_sym_object_repeat1] = STATE(1981),
    [aux_sym_object_pattern_repeat1] = STATE(2032),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1272),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1357),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1294),
    [sym_private_property_identifier] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1359),
    [anon_sym_set] = ACTIONS(1359),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [437] = {
    [sym_string] = STATE(2413),
    [sym_comment] = STATE(437),
    [sym__property_name] = STATE(2090),
    [sym_computed_property_name] = STATE(2413),
    [aux_sym_object_repeat1] = STATE(1981),
    [aux_sym_object_pattern_repeat1] = STATE(2032),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1272),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1352),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1294),
    [sym_private_property_identifier] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1352),
    [anon_sym_set] = ACTIONS(1352),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [438] = {
    [sym_string] = STATE(2413),
    [sym_comment] = STATE(438),
    [sym__property_name] = STATE(2090),
    [sym_computed_property_name] = STATE(2413),
    [aux_sym_object_repeat1] = STATE(2035),
    [aux_sym_object_pattern_repeat1] = STATE(2032),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1357),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1294),
    [sym_private_property_identifier] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1359),
    [anon_sym_set] = ACTIONS(1359),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [439] = {
    [sym_string] = STATE(2413),
    [sym_comment] = STATE(439),
    [sym__property_name] = STATE(2090),
    [sym_computed_property_name] = STATE(2413),
    [aux_sym_object_repeat1] = STATE(2035),
    [aux_sym_object_pattern_repeat1] = STATE(2032),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1352),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1294),
    [sym_private_property_identifier] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1352),
    [anon_sym_set] = ACTIONS(1352),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [440] = {
    [sym_string] = STATE(2413),
    [sym_comment] = STATE(440),
    [sym__property_name] = STATE(2090),
    [sym_computed_property_name] = STATE(2413),
    [aux_sym_object_repeat1] = STATE(1981),
    [aux_sym_object_pattern_repeat1] = STATE(2032),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1352),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1294),
    [sym_private_property_identifier] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1352),
    [anon_sym_set] = ACTIONS(1352),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [441] = {
    [sym_string] = STATE(2413),
    [sym_comment] = STATE(441),
    [sym__property_name] = STATE(2090),
    [sym_computed_property_name] = STATE(2413),
    [aux_sym_object_repeat1] = STATE(1981),
    [aux_sym_object_pattern_repeat1] = STATE(2032),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1357),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1294),
    [sym_private_property_identifier] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1359),
    [anon_sym_set] = ACTIONS(1359),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [442] = {
    [sym_comment] = STATE(442),
    [sym_formal_parameters] = STATE(2640),
    [sym_identifier] = ACTIONS(1361),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1222),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1372),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1363),
    [anon_sym_get] = ACTIONS(1363),
    [anon_sym_set] = ACTIONS(1363),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [443] = {
    [sym_comment] = STATE(443),
    [sym_formal_parameters] = STATE(2640),
    [sym_identifier] = ACTIONS(1361),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1222),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1372),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1363),
    [anon_sym_get] = ACTIONS(1363),
    [anon_sym_set] = ACTIONS(1363),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [444] = {
    [sym_comment] = STATE(444),
    [sym_formal_parameters] = STATE(2634),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_export] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_of] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1378),
    [anon_sym_function] = ACTIONS(1380),
    [anon_sym_EQ_GT] = ACTIONS(1382),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_get] = ACTIONS(1378),
    [anon_sym_set] = ACTIONS(1378),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [445] = {
    [sym_catch_clause] = STATE(469),
    [sym_finally_clause] = STATE(589),
    [sym_comment] = STATE(445),
    [sym_identifier] = ACTIONS(1384),
    [anon_sym_export] = ACTIONS(1384),
    [anon_sym_default] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_RBRACE] = ACTIONS(1384),
    [anon_sym_import] = ACTIONS(1384),
    [anon_sym_with] = ACTIONS(1384),
    [anon_sym_var] = ACTIONS(1384),
    [anon_sym_let] = ACTIONS(1384),
    [anon_sym_const] = ACTIONS(1384),
    [anon_sym_else] = ACTIONS(1384),
    [anon_sym_if] = ACTIONS(1384),
    [anon_sym_switch] = ACTIONS(1384),
    [anon_sym_for] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1384),
    [anon_sym_await] = ACTIONS(1384),
    [anon_sym_while] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1384),
    [anon_sym_try] = ACTIONS(1384),
    [anon_sym_break] = ACTIONS(1384),
    [anon_sym_continue] = ACTIONS(1384),
    [anon_sym_debugger] = ACTIONS(1384),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1384),
    [anon_sym_case] = ACTIONS(1384),
    [anon_sym_catch] = ACTIONS(1386),
    [anon_sym_finally] = ACTIONS(1388),
    [anon_sym_yield] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_LTtemplate_GT] = ACTIONS(1384),
    [anon_sym_LT] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_class] = ACTIONS(1384),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(1384),
    [anon_sym_new] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_SLASH] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_typeof] = ACTIONS(1384),
    [anon_sym_void] = ACTIONS(1384),
    [anon_sym_delete] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1384),
    [sym_number] = ACTIONS(1384),
    [sym_private_property_identifier] = ACTIONS(1384),
    [sym_this] = ACTIONS(1384),
    [sym_super] = ACTIONS(1384),
    [sym_true] = ACTIONS(1384),
    [sym_false] = ACTIONS(1384),
    [sym_null] = ACTIONS(1384),
    [sym_undefined] = ACTIONS(1384),
    [anon_sym_AT] = ACTIONS(1384),
    [anon_sym_static] = ACTIONS(1384),
    [anon_sym_get] = ACTIONS(1384),
    [anon_sym_set] = ACTIONS(1384),
    [sym_html_comment] = ACTIONS(5),
  },
  [446] = {
    [sym_comment] = STATE(446),
    [sym_formal_parameters] = STATE(2640),
    [sym_identifier] = ACTIONS(1361),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1390),
    [anon_sym_RBRACE] = ACTIONS(1390),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1390),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1372),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1363),
    [anon_sym_get] = ACTIONS(1363),
    [anon_sym_set] = ACTIONS(1363),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [447] = {
    [sym_variable_declarator] = STATE(1798),
    [sym_object_pattern] = STATE(1659),
    [sym_array_pattern] = STATE(1659),
    [sym__destructuring_pattern] = STATE(1738),
    [sym_comment] = STATE(447),
    [aux_sym_object_repeat1] = STATE(1981),
    [aux_sym_object_pattern_repeat1] = STATE(2032),
    [sym_identifier] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1272),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [448] = {
    [sym_comment] = STATE(448),
    [sym_formal_parameters] = STATE(2660),
    [sym_identifier] = ACTIONS(1402),
    [anon_sym_export] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1406),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1404),
    [anon_sym_function] = ACTIONS(1408),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1404),
    [anon_sym_get] = ACTIONS(1404),
    [anon_sym_set] = ACTIONS(1404),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [449] = {
    [sym_variable_declarator] = STATE(1798),
    [sym_object_pattern] = STATE(1659),
    [sym_array_pattern] = STATE(1659),
    [sym__destructuring_pattern] = STATE(1738),
    [sym_comment] = STATE(449),
    [aux_sym_object_repeat1] = STATE(2035),
    [aux_sym_object_pattern_repeat1] = STATE(2032),
    [sym_identifier] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1314),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [450] = {
    [sym_comment] = STATE(450),
    [sym_formal_parameters] = STATE(2660),
    [sym_identifier] = ACTIONS(1402),
    [anon_sym_export] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1404),
    [anon_sym_function] = ACTIONS(1380),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1404),
    [anon_sym_get] = ACTIONS(1404),
    [anon_sym_set] = ACTIONS(1404),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [451] = {
    [sym_comment] = STATE(451),
    [sym_formal_parameters] = STATE(2660),
    [sym_identifier] = ACTIONS(1402),
    [anon_sym_export] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1410),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1404),
    [anon_sym_function] = ACTIONS(1412),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1404),
    [anon_sym_get] = ACTIONS(1404),
    [anon_sym_set] = ACTIONS(1404),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [452] = {
    [sym_comment] = STATE(452),
    [sym_formal_parameters] = STATE(2634),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_export] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_of] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1378),
    [anon_sym_function] = ACTIONS(1380),
    [anon_sym_EQ_GT] = ACTIONS(1382),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_get] = ACTIONS(1378),
    [anon_sym_set] = ACTIONS(1378),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [453] = {
    [sym_comment] = STATE(453),
    [sym_formal_parameters] = STATE(2671),
    [sym_identifier] = ACTIONS(1416),
    [anon_sym_export] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_let] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1420),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1418),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1422),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1418),
    [anon_sym_get] = ACTIONS(1418),
    [anon_sym_set] = ACTIONS(1418),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [454] = {
    [sym_comment] = STATE(454),
    [sym_formal_parameters] = STATE(2660),
    [sym_identifier] = ACTIONS(1402),
    [anon_sym_export] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1424),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1404),
    [anon_sym_function] = ACTIONS(1426),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1404),
    [anon_sym_get] = ACTIONS(1404),
    [anon_sym_set] = ACTIONS(1404),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [455] = {
    [sym_comment] = STATE(455),
    [sym_formal_parameters] = STATE(2660),
    [sym_identifier] = ACTIONS(1402),
    [anon_sym_export] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1428),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1404),
    [anon_sym_function] = ACTIONS(1288),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1404),
    [anon_sym_get] = ACTIONS(1404),
    [anon_sym_set] = ACTIONS(1404),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [456] = {
    [sym_comment] = STATE(456),
    [sym_formal_parameters] = STATE(2660),
    [sym_identifier] = ACTIONS(1402),
    [anon_sym_export] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1430),
    [anon_sym_of] = ACTIONS(1433),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1404),
    [anon_sym_function] = ACTIONS(1380),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1404),
    [anon_sym_get] = ACTIONS(1404),
    [anon_sym_set] = ACTIONS(1404),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [457] = {
    [sym_comment] = STATE(457),
    [sym_formal_parameters] = STATE(2671),
    [sym_identifier] = ACTIONS(1416),
    [anon_sym_export] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1435),
    [anon_sym_RBRACE] = ACTIONS(1435),
    [anon_sym_let] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1435),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1435),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1418),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1422),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1418),
    [anon_sym_get] = ACTIONS(1418),
    [anon_sym_set] = ACTIONS(1418),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [458] = {
    [sym_comment] = STATE(458),
    [sym_formal_parameters] = STATE(2660),
    [sym_identifier] = ACTIONS(1402),
    [anon_sym_export] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1404),
    [anon_sym_function] = ACTIONS(1380),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1404),
    [anon_sym_get] = ACTIONS(1404),
    [anon_sym_set] = ACTIONS(1404),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [459] = {
    [sym_comment] = STATE(459),
    [sym_formal_parameters] = STATE(2660),
    [sym_identifier] = ACTIONS(1402),
    [anon_sym_export] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1440),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1404),
    [anon_sym_function] = ACTIONS(1442),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1404),
    [anon_sym_get] = ACTIONS(1404),
    [anon_sym_set] = ACTIONS(1404),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [460] = {
    [sym_variable_declarator] = STATE(1798),
    [sym_object_pattern] = STATE(1659),
    [sym_array_pattern] = STATE(1659),
    [sym__destructuring_pattern] = STATE(1738),
    [sym_comment] = STATE(460),
    [aux_sym_object_repeat1] = STATE(1981),
    [aux_sym_object_pattern_repeat1] = STATE(2032),
    [sym_identifier] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [461] = {
    [sym_comment] = STATE(461),
    [sym_formal_parameters] = STATE(2640),
    [sym_identifier] = ACTIONS(1361),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1444),
    [anon_sym_RBRACE] = ACTIONS(1444),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1372),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1363),
    [anon_sym_get] = ACTIONS(1363),
    [anon_sym_set] = ACTIONS(1363),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [462] = {
    [sym_comment] = STATE(462),
    [sym_identifier] = ACTIONS(824),
    [anon_sym_export] = ACTIONS(824),
    [anon_sym_default] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(824),
    [anon_sym_RBRACE] = ACTIONS(824),
    [anon_sym_import] = ACTIONS(824),
    [anon_sym_with] = ACTIONS(824),
    [anon_sym_var] = ACTIONS(824),
    [anon_sym_let] = ACTIONS(824),
    [anon_sym_const] = ACTIONS(824),
    [anon_sym_else] = ACTIONS(824),
    [anon_sym_if] = ACTIONS(824),
    [anon_sym_switch] = ACTIONS(824),
    [anon_sym_for] = ACTIONS(824),
    [anon_sym_LPAREN] = ACTIONS(824),
    [anon_sym_await] = ACTIONS(824),
    [anon_sym_while] = ACTIONS(824),
    [anon_sym_do] = ACTIONS(824),
    [anon_sym_try] = ACTIONS(824),
    [anon_sym_break] = ACTIONS(824),
    [anon_sym_continue] = ACTIONS(824),
    [anon_sym_debugger] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(824),
    [anon_sym_throw] = ACTIONS(824),
    [anon_sym_SEMI] = ACTIONS(824),
    [anon_sym_case] = ACTIONS(824),
    [anon_sym_catch] = ACTIONS(824),
    [anon_sym_finally] = ACTIONS(824),
    [anon_sym_yield] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(824),
    [anon_sym_LTtemplate_GT] = ACTIONS(824),
    [anon_sym_LT] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(824),
    [anon_sym_SQUOTE] = ACTIONS(824),
    [anon_sym_class] = ACTIONS(824),
    [anon_sym_async] = ACTIONS(824),
    [anon_sym_function] = ACTIONS(824),
    [anon_sym_new] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(824),
    [anon_sym_DASH] = ACTIONS(824),
    [anon_sym_SLASH] = ACTIONS(824),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_typeof] = ACTIONS(824),
    [anon_sym_void] = ACTIONS(824),
    [anon_sym_delete] = ACTIONS(824),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(824),
    [sym_number] = ACTIONS(824),
    [sym_private_property_identifier] = ACTIONS(824),
    [sym_this] = ACTIONS(824),
    [sym_super] = ACTIONS(824),
    [sym_true] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
    [sym_null] = ACTIONS(824),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(824),
    [anon_sym_static] = ACTIONS(824),
    [anon_sym_get] = ACTIONS(824),
    [anon_sym_set] = ACTIONS(824),
    [sym__automatic_semicolon] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [463] = {
    [sym_catch_clause] = STATE(484),
    [sym_finally_clause] = STATE(664),
    [sym_comment] = STATE(463),
    [ts_builtin_sym_end] = ACTIONS(1449),
    [sym_identifier] = ACTIONS(1384),
    [anon_sym_export] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_RBRACE] = ACTIONS(1384),
    [anon_sym_import] = ACTIONS(1384),
    [anon_sym_with] = ACTIONS(1384),
    [anon_sym_var] = ACTIONS(1384),
    [anon_sym_let] = ACTIONS(1384),
    [anon_sym_const] = ACTIONS(1384),
    [anon_sym_else] = ACTIONS(1384),
    [anon_sym_if] = ACTIONS(1384),
    [anon_sym_switch] = ACTIONS(1384),
    [anon_sym_for] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1384),
    [anon_sym_await] = ACTIONS(1384),
    [anon_sym_while] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1384),
    [anon_sym_try] = ACTIONS(1384),
    [anon_sym_break] = ACTIONS(1384),
    [anon_sym_continue] = ACTIONS(1384),
    [anon_sym_debugger] = ACTIONS(1384),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1384),
    [anon_sym_catch] = ACTIONS(1451),
    [anon_sym_finally] = ACTIONS(1453),
    [anon_sym_yield] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_LTtemplate_GT] = ACTIONS(1384),
    [anon_sym_LT] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_class] = ACTIONS(1384),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(1384),
    [anon_sym_new] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_SLASH] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_typeof] = ACTIONS(1384),
    [anon_sym_void] = ACTIONS(1384),
    [anon_sym_delete] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1384),
    [sym_number] = ACTIONS(1384),
    [sym_private_property_identifier] = ACTIONS(1384),
    [sym_this] = ACTIONS(1384),
    [sym_super] = ACTIONS(1384),
    [sym_true] = ACTIONS(1384),
    [sym_false] = ACTIONS(1384),
    [sym_null] = ACTIONS(1384),
    [sym_undefined] = ACTIONS(1384),
    [anon_sym_AT] = ACTIONS(1384),
    [anon_sym_static] = ACTIONS(1384),
    [anon_sym_get] = ACTIONS(1384),
    [anon_sym_set] = ACTIONS(1384),
    [sym_html_comment] = ACTIONS(5),
  },
  [464] = {
    [sym_comment] = STATE(464),
    [sym_identifier] = ACTIONS(886),
    [anon_sym_export] = ACTIONS(886),
    [anon_sym_default] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(886),
    [anon_sym_RBRACE] = ACTIONS(886),
    [anon_sym_import] = ACTIONS(886),
    [anon_sym_with] = ACTIONS(886),
    [anon_sym_var] = ACTIONS(886),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_const] = ACTIONS(886),
    [anon_sym_else] = ACTIONS(886),
    [anon_sym_if] = ACTIONS(886),
    [anon_sym_switch] = ACTIONS(886),
    [anon_sym_for] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(886),
    [anon_sym_await] = ACTIONS(886),
    [anon_sym_while] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(886),
    [anon_sym_try] = ACTIONS(886),
    [anon_sym_break] = ACTIONS(886),
    [anon_sym_continue] = ACTIONS(886),
    [anon_sym_debugger] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(886),
    [anon_sym_throw] = ACTIONS(886),
    [anon_sym_SEMI] = ACTIONS(886),
    [anon_sym_case] = ACTIONS(886),
    [anon_sym_catch] = ACTIONS(886),
    [anon_sym_finally] = ACTIONS(886),
    [anon_sym_yield] = ACTIONS(886),
    [anon_sym_LBRACK] = ACTIONS(886),
    [anon_sym_LTtemplate_GT] = ACTIONS(886),
    [anon_sym_LT] = ACTIONS(886),
    [anon_sym_DQUOTE] = ACTIONS(886),
    [anon_sym_SQUOTE] = ACTIONS(886),
    [anon_sym_class] = ACTIONS(886),
    [anon_sym_async] = ACTIONS(886),
    [anon_sym_function] = ACTIONS(886),
    [anon_sym_new] = ACTIONS(886),
    [anon_sym_PLUS] = ACTIONS(886),
    [anon_sym_DASH] = ACTIONS(886),
    [anon_sym_SLASH] = ACTIONS(886),
    [anon_sym_BANG] = ACTIONS(886),
    [anon_sym_TILDE] = ACTIONS(886),
    [anon_sym_typeof] = ACTIONS(886),
    [anon_sym_void] = ACTIONS(886),
    [anon_sym_delete] = ACTIONS(886),
    [anon_sym_PLUS_PLUS] = ACTIONS(886),
    [anon_sym_DASH_DASH] = ACTIONS(886),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(886),
    [sym_number] = ACTIONS(886),
    [sym_private_property_identifier] = ACTIONS(886),
    [sym_this] = ACTIONS(886),
    [sym_super] = ACTIONS(886),
    [sym_true] = ACTIONS(886),
    [sym_false] = ACTIONS(886),
    [sym_null] = ACTIONS(886),
    [sym_undefined] = ACTIONS(886),
    [anon_sym_AT] = ACTIONS(886),
    [anon_sym_static] = ACTIONS(886),
    [anon_sym_get] = ACTIONS(886),
    [anon_sym_set] = ACTIONS(886),
    [sym__automatic_semicolon] = ACTIONS(1455),
    [sym_html_comment] = ACTIONS(5),
  },
  [465] = {
    [sym_catch_clause] = STATE(508),
    [sym_finally_clause] = STATE(741),
    [sym_comment] = STATE(465),
    [sym_identifier] = ACTIONS(1384),
    [anon_sym_export] = ACTIONS(1384),
    [anon_sym_default] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_RBRACE] = ACTIONS(1384),
    [anon_sym_import] = ACTIONS(1384),
    [anon_sym_with] = ACTIONS(1384),
    [anon_sym_var] = ACTIONS(1384),
    [anon_sym_let] = ACTIONS(1384),
    [anon_sym_const] = ACTIONS(1384),
    [anon_sym_if] = ACTIONS(1384),
    [anon_sym_switch] = ACTIONS(1384),
    [anon_sym_for] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1384),
    [anon_sym_await] = ACTIONS(1384),
    [anon_sym_while] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1384),
    [anon_sym_try] = ACTIONS(1384),
    [anon_sym_break] = ACTIONS(1384),
    [anon_sym_continue] = ACTIONS(1384),
    [anon_sym_debugger] = ACTIONS(1384),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1384),
    [anon_sym_case] = ACTIONS(1384),
    [anon_sym_catch] = ACTIONS(1457),
    [anon_sym_finally] = ACTIONS(1459),
    [anon_sym_yield] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_LTtemplate_GT] = ACTIONS(1384),
    [anon_sym_LT] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_class] = ACTIONS(1384),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(1384),
    [anon_sym_new] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_SLASH] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_typeof] = ACTIONS(1384),
    [anon_sym_void] = ACTIONS(1384),
    [anon_sym_delete] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1384),
    [sym_number] = ACTIONS(1384),
    [sym_private_property_identifier] = ACTIONS(1384),
    [sym_this] = ACTIONS(1384),
    [sym_super] = ACTIONS(1384),
    [sym_true] = ACTIONS(1384),
    [sym_false] = ACTIONS(1384),
    [sym_null] = ACTIONS(1384),
    [sym_undefined] = ACTIONS(1384),
    [anon_sym_AT] = ACTIONS(1384),
    [anon_sym_static] = ACTIONS(1384),
    [anon_sym_get] = ACTIONS(1384),
    [anon_sym_set] = ACTIONS(1384),
    [sym_html_comment] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1461), 1,
      sym__automatic_semicolon,
    STATE(466), 1,
      sym_comment,
    ACTIONS(824), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [75] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1463), 1,
      sym__automatic_semicolon,
    STATE(467), 1,
      sym_comment,
    ACTIONS(886), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [150] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1449), 1,
      ts_builtin_sym_end,
    ACTIONS(1465), 1,
      anon_sym_catch,
    ACTIONS(1467), 1,
      anon_sym_finally,
    STATE(468), 1,
      sym_comment,
    STATE(548), 1,
      sym_catch_clause,
    STATE(826), 1,
      sym_finally_clause,
    ACTIONS(1384), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [233] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1388), 1,
      anon_sym_finally,
    STATE(469), 1,
      sym_comment,
    STATE(592), 1,
      sym_finally_clause,
    ACTIONS(1469), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [310] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1288), 1,
      anon_sym_function,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1402), 1,
      sym_identifier,
    STATE(470), 1,
      sym_comment,
    STATE(2660), 1,
      sym_formal_parameters,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(1404), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [401] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(888), 1,
      ts_builtin_sym_end,
    ACTIONS(1471), 1,
      sym__automatic_semicolon,
    STATE(471), 1,
      sym_comment,
    ACTIONS(886), 59,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [478] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1361), 1,
      sym_identifier,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1370), 1,
      anon_sym_function,
    ACTIONS(1372), 1,
      anon_sym_EQ_GT,
    ACTIONS(1390), 1,
      anon_sym_RBRACK,
    ACTIONS(1393), 1,
      anon_sym_EQ,
    ACTIONS(1435), 1,
      anon_sym_COMMA,
    STATE(472), 1,
      sym_comment,
    STATE(2640), 1,
      sym_formal_parameters,
    ACTIONS(1363), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 31,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [573] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1402), 1,
      sym_identifier,
    ACTIONS(1412), 1,
      anon_sym_function,
    STATE(473), 1,
      sym_comment,
    STATE(2660), 1,
      sym_formal_parameters,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(1404), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [664] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1473), 1,
      sym__automatic_semicolon,
    STATE(474), 1,
      sym_comment,
    ACTIONS(886), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [739] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(475), 1,
      sym_comment,
    ACTIONS(886), 61,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [812] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(476), 1,
      sym_comment,
    ACTIONS(922), 61,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [885] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(928), 1,
      ts_builtin_sym_end,
    ACTIONS(1475), 1,
      sym__automatic_semicolon,
    STATE(477), 1,
      sym_comment,
    ACTIONS(824), 59,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [962] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1477), 1,
      sym__automatic_semicolon,
    STATE(478), 1,
      sym_comment,
    ACTIONS(824), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1037] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1402), 1,
      sym_identifier,
    ACTIONS(1408), 1,
      anon_sym_function,
    STATE(479), 1,
      sym_comment,
    STATE(2660), 1,
      sym_formal_parameters,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(1404), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [1128] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1402), 1,
      sym_identifier,
    ACTIONS(1442), 1,
      anon_sym_function,
    STATE(480), 1,
      sym_comment,
    STATE(2660), 1,
      sym_formal_parameters,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(1404), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [1219] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1370), 1,
      anon_sym_function,
    ACTIONS(1416), 1,
      sym_identifier,
    ACTIONS(1422), 1,
      anon_sym_EQ_GT,
    STATE(481), 1,
      sym_comment,
    STATE(2671), 1,
      sym_formal_parameters,
    ACTIONS(1418), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [1310] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1402), 1,
      sym_identifier,
    ACTIONS(1426), 1,
      anon_sym_function,
    STATE(482), 1,
      sym_comment,
    STATE(2660), 1,
      sym_formal_parameters,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(1404), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [1401] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(997), 1,
      sym__automatic_semicolon,
    STATE(483), 1,
      sym_comment,
    ACTIONS(995), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1475] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1453), 1,
      anon_sym_finally,
    ACTIONS(1479), 1,
      ts_builtin_sym_end,
    STATE(484), 1,
      sym_comment,
    STATE(692), 1,
      sym_finally_clause,
    ACTIONS(1469), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1553] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(485), 1,
      sym_comment,
    ACTIONS(1481), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1625] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1485), 1,
      anon_sym_SEMI,
    ACTIONS(1487), 1,
      sym__automatic_semicolon,
    STATE(486), 1,
      sym_comment,
    ACTIONS(1483), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1701] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1396), 1,
      sym_identifier,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1400), 1,
      anon_sym_LBRACK,
    ACTIONS(1406), 1,
      anon_sym_COLON,
    STATE(487), 1,
      sym_comment,
    STATE(1738), 1,
      sym__destructuring_pattern,
    STATE(1791), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1659), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [1795] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(924), 1,
      sym__automatic_semicolon,
    STATE(488), 1,
      sym_comment,
    ACTIONS(922), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1869] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(888), 1,
      sym__automatic_semicolon,
    STATE(489), 1,
      sym_comment,
    ACTIONS(886), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1943] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1396), 1,
      sym_identifier,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1400), 1,
      anon_sym_LBRACK,
    ACTIONS(1410), 1,
      anon_sym_COLON,
    STATE(490), 1,
      sym_comment,
    STATE(1738), 1,
      sym__destructuring_pattern,
    STATE(1800), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1659), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [2037] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1489), 1,
      sym__automatic_semicolon,
    STATE(491), 1,
      sym_comment,
    ACTIONS(824), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2111] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1396), 1,
      sym_identifier,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1400), 1,
      anon_sym_LBRACK,
    ACTIONS(1428), 1,
      anon_sym_COLON,
    STATE(492), 1,
      sym_comment,
    STATE(1738), 1,
      sym__destructuring_pattern,
    STATE(1798), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1659), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [2205] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(493), 1,
      sym_comment,
    ACTIONS(922), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2277] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(494), 1,
      sym_comment,
    ACTIONS(886), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2349] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(830), 1,
      sym__automatic_semicolon,
    STATE(495), 1,
      sym_comment,
    ACTIONS(824), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2423] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(945), 1,
      sym__automatic_semicolon,
    STATE(496), 1,
      sym_comment,
    ACTIONS(941), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2497] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(497), 1,
      sym_comment,
    ACTIONS(922), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2569] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1491), 1,
      sym__automatic_semicolon,
    STATE(498), 1,
      sym_comment,
    ACTIONS(824), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2643] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(499), 1,
      sym_comment,
    ACTIONS(886), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2715] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1493), 1,
      sym__automatic_semicolon,
    STATE(500), 1,
      sym_comment,
    ACTIONS(886), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2789] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1495), 1,
      sym__automatic_semicolon,
    STATE(501), 1,
      sym_comment,
    ACTIONS(886), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2863] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(876), 1,
      sym__automatic_semicolon,
    STATE(502), 1,
      sym_comment,
    ACTIONS(874), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2937] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(928), 1,
      ts_builtin_sym_end,
    ACTIONS(1497), 1,
      sym__automatic_semicolon,
    STATE(503), 1,
      sym_comment,
    ACTIONS(824), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3013] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1501), 1,
      anon_sym_else,
    STATE(504), 1,
      sym_comment,
    STATE(634), 1,
      sym_else_clause,
    ACTIONS(1499), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3089] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1370), 1,
      anon_sym_function,
    ACTIONS(1416), 1,
      sym_identifier,
    ACTIONS(1422), 1,
      anon_sym_EQ_GT,
    ACTIONS(1430), 1,
      anon_sym_in,
    ACTIONS(1433), 1,
      anon_sym_of,
    STATE(505), 1,
      sym_comment,
    STATE(2671), 1,
      sym_formal_parameters,
    ACTIONS(1418), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 30,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [3183] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(888), 1,
      ts_builtin_sym_end,
    ACTIONS(1503), 1,
      sym__automatic_semicolon,
    STATE(506), 1,
      sym_comment,
    ACTIONS(886), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3259] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1507), 1,
      sym__automatic_semicolon,
    STATE(507), 1,
      sym_comment,
    ACTIONS(1505), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3333] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1459), 1,
      anon_sym_finally,
    STATE(508), 1,
      sym_comment,
    STATE(787), 1,
      sym_finally_clause,
    ACTIONS(1469), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3409] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1370), 1,
      anon_sym_function,
    ACTIONS(1509), 1,
      sym_identifier,
    ACTIONS(1513), 1,
      anon_sym_EQ_GT,
    STATE(509), 1,
      sym_comment,
    STATE(2612), 1,
      sym_formal_parameters,
    ACTIONS(1511), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [3499] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(924), 1,
      ts_builtin_sym_end,
    STATE(510), 1,
      sym_comment,
    ACTIONS(922), 59,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3573] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(888), 1,
      ts_builtin_sym_end,
    STATE(511), 1,
      sym_comment,
    ACTIONS(886), 59,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3647] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(991), 1,
      sym__automatic_semicolon,
    STATE(512), 1,
      sym_comment,
    ACTIONS(987), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3721] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1515), 1,
      anon_sym_else,
    STATE(513), 1,
      sym_comment,
    STATE(791), 1,
      sym_else_clause,
    ACTIONS(1499), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3797] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(882), 1,
      sym__automatic_semicolon,
    STATE(514), 1,
      sym_comment,
    ACTIONS(878), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3871] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1396), 1,
      sym_identifier,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1400), 1,
      anon_sym_LBRACK,
    ACTIONS(1440), 1,
      anon_sym_COLON,
    STATE(515), 1,
      sym_comment,
    STATE(1738), 1,
      sym__destructuring_pattern,
    STATE(1758), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1659), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [3965] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1396), 1,
      sym_identifier,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1400), 1,
      anon_sym_LBRACK,
    ACTIONS(1424), 1,
      anon_sym_COLON,
    STATE(516), 1,
      sym_comment,
    STATE(1738), 1,
      sym__destructuring_pattern,
    STATE(1770), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1659), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [4059] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(888), 1,
      ts_builtin_sym_end,
    ACTIONS(1517), 1,
      sym__automatic_semicolon,
    STATE(517), 1,
      sym_comment,
    ACTIONS(886), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4135] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1370), 1,
      anon_sym_function,
    ACTIONS(1509), 1,
      sym_identifier,
    ACTIONS(1513), 1,
      anon_sym_EQ_GT,
    ACTIONS(1519), 1,
      anon_sym_EQ,
    STATE(518), 1,
      sym_comment,
    STATE(2612), 1,
      sym_formal_parameters,
    ACTIONS(1511), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [4225] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(519), 1,
      sym_comment,
    ACTIONS(1521), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4297] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(934), 1,
      sym__automatic_semicolon,
    STATE(520), 1,
      sym_comment,
    ACTIONS(930), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4371] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1400), 1,
      anon_sym_LBRACK,
    ACTIONS(1430), 1,
      anon_sym_in,
    ACTIONS(1433), 1,
      anon_sym_of,
    ACTIONS(1523), 1,
      sym_identifier,
    STATE(521), 1,
      sym_comment,
    STATE(1600), 1,
      sym__destructuring_pattern,
    STATE(1846), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1659), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [4467] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(975), 1,
      sym__automatic_semicolon,
    STATE(522), 1,
      sym_comment,
    ACTIONS(971), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4541] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(983), 1,
      sym__automatic_semicolon,
    STATE(523), 1,
      sym_comment,
    ACTIONS(979), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4615] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(957), 1,
      sym__automatic_semicolon,
    STATE(524), 1,
      sym_comment,
    ACTIONS(953), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4689] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(967), 1,
      sym__automatic_semicolon,
    STATE(525), 1,
      sym_comment,
    ACTIONS(963), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4763] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1525), 1,
      sym__automatic_semicolon,
    STATE(526), 1,
      sym_comment,
    ACTIONS(886), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4837] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(928), 1,
      ts_builtin_sym_end,
    ACTIONS(1527), 1,
      sym__automatic_semicolon,
    STATE(527), 1,
      sym_comment,
    ACTIONS(824), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4913] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1015), 1,
      ts_builtin_sym_end,
    ACTIONS(1017), 1,
      sym__automatic_semicolon,
    STATE(528), 1,
      sym_comment,
    ACTIONS(953), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4988] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1041), 1,
      sym__automatic_semicolon,
    STATE(529), 1,
      sym_comment,
    ACTIONS(941), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5061] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1031), 1,
      ts_builtin_sym_end,
    ACTIONS(1033), 1,
      sym__automatic_semicolon,
    STATE(530), 1,
      sym_comment,
    ACTIONS(987), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5136] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1027), 1,
      ts_builtin_sym_end,
    ACTIONS(1029), 1,
      sym__automatic_semicolon,
    STATE(531), 1,
      sym_comment,
    ACTIONS(979), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5211] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1023), 1,
      ts_builtin_sym_end,
    ACTIONS(1025), 1,
      sym__automatic_semicolon,
    STATE(532), 1,
      sym_comment,
    ACTIONS(971), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5286] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(888), 1,
      ts_builtin_sym_end,
    ACTIONS(1529), 1,
      sym__automatic_semicolon,
    STATE(533), 1,
      sym_comment,
    ACTIONS(886), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5361] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1531), 1,
      sym__automatic_semicolon,
    STATE(534), 1,
      sym_comment,
    ACTIONS(886), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5434] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(535), 1,
      sym_comment,
    ACTIONS(1533), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5505] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1019), 1,
      ts_builtin_sym_end,
    ACTIONS(1021), 1,
      sym__automatic_semicolon,
    STATE(536), 1,
      sym_comment,
    ACTIONS(963), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5580] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(537), 1,
      sym_comment,
    ACTIONS(1535), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5651] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1011), 1,
      ts_builtin_sym_end,
    ACTIONS(1013), 1,
      sym__automatic_semicolon,
    STATE(538), 1,
      sym_comment,
    ACTIONS(930), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5726] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(539), 1,
      sym_comment,
    ACTIONS(1537), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5797] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(540), 1,
      sym_comment,
    ACTIONS(1537), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5868] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(541), 1,
      sym_comment,
    ACTIONS(1539), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5939] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1541), 1,
      ts_builtin_sym_end,
    STATE(542), 1,
      sym_comment,
    ACTIONS(1481), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6012] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1543), 1,
      ts_builtin_sym_end,
    ACTIONS(1545), 1,
      anon_sym_SEMI,
    ACTIONS(1547), 1,
      sym__automatic_semicolon,
    STATE(543), 1,
      sym_comment,
    ACTIONS(1483), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6089] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(924), 1,
      ts_builtin_sym_end,
    STATE(544), 1,
      sym_comment,
    ACTIONS(922), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6162] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1003), 1,
      ts_builtin_sym_end,
    ACTIONS(1005), 1,
      sym__automatic_semicolon,
    STATE(545), 1,
      sym_comment,
    ACTIONS(941), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6237] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(546), 1,
      sym_comment,
    ACTIONS(1549), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6308] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(547), 1,
      sym_comment,
    ACTIONS(1551), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6379] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1467), 1,
      anon_sym_finally,
    ACTIONS(1479), 1,
      ts_builtin_sym_end,
    STATE(548), 1,
      sym_comment,
    STATE(856), 1,
      sym_finally_clause,
    ACTIONS(1469), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6456] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1553), 1,
      ts_builtin_sym_end,
    ACTIONS(1555), 1,
      anon_sym_else,
    STATE(549), 1,
      sym_comment,
    STATE(688), 1,
      sym_else_clause,
    ACTIONS(1499), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6533] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(550), 1,
      sym_comment,
    ACTIONS(1557), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6604] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(551), 1,
      sym_comment,
    ACTIONS(1559), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6675] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(888), 1,
      ts_builtin_sym_end,
    STATE(552), 1,
      sym_comment,
    ACTIONS(886), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6748] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(553), 1,
      sym_comment,
    ACTIONS(1559), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6819] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(554), 1,
      sym_comment,
    ACTIONS(1561), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6890] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(555), 1,
      sym_comment,
    ACTIONS(1563), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6961] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(556), 1,
      sym_comment,
    ACTIONS(1565), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7032] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(557), 1,
      sym_comment,
    ACTIONS(1567), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7103] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(558), 1,
      sym_comment,
    ACTIONS(1569), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7174] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(559), 1,
      sym_comment,
    ACTIONS(1571), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7245] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(560), 1,
      sym_comment,
    ACTIONS(1573), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7316] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(561), 1,
      sym_comment,
    ACTIONS(1575), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7387] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(562), 1,
      sym_comment,
    ACTIONS(1577), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7458] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(563), 1,
      sym_comment,
    ACTIONS(1579), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7529] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(564), 1,
      sym_comment,
    ACTIONS(1581), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7600] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(888), 1,
      ts_builtin_sym_end,
    ACTIONS(1583), 1,
      sym__automatic_semicolon,
    STATE(565), 1,
      sym_comment,
    ACTIONS(886), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7675] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(566), 1,
      sym_comment,
    ACTIONS(1585), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7746] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(567), 1,
      sym_comment,
    ACTIONS(1587), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7817] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(568), 1,
      sym_comment,
    ACTIONS(1589), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7888] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1553), 1,
      ts_builtin_sym_end,
    ACTIONS(1591), 1,
      anon_sym_else,
    STATE(569), 1,
      sym_comment,
    STATE(812), 1,
      sym_else_clause,
    ACTIONS(1499), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7965] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(570), 1,
      sym_comment,
    ACTIONS(1593), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8036] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1035), 1,
      ts_builtin_sym_end,
    ACTIONS(1037), 1,
      sym__automatic_semicolon,
    STATE(571), 1,
      sym_comment,
    ACTIONS(878), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8111] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(572), 1,
      sym_comment,
    ACTIONS(1595), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8182] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(573), 1,
      sym_comment,
    ACTIONS(1597), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8253] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1599), 1,
      ts_builtin_sym_end,
    STATE(574), 1,
      sym_comment,
    ACTIONS(1521), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8326] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(575), 1,
      sym_comment,
    ACTIONS(1601), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8397] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(928), 1,
      ts_builtin_sym_end,
    ACTIONS(1603), 1,
      sym__automatic_semicolon,
    STATE(576), 1,
      sym_comment,
    ACTIONS(824), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8472] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(888), 1,
      ts_builtin_sym_end,
    ACTIONS(1605), 1,
      sym__automatic_semicolon,
    STATE(577), 1,
      sym_comment,
    ACTIONS(886), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8547] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(578), 1,
      sym_comment,
    ACTIONS(1507), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(1505), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8620] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(579), 1,
      sym_comment,
    ACTIONS(876), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(874), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8693] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(580), 1,
      sym_comment,
    ACTIONS(997), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(995), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8766] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1507), 1,
      sym__automatic_semicolon,
    STATE(581), 1,
      sym_comment,
    ACTIONS(1505), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8839] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(582), 1,
      sym_comment,
    ACTIONS(1607), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8910] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(876), 1,
      sym__automatic_semicolon,
    STATE(583), 1,
      sym_comment,
    ACTIONS(874), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8983] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(997), 1,
      sym__automatic_semicolon,
    STATE(584), 1,
      sym_comment,
    ACTIONS(995), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9056] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(585), 1,
      sym_comment,
    ACTIONS(1609), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9127] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1611), 1,
      anon_sym_SEMI,
    ACTIONS(1613), 1,
      sym__automatic_semicolon,
    STATE(586), 1,
      sym_comment,
    ACTIONS(1483), 57,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9202] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(587), 1,
      sym_comment,
    ACTIONS(1481), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9273] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(928), 1,
      ts_builtin_sym_end,
    ACTIONS(961), 1,
      sym__automatic_semicolon,
    STATE(588), 1,
      sym_comment,
    ACTIONS(824), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9348] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(589), 1,
      sym_comment,
    ACTIONS(1615), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9419] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(590), 1,
      sym_comment,
    ACTIONS(1617), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9490] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1043), 1,
      sym__automatic_semicolon,
    STATE(591), 1,
      sym_comment,
    ACTIONS(930), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9563] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(592), 1,
      sym_comment,
    ACTIONS(1619), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9634] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(888), 1,
      ts_builtin_sym_end,
    STATE(593), 1,
      sym_comment,
    ACTIONS(886), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9707] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1621), 1,
      sym__automatic_semicolon,
    STATE(594), 1,
      sym_comment,
    ACTIONS(886), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9780] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(924), 1,
      ts_builtin_sym_end,
    STATE(595), 1,
      sym_comment,
    ACTIONS(922), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9853] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(596), 1,
      sym_comment,
    ACTIONS(1623), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9924] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1045), 1,
      sym__automatic_semicolon,
    STATE(597), 1,
      sym_comment,
    ACTIONS(953), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9997] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(928), 1,
      ts_builtin_sym_end,
    ACTIONS(1625), 1,
      sym__automatic_semicolon,
    STATE(598), 1,
      sym_comment,
    ACTIONS(824), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10072] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(599), 1,
      sym_comment,
    ACTIONS(1627), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10143] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(600), 1,
      sym_comment,
    ACTIONS(1629), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10214] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(601), 1,
      sym_comment,
    ACTIONS(888), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(886), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10287] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1047), 1,
      sym__automatic_semicolon,
    STATE(602), 1,
      sym_comment,
    ACTIONS(963), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10360] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(603), 1,
      sym_comment,
    ACTIONS(1631), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10431] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(604), 1,
      sym_comment,
    ACTIONS(924), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(922), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10504] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1049), 1,
      sym__automatic_semicolon,
    STATE(605), 1,
      sym_comment,
    ACTIONS(971), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10577] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(606), 1,
      sym_comment,
    ACTIONS(1633), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10648] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1051), 1,
      sym__automatic_semicolon,
    STATE(607), 1,
      sym_comment,
    ACTIONS(979), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10721] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1053), 1,
      sym__automatic_semicolon,
    STATE(608), 1,
      sym_comment,
    ACTIONS(987), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10794] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(609), 1,
      sym_comment,
    ACTIONS(886), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10865] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(610), 1,
      sym_comment,
    ACTIONS(1633), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10936] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(611), 1,
      sym_comment,
    ACTIONS(1635), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11007] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(949), 1,
      sym__automatic_semicolon,
    STATE(612), 1,
      sym_comment,
    ACTIONS(824), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11080] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1055), 1,
      sym__automatic_semicolon,
    STATE(613), 1,
      sym_comment,
    ACTIONS(878), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11153] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(614), 1,
      sym_comment,
    ACTIONS(1633), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11224] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(615), 1,
      sym_comment,
    ACTIONS(922), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11295] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(616), 1,
      sym_comment,
    ACTIONS(1633), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11366] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(617), 1,
      sym_comment,
    ACTIONS(1633), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11437] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(618), 1,
      sym_comment,
    ACTIONS(886), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11508] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1637), 1,
      sym__automatic_semicolon,
    STATE(619), 1,
      sym_comment,
    ACTIONS(824), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11581] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(620), 1,
      sym_comment,
    ACTIONS(922), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11652] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(621), 1,
      sym_comment,
    ACTIONS(1633), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11723] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(622), 1,
      sym_comment,
    ACTIONS(1639), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11794] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(888), 1,
      sym__automatic_semicolon,
    STATE(623), 1,
      sym_comment,
    ACTIONS(886), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11867] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(624), 1,
      sym_comment,
    ACTIONS(1521), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11938] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(924), 1,
      sym__automatic_semicolon,
    STATE(625), 1,
      sym_comment,
    ACTIONS(922), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12011] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(626), 1,
      sym_comment,
    ACTIONS(1641), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12082] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(627), 1,
      sym_comment,
    ACTIONS(1643), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12153] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(628), 1,
      sym_comment,
    ACTIONS(1639), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12224] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(629), 1,
      sym_comment,
    ACTIONS(1645), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12295] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(630), 1,
      sym_comment,
    ACTIONS(1647), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12366] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(631), 1,
      sym_comment,
    ACTIONS(1649), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12437] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(632), 1,
      sym_comment,
    ACTIONS(1651), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12508] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(633), 1,
      sym_comment,
    ACTIONS(1653), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12579] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(634), 1,
      sym_comment,
    ACTIONS(1655), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12650] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(635), 1,
      sym_comment,
    ACTIONS(1657), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12721] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(636), 1,
      sym_comment,
    ACTIONS(1659), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12792] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(637), 1,
      sym_comment,
    ACTIONS(1661), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12863] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(638), 1,
      sym_comment,
    ACTIONS(1663), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12934] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(639), 1,
      sym_comment,
    ACTIONS(1665), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13005] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(640), 1,
      sym_comment,
    ACTIONS(1667), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13076] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1669), 1,
      ts_builtin_sym_end,
    STATE(641), 1,
      sym_comment,
    ACTIONS(1537), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13148] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(642), 1,
      sym_comment,
    ACTIONS(1639), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13218] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1671), 1,
      ts_builtin_sym_end,
    STATE(643), 1,
      sym_comment,
    ACTIONS(1575), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13290] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1673), 1,
      ts_builtin_sym_end,
    STATE(644), 1,
      sym_comment,
    ACTIONS(1641), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13362] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1675), 1,
      ts_builtin_sym_end,
    STATE(645), 1,
      sym_comment,
    ACTIONS(1643), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13434] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1396), 1,
      sym_identifier,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1400), 1,
      anon_sym_LBRACK,
    STATE(646), 1,
      sym_comment,
    STATE(1738), 1,
      sym__destructuring_pattern,
    STATE(1800), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1659), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13524] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(647), 1,
      sym_comment,
    ACTIONS(1645), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13596] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1679), 1,
      ts_builtin_sym_end,
    STATE(648), 1,
      sym_comment,
    ACTIONS(1647), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13668] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1681), 1,
      ts_builtin_sym_end,
    STATE(649), 1,
      sym_comment,
    ACTIONS(1649), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13740] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1683), 1,
      ts_builtin_sym_end,
    STATE(650), 1,
      sym_comment,
    ACTIONS(1651), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13812] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1685), 1,
      ts_builtin_sym_end,
    STATE(651), 1,
      sym_comment,
    ACTIONS(1657), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13884] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1687), 1,
      ts_builtin_sym_end,
    STATE(652), 1,
      sym_comment,
    ACTIONS(1581), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13956] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1689), 1,
      ts_builtin_sym_end,
    STATE(653), 1,
      sym_comment,
    ACTIONS(1661), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14028] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1691), 1,
      ts_builtin_sym_end,
    STATE(654), 1,
      sym_comment,
    ACTIONS(1665), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14100] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1693), 1,
      ts_builtin_sym_end,
    STATE(655), 1,
      sym_comment,
    ACTIONS(1667), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14172] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(656), 1,
      sym_comment,
    ACTIONS(1535), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14244] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1697), 1,
      ts_builtin_sym_end,
    STATE(657), 1,
      sym_comment,
    ACTIONS(1579), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14316] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1699), 1,
      ts_builtin_sym_end,
    STATE(658), 1,
      sym_comment,
    ACTIONS(1589), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14388] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(659), 1,
      sym_comment,
    ACTIONS(1593), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14460] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1703), 1,
      ts_builtin_sym_end,
    STATE(660), 1,
      sym_comment,
    ACTIONS(1585), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14532] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1705), 1,
      ts_builtin_sym_end,
    STATE(661), 1,
      sym_comment,
    ACTIONS(1587), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14604] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1707), 1,
      ts_builtin_sym_end,
    STATE(662), 1,
      sym_comment,
    ACTIONS(1601), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14676] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1396), 1,
      sym_identifier,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1400), 1,
      anon_sym_LBRACK,
    STATE(663), 1,
      sym_comment,
    STATE(1738), 1,
      sym__destructuring_pattern,
    STATE(1770), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1659), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14766] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1709), 1,
      ts_builtin_sym_end,
    STATE(664), 1,
      sym_comment,
    ACTIONS(1615), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14838] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(665), 1,
      sym_comment,
    ACTIONS(1617), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14910] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1713), 1,
      ts_builtin_sym_end,
    STATE(666), 1,
      sym_comment,
    ACTIONS(1623), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14982] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1715), 1,
      ts_builtin_sym_end,
    STATE(667), 1,
      sym_comment,
    ACTIONS(1627), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15054] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1717), 1,
      ts_builtin_sym_end,
    STATE(668), 1,
      sym_comment,
    ACTIONS(1629), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15126] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1719), 1,
      ts_builtin_sym_end,
    STATE(669), 1,
      sym_comment,
    ACTIONS(1631), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15198] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1721), 1,
      ts_builtin_sym_end,
    STATE(670), 1,
      sym_comment,
    ACTIONS(1633), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15270] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1543), 1,
      ts_builtin_sym_end,
    ACTIONS(1723), 1,
      anon_sym_SEMI,
    ACTIONS(1725), 1,
      sym__automatic_semicolon,
    STATE(671), 1,
      sym_comment,
    ACTIONS(1483), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15346] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1721), 1,
      ts_builtin_sym_end,
    STATE(672), 1,
      sym_comment,
    ACTIONS(1633), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15418] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1727), 1,
      ts_builtin_sym_end,
    STATE(673), 1,
      sym_comment,
    ACTIONS(1635), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15490] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1541), 1,
      ts_builtin_sym_end,
    STATE(674), 1,
      sym_comment,
    ACTIONS(1481), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15562] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1011), 1,
      ts_builtin_sym_end,
    ACTIONS(1069), 1,
      sym__automatic_semicolon,
    STATE(675), 1,
      sym_comment,
    ACTIONS(930), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15636] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1721), 1,
      ts_builtin_sym_end,
    STATE(676), 1,
      sym_comment,
    ACTIONS(1633), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15708] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1721), 1,
      ts_builtin_sym_end,
    STATE(677), 1,
      sym_comment,
    ACTIONS(1633), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15780] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1396), 1,
      sym_identifier,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1400), 1,
      anon_sym_LBRACK,
    STATE(678), 1,
      sym_comment,
    STATE(1738), 1,
      sym__destructuring_pattern,
    STATE(1758), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1659), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15870] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1015), 1,
      ts_builtin_sym_end,
    ACTIONS(1095), 1,
      sym__automatic_semicolon,
    STATE(679), 1,
      sym_comment,
    ACTIONS(953), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15944] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1721), 1,
      ts_builtin_sym_end,
    STATE(680), 1,
      sym_comment,
    ACTIONS(1633), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16016] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1019), 1,
      ts_builtin_sym_end,
    ACTIONS(1073), 1,
      sym__automatic_semicolon,
    STATE(681), 1,
      sym_comment,
    ACTIONS(963), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16090] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1721), 1,
      ts_builtin_sym_end,
    STATE(682), 1,
      sym_comment,
    ACTIONS(1633), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16162] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1729), 1,
      ts_builtin_sym_end,
    STATE(683), 1,
      sym_comment,
    ACTIONS(1639), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16234] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1729), 1,
      ts_builtin_sym_end,
    STATE(684), 1,
      sym_comment,
    ACTIONS(1639), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16306] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1731), 1,
      ts_builtin_sym_end,
    STATE(685), 1,
      sym_comment,
    ACTIONS(1653), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16378] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(686), 1,
      sym_comment,
    ACTIONS(1595), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16450] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1735), 1,
      ts_builtin_sym_end,
    STATE(687), 1,
      sym_comment,
    ACTIONS(1597), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16522] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1737), 1,
      ts_builtin_sym_end,
    STATE(688), 1,
      sym_comment,
    ACTIONS(1655), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16594] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1739), 1,
      ts_builtin_sym_end,
    STATE(689), 1,
      sym_comment,
    ACTIONS(1659), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16666] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1741), 1,
      ts_builtin_sym_end,
    STATE(690), 1,
      sym_comment,
    ACTIONS(1663), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16738] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1743), 1,
      ts_builtin_sym_end,
    STATE(691), 1,
      sym_comment,
    ACTIONS(1577), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16810] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1745), 1,
      ts_builtin_sym_end,
    STATE(692), 1,
      sym_comment,
    ACTIONS(1619), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16882] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1747), 1,
      ts_builtin_sym_end,
    STATE(693), 1,
      sym_comment,
    ACTIONS(1607), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16954] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1749), 1,
      ts_builtin_sym_end,
    STATE(694), 1,
      sym_comment,
    ACTIONS(1609), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17026] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1669), 1,
      ts_builtin_sym_end,
    STATE(695), 1,
      sym_comment,
    ACTIONS(1537), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17098] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(888), 1,
      ts_builtin_sym_end,
    ACTIONS(1751), 1,
      sym__automatic_semicolon,
    STATE(696), 1,
      sym_comment,
    ACTIONS(886), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17172] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1396), 1,
      sym_identifier,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1400), 1,
      anon_sym_LBRACK,
    STATE(697), 1,
      sym_comment,
    STATE(1738), 1,
      sym__destructuring_pattern,
    STATE(1791), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1659), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17262] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1396), 1,
      sym_identifier,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1400), 1,
      anon_sym_LBRACK,
    STATE(698), 1,
      sym_comment,
    STATE(1738), 1,
      sym__destructuring_pattern,
    STATE(1798), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1659), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17352] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(699), 1,
      sym_comment,
    ACTIONS(1753), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17422] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1755), 1,
      ts_builtin_sym_end,
    STATE(700), 1,
      sym_comment,
    ACTIONS(1539), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17494] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1757), 1,
      ts_builtin_sym_end,
    STATE(701), 1,
      sym_comment,
    ACTIONS(1549), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17566] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(702), 1,
      sym_comment,
    ACTIONS(1551), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17638] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1761), 1,
      ts_builtin_sym_end,
    STATE(703), 1,
      sym_comment,
    ACTIONS(1533), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17710] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1763), 1,
      ts_builtin_sym_end,
    STATE(704), 1,
      sym_comment,
    ACTIONS(1557), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17782] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1765), 1,
      ts_builtin_sym_end,
    STATE(705), 1,
      sym_comment,
    ACTIONS(1559), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17854] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1765), 1,
      ts_builtin_sym_end,
    STATE(706), 1,
      sym_comment,
    ACTIONS(1559), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17926] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1767), 1,
      ts_builtin_sym_end,
    STATE(707), 1,
      sym_comment,
    ACTIONS(1561), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17998] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1769), 1,
      ts_builtin_sym_end,
    STATE(708), 1,
      sym_comment,
    ACTIONS(1563), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18070] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1771), 1,
      ts_builtin_sym_end,
    STATE(709), 1,
      sym_comment,
    ACTIONS(1565), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18142] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1773), 1,
      ts_builtin_sym_end,
    STATE(710), 1,
      sym_comment,
    ACTIONS(1567), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18214] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(711), 1,
      sym_comment,
    ACTIONS(922), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18284] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(712), 1,
      sym_comment,
    ACTIONS(886), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18354] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(888), 1,
      ts_builtin_sym_end,
    ACTIONS(1775), 1,
      sym__automatic_semicolon,
    STATE(713), 1,
      sym_comment,
    ACTIONS(886), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18428] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(714), 1,
      sym_comment,
    ACTIONS(924), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(922), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18500] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(715), 1,
      sym_comment,
    ACTIONS(888), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(886), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18572] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(928), 1,
      ts_builtin_sym_end,
    ACTIONS(1777), 1,
      sym__automatic_semicolon,
    STATE(716), 1,
      sym_comment,
    ACTIONS(824), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18646] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1779), 1,
      ts_builtin_sym_end,
    STATE(717), 1,
      sym_comment,
    ACTIONS(1569), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18718] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1599), 1,
      ts_builtin_sym_end,
    STATE(718), 1,
      sym_comment,
    ACTIONS(1521), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18790] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1781), 1,
      ts_builtin_sym_end,
    STATE(719), 1,
      sym_comment,
    ACTIONS(1571), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18862] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(924), 1,
      ts_builtin_sym_end,
    STATE(720), 1,
      sym_comment,
    ACTIONS(922), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18934] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1783), 1,
      ts_builtin_sym_end,
    STATE(721), 1,
      sym_comment,
    ACTIONS(1573), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19006] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(888), 1,
      ts_builtin_sym_end,
    STATE(722), 1,
      sym_comment,
    ACTIONS(886), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19078] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1003), 1,
      ts_builtin_sym_end,
    ACTIONS(1097), 1,
      sym__automatic_semicolon,
    STATE(723), 1,
      sym_comment,
    ACTIONS(941), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19152] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(724), 1,
      sym_comment,
    ACTIONS(1641), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19222] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(725), 1,
      sym_comment,
    ACTIONS(1643), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19292] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(726), 1,
      sym_comment,
    ACTIONS(1645), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19362] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(727), 1,
      sym_comment,
    ACTIONS(1647), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19432] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(728), 1,
      sym_comment,
    ACTIONS(1649), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19502] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(729), 1,
      sym_comment,
    ACTIONS(1651), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19572] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(928), 1,
      ts_builtin_sym_end,
    ACTIONS(1009), 1,
      sym__automatic_semicolon,
    STATE(730), 1,
      sym_comment,
    ACTIONS(824), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19646] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(731), 1,
      sym_comment,
    ACTIONS(1657), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19716] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(732), 1,
      sym_comment,
    ACTIONS(1661), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19786] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(733), 1,
      sym_comment,
    ACTIONS(1665), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19856] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(734), 1,
      sym_comment,
    ACTIONS(1667), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19926] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(735), 1,
      sym_comment,
    ACTIONS(1535), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19996] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1035), 1,
      ts_builtin_sym_end,
    ACTIONS(1099), 1,
      sym__automatic_semicolon,
    STATE(736), 1,
      sym_comment,
    ACTIONS(878), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20070] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(737), 1,
      sym_comment,
    ACTIONS(1579), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20140] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(738), 1,
      sym_comment,
    ACTIONS(1585), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20210] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(739), 1,
      sym_comment,
    ACTIONS(1587), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20280] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(740), 1,
      sym_comment,
    ACTIONS(1601), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20350] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(741), 1,
      sym_comment,
    ACTIONS(1615), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20420] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(742), 1,
      sym_comment,
    ACTIONS(1617), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20490] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(743), 1,
      sym_comment,
    ACTIONS(1623), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20560] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(744), 1,
      sym_comment,
    ACTIONS(1627), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20630] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(745), 1,
      sym_comment,
    ACTIONS(1629), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20700] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(746), 1,
      sym_comment,
    ACTIONS(876), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(874), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20772] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(747), 1,
      sym_comment,
    ACTIONS(1631), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20842] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(748), 1,
      sym_comment,
    ACTIONS(1597), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20912] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(749), 1,
      sym_comment,
    ACTIONS(1595), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20982] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(750), 1,
      sym_comment,
    ACTIONS(1633), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21052] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(751), 1,
      sym_comment,
    ACTIONS(1633), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21122] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(924), 1,
      ts_builtin_sym_end,
    STATE(752), 1,
      sym_comment,
    ACTIONS(922), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21194] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(753), 1,
      sym_comment,
    ACTIONS(1635), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21264] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(754), 1,
      sym_comment,
    ACTIONS(1507), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(1505), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21336] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(755), 1,
      sym_comment,
    ACTIONS(1593), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21406] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(756), 1,
      sym_comment,
    ACTIONS(1589), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21476] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(888), 1,
      ts_builtin_sym_end,
    STATE(757), 1,
      sym_comment,
    ACTIONS(886), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21548] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(758), 1,
      sym_comment,
    ACTIONS(1581), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21618] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(759), 1,
      sym_comment,
    ACTIONS(1633), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21688] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(760), 1,
      sym_comment,
    ACTIONS(1575), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21758] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(761), 1,
      sym_comment,
    ACTIONS(1633), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21828] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(762), 1,
      sym_comment,
    ACTIONS(1573), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21898] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(763), 1,
      sym_comment,
    ACTIONS(1571), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21968] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(764), 1,
      sym_comment,
    ACTIONS(1569), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22038] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(765), 1,
      sym_comment,
    ACTIONS(1567), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22108] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(766), 1,
      sym_comment,
    ACTIONS(1633), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22178] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(767), 1,
      sym_comment,
    ACTIONS(1565), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22248] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(768), 1,
      sym_comment,
    ACTIONS(1563), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22318] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(769), 1,
      sym_comment,
    ACTIONS(1633), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22388] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(770), 1,
      sym_comment,
    ACTIONS(1639), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22458] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(771), 1,
      sym_comment,
    ACTIONS(1561), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22528] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(772), 1,
      sym_comment,
    ACTIONS(1559), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22598] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(773), 1,
      sym_comment,
    ACTIONS(1559), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22668] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1023), 1,
      ts_builtin_sym_end,
    ACTIONS(1075), 1,
      sym__automatic_semicolon,
    STATE(774), 1,
      sym_comment,
    ACTIONS(971), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22742] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1027), 1,
      ts_builtin_sym_end,
    ACTIONS(1081), 1,
      sym__automatic_semicolon,
    STATE(775), 1,
      sym_comment,
    ACTIONS(979), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22816] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1031), 1,
      ts_builtin_sym_end,
    ACTIONS(1085), 1,
      sym__automatic_semicolon,
    STATE(776), 1,
      sym_comment,
    ACTIONS(987), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22890] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(777), 1,
      sym_comment,
    ACTIONS(1557), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22960] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(778), 1,
      sym_comment,
    ACTIONS(1533), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23030] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(779), 1,
      sym_comment,
    ACTIONS(1551), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23100] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(780), 1,
      sym_comment,
    ACTIONS(1549), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23170] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(781), 1,
      sym_comment,
    ACTIONS(1539), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23240] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(782), 1,
      sym_comment,
    ACTIONS(1537), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23310] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(783), 1,
      sym_comment,
    ACTIONS(1537), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23380] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(784), 1,
      sym_comment,
    ACTIONS(1609), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23450] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(785), 1,
      sym_comment,
    ACTIONS(1607), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23520] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(786), 1,
      sym_comment,
    ACTIONS(997), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(995), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23592] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(787), 1,
      sym_comment,
    ACTIONS(1619), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23662] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(788), 1,
      sym_comment,
    ACTIONS(1577), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23732] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(789), 1,
      sym_comment,
    ACTIONS(1663), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23802] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(790), 1,
      sym_comment,
    ACTIONS(1659), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23872] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(791), 1,
      sym_comment,
    ACTIONS(1655), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23942] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(792), 1,
      sym_comment,
    ACTIONS(1653), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24012] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1715), 1,
      ts_builtin_sym_end,
    STATE(793), 1,
      sym_comment,
    ACTIONS(1627), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24083] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1731), 1,
      ts_builtin_sym_end,
    STATE(794), 1,
      sym_comment,
    ACTIONS(1653), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24154] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1765), 1,
      ts_builtin_sym_end,
    STATE(795), 1,
      sym_comment,
    ACTIONS(1559), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24225] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1767), 1,
      ts_builtin_sym_end,
    STATE(796), 1,
      sym_comment,
    ACTIONS(1561), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24296] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(797), 1,
      sym_comment,
    ACTIONS(1645), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24367] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1735), 1,
      ts_builtin_sym_end,
    STATE(798), 1,
      sym_comment,
    ACTIONS(1597), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24438] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1689), 1,
      ts_builtin_sym_end,
    STATE(799), 1,
      sym_comment,
    ACTIONS(1661), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24509] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1224), 1,
      anon_sym_COLON,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1243), 1,
      anon_sym_RBRACE,
    ACTIONS(1789), 1,
      anon_sym_LPAREN,
    ACTIONS(1792), 1,
      anon_sym_EQ,
    ACTIONS(1794), 1,
      anon_sym_EQ_GT,
    STATE(800), 1,
      sym_comment,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2035), 1,
      aux_sym_object_repeat1,
    ACTIONS(1787), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24596] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1213), 1,
      anon_sym_RBRACE,
    ACTIONS(1224), 1,
      anon_sym_COLON,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1789), 1,
      anon_sym_LPAREN,
    ACTIONS(1792), 1,
      anon_sym_EQ,
    ACTIONS(1794), 1,
      anon_sym_EQ_GT,
    STATE(801), 1,
      sym_comment,
    STATE(1981), 1,
      aux_sym_object_repeat1,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1787), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24683] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1741), 1,
      ts_builtin_sym_end,
    STATE(802), 1,
      sym_comment,
    ACTIONS(1663), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24754] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1691), 1,
      ts_builtin_sym_end,
    STATE(803), 1,
      sym_comment,
    ACTIONS(1665), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24825] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1765), 1,
      ts_builtin_sym_end,
    STATE(804), 1,
      sym_comment,
    ACTIONS(1559), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24896] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(924), 1,
      ts_builtin_sym_end,
    STATE(805), 1,
      sym_comment,
    ACTIONS(922), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24967] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1763), 1,
      ts_builtin_sym_end,
    STATE(806), 1,
      sym_comment,
    ACTIONS(1557), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25038] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1761), 1,
      ts_builtin_sym_end,
    STATE(807), 1,
      sym_comment,
    ACTIONS(1533), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25109] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1749), 1,
      ts_builtin_sym_end,
    STATE(808), 1,
      sym_comment,
    ACTIONS(1609), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25180] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1693), 1,
      ts_builtin_sym_end,
    STATE(809), 1,
      sym_comment,
    ACTIONS(1667), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25251] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(888), 1,
      ts_builtin_sym_end,
    STATE(810), 1,
      sym_comment,
    ACTIONS(886), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25322] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(811), 1,
      sym_comment,
    ACTIONS(1551), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25393] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1737), 1,
      ts_builtin_sym_end,
    STATE(812), 1,
      sym_comment,
    ACTIONS(1655), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25464] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1699), 1,
      ts_builtin_sym_end,
    STATE(813), 1,
      sym_comment,
    ACTIONS(1589), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25535] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1739), 1,
      ts_builtin_sym_end,
    STATE(814), 1,
      sym_comment,
    ACTIONS(1659), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25606] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1721), 1,
      ts_builtin_sym_end,
    STATE(815), 1,
      sym_comment,
    ACTIONS(1633), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25677] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1769), 1,
      ts_builtin_sym_end,
    STATE(816), 1,
      sym_comment,
    ACTIONS(1563), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25748] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1717), 1,
      ts_builtin_sym_end,
    STATE(817), 1,
      sym_comment,
    ACTIONS(1629), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25819] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1721), 1,
      ts_builtin_sym_end,
    STATE(818), 1,
      sym_comment,
    ACTIONS(1633), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25890] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1713), 1,
      ts_builtin_sym_end,
    STATE(819), 1,
      sym_comment,
    ACTIONS(1623), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25961] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1721), 1,
      ts_builtin_sym_end,
    STATE(820), 1,
      sym_comment,
    ACTIONS(1633), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26032] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1747), 1,
      ts_builtin_sym_end,
    STATE(821), 1,
      sym_comment,
    ACTIONS(1607), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26103] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1721), 1,
      ts_builtin_sym_end,
    STATE(822), 1,
      sym_comment,
    ACTIONS(1633), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26174] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(823), 1,
      sym_comment,
    ACTIONS(1595), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26245] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(824), 1,
      sym_comment,
    ACTIONS(1617), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26316] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1783), 1,
      ts_builtin_sym_end,
    STATE(825), 1,
      sym_comment,
    ACTIONS(1573), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26387] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1709), 1,
      ts_builtin_sym_end,
    STATE(826), 1,
      sym_comment,
    ACTIONS(1615), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26458] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1707), 1,
      ts_builtin_sym_end,
    STATE(827), 1,
      sym_comment,
    ACTIONS(1601), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26529] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1679), 1,
      ts_builtin_sym_end,
    STATE(828), 1,
      sym_comment,
    ACTIONS(1647), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26600] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(829), 1,
      sym_comment,
    ACTIONS(1535), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26671] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1675), 1,
      ts_builtin_sym_end,
    STATE(830), 1,
      sym_comment,
    ACTIONS(1643), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26742] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1771), 1,
      ts_builtin_sym_end,
    STATE(831), 1,
      sym_comment,
    ACTIONS(1565), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26813] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1773), 1,
      ts_builtin_sym_end,
    STATE(832), 1,
      sym_comment,
    ACTIONS(1567), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26884] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1779), 1,
      ts_builtin_sym_end,
    STATE(833), 1,
      sym_comment,
    ACTIONS(1569), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26955] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1681), 1,
      ts_builtin_sym_end,
    STATE(834), 1,
      sym_comment,
    ACTIONS(1649), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27026] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1705), 1,
      ts_builtin_sym_end,
    STATE(835), 1,
      sym_comment,
    ACTIONS(1587), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27097] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1687), 1,
      ts_builtin_sym_end,
    STATE(836), 1,
      sym_comment,
    ACTIONS(1581), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27168] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1685), 1,
      ts_builtin_sym_end,
    STATE(837), 1,
      sym_comment,
    ACTIONS(1657), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27239] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1224), 1,
      anon_sym_COLON,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1245), 1,
      anon_sym_RBRACE,
    ACTIONS(1789), 1,
      anon_sym_LPAREN,
    ACTIONS(1792), 1,
      anon_sym_EQ,
    ACTIONS(1794), 1,
      anon_sym_EQ_GT,
    STATE(838), 1,
      sym_comment,
    STATE(1981), 1,
      aux_sym_object_repeat1,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1787), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [27326] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1683), 1,
      ts_builtin_sym_end,
    STATE(839), 1,
      sym_comment,
    ACTIONS(1651), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27397] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1743), 1,
      ts_builtin_sym_end,
    STATE(840), 1,
      sym_comment,
    ACTIONS(1577), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27468] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1669), 1,
      ts_builtin_sym_end,
    STATE(841), 1,
      sym_comment,
    ACTIONS(1537), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27539] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1719), 1,
      ts_builtin_sym_end,
    STATE(842), 1,
      sym_comment,
    ACTIONS(1631), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27610] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1798), 1,
      ts_builtin_sym_end,
    STATE(843), 1,
      sym_comment,
    ACTIONS(1753), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27681] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1703), 1,
      ts_builtin_sym_end,
    STATE(844), 1,
      sym_comment,
    ACTIONS(1585), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27752] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1757), 1,
      ts_builtin_sym_end,
    STATE(845), 1,
      sym_comment,
    ACTIONS(1549), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27823] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(846), 1,
      sym_comment,
    ACTIONS(1593), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27894] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1669), 1,
      ts_builtin_sym_end,
    STATE(847), 1,
      sym_comment,
    ACTIONS(1537), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27965] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1721), 1,
      ts_builtin_sym_end,
    STATE(848), 1,
      sym_comment,
    ACTIONS(1633), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28036] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1721), 1,
      ts_builtin_sym_end,
    STATE(849), 1,
      sym_comment,
    ACTIONS(1633), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28107] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1727), 1,
      ts_builtin_sym_end,
    STATE(850), 1,
      sym_comment,
    ACTIONS(1635), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28178] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1671), 1,
      ts_builtin_sym_end,
    STATE(851), 1,
      sym_comment,
    ACTIONS(1575), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28249] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1673), 1,
      ts_builtin_sym_end,
    STATE(852), 1,
      sym_comment,
    ACTIONS(1641), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28320] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1755), 1,
      ts_builtin_sym_end,
    STATE(853), 1,
      sym_comment,
    ACTIONS(1539), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28391] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1781), 1,
      ts_builtin_sym_end,
    STATE(854), 1,
      sym_comment,
    ACTIONS(1571), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28462] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1729), 1,
      ts_builtin_sym_end,
    STATE(855), 1,
      sym_comment,
    ACTIONS(1639), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28533] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1745), 1,
      ts_builtin_sym_end,
    STATE(856), 1,
      sym_comment,
    ACTIONS(1619), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28604] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1729), 1,
      ts_builtin_sym_end,
    STATE(857), 1,
      sym_comment,
    ACTIONS(1639), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28675] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1697), 1,
      ts_builtin_sym_end,
    STATE(858), 1,
      sym_comment,
    ACTIONS(1579), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28746] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(859), 1,
      sym_comment,
    ACTIONS(1800), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1802), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28816] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1804), 1,
      anon_sym_EQ,
    STATE(860), 1,
      sym_comment,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1787), 20,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28890] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(861), 1,
      sym_comment,
    ACTIONS(1806), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1808), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28960] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(862), 1,
      sym_comment,
    ACTIONS(1810), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1812), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29030] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(863), 1,
      sym_comment,
    ACTIONS(1814), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1816), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29100] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1422), 1,
      anon_sym_EQ_GT,
    ACTIONS(1430), 1,
      anon_sym_in,
    ACTIONS(1433), 1,
      anon_sym_of,
    ACTIONS(1818), 1,
      sym_identifier,
    ACTIONS(1820), 1,
      anon_sym_LBRACE,
    ACTIONS(1822), 1,
      anon_sym_LBRACK,
    STATE(864), 1,
      sym_comment,
    STATE(2206), 1,
      sym__destructuring_pattern,
    STATE(1621), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 30,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29190] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(865), 1,
      sym_comment,
    ACTIONS(1505), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1507), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29260] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(866), 1,
      sym_comment,
    ACTIONS(1825), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1827), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29330] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(867), 1,
      sym_comment,
    ACTIONS(1829), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1831), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29400] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1833), 1,
      anon_sym_EQ_GT,
    STATE(868), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [29475] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(869), 1,
      sym_comment,
    ACTIONS(1835), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29542] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(870), 1,
      sym_comment,
    ACTIONS(1837), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29609] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(871), 1,
      sym_comment,
    ACTIONS(1837), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29676] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(872), 1,
      sym_comment,
    ACTIONS(1837), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29743] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(873), 1,
      sym_comment,
    ACTIONS(1837), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29810] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1839), 1,
      anon_sym_EQ,
    ACTIONS(1841), 1,
      anon_sym_EQ_GT,
    STATE(874), 1,
      sym_comment,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1787), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [29885] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(875), 1,
      sym_comment,
    ACTIONS(1843), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29952] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(876), 1,
      sym_comment,
    ACTIONS(1505), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30019] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(877), 1,
      sym_comment,
    ACTIONS(1845), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30086] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1374), 1,
      anon_sym_EQ,
    ACTIONS(1833), 1,
      anon_sym_EQ_GT,
    STATE(878), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [30161] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1804), 1,
      anon_sym_EQ,
    ACTIONS(1841), 1,
      anon_sym_EQ_GT,
    STATE(879), 1,
      sym_comment,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1787), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [30236] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(880), 1,
      sym_comment,
    ACTIONS(1505), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1507), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30304] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    STATE(881), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [30378] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(882), 1,
      sym_comment,
    ACTIONS(1800), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1802), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30446] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1326), 1,
      anon_sym_COLON,
    ACTIONS(1794), 1,
      anon_sym_EQ_GT,
    ACTIONS(1847), 1,
      anon_sym_EQ,
    STATE(883), 1,
      sym_comment,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1787), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [30522] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1794), 1,
      anon_sym_EQ_GT,
    ACTIONS(1804), 1,
      anon_sym_EQ,
    STATE(884), 1,
      sym_comment,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1787), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [30596] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1839), 1,
      anon_sym_EQ,
    STATE(885), 1,
      sym_comment,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1787), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [30668] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(886), 1,
      sym_comment,
    ACTIONS(1829), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1831), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30736] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1326), 1,
      anon_sym_COLON,
    STATE(887), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [30812] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1393), 1,
      anon_sym_EQ,
    ACTIONS(1833), 1,
      anon_sym_EQ_GT,
    STATE(888), 1,
      sym_comment,
    ACTIONS(1849), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [30888] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1306), 1,
      anon_sym_COLON,
    STATE(889), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [30964] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1804), 1,
      anon_sym_EQ,
    STATE(890), 1,
      sym_comment,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1787), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [31036] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1306), 1,
      anon_sym_COLON,
    ACTIONS(1794), 1,
      anon_sym_EQ_GT,
    ACTIONS(1847), 1,
      anon_sym_EQ,
    STATE(891), 1,
      sym_comment,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1787), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [31112] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(892), 1,
      sym_comment,
    ACTIONS(1825), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1827), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [31180] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1316), 1,
      anon_sym_COLON,
    STATE(893), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [31256] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1804), 1,
      anon_sym_EQ,
    ACTIONS(1854), 1,
      anon_sym_EQ_GT,
    STATE(894), 1,
      sym_comment,
    ACTIONS(1852), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1787), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [31332] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(895), 1,
      sym_comment,
    ACTIONS(1806), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1808), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [31400] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(896), 1,
      sym_comment,
    ACTIONS(1814), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1816), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [31468] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1858), 1,
      anon_sym_EQ_GT,
    STATE(897), 1,
      sym_comment,
    ACTIONS(1856), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [31544] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1437), 1,
      anon_sym_EQ,
    ACTIONS(1858), 1,
      anon_sym_EQ_GT,
    STATE(898), 1,
      sym_comment,
    ACTIONS(1860), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [31620] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1794), 1,
      anon_sym_EQ_GT,
    ACTIONS(1847), 1,
      anon_sym_EQ,
    STATE(899), 1,
      sym_comment,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1787), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [31696] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1854), 1,
      anon_sym_EQ_GT,
    ACTIONS(1864), 1,
      anon_sym_EQ,
    STATE(900), 1,
      sym_comment,
    ACTIONS(1862), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1787), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [31772] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    STATE(901), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [31848] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1867), 1,
      anon_sym_EQ_GT,
    STATE(902), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [31922] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    STATE(903), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [31996] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1841), 1,
      anon_sym_EQ_GT,
    ACTIONS(1872), 1,
      anon_sym_EQ,
    STATE(904), 1,
      sym_comment,
    ACTIONS(1869), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1787), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [32072] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(905), 1,
      sym_comment,
    ACTIONS(1810), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1812), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [32140] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1414), 1,
      anon_sym_EQ,
    ACTIONS(1867), 1,
      anon_sym_EQ_GT,
    STATE(906), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [32214] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1430), 1,
      anon_sym_in,
    ACTIONS(1875), 1,
      anon_sym_of,
    STATE(907), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [32292] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1794), 1,
      anon_sym_EQ_GT,
    ACTIONS(1847), 1,
      anon_sym_EQ,
    STATE(908), 1,
      sym_comment,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1787), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [32366] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1794), 1,
      anon_sym_EQ_GT,
    ACTIONS(1847), 1,
      anon_sym_EQ,
    ACTIONS(1877), 1,
      anon_sym_in,
    ACTIONS(1880), 1,
      anon_sym_of,
    STATE(909), 1,
      sym_comment,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1787), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1785), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [32444] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1804), 1,
      anon_sym_EQ,
    ACTIONS(1882), 1,
      anon_sym_EQ_GT,
    STATE(910), 1,
      sym_comment,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1787), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [32518] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1882), 1,
      anon_sym_EQ_GT,
    ACTIONS(1884), 1,
      anon_sym_EQ,
    STATE(911), 1,
      sym_comment,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1787), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [32592] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1255), 1,
      anon_sym_COLON,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    STATE(912), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [32668] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1255), 1,
      anon_sym_COLON,
    ACTIONS(1794), 1,
      anon_sym_EQ_GT,
    ACTIONS(1847), 1,
      anon_sym_EQ,
    STATE(913), 1,
      sym_comment,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1787), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [32744] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1316), 1,
      anon_sym_COLON,
    ACTIONS(1794), 1,
      anon_sym_EQ_GT,
    ACTIONS(1847), 1,
      anon_sym_EQ,
    STATE(914), 1,
      sym_comment,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1787), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [32820] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1872), 1,
      anon_sym_EQ,
    STATE(915), 1,
      sym_comment,
    ACTIONS(1869), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1787), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [32893] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1847), 1,
      anon_sym_EQ,
    STATE(916), 1,
      sym_comment,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1787), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [32964] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1839), 1,
      anon_sym_EQ,
    ACTIONS(1841), 1,
      anon_sym_EQ_GT,
    STATE(917), 1,
      sym_comment,
    ACTIONS(1886), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1787), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [33039] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1847), 1,
      anon_sym_EQ,
    ACTIONS(1877), 1,
      anon_sym_in,
    ACTIONS(1880), 1,
      anon_sym_of,
    STATE(918), 1,
      sym_comment,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1787), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1785), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [33114] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1804), 1,
      anon_sym_EQ,
    STATE(919), 1,
      sym_comment,
    ACTIONS(1852), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1787), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [33187] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1864), 1,
      anon_sym_EQ,
    STATE(920), 1,
      sym_comment,
    ACTIONS(1862), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1787), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [33260] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1374), 1,
      anon_sym_EQ,
    ACTIONS(1833), 1,
      anon_sym_EQ_GT,
    STATE(921), 1,
      sym_comment,
    ACTIONS(1889), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [33335] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1884), 1,
      anon_sym_EQ,
    STATE(922), 1,
      sym_comment,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1787), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [33406] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1841), 1,
      anon_sym_EQ_GT,
    ACTIONS(1862), 1,
      anon_sym_COMMA,
    ACTIONS(1869), 1,
      anon_sym_RBRACK,
    ACTIONS(1872), 1,
      anon_sym_EQ,
    STATE(923), 1,
      sym_comment,
    ACTIONS(1787), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [33482] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1393), 1,
      anon_sym_EQ,
    ACTIONS(1833), 1,
      anon_sym_EQ_GT,
    ACTIONS(1849), 1,
      anon_sym_RBRACK,
    ACTIONS(1860), 1,
      anon_sym_COMMA,
    STATE(924), 1,
      sym_comment,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [33558] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1858), 1,
      anon_sym_EQ_GT,
    STATE(925), 1,
      sym_comment,
    ACTIONS(1211), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [33630] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1839), 1,
      anon_sym_EQ,
    STATE(926), 1,
      sym_comment,
    ACTIONS(1886), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1787), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [33702] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1804), 1,
      anon_sym_EQ,
    ACTIONS(1854), 1,
      anon_sym_EQ_GT,
    STATE(927), 1,
      sym_comment,
    ACTIONS(1787), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [33774] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1519), 1,
      anon_sym_EQ,
    ACTIONS(1892), 1,
      anon_sym_EQ_GT,
    STATE(928), 1,
      sym_comment,
    ACTIONS(1211), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [33845] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1804), 1,
      anon_sym_EQ,
    ACTIONS(1854), 1,
      anon_sym_EQ_GT,
    ACTIONS(1877), 1,
      anon_sym_in,
    ACTIONS(1880), 1,
      anon_sym_of,
    STATE(929), 1,
      sym_comment,
    ACTIONS(1787), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [33920] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1430), 1,
      anon_sym_in,
    ACTIONS(1858), 1,
      anon_sym_EQ_GT,
    ACTIONS(1875), 1,
      anon_sym_of,
    STATE(930), 1,
      sym_comment,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [33995] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1894), 1,
      anon_sym_EQ,
    ACTIONS(1896), 1,
      anon_sym_EQ_GT,
    STATE(931), 1,
      sym_comment,
    ACTIONS(1787), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [34066] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1892), 1,
      anon_sym_EQ_GT,
    STATE(932), 1,
      sym_comment,
    ACTIONS(1211), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [34137] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1862), 1,
      anon_sym_COMMA,
    ACTIONS(1869), 1,
      anon_sym_RBRACK,
    ACTIONS(1872), 1,
      anon_sym_EQ,
    STATE(933), 1,
      sym_comment,
    ACTIONS(1787), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [34210] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1804), 1,
      anon_sym_EQ,
    ACTIONS(1896), 1,
      anon_sym_EQ_GT,
    STATE(934), 1,
      sym_comment,
    ACTIONS(1787), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [34281] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1804), 1,
      anon_sym_EQ,
    ACTIONS(1877), 1,
      anon_sym_in,
    ACTIONS(1880), 1,
      anon_sym_of,
    STATE(935), 1,
      sym_comment,
    ACTIONS(1787), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [34353] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1894), 1,
      anon_sym_EQ,
    STATE(936), 1,
      sym_comment,
    ACTIONS(1787), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1796), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [34421] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(937), 1,
      sym_comment,
    ACTIONS(1575), 42,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34475] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(938), 1,
      sym_comment,
    ACTIONS(1581), 42,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34529] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    STATE(939), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1898), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1900), 21,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [34599] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    STATE(940), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1914), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1916), 21,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [34669] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    STATE(941), 1,
      sym_comment,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1918), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1920), 23,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [34737] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(828), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1922), 1,
      sym__automatic_semicolon,
    STATE(942), 1,
      sym_comment,
    ACTIONS(824), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(928), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [34797] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1804), 1,
      anon_sym_EQ,
    STATE(943), 1,
      sym_comment,
    ACTIONS(1785), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1787), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [34854] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(944), 1,
      sym_comment,
    ACTIONS(1595), 41,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34907] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    STATE(945), 1,
      sym_comment,
    STATE(1018), 1,
      sym_arguments,
    ACTIONS(1924), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1926), 27,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [34966] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1928), 1,
      sym_optional_chain,
    STATE(946), 1,
      sym_comment,
    STATE(1018), 1,
      sym_arguments,
    ACTIONS(1924), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1926), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [35031] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(828), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(947), 1,
      sym_comment,
    ACTIONS(1930), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(826), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(832), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [35090] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1940), 1,
      anon_sym_EQ,
    STATE(948), 1,
      sym_comment,
    ACTIONS(1937), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1933), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1935), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [35149] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(949), 1,
      sym_comment,
    ACTIONS(1593), 41,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35202] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(950), 1,
      sym_comment,
    ACTIONS(1597), 41,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35255] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1942), 1,
      sym__automatic_semicolon,
    STATE(951), 1,
      sym_comment,
    ACTIONS(886), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(888), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [35312] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1951), 1,
      anon_sym_EQ,
    STATE(952), 1,
      sym_comment,
    ACTIONS(1948), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1944), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1946), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [35371] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1922), 1,
      sym__automatic_semicolon,
    STATE(953), 1,
      sym_comment,
    ACTIONS(824), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(928), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [35428] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(954), 1,
      sym_comment,
    ACTIONS(1589), 41,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35481] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(955), 1,
      sym_comment,
    ACTIONS(1953), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [35535] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(956), 1,
      sym_comment,
    ACTIONS(1957), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1959), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [35589] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(957), 1,
      sym_comment,
    ACTIONS(1961), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1963), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [35643] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(958), 1,
      sym_comment,
    ACTIONS(1965), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [35697] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(959), 1,
      sym_comment,
    ACTIONS(1969), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1971), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [35751] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    STATE(960), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1898), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1900), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [35819] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(961), 1,
      sym_comment,
    ACTIONS(1985), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1987), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [35873] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(962), 1,
      sym_comment,
    ACTIONS(1989), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1991), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [35927] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1993), 1,
      sym__automatic_semicolon,
    STATE(963), 1,
      sym_comment,
    ACTIONS(824), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(928), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [35983] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    STATE(964), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1997), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [36083] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    STATE(965), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2031), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [36183] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(966), 1,
      sym_comment,
    ACTIONS(2033), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2035), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36237] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    STATE(967), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2035), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [36337] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(968), 1,
      sym_comment,
    ACTIONS(2037), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2039), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36391] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(969), 1,
      sym_comment,
    ACTIONS(2041), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2043), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36445] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    STATE(970), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1914), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1916), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [36513] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    STATE(971), 1,
      sym_comment,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1918), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1920), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [36579] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(972), 1,
      sym_comment,
    ACTIONS(2045), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2047), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36633] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(973), 1,
      sym_comment,
    ACTIONS(2049), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2051), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36687] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1928), 1,
      sym_optional_chain,
    STATE(974), 1,
      sym_comment,
    ACTIONS(2045), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2047), 25,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36747] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(975), 1,
      sym_comment,
    ACTIONS(1785), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1787), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36801] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(976), 1,
      sym_comment,
    ACTIONS(880), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(884), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36855] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(977), 1,
      sym_comment,
    ACTIONS(922), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(924), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36909] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(978), 1,
      sym_comment,
    ACTIONS(886), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(888), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36963] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(979), 1,
      sym_comment,
    ACTIONS(995), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(997), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [37017] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(980), 1,
      sym_comment,
    ACTIONS(886), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(888), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [37071] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2053), 1,
      sym__automatic_semicolon,
    STATE(981), 1,
      sym_comment,
    ACTIONS(886), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(888), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [37127] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    STATE(982), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2055), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [37227] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(983), 1,
      sym_comment,
    ACTIONS(2057), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2059), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [37281] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(984), 1,
      sym_comment,
    ACTIONS(2061), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [37335] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(985), 1,
      sym_comment,
    ACTIONS(932), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(936), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [37389] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(986), 1,
      sym_comment,
    ACTIONS(2065), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2067), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [37443] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(987), 1,
      sym_comment,
    ACTIONS(989), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(993), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [37497] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(988), 1,
      sym_comment,
    ACTIONS(2069), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2071), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [37551] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(989), 1,
      sym_comment,
    ACTIONS(981), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(985), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [37605] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(990), 1,
      sym_comment,
    ACTIONS(2073), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2075), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [37659] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(991), 1,
      sym_comment,
    ACTIONS(2077), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2079), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [37713] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(992), 1,
      sym_comment,
    ACTIONS(943), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(947), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [37767] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    STATE(993), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2081), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [37867] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(994), 1,
      sym_comment,
    ACTIONS(2083), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2081), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [37921] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    STATE(995), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2085), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [38021] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(996), 1,
      sym_comment,
    ACTIONS(973), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(977), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38075] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(997), 1,
      sym_comment,
    ACTIONS(2087), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2085), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38129] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(998), 1,
      sym_comment,
    ACTIONS(2089), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2091), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38183] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    STATE(999), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2093), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [38283] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1000), 1,
      sym_comment,
    ACTIONS(2095), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2093), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38337] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1001), 1,
      sym_comment,
    ACTIONS(995), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(997), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38391] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1002), 1,
      sym_comment,
    ACTIONS(2097), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2099), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38445] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1003), 1,
      sym_comment,
    ACTIONS(1957), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1959), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38499] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1004), 1,
      sym_comment,
    ACTIONS(1957), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1959), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38553] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    STATE(1005), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2101), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [38653] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1006), 1,
      sym_comment,
    ACTIONS(2103), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2105), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38707] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1007), 1,
      sym_comment,
    ACTIONS(1957), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1959), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38761] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1008), 1,
      sym_comment,
    ACTIONS(2107), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2109), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38815] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1009), 1,
      sym_comment,
    ACTIONS(2111), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2113), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38869] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1010), 1,
      sym_comment,
    ACTIONS(874), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(876), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38923] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1011), 1,
      sym_comment,
    ACTIONS(2115), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2117), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38977] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1012), 1,
      sym_comment,
    ACTIONS(2119), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2121), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39031] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    STATE(1013), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2123), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [39131] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1014), 1,
      sym_comment,
    ACTIONS(2125), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2127), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39185] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1015), 1,
      sym_comment,
    ACTIONS(955), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(959), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39239] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1016), 1,
      sym_comment,
    ACTIONS(2129), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2131), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39293] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1017), 1,
      sym_comment,
    ACTIONS(2133), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2135), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39347] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1018), 1,
      sym_comment,
    ACTIONS(2137), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2139), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39401] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2145), 1,
      sym_regex_flags,
    STATE(1019), 1,
      sym_comment,
    ACTIONS(2141), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(2143), 26,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39457] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1020), 1,
      sym_comment,
    ACTIONS(2147), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2149), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39511] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    STATE(1021), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2151), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [39611] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1022), 1,
      sym_comment,
    ACTIONS(2153), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2155), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39665] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    STATE(1023), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2155), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [39765] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    STATE(1024), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2159), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 15,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [39845] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1025), 1,
      sym_comment,
    ACTIONS(2161), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2163), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39899] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1026), 1,
      sym_comment,
    ACTIONS(2165), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2167), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39953] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1027), 1,
      sym_comment,
    ACTIONS(965), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(969), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [40007] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1028), 1,
      sym_comment,
    ACTIONS(874), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(876), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [40061] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1029), 1,
      sym_comment,
    ACTIONS(922), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(924), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [40115] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1030), 1,
      sym_comment,
    ACTIONS(2169), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [40169] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    STATE(1031), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2159), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [40239] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    STATE(1032), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2173), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [40339] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    STATE(1033), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2157), 9,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [40431] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    STATE(1034), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2157), 8,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [40525] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    STATE(1035), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2159), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [40601] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    STATE(1036), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2159), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2157), 10,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [40689] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2159), 1,
      anon_sym_PIPE,
    STATE(1037), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2157), 10,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [40779] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2159), 1,
      anon_sym_PIPE,
    STATE(1038), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2157), 9,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [40871] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    STATE(1039), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2159), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [40945] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    STATE(1040), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2159), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [41015] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    STATE(1041), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2159), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 12,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [41099] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    STATE(1042), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2157), 7,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [41195] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1043), 1,
      sym_comment,
    ACTIONS(2175), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2177), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [41249] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1044), 1,
      sym_comment,
    ACTIONS(2179), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2181), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [41303] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1045), 1,
      sym_comment,
    ACTIONS(2183), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2185), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [41357] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1046), 1,
      sym_comment,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [41411] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    STATE(1047), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2191), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [41511] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1048), 1,
      sym_comment,
    ACTIONS(2193), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2123), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [41565] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2197), 1,
      anon_sym_COMMA,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1049), 1,
      sym_comment,
    STATE(1853), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2201), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [41668] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1050), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2101), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [41767] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2197), 1,
      anon_sym_COMMA,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1051), 1,
      sym_comment,
    STATE(1853), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2233), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [41870] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1052), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2123), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [41969] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(2235), 1,
      sym_optional_chain,
    STATE(1053), 1,
      sym_comment,
    STATE(1158), 1,
      sym_arguments,
    ACTIONS(1924), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1926), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [42032] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    STATE(1054), 1,
      sym_comment,
    STATE(1158), 1,
      sym_arguments,
    ACTIONS(1924), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1926), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [42089] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2197), 1,
      anon_sym_COMMA,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1055), 1,
      sym_comment,
    STATE(1853), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2237), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [42192] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2197), 1,
      anon_sym_COMMA,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1056), 1,
      sym_comment,
    STATE(1853), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2239), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [42295] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2249), 1,
      anon_sym_GT_GT,
    ACTIONS(2253), 1,
      anon_sym_AMP,
    ACTIONS(2255), 1,
      anon_sym_CARET,
    ACTIONS(2257), 1,
      anon_sym_PIPE,
    ACTIONS(2261), 1,
      anon_sym_PERCENT,
    ACTIONS(2263), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2271), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2273), 1,
      sym__ternary_qmark,
    STATE(1057), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2241), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2251), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2267), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2243), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2265), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1997), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [42394] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1058), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2191), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [42493] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2249), 1,
      anon_sym_GT_GT,
    ACTIONS(2253), 1,
      anon_sym_AMP,
    ACTIONS(2255), 1,
      anon_sym_CARET,
    ACTIONS(2257), 1,
      anon_sym_PIPE,
    ACTIONS(2261), 1,
      anon_sym_PERCENT,
    ACTIONS(2263), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2271), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2273), 1,
      sym__ternary_qmark,
    STATE(1059), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2241), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2251), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2267), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2243), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2265), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2055), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [42592] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1951), 1,
      anon_sym_EQ,
    STATE(1060), 1,
      sym_comment,
    ACTIONS(1944), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1946), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [42647] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    ACTIONS(2275), 1,
      anon_sym_COMMA,
    ACTIONS(2278), 1,
      anon_sym_RBRACE,
    STATE(1061), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2031), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [42750] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1062), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1997), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [42849] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1839), 1,
      anon_sym_EQ,
    STATE(1063), 1,
      sym_comment,
    ACTIONS(1785), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1787), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [42904] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1064), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2081), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [43003] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    ACTIONS(2278), 1,
      anon_sym_RBRACE,
    ACTIONS(2280), 1,
      anon_sym_COMMA,
    STATE(1065), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2151), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [43106] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2197), 1,
      anon_sym_COMMA,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1066), 1,
      sym_comment,
    STATE(1853), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2283), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [43209] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2249), 1,
      anon_sym_GT_GT,
    ACTIONS(2253), 1,
      anon_sym_AMP,
    ACTIONS(2255), 1,
      anon_sym_CARET,
    ACTIONS(2257), 1,
      anon_sym_PIPE,
    ACTIONS(2261), 1,
      anon_sym_PERCENT,
    ACTIONS(2263), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2271), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2273), 1,
      sym__ternary_qmark,
    STATE(1067), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2241), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2251), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2267), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2243), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2265), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2081), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [43308] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2249), 1,
      anon_sym_GT_GT,
    ACTIONS(2253), 1,
      anon_sym_AMP,
    ACTIONS(2255), 1,
      anon_sym_CARET,
    ACTIONS(2257), 1,
      anon_sym_PIPE,
    ACTIONS(2261), 1,
      anon_sym_PERCENT,
    ACTIONS(2263), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2271), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2273), 1,
      sym__ternary_qmark,
    STATE(1068), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2241), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2251), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2267), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2243), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2265), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2085), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [43407] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2197), 1,
      anon_sym_COMMA,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1069), 1,
      sym_comment,
    STATE(1853), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2285), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [43510] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2249), 1,
      anon_sym_GT_GT,
    ACTIONS(2253), 1,
      anon_sym_AMP,
    ACTIONS(2255), 1,
      anon_sym_CARET,
    ACTIONS(2257), 1,
      anon_sym_PIPE,
    ACTIONS(2261), 1,
      anon_sym_PERCENT,
    ACTIONS(2263), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2271), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2273), 1,
      sym__ternary_qmark,
    STATE(1070), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2241), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2251), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2267), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2243), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2265), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2093), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [43609] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    ACTIONS(2287), 1,
      anon_sym_COMMA,
    ACTIONS(2290), 1,
      anon_sym_RBRACE,
    STATE(1071), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2151), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [43712] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(828), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2292), 1,
      sym__automatic_semicolon,
    STATE(1072), 1,
      sym_comment,
    ACTIONS(928), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(826), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(832), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [43771] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1073), 1,
      sym_comment,
    ACTIONS(2041), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2043), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [43824] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2249), 1,
      anon_sym_GT_GT,
    ACTIONS(2253), 1,
      anon_sym_AMP,
    ACTIONS(2255), 1,
      anon_sym_CARET,
    ACTIONS(2257), 1,
      anon_sym_PIPE,
    ACTIONS(2261), 1,
      anon_sym_PERCENT,
    ACTIONS(2263), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2271), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2273), 1,
      sym__ternary_qmark,
    STATE(1074), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2241), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2251), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2267), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2243), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2265), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2123), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [43923] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2249), 1,
      anon_sym_GT_GT,
    ACTIONS(2253), 1,
      anon_sym_AMP,
    ACTIONS(2255), 1,
      anon_sym_CARET,
    ACTIONS(2257), 1,
      anon_sym_PIPE,
    ACTIONS(2261), 1,
      anon_sym_PERCENT,
    ACTIONS(2263), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2271), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2273), 1,
      sym__ternary_qmark,
    ACTIONS(2296), 1,
      anon_sym_in,
    STATE(1075), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2241), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2243), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2251), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2267), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2265), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2294), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [44024] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2249), 1,
      anon_sym_GT_GT,
    ACTIONS(2253), 1,
      anon_sym_AMP,
    ACTIONS(2255), 1,
      anon_sym_CARET,
    ACTIONS(2257), 1,
      anon_sym_PIPE,
    ACTIONS(2261), 1,
      anon_sym_PERCENT,
    ACTIONS(2263), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2271), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2273), 1,
      sym__ternary_qmark,
    STATE(1076), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2241), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2251), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2267), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2243), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2265), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2191), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [44123] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    STATE(1077), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2157), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
  [44218] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1078), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2093), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [44317] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    STATE(1079), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2159), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [44400] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2249), 1,
      anon_sym_GT_GT,
    ACTIONS(2253), 1,
      anon_sym_AMP,
    ACTIONS(2255), 1,
      anon_sym_CARET,
    ACTIONS(2257), 1,
      anon_sym_PIPE,
    ACTIONS(2261), 1,
      anon_sym_PERCENT,
    ACTIONS(2263), 1,
      anon_sym_STAR_STAR,
    STATE(1080), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2241), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2251), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2267), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2243), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2265), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2157), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
  [44495] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2249), 1,
      anon_sym_GT_GT,
    ACTIONS(2261), 1,
      anon_sym_PERCENT,
    ACTIONS(2263), 1,
      anon_sym_STAR_STAR,
    STATE(1081), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2241), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2251), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2243), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2265), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2159), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [44578] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2263), 1,
      anon_sym_STAR_STAR,
    STATE(1082), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2159), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [44647] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2261), 1,
      anon_sym_PERCENT,
    ACTIONS(2263), 1,
      anon_sym_STAR_STAR,
    STATE(1083), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2241), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2159), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [44720] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2159), 1,
      anon_sym_PIPE,
    ACTIONS(2249), 1,
      anon_sym_GT_GT,
    ACTIONS(2253), 1,
      anon_sym_AMP,
    ACTIONS(2255), 1,
      anon_sym_CARET,
    ACTIONS(2261), 1,
      anon_sym_PERCENT,
    ACTIONS(2263), 1,
      anon_sym_STAR_STAR,
    STATE(1084), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2241), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2251), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2267), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2243), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2265), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2157), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [44811] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2159), 1,
      anon_sym_PIPE,
    ACTIONS(2249), 1,
      anon_sym_GT_GT,
    ACTIONS(2253), 1,
      anon_sym_AMP,
    ACTIONS(2261), 1,
      anon_sym_PERCENT,
    ACTIONS(2263), 1,
      anon_sym_STAR_STAR,
    STATE(1085), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2241), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2251), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2267), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2243), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2265), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2157), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [44900] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2249), 1,
      anon_sym_GT_GT,
    ACTIONS(2261), 1,
      anon_sym_PERCENT,
    ACTIONS(2263), 1,
      anon_sym_STAR_STAR,
    STATE(1086), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2159), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2241), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2251), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2267), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2243), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2265), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2157), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [44987] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2261), 1,
      anon_sym_PERCENT,
    ACTIONS(2263), 1,
      anon_sym_STAR_STAR,
    STATE(1087), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2241), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2159), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [45062] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2249), 1,
      anon_sym_GT_GT,
    ACTIONS(2253), 1,
      anon_sym_AMP,
    ACTIONS(2255), 1,
      anon_sym_CARET,
    ACTIONS(2257), 1,
      anon_sym_PIPE,
    ACTIONS(2261), 1,
      anon_sym_PERCENT,
    ACTIONS(2263), 1,
      anon_sym_STAR_STAR,
    STATE(1088), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2241), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2251), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2267), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2243), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2265), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2157), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [45155] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2249), 1,
      anon_sym_GT_GT,
    ACTIONS(2253), 1,
      anon_sym_AMP,
    ACTIONS(2255), 1,
      anon_sym_CARET,
    ACTIONS(2257), 1,
      anon_sym_PIPE,
    ACTIONS(2261), 1,
      anon_sym_PERCENT,
    ACTIONS(2263), 1,
      anon_sym_STAR_STAR,
    STATE(1089), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2241), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2251), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2267), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2243), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2265), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2157), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [45246] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2263), 1,
      anon_sym_STAR_STAR,
    STATE(1090), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2159), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [45315] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    STATE(1091), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2159), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [45384] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    STATE(1092), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2159), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [45457] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2249), 1,
      anon_sym_GT_GT,
    ACTIONS(2261), 1,
      anon_sym_PERCENT,
    ACTIONS(2263), 1,
      anon_sym_STAR_STAR,
    STATE(1093), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2241), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2251), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2159), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [45536] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    STATE(1094), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2299), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [45635] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2249), 1,
      anon_sym_GT_GT,
    ACTIONS(2253), 1,
      anon_sym_AMP,
    ACTIONS(2255), 1,
      anon_sym_CARET,
    ACTIONS(2257), 1,
      anon_sym_PIPE,
    ACTIONS(2261), 1,
      anon_sym_PERCENT,
    ACTIONS(2263), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2271), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2273), 1,
      sym__ternary_qmark,
    STATE(1095), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2241), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2251), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2267), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2243), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2265), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2155), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [45734] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2249), 1,
      anon_sym_GT_GT,
    ACTIONS(2253), 1,
      anon_sym_AMP,
    ACTIONS(2255), 1,
      anon_sym_CARET,
    ACTIONS(2257), 1,
      anon_sym_PIPE,
    ACTIONS(2261), 1,
      anon_sym_PERCENT,
    ACTIONS(2263), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2271), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2273), 1,
      sym__ternary_qmark,
    STATE(1096), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2241), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2251), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2267), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2243), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2265), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2151), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [45833] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    STATE(1097), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2301), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [45932] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2249), 1,
      anon_sym_GT_GT,
    ACTIONS(2253), 1,
      anon_sym_AMP,
    ACTIONS(2255), 1,
      anon_sym_CARET,
    ACTIONS(2257), 1,
      anon_sym_PIPE,
    ACTIONS(2261), 1,
      anon_sym_PERCENT,
    ACTIONS(2263), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2271), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2273), 1,
      sym__ternary_qmark,
    STATE(1098), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2241), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2251), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2267), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2243), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2265), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2101), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [46031] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2197), 1,
      anon_sym_COMMA,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1099), 1,
      sym_comment,
    STATE(1853), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2303), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [46134] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(828), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1100), 1,
      sym_comment,
    ACTIONS(826), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(832), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46189] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1940), 1,
      anon_sym_EQ,
    STATE(1101), 1,
      sym_comment,
    ACTIONS(1933), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1935), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46244] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2197), 1,
      anon_sym_COMMA,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1102), 1,
      sym_comment,
    STATE(1853), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2305), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [46347] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2249), 1,
      anon_sym_GT_GT,
    ACTIONS(2253), 1,
      anon_sym_AMP,
    ACTIONS(2255), 1,
      anon_sym_CARET,
    ACTIONS(2257), 1,
      anon_sym_PIPE,
    ACTIONS(2261), 1,
      anon_sym_PERCENT,
    ACTIONS(2263), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2271), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2273), 1,
      sym__ternary_qmark,
    STATE(1103), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2241), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2251), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2267), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2243), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2265), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2035), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [46446] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2249), 1,
      anon_sym_GT_GT,
    ACTIONS(2253), 1,
      anon_sym_AMP,
    ACTIONS(2255), 1,
      anon_sym_CARET,
    ACTIONS(2257), 1,
      anon_sym_PIPE,
    ACTIONS(2261), 1,
      anon_sym_PERCENT,
    ACTIONS(2263), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2271), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2273), 1,
      sym__ternary_qmark,
    STATE(1104), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2241), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2251), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2267), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2243), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2265), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2031), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [46545] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2197), 1,
      anon_sym_COMMA,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1105), 1,
      sym_comment,
    STATE(1853), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2307), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [46648] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2159), 1,
      anon_sym_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    STATE(1106), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2157), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [46739] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(828), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1107), 1,
      sym_comment,
    ACTIONS(826), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(832), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46794] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2197), 1,
      anon_sym_COMMA,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1108), 1,
      sym_comment,
    STATE(1853), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2309), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [46897] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2197), 1,
      anon_sym_COMMA,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1109), 1,
      sym_comment,
    STATE(1853), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2311), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [47000] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2197), 1,
      anon_sym_COMMA,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1110), 1,
      sym_comment,
    STATE(1853), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2313), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [47103] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2197), 1,
      anon_sym_COMMA,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1111), 1,
      sym_comment,
    STATE(1853), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2315), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [47206] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2159), 1,
      anon_sym_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    STATE(1112), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2157), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [47295] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1113), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2085), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [47394] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    STATE(1114), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2159), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2157), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [47481] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    STATE(1115), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2159), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [47556] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1804), 1,
      anon_sym_EQ,
    STATE(1116), 1,
      sym_comment,
    ACTIONS(1785), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1787), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47611] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1951), 1,
      anon_sym_EQ,
    STATE(1117), 1,
      sym_comment,
    ACTIONS(1944), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1946), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47666] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1118), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2031), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [47765] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1119), 1,
      sym_comment,
    ACTIONS(1961), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1963), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47818] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    STATE(1120), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2157), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [47911] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    STATE(1121), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2157), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [48002] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(828), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1993), 1,
      sym__automatic_semicolon,
    STATE(1122), 1,
      sym_comment,
    ACTIONS(824), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(928), 25,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48059] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    STATE(1123), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2159), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [48128] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2197), 1,
      anon_sym_COMMA,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1124), 1,
      sym_comment,
    STATE(1853), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2317), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [48231] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2197), 1,
      anon_sym_COMMA,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1125), 1,
      sym_comment,
    STATE(1853), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2319), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [48334] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    STATE(1126), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2159), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [48413] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2197), 1,
      anon_sym_COMMA,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1127), 1,
      sym_comment,
    STATE(1853), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2321), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [48516] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1128), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2035), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [48615] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1129), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2055), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [48714] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1130), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2151), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [48813] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1940), 1,
      anon_sym_EQ,
    STATE(1131), 1,
      sym_comment,
    ACTIONS(1933), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1935), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48868] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1132), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2155), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [48967] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1864), 1,
      anon_sym_EQ,
    STATE(1133), 1,
      sym_comment,
    ACTIONS(1862), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1785), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1787), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49023] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1134), 1,
      sym_comment,
    ACTIONS(2077), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2079), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49075] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(828), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1135), 1,
      sym_comment,
    ACTIONS(2323), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(826), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(832), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49131] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1136), 1,
      sym_comment,
    ACTIONS(2179), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2181), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49183] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1137), 1,
      sym_comment,
    ACTIONS(932), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(936), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49235] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1138), 1,
      sym_comment,
    ACTIONS(955), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(959), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49287] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1139), 1,
      sym_comment,
    ACTIONS(965), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(969), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49339] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(828), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2323), 1,
      anon_sym_of,
    ACTIONS(2325), 1,
      anon_sym_in,
    STATE(1140), 1,
      sym_comment,
    ACTIONS(826), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(832), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49397] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1141), 1,
      sym_comment,
    ACTIONS(2119), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2121), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49449] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2328), 1,
      sym__automatic_semicolon,
    STATE(1142), 1,
      sym_comment,
    ACTIONS(1023), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(973), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(977), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49505] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2330), 1,
      sym__automatic_semicolon,
    STATE(1143), 1,
      sym_comment,
    ACTIONS(1027), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(981), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(985), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49561] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1144), 1,
      sym_comment,
    ACTIONS(1957), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1959), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49613] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    ACTIONS(2334), 1,
      anon_sym_RPAREN,
    STATE(1145), 1,
      sym_comment,
    STATE(1958), 1,
      aux_sym_array_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [49715] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1146), 1,
      sym_comment,
    ACTIONS(1969), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1971), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49767] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1147), 1,
      sym_comment,
    ACTIONS(1965), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49819] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1940), 1,
      anon_sym_EQ,
    STATE(1148), 1,
      sym_comment,
    ACTIONS(2336), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1933), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1935), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49875] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1149), 1,
      sym_comment,
    ACTIONS(2037), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2039), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49927] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2338), 1,
      sym__automatic_semicolon,
    STATE(1150), 1,
      sym_comment,
    ACTIONS(1031), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(989), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(993), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49983] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    ACTIONS(2342), 1,
      anon_sym_RBRACE,
    STATE(1151), 1,
      sym_comment,
    STATE(1685), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50085] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    ACTIONS(2344), 1,
      anon_sym_RPAREN,
    STATE(1152), 1,
      sym_comment,
    STATE(1685), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50187] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1940), 1,
      anon_sym_EQ,
    ACTIONS(2336), 1,
      anon_sym_of,
    ACTIONS(2346), 1,
      anon_sym_in,
    STATE(1153), 1,
      sym_comment,
    ACTIONS(1933), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1935), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50245] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1154), 1,
      sym_comment,
    ACTIONS(2183), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2185), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50297] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1155), 1,
      sym_comment,
    ACTIONS(2129), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2131), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50349] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1951), 1,
      anon_sym_EQ,
    ACTIONS(2349), 1,
      anon_sym_in,
    ACTIONS(2352), 1,
      anon_sym_of,
    STATE(1156), 1,
      sym_comment,
    ACTIONS(1944), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1946), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50407] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1157), 1,
      sym_comment,
    ACTIONS(2133), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2135), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50459] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1158), 1,
      sym_comment,
    ACTIONS(2137), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2139), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50511] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2354), 1,
      sym_regex_flags,
    STATE(1159), 1,
      sym_comment,
    ACTIONS(2141), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(2143), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50565] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    ACTIONS(2356), 1,
      anon_sym_RBRACE,
    STATE(1160), 1,
      sym_comment,
    STATE(1685), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50667] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1161), 1,
      sym_comment,
    ACTIONS(2147), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2149), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50719] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    ACTIONS(2358), 1,
      anon_sym_RPAREN,
    STATE(1162), 1,
      sym_comment,
    STATE(1685), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50821] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1163), 1,
      sym_comment,
    ACTIONS(973), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(977), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50873] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1164), 1,
      sym_comment,
    ACTIONS(981), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(985), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50925] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1165), 1,
      sym_comment,
    ACTIONS(989), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(993), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50977] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2360), 1,
      sym__automatic_semicolon,
    STATE(1166), 1,
      sym_comment,
    ACTIONS(1035), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(880), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(884), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51033] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1167), 1,
      sym_comment,
    ACTIONS(2153), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2155), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51085] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1168), 1,
      sym_comment,
    ACTIONS(2097), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2099), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51137] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1169), 1,
      sym_comment,
    ACTIONS(2169), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51189] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    ACTIONS(2362), 1,
      anon_sym_RPAREN,
    STATE(1170), 1,
      sym_comment,
    STATE(1970), 1,
      aux_sym_array_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51291] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1171), 1,
      sym_comment,
    ACTIONS(2061), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51343] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1172), 1,
      sym_comment,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51395] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1173), 1,
      sym_comment,
    ACTIONS(2057), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2059), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51447] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    ACTIONS(2364), 1,
      anon_sym_RPAREN,
    STATE(1174), 1,
      sym_comment,
    STATE(1959), 1,
      aux_sym_array_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51549] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1175), 1,
      sym_comment,
    ACTIONS(2165), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2167), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51601] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1176), 1,
      sym_comment,
    ACTIONS(2193), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2123), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51653] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1177), 1,
      sym_comment,
    ACTIONS(880), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(884), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51705] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    ACTIONS(2366), 1,
      anon_sym_RPAREN,
    STATE(1178), 1,
      sym_comment,
    STATE(1685), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51807] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1179), 1,
      sym_comment,
    ACTIONS(2033), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2035), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51859] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    ACTIONS(2368), 1,
      anon_sym_RPAREN,
    STATE(1180), 1,
      sym_comment,
    STATE(1685), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51961] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1181), 1,
      sym_comment,
    ACTIONS(2073), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2075), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [52013] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2370), 1,
      sym__automatic_semicolon,
    STATE(1182), 1,
      sym_comment,
    ACTIONS(1003), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(943), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(947), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [52069] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    ACTIONS(2372), 1,
      anon_sym_RPAREN,
    STATE(1183), 1,
      sym_comment,
    STATE(1685), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52171] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1872), 1,
      anon_sym_EQ,
    STATE(1184), 1,
      sym_comment,
    ACTIONS(1869), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1785), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1787), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [52227] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    ACTIONS(2374), 1,
      anon_sym_RBRACK,
    STATE(1185), 1,
      sym_comment,
    STATE(1685), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52329] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1186), 1,
      sym_comment,
    ACTIONS(2089), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2091), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [52381] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1187), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2294), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [52479] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1188), 1,
      sym_comment,
    ACTIONS(2095), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2093), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [52531] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1189), 1,
      sym_comment,
    ACTIONS(2065), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2067), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [52583] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    ACTIONS(2376), 1,
      anon_sym_RPAREN,
    STATE(1190), 1,
      sym_comment,
    STATE(1685), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52685] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1191), 1,
      sym_comment,
    ACTIONS(1989), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1991), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [52737] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1951), 1,
      anon_sym_EQ,
    STATE(1192), 1,
      sym_comment,
    ACTIONS(2352), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1944), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1946), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [52793] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1193), 1,
      sym_comment,
    ACTIONS(2161), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2163), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [52845] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    ACTIONS(2378), 1,
      anon_sym_RBRACK,
    STATE(1194), 1,
      sym_comment,
    STATE(1685), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52947] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    ACTIONS(2380), 1,
      anon_sym_RPAREN,
    STATE(1195), 1,
      sym_comment,
    STATE(1685), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53049] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1847), 1,
      anon_sym_EQ,
    STATE(1196), 1,
      sym_comment,
    ACTIONS(1785), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1787), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [53103] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    ACTIONS(2382), 1,
      anon_sym_RPAREN,
    STATE(1197), 1,
      sym_comment,
    STATE(1685), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53205] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    ACTIONS(2384), 1,
      anon_sym_RPAREN,
    STATE(1198), 1,
      sym_comment,
    STATE(1685), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53307] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1199), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2173), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53405] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    ACTIONS(2386), 1,
      anon_sym_RBRACK,
    STATE(1200), 1,
      sym_comment,
    STATE(1685), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53507] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    ACTIONS(2388), 1,
      anon_sym_RPAREN,
    STATE(1201), 1,
      sym_comment,
    STATE(1685), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53609] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    ACTIONS(2390), 1,
      anon_sym_RPAREN,
    STATE(1202), 1,
      sym_comment,
    STATE(2013), 1,
      aux_sym_array_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53711] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    ACTIONS(2392), 1,
      anon_sym_RBRACK,
    STATE(1203), 1,
      sym_comment,
    STATE(1965), 1,
      aux_sym_array_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53813] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1204), 1,
      sym_comment,
    ACTIONS(2111), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2113), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [53865] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    ACTIONS(2394), 1,
      anon_sym_RPAREN,
    STATE(1205), 1,
      sym_comment,
    STATE(1685), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53967] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1206), 1,
      sym_comment,
    ACTIONS(1957), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1959), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [54019] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    ACTIONS(2396), 1,
      anon_sym_RPAREN,
    STATE(1207), 1,
      sym_comment,
    STATE(1685), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54121] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1208), 1,
      sym_comment,
    ACTIONS(2125), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2127), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [54173] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    ACTIONS(2398), 1,
      anon_sym_RPAREN,
    STATE(1209), 1,
      sym_comment,
    STATE(1685), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54275] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1210), 1,
      sym_comment,
    ACTIONS(2049), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2051), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [54327] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1804), 1,
      anon_sym_EQ,
    STATE(1211), 1,
      sym_comment,
    ACTIONS(1852), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1785), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1787), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [54383] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1212), 1,
      sym_comment,
    ACTIONS(1785), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1787), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [54435] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    ACTIONS(2400), 1,
      anon_sym_RBRACE,
    STATE(1213), 1,
      sym_comment,
    STATE(1685), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54537] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    ACTIONS(2402), 1,
      anon_sym_RBRACK,
    STATE(1214), 1,
      sym_comment,
    STATE(1991), 1,
      aux_sym_array_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54639] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    ACTIONS(2404), 1,
      anon_sym_COLON,
    STATE(1215), 1,
      sym_comment,
    STATE(1685), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54741] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    ACTIONS(2406), 1,
      anon_sym_RBRACK,
    STATE(1216), 1,
      sym_comment,
    STATE(1685), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54843] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1217), 1,
      sym_comment,
    ACTIONS(2087), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2085), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [54895] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1218), 1,
      sym_comment,
    ACTIONS(2175), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2177), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [54947] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1219), 1,
      sym_comment,
    ACTIONS(2107), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2109), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [54999] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2408), 1,
      sym__automatic_semicolon,
    STATE(1220), 1,
      sym_comment,
    ACTIONS(1019), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(965), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(969), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [55055] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1884), 1,
      anon_sym_EQ,
    STATE(1221), 1,
      sym_comment,
    ACTIONS(1785), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1787), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [55109] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1222), 1,
      sym_comment,
    ACTIONS(2069), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2071), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [55161] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1223), 1,
      sym_comment,
    ACTIONS(2083), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2081), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [55213] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    ACTIONS(2410), 1,
      anon_sym_RPAREN,
    STATE(1224), 1,
      sym_comment,
    STATE(1685), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55315] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    ACTIONS(2412), 1,
      anon_sym_RBRACK,
    STATE(1225), 1,
      sym_comment,
    STATE(1991), 1,
      aux_sym_array_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55417] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1226), 1,
      sym_comment,
    ACTIONS(2103), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2105), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [55469] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1227), 1,
      sym_comment,
    ACTIONS(1957), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1959), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [55521] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    ACTIONS(2414), 1,
      anon_sym_RPAREN,
    STATE(1228), 1,
      sym_comment,
    STATE(1685), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55623] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1229), 1,
      sym_comment,
    ACTIONS(943), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(947), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [55675] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1230), 1,
      sym_comment,
    ACTIONS(1985), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1987), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [55727] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    STATE(1231), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2416), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [55825] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1232), 1,
      sym_comment,
    ACTIONS(1957), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1959), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [55877] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    ACTIONS(2418), 1,
      anon_sym_RPAREN,
    STATE(1233), 1,
      sym_comment,
    STATE(1685), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55979] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    ACTIONS(2420), 1,
      anon_sym_RPAREN,
    STATE(1234), 1,
      sym_comment,
    STATE(1685), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56081] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1847), 1,
      anon_sym_EQ,
    ACTIONS(1877), 1,
      anon_sym_in,
    ACTIONS(1880), 1,
      anon_sym_of,
    STATE(1235), 1,
      sym_comment,
    ACTIONS(1785), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1787), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56139] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    ACTIONS(2422), 1,
      anon_sym_RPAREN,
    STATE(1236), 1,
      sym_comment,
    STATE(1685), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56241] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    ACTIONS(2424), 1,
      anon_sym_RPAREN,
    STATE(1237), 1,
      sym_comment,
    STATE(1914), 1,
      aux_sym_array_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56343] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2426), 1,
      sym__automatic_semicolon,
    STATE(1238), 1,
      sym_comment,
    ACTIONS(1015), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(955), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(959), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56399] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2428), 1,
      sym__automatic_semicolon,
    STATE(1239), 1,
      sym_comment,
    ACTIONS(1011), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(932), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(936), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56455] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1240), 1,
      sym_comment,
    ACTIONS(1953), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56507] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    ACTIONS(2430), 1,
      anon_sym_RPAREN,
    STATE(1241), 1,
      sym_comment,
    STATE(1685), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56609] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2354), 1,
      sym_regex_flags,
    STATE(1242), 1,
      sym_comment,
    ACTIONS(2141), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(2143), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56663] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1243), 1,
      sym_comment,
    ACTIONS(2115), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2117), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56715] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1244), 1,
      sym_comment,
    ACTIONS(2045), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2047), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56767] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(2235), 1,
      sym_optional_chain,
    STATE(1245), 1,
      sym_comment,
    ACTIONS(2045), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2047), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56825] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2159), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    STATE(1246), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2157), 6,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [56914] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    STATE(1247), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2159), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [56981] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    ACTIONS(2456), 1,
      anon_sym_SEMI,
    ACTIONS(2458), 1,
      sym__automatic_semicolon,
    STATE(1248), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57080] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2464), 1,
      anon_sym_PIPE,
    ACTIONS(2466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2468), 1,
      sym__ternary_qmark,
    STATE(1249), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2031), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57177] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2464), 1,
      anon_sym_PIPE,
    ACTIONS(2466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2468), 1,
      sym__ternary_qmark,
    STATE(1250), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2055), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57274] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    ACTIONS(2470), 1,
      anon_sym_SEMI,
    ACTIONS(2472), 1,
      sym__automatic_semicolon,
    STATE(1251), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57373] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2464), 1,
      anon_sym_PIPE,
    ACTIONS(2466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2468), 1,
      sym__ternary_qmark,
    STATE(1252), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2081), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57470] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2464), 1,
      anon_sym_PIPE,
    ACTIONS(2466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2468), 1,
      sym__ternary_qmark,
    STATE(1253), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2035), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57567] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_PIPE,
    STATE(1254), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2157), 5,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [57658] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2464), 1,
      anon_sym_PIPE,
    ACTIONS(2466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2468), 1,
      sym__ternary_qmark,
    STATE(1255), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2101), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57755] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2464), 1,
      anon_sym_PIPE,
    ACTIONS(2466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2468), 1,
      sym__ternary_qmark,
    STATE(1256), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2085), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57852] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    STATE(1257), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2159), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [57925] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1258), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2474), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58022] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2464), 1,
      anon_sym_PIPE,
    ACTIONS(2466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2468), 1,
      sym__ternary_qmark,
    STATE(1259), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58119] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    STATE(1260), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2159), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2157), 7,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [58204] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2464), 1,
      anon_sym_PIPE,
    ACTIONS(2466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2468), 1,
      sym__ternary_qmark,
    STATE(1261), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2151), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58301] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2159), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    STATE(1262), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2157), 7,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [58388] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2464), 1,
      anon_sym_PIPE,
    ACTIONS(2466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2468), 1,
      sym__ternary_qmark,
    STATE(1263), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2123), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58485] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    STATE(1264), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2159), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [58556] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    ACTIONS(2476), 1,
      anon_sym_SEMI,
    ACTIONS(2478), 1,
      sym__automatic_semicolon,
    STATE(1265), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58655] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1266), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2480), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58752] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2482), 1,
      anon_sym_LPAREN,
    ACTIONS(2485), 1,
      anon_sym_COLON,
    STATE(1267), 1,
      sym_comment,
    ACTIONS(1785), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1787), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58807] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1268), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2487), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58904] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2489), 1,
      anon_sym_LPAREN,
    ACTIONS(2492), 1,
      anon_sym_COLON,
    STATE(1269), 1,
      sym_comment,
    ACTIONS(2103), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2105), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58959] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1839), 1,
      anon_sym_EQ,
    STATE(1270), 1,
      sym_comment,
    ACTIONS(1886), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1785), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1787), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59014] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    ACTIONS(2494), 1,
      anon_sym_SEMI,
    ACTIONS(2496), 1,
      sym__automatic_semicolon,
    STATE(1271), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59113] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    STATE(1272), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2498), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59210] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2464), 1,
      anon_sym_PIPE,
    STATE(1273), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2157), 6,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [59299] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    STATE(1274), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2278), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59396] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2464), 1,
      anon_sym_PIPE,
    ACTIONS(2466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2468), 1,
      sym__ternary_qmark,
    STATE(1275), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59493] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2464), 1,
      anon_sym_PIPE,
    STATE(1276), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2157), 4,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [59586] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1277), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2500), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59683] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    STATE(1278), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2159), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [59750] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2464), 1,
      anon_sym_PIPE,
    ACTIONS(2466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2468), 1,
      sym__ternary_qmark,
    STATE(1279), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1997), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59847] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2464), 1,
      anon_sym_PIPE,
    ACTIONS(2466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2468), 1,
      sym__ternary_qmark,
    STATE(1280), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2155), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59944] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    ACTIONS(2502), 1,
      anon_sym_SEMI,
    ACTIONS(2504), 1,
      sym__automatic_semicolon,
    STATE(1281), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60043] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    STATE(1282), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2290), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60140] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    STATE(1283), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2159), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 9,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [60221] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2207), 1,
      anon_sym_GT_GT,
    ACTIONS(2211), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PIPE,
    ACTIONS(2219), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      sym__ternary_qmark,
    STATE(1284), 1,
      sym_comment,
    ACTIONS(1981), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2506), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2199), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60318] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    STATE(1285), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2159), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 12,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [60395] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(1997), 1,
      anon_sym_of,
    ACTIONS(2512), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2514), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2516), 1,
      anon_sym_GT_GT,
    ACTIONS(2520), 1,
      anon_sym_AMP,
    ACTIONS(2522), 1,
      anon_sym_CARET,
    ACTIONS(2524), 1,
      anon_sym_PIPE,
    ACTIONS(2528), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2538), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2540), 1,
      sym__ternary_qmark,
    STATE(1286), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2508), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2518), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2526), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2536), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2510), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2532), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60491] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2542), 1,
      anon_sym_RBRACK,
    STATE(1287), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60587] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2464), 1,
      anon_sym_PIPE,
    ACTIONS(2466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2468), 1,
      sym__ternary_qmark,
    ACTIONS(2544), 1,
      anon_sym_COLON,
    STATE(1288), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60683] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2516), 1,
      anon_sym_GT_GT,
    ACTIONS(2528), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_STAR_STAR,
    STATE(1289), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2508), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2518), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2526), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2510), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2532), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2159), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 8,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [60763] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2512), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2514), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2516), 1,
      anon_sym_GT_GT,
    ACTIONS(2520), 1,
      anon_sym_AMP,
    ACTIONS(2522), 1,
      anon_sym_CARET,
    ACTIONS(2524), 1,
      anon_sym_PIPE,
    ACTIONS(2528), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_STAR_STAR,
    STATE(1290), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2508), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2518), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2526), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2536), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2157), 3,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
    ACTIONS(2510), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2532), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60855] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2464), 1,
      anon_sym_PIPE,
    ACTIONS(2466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2468), 1,
      sym__ternary_qmark,
    ACTIONS(2546), 1,
      anon_sym_COLON,
    STATE(1291), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60951] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_of,
    ACTIONS(2512), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2514), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2516), 1,
      anon_sym_GT_GT,
    ACTIONS(2520), 1,
      anon_sym_AMP,
    ACTIONS(2522), 1,
      anon_sym_CARET,
    ACTIONS(2524), 1,
      anon_sym_PIPE,
    ACTIONS(2528), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2538), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2540), 1,
      sym__ternary_qmark,
    STATE(1292), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2508), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2518), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2526), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2536), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2510), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2532), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61047] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2528), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_STAR_STAR,
    STATE(1293), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2508), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2159), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 13,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [61117] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1948), 1,
      anon_sym_RBRACK,
    ACTIONS(1951), 1,
      anon_sym_EQ,
    ACTIONS(2352), 1,
      anon_sym_COMMA,
    STATE(1294), 1,
      sym_comment,
    ACTIONS(1944), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1946), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61173] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2123), 1,
      anon_sym_of,
    ACTIONS(2512), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2514), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2516), 1,
      anon_sym_GT_GT,
    ACTIONS(2520), 1,
      anon_sym_AMP,
    ACTIONS(2522), 1,
      anon_sym_CARET,
    ACTIONS(2524), 1,
      anon_sym_PIPE,
    ACTIONS(2528), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2538), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2540), 1,
      sym__ternary_qmark,
    STATE(1295), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2508), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2518), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2526), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2536), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2510), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2532), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61269] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1937), 1,
      anon_sym_RBRACK,
    ACTIONS(1940), 1,
      anon_sym_EQ,
    ACTIONS(2336), 1,
      anon_sym_COMMA,
    STATE(1296), 1,
      sym_comment,
    ACTIONS(1933), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1935), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61325] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(828), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1930), 1,
      anon_sym_RBRACK,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    STATE(1297), 1,
      sym_comment,
    ACTIONS(826), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(832), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61381] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2055), 1,
      anon_sym_of,
    ACTIONS(2512), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2514), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2516), 1,
      anon_sym_GT_GT,
    ACTIONS(2520), 1,
      anon_sym_AMP,
    ACTIONS(2522), 1,
      anon_sym_CARET,
    ACTIONS(2524), 1,
      anon_sym_PIPE,
    ACTIONS(2528), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2538), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2540), 1,
      sym__ternary_qmark,
    STATE(1298), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2508), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2518), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2526), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2536), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2510), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2532), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61477] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2464), 1,
      anon_sym_PIPE,
    ACTIONS(2466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2468), 1,
      sym__ternary_qmark,
    ACTIONS(2548), 1,
      anon_sym_COLON,
    STATE(1299), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61573] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2159), 1,
      anon_sym_PIPE,
    ACTIONS(2516), 1,
      anon_sym_GT_GT,
    ACTIONS(2520), 1,
      anon_sym_AMP,
    ACTIONS(2522), 1,
      anon_sym_CARET,
    ACTIONS(2528), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_STAR_STAR,
    STATE(1300), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2508), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2518), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2526), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2536), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2510), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2532), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2157), 5,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [61661] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2464), 1,
      anon_sym_PIPE,
    ACTIONS(2466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2468), 1,
      sym__ternary_qmark,
    ACTIONS(2550), 1,
      anon_sym_COLON,
    STATE(1301), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61757] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2101), 1,
      anon_sym_of,
    ACTIONS(2512), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2514), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2516), 1,
      anon_sym_GT_GT,
    ACTIONS(2520), 1,
      anon_sym_AMP,
    ACTIONS(2522), 1,
      anon_sym_CARET,
    ACTIONS(2524), 1,
      anon_sym_PIPE,
    ACTIONS(2528), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2538), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2540), 1,
      sym__ternary_qmark,
    STATE(1302), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2508), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2518), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2526), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2536), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2510), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2532), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61853] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2035), 1,
      anon_sym_of,
    ACTIONS(2512), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2514), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2516), 1,
      anon_sym_GT_GT,
    ACTIONS(2520), 1,
      anon_sym_AMP,
    ACTIONS(2522), 1,
      anon_sym_CARET,
    ACTIONS(2524), 1,
      anon_sym_PIPE,
    ACTIONS(2528), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2538), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2540), 1,
      sym__ternary_qmark,
    STATE(1303), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2508), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2518), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2526), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2536), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2510), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2532), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61949] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2159), 1,
      anon_sym_PIPE,
    ACTIONS(2516), 1,
      anon_sym_GT_GT,
    ACTIONS(2520), 1,
      anon_sym_AMP,
    ACTIONS(2528), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_STAR_STAR,
    STATE(1304), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2508), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2518), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2526), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2536), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2510), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2532), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2157), 6,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [62035] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2516), 1,
      anon_sym_GT_GT,
    ACTIONS(2528), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_STAR_STAR,
    STATE(1305), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2159), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2508), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2518), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2526), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2536), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2510), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2532), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2157), 6,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [62119] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2530), 1,
      anon_sym_STAR_STAR,
    STATE(1306), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2159), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [62185] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2528), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_STAR_STAR,
    STATE(1307), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2508), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2526), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2159), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 13,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [62257] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2294), 1,
      anon_sym_of,
    ACTIONS(2512), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2514), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2516), 1,
      anon_sym_GT_GT,
    ACTIONS(2520), 1,
      anon_sym_AMP,
    ACTIONS(2522), 1,
      anon_sym_CARET,
    ACTIONS(2524), 1,
      anon_sym_PIPE,
    ACTIONS(2528), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2538), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2540), 1,
      sym__ternary_qmark,
    ACTIONS(2552), 1,
      anon_sym_in,
    STATE(1308), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2508), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2510), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2518), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2526), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2536), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2532), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62355] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2512), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2516), 1,
      anon_sym_GT_GT,
    ACTIONS(2520), 1,
      anon_sym_AMP,
    ACTIONS(2522), 1,
      anon_sym_CARET,
    ACTIONS(2524), 1,
      anon_sym_PIPE,
    ACTIONS(2528), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_STAR_STAR,
    STATE(1309), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2508), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2518), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2526), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2536), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2510), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2532), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2157), 4,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [62445] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2516), 1,
      anon_sym_GT_GT,
    ACTIONS(2520), 1,
      anon_sym_AMP,
    ACTIONS(2522), 1,
      anon_sym_CARET,
    ACTIONS(2524), 1,
      anon_sym_PIPE,
    ACTIONS(2528), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_STAR_STAR,
    STATE(1310), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2508), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2518), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2526), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2536), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2510), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2532), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2157), 5,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [62533] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1862), 1,
      anon_sym_COMMA,
    ACTIONS(1869), 1,
      anon_sym_RBRACK,
    ACTIONS(1872), 1,
      anon_sym_EQ,
    STATE(1311), 1,
      sym_comment,
    ACTIONS(1785), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1787), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62589] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2081), 1,
      anon_sym_of,
    ACTIONS(2512), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2514), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2516), 1,
      anon_sym_GT_GT,
    ACTIONS(2520), 1,
      anon_sym_AMP,
    ACTIONS(2522), 1,
      anon_sym_CARET,
    ACTIONS(2524), 1,
      anon_sym_PIPE,
    ACTIONS(2528), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2538), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2540), 1,
      sym__ternary_qmark,
    STATE(1312), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2508), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2518), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2526), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2536), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2510), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2532), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62685] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2464), 1,
      anon_sym_PIPE,
    ACTIONS(2466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2468), 1,
      sym__ternary_qmark,
    ACTIONS(2555), 1,
      anon_sym_COLON,
    STATE(1313), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62781] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2464), 1,
      anon_sym_PIPE,
    ACTIONS(2466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2468), 1,
      sym__ternary_qmark,
    ACTIONS(2557), 1,
      anon_sym_LBRACE,
    STATE(1314), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62877] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2031), 1,
      anon_sym_of,
    ACTIONS(2512), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2514), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2516), 1,
      anon_sym_GT_GT,
    ACTIONS(2520), 1,
      anon_sym_AMP,
    ACTIONS(2522), 1,
      anon_sym_CARET,
    ACTIONS(2524), 1,
      anon_sym_PIPE,
    ACTIONS(2528), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2538), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2540), 1,
      sym__ternary_qmark,
    STATE(1315), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2508), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2518), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2526), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2536), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2510), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2532), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62973] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2085), 1,
      anon_sym_of,
    ACTIONS(2512), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2514), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2516), 1,
      anon_sym_GT_GT,
    ACTIONS(2520), 1,
      anon_sym_AMP,
    ACTIONS(2522), 1,
      anon_sym_CARET,
    ACTIONS(2524), 1,
      anon_sym_PIPE,
    ACTIONS(2528), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2538), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2540), 1,
      sym__ternary_qmark,
    STATE(1316), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2508), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2518), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2526), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2536), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2510), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2532), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63069] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2151), 1,
      anon_sym_of,
    ACTIONS(2512), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2514), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2516), 1,
      anon_sym_GT_GT,
    ACTIONS(2520), 1,
      anon_sym_AMP,
    ACTIONS(2522), 1,
      anon_sym_CARET,
    ACTIONS(2524), 1,
      anon_sym_PIPE,
    ACTIONS(2528), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2538), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2540), 1,
      sym__ternary_qmark,
    STATE(1317), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2508), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2518), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2526), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2536), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2510), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2532), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63165] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2155), 1,
      anon_sym_of,
    ACTIONS(2512), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2514), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2516), 1,
      anon_sym_GT_GT,
    ACTIONS(2520), 1,
      anon_sym_AMP,
    ACTIONS(2522), 1,
      anon_sym_CARET,
    ACTIONS(2524), 1,
      anon_sym_PIPE,
    ACTIONS(2528), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2538), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2540), 1,
      sym__ternary_qmark,
    STATE(1318), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2508), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2518), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2526), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2536), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2510), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2532), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63261] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2093), 1,
      anon_sym_of,
    ACTIONS(2512), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2514), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2516), 1,
      anon_sym_GT_GT,
    ACTIONS(2520), 1,
      anon_sym_AMP,
    ACTIONS(2522), 1,
      anon_sym_CARET,
    ACTIONS(2524), 1,
      anon_sym_PIPE,
    ACTIONS(2528), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2538), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2540), 1,
      sym__ternary_qmark,
    STATE(1319), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2508), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2518), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2526), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2536), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2510), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2532), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63357] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2003), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2005), 1,
      anon_sym_GT_GT,
    ACTIONS(2009), 1,
      anon_sym_AMP,
    ACTIONS(2011), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2017), 1,
      anon_sym_PERCENT,
    ACTIONS(2019), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2029), 1,
      sym__ternary_qmark,
    ACTIONS(2559), 1,
      anon_sym_RBRACK,
    STATE(1320), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1995), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2023), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1999), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2021), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63453] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2516), 1,
      anon_sym_GT_GT,
    ACTIONS(2528), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_STAR_STAR,
    STATE(1321), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2508), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2518), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2526), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2159), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 11,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [63529] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2530), 1,
      anon_sym_STAR_STAR,
    STATE(1322), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2159), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [63595] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2464), 1,
      anon_sym_PIPE,
    ACTIONS(2466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2468), 1,
      sym__ternary_qmark,
    STATE(1323), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63688] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1820), 1,
      anon_sym_LBRACE,
    ACTIONS(2563), 1,
      anon_sym_RBRACE,
    ACTIONS(2565), 1,
      anon_sym_LBRACK,
    ACTIONS(2567), 1,
      anon_sym_async,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2571), 1,
      anon_sym_static,
    STATE(1324), 1,
      sym_comment,
    STATE(1402), 1,
      aux_sym_export_statement_repeat1,
    STATE(1516), 1,
      sym_decorator,
    STATE(1948), 1,
      sym__property_name,
    STATE(1950), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2036), 1,
      aux_sym_object_repeat1,
    STATE(2668), 1,
      sym__destructuring_pattern,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2573), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1621), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2561), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1946), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(2038), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [63783] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(828), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2323), 1,
      anon_sym_of,
    ACTIONS(2325), 1,
      anon_sym_in,
    STATE(1325), 1,
      sym_comment,
    ACTIONS(826), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(832), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63838] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1979), 1,
      sym_optional_chain,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2446), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2464), 1,
      anon_sym_PIPE,
    ACTIONS(2466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2468), 1,
      sym__ternary_qmark,
    STATE(1326), 1,
      sym_comment,
    ACTIONS(1910), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63931] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1820), 1,
      anon_sym_LBRACE,
    ACTIONS(2565), 1,
      anon_sym_LBRACK,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2577), 1,
      anon_sym_RBRACE,
    ACTIONS(2579), 1,
      anon_sym_async,
    ACTIONS(2581), 1,
      anon_sym_static,
    STATE(1327), 1,
      sym_comment,
    STATE(1402), 1,
      aux_sym_export_statement_repeat1,
    STATE(1516), 1,
      sym_decorator,
    STATE(1948), 1,
      sym__property_name,
    STATE(1950), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2036), 1,
      aux_sym_object_repeat1,
    STATE(2668), 1,
      sym__destructuring_pattern,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2583), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1621), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2575), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1946), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(2038), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [64026] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1820), 1,
      anon_sym_LBRACE,
    ACTIONS(2565), 1,
      anon_sym_LBRACK,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2587), 1,
      anon_sym_RBRACE,
    ACTIONS(2589), 1,
      anon_sym_async,
    ACTIONS(2591), 1,
      anon_sym_static,
    STATE(1328), 1,
      sym_comment,
    STATE(1402), 1,
      aux_sym_export_statement_repeat1,
    STATE(1516), 1,
      sym_decorator,
    STATE(1948), 1,
      sym__property_name,
    STATE(1950), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2036), 1,
      aux_sym_object_repeat1,
    STATE(2668), 1,
      sym__destructuring_pattern,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2593), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1621), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2585), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1946), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(2038), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [64121] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1951), 1,
      anon_sym_EQ,
    ACTIONS(2349), 1,
      anon_sym_in,
    ACTIONS(2352), 1,
      anon_sym_of,
    STATE(1329), 1,
      sym_comment,
    ACTIONS(1944), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1946), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64176] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1820), 1,
      anon_sym_LBRACE,
    ACTIONS(2565), 1,
      anon_sym_LBRACK,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2597), 1,
      anon_sym_RBRACE,
    ACTIONS(2599), 1,
      anon_sym_async,
    ACTIONS(2601), 1,
      anon_sym_static,
    STATE(1330), 1,
      sym_comment,
    STATE(1402), 1,
      aux_sym_export_statement_repeat1,
    STATE(1516), 1,
      sym_decorator,
    STATE(1948), 1,
      sym__property_name,
    STATE(1949), 1,
      aux_sym_object_repeat1,
    STATE(1950), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2668), 1,
      sym__destructuring_pattern,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2603), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1621), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2595), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1946), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1947), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [64271] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1940), 1,
      anon_sym_EQ,
    ACTIONS(2336), 1,
      anon_sym_of,
    ACTIONS(2346), 1,
      anon_sym_in,
    STATE(1331), 1,
      sym_comment,
    ACTIONS(1933), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1935), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64326] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2145), 1,
      sym_regex_flags,
    STATE(1332), 1,
      sym_comment,
    ACTIONS(2141), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(2143), 20,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64377] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1820), 1,
      anon_sym_LBRACE,
    ACTIONS(2565), 1,
      anon_sym_LBRACK,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2607), 1,
      anon_sym_RBRACE,
    ACTIONS(2609), 1,
      anon_sym_async,
    ACTIONS(2611), 1,
      anon_sym_static,
    STATE(1333), 1,
      sym_comment,
    STATE(1402), 1,
      aux_sym_export_statement_repeat1,
    STATE(1516), 1,
      sym_decorator,
    STATE(1948), 1,
      sym__property_name,
    STATE(1949), 1,
      aux_sym_object_repeat1,
    STATE(1950), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2668), 1,
      sym__destructuring_pattern,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2613), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1621), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2605), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1946), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1947), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [64472] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1820), 1,
      anon_sym_LBRACE,
    ACTIONS(2565), 1,
      anon_sym_LBRACK,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2617), 1,
      anon_sym_RBRACE,
    ACTIONS(2619), 1,
      anon_sym_async,
    ACTIONS(2621), 1,
      anon_sym_static,
    STATE(1334), 1,
      sym_comment,
    STATE(1402), 1,
      aux_sym_export_statement_repeat1,
    STATE(1516), 1,
      sym_decorator,
    STATE(1948), 1,
      sym__property_name,
    STATE(1950), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2036), 1,
      aux_sym_object_repeat1,
    STATE(2668), 1,
      sym__destructuring_pattern,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2623), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1621), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2615), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1946), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(2038), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [64567] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1820), 1,
      anon_sym_LBRACE,
    ACTIONS(2565), 1,
      anon_sym_LBRACK,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2627), 1,
      anon_sym_RBRACE,
    ACTIONS(2629), 1,
      anon_sym_async,
    ACTIONS(2631), 1,
      anon_sym_static,
    STATE(1335), 1,
      sym_comment,
    STATE(1402), 1,
      aux_sym_export_statement_repeat1,
    STATE(1516), 1,
      sym_decorator,
    STATE(1948), 1,
      sym__property_name,
    STATE(1950), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2036), 1,
      aux_sym_object_repeat1,
    STATE(2668), 1,
      sym__destructuring_pattern,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2633), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1621), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2625), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1946), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(2038), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [64662] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1804), 1,
      anon_sym_EQ,
    ACTIONS(1877), 1,
      anon_sym_in,
    ACTIONS(1880), 1,
      anon_sym_of,
    STATE(1336), 1,
      sym_comment,
    ACTIONS(1785), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1787), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64717] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1894), 1,
      anon_sym_EQ,
    STATE(1337), 1,
      sym_comment,
    ACTIONS(1785), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1787), 22,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64768] = 25,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1820), 1,
      anon_sym_LBRACE,
    ACTIONS(2565), 1,
      anon_sym_LBRACK,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2640), 1,
      anon_sym_async,
    ACTIONS(2642), 1,
      anon_sym_static,
    STATE(1338), 1,
      sym_comment,
    STATE(1402), 1,
      aux_sym_export_statement_repeat1,
    STATE(1516), 1,
      sym_decorator,
    STATE(1948), 1,
      sym__property_name,
    STATE(2668), 1,
      sym__destructuring_pattern,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2637), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2644), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1621), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2635), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2095), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(2097), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [64855] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2648), 1,
      anon_sym_STAR,
    ACTIONS(2650), 1,
      anon_sym_RBRACE,
    ACTIONS(2652), 1,
      anon_sym_SEMI,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(2660), 1,
      anon_sym_async,
    ACTIONS(2664), 1,
      anon_sym_static,
    ACTIONS(2666), 1,
      aux_sym_method_definition_token1,
    STATE(1339), 1,
      sym_comment,
    STATE(1350), 1,
      aux_sym_class_body_repeat1,
    STATE(1395), 1,
      aux_sym_export_statement_repeat1,
    STATE(1424), 1,
      sym_glimmer_template,
    STATE(1425), 1,
      sym_class_static_block,
    STATE(1426), 1,
      sym_method_definition,
    STATE(1516), 1,
      sym_decorator,
    STATE(1673), 1,
      sym__property_name,
    STATE(1775), 1,
      sym_glimmer_opening_tag,
    STATE(2231), 1,
      sym_field_definition,
    ACTIONS(2662), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2668), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1815), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2646), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [64942] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2648), 1,
      anon_sym_STAR,
    ACTIONS(2652), 1,
      anon_sym_SEMI,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(2660), 1,
      anon_sym_async,
    ACTIONS(2664), 1,
      anon_sym_static,
    ACTIONS(2666), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2670), 1,
      anon_sym_RBRACE,
    STATE(1340), 1,
      sym_comment,
    STATE(1350), 1,
      aux_sym_class_body_repeat1,
    STATE(1395), 1,
      aux_sym_export_statement_repeat1,
    STATE(1424), 1,
      sym_glimmer_template,
    STATE(1425), 1,
      sym_class_static_block,
    STATE(1426), 1,
      sym_method_definition,
    STATE(1516), 1,
      sym_decorator,
    STATE(1673), 1,
      sym__property_name,
    STATE(1775), 1,
      sym_glimmer_opening_tag,
    STATE(2231), 1,
      sym_field_definition,
    ACTIONS(2662), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2668), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1815), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2646), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [65029] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2648), 1,
      anon_sym_STAR,
    ACTIONS(2652), 1,
      anon_sym_SEMI,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(2660), 1,
      anon_sym_async,
    ACTIONS(2664), 1,
      anon_sym_static,
    ACTIONS(2666), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2672), 1,
      anon_sym_RBRACE,
    STATE(1341), 1,
      sym_comment,
    STATE(1350), 1,
      aux_sym_class_body_repeat1,
    STATE(1395), 1,
      aux_sym_export_statement_repeat1,
    STATE(1424), 1,
      sym_glimmer_template,
    STATE(1425), 1,
      sym_class_static_block,
    STATE(1426), 1,
      sym_method_definition,
    STATE(1516), 1,
      sym_decorator,
    STATE(1673), 1,
      sym__property_name,
    STATE(1775), 1,
      sym_glimmer_opening_tag,
    STATE(2231), 1,
      sym_field_definition,
    ACTIONS(2662), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2668), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1815), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2646), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [65116] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2648), 1,
      anon_sym_STAR,
    ACTIONS(2652), 1,
      anon_sym_SEMI,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(2660), 1,
      anon_sym_async,
    ACTIONS(2664), 1,
      anon_sym_static,
    ACTIONS(2666), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2674), 1,
      anon_sym_RBRACE,
    STATE(1342), 1,
      sym_comment,
    STATE(1352), 1,
      aux_sym_class_body_repeat1,
    STATE(1395), 1,
      aux_sym_export_statement_repeat1,
    STATE(1424), 1,
      sym_glimmer_template,
    STATE(1425), 1,
      sym_class_static_block,
    STATE(1426), 1,
      sym_method_definition,
    STATE(1516), 1,
      sym_decorator,
    STATE(1673), 1,
      sym__property_name,
    STATE(1775), 1,
      sym_glimmer_opening_tag,
    STATE(2231), 1,
      sym_field_definition,
    ACTIONS(2662), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2668), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1815), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2646), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [65203] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2648), 1,
      anon_sym_STAR,
    ACTIONS(2652), 1,
      anon_sym_SEMI,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(2660), 1,
      anon_sym_async,
    ACTIONS(2664), 1,
      anon_sym_static,
    ACTIONS(2666), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2676), 1,
      anon_sym_RBRACE,
    STATE(1343), 1,
      sym_comment,
    STATE(1350), 1,
      aux_sym_class_body_repeat1,
    STATE(1395), 1,
      aux_sym_export_statement_repeat1,
    STATE(1424), 1,
      sym_glimmer_template,
    STATE(1425), 1,
      sym_class_static_block,
    STATE(1426), 1,
      sym_method_definition,
    STATE(1516), 1,
      sym_decorator,
    STATE(1673), 1,
      sym__property_name,
    STATE(1775), 1,
      sym_glimmer_opening_tag,
    STATE(2231), 1,
      sym_field_definition,
    ACTIONS(2662), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2668), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1815), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2646), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [65290] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2648), 1,
      anon_sym_STAR,
    ACTIONS(2652), 1,
      anon_sym_SEMI,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(2660), 1,
      anon_sym_async,
    ACTIONS(2664), 1,
      anon_sym_static,
    ACTIONS(2666), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2678), 1,
      anon_sym_RBRACE,
    STATE(1344), 1,
      sym_comment,
    STATE(1350), 1,
      aux_sym_class_body_repeat1,
    STATE(1395), 1,
      aux_sym_export_statement_repeat1,
    STATE(1424), 1,
      sym_glimmer_template,
    STATE(1425), 1,
      sym_class_static_block,
    STATE(1426), 1,
      sym_method_definition,
    STATE(1516), 1,
      sym_decorator,
    STATE(1673), 1,
      sym__property_name,
    STATE(1775), 1,
      sym_glimmer_opening_tag,
    STATE(2231), 1,
      sym_field_definition,
    ACTIONS(2662), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2668), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1815), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2646), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [65377] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2648), 1,
      anon_sym_STAR,
    ACTIONS(2652), 1,
      anon_sym_SEMI,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(2660), 1,
      anon_sym_async,
    ACTIONS(2664), 1,
      anon_sym_static,
    ACTIONS(2666), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2680), 1,
      anon_sym_RBRACE,
    STATE(1344), 1,
      aux_sym_class_body_repeat1,
    STATE(1345), 1,
      sym_comment,
    STATE(1395), 1,
      aux_sym_export_statement_repeat1,
    STATE(1424), 1,
      sym_glimmer_template,
    STATE(1425), 1,
      sym_class_static_block,
    STATE(1426), 1,
      sym_method_definition,
    STATE(1516), 1,
      sym_decorator,
    STATE(1673), 1,
      sym__property_name,
    STATE(1775), 1,
      sym_glimmer_opening_tag,
    STATE(2231), 1,
      sym_field_definition,
    ACTIONS(2662), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2668), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1815), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2646), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [65464] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2648), 1,
      anon_sym_STAR,
    ACTIONS(2652), 1,
      anon_sym_SEMI,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(2660), 1,
      anon_sym_async,
    ACTIONS(2664), 1,
      anon_sym_static,
    ACTIONS(2666), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2682), 1,
      anon_sym_RBRACE,
    STATE(1346), 1,
      sym_comment,
    STATE(1350), 1,
      aux_sym_class_body_repeat1,
    STATE(1395), 1,
      aux_sym_export_statement_repeat1,
    STATE(1424), 1,
      sym_glimmer_template,
    STATE(1425), 1,
      sym_class_static_block,
    STATE(1426), 1,
      sym_method_definition,
    STATE(1516), 1,
      sym_decorator,
    STATE(1673), 1,
      sym__property_name,
    STATE(1775), 1,
      sym_glimmer_opening_tag,
    STATE(2231), 1,
      sym_field_definition,
    ACTIONS(2662), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2668), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1815), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2646), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [65551] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2648), 1,
      anon_sym_STAR,
    ACTIONS(2652), 1,
      anon_sym_SEMI,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(2660), 1,
      anon_sym_async,
    ACTIONS(2664), 1,
      anon_sym_static,
    ACTIONS(2666), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2684), 1,
      anon_sym_RBRACE,
    STATE(1347), 1,
      sym_comment,
    STATE(1357), 1,
      aux_sym_class_body_repeat1,
    STATE(1395), 1,
      aux_sym_export_statement_repeat1,
    STATE(1424), 1,
      sym_glimmer_template,
    STATE(1425), 1,
      sym_class_static_block,
    STATE(1426), 1,
      sym_method_definition,
    STATE(1516), 1,
      sym_decorator,
    STATE(1673), 1,
      sym__property_name,
    STATE(1775), 1,
      sym_glimmer_opening_tag,
    STATE(2231), 1,
      sym_field_definition,
    ACTIONS(2662), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2668), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1815), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2646), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [65638] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2648), 1,
      anon_sym_STAR,
    ACTIONS(2652), 1,
      anon_sym_SEMI,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(2660), 1,
      anon_sym_async,
    ACTIONS(2664), 1,
      anon_sym_static,
    ACTIONS(2666), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2686), 1,
      anon_sym_RBRACE,
    STATE(1348), 1,
      sym_comment,
    STATE(1350), 1,
      aux_sym_class_body_repeat1,
    STATE(1395), 1,
      aux_sym_export_statement_repeat1,
    STATE(1424), 1,
      sym_glimmer_template,
    STATE(1425), 1,
      sym_class_static_block,
    STATE(1426), 1,
      sym_method_definition,
    STATE(1516), 1,
      sym_decorator,
    STATE(1673), 1,
      sym__property_name,
    STATE(1775), 1,
      sym_glimmer_opening_tag,
    STATE(2231), 1,
      sym_field_definition,
    ACTIONS(2662), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2668), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1815), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2646), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [65725] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2648), 1,
      anon_sym_STAR,
    ACTIONS(2652), 1,
      anon_sym_SEMI,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(2660), 1,
      anon_sym_async,
    ACTIONS(2664), 1,
      anon_sym_static,
    ACTIONS(2666), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2688), 1,
      anon_sym_RBRACE,
    STATE(1339), 1,
      aux_sym_class_body_repeat1,
    STATE(1349), 1,
      sym_comment,
    STATE(1395), 1,
      aux_sym_export_statement_repeat1,
    STATE(1424), 1,
      sym_glimmer_template,
    STATE(1425), 1,
      sym_class_static_block,
    STATE(1426), 1,
      sym_method_definition,
    STATE(1516), 1,
      sym_decorator,
    STATE(1673), 1,
      sym__property_name,
    STATE(1775), 1,
      sym_glimmer_opening_tag,
    STATE(2231), 1,
      sym_field_definition,
    ACTIONS(2662), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2668), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1815), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2646), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [65812] = 26,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2693), 1,
      anon_sym_STAR,
    ACTIONS(2696), 1,
      anon_sym_RBRACE,
    ACTIONS(2698), 1,
      anon_sym_SEMI,
    ACTIONS(2701), 1,
      anon_sym_LBRACK,
    ACTIONS(2704), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2707), 1,
      anon_sym_DQUOTE,
    ACTIONS(2710), 1,
      anon_sym_SQUOTE,
    ACTIONS(2713), 1,
      anon_sym_async,
    ACTIONS(2719), 1,
      anon_sym_AT,
    ACTIONS(2722), 1,
      anon_sym_static,
    ACTIONS(2725), 1,
      aux_sym_method_definition_token1,
    STATE(1395), 1,
      aux_sym_export_statement_repeat1,
    STATE(1424), 1,
      sym_glimmer_template,
    STATE(1425), 1,
      sym_class_static_block,
    STATE(1426), 1,
      sym_method_definition,
    STATE(1516), 1,
      sym_decorator,
    STATE(1673), 1,
      sym__property_name,
    STATE(1775), 1,
      sym_glimmer_opening_tag,
    STATE(2231), 1,
      sym_field_definition,
    ACTIONS(2716), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2728), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1350), 2,
      sym_comment,
      aux_sym_class_body_repeat1,
    STATE(1815), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2690), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [65897] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2648), 1,
      anon_sym_STAR,
    ACTIONS(2652), 1,
      anon_sym_SEMI,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(2660), 1,
      anon_sym_async,
    ACTIONS(2664), 1,
      anon_sym_static,
    ACTIONS(2666), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2731), 1,
      anon_sym_RBRACE,
    STATE(1348), 1,
      aux_sym_class_body_repeat1,
    STATE(1351), 1,
      sym_comment,
    STATE(1395), 1,
      aux_sym_export_statement_repeat1,
    STATE(1424), 1,
      sym_glimmer_template,
    STATE(1425), 1,
      sym_class_static_block,
    STATE(1426), 1,
      sym_method_definition,
    STATE(1516), 1,
      sym_decorator,
    STATE(1673), 1,
      sym__property_name,
    STATE(1775), 1,
      sym_glimmer_opening_tag,
    STATE(2231), 1,
      sym_field_definition,
    ACTIONS(2662), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2668), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1815), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2646), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [65984] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2648), 1,
      anon_sym_STAR,
    ACTIONS(2652), 1,
      anon_sym_SEMI,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(2660), 1,
      anon_sym_async,
    ACTIONS(2664), 1,
      anon_sym_static,
    ACTIONS(2666), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2733), 1,
      anon_sym_RBRACE,
    STATE(1350), 1,
      aux_sym_class_body_repeat1,
    STATE(1352), 1,
      sym_comment,
    STATE(1395), 1,
      aux_sym_export_statement_repeat1,
    STATE(1424), 1,
      sym_glimmer_template,
    STATE(1425), 1,
      sym_class_static_block,
    STATE(1426), 1,
      sym_method_definition,
    STATE(1516), 1,
      sym_decorator,
    STATE(1673), 1,
      sym__property_name,
    STATE(1775), 1,
      sym_glimmer_opening_tag,
    STATE(2231), 1,
      sym_field_definition,
    ACTIONS(2662), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2668), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1815), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2646), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [66071] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2648), 1,
      anon_sym_STAR,
    ACTIONS(2652), 1,
      anon_sym_SEMI,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(2660), 1,
      anon_sym_async,
    ACTIONS(2664), 1,
      anon_sym_static,
    ACTIONS(2666), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2735), 1,
      anon_sym_RBRACE,
    STATE(1341), 1,
      aux_sym_class_body_repeat1,
    STATE(1353), 1,
      sym_comment,
    STATE(1395), 1,
      aux_sym_export_statement_repeat1,
    STATE(1424), 1,
      sym_glimmer_template,
    STATE(1425), 1,
      sym_class_static_block,
    STATE(1426), 1,
      sym_method_definition,
    STATE(1516), 1,
      sym_decorator,
    STATE(1673), 1,
      sym__property_name,
    STATE(1775), 1,
      sym_glimmer_opening_tag,
    STATE(2231), 1,
      sym_field_definition,
    ACTIONS(2662), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2668), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1815), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2646), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [66158] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2648), 1,
      anon_sym_STAR,
    ACTIONS(2652), 1,
      anon_sym_SEMI,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(2660), 1,
      anon_sym_async,
    ACTIONS(2664), 1,
      anon_sym_static,
    ACTIONS(2666), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2737), 1,
      anon_sym_RBRACE,
    STATE(1354), 1,
      sym_comment,
    STATE(1358), 1,
      aux_sym_class_body_repeat1,
    STATE(1395), 1,
      aux_sym_export_statement_repeat1,
    STATE(1424), 1,
      sym_glimmer_template,
    STATE(1425), 1,
      sym_class_static_block,
    STATE(1426), 1,
      sym_method_definition,
    STATE(1516), 1,
      sym_decorator,
    STATE(1673), 1,
      sym__property_name,
    STATE(1775), 1,
      sym_glimmer_opening_tag,
    STATE(2231), 1,
      sym_field_definition,
    ACTIONS(2662), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2668), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1815), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2646), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [66245] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2648), 1,
      anon_sym_STAR,
    ACTIONS(2652), 1,
      anon_sym_SEMI,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(2660), 1,
      anon_sym_async,
    ACTIONS(2664), 1,
      anon_sym_static,
    ACTIONS(2666), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2739), 1,
      anon_sym_RBRACE,
    STATE(1346), 1,
      aux_sym_class_body_repeat1,
    STATE(1355), 1,
      sym_comment,
    STATE(1395), 1,
      aux_sym_export_statement_repeat1,
    STATE(1424), 1,
      sym_glimmer_template,
    STATE(1425), 1,
      sym_class_static_block,
    STATE(1426), 1,
      sym_method_definition,
    STATE(1516), 1,
      sym_decorator,
    STATE(1673), 1,
      sym__property_name,
    STATE(1775), 1,
      sym_glimmer_opening_tag,
    STATE(2231), 1,
      sym_field_definition,
    ACTIONS(2662), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2668), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1815), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2646), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [66332] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2648), 1,
      anon_sym_STAR,
    ACTIONS(2652), 1,
      anon_sym_SEMI,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(2660), 1,
      anon_sym_async,
    ACTIONS(2664), 1,
      anon_sym_static,
    ACTIONS(2666), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2741), 1,
      anon_sym_RBRACE,
    STATE(1340), 1,
      aux_sym_class_body_repeat1,
    STATE(1356), 1,
      sym_comment,
    STATE(1395), 1,
      aux_sym_export_statement_repeat1,
    STATE(1424), 1,
      sym_glimmer_template,
    STATE(1425), 1,
      sym_class_static_block,
    STATE(1426), 1,
      sym_method_definition,
    STATE(1516), 1,
      sym_decorator,
    STATE(1673), 1,
      sym__property_name,
    STATE(1775), 1,
      sym_glimmer_opening_tag,
    STATE(2231), 1,
      sym_field_definition,
    ACTIONS(2662), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2668), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1815), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2646), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [66419] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2648), 1,
      anon_sym_STAR,
    ACTIONS(2652), 1,
      anon_sym_SEMI,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(2660), 1,
      anon_sym_async,
    ACTIONS(2664), 1,
      anon_sym_static,
    ACTIONS(2666), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2743), 1,
      anon_sym_RBRACE,
    STATE(1350), 1,
      aux_sym_class_body_repeat1,
    STATE(1357), 1,
      sym_comment,
    STATE(1395), 1,
      aux_sym_export_statement_repeat1,
    STATE(1424), 1,
      sym_glimmer_template,
    STATE(1425), 1,
      sym_class_static_block,
    STATE(1426), 1,
      sym_method_definition,
    STATE(1516), 1,
      sym_decorator,
    STATE(1673), 1,
      sym__property_name,
    STATE(1775), 1,
      sym_glimmer_opening_tag,
    STATE(2231), 1,
      sym_field_definition,
    ACTIONS(2662), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2668), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1815), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2646), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [66506] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2648), 1,
      anon_sym_STAR,
    ACTIONS(2652), 1,
      anon_sym_SEMI,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(2660), 1,
      anon_sym_async,
    ACTIONS(2664), 1,
      anon_sym_static,
    ACTIONS(2666), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2745), 1,
      anon_sym_RBRACE,
    STATE(1350), 1,
      aux_sym_class_body_repeat1,
    STATE(1358), 1,
      sym_comment,
    STATE(1395), 1,
      aux_sym_export_statement_repeat1,
    STATE(1424), 1,
      sym_glimmer_template,
    STATE(1425), 1,
      sym_class_static_block,
    STATE(1426), 1,
      sym_method_definition,
    STATE(1516), 1,
      sym_decorator,
    STATE(1673), 1,
      sym__property_name,
    STATE(1775), 1,
      sym_glimmer_opening_tag,
    STATE(2231), 1,
      sym_field_definition,
    ACTIONS(2662), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2668), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1815), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2646), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [66593] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2648), 1,
      anon_sym_STAR,
    ACTIONS(2652), 1,
      anon_sym_SEMI,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(2660), 1,
      anon_sym_async,
    ACTIONS(2664), 1,
      anon_sym_static,
    ACTIONS(2666), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2747), 1,
      anon_sym_RBRACE,
    STATE(1343), 1,
      aux_sym_class_body_repeat1,
    STATE(1359), 1,
      sym_comment,
    STATE(1395), 1,
      aux_sym_export_statement_repeat1,
    STATE(1424), 1,
      sym_glimmer_template,
    STATE(1425), 1,
      sym_class_static_block,
    STATE(1426), 1,
      sym_method_definition,
    STATE(1516), 1,
      sym_decorator,
    STATE(1673), 1,
      sym__property_name,
    STATE(1775), 1,
      sym_glimmer_opening_tag,
    STATE(2231), 1,
      sym_field_definition,
    ACTIONS(2662), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2668), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1815), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2646), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [66680] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2648), 1,
      anon_sym_STAR,
    ACTIONS(2652), 1,
      anon_sym_SEMI,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(2660), 1,
      anon_sym_async,
    ACTIONS(2664), 1,
      anon_sym_static,
    ACTIONS(2666), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2749), 1,
      anon_sym_RBRACE,
    STATE(1360), 1,
      sym_comment,
    STATE(1361), 1,
      aux_sym_class_body_repeat1,
    STATE(1395), 1,
      aux_sym_export_statement_repeat1,
    STATE(1424), 1,
      sym_glimmer_template,
    STATE(1425), 1,
      sym_class_static_block,
    STATE(1426), 1,
      sym_method_definition,
    STATE(1516), 1,
      sym_decorator,
    STATE(1673), 1,
      sym__property_name,
    STATE(1775), 1,
      sym_glimmer_opening_tag,
    STATE(2231), 1,
      sym_field_definition,
    ACTIONS(2662), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2668), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1815), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2646), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [66767] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2648), 1,
      anon_sym_STAR,
    ACTIONS(2652), 1,
      anon_sym_SEMI,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(2660), 1,
      anon_sym_async,
    ACTIONS(2664), 1,
      anon_sym_static,
    ACTIONS(2666), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2751), 1,
      anon_sym_RBRACE,
    STATE(1350), 1,
      aux_sym_class_body_repeat1,
    STATE(1361), 1,
      sym_comment,
    STATE(1395), 1,
      aux_sym_export_statement_repeat1,
    STATE(1424), 1,
      sym_glimmer_template,
    STATE(1425), 1,
      sym_class_static_block,
    STATE(1426), 1,
      sym_method_definition,
    STATE(1516), 1,
      sym_decorator,
    STATE(1673), 1,
      sym__property_name,
    STATE(1775), 1,
      sym_glimmer_opening_tag,
    STATE(2231), 1,
      sym_field_definition,
    ACTIONS(2662), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2668), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1815), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2646), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [66854] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1065), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2755), 1,
      anon_sym_COMMA,
    ACTIONS(2757), 1,
      anon_sym_RBRACE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2761), 1,
      anon_sym_async,
    ACTIONS(2763), 1,
      anon_sym_static,
    STATE(1362), 1,
      sym_comment,
    STATE(1402), 1,
      aux_sym_export_statement_repeat1,
    STATE(1516), 1,
      sym_decorator,
    STATE(1926), 1,
      sym__property_name,
    STATE(2052), 1,
      aux_sym_object_repeat1,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2765), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2753), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2051), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [66931] = 21,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1065), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2771), 1,
      anon_sym_async,
    ACTIONS(2773), 1,
      anon_sym_static,
    STATE(1363), 1,
      sym_comment,
    STATE(1402), 1,
      aux_sym_export_statement_repeat1,
    STATE(1516), 1,
      sym_decorator,
    STATE(1926), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2769), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2775), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2767), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2097), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [67003] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(904), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1820), 1,
      anon_sym_LBRACE,
    ACTIONS(2565), 1,
      anon_sym_LBRACK,
    ACTIONS(2779), 1,
      anon_sym_COMMA,
    ACTIONS(2781), 1,
      anon_sym_RBRACE,
    STATE(1364), 1,
      sym_comment,
    STATE(2028), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2650), 1,
      sym__property_name,
    STATE(2668), 1,
      sym__destructuring_pattern,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1621), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    STATE(2039), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(2777), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [67069] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(904), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1820), 1,
      anon_sym_LBRACE,
    ACTIONS(2565), 1,
      anon_sym_LBRACK,
    ACTIONS(2779), 1,
      anon_sym_COMMA,
    ACTIONS(2785), 1,
      anon_sym_RBRACE,
    STATE(1365), 1,
      sym_comment,
    STATE(1950), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2650), 1,
      sym__property_name,
    STATE(2668), 1,
      sym__destructuring_pattern,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1621), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    STATE(1946), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(2783), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [67135] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(904), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1820), 1,
      anon_sym_LBRACE,
    ACTIONS(2565), 1,
      anon_sym_LBRACK,
    STATE(1366), 1,
      sym_comment,
    STATE(2650), 1,
      sym__property_name,
    STATE(2668), 1,
      sym__destructuring_pattern,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2789), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1621), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    STATE(2095), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(2787), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [67196] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1350), 1,
      anon_sym_RBRACE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_STAR,
    ACTIONS(2795), 1,
      anon_sym_EQ,
    STATE(1367), 1,
      sym_comment,
    STATE(1981), 1,
      aux_sym_object_repeat1,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [67261] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_STAR,
    ACTIONS(2795), 1,
      anon_sym_EQ,
    ACTIONS(2797), 1,
      anon_sym_RBRACE,
    STATE(1368), 1,
      sym_comment,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2035), 1,
      aux_sym_object_repeat1,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [67326] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_STAR,
    ACTIONS(2795), 1,
      anon_sym_EQ,
    ACTIONS(2799), 1,
      anon_sym_RBRACE,
    STATE(1369), 1,
      sym_comment,
    STATE(1981), 1,
      aux_sym_object_repeat1,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [67389] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_STAR,
    ACTIONS(2795), 1,
      anon_sym_EQ,
    ACTIONS(2801), 1,
      anon_sym_RBRACE,
    STATE(1370), 1,
      sym_comment,
    STATE(1981), 1,
      aux_sym_object_repeat1,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [67454] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_STAR,
    ACTIONS(2795), 1,
      anon_sym_EQ,
    ACTIONS(2797), 1,
      anon_sym_RBRACE,
    STATE(1371), 1,
      sym_comment,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2035), 1,
      aux_sym_object_repeat1,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [67517] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1314), 1,
      anon_sym_RBRACE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_STAR,
    ACTIONS(2795), 1,
      anon_sym_EQ,
    STATE(1372), 1,
      sym_comment,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2035), 1,
      aux_sym_object_repeat1,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [67582] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1314), 1,
      anon_sym_RBRACE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_STAR,
    ACTIONS(2795), 1,
      anon_sym_EQ,
    STATE(1373), 1,
      sym_comment,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2035), 1,
      aux_sym_object_repeat1,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [67645] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_STAR,
    ACTIONS(2795), 1,
      anon_sym_EQ,
    ACTIONS(2803), 1,
      anon_sym_RBRACE,
    STATE(1374), 1,
      sym_comment,
    STATE(1981), 1,
      aux_sym_object_repeat1,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [67710] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1350), 1,
      anon_sym_RBRACE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_STAR,
    ACTIONS(2795), 1,
      anon_sym_EQ,
    STATE(1375), 1,
      sym_comment,
    STATE(1981), 1,
      aux_sym_object_repeat1,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [67773] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1272), 1,
      anon_sym_RBRACE,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_STAR,
    ACTIONS(2795), 1,
      anon_sym_EQ,
    STATE(1376), 1,
      sym_comment,
    STATE(1981), 1,
      aux_sym_object_repeat1,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [67836] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_STAR,
    ACTIONS(2795), 1,
      anon_sym_EQ,
    ACTIONS(2801), 1,
      anon_sym_RBRACE,
    STATE(1377), 1,
      sym_comment,
    STATE(1981), 1,
      aux_sym_object_repeat1,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [67899] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_STAR,
    ACTIONS(2795), 1,
      anon_sym_EQ,
    ACTIONS(2803), 1,
      anon_sym_RBRACE,
    STATE(1378), 1,
      sym_comment,
    STATE(1981), 1,
      aux_sym_object_repeat1,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [67962] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1272), 1,
      anon_sym_RBRACE,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_STAR,
    ACTIONS(2795), 1,
      anon_sym_EQ,
    STATE(1379), 1,
      sym_comment,
    STATE(1981), 1,
      aux_sym_object_repeat1,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [68027] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_STAR,
    ACTIONS(2795), 1,
      anon_sym_EQ,
    ACTIONS(2799), 1,
      anon_sym_RBRACE,
    STATE(1380), 1,
      sym_comment,
    STATE(1981), 1,
      aux_sym_object_repeat1,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [68092] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2795), 1,
      anon_sym_EQ,
    ACTIONS(2797), 1,
      anon_sym_RBRACE,
    STATE(1381), 1,
      sym_comment,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2035), 1,
      aux_sym_object_repeat1,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [68150] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2795), 1,
      anon_sym_EQ,
    ACTIONS(2799), 1,
      anon_sym_RBRACE,
    STATE(1382), 1,
      sym_comment,
    STATE(1981), 1,
      aux_sym_object_repeat1,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [68208] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1272), 1,
      anon_sym_RBRACE,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2795), 1,
      anon_sym_EQ,
    STATE(1383), 1,
      sym_comment,
    STATE(1981), 1,
      aux_sym_object_repeat1,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [68266] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1350), 1,
      anon_sym_RBRACE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2795), 1,
      anon_sym_EQ,
    STATE(1384), 1,
      sym_comment,
    STATE(1981), 1,
      aux_sym_object_repeat1,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [68324] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2795), 1,
      anon_sym_EQ,
    ACTIONS(2801), 1,
      anon_sym_RBRACE,
    STATE(1385), 1,
      sym_comment,
    STATE(1981), 1,
      aux_sym_object_repeat1,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [68382] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(2805), 1,
      anon_sym_STAR,
    ACTIONS(2807), 1,
      anon_sym_LBRACE,
    ACTIONS(2809), 1,
      anon_sym_async,
    ACTIONS(2813), 1,
      sym__automatic_semicolon,
    STATE(1386), 1,
      sym_comment,
    STATE(1417), 1,
      sym_statement_block,
    STATE(1634), 1,
      sym__property_name,
    ACTIONS(2662), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2811), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1815), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2793), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(2646), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [68442] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2795), 1,
      anon_sym_EQ,
    ACTIONS(2803), 1,
      anon_sym_RBRACE,
    STATE(1387), 1,
      sym_comment,
    STATE(1981), 1,
      aux_sym_object_repeat1,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [68500] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1314), 1,
      anon_sym_RBRACE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2795), 1,
      anon_sym_EQ,
    STATE(1388), 1,
      sym_comment,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2035), 1,
      aux_sym_object_repeat1,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [68558] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_COMMA,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_STAR,
    ACTIONS(2816), 1,
      anon_sym_RBRACE,
    STATE(1389), 1,
      sym_comment,
    STATE(2031), 1,
      aux_sym_object_repeat1,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [68615] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2755), 1,
      anon_sym_COMMA,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_STAR,
    ACTIONS(2816), 1,
      anon_sym_RBRACE,
    STATE(1390), 1,
      sym_comment,
    STATE(2031), 1,
      aux_sym_object_repeat1,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [68674] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_STAR,
    ACTIONS(2795), 1,
      anon_sym_EQ,
    STATE(1391), 1,
      sym_comment,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2818), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [68731] = 21,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(115), 1,
      anon_sym_AT,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2821), 1,
      anon_sym_export,
    ACTIONS(2823), 1,
      anon_sym_STAR,
    ACTIONS(2825), 1,
      anon_sym_class,
    ACTIONS(2827), 1,
      anon_sym_async,
    ACTIONS(2829), 1,
      anon_sym_static,
    ACTIONS(2831), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2833), 1,
      anon_sym_get,
    ACTIONS(2835), 1,
      anon_sym_set,
    STATE(1392), 1,
      sym_comment,
    STATE(1441), 1,
      aux_sym_export_statement_repeat1,
    STATE(1505), 1,
      sym_decorator,
    STATE(2122), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1352), 2,
      anon_sym_let,
      sym_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
  [68798] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_STAR,
    ACTIONS(2795), 1,
      anon_sym_EQ,
    STATE(1393), 1,
      sym_comment,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2818), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [68853] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2837), 1,
      anon_sym_STAR,
    ACTIONS(2841), 1,
      sym__automatic_semicolon,
    STATE(1394), 1,
      sym_comment,
    STATE(2485), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2839), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2793), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [68905] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(2843), 1,
      anon_sym_STAR,
    ACTIONS(2845), 1,
      anon_sym_async,
    ACTIONS(2847), 1,
      anon_sym_static,
    ACTIONS(2849), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2851), 1,
      anon_sym_get,
    ACTIONS(2853), 1,
      anon_sym_set,
    STATE(1395), 1,
      sym_comment,
    STATE(1465), 1,
      aux_sym_export_statement_repeat1,
    STATE(1516), 1,
      sym_decorator,
    STATE(1644), 1,
      sym__property_name,
    ACTIONS(2662), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1815), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2646), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [68967] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2841), 1,
      sym__automatic_semicolon,
    ACTIONS(2855), 1,
      anon_sym_STAR,
    ACTIONS(2857), 1,
      anon_sym_get,
    ACTIONS(2859), 1,
      anon_sym_set,
    STATE(1396), 1,
      sym_comment,
    STATE(2487), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2793), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [69021] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2841), 1,
      sym__automatic_semicolon,
    ACTIONS(2861), 1,
      anon_sym_STAR,
    ACTIONS(2863), 1,
      anon_sym_get,
    ACTIONS(2865), 1,
      anon_sym_set,
    STATE(1397), 1,
      sym_comment,
    STATE(2501), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2793), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [69075] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_STAR,
    STATE(1398), 1,
      sym_comment,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2867), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [69127] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_COMMA,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2816), 1,
      anon_sym_RBRACE,
    STATE(1399), 1,
      sym_comment,
    STATE(2031), 1,
      aux_sym_object_repeat1,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [69179] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      sym__automatic_semicolon,
    ACTIONS(2869), 1,
      anon_sym_STAR,
    ACTIONS(2871), 1,
      anon_sym_async,
    ACTIONS(2873), 1,
      anon_sym_get,
    ACTIONS(2875), 1,
      anon_sym_set,
    STATE(1400), 1,
      sym_comment,
    STATE(1649), 1,
      sym__property_name,
    ACTIONS(2662), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1815), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2793), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(2646), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [69235] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_STAR,
    STATE(1401), 1,
      sym_comment,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2867), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [69289] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2569), 1,
      anon_sym_AT,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2823), 1,
      anon_sym_STAR,
    ACTIONS(2827), 1,
      anon_sym_async,
    ACTIONS(2829), 1,
      anon_sym_static,
    ACTIONS(2831), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2833), 1,
      anon_sym_get,
    ACTIONS(2835), 1,
      anon_sym_set,
    STATE(1402), 1,
      sym_comment,
    STATE(1465), 1,
      aux_sym_export_statement_repeat1,
    STATE(1516), 1,
      sym_decorator,
    STATE(2122), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [69351] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2795), 1,
      anon_sym_EQ,
    STATE(1403), 1,
      sym_comment,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2818), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [69401] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2805), 1,
      anon_sym_STAR,
    ACTIONS(2841), 1,
      sym__automatic_semicolon,
    STATE(1404), 1,
      sym_comment,
    STATE(2474), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2877), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2793), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [69453] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2841), 1,
      sym__automatic_semicolon,
    STATE(1405), 1,
      sym_comment,
    STATE(2489), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2793), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [69500] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2841), 1,
      sym__automatic_semicolon,
    STATE(1406), 1,
      sym_comment,
    STATE(2485), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2793), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [69547] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    STATE(1407), 1,
      sym_comment,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2793), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2867), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [69594] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2841), 1,
      sym__automatic_semicolon,
    STATE(1408), 1,
      sym_comment,
    STATE(2490), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2793), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [69641] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2881), 1,
      anon_sym_LPAREN,
    ACTIONS(2883), 1,
      anon_sym_DOT,
    STATE(1409), 1,
      sym_comment,
    STATE(1498), 1,
      sym_arguments,
    ACTIONS(2879), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [69678] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2885), 1,
      sym__automatic_semicolon,
    STATE(1410), 1,
      sym_comment,
    ACTIONS(886), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [69711] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2841), 1,
      sym__automatic_semicolon,
    STATE(1411), 1,
      sym_comment,
    STATE(2502), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2793), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [69758] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2841), 1,
      sym__automatic_semicolon,
    STATE(1412), 1,
      sym_comment,
    STATE(2503), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2793), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [69805] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2887), 1,
      sym__automatic_semicolon,
    STATE(1413), 1,
      sym_comment,
    ACTIONS(824), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [69838] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2841), 1,
      sym__automatic_semicolon,
    STATE(1414), 1,
      sym_comment,
    STATE(2474), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2793), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [69885] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1415), 1,
      sym_comment,
    ACTIONS(2889), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [69915] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1416), 1,
      sym_comment,
    ACTIONS(2889), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [69945] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1417), 1,
      sym_comment,
    ACTIONS(2891), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [69975] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1418), 1,
      sym_comment,
    ACTIONS(2893), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70005] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1419), 1,
      sym_comment,
    ACTIONS(2895), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70035] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1420), 1,
      sym_comment,
    ACTIONS(2895), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70065] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1421), 1,
      sym_comment,
    ACTIONS(2897), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70095] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1422), 1,
      sym_comment,
    ACTIONS(2899), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70125] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1423), 1,
      sym_comment,
    ACTIONS(2901), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70155] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1424), 1,
      sym_comment,
    ACTIONS(2903), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70185] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1425), 1,
      sym_comment,
    ACTIONS(2905), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70215] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2907), 1,
      anon_sym_SEMI,
    STATE(1426), 1,
      sym_comment,
    ACTIONS(2905), 17,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70247] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1427), 1,
      sym_comment,
    ACTIONS(2910), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70277] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1428), 1,
      sym_comment,
    ACTIONS(2912), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70307] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1429), 1,
      sym_comment,
    ACTIONS(2914), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70337] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1430), 1,
      sym_comment,
    ACTIONS(2914), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70367] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1431), 1,
      sym_comment,
    ACTIONS(2914), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70397] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1432), 1,
      sym_comment,
    ACTIONS(2914), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70427] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1433), 1,
      sym_comment,
    ACTIONS(2914), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70457] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1434), 1,
      sym_comment,
    ACTIONS(2914), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70487] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1435), 1,
      sym_comment,
    ACTIONS(2916), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70517] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1436), 1,
      sym_comment,
    ACTIONS(2889), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70547] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1437), 1,
      sym_comment,
    ACTIONS(2889), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70577] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1438), 1,
      sym_comment,
    ACTIONS(2895), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70607] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1439), 1,
      sym_comment,
    ACTIONS(2889), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70637] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1440), 1,
      sym_comment,
    ACTIONS(2889), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70667] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2920), 1,
      anon_sym_AT,
    STATE(1505), 1,
      sym_decorator,
    STATE(1441), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(2918), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70701] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1442), 1,
      sym_comment,
    ACTIONS(2889), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70731] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2923), 1,
      anon_sym_LPAREN,
    ACTIONS(2925), 1,
      anon_sym_DOT,
    STATE(1443), 1,
      sym_comment,
    STATE(1509), 1,
      sym_arguments,
    ACTIONS(2879), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70767] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1444), 1,
      sym_comment,
    ACTIONS(2889), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70797] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1445), 1,
      sym_comment,
    ACTIONS(2889), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70827] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1446), 1,
      sym_comment,
    ACTIONS(2179), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70857] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1447), 1,
      sym_comment,
    ACTIONS(2889), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70887] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1448), 1,
      sym_comment,
    ACTIONS(2927), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70917] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1449), 1,
      sym_comment,
    ACTIONS(886), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70947] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1450), 1,
      sym_comment,
    ACTIONS(1969), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [70977] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1451), 1,
      sym_comment,
    ACTIONS(1965), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [71007] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1452), 1,
      sym_comment,
    ACTIONS(922), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [71037] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1453), 1,
      sym_comment,
    ACTIONS(2895), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [71067] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1454), 1,
      sym_comment,
    ACTIONS(2895), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [71097] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1455), 1,
      sym_comment,
    ACTIONS(2895), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [71127] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1456), 1,
      sym_comment,
    ACTIONS(2929), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [71157] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1457), 1,
      sym_comment,
    ACTIONS(2889), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [71187] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    ACTIONS(2931), 1,
      anon_sym_STAR,
    ACTIONS(2933), 1,
      anon_sym_get,
    ACTIONS(2935), 1,
      anon_sym_set,
    STATE(1458), 1,
      sym_comment,
    STATE(2233), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [71236] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    ACTIONS(2937), 1,
      anon_sym_STAR,
    STATE(1459), 1,
      sym_comment,
    STATE(2426), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2939), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [71283] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    ACTIONS(2941), 1,
      anon_sym_STAR,
    ACTIONS(2943), 1,
      anon_sym_get,
    ACTIONS(2945), 1,
      anon_sym_set,
    STATE(1460), 1,
      sym_comment,
    STATE(2505), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [71332] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1215), 1,
      anon_sym_var,
    ACTIONS(1229), 1,
      anon_sym_class,
    ACTIONS(1231), 1,
      anon_sym_async,
    ACTIONS(1233), 1,
      anon_sym_function,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(2841), 1,
      anon_sym_LPAREN,
    ACTIONS(2947), 1,
      anon_sym_default,
    STATE(842), 1,
      sym_declaration,
    STATE(1461), 1,
      sym_comment,
    STATE(1763), 1,
      aux_sym_export_statement_repeat1,
    STATE(1941), 1,
      sym_decorator,
    ACTIONS(1217), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(830), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [71383] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_STAR,
    STATE(1462), 1,
      sym_comment,
    STATE(2485), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2839), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [71430] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    ACTIONS(2949), 1,
      anon_sym_EQ_GT,
    STATE(1463), 1,
      sym_comment,
    STATE(2426), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [71475] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    ACTIONS(2951), 1,
      anon_sym_STAR,
    ACTIONS(2953), 1,
      anon_sym_async,
    ACTIONS(2955), 1,
      anon_sym_get,
    ACTIONS(2957), 1,
      anon_sym_set,
    STATE(1464), 1,
      sym_comment,
    STATE(2517), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [71526] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2959), 1,
      anon_sym_AT,
    STATE(1516), 1,
      sym_decorator,
    STATE(1465), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(2918), 14,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [71559] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    ACTIONS(2962), 1,
      anon_sym_STAR,
    ACTIONS(2964), 1,
      anon_sym_get,
    ACTIONS(2966), 1,
      anon_sym_set,
    STATE(1466), 1,
      sym_comment,
    STATE(2057), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [71608] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    ACTIONS(2968), 1,
      anon_sym_STAR,
    ACTIONS(2970), 1,
      anon_sym_get,
    ACTIONS(2972), 1,
      anon_sym_set,
    STATE(1467), 1,
      sym_comment,
    STATE(2477), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [71657] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1468), 1,
      sym_comment,
    ACTIONS(2893), 17,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [71686] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    STATE(1469), 1,
      sym_comment,
    STATE(2496), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [71728] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    STATE(1470), 1,
      sym_comment,
    STATE(2512), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [71770] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    STATE(1471), 1,
      sym_comment,
    STATE(2499), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [71812] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1472), 1,
      sym_comment,
    ACTIONS(2165), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [71840] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1215), 1,
      anon_sym_var,
    ACTIONS(1229), 1,
      anon_sym_class,
    ACTIONS(1231), 1,
      anon_sym_async,
    ACTIONS(1233), 1,
      anon_sym_function,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(2947), 1,
      anon_sym_default,
    STATE(842), 1,
      sym_declaration,
    STATE(1473), 1,
      sym_comment,
    STATE(1763), 1,
      aux_sym_export_statement_repeat1,
    STATE(1941), 1,
      sym_decorator,
    ACTIONS(1217), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(830), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [71888] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2805), 1,
      anon_sym_STAR,
    ACTIONS(2974), 1,
      anon_sym_async,
    STATE(1474), 1,
      sym_comment,
    STATE(2474), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2877), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [71934] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    STATE(1475), 1,
      sym_comment,
    STATE(2294), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [71976] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2976), 1,
      anon_sym_STAR,
    ACTIONS(2978), 1,
      anon_sym_async,
    ACTIONS(2980), 1,
      anon_sym_get,
    ACTIONS(2982), 1,
      anon_sym_set,
    STATE(1476), 1,
      sym_comment,
    STATE(2518), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [72024] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    STATE(1477), 1,
      sym_comment,
    STATE(2519), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [72066] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    STATE(1478), 1,
      sym_comment,
    STATE(2520), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [72108] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    STATE(1479), 1,
      sym_comment,
    STATE(2426), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [72150] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1480), 1,
      sym_comment,
    ACTIONS(2879), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [72178] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    STATE(1481), 1,
      sym_comment,
    STATE(2106), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [72220] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    STATE(1482), 1,
      sym_comment,
    STATE(2506), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [72262] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    STATE(1483), 1,
      sym_comment,
    STATE(2179), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [72304] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_STAR,
    STATE(1484), 1,
      sym_comment,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [72350] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    STATE(1485), 1,
      sym_comment,
    STATE(2507), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [72392] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    STATE(1486), 1,
      sym_comment,
    STATE(2511), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [72434] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1487), 1,
      sym_comment,
    ACTIONS(2057), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [72462] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    STATE(1488), 1,
      sym_comment,
    STATE(2498), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [72504] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    STATE(1489), 1,
      sym_comment,
    STATE(2079), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [72546] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(1302), 1,
      anon_sym_var,
    ACTIONS(1308), 1,
      anon_sym_class,
    ACTIONS(1310), 1,
      anon_sym_async,
    ACTIONS(1312), 1,
      anon_sym_function,
    ACTIONS(2984), 1,
      anon_sym_default,
    STATE(603), 1,
      sym_declaration,
    STATE(1490), 1,
      sym_comment,
    STATE(1897), 1,
      aux_sym_export_statement_repeat1,
    STATE(1941), 1,
      sym_decorator,
    ACTIONS(1304), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(627), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [72594] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    STATE(1491), 1,
      sym_comment,
    STATE(2146), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [72636] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    STATE(1492), 1,
      sym_comment,
    STATE(2307), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [72678] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    STATE(1493), 1,
      sym_comment,
    STATE(2132), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [72720] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    STATE(1494), 1,
      sym_comment,
    STATE(2485), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [72762] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    STATE(1495), 1,
      sym_comment,
    STATE(2514), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [72804] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    STATE(1496), 1,
      sym_comment,
    STATE(2084), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [72846] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    STATE(1497), 1,
      sym_comment,
    STATE(2098), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [72888] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1498), 1,
      sym_comment,
    ACTIONS(2986), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [72916] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(1322), 1,
      anon_sym_var,
    ACTIONS(1328), 1,
      anon_sym_class,
    ACTIONS(1330), 1,
      anon_sym_async,
    ACTIONS(1332), 1,
      anon_sym_function,
    ACTIONS(2988), 1,
      anon_sym_default,
    STATE(1499), 1,
      sym_comment,
    STATE(1876), 1,
      aux_sym_export_statement_repeat1,
    STATE(1941), 1,
      sym_decorator,
    STATE(2550), 1,
      sym_declaration,
    ACTIONS(1324), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(2424), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [72964] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    STATE(1500), 1,
      sym_comment,
    STATE(2515), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [73006] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    STATE(1501), 1,
      sym_comment,
    STATE(2312), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [73048] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    STATE(1502), 1,
      sym_comment,
    STATE(2293), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [73090] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(1251), 1,
      anon_sym_var,
    ACTIONS(1259), 1,
      anon_sym_class,
    ACTIONS(1261), 1,
      anon_sym_async,
    ACTIONS(1263), 1,
      anon_sym_function,
    ACTIONS(2990), 1,
      anon_sym_default,
    STATE(747), 1,
      sym_declaration,
    STATE(1503), 1,
      sym_comment,
    STATE(1891), 1,
      aux_sym_export_statement_repeat1,
    STATE(1941), 1,
      sym_decorator,
    ACTIONS(1253), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(725), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [73138] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1504), 1,
      sym_comment,
    ACTIONS(2073), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [73166] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1505), 1,
      sym_comment,
    ACTIONS(2992), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [73194] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(1338), 1,
      anon_sym_var,
    ACTIONS(1344), 1,
      anon_sym_class,
    ACTIONS(1346), 1,
      anon_sym_async,
    ACTIONS(1348), 1,
      anon_sym_function,
    ACTIONS(2994), 1,
      anon_sym_default,
    STATE(669), 1,
      sym_declaration,
    STATE(1506), 1,
      sym_comment,
    STATE(1886), 1,
      aux_sym_export_statement_repeat1,
    STATE(1941), 1,
      sym_decorator,
    ACTIONS(1340), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(645), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [73242] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    ACTIONS(2996), 1,
      anon_sym_STAR,
    ACTIONS(2998), 1,
      anon_sym_async,
    ACTIONS(3000), 1,
      anon_sym_get,
    ACTIONS(3002), 1,
      anon_sym_set,
    STATE(1507), 1,
      sym_comment,
    STATE(2488), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [73290] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1508), 1,
      sym_comment,
    ACTIONS(3004), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [73317] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1509), 1,
      sym_comment,
    ACTIONS(2986), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [73344] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    STATE(1510), 1,
      sym_comment,
    STATE(2496), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [73383] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    STATE(1511), 1,
      sym_comment,
    STATE(2486), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [73422] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    STATE(1512), 1,
      sym_comment,
    STATE(2090), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [73461] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1513), 1,
      sym_comment,
    ACTIONS(3006), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [73488] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1514), 1,
      sym_comment,
    ACTIONS(2879), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [73515] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1515), 1,
      sym_comment,
    ACTIONS(3008), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [73542] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1516), 1,
      sym_comment,
    ACTIONS(2992), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [73569] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    STATE(1517), 1,
      sym_comment,
    STATE(2069), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [73608] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    STATE(1518), 1,
      sym_comment,
    STATE(2513), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [73647] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    STATE(1519), 1,
      sym_comment,
    STATE(2485), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [73686] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    STATE(1520), 1,
      sym_comment,
    STATE(2079), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [73725] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1521), 1,
      sym_comment,
    ACTIONS(3010), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [73752] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    STATE(1522), 1,
      sym_comment,
    STATE(2426), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [73791] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    STATE(1523), 1,
      sym_comment,
    STATE(2510), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [73830] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1524), 1,
      sym_comment,
    ACTIONS(2073), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [73857] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1525), 1,
      sym_comment,
    ACTIONS(3012), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [73884] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1526), 1,
      sym_comment,
    ACTIONS(2057), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [73911] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    STATE(1527), 1,
      sym_comment,
    STATE(2261), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [73950] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    STATE(1528), 1,
      sym_comment,
    STATE(2497), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [73989] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1529), 1,
      sym_comment,
    ACTIONS(2165), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [74016] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    STATE(1530), 1,
      sym_comment,
    STATE(2306), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [74055] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    STATE(1531), 1,
      sym_comment,
    STATE(2474), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [74094] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    STATE(1532), 1,
      sym_comment,
    STATE(2504), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [74133] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    STATE(1533), 1,
      sym_comment,
    STATE(2170), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [74172] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    STATE(1534), 1,
      sym_comment,
    STATE(2468), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [74211] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    STATE(1535), 1,
      sym_comment,
    STATE(2500), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [74250] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_LBRACK,
    STATE(1536), 1,
      sym_comment,
    STATE(2292), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2413), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [74289] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(3014), 1,
      sym_identifier,
    ACTIONS(3016), 1,
      anon_sym_STAR,
    ACTIONS(3018), 1,
      anon_sym_LBRACE,
    STATE(1537), 1,
      sym_comment,
    STATE(1787), 1,
      sym_string,
    STATE(2459), 1,
      sym_import_clause,
    STATE(2597), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(3020), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [74330] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3022), 1,
      anon_sym_LBRACE,
    ACTIONS(3026), 1,
      sym_html_character_reference,
    ACTIONS(3028), 1,
      anon_sym_LT,
    ACTIONS(3030), 1,
      anon_sym_LT_SLASH,
    STATE(1172), 1,
      sym_jsx_closing_element,
    STATE(1538), 1,
      sym_comment,
    STATE(1540), 1,
      sym_jsx_opening_element,
    STATE(1550), 1,
      aux_sym_jsx_element_repeat1,
    ACTIONS(3024), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1660), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [74371] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(3014), 1,
      sym_identifier,
    ACTIONS(3016), 1,
      anon_sym_STAR,
    ACTIONS(3018), 1,
      anon_sym_LBRACE,
    STATE(1539), 1,
      sym_comment,
    STATE(1806), 1,
      sym_string,
    STATE(2396), 1,
      sym_import_clause,
    STATE(2597), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(3020), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [74412] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3022), 1,
      anon_sym_LBRACE,
    ACTIONS(3026), 1,
      sym_html_character_reference,
    ACTIONS(3028), 1,
      anon_sym_LT,
    ACTIONS(3032), 1,
      anon_sym_LT_SLASH,
    STATE(1543), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1679), 1,
      sym_jsx_closing_element,
    ACTIONS(3024), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1540), 2,
      sym_jsx_opening_element,
      sym_comment,
    STATE(1660), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [74451] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3022), 1,
      anon_sym_LBRACE,
    ACTIONS(3026), 1,
      sym_html_character_reference,
    ACTIONS(3028), 1,
      anon_sym_LT,
    ACTIONS(3034), 1,
      anon_sym_LT_SLASH,
    STATE(961), 1,
      sym_jsx_closing_element,
    STATE(1540), 1,
      sym_jsx_opening_element,
    STATE(1541), 1,
      sym_comment,
    STATE(1542), 1,
      aux_sym_jsx_element_repeat1,
    ACTIONS(3024), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1660), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [74492] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3022), 1,
      anon_sym_LBRACE,
    ACTIONS(3026), 1,
      sym_html_character_reference,
    ACTIONS(3028), 1,
      anon_sym_LT,
    ACTIONS(3034), 1,
      anon_sym_LT_SLASH,
    STATE(1046), 1,
      sym_jsx_closing_element,
    STATE(1540), 1,
      sym_jsx_opening_element,
    STATE(1542), 1,
      sym_comment,
    STATE(1550), 1,
      aux_sym_jsx_element_repeat1,
    ACTIONS(3024), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1660), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [74533] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3022), 1,
      anon_sym_LBRACE,
    ACTIONS(3026), 1,
      sym_html_character_reference,
    ACTIONS(3028), 1,
      anon_sym_LT,
    ACTIONS(3032), 1,
      anon_sym_LT_SLASH,
    STATE(1540), 1,
      sym_jsx_opening_element,
    STATE(1543), 1,
      sym_comment,
    STATE(1550), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1635), 1,
      sym_jsx_closing_element,
    ACTIONS(3024), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1660), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [74574] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(3014), 1,
      sym_identifier,
    ACTIONS(3016), 1,
      anon_sym_STAR,
    ACTIONS(3018), 1,
      anon_sym_LBRACE,
    STATE(1544), 1,
      sym_comment,
    STATE(1851), 1,
      sym_string,
    STATE(2532), 1,
      sym_import_clause,
    STATE(2597), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(3020), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [74615] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(3014), 1,
      sym_identifier,
    ACTIONS(3016), 1,
      anon_sym_STAR,
    ACTIONS(3018), 1,
      anon_sym_LBRACE,
    STATE(1545), 1,
      sym_comment,
    STATE(1760), 1,
      sym_string,
    STATE(2534), 1,
      sym_import_clause,
    STATE(2597), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(3020), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [74656] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3022), 1,
      anon_sym_LBRACE,
    ACTIONS(3026), 1,
      sym_html_character_reference,
    ACTIONS(3028), 1,
      anon_sym_LT,
    ACTIONS(3030), 1,
      anon_sym_LT_SLASH,
    STATE(1230), 1,
      sym_jsx_closing_element,
    STATE(1538), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1540), 1,
      sym_jsx_opening_element,
    STATE(1546), 1,
      sym_comment,
    ACTIONS(3024), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1660), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [74697] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3022), 1,
      anon_sym_LBRACE,
    ACTIONS(3026), 1,
      sym_html_character_reference,
    ACTIONS(3028), 1,
      anon_sym_LT,
    ACTIONS(3036), 1,
      anon_sym_LT_SLASH,
    STATE(1540), 1,
      sym_jsx_opening_element,
    STATE(1547), 1,
      sym_comment,
    STATE(1548), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1741), 1,
      sym_jsx_closing_element,
    ACTIONS(3024), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1660), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [74738] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3022), 1,
      anon_sym_LBRACE,
    ACTIONS(3026), 1,
      sym_html_character_reference,
    ACTIONS(3028), 1,
      anon_sym_LT,
    ACTIONS(3036), 1,
      anon_sym_LT_SLASH,
    STATE(1540), 1,
      sym_jsx_opening_element,
    STATE(1548), 1,
      sym_comment,
    STATE(1550), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1750), 1,
      sym_jsx_closing_element,
    ACTIONS(3024), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1660), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [74779] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2656), 1,
      anon_sym_DQUOTE,
    ACTIONS(2658), 1,
      anon_sym_SQUOTE,
    ACTIONS(3014), 1,
      sym_identifier,
    ACTIONS(3016), 1,
      anon_sym_STAR,
    ACTIONS(3018), 1,
      anon_sym_LBRACE,
    STATE(1549), 1,
      sym_comment,
    STATE(1768), 1,
      sym_string,
    STATE(2400), 1,
      sym_import_clause,
    STATE(2597), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(3020), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [74820] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3038), 1,
      anon_sym_LBRACE,
    ACTIONS(3044), 1,
      sym_html_character_reference,
    ACTIONS(3047), 1,
      anon_sym_LT,
    ACTIONS(3050), 1,
      anon_sym_LT_SLASH,
    STATE(1540), 1,
      sym_jsx_opening_element,
    ACTIONS(3041), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1550), 2,
      sym_comment,
      aux_sym_jsx_element_repeat1,
    STATE(1660), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [74856] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3056), 1,
      anon_sym_COLON,
    ACTIONS(3058), 1,
      anon_sym_GT,
    ACTIONS(3060), 1,
      anon_sym_DOT,
    ACTIONS(3062), 1,
      anon_sym_SLASH_GT,
    STATE(1551), 1,
      sym_comment,
    STATE(1564), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [74895] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3056), 1,
      anon_sym_COLON,
    ACTIONS(3058), 1,
      anon_sym_GT,
    ACTIONS(3060), 1,
      anon_sym_DOT,
    ACTIONS(3064), 1,
      anon_sym_SLASH_GT,
    STATE(1552), 1,
      sym_comment,
    STATE(1568), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [74934] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3056), 1,
      anon_sym_COLON,
    ACTIONS(3058), 1,
      anon_sym_GT,
    ACTIONS(3060), 1,
      anon_sym_DOT,
    ACTIONS(3066), 1,
      anon_sym_SLASH_GT,
    STATE(1553), 1,
      sym_comment,
    STATE(1577), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [74973] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3056), 1,
      anon_sym_COLON,
    ACTIONS(3058), 1,
      anon_sym_GT,
    ACTIONS(3060), 1,
      anon_sym_DOT,
    ACTIONS(3068), 1,
      anon_sym_SLASH_GT,
    STATE(1554), 1,
      sym_comment,
    STATE(1570), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [75012] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3058), 1,
      anon_sym_GT,
    ACTIONS(3060), 1,
      anon_sym_DOT,
    ACTIONS(3064), 1,
      anon_sym_SLASH_GT,
    STATE(1555), 1,
      sym_comment,
    STATE(1569), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [75048] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3056), 1,
      anon_sym_COLON,
    ACTIONS(3058), 1,
      anon_sym_GT,
    ACTIONS(3064), 1,
      anon_sym_SLASH_GT,
    STATE(1556), 1,
      sym_comment,
    STATE(1566), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [75084] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3056), 1,
      anon_sym_COLON,
    ACTIONS(3058), 1,
      anon_sym_GT,
    ACTIONS(3066), 1,
      anon_sym_SLASH_GT,
    STATE(1557), 1,
      sym_comment,
    STATE(1579), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [75120] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3056), 1,
      anon_sym_COLON,
    ACTIONS(3058), 1,
      anon_sym_GT,
    ACTIONS(3068), 1,
      anon_sym_SLASH_GT,
    STATE(1558), 1,
      sym_comment,
    STATE(1583), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [75156] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3058), 1,
      anon_sym_GT,
    ACTIONS(3060), 1,
      anon_sym_DOT,
    ACTIONS(3066), 1,
      anon_sym_SLASH_GT,
    STATE(1559), 1,
      sym_comment,
    STATE(1580), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [75192] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3058), 1,
      anon_sym_GT,
    ACTIONS(3060), 1,
      anon_sym_DOT,
    ACTIONS(3068), 1,
      anon_sym_SLASH_GT,
    STATE(1560), 1,
      sym_comment,
    STATE(1585), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [75228] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3056), 1,
      anon_sym_COLON,
    ACTIONS(3058), 1,
      anon_sym_GT,
    ACTIONS(3062), 1,
      anon_sym_SLASH_GT,
    STATE(1561), 1,
      sym_comment,
    STATE(1565), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [75264] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3058), 1,
      anon_sym_GT,
    ACTIONS(3060), 1,
      anon_sym_DOT,
    ACTIONS(3062), 1,
      anon_sym_SLASH_GT,
    STATE(1562), 1,
      sym_comment,
    STATE(1581), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [75300] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3073), 1,
      anon_sym_LBRACE,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3070), 2,
      sym_jsx_identifier,
      sym_identifier,
    ACTIONS(3076), 2,
      anon_sym_GT,
      anon_sym_SLASH_GT,
    STATE(1563), 2,
      sym_comment,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [75329] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3078), 1,
      anon_sym_GT,
    ACTIONS(3080), 1,
      anon_sym_SLASH_GT,
    STATE(1563), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1564), 1,
      sym_comment,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [75362] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3082), 1,
      anon_sym_GT,
    ACTIONS(3084), 1,
      anon_sym_SLASH_GT,
    STATE(1563), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1565), 1,
      sym_comment,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [75395] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3082), 1,
      anon_sym_GT,
    ACTIONS(3086), 1,
      anon_sym_SLASH_GT,
    STATE(1563), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1566), 1,
      sym_comment,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [75428] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3058), 1,
      anon_sym_GT,
    ACTIONS(3066), 1,
      anon_sym_SLASH_GT,
    STATE(1567), 1,
      sym_comment,
    STATE(1573), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [75461] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3078), 1,
      anon_sym_GT,
    ACTIONS(3088), 1,
      anon_sym_SLASH_GT,
    STATE(1563), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1568), 1,
      sym_comment,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [75494] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3090), 1,
      anon_sym_GT,
    ACTIONS(3092), 1,
      anon_sym_SLASH_GT,
    STATE(1563), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1569), 1,
      sym_comment,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [75527] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3078), 1,
      anon_sym_GT,
    ACTIONS(3094), 1,
      anon_sym_SLASH_GT,
    STATE(1563), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1570), 1,
      sym_comment,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [75560] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3058), 1,
      anon_sym_GT,
    ACTIONS(3068), 1,
      anon_sym_SLASH_GT,
    STATE(1571), 1,
      sym_comment,
    STATE(1584), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [75593] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3096), 1,
      anon_sym_LBRACE,
    ACTIONS(3098), 1,
      anon_sym_LT,
    ACTIONS(3100), 1,
      anon_sym_DQUOTE,
    ACTIONS(3102), 1,
      anon_sym_SQUOTE,
    STATE(1547), 1,
      sym_jsx_opening_element,
    STATE(1572), 1,
      sym_comment,
    STATE(1740), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [75624] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3104), 1,
      anon_sym_GT,
    ACTIONS(3106), 1,
      anon_sym_SLASH_GT,
    STATE(1563), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1573), 1,
      sym_comment,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [75657] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3058), 1,
      anon_sym_GT,
    ACTIONS(3062), 1,
      anon_sym_SLASH_GT,
    STATE(1574), 1,
      sym_comment,
    STATE(1575), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [75690] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3104), 1,
      anon_sym_GT,
    ACTIONS(3108), 1,
      anon_sym_SLASH_GT,
    STATE(1563), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1575), 1,
      sym_comment,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [75723] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3058), 1,
      anon_sym_GT,
    ACTIONS(3064), 1,
      anon_sym_SLASH_GT,
    STATE(1576), 1,
      sym_comment,
    STATE(1578), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [75756] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3078), 1,
      anon_sym_GT,
    ACTIONS(3110), 1,
      anon_sym_SLASH_GT,
    STATE(1563), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1577), 1,
      sym_comment,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [75789] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3104), 1,
      anon_sym_GT,
    ACTIONS(3112), 1,
      anon_sym_SLASH_GT,
    STATE(1563), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1578), 1,
      sym_comment,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [75822] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3082), 1,
      anon_sym_GT,
    ACTIONS(3114), 1,
      anon_sym_SLASH_GT,
    STATE(1563), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1579), 1,
      sym_comment,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [75855] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3090), 1,
      anon_sym_GT,
    ACTIONS(3116), 1,
      anon_sym_SLASH_GT,
    STATE(1563), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1580), 1,
      sym_comment,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [75888] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3090), 1,
      anon_sym_GT,
    ACTIONS(3118), 1,
      anon_sym_SLASH_GT,
    STATE(1563), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1581), 1,
      sym_comment,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [75921] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3096), 1,
      anon_sym_LBRACE,
    ACTIONS(3098), 1,
      anon_sym_LT,
    ACTIONS(3100), 1,
      anon_sym_DQUOTE,
    ACTIONS(3102), 1,
      anon_sym_SQUOTE,
    STATE(1547), 1,
      sym_jsx_opening_element,
    STATE(1582), 1,
      sym_comment,
    STATE(1739), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [75952] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3082), 1,
      anon_sym_GT,
    ACTIONS(3120), 1,
      anon_sym_SLASH_GT,
    STATE(1563), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1583), 1,
      sym_comment,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [75985] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3104), 1,
      anon_sym_GT,
    ACTIONS(3122), 1,
      anon_sym_SLASH_GT,
    STATE(1563), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1584), 1,
      sym_comment,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [76018] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3090), 1,
      anon_sym_GT,
    ACTIONS(3124), 1,
      anon_sym_SLASH_GT,
    STATE(1563), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1585), 1,
      sym_comment,
    STATE(1687), 1,
      sym_jsx_namespace_name,
    ACTIONS(3052), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1726), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [76051] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3126), 1,
      sym_identifier,
    ACTIONS(3128), 1,
      anon_sym_COMMA,
    ACTIONS(3130), 1,
      anon_sym_RBRACE,
    STATE(1586), 1,
      sym_comment,
    STATE(1779), 1,
      sym_string,
    STATE(2000), 1,
      sym_export_specifier,
    STATE(2047), 1,
      sym__module_export_name,
  [76085] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3132), 1,
      sym_identifier,
    ACTIONS(3134), 1,
      anon_sym_COMMA,
    ACTIONS(3136), 1,
      anon_sym_RBRACE,
    STATE(1587), 1,
      sym_comment,
    STATE(1779), 1,
      sym_string,
    STATE(2014), 1,
      sym_import_specifier,
    STATE(2653), 1,
      sym__module_export_name,
  [76119] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1588), 1,
      sym_comment,
    ACTIONS(3138), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [76138] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3140), 1,
      anon_sym_COMMA,
    ACTIONS(3142), 1,
      anon_sym_RBRACE,
    ACTIONS(3144), 1,
      anon_sym_EQ,
    STATE(1589), 1,
      sym_comment,
    STATE(1981), 1,
      aux_sym_object_repeat1,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2841), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [76167] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3140), 1,
      anon_sym_COMMA,
    ACTIONS(3144), 1,
      anon_sym_EQ,
    ACTIONS(3146), 1,
      anon_sym_RBRACE,
    STATE(1590), 1,
      sym_comment,
    STATE(1981), 1,
      aux_sym_object_repeat1,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2841), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [76196] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1400), 1,
      anon_sym_LBRACK,
    ACTIONS(3148), 1,
      sym_identifier,
    STATE(1591), 1,
      sym_comment,
    STATE(1738), 1,
      sym__destructuring_pattern,
    STATE(1791), 1,
      sym_variable_declarator,
    STATE(1659), 2,
      sym_object_pattern,
      sym_array_pattern,
  [76225] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1400), 1,
      anon_sym_LBRACK,
    ACTIONS(3148), 1,
      sym_identifier,
    STATE(1592), 1,
      sym_comment,
    STATE(1738), 1,
      sym__destructuring_pattern,
    STATE(1790), 1,
      sym_variable_declarator,
    STATE(1659), 2,
      sym_object_pattern,
      sym_array_pattern,
  [76254] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1400), 1,
      anon_sym_LBRACK,
    ACTIONS(3148), 1,
      sym_identifier,
    STATE(1593), 1,
      sym_comment,
    STATE(1738), 1,
      sym__destructuring_pattern,
    STATE(1802), 1,
      sym_variable_declarator,
    STATE(1659), 2,
      sym_object_pattern,
      sym_array_pattern,
  [76283] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3132), 1,
      sym_identifier,
    ACTIONS(3150), 1,
      anon_sym_RBRACE,
    STATE(1594), 1,
      sym_comment,
    STATE(1779), 1,
      sym_string,
    STATE(2121), 1,
      sym_import_specifier,
    STATE(2653), 1,
      sym__module_export_name,
  [76314] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3126), 1,
      sym_identifier,
    ACTIONS(3152), 1,
      anon_sym_RBRACE,
    STATE(1595), 1,
      sym_comment,
    STATE(1779), 1,
      sym_string,
    STATE(2047), 1,
      sym__module_export_name,
    STATE(2185), 1,
      sym_export_specifier,
  [76345] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3056), 1,
      anon_sym_COLON,
    ACTIONS(3156), 1,
      anon_sym_EQ,
    STATE(1596), 1,
      sym_comment,
    ACTIONS(3154), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [76368] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1400), 1,
      anon_sym_LBRACK,
    ACTIONS(3148), 1,
      sym_identifier,
    STATE(1597), 1,
      sym_comment,
    STATE(1738), 1,
      sym__destructuring_pattern,
    STATE(1798), 1,
      sym_variable_declarator,
    STATE(1659), 2,
      sym_object_pattern,
      sym_array_pattern,
  [76397] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1400), 1,
      anon_sym_LBRACK,
    ACTIONS(3148), 1,
      sym_identifier,
    STATE(1598), 1,
      sym_comment,
    STATE(1738), 1,
      sym__destructuring_pattern,
    STATE(1759), 1,
      sym_variable_declarator,
    STATE(1659), 2,
      sym_object_pattern,
      sym_array_pattern,
  [76426] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3140), 1,
      anon_sym_COMMA,
    ACTIONS(3144), 1,
      anon_sym_EQ,
    ACTIONS(3158), 1,
      anon_sym_RBRACE,
    STATE(1599), 1,
      sym_comment,
    STATE(1981), 1,
      aux_sym_object_repeat1,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2841), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [76455] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_EQ,
    STATE(1600), 1,
      sym_comment,
    STATE(2007), 1,
      sym__initializer,
    ACTIONS(3162), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(3160), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [76480] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1400), 1,
      anon_sym_LBRACK,
    ACTIONS(3148), 1,
      sym_identifier,
    STATE(1601), 1,
      sym_comment,
    STATE(1738), 1,
      sym__destructuring_pattern,
    STATE(1758), 1,
      sym_variable_declarator,
    STATE(1659), 2,
      sym_object_pattern,
      sym_array_pattern,
  [76509] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1602), 1,
      sym_comment,
    ACTIONS(3166), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [76528] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3132), 1,
      sym_identifier,
    ACTIONS(3168), 1,
      anon_sym_RBRACE,
    STATE(1603), 1,
      sym_comment,
    STATE(1779), 1,
      sym_string,
    STATE(2121), 1,
      sym_import_specifier,
    STATE(2653), 1,
      sym__module_export_name,
  [76559] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1604), 1,
      sym_comment,
    ACTIONS(3170), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [76578] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3140), 1,
      anon_sym_COMMA,
    ACTIONS(3144), 1,
      anon_sym_EQ,
    ACTIONS(3172), 1,
      anon_sym_RBRACE,
    STATE(1605), 1,
      sym_comment,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2035), 1,
      aux_sym_object_repeat1,
    ACTIONS(2841), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [76607] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1606), 1,
      sym_comment,
    ACTIONS(3174), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [76626] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1400), 1,
      anon_sym_LBRACK,
    ACTIONS(3148), 1,
      sym_identifier,
    STATE(1607), 1,
      sym_comment,
    STATE(1738), 1,
      sym__destructuring_pattern,
    STATE(1909), 1,
      sym_variable_declarator,
    STATE(1659), 2,
      sym_object_pattern,
      sym_array_pattern,
  [76655] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1400), 1,
      anon_sym_LBRACK,
    ACTIONS(3148), 1,
      sym_identifier,
    STATE(1608), 1,
      sym_comment,
    STATE(1738), 1,
      sym__destructuring_pattern,
    STATE(1800), 1,
      sym_variable_declarator,
    STATE(1659), 2,
      sym_object_pattern,
      sym_array_pattern,
  [76684] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1400), 1,
      anon_sym_LBRACK,
    ACTIONS(3148), 1,
      sym_identifier,
    STATE(1609), 1,
      sym_comment,
    STATE(1738), 1,
      sym__destructuring_pattern,
    STATE(1799), 1,
      sym_variable_declarator,
    STATE(1659), 2,
      sym_object_pattern,
      sym_array_pattern,
  [76713] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3126), 1,
      sym_identifier,
    ACTIONS(3176), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      sym_comment,
    STATE(1779), 1,
      sym_string,
    STATE(2047), 1,
      sym__module_export_name,
    STATE(2185), 1,
      sym_export_specifier,
  [76744] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3178), 1,
      anon_sym_EQ,
    STATE(1611), 1,
      sym_comment,
    STATE(1710), 1,
      sym__initializer,
    ACTIONS(3162), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(3160), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [76769] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1612), 1,
      sym_comment,
    ACTIONS(3180), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [76788] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1400), 1,
      anon_sym_LBRACK,
    ACTIONS(3148), 1,
      sym_identifier,
    STATE(1613), 1,
      sym_comment,
    STATE(1738), 1,
      sym__destructuring_pattern,
    STATE(1769), 1,
      sym_variable_declarator,
    STATE(1659), 2,
      sym_object_pattern,
      sym_array_pattern,
  [76817] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1213), 1,
      anon_sym_RBRACE,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3140), 1,
      anon_sym_COMMA,
    ACTIONS(3144), 1,
      anon_sym_EQ,
    STATE(1614), 1,
      sym_comment,
    STATE(1981), 1,
      aux_sym_object_repeat1,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2841), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [76846] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1400), 1,
      anon_sym_LBRACK,
    ACTIONS(3148), 1,
      sym_identifier,
    STATE(1615), 1,
      sym_comment,
    STATE(1738), 1,
      sym__destructuring_pattern,
    STATE(1770), 1,
      sym_variable_declarator,
    STATE(1659), 2,
      sym_object_pattern,
      sym_array_pattern,
  [76875] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1243), 1,
      anon_sym_RBRACE,
    ACTIONS(3140), 1,
      anon_sym_COMMA,
    ACTIONS(3144), 1,
      anon_sym_EQ,
    STATE(1616), 1,
      sym_comment,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2035), 1,
      aux_sym_object_repeat1,
    ACTIONS(2841), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [76904] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1400), 1,
      anon_sym_LBRACK,
    ACTIONS(3182), 1,
      sym_identifier,
    STATE(1611), 1,
      sym__destructuring_pattern,
    STATE(1617), 1,
      sym_comment,
    STATE(1850), 1,
      sym_variable_declarator,
    STATE(1659), 2,
      sym_object_pattern,
      sym_array_pattern,
  [76933] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1400), 1,
      anon_sym_LBRACK,
    ACTIONS(3184), 1,
      sym_identifier,
    STATE(1600), 1,
      sym__destructuring_pattern,
    STATE(1618), 1,
      sym_comment,
    STATE(1846), 1,
      sym_variable_declarator,
    STATE(1659), 2,
      sym_object_pattern,
      sym_array_pattern,
  [76962] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1245), 1,
      anon_sym_RBRACE,
    ACTIONS(3140), 1,
      anon_sym_COMMA,
    ACTIONS(3144), 1,
      anon_sym_EQ,
    STATE(1619), 1,
      sym_comment,
    STATE(1981), 1,
      aux_sym_object_repeat1,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2841), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [76991] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2292), 1,
      sym__automatic_semicolon,
    STATE(1620), 1,
      sym_comment,
    ACTIONS(928), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [77012] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1621), 1,
      sym_comment,
    ACTIONS(3186), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [77031] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3188), 1,
      sym__automatic_semicolon,
    STATE(1622), 1,
      sym_comment,
    ACTIONS(888), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [77052] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3190), 1,
      anon_sym_default,
    ACTIONS(3192), 1,
      anon_sym_RBRACE,
    ACTIONS(3194), 1,
      anon_sym_case,
    STATE(1623), 1,
      sym_comment,
    STATE(1650), 1,
      aux_sym_switch_body_repeat1,
    STATE(1911), 2,
      sym_switch_case,
      sym_switch_default,
  [77078] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1624), 1,
      sym_comment,
    ACTIONS(2352), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [77096] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3198), 1,
      anon_sym_BQUOTE,
    ACTIONS(3200), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1625), 1,
      sym_comment,
    STATE(1653), 1,
      aux_sym_template_string_repeat1,
    STATE(1841), 1,
      sym_template_substitution,
    ACTIONS(3196), 2,
      sym__template_chars,
      sym_escape_sequence,
  [77122] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3204), 1,
      anon_sym_LPAREN,
    ACTIONS(3206), 1,
      anon_sym_DOT,
    STATE(1626), 1,
      sym_comment,
    STATE(1975), 1,
      sym_arguments,
    ACTIONS(3202), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [77146] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3190), 1,
      anon_sym_default,
    ACTIONS(3194), 1,
      anon_sym_case,
    ACTIONS(3208), 1,
      anon_sym_RBRACE,
    STATE(1627), 1,
      sym_comment,
    STATE(1651), 1,
      aux_sym_switch_body_repeat1,
    STATE(1911), 2,
      sym_switch_case,
      sym_switch_default,
  [77172] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1628), 1,
      sym_comment,
    ACTIONS(3210), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [77190] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1629), 1,
      sym_comment,
    ACTIONS(3210), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [77208] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1820), 1,
      anon_sym_LBRACE,
    ACTIONS(3212), 1,
      sym_identifier,
    ACTIONS(3214), 1,
      anon_sym_LBRACK,
    STATE(1630), 1,
      sym_comment,
    STATE(2631), 1,
      sym__destructuring_pattern,
    STATE(1621), 2,
      sym_object_pattern,
      sym_array_pattern,
  [77234] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1631), 1,
      sym_comment,
    ACTIONS(3210), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [77252] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1632), 1,
      sym_comment,
    ACTIONS(1963), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [77270] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1633), 1,
      sym_comment,
    ACTIONS(3166), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [77288] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_EQ,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(1634), 1,
      sym_comment,
    STATE(2096), 1,
      sym_formal_parameters,
    STATE(2240), 1,
      sym__initializer,
    ACTIONS(3218), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77314] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1635), 1,
      sym_comment,
    ACTIONS(2187), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [77332] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3220), 1,
      anon_sym_catch,
    ACTIONS(3222), 1,
      anon_sym_finally,
    STATE(1636), 1,
      sym_comment,
    STATE(1882), 1,
      sym_catch_clause,
    STATE(2214), 1,
      sym_finally_clause,
    ACTIONS(1449), 2,
      anon_sym_else,
      anon_sym_while,
  [77358] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1637), 1,
      sym_comment,
    ACTIONS(2183), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [77376] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1638), 1,
      sym_comment,
    ACTIONS(3180), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [77394] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1820), 1,
      anon_sym_LBRACE,
    ACTIONS(3214), 1,
      anon_sym_LBRACK,
    ACTIONS(3224), 1,
      sym_identifier,
    STATE(1639), 1,
      sym_comment,
    STATE(2575), 1,
      sym__destructuring_pattern,
    STATE(1621), 2,
      sym_object_pattern,
      sym_array_pattern,
  [77420] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1640), 1,
      sym_comment,
    ACTIONS(1957), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [77438] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1641), 1,
      sym_comment,
    ACTIONS(1957), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [77456] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3126), 1,
      sym_identifier,
    STATE(1642), 1,
      sym_comment,
    STATE(1779), 1,
      sym_string,
    STATE(2047), 1,
      sym__module_export_name,
    STATE(2185), 1,
      sym_export_specifier,
  [77484] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1643), 1,
      sym_comment,
    ACTIONS(3226), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [77502] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_EQ,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(1644), 1,
      sym_comment,
    STATE(2129), 1,
      sym_formal_parameters,
    STATE(2246), 1,
      sym__initializer,
    ACTIONS(3228), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77528] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1645), 1,
      sym_comment,
    ACTIONS(1957), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [77546] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3190), 1,
      anon_sym_default,
    ACTIONS(3194), 1,
      anon_sym_case,
    ACTIONS(3230), 1,
      anon_sym_RBRACE,
    STATE(1646), 1,
      sym_comment,
    STATE(1662), 1,
      aux_sym_switch_body_repeat1,
    STATE(1911), 2,
      sym_switch_case,
      sym_switch_default,
  [77572] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3190), 1,
      anon_sym_default,
    ACTIONS(3194), 1,
      anon_sym_case,
    ACTIONS(3232), 1,
      anon_sym_RBRACE,
    STATE(1647), 1,
      sym_comment,
    STATE(1688), 1,
      aux_sym_switch_body_repeat1,
    STATE(1911), 2,
      sym_switch_case,
      sym_switch_default,
  [77598] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1648), 1,
      sym_comment,
    ACTIONS(2336), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [77616] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_EQ,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(1649), 1,
      sym_comment,
    STATE(2340), 1,
      sym__initializer,
    STATE(2403), 1,
      sym_formal_parameters,
    ACTIONS(3234), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77642] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3236), 1,
      anon_sym_default,
    ACTIONS(3239), 1,
      anon_sym_RBRACE,
    ACTIONS(3241), 1,
      anon_sym_case,
    STATE(1650), 2,
      sym_comment,
      aux_sym_switch_body_repeat1,
    STATE(1911), 2,
      sym_switch_case,
      sym_switch_default,
  [77666] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3190), 1,
      anon_sym_default,
    ACTIONS(3194), 1,
      anon_sym_case,
    ACTIONS(3244), 1,
      anon_sym_RBRACE,
    STATE(1650), 1,
      aux_sym_switch_body_repeat1,
    STATE(1651), 1,
      sym_comment,
    STATE(1911), 2,
      sym_switch_case,
      sym_switch_default,
  [77692] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1652), 1,
      sym_comment,
    ACTIONS(3246), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [77710] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3200), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3248), 1,
      anon_sym_BQUOTE,
    STATE(1653), 1,
      sym_comment,
    STATE(1658), 1,
      aux_sym_template_string_repeat1,
    STATE(1841), 1,
      sym_template_substitution,
    ACTIONS(3196), 2,
      sym__template_chars,
      sym_escape_sequence,
  [77736] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1654), 1,
      sym_comment,
    ACTIONS(3250), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [77754] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1655), 1,
      sym_comment,
    ACTIONS(3138), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [77772] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1820), 1,
      anon_sym_LBRACE,
    ACTIONS(3214), 1,
      anon_sym_LBRACK,
    ACTIONS(3252), 1,
      sym_identifier,
    STATE(1656), 1,
      sym_comment,
    STATE(2560), 1,
      sym__destructuring_pattern,
    STATE(1621), 2,
      sym_object_pattern,
      sym_array_pattern,
  [77798] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1657), 1,
      sym_comment,
    ACTIONS(2043), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [77816] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3257), 1,
      anon_sym_BQUOTE,
    ACTIONS(3259), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1841), 1,
      sym_template_substitution,
    ACTIONS(3254), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1658), 2,
      sym_comment,
      aux_sym_template_string_repeat1,
  [77840] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1659), 1,
      sym_comment,
    ACTIONS(3186), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [77858] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1660), 1,
      sym_comment,
    ACTIONS(3262), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [77876] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3264), 1,
      anon_sym_COMMA,
    STATE(1661), 2,
      sym_comment,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2173), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [77896] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3190), 1,
      anon_sym_default,
    ACTIONS(3194), 1,
      anon_sym_case,
    ACTIONS(3267), 1,
      anon_sym_RBRACE,
    STATE(1650), 1,
      aux_sym_switch_body_repeat1,
    STATE(1662), 1,
      sym_comment,
    STATE(1911), 2,
      sym_switch_case,
      sym_switch_default,
  [77922] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1663), 1,
      sym_comment,
    ACTIONS(2323), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [77940] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1664), 1,
      sym_comment,
    ACTIONS(3269), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [77958] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1665), 1,
      sym_comment,
    ACTIONS(924), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [77976] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3190), 1,
      anon_sym_default,
    ACTIONS(3194), 1,
      anon_sym_case,
    ACTIONS(3271), 1,
      anon_sym_RBRACE,
    STATE(1623), 1,
      aux_sym_switch_body_repeat1,
    STATE(1666), 1,
      sym_comment,
    STATE(1911), 2,
      sym_switch_case,
      sym_switch_default,
  [78002] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1667), 1,
      sym_comment,
    ACTIONS(888), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [78020] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1668), 1,
      sym_comment,
    ACTIONS(3174), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [78038] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1669), 1,
      sym_comment,
    ACTIONS(3170), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [78056] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1670), 1,
      sym_comment,
    ACTIONS(3210), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [78074] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3190), 1,
      anon_sym_default,
    ACTIONS(3194), 1,
      anon_sym_case,
    ACTIONS(3273), 1,
      anon_sym_RBRACE,
    STATE(1650), 1,
      aux_sym_switch_body_repeat1,
    STATE(1671), 1,
      sym_comment,
    STATE(1911), 2,
      sym_switch_case,
      sym_switch_default,
  [78100] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3200), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3275), 1,
      anon_sym_BQUOTE,
    STATE(1672), 1,
      sym_comment,
    STATE(1686), 1,
      aux_sym_template_string_repeat1,
    STATE(1841), 1,
      sym_template_substitution,
    ACTIONS(3196), 2,
      sym__template_chars,
      sym_escape_sequence,
  [78126] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_EQ,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(1673), 1,
      sym_comment,
    STATE(2211), 1,
      sym__initializer,
    STATE(2255), 1,
      sym_formal_parameters,
    ACTIONS(3277), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [78152] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1820), 1,
      anon_sym_LBRACE,
    ACTIONS(3214), 1,
      anon_sym_LBRACK,
    ACTIONS(3279), 1,
      sym_identifier,
    STATE(1674), 1,
      sym_comment,
    STATE(2581), 1,
      sym__destructuring_pattern,
    STATE(1621), 2,
      sym_object_pattern,
      sym_array_pattern,
  [78178] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1675), 1,
      sym_comment,
    ACTIONS(3281), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [78196] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1676), 1,
      sym_comment,
    ACTIONS(3283), 6,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_DOT,
      anon_sym_SLASH_GT,
      sym_identifier,
  [78214] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1906), 1,
      anon_sym_DOT,
    ACTIONS(1912), 1,
      anon_sym_BQUOTE,
    ACTIONS(3285), 1,
      sym_optional_chain,
    STATE(1677), 1,
      sym_comment,
    STATE(1030), 2,
      sym_template_string,
      sym_arguments,
  [78240] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3132), 1,
      sym_identifier,
    STATE(1678), 1,
      sym_comment,
    STATE(1779), 1,
      sym_string,
    STATE(2121), 1,
      sym_import_specifier,
    STATE(2653), 1,
      sym__module_export_name,
  [78268] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1679), 1,
      sym_comment,
    ACTIONS(1985), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [78286] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1977), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      anon_sym_BQUOTE,
    ACTIONS(3287), 1,
      sym_optional_chain,
    STATE(1680), 1,
      sym_comment,
    STATE(1169), 2,
      sym_template_string,
      sym_arguments,
  [78312] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1820), 1,
      anon_sym_LBRACE,
    ACTIONS(3214), 1,
      anon_sym_LBRACK,
    ACTIONS(3289), 1,
      sym_identifier,
    STATE(1681), 1,
      sym_comment,
    STATE(1844), 1,
      sym__destructuring_pattern,
    STATE(1621), 2,
      sym_object_pattern,
      sym_array_pattern,
  [78338] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1820), 1,
      anon_sym_LBRACE,
    ACTIONS(3214), 1,
      anon_sym_LBRACK,
    ACTIONS(3291), 1,
      sym_identifier,
    STATE(1682), 1,
      sym_comment,
    STATE(2206), 1,
      sym__destructuring_pattern,
    STATE(1621), 2,
      sym_object_pattern,
      sym_array_pattern,
  [78364] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1683), 1,
      sym_comment,
    ACTIONS(2069), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [78382] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1684), 1,
      sym_comment,
    ACTIONS(3293), 6,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [78400] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    STATE(1661), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(1685), 1,
      sym_comment,
    ACTIONS(3295), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [78422] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3200), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3297), 1,
      anon_sym_BQUOTE,
    STATE(1658), 1,
      aux_sym_template_string_repeat1,
    STATE(1686), 1,
      sym_comment,
    STATE(1841), 1,
      sym_template_substitution,
    ACTIONS(3196), 2,
      sym__template_chars,
      sym_escape_sequence,
  [78448] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3301), 1,
      anon_sym_EQ,
    STATE(1687), 1,
      sym_comment,
    ACTIONS(3299), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [78468] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3190), 1,
      anon_sym_default,
    ACTIONS(3194), 1,
      anon_sym_case,
    ACTIONS(3303), 1,
      anon_sym_RBRACE,
    STATE(1650), 1,
      aux_sym_switch_body_repeat1,
    STATE(1688), 1,
      sym_comment,
    STATE(1911), 2,
      sym_switch_case,
      sym_switch_default,
  [78494] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1689), 1,
      sym_comment,
    ACTIONS(2107), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [78512] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1820), 1,
      anon_sym_LBRACE,
    ACTIONS(3214), 1,
      anon_sym_LBRACK,
    ACTIONS(3305), 1,
      sym_identifier,
    STATE(1690), 1,
      sym_comment,
    STATE(2608), 1,
      sym__destructuring_pattern,
    STATE(1621), 2,
      sym_object_pattern,
      sym_array_pattern,
  [78538] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1691), 1,
      sym_comment,
    ACTIONS(1957), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [78556] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3190), 1,
      anon_sym_default,
    ACTIONS(3194), 1,
      anon_sym_case,
    ACTIONS(3307), 1,
      anon_sym_RBRACE,
    STATE(1671), 1,
      aux_sym_switch_body_repeat1,
    STATE(1692), 1,
      sym_comment,
    STATE(1911), 2,
      sym_switch_case,
      sym_switch_default,
  [78582] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3309), 1,
      anon_sym_export,
    ACTIONS(3311), 1,
      anon_sym_class,
    STATE(1693), 1,
      sym_comment,
    STATE(1695), 1,
      aux_sym_export_statement_repeat1,
    STATE(1941), 1,
      sym_decorator,
  [78607] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1694), 1,
      sym_comment,
    ACTIONS(1957), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [78624] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3315), 1,
      anon_sym_AT,
    STATE(1941), 1,
      sym_decorator,
    ACTIONS(3313), 2,
      anon_sym_export,
      anon_sym_class,
    STATE(1695), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
  [78645] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1696), 1,
      sym_comment,
    ACTIONS(1963), 5,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [78662] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1697), 1,
      sym_comment,
    ACTIONS(3246), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [78679] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3318), 1,
      sym_identifier,
    ACTIONS(3320), 1,
      anon_sym_GT,
    ACTIONS(3322), 1,
      sym_jsx_identifier,
    STATE(1698), 1,
      sym_comment,
    STATE(2374), 1,
      sym_nested_identifier,
    STATE(2603), 1,
      sym_jsx_namespace_name,
  [78704] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3324), 1,
      sym_identifier,
    ACTIONS(3326), 1,
      anon_sym_GT,
    ACTIONS(3328), 1,
      sym_jsx_identifier,
    STATE(1560), 1,
      sym_nested_identifier,
    STATE(1571), 1,
      sym_jsx_namespace_name,
    STATE(1699), 1,
      sym_comment,
  [78729] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3330), 1,
      anon_sym_COMMA,
    ACTIONS(3332), 1,
      anon_sym_RBRACE,
    STATE(1700), 1,
      sym_comment,
    STATE(2031), 1,
      aux_sym_object_repeat1,
    ACTIONS(2841), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [78752] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3334), 1,
      sym_identifier,
    ACTIONS(3336), 1,
      anon_sym_LBRACE,
    ACTIONS(3338), 1,
      anon_sym_extends,
    STATE(1193), 1,
      sym_class_body,
    STATE(1701), 1,
      sym_comment,
    STATE(2379), 1,
      sym_class_heritage,
  [78777] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1702), 1,
      sym_comment,
    ACTIONS(3226), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [78794] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2841), 1,
      anon_sym_COLON,
    ACTIONS(3144), 1,
      anon_sym_EQ,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3342), 1,
      anon_sym_RBRACE,
    STATE(1703), 1,
      sym_comment,
    STATE(1980), 1,
      aux_sym_object_pattern_repeat1,
  [78819] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3344), 1,
      anon_sym_export,
    ACTIONS(3346), 1,
      anon_sym_class,
    STATE(1695), 1,
      aux_sym_export_statement_repeat1,
    STATE(1704), 1,
      sym_comment,
    STATE(1941), 1,
      sym_decorator,
  [78844] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3336), 1,
      anon_sym_LBRACE,
    ACTIONS(3338), 1,
      anon_sym_extends,
    ACTIONS(3348), 1,
      sym_identifier,
    STATE(1149), 1,
      sym_class_body,
    STATE(1705), 1,
      sym_comment,
    STATE(2113), 1,
      sym_class_heritage,
  [78869] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3350), 1,
      sym_identifier,
    ACTIONS(3352), 1,
      anon_sym_LPAREN,
    ACTIONS(3354), 1,
      anon_sym_LBRACK,
    ACTIONS(3356), 1,
      sym_private_property_identifier,
    STATE(1218), 1,
      sym_arguments,
    STATE(1706), 1,
      sym_comment,
  [78894] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3336), 1,
      anon_sym_LBRACE,
    ACTIONS(3338), 1,
      anon_sym_extends,
    ACTIONS(3358), 1,
      sym_identifier,
    STATE(1193), 1,
      sym_class_body,
    STATE(1707), 1,
      sym_comment,
    STATE(2379), 1,
      sym_class_heritage,
  [78919] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3336), 1,
      anon_sym_LBRACE,
    ACTIONS(3338), 1,
      anon_sym_extends,
    ACTIONS(3360), 1,
      sym_identifier,
    STATE(1149), 1,
      sym_class_body,
    STATE(1708), 1,
      sym_comment,
    STATE(2113), 1,
      sym_class_heritage,
  [78944] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3336), 1,
      anon_sym_LBRACE,
    ACTIONS(3338), 1,
      anon_sym_extends,
    ACTIONS(3362), 1,
      sym_identifier,
    STATE(1193), 1,
      sym_class_body,
    STATE(1709), 1,
      sym_comment,
    STATE(2379), 1,
      sym_class_heritage,
  [78969] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3366), 1,
      anon_sym_in,
    ACTIONS(3368), 1,
      anon_sym_of,
    STATE(1710), 1,
      sym_comment,
    ACTIONS(3364), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [78990] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3370), 1,
      anon_sym_export,
    ACTIONS(3372), 1,
      anon_sym_class,
    STATE(1695), 1,
      aux_sym_export_statement_repeat1,
    STATE(1711), 1,
      sym_comment,
    STATE(1941), 1,
      sym_decorator,
  [79015] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3126), 1,
      sym_identifier,
    STATE(1712), 1,
      sym_comment,
    STATE(1779), 1,
      sym_string,
    STATE(2601), 1,
      sym__module_export_name,
  [79040] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2841), 1,
      anon_sym_COLON,
    ACTIONS(3144), 1,
      anon_sym_EQ,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3374), 1,
      anon_sym_RBRACE,
    STATE(1713), 1,
      sym_comment,
    STATE(2032), 1,
      aux_sym_object_pattern_repeat1,
  [79065] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3336), 1,
      anon_sym_LBRACE,
    ACTIONS(3338), 1,
      anon_sym_extends,
    ACTIONS(3376), 1,
      sym_identifier,
    STATE(1149), 1,
      sym_class_body,
    STATE(1714), 1,
      sym_comment,
    STATE(2113), 1,
      sym_class_heritage,
  [79090] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3326), 1,
      anon_sym_GT,
    ACTIONS(3378), 1,
      sym_identifier,
    ACTIONS(3380), 1,
      sym_jsx_identifier,
    STATE(1559), 1,
      sym_nested_identifier,
    STATE(1567), 1,
      sym_jsx_namespace_name,
    STATE(1715), 1,
      sym_comment,
  [79115] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3336), 1,
      anon_sym_LBRACE,
    ACTIONS(3338), 1,
      anon_sym_extends,
    ACTIONS(3382), 1,
      sym_identifier,
    STATE(1193), 1,
      sym_class_body,
    STATE(1716), 1,
      sym_comment,
    STATE(2379), 1,
      sym_class_heritage,
  [79140] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3384), 1,
      anon_sym_export,
    ACTIONS(3386), 1,
      anon_sym_class,
    STATE(1695), 1,
      aux_sym_export_statement_repeat1,
    STATE(1717), 1,
      sym_comment,
    STATE(1941), 1,
      sym_decorator,
  [79165] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3336), 1,
      anon_sym_LBRACE,
    ACTIONS(3338), 1,
      anon_sym_extends,
    ACTIONS(3388), 1,
      sym_identifier,
    STATE(1149), 1,
      sym_class_body,
    STATE(1718), 1,
      sym_comment,
    STATE(2113), 1,
      sym_class_heritage,
  [79190] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3338), 1,
      anon_sym_extends,
    ACTIONS(3390), 1,
      sym_identifier,
    ACTIONS(3392), 1,
      anon_sym_LBRACE,
    STATE(1025), 1,
      sym_class_body,
    STATE(1719), 1,
      sym_comment,
    STATE(2063), 1,
      sym_class_heritage,
  [79215] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3326), 1,
      anon_sym_GT,
    ACTIONS(3394), 1,
      sym_identifier,
    ACTIONS(3396), 1,
      sym_jsx_identifier,
    STATE(1562), 1,
      sym_nested_identifier,
    STATE(1574), 1,
      sym_jsx_namespace_name,
    STATE(1720), 1,
      sym_comment,
  [79240] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3398), 1,
      sym_identifier,
    ACTIONS(3400), 1,
      anon_sym_GT,
    ACTIONS(3402), 1,
      sym_jsx_identifier,
    STATE(1721), 1,
      sym_comment,
    STATE(2538), 1,
      sym_nested_identifier,
    STATE(2684), 1,
      sym_jsx_namespace_name,
  [79265] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    STATE(1722), 1,
      sym_comment,
    ACTIONS(1852), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [79284] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3406), 1,
      sym_identifier,
    ACTIONS(3408), 1,
      anon_sym_LPAREN,
    ACTIONS(3410), 1,
      anon_sym_LBRACK,
    ACTIONS(3412), 1,
      sym_private_property_identifier,
    STATE(1043), 1,
      sym_arguments,
    STATE(1723), 1,
      sym_comment,
  [79309] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3414), 1,
      sym_identifier,
    ACTIONS(3416), 1,
      anon_sym_GT,
    ACTIONS(3418), 1,
      sym_jsx_identifier,
    STATE(1724), 1,
      sym_comment,
    STATE(2252), 1,
      sym_nested_identifier,
    STATE(2625), 1,
      sym_jsx_namespace_name,
  [79334] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3336), 1,
      anon_sym_LBRACE,
    ACTIONS(3338), 1,
      anon_sym_extends,
    ACTIONS(3420), 1,
      sym_identifier,
    STATE(1193), 1,
      sym_class_body,
    STATE(1725), 1,
      sym_comment,
    STATE(2379), 1,
      sym_class_heritage,
  [79359] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1726), 1,
      sym_comment,
    ACTIONS(3422), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [79376] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3424), 1,
      sym_identifier,
    ACTIONS(3426), 1,
      anon_sym_GT,
    ACTIONS(3428), 1,
      sym_jsx_identifier,
    STATE(1727), 1,
      sym_comment,
    STATE(2133), 1,
      sym_nested_identifier,
    STATE(2656), 1,
      sym_jsx_namespace_name,
  [79401] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3430), 1,
      anon_sym_EQ,
    STATE(1728), 1,
      sym_comment,
    ACTIONS(1862), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [79420] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3336), 1,
      anon_sym_LBRACE,
    ACTIONS(3338), 1,
      anon_sym_extends,
    ACTIONS(3433), 1,
      sym_identifier,
    STATE(1193), 1,
      sym_class_body,
    STATE(1729), 1,
      sym_comment,
    STATE(2379), 1,
      sym_class_heritage,
  [79445] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3336), 1,
      anon_sym_LBRACE,
    ACTIONS(3338), 1,
      anon_sym_extends,
    ACTIONS(3435), 1,
      sym_identifier,
    STATE(1149), 1,
      sym_class_body,
    STATE(1730), 1,
      sym_comment,
    STATE(2113), 1,
      sym_class_heritage,
  [79470] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3326), 1,
      anon_sym_GT,
    ACTIONS(3437), 1,
      sym_identifier,
    ACTIONS(3439), 1,
      sym_jsx_identifier,
    STATE(1555), 1,
      sym_nested_identifier,
    STATE(1576), 1,
      sym_jsx_namespace_name,
    STATE(1731), 1,
      sym_comment,
  [79495] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1732), 1,
      sym_comment,
    ACTIONS(2043), 5,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [79512] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3144), 1,
      anon_sym_EQ,
    STATE(1733), 1,
      sym_comment,
    ACTIONS(2841), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(3441), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [79533] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3444), 1,
      anon_sym_export,
    ACTIONS(3446), 1,
      anon_sym_class,
    STATE(1695), 1,
      aux_sym_export_statement_repeat1,
    STATE(1734), 1,
      sym_comment,
    STATE(1941), 1,
      sym_decorator,
  [79558] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1735), 1,
      sym_comment,
    ACTIONS(3448), 5,
      anon_sym_export,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_AT,
  [79575] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1736), 1,
      sym_comment,
    ACTIONS(3450), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [79592] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3126), 1,
      sym_identifier,
    STATE(1737), 1,
      sym_comment,
    STATE(1779), 1,
      sym_string,
    STATE(2174), 1,
      sym__module_export_name,
  [79617] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_EQ,
    STATE(1738), 1,
      sym_comment,
    STATE(2007), 1,
      sym__initializer,
    ACTIONS(3160), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [79638] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1739), 1,
      sym_comment,
    ACTIONS(3452), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [79655] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1740), 1,
      sym_comment,
    ACTIONS(3454), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [79672] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1741), 1,
      sym_comment,
    ACTIONS(1985), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [79689] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3336), 1,
      anon_sym_LBRACE,
    ACTIONS(3338), 1,
      anon_sym_extends,
    ACTIONS(3456), 1,
      sym_identifier,
    STATE(1149), 1,
      sym_class_body,
    STATE(1742), 1,
      sym_comment,
    STATE(2113), 1,
      sym_class_heritage,
  [79714] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1743), 1,
      sym_comment,
    ACTIONS(3458), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [79731] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1744), 1,
      sym_comment,
    ACTIONS(2183), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [79748] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1745), 1,
      sym_comment,
    ACTIONS(1862), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [79765] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1746), 1,
      sym_comment,
    ACTIONS(2107), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [79782] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3460), 1,
      anon_sym_EQ,
    STATE(1747), 1,
      sym_comment,
    ACTIONS(1862), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [79801] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3338), 1,
      anon_sym_extends,
    ACTIONS(3392), 1,
      anon_sym_LBRACE,
    ACTIONS(3463), 1,
      sym_identifier,
    STATE(968), 1,
      sym_class_body,
    STATE(1748), 1,
      sym_comment,
    STATE(2523), 1,
      sym_class_heritage,
  [79826] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1749), 1,
      sym_comment,
    ACTIONS(1957), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [79843] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1750), 1,
      sym_comment,
    ACTIONS(2187), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [79860] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1751), 1,
      sym_comment,
    ACTIONS(1957), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [79877] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1752), 1,
      sym_comment,
    ACTIONS(1957), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [79894] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1753), 1,
      sym_comment,
    ACTIONS(2069), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [79911] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3465), 1,
      anon_sym_LBRACE,
    ACTIONS(3467), 1,
      anon_sym_extends,
    STATE(602), 1,
      sym_class_body,
    STATE(1754), 1,
      sym_comment,
    STATE(2269), 1,
      sym_class_heritage,
  [79933] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3469), 1,
      anon_sym_DQUOTE,
    ACTIONS(3471), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
    STATE(1755), 2,
      sym_comment,
      aux_sym_string_repeat1,
  [79951] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3467), 1,
      anon_sym_extends,
    ACTIONS(3474), 1,
      anon_sym_LBRACE,
    STATE(536), 1,
      sym_class_body,
    STATE(1756), 1,
      sym_comment,
    STATE(2150), 1,
      sym_class_heritage,
  [79973] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3476), 1,
      anon_sym_COMMA,
    ACTIONS(3478), 1,
      anon_sym_RPAREN,
    ACTIONS(3480), 1,
      anon_sym_EQ,
    STATE(1757), 1,
      sym_comment,
    STATE(1995), 1,
      aux_sym_formal_parameters_repeat1,
  [79995] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3482), 1,
      anon_sym_COMMA,
    STATE(1758), 1,
      sym_comment,
    STATE(1867), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3484), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [80015] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3482), 1,
      anon_sym_COMMA,
    STATE(1759), 1,
      sym_comment,
    STATE(1864), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [80035] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3488), 1,
      anon_sym_with,
    STATE(1760), 1,
      sym_comment,
    STATE(2108), 1,
      sym_import_attribute,
    ACTIONS(3490), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [80055] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3480), 1,
      anon_sym_EQ,
    ACTIONS(3492), 1,
      anon_sym_COMMA,
    ACTIONS(3494), 1,
      anon_sym_RBRACK,
    STATE(1761), 1,
      sym_comment,
    STATE(1988), 1,
      aux_sym_array_pattern_repeat1,
  [80077] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3496), 1,
      sym_identifier,
    ACTIONS(3498), 1,
      anon_sym_STAR,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    STATE(1762), 1,
      sym_comment,
    STATE(2197), 1,
      sym_formal_parameters,
  [80099] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3502), 1,
      anon_sym_class,
    STATE(1695), 1,
      aux_sym_export_statement_repeat1,
    STATE(1763), 1,
      sym_comment,
    STATE(1941), 1,
      sym_decorator,
  [80121] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3504), 1,
      anon_sym_DQUOTE,
    STATE(1764), 1,
      sym_comment,
    STATE(1818), 1,
      aux_sym_string_repeat1,
    ACTIONS(3506), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [80141] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3504), 1,
      anon_sym_SQUOTE,
    STATE(1765), 1,
      sym_comment,
    STATE(1819), 1,
      aux_sym_string_repeat2,
    ACTIONS(3508), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [80161] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3510), 1,
      anon_sym_from,
    STATE(1766), 1,
      sym_comment,
    STATE(2327), 1,
      sym__from_clause,
    ACTIONS(3512), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [80181] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3510), 1,
      anon_sym_from,
    STATE(1767), 1,
      sym_comment,
    STATE(2104), 1,
      sym__from_clause,
    ACTIONS(3514), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [80201] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3488), 1,
      anon_sym_with,
    STATE(1768), 1,
      sym_comment,
    STATE(2329), 1,
      sym_import_attribute,
    ACTIONS(3516), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [80221] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3482), 1,
      anon_sym_COMMA,
    STATE(1769), 1,
      sym_comment,
    STATE(1776), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3518), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [80241] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3482), 1,
      anon_sym_COMMA,
    STATE(1770), 1,
      sym_comment,
    STATE(1780), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3520), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [80261] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3467), 1,
      anon_sym_extends,
    ACTIONS(3522), 1,
      anon_sym_LBRACE,
    STATE(158), 1,
      sym_class_body,
    STATE(1771), 1,
      sym_comment,
    STATE(2341), 1,
      sym_class_heritage,
  [80283] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3524), 1,
      sym__glimmer_template_content,
    ACTIONS(3526), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(959), 1,
      sym_glimmer_closing_tag,
    STATE(1772), 1,
      sym_comment,
    STATE(1832), 1,
      aux_sym_glimmer_template_repeat1,
  [80305] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1773), 1,
      sym_comment,
    ACTIONS(3528), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [80321] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3488), 1,
      anon_sym_with,
    ACTIONS(3530), 1,
      anon_sym_SEMI,
    ACTIONS(3532), 1,
      sym__automatic_semicolon,
    STATE(1774), 1,
      sym_comment,
    STATE(2352), 1,
      sym_import_attribute,
  [80343] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3524), 1,
      sym__glimmer_template_content,
    ACTIONS(3534), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1450), 1,
      sym_glimmer_closing_tag,
    STATE(1775), 1,
      sym_comment,
    STATE(1838), 1,
      aux_sym_glimmer_template_repeat1,
  [80365] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3482), 1,
      anon_sym_COMMA,
    STATE(1776), 1,
      sym_comment,
    STATE(1881), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3536), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [80385] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3510), 1,
      anon_sym_from,
    STATE(1777), 1,
      sym_comment,
    STATE(2251), 1,
      sym__from_clause,
    ACTIONS(3538), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [80405] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1778), 1,
      sym_comment,
    ACTIONS(2841), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(3540), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [80423] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1779), 1,
      sym_comment,
    ACTIONS(3542), 4,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
  [80439] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3482), 1,
      anon_sym_COMMA,
    STATE(1780), 1,
      sym_comment,
    STATE(1881), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3544), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [80459] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3546), 1,
      anon_sym_COMMA,
    ACTIONS(2173), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1781), 2,
      sym_comment,
      aux_sym_sequence_expression_repeat1,
  [80477] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3549), 1,
      anon_sym_SQUOTE,
    STATE(1782), 1,
      sym_comment,
    STATE(1820), 1,
      aux_sym_string_repeat2,
    ACTIONS(3508), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [80497] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3549), 1,
      anon_sym_DQUOTE,
    STATE(1783), 1,
      sym_comment,
    STATE(1814), 1,
      aux_sym_string_repeat1,
    ACTIONS(3506), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [80517] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3551), 1,
      anon_sym_DQUOTE,
    STATE(1755), 1,
      aux_sym_string_repeat1,
    STATE(1784), 1,
      sym_comment,
    ACTIONS(3506), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [80537] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3446), 1,
      anon_sym_class,
    STATE(1695), 1,
      aux_sym_export_statement_repeat1,
    STATE(1785), 1,
      sym_comment,
    STATE(1941), 1,
      sym_decorator,
  [80559] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3551), 1,
      anon_sym_SQUOTE,
    STATE(1786), 1,
      sym_comment,
    STATE(1823), 1,
      aux_sym_string_repeat2,
    ACTIONS(3508), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [80579] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3488), 1,
      anon_sym_with,
    STATE(1787), 1,
      sym_comment,
    STATE(2279), 1,
      sym_import_attribute,
    ACTIONS(3553), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [80599] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3555), 1,
      sym_html_character_reference,
    ACTIONS(3557), 1,
      anon_sym_DQUOTE,
    ACTIONS(3559), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1788), 1,
      sym_comment,
    STATE(1809), 1,
      aux_sym__jsx_string_repeat1,
  [80621] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3557), 1,
      anon_sym_SQUOTE,
    ACTIONS(3561), 1,
      sym_html_character_reference,
    ACTIONS(3563), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1789), 1,
      sym_comment,
    STATE(1810), 1,
      aux_sym__jsx_string_repeat2,
  [80643] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3482), 1,
      anon_sym_COMMA,
    STATE(1790), 1,
      sym_comment,
    STATE(1855), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3565), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [80663] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3482), 1,
      anon_sym_COMMA,
    STATE(1791), 1,
      sym_comment,
    STATE(1856), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3567), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [80683] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3467), 1,
      anon_sym_extends,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    STATE(221), 1,
      sym_class_body,
    STATE(1792), 1,
      sym_comment,
    STATE(2178), 1,
      sym_class_heritage,
  [80705] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3467), 1,
      anon_sym_extends,
    ACTIONS(3522), 1,
      anon_sym_LBRACE,
    STATE(163), 1,
      sym_class_body,
    STATE(1793), 1,
      sym_comment,
    STATE(2359), 1,
      sym_class_heritage,
  [80727] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(3571), 1,
      sym_identifier,
    ACTIONS(3573), 1,
      anon_sym_STAR,
    STATE(1794), 1,
      sym_comment,
    STATE(2235), 1,
      sym_formal_parameters,
  [80749] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3467), 1,
      anon_sym_extends,
    ACTIONS(3575), 1,
      anon_sym_LBRACE,
    STATE(525), 1,
      sym_class_body,
    STATE(1795), 1,
      sym_comment,
    STATE(2362), 1,
      sym_class_heritage,
  [80771] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3467), 1,
      anon_sym_extends,
    ACTIONS(3577), 1,
      anon_sym_LBRACE,
    STATE(176), 1,
      sym_class_body,
    STATE(1796), 1,
      sym_comment,
    STATE(2147), 1,
      sym_class_heritage,
  [80793] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3555), 1,
      sym_html_character_reference,
    ACTIONS(3559), 1,
      sym_unescaped_double_jsx_string_fragment,
    ACTIONS(3579), 1,
      anon_sym_DQUOTE,
    STATE(1788), 1,
      aux_sym__jsx_string_repeat1,
    STATE(1797), 1,
      sym_comment,
  [80815] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3482), 1,
      anon_sym_COMMA,
    STATE(1798), 1,
      sym_comment,
    STATE(1866), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3581), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [80835] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3482), 1,
      anon_sym_COMMA,
    STATE(1799), 1,
      sym_comment,
    STATE(1803), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3583), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [80855] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3482), 1,
      anon_sym_COMMA,
    STATE(1800), 1,
      sym_comment,
    STATE(1804), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3585), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [80875] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3467), 1,
      anon_sym_extends,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    STATE(205), 1,
      sym_class_body,
    STATE(1801), 1,
      sym_comment,
    STATE(2198), 1,
      sym_class_heritage,
  [80897] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3482), 1,
      anon_sym_COMMA,
    STATE(1802), 1,
      sym_comment,
    STATE(1874), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3587), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [80917] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3482), 1,
      anon_sym_COMMA,
    STATE(1803), 1,
      sym_comment,
    STATE(1881), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3589), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [80937] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3482), 1,
      anon_sym_COMMA,
    STATE(1804), 1,
      sym_comment,
    STATE(1881), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3591), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [80957] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3593), 1,
      anon_sym_class,
    STATE(1695), 1,
      aux_sym_export_statement_repeat1,
    STATE(1805), 1,
      sym_comment,
    STATE(1941), 1,
      sym_decorator,
  [80979] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3488), 1,
      anon_sym_with,
    STATE(1806), 1,
      sym_comment,
    STATE(2159), 1,
      sym_import_attribute,
    ACTIONS(3595), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [80999] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3467), 1,
      anon_sym_extends,
    ACTIONS(3575), 1,
      anon_sym_LBRACE,
    STATE(496), 1,
      sym_class_body,
    STATE(1807), 1,
      sym_comment,
    STATE(2349), 1,
      sym_class_heritage,
  [81021] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3561), 1,
      sym_html_character_reference,
    ACTIONS(3563), 1,
      sym_unescaped_single_jsx_string_fragment,
    ACTIONS(3579), 1,
      anon_sym_SQUOTE,
    STATE(1789), 1,
      aux_sym__jsx_string_repeat2,
    STATE(1808), 1,
      sym_comment,
  [81043] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3597), 1,
      sym_html_character_reference,
    ACTIONS(3600), 1,
      anon_sym_DQUOTE,
    ACTIONS(3602), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1809), 2,
      sym_comment,
      aux_sym__jsx_string_repeat1,
  [81063] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3605), 1,
      sym_html_character_reference,
    ACTIONS(3608), 1,
      anon_sym_SQUOTE,
    ACTIONS(3610), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1810), 2,
      sym_comment,
      aux_sym__jsx_string_repeat2,
  [81083] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3480), 1,
      anon_sym_EQ,
    ACTIONS(3492), 1,
      anon_sym_COMMA,
    ACTIONS(3613), 1,
      anon_sym_RBRACK,
    STATE(1811), 1,
      sym_comment,
    STATE(1898), 1,
      aux_sym_array_pattern_repeat1,
  [81105] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3467), 1,
      anon_sym_extends,
    ACTIONS(3615), 1,
      anon_sym_LBRACE,
    STATE(681), 1,
      sym_class_body,
    STATE(1812), 1,
      sym_comment,
    STATE(2264), 1,
      sym_class_heritage,
  [81127] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2841), 1,
      anon_sym_COLON,
    ACTIONS(3144), 1,
      anon_sym_EQ,
    STATE(1813), 1,
      sym_comment,
    ACTIONS(3617), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [81147] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3619), 1,
      anon_sym_DQUOTE,
    STATE(1755), 1,
      aux_sym_string_repeat1,
    STATE(1814), 1,
      sym_comment,
    ACTIONS(3506), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [81167] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1815), 1,
      sym_comment,
    ACTIONS(2485), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [81183] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1816), 1,
      sym_comment,
    ACTIONS(2352), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [81199] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3510), 1,
      anon_sym_from,
    STATE(1817), 1,
      sym_comment,
    STATE(2085), 1,
      sym__from_clause,
    ACTIONS(3621), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [81219] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3623), 1,
      anon_sym_DQUOTE,
    STATE(1755), 1,
      aux_sym_string_repeat1,
    STATE(1818), 1,
      sym_comment,
    ACTIONS(3506), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [81239] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3623), 1,
      anon_sym_SQUOTE,
    STATE(1819), 1,
      sym_comment,
    STATE(1823), 1,
      aux_sym_string_repeat2,
    ACTIONS(3508), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [81259] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3619), 1,
      anon_sym_SQUOTE,
    STATE(1820), 1,
      sym_comment,
    STATE(1823), 1,
      aux_sym_string_repeat2,
    ACTIONS(3508), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [81279] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3467), 1,
      anon_sym_extends,
    ACTIONS(3625), 1,
      anon_sym_LBRACE,
    STATE(1182), 1,
      sym_class_body,
    STATE(1821), 1,
      sym_comment,
    STATE(2344), 1,
      sym_class_heritage,
  [81301] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3524), 1,
      sym__glimmer_template_content,
    ACTIONS(3627), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1146), 1,
      sym_glimmer_closing_tag,
    STATE(1822), 1,
      sym_comment,
    STATE(1868), 1,
      aux_sym_glimmer_template_repeat1,
  [81323] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3629), 1,
      anon_sym_SQUOTE,
    ACTIONS(3631), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
    STATE(1823), 2,
      sym_comment,
      aux_sym_string_repeat2,
  [81341] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3467), 1,
      anon_sym_extends,
    ACTIONS(3634), 1,
      anon_sym_LBRACE,
    STATE(1027), 1,
      sym_class_body,
    STATE(1824), 1,
      sym_comment,
    STATE(2224), 1,
      sym_class_heritage,
  [81363] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3467), 1,
      anon_sym_extends,
    ACTIONS(3636), 1,
      anon_sym_LBRACE,
    STATE(190), 1,
      sym_class_body,
    STATE(1825), 1,
      sym_comment,
    STATE(2266), 1,
      sym_class_heritage,
  [81385] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3482), 1,
      anon_sym_COMMA,
    STATE(1826), 1,
      sym_comment,
    STATE(1881), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3638), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [81405] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3488), 1,
      anon_sym_with,
    ACTIONS(3640), 1,
      anon_sym_SEMI,
    ACTIONS(3642), 1,
      sym__automatic_semicolon,
    STATE(1827), 1,
      sym_comment,
    STATE(2259), 1,
      sym_import_attribute,
  [81427] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1828), 1,
      sym_comment,
    ACTIONS(3644), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [81443] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(3646), 1,
      sym_identifier,
    ACTIONS(3648), 1,
      anon_sym_STAR,
    STATE(1829), 1,
      sym_comment,
    STATE(2142), 1,
      sym_formal_parameters,
  [81465] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3467), 1,
      anon_sym_extends,
    ACTIONS(3577), 1,
      anon_sym_LBRACE,
    STATE(171), 1,
      sym_class_body,
    STATE(1830), 1,
      sym_comment,
    STATE(2124), 1,
      sym_class_heritage,
  [81487] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3650), 1,
      anon_sym_class,
    STATE(1695), 1,
      aux_sym_export_statement_repeat1,
    STATE(1831), 1,
      sym_comment,
    STATE(1941), 1,
      sym_decorator,
  [81509] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3524), 1,
      sym__glimmer_template_content,
    ACTIONS(3526), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1044), 1,
      sym_glimmer_closing_tag,
    STATE(1832), 1,
      sym_comment,
    STATE(1955), 1,
      aux_sym_glimmer_template_repeat1,
  [81531] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3465), 1,
      anon_sym_LBRACE,
    ACTIONS(3467), 1,
      anon_sym_extends,
    STATE(529), 1,
      sym_class_body,
    STATE(1833), 1,
      sym_comment,
    STATE(2256), 1,
      sym_class_heritage,
  [81553] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3311), 1,
      anon_sym_class,
    STATE(1695), 1,
      aux_sym_export_statement_repeat1,
    STATE(1834), 1,
      sym_comment,
    STATE(1941), 1,
      sym_decorator,
  [81575] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3652), 1,
      anon_sym_COMMA,
    ACTIONS(2416), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(1835), 2,
      sym_comment,
      aux_sym_array_repeat1,
  [81593] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3467), 1,
      anon_sym_extends,
    ACTIONS(3636), 1,
      anon_sym_LBRACE,
    STATE(186), 1,
      sym_class_body,
    STATE(1836), 1,
      sym_comment,
    STATE(2244), 1,
      sym_class_heritage,
  [81615] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3655), 1,
      anon_sym_SQUOTE,
    STATE(1823), 1,
      aux_sym_string_repeat2,
    STATE(1837), 1,
      sym_comment,
    ACTIONS(3508), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [81635] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3524), 1,
      sym__glimmer_template_content,
    ACTIONS(3534), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1446), 1,
      sym_glimmer_closing_tag,
    STATE(1838), 1,
      sym_comment,
    STATE(1955), 1,
      aux_sym_glimmer_template_repeat1,
  [81657] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_STAR,
    STATE(1839), 1,
      sym_comment,
    STATE(2235), 1,
      sym_formal_parameters,
  [81679] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1840), 1,
      sym_comment,
    ACTIONS(2841), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [81695] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1841), 1,
      sym_comment,
    ACTIONS(3661), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [81711] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3655), 1,
      anon_sym_DQUOTE,
    STATE(1755), 1,
      aux_sym_string_repeat1,
    STATE(1842), 1,
      sym_comment,
    ACTIONS(3506), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [81731] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3467), 1,
      anon_sym_extends,
    ACTIONS(3663), 1,
      anon_sym_LBRACE,
    STATE(1843), 1,
      sym_comment,
    STATE(1903), 1,
      sym_class_body,
    STATE(2076), 1,
      sym_class_heritage,
  [81753] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3665), 1,
      anon_sym_EQ,
    STATE(1844), 1,
      sym_comment,
    STATE(2332), 1,
      sym__initializer,
    ACTIONS(3162), 2,
      anon_sym_in,
      anon_sym_of,
  [81773] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3467), 1,
      anon_sym_extends,
    ACTIONS(3474), 1,
      anon_sym_LBRACE,
    STATE(545), 1,
      sym_class_body,
    STATE(1845), 1,
      sym_comment,
    STATE(2137), 1,
      sym_class_heritage,
  [81795] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3482), 1,
      anon_sym_COMMA,
    STATE(1846), 1,
      sym_comment,
    STATE(1865), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3667), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [81815] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3386), 1,
      anon_sym_class,
    STATE(1695), 1,
      aux_sym_export_statement_repeat1,
    STATE(1847), 1,
      sym_comment,
    STATE(1941), 1,
      sym_decorator,
  [81837] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1848), 1,
      sym_comment,
    ACTIONS(2323), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [81853] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(3669), 1,
      sym_identifier,
    ACTIONS(3671), 1,
      anon_sym_STAR,
    STATE(1849), 1,
      sym_comment,
    STATE(2235), 1,
      sym_formal_parameters,
  [81875] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3482), 1,
      anon_sym_COMMA,
    STATE(1826), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(1850), 1,
      sym_comment,
    ACTIONS(3673), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [81895] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3488), 1,
      anon_sym_with,
    STATE(1851), 1,
      sym_comment,
    STATE(2228), 1,
      sym_import_attribute,
    ACTIONS(3675), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [81915] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3488), 1,
      anon_sym_with,
    ACTIONS(3677), 1,
      anon_sym_SEMI,
    ACTIONS(3679), 1,
      sym__automatic_semicolon,
    STATE(1852), 1,
      sym_comment,
    STATE(2134), 1,
      sym_import_attribute,
  [81937] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2197), 1,
      anon_sym_COMMA,
    STATE(1781), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(1853), 1,
      sym_comment,
    ACTIONS(3295), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [81957] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3681), 1,
      anon_sym_EQ,
    STATE(1854), 1,
      sym_comment,
    ACTIONS(1852), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [81975] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3482), 1,
      anon_sym_COMMA,
    STATE(1855), 1,
      sym_comment,
    STATE(1881), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3683), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [81995] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3482), 1,
      anon_sym_COMMA,
    STATE(1856), 1,
      sym_comment,
    STATE(1881), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3685), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [82015] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(3687), 1,
      sym_identifier,
    ACTIONS(3689), 1,
      anon_sym_STAR,
    STATE(1857), 1,
      sym_comment,
    STATE(2345), 1,
      sym_formal_parameters,
  [82037] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3467), 1,
      anon_sym_extends,
    ACTIONS(3634), 1,
      anon_sym_LBRACE,
    STATE(992), 1,
      sym_class_body,
    STATE(1858), 1,
      sym_comment,
    STATE(2467), 1,
      sym_class_heritage,
  [82059] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3510), 1,
      anon_sym_from,
    STATE(1859), 1,
      sym_comment,
    STATE(2226), 1,
      sym__from_clause,
    ACTIONS(3691), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [82079] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3372), 1,
      anon_sym_class,
    STATE(1695), 1,
      aux_sym_export_statement_repeat1,
    STATE(1860), 1,
      sym_comment,
    STATE(1941), 1,
      sym_decorator,
  [82101] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(3693), 1,
      sym_identifier,
    ACTIONS(3695), 1,
      anon_sym_STAR,
    STATE(1861), 1,
      sym_comment,
    STATE(2142), 1,
      sym_formal_parameters,
  [82123] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3488), 1,
      anon_sym_with,
    ACTIONS(3697), 1,
      anon_sym_SEMI,
    ACTIONS(3699), 1,
      sym__automatic_semicolon,
    STATE(1862), 1,
      sym_comment,
    STATE(2140), 1,
      sym_import_attribute,
  [82145] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3467), 1,
      anon_sym_extends,
    ACTIONS(3625), 1,
      anon_sym_LBRACE,
    STATE(1229), 1,
      sym_class_body,
    STATE(1863), 1,
      sym_comment,
    STATE(2135), 1,
      sym_class_heritage,
  [82167] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3482), 1,
      anon_sym_COMMA,
    STATE(1864), 1,
      sym_comment,
    STATE(1881), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3701), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [82187] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3482), 1,
      anon_sym_COMMA,
    STATE(1865), 1,
      sym_comment,
    STATE(1881), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3703), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [82207] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3482), 1,
      anon_sym_COMMA,
    STATE(1866), 1,
      sym_comment,
    STATE(1881), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3705), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [82227] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3482), 1,
      anon_sym_COMMA,
    STATE(1867), 1,
      sym_comment,
    STATE(1881), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3707), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [82247] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3524), 1,
      sym__glimmer_template_content,
    ACTIONS(3627), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1136), 1,
      sym_glimmer_closing_tag,
    STATE(1868), 1,
      sym_comment,
    STATE(1955), 1,
      aux_sym_glimmer_template_repeat1,
  [82269] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3711), 1,
      anon_sym_LBRACE,
    STATE(1869), 1,
      sym_comment,
    STATE(2568), 2,
      sym_namespace_import,
      sym_named_imports,
  [82289] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3713), 1,
      anon_sym_SQUOTE,
    STATE(1786), 1,
      aux_sym_string_repeat2,
    STATE(1870), 1,
      sym_comment,
    ACTIONS(3508), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [82309] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3713), 1,
      anon_sym_DQUOTE,
    STATE(1784), 1,
      aux_sym_string_repeat1,
    STATE(1871), 1,
      sym_comment,
    ACTIONS(3506), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [82329] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3488), 1,
      anon_sym_with,
    ACTIONS(3715), 1,
      anon_sym_SEMI,
    ACTIONS(3717), 1,
      sym__automatic_semicolon,
    STATE(1872), 1,
      sym_comment,
    STATE(2540), 1,
      sym_import_attribute,
  [82351] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3346), 1,
      anon_sym_class,
    STATE(1695), 1,
      aux_sym_export_statement_repeat1,
    STATE(1873), 1,
      sym_comment,
    STATE(1941), 1,
      sym_decorator,
  [82373] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3482), 1,
      anon_sym_COMMA,
    STATE(1874), 1,
      sym_comment,
    STATE(1881), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3719), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [82393] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(3721), 1,
      sym_identifier,
    ACTIONS(3723), 1,
      anon_sym_STAR,
    STATE(1875), 1,
      sym_comment,
    STATE(2142), 1,
      sym_formal_parameters,
  [82415] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3725), 1,
      anon_sym_class,
    STATE(1695), 1,
      aux_sym_export_statement_repeat1,
    STATE(1876), 1,
      sym_comment,
    STATE(1941), 1,
      sym_decorator,
  [82437] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1877), 1,
      sym_comment,
    ACTIONS(2492), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [82453] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(3727), 1,
      sym_identifier,
    ACTIONS(3729), 1,
      anon_sym_STAR,
    STATE(1878), 1,
      sym_comment,
    STATE(2235), 1,
      sym_formal_parameters,
  [82475] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3731), 1,
      anon_sym_DQUOTE,
    STATE(1842), 1,
      aux_sym_string_repeat1,
    STATE(1879), 1,
      sym_comment,
    ACTIONS(3506), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [82495] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1880), 1,
      sym_comment,
    ACTIONS(1507), 4,
      sym__automatic_semicolon,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
  [82511] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3733), 1,
      anon_sym_COMMA,
    ACTIONS(3736), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1881), 2,
      sym_comment,
      aux_sym_variable_declaration_repeat1,
  [82529] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3222), 1,
      anon_sym_finally,
    STATE(1882), 1,
      sym_comment,
    STATE(2188), 1,
      sym_finally_clause,
    ACTIONS(1479), 2,
      anon_sym_else,
      anon_sym_while,
  [82549] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3467), 1,
      anon_sym_extends,
    ACTIONS(3615), 1,
      anon_sym_LBRACE,
    STATE(723), 1,
      sym_class_body,
    STATE(1883), 1,
      sym_comment,
    STATE(2395), 1,
      sym_class_heritage,
  [82571] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1884), 1,
      sym_comment,
    ACTIONS(1543), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(3738), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [82589] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(3740), 1,
      sym_identifier,
    ACTIONS(3742), 1,
      anon_sym_STAR,
    STATE(1885), 1,
      sym_comment,
    STATE(2142), 1,
      sym_formal_parameters,
  [82611] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3744), 1,
      anon_sym_class,
    STATE(1695), 1,
      aux_sym_export_statement_repeat1,
    STATE(1886), 1,
      sym_comment,
    STATE(1941), 1,
      sym_decorator,
  [82633] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1887), 1,
      sym_comment,
    ACTIONS(2336), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [82649] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(3746), 1,
      sym_identifier,
    ACTIONS(3748), 1,
      anon_sym_STAR,
    STATE(1888), 1,
      sym_comment,
    STATE(2235), 1,
      sym_formal_parameters,
  [82671] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(3750), 1,
      sym_identifier,
    ACTIONS(3752), 1,
      anon_sym_STAR,
    STATE(1889), 1,
      sym_comment,
    STATE(2142), 1,
      sym_formal_parameters,
  [82693] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3467), 1,
      anon_sym_extends,
    ACTIONS(3663), 1,
      anon_sym_LBRACE,
    STATE(1890), 1,
      sym_comment,
    STATE(1917), 1,
      sym_class_body,
    STATE(2271), 1,
      sym_class_heritage,
  [82715] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3754), 1,
      anon_sym_class,
    STATE(1695), 1,
      aux_sym_export_statement_repeat1,
    STATE(1891), 1,
      sym_comment,
    STATE(1941), 1,
      sym_decorator,
  [82737] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(3756), 1,
      sym_identifier,
    ACTIONS(3758), 1,
      anon_sym_STAR,
    STATE(1892), 1,
      sym_comment,
    STATE(2235), 1,
      sym_formal_parameters,
  [82759] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(3760), 1,
      sym_identifier,
    ACTIONS(3762), 1,
      anon_sym_STAR,
    STATE(1893), 1,
      sym_comment,
    STATE(2142), 1,
      sym_formal_parameters,
  [82781] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3731), 1,
      anon_sym_SQUOTE,
    STATE(1837), 1,
      aux_sym_string_repeat2,
    STATE(1894), 1,
      sym_comment,
    ACTIONS(3508), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [82801] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3467), 1,
      anon_sym_extends,
    ACTIONS(3625), 1,
      anon_sym_LBRACE,
    STATE(1220), 1,
      sym_class_body,
    STATE(1895), 1,
      sym_comment,
    STATE(2237), 1,
      sym_class_heritage,
  [82823] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3467), 1,
      anon_sym_extends,
    ACTIONS(3625), 1,
      anon_sym_LBRACE,
    STATE(1139), 1,
      sym_class_body,
    STATE(1896), 1,
      sym_comment,
    STATE(2531), 1,
      sym_class_heritage,
  [82845] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3764), 1,
      anon_sym_class,
    STATE(1695), 1,
      aux_sym_export_statement_repeat1,
    STATE(1897), 1,
      sym_comment,
    STATE(1941), 1,
      sym_decorator,
  [82867] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3492), 1,
      anon_sym_COMMA,
    ACTIONS(3766), 1,
      anon_sym_RBRACK,
    STATE(1898), 1,
      sym_comment,
    STATE(1987), 1,
      aux_sym_array_pattern_repeat1,
  [82886] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3768), 1,
      sym_identifier,
    ACTIONS(3770), 1,
      anon_sym_SEMI,
    ACTIONS(3772), 1,
      sym__automatic_semicolon,
    STATE(1899), 1,
      sym_comment,
  [82905] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3774), 1,
      anon_sym_COLON,
    ACTIONS(3776), 1,
      anon_sym_GT,
    ACTIONS(3778), 1,
      anon_sym_DOT,
    STATE(1900), 1,
      sym_comment,
  [82924] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(3780), 1,
      sym_identifier,
    STATE(1901), 1,
      sym_comment,
    STATE(2325), 1,
      sym_formal_parameters,
  [82943] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(3782), 1,
      sym_identifier,
    STATE(1902), 1,
      sym_comment,
    STATE(2241), 1,
      sym_formal_parameters,
  [82962] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2370), 1,
      sym__automatic_semicolon,
    STATE(1903), 1,
      sym_comment,
    ACTIONS(1003), 2,
      anon_sym_else,
      anon_sym_while,
  [82979] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(3784), 1,
      sym_identifier,
    STATE(1904), 1,
      sym_comment,
    STATE(2325), 1,
      sym_formal_parameters,
  [82998] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(3786), 1,
      sym_identifier,
    STATE(1905), 1,
      sym_comment,
    STATE(2241), 1,
      sym_formal_parameters,
  [83017] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(3788), 1,
      sym_identifier,
    STATE(1906), 1,
      sym_comment,
    STATE(2325), 1,
      sym_formal_parameters,
  [83036] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3790), 1,
      anon_sym_LPAREN,
    ACTIONS(3792), 1,
      anon_sym_await,
    STATE(118), 1,
      sym__for_header,
    STATE(1907), 1,
      sym_comment,
  [83055] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(3794), 1,
      sym_identifier,
    STATE(1908), 1,
      sym_comment,
    STATE(2241), 1,
      sym_formal_parameters,
  [83074] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1909), 1,
      sym_comment,
    ACTIONS(3736), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [83089] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1910), 1,
      sym_comment,
    ACTIONS(1541), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [83104] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1911), 1,
      sym_comment,
    ACTIONS(3796), 3,
      anon_sym_default,
      anon_sym_RBRACE,
      anon_sym_case,
  [83119] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(3798), 1,
      sym_identifier,
    STATE(1912), 1,
      sym_comment,
    STATE(2325), 1,
      sym_formal_parameters,
  [83138] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    STATE(1913), 1,
      sym_comment,
    ACTIONS(1880), 2,
      anon_sym_in,
      anon_sym_of,
  [83155] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    ACTIONS(3800), 1,
      anon_sym_RPAREN,
    STATE(1835), 1,
      aux_sym_array_repeat1,
    STATE(1914), 1,
      sym_comment,
  [83174] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2428), 1,
      sym__automatic_semicolon,
    STATE(1915), 1,
      sym_comment,
    ACTIONS(1011), 2,
      anon_sym_else,
      anon_sym_while,
  [83191] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2426), 1,
      sym__automatic_semicolon,
    STATE(1916), 1,
      sym_comment,
    ACTIONS(1015), 2,
      anon_sym_else,
      anon_sym_while,
  [83208] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2408), 1,
      sym__automatic_semicolon,
    STATE(1917), 1,
      sym_comment,
    ACTIONS(1019), 2,
      anon_sym_else,
      anon_sym_while,
  [83225] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3802), 1,
      sym_identifier,
    ACTIONS(3804), 1,
      anon_sym_SEMI,
    ACTIONS(3806), 1,
      sym__automatic_semicolon,
    STATE(1918), 1,
      sym_comment,
  [83244] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(3808), 1,
      sym_identifier,
    STATE(1919), 1,
      sym_comment,
    STATE(2241), 1,
      sym_formal_parameters,
  [83263] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3810), 1,
      sym_identifier,
    ACTIONS(3812), 1,
      anon_sym_SEMI,
    ACTIONS(3814), 1,
      sym__automatic_semicolon,
    STATE(1920), 1,
      sym_comment,
  [83282] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1553), 1,
      anon_sym_while,
    ACTIONS(3816), 1,
      anon_sym_else,
    STATE(1921), 1,
      sym_comment,
    STATE(2181), 1,
      sym_else_clause,
  [83301] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3510), 1,
      anon_sym_from,
    ACTIONS(3818), 1,
      anon_sym_as,
    STATE(1922), 1,
      sym_comment,
    STATE(2323), 1,
      sym__from_clause,
  [83320] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2328), 1,
      sym__automatic_semicolon,
    STATE(1923), 1,
      sym_comment,
    ACTIONS(1023), 2,
      anon_sym_else,
      anon_sym_while,
  [83337] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2330), 1,
      sym__automatic_semicolon,
    STATE(1924), 1,
      sym_comment,
    ACTIONS(1027), 2,
      anon_sym_else,
      anon_sym_while,
  [83354] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2338), 1,
      sym__automatic_semicolon,
    STATE(1925), 1,
      sym_comment,
    ACTIONS(1031), 2,
      anon_sym_else,
      anon_sym_while,
  [83371] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    ACTIONS(3820), 1,
      anon_sym_COLON,
    STATE(1926), 1,
      sym_comment,
    STATE(2114), 1,
      sym_formal_parameters,
  [83390] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3510), 1,
      anon_sym_from,
    ACTIONS(3818), 1,
      anon_sym_as,
    STATE(1927), 1,
      sym_comment,
    STATE(2221), 1,
      sym__from_clause,
  [83409] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1928), 1,
      sym_comment,
    ACTIONS(1599), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [83424] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2360), 1,
      sym__automatic_semicolon,
    STATE(1929), 1,
      sym_comment,
    ACTIONS(1035), 2,
      anon_sym_else,
      anon_sym_while,
  [83441] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3510), 1,
      anon_sym_from,
    ACTIONS(3818), 1,
      anon_sym_as,
    STATE(1930), 1,
      sym_comment,
    STATE(2099), 1,
      sym__from_clause,
  [83460] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3822), 1,
      anon_sym_COMMA,
    ACTIONS(3824), 1,
      anon_sym_RBRACE,
    STATE(1931), 1,
      sym_comment,
    STATE(2012), 1,
      aux_sym_named_imports_repeat1,
  [83479] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3826), 1,
      sym_identifier,
    STATE(1626), 1,
      sym_decorator_member_expression,
    STATE(1932), 1,
      sym_comment,
    STATE(1976), 1,
      sym_decorator_call_expression,
  [83498] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(3828), 1,
      sym_identifier,
    STATE(1933), 1,
      sym_comment,
    STATE(2325), 1,
      sym_formal_parameters,
  [83517] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(3830), 1,
      sym_identifier,
    STATE(1934), 1,
      sym_comment,
    STATE(2241), 1,
      sym_formal_parameters,
  [83536] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(3832), 1,
      sym_identifier,
    STATE(1935), 1,
      sym_comment,
    STATE(2186), 1,
      sym_formal_parameters,
  [83555] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3480), 1,
      anon_sym_EQ,
    STATE(1936), 1,
      sym_comment,
    ACTIONS(3834), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [83572] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3510), 1,
      anon_sym_from,
    ACTIONS(3818), 1,
      anon_sym_as,
    STATE(1937), 1,
      sym_comment,
    STATE(2222), 1,
      sym__from_clause,
  [83591] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3480), 1,
      anon_sym_EQ,
    STATE(1938), 1,
      sym_comment,
    ACTIONS(3836), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [83608] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3836), 1,
      anon_sym_RPAREN,
    ACTIONS(3838), 1,
      anon_sym_COMMA,
    STATE(1939), 2,
      sym_comment,
      aux_sym_formal_parameters_repeat1,
  [83625] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1940), 1,
      sym_comment,
    ACTIONS(2167), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [83640] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1941), 1,
      sym_comment,
    ACTIONS(3841), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [83655] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3510), 1,
      anon_sym_from,
    ACTIONS(3818), 1,
      anon_sym_as,
    STATE(1942), 1,
      sym_comment,
    STATE(2218), 1,
      sym__from_clause,
  [83674] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1943), 1,
      sym_comment,
    ACTIONS(2075), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [83689] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1944), 1,
      sym_comment,
    ACTIONS(2059), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [83704] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2223), 1,
      anon_sym_in,
    STATE(1945), 1,
      sym_comment,
    ACTIONS(2485), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [83721] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3843), 1,
      anon_sym_RBRACE,
    STATE(1946), 1,
      sym_comment,
    STATE(2026), 1,
      aux_sym_object_pattern_repeat1,
  [83740] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3330), 1,
      anon_sym_COMMA,
    ACTIONS(3845), 1,
      anon_sym_RBRACE,
    STATE(1947), 1,
      sym_comment,
    STATE(2023), 1,
      aux_sym_object_repeat1,
  [83759] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    ACTIONS(3847), 1,
      anon_sym_COLON,
    STATE(1948), 1,
      sym_comment,
    STATE(2114), 1,
      sym_formal_parameters,
  [83778] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3330), 1,
      anon_sym_COMMA,
    ACTIONS(3845), 1,
      anon_sym_RBRACE,
    STATE(1949), 1,
      sym_comment,
    STATE(2021), 1,
      aux_sym_object_repeat1,
  [83797] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3843), 1,
      anon_sym_RBRACE,
    STATE(1950), 1,
      sym_comment,
    STATE(2020), 1,
      aux_sym_object_pattern_repeat1,
  [83816] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3849), 1,
      anon_sym_COMMA,
    ACTIONS(3851), 1,
      anon_sym_RBRACE,
    STATE(1951), 1,
      sym_comment,
    STATE(2006), 1,
      aux_sym_export_clause_repeat1,
  [83835] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1952), 1,
      sym_comment,
    ACTIONS(3853), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [83850] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1953), 1,
      sym_comment,
    ACTIONS(3855), 3,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_SEMI,
  [83865] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3774), 1,
      anon_sym_COLON,
    ACTIONS(3778), 1,
      anon_sym_DOT,
    ACTIONS(3857), 1,
      anon_sym_GT,
    STATE(1954), 1,
      sym_comment,
  [83884] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3859), 1,
      sym__glimmer_template_content,
    ACTIONS(3862), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1955), 2,
      sym_comment,
      aux_sym_glimmer_template_repeat1,
  [83901] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    ACTIONS(2424), 1,
      anon_sym_RPAREN,
    STATE(1835), 1,
      aux_sym_array_repeat1,
    STATE(1956), 1,
      sym_comment,
  [83920] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    ACTIONS(2424), 1,
      anon_sym_RPAREN,
    STATE(1914), 1,
      aux_sym_array_repeat1,
    STATE(1957), 1,
      sym_comment,
  [83939] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    ACTIONS(3864), 1,
      anon_sym_RPAREN,
    STATE(1835), 1,
      aux_sym_array_repeat1,
    STATE(1958), 1,
      sym_comment,
  [83958] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    ACTIONS(3866), 1,
      anon_sym_RPAREN,
    STATE(1835), 1,
      aux_sym_array_repeat1,
    STATE(1959), 1,
      sym_comment,
  [83977] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    ACTIONS(2334), 1,
      anon_sym_RPAREN,
    STATE(1835), 1,
      aux_sym_array_repeat1,
    STATE(1960), 1,
      sym_comment,
  [83996] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    ACTIONS(2334), 1,
      anon_sym_RPAREN,
    STATE(1958), 1,
      aux_sym_array_repeat1,
    STATE(1961), 1,
      sym_comment,
  [84015] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3868), 1,
      anon_sym_LBRACE,
    ACTIONS(3870), 1,
      anon_sym_LPAREN,
    STATE(485), 1,
      sym_statement_block,
    STATE(1962), 1,
      sym_comment,
  [84034] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3874), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1963), 1,
      sym_comment,
    ACTIONS(3872), 2,
      sym_html_character_reference,
      anon_sym_SQUOTE,
  [84051] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3878), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1964), 1,
      sym_comment,
    ACTIONS(3876), 2,
      sym_html_character_reference,
      anon_sym_DQUOTE,
  [84068] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    ACTIONS(3880), 1,
      anon_sym_RBRACK,
    STATE(1835), 1,
      aux_sym_array_repeat1,
    STATE(1965), 1,
      sym_comment,
  [84087] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3882), 1,
      sym_identifier,
    ACTIONS(3884), 1,
      anon_sym_SEMI,
    ACTIONS(3886), 1,
      sym__automatic_semicolon,
    STATE(1966), 1,
      sym_comment,
  [84106] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3888), 1,
      sym_identifier,
    ACTIONS(3890), 1,
      anon_sym_SEMI,
    ACTIONS(3892), 1,
      sym__automatic_semicolon,
    STATE(1967), 1,
      sym_comment,
  [84125] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    ACTIONS(3896), 1,
      anon_sym_LPAREN,
    STATE(1910), 1,
      sym_statement_block,
    STATE(1968), 1,
      sym_comment,
  [84144] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3898), 1,
      anon_sym_LPAREN,
    ACTIONS(3900), 1,
      anon_sym_await,
    STATE(112), 1,
      sym__for_header,
    STATE(1969), 1,
      sym_comment,
  [84163] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    ACTIONS(3902), 1,
      anon_sym_RPAREN,
    STATE(1835), 1,
      aux_sym_array_repeat1,
    STATE(1970), 1,
      sym_comment,
  [84182] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3350), 1,
      sym_identifier,
    ACTIONS(3354), 1,
      anon_sym_LBRACK,
    ACTIONS(3356), 1,
      sym_private_property_identifier,
    STATE(1971), 1,
      sym_comment,
  [84201] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1972), 1,
      sym_comment,
    ACTIONS(3904), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [84216] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    ACTIONS(2364), 1,
      anon_sym_RPAREN,
    STATE(1835), 1,
      aux_sym_array_repeat1,
    STATE(1973), 1,
      sym_comment,
  [84235] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    ACTIONS(2364), 1,
      anon_sym_RPAREN,
    STATE(1959), 1,
      aux_sym_array_repeat1,
    STATE(1974), 1,
      sym_comment,
  [84254] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1975), 1,
      sym_comment,
    ACTIONS(3906), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [84269] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1976), 1,
      sym_comment,
    ACTIONS(3202), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [84284] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3774), 1,
      anon_sym_COLON,
    ACTIONS(3778), 1,
      anon_sym_DOT,
    ACTIONS(3908), 1,
      anon_sym_GT,
    STATE(1977), 1,
      sym_comment,
  [84303] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3330), 1,
      anon_sym_COMMA,
    ACTIONS(3910), 1,
      anon_sym_RBRACE,
    STATE(1978), 1,
      sym_comment,
    STATE(2021), 1,
      aux_sym_object_repeat1,
  [84322] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3912), 1,
      anon_sym_RBRACE,
    STATE(1979), 1,
      sym_comment,
    STATE(2020), 1,
      aux_sym_object_pattern_repeat1,
  [84341] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3914), 1,
      anon_sym_RBRACE,
    STATE(1980), 1,
      sym_comment,
    STATE(2020), 1,
      aux_sym_object_pattern_repeat1,
  [84360] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3330), 1,
      anon_sym_COMMA,
    ACTIONS(3916), 1,
      anon_sym_RBRACE,
    STATE(1981), 1,
      sym_comment,
    STATE(2021), 1,
      aux_sym_object_repeat1,
  [84379] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3918), 1,
      sym__automatic_semicolon,
    STATE(1982), 1,
      sym_comment,
    ACTIONS(888), 2,
      anon_sym_else,
      anon_sym_while,
  [84396] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    ACTIONS(2362), 1,
      anon_sym_RPAREN,
    STATE(1835), 1,
      aux_sym_array_repeat1,
    STATE(1983), 1,
      sym_comment,
  [84415] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    ACTIONS(2362), 1,
      anon_sym_RPAREN,
    STATE(1970), 1,
      aux_sym_array_repeat1,
    STATE(1984), 1,
      sym_comment,
  [84434] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3920), 1,
      anon_sym_LBRACE,
    ACTIONS(3922), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_statement_block,
    STATE(1985), 1,
      sym_comment,
  [84453] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(3924), 1,
      sym_identifier,
    STATE(1986), 1,
      sym_comment,
    STATE(2325), 1,
      sym_formal_parameters,
  [84472] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3926), 1,
      anon_sym_COMMA,
    ACTIONS(3929), 1,
      anon_sym_RBRACK,
    STATE(1987), 2,
      sym_comment,
      aux_sym_array_pattern_repeat1,
  [84489] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3492), 1,
      anon_sym_COMMA,
    ACTIONS(3931), 1,
      anon_sym_RBRACK,
    STATE(1987), 1,
      aux_sym_array_pattern_repeat1,
    STATE(1988), 1,
      sym_comment,
  [84508] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3933), 1,
      anon_sym_DQUOTE,
    ACTIONS(3935), 1,
      anon_sym_SQUOTE,
    STATE(1953), 1,
      sym_string,
    STATE(1989), 1,
      sym_comment,
  [84527] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3406), 1,
      sym_identifier,
    ACTIONS(3410), 1,
      anon_sym_LBRACK,
    ACTIONS(3412), 1,
      sym_private_property_identifier,
    STATE(1990), 1,
      sym_comment,
  [84546] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    ACTIONS(3937), 1,
      anon_sym_RBRACK,
    STATE(1835), 1,
      aux_sym_array_repeat1,
    STATE(1991), 1,
      sym_comment,
  [84565] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3480), 1,
      anon_sym_EQ,
    STATE(1992), 1,
      sym_comment,
    ACTIONS(3929), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [84582] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1993), 1,
      sym_comment,
    ACTIONS(2416), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [84597] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3939), 1,
      anon_sym_LBRACE,
    ACTIONS(3941), 1,
      anon_sym_LPAREN,
    STATE(674), 1,
      sym_statement_block,
    STATE(1994), 1,
      sym_comment,
  [84616] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3943), 1,
      anon_sym_COMMA,
    ACTIONS(3945), 1,
      anon_sym_RPAREN,
    STATE(1939), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(1995), 1,
      sym_comment,
  [84635] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1996), 1,
      sym_comment,
    ACTIONS(3947), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [84650] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(3949), 1,
      sym_identifier,
    STATE(1997), 1,
      sym_comment,
    STATE(2354), 1,
      sym_formal_parameters,
  [84669] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3951), 1,
      anon_sym_EQ,
    STATE(1998), 1,
      sym_comment,
    ACTIONS(1880), 2,
      anon_sym_in,
      anon_sym_of,
  [84686] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1999), 1,
      sym_comment,
    ACTIONS(876), 3,
      sym__automatic_semicolon,
      anon_sym_else,
      anon_sym_while,
  [84701] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3953), 1,
      anon_sym_COMMA,
    ACTIONS(3955), 1,
      anon_sym_RBRACE,
    STATE(1951), 1,
      aux_sym_export_clause_repeat1,
    STATE(2000), 1,
      sym_comment,
  [84720] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3492), 1,
      anon_sym_COMMA,
    ACTIONS(3613), 1,
      anon_sym_RBRACK,
    STATE(1987), 1,
      aux_sym_array_pattern_repeat1,
    STATE(2001), 1,
      sym_comment,
  [84739] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    ACTIONS(2392), 1,
      anon_sym_RBRACK,
    STATE(1835), 1,
      aux_sym_array_repeat1,
    STATE(2002), 1,
      sym_comment,
  [84758] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    ACTIONS(2392), 1,
      anon_sym_RBRACK,
    STATE(1965), 1,
      aux_sym_array_repeat1,
    STATE(2003), 1,
      sym_comment,
  [84777] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3492), 1,
      anon_sym_COMMA,
    ACTIONS(3613), 1,
      anon_sym_RBRACK,
    STATE(1898), 1,
      aux_sym_array_pattern_repeat1,
    STATE(2004), 1,
      sym_comment,
  [84796] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2005), 1,
      sym_comment,
    ACTIONS(997), 3,
      sym__automatic_semicolon,
      anon_sym_else,
      anon_sym_while,
  [84811] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3957), 1,
      anon_sym_COMMA,
    ACTIONS(3960), 1,
      anon_sym_RBRACE,
    STATE(2006), 2,
      sym_comment,
      aux_sym_export_clause_repeat1,
  [84828] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2007), 1,
      sym_comment,
    ACTIONS(3364), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [84843] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3476), 1,
      anon_sym_COMMA,
    ACTIONS(3478), 1,
      anon_sym_RPAREN,
    STATE(1995), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(2008), 1,
      sym_comment,
  [84862] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3962), 1,
      sym_identifier,
    ACTIONS(3964), 1,
      anon_sym_SEMI,
    ACTIONS(3966), 1,
      sym__automatic_semicolon,
    STATE(2009), 1,
      sym_comment,
  [84881] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3968), 1,
      sym_identifier,
    ACTIONS(3970), 1,
      anon_sym_SEMI,
    ACTIONS(3972), 1,
      sym__automatic_semicolon,
    STATE(2010), 1,
      sym_comment,
  [84900] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3974), 1,
      anon_sym_LPAREN,
    ACTIONS(3976), 1,
      anon_sym_await,
    STATE(85), 1,
      sym__for_header,
    STATE(2011), 1,
      sym_comment,
  [84919] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3978), 1,
      anon_sym_COMMA,
    ACTIONS(3981), 1,
      anon_sym_RBRACE,
    STATE(2012), 2,
      sym_comment,
      aux_sym_named_imports_repeat1,
  [84936] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    ACTIONS(3983), 1,
      anon_sym_RPAREN,
    STATE(1835), 1,
      aux_sym_array_repeat1,
    STATE(2013), 1,
      sym_comment,
  [84955] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3985), 1,
      anon_sym_COMMA,
    ACTIONS(3987), 1,
      anon_sym_RBRACE,
    STATE(1931), 1,
      aux_sym_named_imports_repeat1,
    STATE(2014), 1,
      sym_comment,
  [84974] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3542), 1,
      anon_sym_as,
    STATE(2015), 1,
      sym_comment,
    ACTIONS(3989), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [84991] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3774), 1,
      anon_sym_COLON,
    ACTIONS(3778), 1,
      anon_sym_DOT,
    ACTIONS(3991), 1,
      anon_sym_GT,
    STATE(2016), 1,
      sym_comment,
  [85010] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    ACTIONS(2390), 1,
      anon_sym_RPAREN,
    STATE(1835), 1,
      aux_sym_array_repeat1,
    STATE(2017), 1,
      sym_comment,
  [85029] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(3993), 1,
      sym_identifier,
    STATE(2018), 1,
      sym_comment,
    STATE(2241), 1,
      sym_formal_parameters,
  [85048] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    ACTIONS(2390), 1,
      anon_sym_RPAREN,
    STATE(2013), 1,
      aux_sym_array_repeat1,
    STATE(2019), 1,
      sym_comment,
  [85067] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3995), 1,
      anon_sym_COMMA,
    ACTIONS(3998), 1,
      anon_sym_RBRACE,
    STATE(2020), 2,
      sym_comment,
      aux_sym_object_pattern_repeat1,
  [85084] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4000), 1,
      anon_sym_COMMA,
    ACTIONS(4003), 1,
      anon_sym_RBRACE,
    STATE(2021), 2,
      sym_comment,
      aux_sym_object_repeat1,
  [85101] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4005), 1,
      anon_sym_LBRACE,
    ACTIONS(4007), 1,
      anon_sym_LPAREN,
    STATE(542), 1,
      sym_statement_block,
    STATE(2022), 1,
      sym_comment,
  [85120] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3330), 1,
      anon_sym_COMMA,
    ACTIONS(4009), 1,
      anon_sym_RBRACE,
    STATE(2021), 1,
      aux_sym_object_repeat1,
    STATE(2023), 1,
      sym_comment,
  [85139] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2024), 1,
      sym_comment,
    ACTIONS(888), 3,
      sym__automatic_semicolon,
      anon_sym_else,
      anon_sym_while,
  [85154] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2025), 1,
      sym_comment,
    ACTIONS(924), 3,
      sym__automatic_semicolon,
      anon_sym_else,
      anon_sym_while,
  [85169] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(4011), 1,
      anon_sym_RBRACE,
    STATE(2020), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2026), 1,
      sym_comment,
  [85188] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3330), 1,
      anon_sym_COMMA,
    ACTIONS(4013), 1,
      anon_sym_RBRACE,
    STATE(2021), 1,
      aux_sym_object_repeat1,
    STATE(2027), 1,
      sym_comment,
  [85207] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(4015), 1,
      anon_sym_RBRACE,
    STATE(2020), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2028), 1,
      sym_comment,
  [85226] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4017), 1,
      anon_sym_LPAREN,
    ACTIONS(4019), 1,
      anon_sym_await,
    STATE(95), 1,
      sym__for_header,
    STATE(2029), 1,
      sym_comment,
  [85245] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4021), 1,
      anon_sym_SQUOTE,
    STATE(2030), 1,
      sym_comment,
    ACTIONS(4023), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [85262] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3330), 1,
      anon_sym_COMMA,
    ACTIONS(4025), 1,
      anon_sym_RBRACE,
    STATE(2021), 1,
      aux_sym_object_repeat1,
    STATE(2031), 1,
      sym_comment,
  [85281] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(4027), 1,
      anon_sym_RBRACE,
    STATE(2020), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2032), 1,
      sym_comment,
  [85300] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4029), 1,
      sym_identifier,
    ACTIONS(4031), 1,
      anon_sym_SEMI,
    ACTIONS(4033), 1,
      sym__automatic_semicolon,
    STATE(2033), 1,
      sym_comment,
  [85319] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4035), 1,
      sym_identifier,
    ACTIONS(4037), 1,
      anon_sym_SEMI,
    ACTIONS(4039), 1,
      sym__automatic_semicolon,
    STATE(2034), 1,
      sym_comment,
  [85338] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3330), 1,
      anon_sym_COMMA,
    ACTIONS(4041), 1,
      anon_sym_RBRACE,
    STATE(2021), 1,
      aux_sym_object_repeat1,
    STATE(2035), 1,
      sym_comment,
  [85357] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3330), 1,
      anon_sym_COMMA,
    ACTIONS(4043), 1,
      anon_sym_RBRACE,
    STATE(2021), 1,
      aux_sym_object_repeat1,
    STATE(2036), 1,
      sym_comment,
  [85376] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4045), 1,
      anon_sym_DQUOTE,
    STATE(2037), 1,
      sym_comment,
    ACTIONS(4047), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [85393] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3330), 1,
      anon_sym_COMMA,
    ACTIONS(4043), 1,
      anon_sym_RBRACE,
    STATE(1978), 1,
      aux_sym_object_repeat1,
    STATE(2038), 1,
      sym_comment,
  [85412] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(4015), 1,
      anon_sym_RBRACE,
    STATE(1979), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2039), 1,
      sym_comment,
  [85431] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4049), 1,
      anon_sym_LPAREN,
    ACTIONS(4051), 1,
      anon_sym_await,
    STATE(115), 1,
      sym__for_header,
    STATE(2040), 1,
      sym_comment,
  [85450] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2041), 1,
      sym_comment,
    ACTIONS(4053), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [85465] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3492), 1,
      anon_sym_COMMA,
    ACTIONS(3494), 1,
      anon_sym_RBRACK,
    STATE(1988), 1,
      aux_sym_array_pattern_repeat1,
    STATE(2042), 1,
      sym_comment,
  [85484] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    ACTIONS(2402), 1,
      anon_sym_RBRACK,
    STATE(1991), 1,
      aux_sym_array_repeat1,
    STATE(2043), 1,
      sym_comment,
  [85503] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4055), 1,
      sym_identifier,
    ACTIONS(4057), 1,
      anon_sym_SEMI,
    ACTIONS(4059), 1,
      sym__automatic_semicolon,
    STATE(2044), 1,
      sym_comment,
  [85522] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4061), 1,
      sym_identifier,
    STATE(1443), 1,
      sym_decorator_member_expression,
    STATE(1514), 1,
      sym_decorator_call_expression,
    STATE(2045), 1,
      sym_comment,
  [85541] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4063), 1,
      sym__automatic_semicolon,
    STATE(2046), 1,
      sym_comment,
    ACTIONS(928), 2,
      anon_sym_else,
      anon_sym_while,
  [85558] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4065), 1,
      anon_sym_as,
    STATE(2047), 1,
      sym_comment,
    ACTIONS(4067), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [85575] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4069), 1,
      sym_identifier,
    STATE(1409), 1,
      sym_decorator_member_expression,
    STATE(1480), 1,
      sym_decorator_call_expression,
    STATE(2048), 1,
      sym_comment,
  [85594] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3492), 1,
      anon_sym_COMMA,
    ACTIONS(3494), 1,
      anon_sym_RBRACK,
    STATE(1987), 1,
      aux_sym_array_pattern_repeat1,
    STATE(2049), 1,
      sym_comment,
  [85613] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    ACTIONS(2402), 1,
      anon_sym_RBRACK,
    STATE(1835), 1,
      aux_sym_array_repeat1,
    STATE(2050), 1,
      sym_comment,
  [85632] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3330), 1,
      anon_sym_COMMA,
    ACTIONS(4071), 1,
      anon_sym_RBRACE,
    STATE(2027), 1,
      aux_sym_object_repeat1,
    STATE(2051), 1,
      sym_comment,
  [85651] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3330), 1,
      anon_sym_COMMA,
    ACTIONS(4071), 1,
      anon_sym_RBRACE,
    STATE(2021), 1,
      aux_sym_object_repeat1,
    STATE(2052), 1,
      sym_comment,
  [85670] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2053), 1,
      sym_comment,
    ACTIONS(2317), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [85684] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4073), 1,
      anon_sym_LBRACE,
    STATE(566), 1,
      sym_switch_body,
    STATE(2054), 1,
      sym_comment,
  [85700] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2055), 1,
      sym_comment,
    STATE(2270), 1,
      sym_statement_block,
  [85716] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2056), 1,
      sym_comment,
    ACTIONS(1721), 2,
      anon_sym_else,
      anon_sym_while,
  [85730] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2057), 1,
      sym_comment,
    STATE(2314), 1,
      sym_formal_parameters,
  [85746] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4075), 1,
      sym_identifier,
    ACTIONS(4077), 1,
      anon_sym_STAR,
    STATE(2058), 1,
      sym_comment,
  [85762] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4079), 1,
      sym_identifier,
    ACTIONS(4081), 1,
      anon_sym_STAR,
    STATE(2059), 1,
      sym_comment,
  [85778] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2060), 1,
      sym_comment,
    ACTIONS(4083), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [85792] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2061), 1,
      sym_comment,
    ACTIONS(1721), 2,
      anon_sym_else,
      anon_sym_while,
  [85806] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2062), 1,
      sym_comment,
    ACTIONS(2311), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [85820] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3634), 1,
      anon_sym_LBRACE,
    STATE(986), 1,
      sym_class_body,
    STATE(2063), 1,
      sym_comment,
  [85836] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2064), 1,
      sym_comment,
    ACTIONS(4085), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [85850] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2065), 1,
      sym_comment,
    ACTIONS(1727), 2,
      anon_sym_else,
      anon_sym_while,
  [85864] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2066), 1,
      sym_comment,
    ACTIONS(2307), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [85878] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4087), 1,
      anon_sym_LPAREN,
    STATE(94), 1,
      sym_parenthesized_expression,
    STATE(2067), 1,
      sym_comment,
  [85894] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(1636), 1,
      sym_statement_block,
    STATE(2068), 1,
      sym_comment,
  [85910] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2069), 1,
      sym_comment,
    STATE(2232), 1,
      sym_formal_parameters,
  [85926] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4089), 1,
      anon_sym_LBRACE,
    STATE(660), 1,
      sym_switch_body,
    STATE(2070), 1,
      sym_comment,
  [85942] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    STATE(93), 1,
      sym__for_header,
    STATE(2071), 1,
      sym_comment,
  [85958] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4087), 1,
      anon_sym_LPAREN,
    STATE(116), 1,
      sym_parenthesized_expression,
    STATE(2072), 1,
      sym_comment,
  [85974] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2073), 1,
      sym_comment,
    STATE(2408), 1,
      sym_formal_parameters,
  [85990] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4087), 1,
      anon_sym_LPAREN,
    STATE(108), 1,
      sym_parenthesized_expression,
    STATE(2074), 1,
      sym_comment,
  [86006] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2075), 1,
      sym_comment,
    ACTIONS(2492), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [86020] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3663), 1,
      anon_sym_LBRACE,
    STATE(1915), 1,
      sym_class_body,
    STATE(2076), 1,
      sym_comment,
  [86036] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2077), 1,
      sym_comment,
    ACTIONS(4093), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [86050] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2078), 1,
      sym_comment,
    ACTIONS(4095), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [86064] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2079), 1,
      sym_comment,
    STATE(2275), 1,
      sym_formal_parameters,
  [86080] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2080), 1,
      sym_comment,
    ACTIONS(2319), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [86094] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4087), 1,
      anon_sym_LPAREN,
    STATE(103), 1,
      sym_parenthesized_expression,
    STATE(2081), 1,
      sym_comment,
  [86110] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2082), 1,
      sym_comment,
    ACTIONS(2321), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [86124] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4097), 1,
      anon_sym_SEMI,
    ACTIONS(4099), 1,
      sym__automatic_semicolon,
    STATE(2083), 1,
      sym_comment,
  [86140] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2084), 1,
      sym_comment,
    STATE(2316), 1,
      sym_formal_parameters,
  [86156] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4101), 1,
      anon_sym_SEMI,
    ACTIONS(4103), 1,
      sym__automatic_semicolon,
    STATE(2085), 1,
      sym_comment,
  [86172] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4105), 1,
      sym_identifier,
    ACTIONS(4107), 1,
      anon_sym_STAR,
    STATE(2086), 1,
      sym_comment,
  [86188] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2087), 1,
      sym_comment,
    ACTIONS(1721), 2,
      anon_sym_else,
      anon_sym_while,
  [86202] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2088), 1,
      sym_comment,
    ACTIONS(4109), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [86216] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2089), 1,
      sym_comment,
    ACTIONS(1721), 2,
      anon_sym_else,
      anon_sym_while,
  [86230] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2090), 1,
      sym_comment,
    STATE(2425), 1,
      sym_formal_parameters,
  [86246] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2091), 1,
      sym_comment,
    ACTIONS(1721), 2,
      anon_sym_else,
      anon_sym_while,
  [86260] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4111), 1,
      anon_sym_LBRACE,
    STATE(1916), 1,
      sym_statement_block,
    STATE(2092), 1,
      sym_comment,
  [86276] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4113), 1,
      sym_identifier,
    ACTIONS(4115), 1,
      anon_sym_STAR,
    STATE(2093), 1,
      sym_comment,
  [86292] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2094), 1,
      sym_comment,
    ACTIONS(1721), 2,
      anon_sym_else,
      anon_sym_while,
  [86306] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2095), 1,
      sym_comment,
    ACTIONS(3998), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [86320] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LBRACE,
    STATE(1421), 1,
      sym_statement_block,
    STATE(2096), 1,
      sym_comment,
  [86336] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2097), 1,
      sym_comment,
    ACTIONS(4003), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [86350] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2098), 1,
      sym_comment,
    STATE(2317), 1,
      sym_formal_parameters,
  [86366] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4119), 1,
      anon_sym_SEMI,
    ACTIONS(4121), 1,
      sym__automatic_semicolon,
    STATE(2099), 1,
      sym_comment,
  [86382] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2841), 1,
      anon_sym_LPAREN,
    ACTIONS(4123), 1,
      anon_sym_EQ_GT,
    STATE(2100), 1,
      sym_comment,
  [86398] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2841), 1,
      anon_sym_LPAREN,
    ACTIONS(4125), 1,
      anon_sym_EQ_GT,
    STATE(2101), 1,
      sym_comment,
  [86414] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2102), 1,
      sym_comment,
    STATE(2321), 1,
      sym_statement_block,
  [86430] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4127), 1,
      anon_sym_SEMI,
    ACTIONS(4129), 1,
      sym__automatic_semicolon,
    STATE(2103), 1,
      sym_comment,
  [86446] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4131), 1,
      anon_sym_SEMI,
    ACTIONS(4133), 1,
      sym__automatic_semicolon,
    STATE(2104), 1,
      sym_comment,
  [86462] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4135), 1,
      anon_sym_LBRACE,
    STATE(463), 1,
      sym_statement_block,
    STATE(2105), 1,
      sym_comment,
  [86478] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2106), 1,
      sym_comment,
    STATE(2286), 1,
      sym_formal_parameters,
  [86494] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2107), 1,
      sym_comment,
    STATE(2322), 1,
      sym_statement_block,
  [86510] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2108), 1,
      sym_comment,
    ACTIONS(4137), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [86524] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4087), 1,
      anon_sym_LPAREN,
    STATE(96), 1,
      sym_parenthesized_expression,
    STATE(2109), 1,
      sym_comment,
  [86540] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2110), 1,
      sym_comment,
    STATE(2302), 1,
      sym_statement_block,
  [86556] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4139), 1,
      anon_sym_LBRACE,
    STATE(2111), 1,
      sym_comment,
    STATE(2392), 1,
      sym_switch_body,
  [86572] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2112), 1,
      sym_comment,
    ACTIONS(4141), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [86586] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3625), 1,
      anon_sym_LBRACE,
    STATE(1141), 1,
      sym_class_body,
    STATE(2113), 1,
      sym_comment,
  [86602] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2114), 1,
      sym_comment,
    STATE(2464), 1,
      sym_statement_block,
  [86618] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2115), 1,
      sym_comment,
    ACTIONS(4143), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [86632] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4145), 1,
      anon_sym_LPAREN,
    STATE(543), 1,
      sym_parenthesized_expression,
    STATE(2116), 1,
      sym_comment,
  [86648] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    STATE(104), 1,
      sym__for_header,
    STATE(2117), 1,
      sym_comment,
  [86664] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4147), 1,
      anon_sym_LBRACE,
    STATE(691), 1,
      sym_statement_block,
    STATE(2118), 1,
      sym_comment,
  [86680] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4087), 1,
      anon_sym_LPAREN,
    STATE(114), 1,
      sym_parenthesized_expression,
    STATE(2119), 1,
      sym_comment,
  [86696] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2120), 1,
      sym_comment,
    ACTIONS(1729), 2,
      anon_sym_else,
      anon_sym_while,
  [86710] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2121), 1,
      sym_comment,
    ACTIONS(3981), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [86724] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2122), 1,
      sym_comment,
    STATE(2521), 1,
      sym_formal_parameters,
  [86740] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      anon_sym_STAR,
    STATE(2123), 1,
      sym_comment,
  [86756] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3577), 1,
      anon_sym_LBRACE,
    STATE(174), 1,
      sym_class_body,
    STATE(2124), 1,
      sym_comment,
  [86772] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4153), 1,
      anon_sym_LBRACE,
    STATE(175), 1,
      sym_statement_block,
    STATE(2125), 1,
      sym_comment,
  [86788] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2126), 1,
      sym_comment,
    ACTIONS(1729), 2,
      anon_sym_else,
      anon_sym_while,
  [86802] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    STATE(2127), 1,
      sym_comment,
    STATE(2369), 1,
      sym_parenthesized_expression,
  [86818] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2128), 1,
      sym_comment,
    ACTIONS(1731), 2,
      anon_sym_else,
      anon_sym_while,
  [86832] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LBRACE,
    STATE(1422), 1,
      sym_statement_block,
    STATE(2129), 1,
      sym_comment,
  [86848] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4157), 1,
      sym_identifier,
    ACTIONS(4159), 1,
      anon_sym_STAR,
    STATE(2130), 1,
      sym_comment,
  [86864] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3774), 1,
      anon_sym_COLON,
    ACTIONS(3991), 1,
      anon_sym_GT,
    STATE(2131), 1,
      sym_comment,
  [86880] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2132), 1,
      sym_comment,
    STATE(2301), 1,
      sym_formal_parameters,
  [86896] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3778), 1,
      anon_sym_DOT,
    ACTIONS(3991), 1,
      anon_sym_GT,
    STATE(2133), 1,
      sym_comment,
  [86912] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4161), 1,
      anon_sym_SEMI,
    ACTIONS(4163), 1,
      sym__automatic_semicolon,
    STATE(2134), 1,
      sym_comment,
  [86928] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3625), 1,
      anon_sym_LBRACE,
    STATE(1137), 1,
      sym_class_body,
    STATE(2135), 1,
      sym_comment,
  [86944] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2136), 1,
      sym_comment,
    ACTIONS(1733), 2,
      anon_sym_else,
      anon_sym_while,
  [86958] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3474), 1,
      anon_sym_LBRACE,
    STATE(538), 1,
      sym_class_body,
    STATE(2137), 1,
      sym_comment,
  [86974] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4165), 1,
      anon_sym_LBRACE,
    STATE(528), 1,
      sym_statement_block,
    STATE(2138), 1,
      sym_comment,
  [86990] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2139), 1,
      sym_comment,
    STATE(2242), 1,
      sym_formal_parameters,
  [87006] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4167), 1,
      anon_sym_SEMI,
    ACTIONS(4169), 1,
      sym__automatic_semicolon,
    STATE(2140), 1,
      sym_comment,
  [87022] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4087), 1,
      anon_sym_LPAREN,
    STATE(84), 1,
      sym_parenthesized_expression,
    STATE(2141), 1,
      sym_comment,
  [87038] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4171), 1,
      anon_sym_LBRACE,
    STATE(1155), 1,
      sym_statement_block,
    STATE(2142), 1,
      sym_comment,
  [87054] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4153), 1,
      anon_sym_LBRACE,
    STATE(177), 1,
      sym_statement_block,
    STATE(2143), 1,
      sym_comment,
  [87070] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4153), 1,
      anon_sym_LBRACE,
    STATE(178), 1,
      sym_statement_block,
    STATE(2144), 1,
      sym_comment,
  [87086] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2145), 1,
      sym_comment,
    ACTIONS(1735), 2,
      anon_sym_else,
      anon_sym_while,
  [87100] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2146), 1,
      sym_comment,
    STATE(2300), 1,
      sym_formal_parameters,
  [87116] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3577), 1,
      anon_sym_LBRACE,
    STATE(179), 1,
      sym_class_body,
    STATE(2147), 1,
      sym_comment,
  [87132] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4165), 1,
      anon_sym_LBRACE,
    STATE(532), 1,
      sym_statement_block,
    STATE(2148), 1,
      sym_comment,
  [87148] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4165), 1,
      anon_sym_LBRACE,
    STATE(531), 1,
      sym_statement_block,
    STATE(2149), 1,
      sym_comment,
  [87164] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3474), 1,
      anon_sym_LBRACE,
    STATE(530), 1,
      sym_class_body,
    STATE(2150), 1,
      sym_comment,
  [87180] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4173), 1,
      anon_sym_LBRACE,
    STATE(2151), 1,
      sym_comment,
    STATE(2543), 1,
      sym_object,
  [87196] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4175), 1,
      sym_identifier,
    ACTIONS(4177), 1,
      anon_sym_STAR,
    STATE(2152), 1,
      sym_comment,
  [87212] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4153), 1,
      anon_sym_LBRACE,
    STATE(180), 1,
      sym_statement_block,
    STATE(2153), 1,
      sym_comment,
  [87228] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4165), 1,
      anon_sym_LBRACE,
    STATE(571), 1,
      sym_statement_block,
    STATE(2154), 1,
      sym_comment,
  [87244] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4005), 1,
      anon_sym_LBRACE,
    STATE(574), 1,
      sym_statement_block,
    STATE(2155), 1,
      sym_comment,
  [87260] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4179), 1,
      anon_sym_LBRACE,
    STATE(775), 1,
      sym_statement_block,
    STATE(2156), 1,
      sym_comment,
  [87276] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4179), 1,
      anon_sym_LBRACE,
    STATE(774), 1,
      sym_statement_block,
    STATE(2157), 1,
      sym_comment,
  [87292] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2158), 1,
      sym_comment,
    ACTIONS(2283), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [87306] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2159), 1,
      sym_comment,
    ACTIONS(4181), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [87320] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2160), 1,
      sym_comment,
    ACTIONS(2285), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [87334] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4087), 1,
      anon_sym_LPAREN,
    STATE(86), 1,
      sym_parenthesized_expression,
    STATE(2161), 1,
      sym_comment,
  [87350] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2162), 1,
      sym_comment,
    ACTIONS(832), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [87364] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2163), 1,
      sym_comment,
    STATE(2278), 1,
      sym_statement_block,
  [87380] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2164), 1,
      sym_comment,
    STATE(2265), 1,
      sym_formal_parameters,
  [87396] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4087), 1,
      anon_sym_LPAREN,
    STATE(83), 1,
      sym_parenthesized_expression,
    STATE(2165), 1,
      sym_comment,
  [87412] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4183), 1,
      anon_sym_LBRACE,
    STATE(465), 1,
      sym_statement_block,
    STATE(2166), 1,
      sym_comment,
  [87428] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2167), 1,
      sym_comment,
    ACTIONS(4185), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [87442] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2168), 1,
      sym_comment,
    ACTIONS(4187), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [87456] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2169), 1,
      sym_comment,
    ACTIONS(4189), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [87470] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2170), 1,
      sym_comment,
    STATE(2280), 1,
      sym_formal_parameters,
  [87486] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2171), 1,
      sym_comment,
    ACTIONS(4191), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [87500] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4171), 1,
      anon_sym_LBRACE,
    STATE(1138), 1,
      sym_statement_block,
    STATE(2172), 1,
      sym_comment,
  [87516] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2173), 1,
      sym_comment,
    STATE(2187), 1,
      sym_statement_block,
  [87532] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2174), 1,
      sym_comment,
    ACTIONS(4193), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [87546] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2175), 1,
      sym_comment,
    ACTIONS(4195), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [87560] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2176), 1,
      sym_comment,
    ACTIONS(2237), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [87574] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4197), 1,
      anon_sym_LBRACE,
    STATE(468), 1,
      sym_statement_block,
    STATE(2177), 1,
      sym_comment,
  [87590] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    STATE(203), 1,
      sym_class_body,
    STATE(2178), 1,
      sym_comment,
  [87606] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2179), 1,
      sym_comment,
    STATE(2287), 1,
      sym_formal_parameters,
  [87622] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2180), 1,
      sym_comment,
    ACTIONS(2239), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [87636] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2181), 1,
      sym_comment,
    ACTIONS(1737), 2,
      anon_sym_else,
      anon_sym_while,
  [87650] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2182), 1,
      sym_comment,
    ACTIONS(1739), 2,
      anon_sym_else,
      anon_sym_while,
  [87664] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2183), 1,
      sym_comment,
    ACTIONS(2201), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [87678] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2184), 1,
      sym_comment,
    ACTIONS(1741), 2,
      anon_sym_else,
      anon_sym_while,
  [87692] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2185), 1,
      sym_comment,
    ACTIONS(3960), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [87706] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4199), 1,
      anon_sym_LBRACE,
    STATE(984), 1,
      sym_statement_block,
    STATE(2186), 1,
      sym_comment,
  [87722] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2187), 1,
      sym_comment,
    ACTIONS(1743), 2,
      anon_sym_else,
      anon_sym_while,
  [87736] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2188), 1,
      sym_comment,
    ACTIONS(1745), 2,
      anon_sym_else,
      anon_sym_while,
  [87750] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2189), 1,
      sym_comment,
    ACTIONS(4201), 2,
      anon_sym_GT,
      anon_sym_DOT,
  [87764] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2190), 1,
      sym_comment,
    STATE(2454), 1,
      sym_formal_parameters,
  [87780] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2191), 1,
      sym_comment,
    ACTIONS(1717), 2,
      anon_sym_else,
      anon_sym_while,
  [87794] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4203), 1,
      anon_sym_LBRACE,
    STATE(738), 1,
      sym_switch_body,
    STATE(2192), 1,
      sym_comment,
  [87810] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    STATE(71), 1,
      sym__for_header,
    STATE(2193), 1,
      sym_comment,
  [87826] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2194), 1,
      sym_comment,
    ACTIONS(1715), 2,
      anon_sym_else,
      anon_sym_while,
  [87840] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2195), 1,
      sym_comment,
    ACTIONS(4205), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [87854] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2196), 1,
      sym_comment,
    ACTIONS(1713), 2,
      anon_sym_else,
      anon_sym_while,
  [87868] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4199), 1,
      anon_sym_LBRACE,
    STATE(1016), 1,
      sym_statement_block,
    STATE(2197), 1,
      sym_comment,
  [87884] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    STATE(213), 1,
      sym_class_body,
    STATE(2198), 1,
      sym_comment,
  [87900] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2199), 1,
      sym_comment,
    ACTIONS(4207), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [87914] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2200), 1,
      sym_comment,
    ACTIONS(4209), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [87928] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4211), 1,
      anon_sym_LPAREN,
    STATE(671), 1,
      sym_parenthesized_expression,
    STATE(2201), 1,
      sym_comment,
  [87944] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2202), 1,
      sym_comment,
    ACTIONS(2305), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [87958] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2203), 1,
      sym_comment,
    ACTIONS(1747), 2,
      anon_sym_else,
      anon_sym_while,
  [87972] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2204), 1,
      sym_comment,
    ACTIONS(2309), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [87986] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4213), 1,
      anon_sym_LBRACE,
    STATE(840), 1,
      sym_statement_block,
    STATE(2205), 1,
      sym_comment,
  [88002] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2206), 1,
      sym_comment,
    ACTIONS(3162), 2,
      anon_sym_in,
      anon_sym_of,
  [88016] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2207), 1,
      sym_comment,
    STATE(2333), 1,
      sym_formal_parameters,
  [88032] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4199), 1,
      anon_sym_LBRACE,
    STATE(996), 1,
      sym_statement_block,
    STATE(2208), 1,
      sym_comment,
  [88048] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4199), 1,
      anon_sym_LBRACE,
    STATE(989), 1,
      sym_statement_block,
    STATE(2209), 1,
      sym_comment,
  [88064] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2210), 1,
      sym_comment,
    ACTIONS(4215), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [88078] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2211), 1,
      sym_comment,
    ACTIONS(4217), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [88092] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2212), 1,
      sym_comment,
    ACTIONS(3929), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [88106] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2213), 1,
      sym_comment,
    ACTIONS(1711), 2,
      anon_sym_else,
      anon_sym_while,
  [88120] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2214), 1,
      sym_comment,
    ACTIONS(1709), 2,
      anon_sym_else,
      anon_sym_while,
  [88134] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2215), 1,
      sym_comment,
    ACTIONS(1707), 2,
      anon_sym_else,
      anon_sym_while,
  [88148] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2216), 1,
      sym_comment,
    ACTIONS(1705), 2,
      anon_sym_else,
      anon_sym_while,
  [88162] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4171), 1,
      anon_sym_LBRACE,
    STATE(1142), 1,
      sym_statement_block,
    STATE(2217), 1,
      sym_comment,
  [88178] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4219), 1,
      anon_sym_SEMI,
    ACTIONS(4221), 1,
      sym__automatic_semicolon,
    STATE(2218), 1,
      sym_comment,
  [88194] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4223), 1,
      sym_identifier,
    ACTIONS(4225), 1,
      sym_private_property_identifier,
    STATE(2219), 1,
      sym_comment,
  [88210] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3406), 1,
      sym_identifier,
    ACTIONS(3412), 1,
      sym_private_property_identifier,
    STATE(2220), 1,
      sym_comment,
  [88226] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4227), 1,
      anon_sym_SEMI,
    ACTIONS(4229), 1,
      sym__automatic_semicolon,
    STATE(2221), 1,
      sym_comment,
  [88242] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4231), 1,
      anon_sym_SEMI,
    ACTIONS(4233), 1,
      sym__automatic_semicolon,
    STATE(2222), 1,
      sym_comment,
  [88258] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2223), 1,
      sym_comment,
    ACTIONS(4235), 2,
      sym_jsx_identifier,
      sym_identifier,
  [88272] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3634), 1,
      anon_sym_LBRACE,
    STATE(987), 1,
      sym_class_body,
    STATE(2224), 1,
      sym_comment,
  [88288] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4237), 1,
      anon_sym_SEMI,
    ACTIONS(4239), 1,
      sym__automatic_semicolon,
    STATE(2225), 1,
      sym_comment,
  [88304] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4241), 1,
      anon_sym_SEMI,
    ACTIONS(4243), 1,
      sym__automatic_semicolon,
    STATE(2226), 1,
      sym_comment,
  [88320] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4171), 1,
      anon_sym_LBRACE,
    STATE(1143), 1,
      sym_statement_block,
    STATE(2227), 1,
      sym_comment,
  [88336] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2228), 1,
      sym_comment,
    ACTIONS(4245), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [88350] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2229), 1,
      sym_comment,
    ACTIONS(1749), 2,
      anon_sym_else,
      anon_sym_while,
  [88364] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2230), 1,
      sym_comment,
    STATE(2324), 1,
      sym_statement_block,
  [88380] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2231), 1,
      sym_comment,
    ACTIONS(4247), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [88394] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2232), 1,
      sym_comment,
    STATE(2382), 1,
      sym_statement_block,
  [88410] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2233), 1,
      sym_comment,
    STATE(2298), 1,
      sym_formal_parameters,
  [88426] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2234), 1,
      sym_comment,
    STATE(2551), 1,
      sym_formal_parameters,
  [88442] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4171), 1,
      anon_sym_LBRACE,
    STATE(1186), 1,
      sym_statement_block,
    STATE(2235), 1,
      sym_comment,
  [88458] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4249), 1,
      anon_sym_LPAREN,
    STATE(586), 1,
      sym_parenthesized_expression,
    STATE(2236), 1,
      sym_comment,
  [88474] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3625), 1,
      anon_sym_LBRACE,
    STATE(1150), 1,
      sym_class_body,
    STATE(2237), 1,
      sym_comment,
  [88490] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4251), 1,
      anon_sym_LBRACE,
    STATE(788), 1,
      sym_statement_block,
    STATE(2238), 1,
      sym_comment,
  [88506] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2239), 1,
      sym_comment,
    STATE(2482), 1,
      sym_formal_parameters,
  [88522] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2240), 1,
      sym_comment,
    ACTIONS(4253), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [88536] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4171), 1,
      anon_sym_LBRACE,
    STATE(1240), 1,
      sym_statement_block,
    STATE(2241), 1,
      sym_comment,
  [88552] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4255), 1,
      anon_sym_LBRACE,
    STATE(219), 1,
      sym_statement_block,
    STATE(2242), 1,
      sym_comment,
  [88568] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4111), 1,
      anon_sym_LBRACE,
    STATE(1923), 1,
      sym_statement_block,
    STATE(2243), 1,
      sym_comment,
  [88584] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3636), 1,
      anon_sym_LBRACE,
    STATE(188), 1,
      sym_class_body,
    STATE(2244), 1,
      sym_comment,
  [88600] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4257), 1,
      anon_sym_LBRACE,
    STATE(189), 1,
      sym_statement_block,
    STATE(2245), 1,
      sym_comment,
  [88616] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2246), 1,
      sym_comment,
    ACTIONS(4259), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [88630] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2247), 1,
      sym_comment,
    STATE(2288), 1,
      sym_statement_block,
  [88646] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4261), 1,
      anon_sym_SEMI,
    ACTIONS(4263), 1,
      sym__automatic_semicolon,
    STATE(2248), 1,
      sym_comment,
  [88662] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4255), 1,
      anon_sym_LBRACE,
    STATE(222), 1,
      sym_statement_block,
    STATE(2249), 1,
      sym_comment,
  [88678] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3774), 1,
      anon_sym_COLON,
    ACTIONS(3908), 1,
      anon_sym_GT,
    STATE(2250), 1,
      sym_comment,
  [88694] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4265), 1,
      anon_sym_SEMI,
    ACTIONS(4267), 1,
      sym__automatic_semicolon,
    STATE(2251), 1,
      sym_comment,
  [88710] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3778), 1,
      anon_sym_DOT,
    ACTIONS(3908), 1,
      anon_sym_GT,
    STATE(2252), 1,
      sym_comment,
  [88726] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4111), 1,
      anon_sym_LBRACE,
    STATE(1924), 1,
      sym_statement_block,
    STATE(2253), 1,
      sym_comment,
  [88742] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4269), 1,
      sym_identifier,
    ACTIONS(4271), 1,
      anon_sym_STAR,
    STATE(2254), 1,
      sym_comment,
  [88758] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LBRACE,
    STATE(1448), 1,
      sym_statement_block,
    STATE(2255), 1,
      sym_comment,
  [88774] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3465), 1,
      anon_sym_LBRACE,
    STATE(591), 1,
      sym_class_body,
    STATE(2256), 1,
      sym_comment,
  [88790] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4273), 1,
      anon_sym_LBRACE,
    STATE(597), 1,
      sym_statement_block,
    STATE(2257), 1,
      sym_comment,
  [88806] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4275), 1,
      sym_identifier,
    ACTIONS(4277), 1,
      sym_private_property_identifier,
    STATE(2258), 1,
      sym_comment,
  [88822] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4279), 1,
      anon_sym_SEMI,
    ACTIONS(4281), 1,
      sym__automatic_semicolon,
    STATE(2259), 1,
      sym_comment,
  [88838] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3350), 1,
      sym_identifier,
    ACTIONS(3356), 1,
      sym_private_property_identifier,
    STATE(2260), 1,
      sym_comment,
  [88854] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2261), 1,
      sym_comment,
    STATE(2290), 1,
      sym_formal_parameters,
  [88870] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4257), 1,
      anon_sym_LBRACE,
    STATE(191), 1,
      sym_statement_block,
    STATE(2262), 1,
      sym_comment,
  [88886] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4257), 1,
      anon_sym_LBRACE,
    STATE(192), 1,
      sym_statement_block,
    STATE(2263), 1,
      sym_comment,
  [88902] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3615), 1,
      anon_sym_LBRACE,
    STATE(776), 1,
      sym_class_body,
    STATE(2264), 1,
      sym_comment,
  [88918] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4179), 1,
      anon_sym_LBRACE,
    STATE(736), 1,
      sym_statement_block,
    STATE(2265), 1,
      sym_comment,
  [88934] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3636), 1,
      anon_sym_LBRACE,
    STATE(193), 1,
      sym_class_body,
    STATE(2266), 1,
      sym_comment,
  [88950] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4273), 1,
      anon_sym_LBRACE,
    STATE(605), 1,
      sym_statement_block,
    STATE(2267), 1,
      sym_comment,
  [88966] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4273), 1,
      anon_sym_LBRACE,
    STATE(607), 1,
      sym_statement_block,
    STATE(2268), 1,
      sym_comment,
  [88982] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3465), 1,
      anon_sym_LBRACE,
    STATE(608), 1,
      sym_class_body,
    STATE(2269), 1,
      sym_comment,
  [88998] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2270), 1,
      sym_comment,
    ACTIONS(4283), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [89012] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3663), 1,
      anon_sym_LBRACE,
    STATE(1925), 1,
      sym_class_body,
    STATE(2271), 1,
      sym_comment,
  [89028] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4257), 1,
      anon_sym_LBRACE,
    STATE(194), 1,
      sym_statement_block,
    STATE(2272), 1,
      sym_comment,
  [89044] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4273), 1,
      anon_sym_LBRACE,
    STATE(613), 1,
      sym_statement_block,
    STATE(2273), 1,
      sym_comment,
  [89060] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3920), 1,
      anon_sym_LBRACE,
    STATE(624), 1,
      sym_statement_block,
    STATE(2274), 1,
      sym_comment,
  [89076] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2275), 1,
      sym_comment,
    STATE(2343), 1,
      sym_statement_block,
  [89092] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LBRACE,
    STATE(1428), 1,
      sym_statement_block,
    STATE(2276), 1,
      sym_comment,
  [89108] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4087), 1,
      anon_sym_LPAREN,
    STATE(113), 1,
      sym_parenthesized_expression,
    STATE(2277), 1,
      sym_comment,
  [89124] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2278), 1,
      sym_comment,
    ACTIONS(4285), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [89138] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2279), 1,
      sym_comment,
    ACTIONS(4287), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [89152] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2280), 1,
      sym_comment,
    STATE(2346), 1,
      sym_statement_block,
  [89168] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4087), 1,
      anon_sym_LPAREN,
    STATE(109), 1,
      sym_parenthesized_expression,
    STATE(2281), 1,
      sym_comment,
  [89184] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4289), 1,
      anon_sym_LBRACE,
    STATE(445), 1,
      sym_statement_block,
    STATE(2282), 1,
      sym_comment,
  [89200] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4291), 1,
      anon_sym_LPAREN,
    STATE(1884), 1,
      sym_parenthesized_expression,
    STATE(2283), 1,
      sym_comment,
  [89216] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2284), 1,
      sym_comment,
    ACTIONS(4293), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [89230] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2285), 1,
      sym_comment,
    ACTIONS(4295), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [89244] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2286), 1,
      sym_comment,
    STATE(2347), 1,
      sym_statement_block,
  [89260] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2287), 1,
      sym_comment,
    STATE(2348), 1,
      sym_statement_block,
  [89276] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2288), 1,
      sym_comment,
    ACTIONS(4285), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [89290] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2289), 1,
      sym_comment,
    ACTIONS(1669), 2,
      anon_sym_else,
      anon_sym_while,
  [89304] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2290), 1,
      sym_comment,
    STATE(2351), 1,
      sym_statement_block,
  [89320] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LBRACE,
    STATE(1429), 1,
      sym_statement_block,
    STATE(2291), 1,
      sym_comment,
  [89336] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2292), 1,
      sym_comment,
    STATE(2353), 1,
      sym_formal_parameters,
  [89352] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2293), 1,
      sym_comment,
    STATE(2358), 1,
      sym_formal_parameters,
  [89368] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2294), 1,
      sym_comment,
    STATE(2376), 1,
      sym_formal_parameters,
  [89384] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2295), 1,
      sym_comment,
    ACTIONS(1669), 2,
      anon_sym_else,
      anon_sym_while,
  [89398] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3774), 1,
      anon_sym_COLON,
    ACTIONS(3776), 1,
      anon_sym_GT,
    STATE(2296), 1,
      sym_comment,
  [89414] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2297), 1,
      sym_comment,
    ACTIONS(1755), 2,
      anon_sym_else,
      anon_sym_while,
  [89428] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2298), 1,
      sym_comment,
    STATE(2378), 1,
      sym_statement_block,
  [89444] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2299), 1,
      sym_comment,
    ACTIONS(1757), 2,
      anon_sym_else,
      anon_sym_while,
  [89458] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2300), 1,
      sym_comment,
    STATE(2380), 1,
      sym_statement_block,
  [89474] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2301), 1,
      sym_comment,
    STATE(2381), 1,
      sym_statement_block,
  [89490] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2302), 1,
      sym_comment,
    ACTIONS(4285), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [89504] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3939), 1,
      anon_sym_LBRACE,
    STATE(718), 1,
      sym_statement_block,
    STATE(2303), 1,
      sym_comment,
  [89520] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2304), 1,
      sym_comment,
    ACTIONS(1781), 2,
      anon_sym_else,
      anon_sym_while,
  [89534] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    STATE(107), 1,
      sym__for_header,
    STATE(2305), 1,
      sym_comment,
  [89550] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2306), 1,
      sym_comment,
    STATE(2383), 1,
      sym_formal_parameters,
  [89566] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2307), 1,
      sym_comment,
    STATE(2386), 1,
      sym_formal_parameters,
  [89582] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4297), 1,
      sym_identifier,
    ACTIONS(4299), 1,
      anon_sym_STAR,
    STATE(2308), 1,
      sym_comment,
  [89598] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2309), 1,
      sym_comment,
    ACTIONS(4301), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [89612] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2310), 1,
      sym_comment,
    ACTIONS(4303), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [89626] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2311), 1,
      sym_comment,
    ACTIONS(4305), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [89640] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2312), 1,
      sym_comment,
    STATE(2387), 1,
      sym_formal_parameters,
  [89656] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2313), 1,
      sym_comment,
    ACTIONS(2315), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [89670] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2314), 1,
      sym_comment,
    STATE(2388), 1,
      sym_statement_block,
  [89686] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2315), 1,
      sym_comment,
    ACTIONS(2313), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [89700] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2316), 1,
      sym_comment,
    STATE(2389), 1,
      sym_statement_block,
  [89716] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2317), 1,
      sym_comment,
    STATE(2390), 1,
      sym_statement_block,
  [89732] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2318), 1,
      sym_comment,
    ACTIONS(1759), 2,
      anon_sym_else,
      anon_sym_while,
  [89746] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2319), 1,
      sym_comment,
    ACTIONS(4307), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [89760] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4087), 1,
      anon_sym_LPAREN,
    STATE(69), 1,
      sym_parenthesized_expression,
    STATE(2320), 1,
      sym_comment,
  [89776] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2321), 1,
      sym_comment,
    ACTIONS(4285), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [89790] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2322), 1,
      sym_comment,
    ACTIONS(4285), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [89804] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4309), 1,
      anon_sym_SEMI,
    ACTIONS(4311), 1,
      sym__automatic_semicolon,
    STATE(2323), 1,
      sym_comment,
  [89820] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2324), 1,
      sym_comment,
    ACTIONS(4285), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [89834] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4171), 1,
      anon_sym_LBRACE,
    STATE(1171), 1,
      sym_statement_block,
    STATE(2325), 1,
      sym_comment,
  [89850] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4313), 1,
      anon_sym_SEMI,
    ACTIONS(4315), 1,
      sym__automatic_semicolon,
    STATE(2326), 1,
      sym_comment,
  [89866] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4317), 1,
      anon_sym_SEMI,
    ACTIONS(4319), 1,
      sym__automatic_semicolon,
    STATE(2327), 1,
      sym_comment,
  [89882] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2328), 1,
      sym_comment,
    ACTIONS(1935), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [89896] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2329), 1,
      sym_comment,
    ACTIONS(4321), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [89910] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LBRACE,
    STATE(1427), 1,
      sym_statement_block,
    STATE(2330), 1,
      sym_comment,
  [89926] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2331), 1,
      sym_comment,
    ACTIONS(4323), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [89940] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3366), 1,
      anon_sym_in,
    ACTIONS(3368), 1,
      anon_sym_of,
    STATE(2332), 1,
      sym_comment,
  [89956] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4199), 1,
      anon_sym_LBRACE,
    STATE(976), 1,
      sym_statement_block,
    STATE(2333), 1,
      sym_comment,
  [89972] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2334), 1,
      sym_comment,
    ACTIONS(1679), 2,
      anon_sym_else,
      anon_sym_while,
  [89986] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LBRACE,
    STATE(1447), 1,
      sym_statement_block,
    STATE(2335), 1,
      sym_comment,
  [90002] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2336), 1,
      sym_comment,
    ACTIONS(4325), 2,
      sym_jsx_identifier,
      sym_identifier,
  [90016] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4327), 1,
      anon_sym_LPAREN,
    STATE(486), 1,
      sym_parenthesized_expression,
    STATE(2337), 1,
      sym_comment,
  [90032] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2338), 1,
      sym_comment,
    STATE(2366), 1,
      sym_formal_parameters,
  [90048] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4329), 1,
      anon_sym_LBRACE,
    STATE(562), 1,
      sym_statement_block,
    STATE(2339), 1,
      sym_comment,
  [90064] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2340), 1,
      sym_comment,
    ACTIONS(4331), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90078] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3522), 1,
      anon_sym_LBRACE,
    STATE(156), 1,
      sym_class_body,
    STATE(2341), 1,
      sym_comment,
  [90094] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4333), 1,
      anon_sym_LBRACE,
    STATE(161), 1,
      sym_statement_block,
    STATE(2342), 1,
      sym_comment,
  [90110] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2343), 1,
      sym_comment,
    ACTIONS(4335), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [90124] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3625), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_class_body,
    STATE(2344), 1,
      sym_comment,
  [90140] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4199), 1,
      anon_sym_LBRACE,
    STATE(998), 1,
      sym_statement_block,
    STATE(2345), 1,
      sym_comment,
  [90156] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2346), 1,
      sym_comment,
    ACTIONS(4337), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [90170] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2347), 1,
      sym_comment,
    ACTIONS(4337), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [90184] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2348), 1,
      sym_comment,
    ACTIONS(4337), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [90198] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3575), 1,
      anon_sym_LBRACE,
    STATE(520), 1,
      sym_class_body,
    STATE(2349), 1,
      sym_comment,
  [90214] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4339), 1,
      anon_sym_LBRACE,
    STATE(524), 1,
      sym_statement_block,
    STATE(2350), 1,
      sym_comment,
  [90230] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2351), 1,
      sym_comment,
    ACTIONS(4337), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [90244] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4341), 1,
      anon_sym_SEMI,
    ACTIONS(4343), 1,
      sym__automatic_semicolon,
    STATE(2352), 1,
      sym_comment,
  [90260] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2353), 1,
      sym_comment,
    STATE(2404), 1,
      sym_statement_block,
  [90276] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4199), 1,
      anon_sym_LBRACE,
    STATE(955), 1,
      sym_statement_block,
    STATE(2354), 1,
      sym_comment,
  [90292] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4333), 1,
      anon_sym_LBRACE,
    STATE(164), 1,
      sym_statement_block,
    STATE(2355), 1,
      sym_comment,
  [90308] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4333), 1,
      anon_sym_LBRACE,
    STATE(165), 1,
      sym_statement_block,
    STATE(2356), 1,
      sym_comment,
  [90324] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4171), 1,
      anon_sym_LBRACE,
    STATE(1238), 1,
      sym_statement_block,
    STATE(2357), 1,
      sym_comment,
  [90340] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2358), 1,
      sym_comment,
    STATE(2410), 1,
      sym_statement_block,
  [90356] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3522), 1,
      anon_sym_LBRACE,
    STATE(166), 1,
      sym_class_body,
    STATE(2359), 1,
      sym_comment,
  [90372] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4339), 1,
      anon_sym_LBRACE,
    STATE(522), 1,
      sym_statement_block,
    STATE(2360), 1,
      sym_comment,
  [90388] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4339), 1,
      anon_sym_LBRACE,
    STATE(523), 1,
      sym_statement_block,
    STATE(2361), 1,
      sym_comment,
  [90404] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3575), 1,
      anon_sym_LBRACE,
    STATE(512), 1,
      sym_class_body,
    STATE(2362), 1,
      sym_comment,
  [90420] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2363), 1,
      sym_comment,
    STATE(2365), 1,
      sym_formal_parameters,
  [90436] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2361), 1,
      sym_formal_parameters,
    STATE(2364), 1,
      sym_comment,
  [90452] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4333), 1,
      anon_sym_LBRACE,
    STATE(149), 1,
      sym_statement_block,
    STATE(2365), 1,
      sym_comment,
  [90468] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4339), 1,
      anon_sym_LBRACE,
    STATE(514), 1,
      sym_statement_block,
    STATE(2366), 1,
      sym_comment,
  [90484] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3868), 1,
      anon_sym_LBRACE,
    STATE(519), 1,
      sym_statement_block,
    STATE(2367), 1,
      sym_comment,
  [90500] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    STATE(78), 1,
      sym__for_header,
    STATE(2368), 1,
      sym_comment,
  [90516] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4345), 1,
      anon_sym_LBRACE,
    STATE(844), 1,
      sym_switch_body,
    STATE(2369), 1,
      sym_comment,
  [90532] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2360), 1,
      sym_formal_parameters,
    STATE(2370), 1,
      sym_comment,
  [90548] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2371), 1,
      sym_comment,
    ACTIONS(2233), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90562] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3774), 1,
      anon_sym_COLON,
    ACTIONS(3857), 1,
      anon_sym_GT,
    STATE(2372), 1,
      sym_comment,
  [90578] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2356), 1,
      sym_formal_parameters,
    STATE(2373), 1,
      sym_comment,
  [90594] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3778), 1,
      anon_sym_DOT,
    ACTIONS(3857), 1,
      anon_sym_GT,
    STATE(2374), 1,
      sym_comment,
  [90610] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2355), 1,
      sym_formal_parameters,
    STATE(2375), 1,
      sym_comment,
  [90626] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2376), 1,
      sym_comment,
    STATE(2411), 1,
      sym_statement_block,
  [90642] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2377), 1,
      sym_comment,
    ACTIONS(1761), 2,
      anon_sym_else,
      anon_sym_while,
  [90656] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2378), 1,
      sym_comment,
    ACTIONS(4337), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [90670] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3625), 1,
      anon_sym_LBRACE,
    STATE(1189), 1,
      sym_class_body,
    STATE(2379), 1,
      sym_comment,
  [90686] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2380), 1,
      sym_comment,
    ACTIONS(4337), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [90700] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2381), 1,
      sym_comment,
    ACTIONS(4337), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [90714] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2382), 1,
      sym_comment,
    ACTIONS(4337), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [90728] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2383), 1,
      sym_comment,
    STATE(2412), 1,
      sym_statement_block,
  [90744] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2350), 1,
      sym_formal_parameters,
    STATE(2384), 1,
      sym_comment,
  [90760] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2385), 1,
      sym_comment,
    ACTIONS(1763), 2,
      anon_sym_else,
      anon_sym_while,
  [90774] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2386), 1,
      sym_comment,
    STATE(2415), 1,
      sym_statement_block,
  [90790] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2387), 1,
      sym_comment,
    STATE(2416), 1,
      sym_statement_block,
  [90806] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2388), 1,
      sym_comment,
    ACTIONS(4337), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [90820] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2389), 1,
      sym_comment,
    ACTIONS(4337), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [90834] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2390), 1,
      sym_comment,
    ACTIONS(4337), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [90848] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LBRACE,
    STATE(1438), 1,
      sym_statement_block,
    STATE(2391), 1,
      sym_comment,
  [90864] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2392), 1,
      sym_comment,
    ACTIONS(1703), 2,
      anon_sym_else,
      anon_sym_while,
  [90878] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LBRACE,
    STATE(1430), 1,
      sym_statement_block,
    STATE(2393), 1,
      sym_comment,
  [90894] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LBRACE,
    STATE(1420), 1,
      sym_statement_block,
    STATE(2394), 1,
      sym_comment,
  [90910] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3615), 1,
      anon_sym_LBRACE,
    STATE(675), 1,
      sym_class_body,
    STATE(2395), 1,
      sym_comment,
  [90926] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3510), 1,
      anon_sym_from,
    STATE(1872), 1,
      sym__from_clause,
    STATE(2396), 1,
      sym_comment,
  [90942] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4347), 1,
      anon_sym_COMMA,
    ACTIONS(4349), 1,
      anon_sym_from,
    STATE(2397), 1,
      sym_comment,
  [90958] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2342), 1,
      sym_formal_parameters,
    STATE(2398), 1,
      sym_comment,
  [90974] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2399), 1,
      sym_comment,
    ACTIONS(1701), 2,
      anon_sym_else,
      anon_sym_while,
  [90988] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3510), 1,
      anon_sym_from,
    STATE(1774), 1,
      sym__from_clause,
    STATE(2400), 1,
      sym_comment,
  [91004] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3510), 1,
      anon_sym_from,
    STATE(2326), 1,
      sym__from_clause,
    STATE(2401), 1,
      sym_comment,
  [91020] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2157), 1,
      sym_formal_parameters,
    STATE(2402), 1,
      sym_comment,
  [91036] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LBRACE,
    STATE(1431), 1,
      sym_statement_block,
    STATE(2403), 1,
      sym_comment,
  [91052] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2404), 1,
      sym_comment,
    ACTIONS(4351), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [91066] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2405), 1,
      sym_comment,
    ACTIONS(1765), 2,
      anon_sym_else,
      anon_sym_while,
  [91080] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LBRACE,
    STATE(1419), 1,
      sym_statement_block,
    STATE(2406), 1,
      sym_comment,
  [91096] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2156), 1,
      sym_formal_parameters,
    STATE(2407), 1,
      sym_comment,
  [91112] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4179), 1,
      anon_sym_LBRACE,
    STATE(679), 1,
      sym_statement_block,
    STATE(2408), 1,
      sym_comment,
  [91128] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LBRACE,
    STATE(1453), 1,
      sym_statement_block,
    STATE(2409), 1,
      sym_comment,
  [91144] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2410), 1,
      sym_comment,
    ACTIONS(4351), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [91158] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2411), 1,
      sym_comment,
    ACTIONS(4351), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [91172] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2412), 1,
      sym_comment,
    ACTIONS(4351), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [91186] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2413), 1,
      sym_comment,
    ACTIONS(2485), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [91200] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LBRACE,
    STATE(1454), 1,
      sym_statement_block,
    STATE(2414), 1,
      sym_comment,
  [91216] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2415), 1,
      sym_comment,
    ACTIONS(4351), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [91230] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2416), 1,
      sym_comment,
    ACTIONS(4351), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [91244] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LBRACE,
    STATE(1455), 1,
      sym_statement_block,
    STATE(2417), 1,
      sym_comment,
  [91260] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2418), 1,
      sym_comment,
    ACTIONS(1765), 2,
      anon_sym_else,
      anon_sym_while,
  [91274] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(1928), 1,
      sym_statement_block,
    STATE(2419), 1,
      sym_comment,
  [91290] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2420), 1,
      sym_comment,
    ACTIONS(1671), 2,
      anon_sym_else,
      anon_sym_while,
  [91304] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4171), 1,
      anon_sym_LBRACE,
    STATE(1177), 1,
      sym_statement_block,
    STATE(2421), 1,
      sym_comment,
  [91320] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LBRACE,
    STATE(1457), 1,
      sym_statement_block,
    STATE(2422), 1,
      sym_comment,
  [91336] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2423), 1,
      sym_comment,
    ACTIONS(1673), 2,
      anon_sym_else,
      anon_sym_while,
  [91350] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2424), 1,
      sym_comment,
    ACTIONS(1675), 2,
      anon_sym_else,
      anon_sym_while,
  [91364] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2060), 1,
      sym_statement_block,
    STATE(2425), 1,
      sym_comment,
  [91380] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2055), 1,
      sym_formal_parameters,
    STATE(2426), 1,
      sym_comment,
  [91396] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LBRACE,
    STATE(1415), 1,
      sym_statement_block,
    STATE(2427), 1,
      sym_comment,
  [91412] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2428), 1,
      sym_comment,
    ACTIONS(1677), 2,
      anon_sym_else,
      anon_sym_while,
  [91426] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3510), 1,
      anon_sym_from,
    STATE(2083), 1,
      sym__from_clause,
    STATE(2429), 1,
      sym_comment,
  [91442] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4353), 1,
      sym_identifier,
    ACTIONS(4355), 1,
      anon_sym_STAR,
    STATE(2430), 1,
      sym_comment,
  [91458] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2431), 1,
      sym_comment,
    ACTIONS(1767), 2,
      anon_sym_else,
      anon_sym_while,
  [91472] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    STATE(2054), 1,
      sym_parenthesized_expression,
    STATE(2432), 1,
      sym_comment,
  [91488] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2433), 1,
      sym_comment,
    ACTIONS(2117), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91502] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LBRACE,
    STATE(1432), 1,
      sym_statement_block,
    STATE(2434), 1,
      sym_comment,
  [91518] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2435), 1,
      sym_comment,
    ACTIONS(1699), 2,
      anon_sym_else,
      anon_sym_while,
  [91532] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LBRACE,
    STATE(1433), 1,
      sym_statement_block,
    STATE(2436), 1,
      sym_comment,
  [91548] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LBRACE,
    STATE(1445), 1,
      sym_statement_block,
    STATE(2437), 1,
      sym_comment,
  [91564] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2438), 1,
      sym_comment,
    ACTIONS(2303), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91578] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LBRACE,
    STATE(1434), 1,
      sym_statement_block,
    STATE(2439), 1,
      sym_comment,
  [91594] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2440), 1,
      sym_comment,
    ACTIONS(2127), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91608] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2441), 1,
      sym_comment,
    ACTIONS(1681), 2,
      anon_sym_else,
      anon_sym_while,
  [91622] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2442), 1,
      sym_comment,
    ACTIONS(1683), 2,
      anon_sym_else,
      anon_sym_while,
  [91636] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2443), 1,
      sym_comment,
    ACTIONS(1685), 2,
      anon_sym_else,
      anon_sym_while,
  [91650] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LBRACE,
    STATE(1444), 1,
      sym_statement_block,
    STATE(2444), 1,
      sym_comment,
  [91666] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2445), 1,
      sym_comment,
    ACTIONS(1687), 2,
      anon_sym_else,
      anon_sym_while,
  [91680] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2446), 1,
      sym_comment,
    ACTIONS(3834), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [91694] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4087), 1,
      anon_sym_LPAREN,
    STATE(89), 1,
      sym_parenthesized_expression,
    STATE(2447), 1,
      sym_comment,
  [91710] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    STATE(2111), 1,
      sym_parenthesized_expression,
    STATE(2448), 1,
      sym_comment,
  [91726] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LBRACE,
    STATE(1416), 1,
      sym_statement_block,
    STATE(2449), 1,
      sym_comment,
  [91742] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LBRACE,
    STATE(1442), 1,
      sym_statement_block,
    STATE(2450), 1,
      sym_comment,
  [91758] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2451), 1,
      sym_comment,
    ACTIONS(3836), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [91772] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2452), 1,
      sym_comment,
    ACTIONS(4357), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [91786] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2273), 1,
      sym_formal_parameters,
    STATE(2453), 1,
      sym_comment,
  [91802] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4199), 1,
      anon_sym_LBRACE,
    STATE(1015), 1,
      sym_statement_block,
    STATE(2454), 1,
      sym_comment,
  [91818] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LBRACE,
    STATE(1440), 1,
      sym_statement_block,
    STATE(2455), 1,
      sym_comment,
  [91834] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2272), 1,
      sym_formal_parameters,
    STATE(2456), 1,
      sym_comment,
  [91850] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3510), 1,
      anon_sym_from,
    STATE(2248), 1,
      sym__from_clause,
    STATE(2457), 1,
      sym_comment,
  [91866] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LBRACE,
    STATE(1439), 1,
      sym_statement_block,
    STATE(2458), 1,
      sym_comment,
  [91882] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3510), 1,
      anon_sym_from,
    STATE(1852), 1,
      sym__from_clause,
    STATE(2459), 1,
      sym_comment,
  [91898] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2209), 1,
      sym_formal_parameters,
    STATE(2460), 1,
      sym_comment,
  [91914] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2208), 1,
      sym_formal_parameters,
    STATE(2461), 1,
      sym_comment,
  [91930] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2268), 1,
      sym_formal_parameters,
    STATE(2462), 1,
      sym_comment,
  [91946] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LBRACE,
    STATE(1437), 1,
      sym_statement_block,
    STATE(2463), 1,
      sym_comment,
  [91962] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2464), 1,
      sym_comment,
    ACTIONS(4359), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [91976] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2267), 1,
      sym_formal_parameters,
    STATE(2465), 1,
      sym_comment,
  [91992] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2357), 1,
      sym_formal_parameters,
    STATE(2466), 1,
      sym_comment,
  [92008] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3634), 1,
      anon_sym_LBRACE,
    STATE(985), 1,
      sym_class_body,
    STATE(2467), 1,
      sym_comment,
  [92024] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2163), 1,
      sym_formal_parameters,
    STATE(2468), 1,
      sym_comment,
  [92040] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2469), 1,
      sym_comment,
    ACTIONS(2051), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92054] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2470), 1,
      sym_comment,
    ACTIONS(1689), 2,
      anon_sym_else,
      anon_sym_while,
  [92068] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2092), 1,
      sym_formal_parameters,
    STATE(2471), 1,
      sym_comment,
  [92084] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2263), 1,
      sym_formal_parameters,
    STATE(2472), 1,
      sym_comment,
  [92100] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2473), 1,
      sym_comment,
    ACTIONS(1691), 2,
      anon_sym_else,
      anon_sym_while,
  [92114] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2096), 1,
      sym_formal_parameters,
    STATE(2474), 1,
      sym_comment,
  [92130] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2475), 1,
      sym_comment,
    ACTIONS(1693), 2,
      anon_sym_else,
      anon_sym_while,
  [92144] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2262), 1,
      sym_formal_parameters,
    STATE(2476), 1,
      sym_comment,
  [92160] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2247), 1,
      sym_formal_parameters,
    STATE(2477), 1,
      sym_comment,
  [92176] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LBRACE,
    STATE(1436), 1,
      sym_statement_block,
    STATE(2478), 1,
      sym_comment,
  [92192] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2172), 1,
      sym_formal_parameters,
    STATE(2479), 1,
      sym_comment,
  [92208] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2217), 1,
      sym_formal_parameters,
    STATE(2480), 1,
      sym_comment,
  [92224] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2227), 1,
      sym_formal_parameters,
    STATE(2481), 1,
      sym_comment,
  [92240] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4255), 1,
      anon_sym_LBRACE,
    STATE(210), 1,
      sym_statement_block,
    STATE(2482), 1,
      sym_comment,
  [92256] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2243), 1,
      sym_formal_parameters,
    STATE(2483), 1,
      sym_comment,
  [92272] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2253), 1,
      sym_formal_parameters,
    STATE(2484), 1,
      sym_comment,
  [92288] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2276), 1,
      sym_formal_parameters,
    STATE(2485), 1,
      sym_comment,
  [92304] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2291), 1,
      sym_formal_parameters,
    STATE(2486), 1,
      sym_comment,
  [92320] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2393), 1,
      sym_formal_parameters,
    STATE(2487), 1,
      sym_comment,
  [92336] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2434), 1,
      sym_formal_parameters,
    STATE(2488), 1,
      sym_comment,
  [92352] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2436), 1,
      sym_formal_parameters,
    STATE(2489), 1,
      sym_comment,
  [92368] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2439), 1,
      sym_formal_parameters,
    STATE(2490), 1,
      sym_comment,
  [92384] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LBRACE,
    STATE(1435), 1,
      sym_statement_block,
    STATE(2491), 1,
      sym_comment,
  [92400] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2492), 1,
      sym_comment,
    STATE(2554), 1,
      sym_formal_parameters,
  [92416] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2493), 1,
      sym_comment,
    STATE(2552), 1,
      sym_formal_parameters,
  [92432] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2494), 1,
      sym_comment,
    STATE(2528), 1,
      sym_formal_parameters,
  [92448] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2495), 1,
      sym_comment,
    STATE(2526), 1,
      sym_formal_parameters,
  [92464] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2491), 1,
      sym_formal_parameters,
    STATE(2496), 1,
      sym_comment,
  [92480] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2478), 1,
      sym_formal_parameters,
    STATE(2497), 1,
      sym_comment,
  [92496] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2463), 1,
      sym_formal_parameters,
    STATE(2498), 1,
      sym_comment,
  [92512] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2458), 1,
      sym_formal_parameters,
    STATE(2499), 1,
      sym_comment,
  [92528] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2455), 1,
      sym_formal_parameters,
    STATE(2500), 1,
      sym_comment,
  [92544] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2450), 1,
      sym_formal_parameters,
    STATE(2501), 1,
      sym_comment,
  [92560] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2449), 1,
      sym_formal_parameters,
    STATE(2502), 1,
      sym_comment,
  [92576] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2444), 1,
      sym_formal_parameters,
    STATE(2503), 1,
      sym_comment,
  [92592] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2437), 1,
      sym_formal_parameters,
    STATE(2504), 1,
      sym_comment,
  [92608] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2335), 1,
      sym_formal_parameters,
    STATE(2505), 1,
      sym_comment,
  [92624] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2427), 1,
      sym_formal_parameters,
    STATE(2506), 1,
      sym_comment,
  [92640] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2422), 1,
      sym_formal_parameters,
    STATE(2507), 1,
      sym_comment,
  [92656] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2421), 1,
      sym_formal_parameters,
    STATE(2508), 1,
      sym_comment,
  [92672] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2509), 1,
      sym_comment,
    ACTIONS(1769), 2,
      anon_sym_else,
      anon_sym_while,
  [92686] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2417), 1,
      sym_formal_parameters,
    STATE(2510), 1,
      sym_comment,
  [92702] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2414), 1,
      sym_formal_parameters,
    STATE(2511), 1,
      sym_comment,
  [92718] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2409), 1,
      sym_formal_parameters,
    STATE(2512), 1,
      sym_comment,
  [92734] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2406), 1,
      sym_formal_parameters,
    STATE(2513), 1,
      sym_comment,
  [92750] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2394), 1,
      sym_formal_parameters,
    STATE(2514), 1,
      sym_comment,
  [92766] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2391), 1,
      sym_formal_parameters,
    STATE(2515), 1,
      sym_comment,
  [92782] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2249), 1,
      sym_formal_parameters,
    STATE(2516), 1,
      sym_comment,
  [92798] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2110), 1,
      sym_formal_parameters,
    STATE(2517), 1,
      sym_comment,
  [92814] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2102), 1,
      sym_formal_parameters,
    STATE(2518), 1,
      sym_comment,
  [92830] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2107), 1,
      sym_formal_parameters,
    STATE(2519), 1,
      sym_comment,
  [92846] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2230), 1,
      sym_formal_parameters,
    STATE(2520), 1,
      sym_comment,
  [92862] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2112), 1,
      sym_statement_block,
    STATE(2521), 1,
      sym_comment,
  [92878] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2257), 1,
      sym_formal_parameters,
    STATE(2522), 1,
      sym_comment,
  [92894] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3634), 1,
      anon_sym_LBRACE,
    STATE(1012), 1,
      sym_class_body,
    STATE(2523), 1,
      sym_comment,
  [92910] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4087), 1,
      anon_sym_LPAREN,
    STATE(80), 1,
      sym_parenthesized_expression,
    STATE(2524), 1,
      sym_comment,
  [92926] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    STATE(2070), 1,
      sym_parenthesized_expression,
    STATE(2525), 1,
      sym_comment,
  [92942] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4111), 1,
      anon_sym_LBRACE,
    STATE(1929), 1,
      sym_statement_block,
    STATE(2526), 1,
      sym_comment,
  [92958] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2527), 1,
      sym_comment,
    ACTIONS(1771), 2,
      anon_sym_else,
      anon_sym_while,
  [92972] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4171), 1,
      anon_sym_LBRACE,
    STATE(1166), 1,
      sym_statement_block,
    STATE(2528), 1,
      sym_comment,
  [92988] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2245), 1,
      sym_formal_parameters,
    STATE(2529), 1,
      sym_comment,
  [93004] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2530), 1,
      sym_comment,
    ACTIONS(1773), 2,
      anon_sym_else,
      anon_sym_while,
  [93018] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3625), 1,
      anon_sym_LBRACE,
    STATE(1165), 1,
      sym_class_body,
    STATE(2531), 1,
      sym_comment,
  [93034] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3510), 1,
      anon_sym_from,
    STATE(1827), 1,
      sym__from_clause,
    STATE(2532), 1,
      sym_comment,
  [93050] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3510), 1,
      anon_sym_from,
    STATE(2103), 1,
      sym__from_clause,
    STATE(2533), 1,
      sym_comment,
  [93066] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3510), 1,
      anon_sym_from,
    STATE(1862), 1,
      sym__from_clause,
    STATE(2534), 1,
      sym_comment,
  [93082] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2535), 1,
      sym_comment,
    ACTIONS(1695), 2,
      anon_sym_else,
      anon_sym_while,
  [93096] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3510), 1,
      anon_sym_from,
    STATE(2225), 1,
      sym__from_clause,
    STATE(2536), 1,
      sym_comment,
  [93112] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2125), 1,
      sym_formal_parameters,
    STATE(2537), 1,
      sym_comment,
  [93128] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3776), 1,
      anon_sym_GT,
    ACTIONS(3778), 1,
      anon_sym_DOT,
    STATE(2538), 1,
      sym_comment,
  [93144] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2539), 1,
      sym_comment,
    ACTIONS(1697), 2,
      anon_sym_else,
      anon_sym_while,
  [93158] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4361), 1,
      anon_sym_SEMI,
    ACTIONS(4363), 1,
      sym__automatic_semicolon,
    STATE(2540), 1,
      sym_comment,
  [93174] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2138), 1,
      sym_formal_parameters,
    STATE(2541), 1,
      sym_comment,
  [93190] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2542), 1,
      sym_comment,
    ACTIONS(1779), 2,
      anon_sym_else,
      anon_sym_while,
  [93204] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2543), 1,
      sym_comment,
    ACTIONS(4365), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [93218] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2143), 1,
      sym_formal_parameters,
    STATE(2544), 1,
      sym_comment,
  [93234] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2144), 1,
      sym_formal_parameters,
    STATE(2545), 1,
      sym_comment,
  [93250] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2148), 1,
      sym_formal_parameters,
    STATE(2546), 1,
      sym_comment,
  [93266] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2149), 1,
      sym_formal_parameters,
    STATE(2547), 1,
      sym_comment,
  [93282] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2153), 1,
      sym_formal_parameters,
    STATE(2548), 1,
      sym_comment,
  [93298] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
    STATE(2154), 1,
      sym_formal_parameters,
    STATE(2549), 1,
      sym_comment,
  [93314] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2550), 1,
      sym_comment,
    ACTIONS(1719), 2,
      anon_sym_else,
      anon_sym_while,
  [93328] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4255), 1,
      anon_sym_LBRACE,
    STATE(206), 1,
      sym_statement_block,
    STATE(2551), 1,
      sym_comment,
  [93344] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4171), 1,
      anon_sym_LBRACE,
    STATE(1164), 1,
      sym_statement_block,
    STATE(2552), 1,
      sym_comment,
  [93360] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2553), 1,
      sym_comment,
    ACTIONS(1783), 2,
      anon_sym_else,
      anon_sym_while,
  [93374] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4171), 1,
      anon_sym_LBRACE,
    STATE(1163), 1,
      sym_statement_block,
    STATE(2554), 1,
      sym_comment,
  [93390] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4087), 1,
      anon_sym_LPAREN,
    STATE(98), 1,
      sym_parenthesized_expression,
    STATE(2555), 1,
      sym_comment,
  [93406] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    STATE(2192), 1,
      sym_parenthesized_expression,
    STATE(2556), 1,
      sym_comment,
  [93422] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4367), 1,
      anon_sym_EQ_GT,
    STATE(2557), 1,
      sym_comment,
  [93435] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4369), 1,
      sym_identifier,
    STATE(2558), 1,
      sym_comment,
  [93448] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4371), 1,
      sym_regex_pattern,
    STATE(2559), 1,
      sym_comment,
  [93461] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4373), 1,
      anon_sym_RPAREN,
    STATE(2560), 1,
      sym_comment,
  [93474] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4375), 1,
      sym_identifier,
    STATE(2561), 1,
      sym_comment,
  [93487] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4377), 1,
      sym_identifier,
    STATE(2562), 1,
      sym_comment,
  [93500] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4379), 1,
      anon_sym_function,
    STATE(2563), 1,
      sym_comment,
  [93513] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2223), 1,
      anon_sym_in,
    STATE(2564), 1,
      sym_comment,
  [93526] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4381), 1,
      anon_sym_while,
    STATE(2565), 1,
      sym_comment,
  [93539] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4383), 1,
      sym_identifier,
    STATE(2566), 1,
      sym_comment,
  [93552] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4385), 1,
      anon_sym_while,
    STATE(2567), 1,
      sym_comment,
  [93565] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4387), 1,
      anon_sym_from,
    STATE(2568), 1,
      sym_comment,
  [93578] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4389), 1,
      sym_regex_pattern,
    STATE(2569), 1,
      sym_comment,
  [93591] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4391), 1,
      sym_regex_pattern,
    STATE(2570), 1,
      sym_comment,
  [93604] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4393), 1,
      sym_identifier,
    STATE(2571), 1,
      sym_comment,
  [93617] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4395), 1,
      anon_sym_from,
    STATE(2572), 1,
      sym_comment,
  [93630] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4397), 1,
      sym_identifier,
    STATE(2573), 1,
      sym_comment,
  [93643] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4399), 1,
      anon_sym_from,
    STATE(2574), 1,
      sym_comment,
  [93656] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4401), 1,
      anon_sym_RPAREN,
    STATE(2575), 1,
      sym_comment,
  [93669] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4403), 1,
      ts_builtin_sym_end,
    STATE(2576), 1,
      sym_comment,
  [93682] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4405), 1,
      sym_identifier,
    STATE(2577), 1,
      sym_comment,
  [93695] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4407), 1,
      anon_sym_while,
    STATE(2578), 1,
      sym_comment,
  [93708] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1507), 1,
      anon_sym_LBRACE,
    STATE(2579), 1,
      sym_comment,
  [93721] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4409), 1,
      sym_identifier,
    STATE(2580), 1,
      sym_comment,
  [93734] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4411), 1,
      anon_sym_RPAREN,
    STATE(2581), 1,
      sym_comment,
  [93747] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4413), 1,
      anon_sym_EQ_GT,
    STATE(2582), 1,
      sym_comment,
  [93760] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3951), 1,
      anon_sym_EQ,
    STATE(2583), 1,
      sym_comment,
  [93773] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4415), 1,
      anon_sym_EQ_GT,
    STATE(2584), 1,
      sym_comment,
  [93786] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2398), 1,
      anon_sym_RPAREN,
    STATE(2585), 1,
      sym_comment,
  [93799] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4417), 1,
      sym_identifier,
    STATE(2586), 1,
      sym_comment,
  [93812] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4419), 1,
      anon_sym_function,
    STATE(2587), 1,
      sym_comment,
  [93825] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4421), 1,
      anon_sym_EQ,
    STATE(2588), 1,
      sym_comment,
  [93838] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2394), 1,
      anon_sym_RPAREN,
    STATE(2589), 1,
      sym_comment,
  [93851] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4423), 1,
      sym_identifier,
    STATE(2590), 1,
      sym_comment,
  [93864] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4425), 1,
      anon_sym_as,
    STATE(2591), 1,
      sym_comment,
  [93877] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4427), 1,
      sym_identifier,
    STATE(2592), 1,
      sym_comment,
  [93890] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4429), 1,
      anon_sym_RPAREN,
    STATE(2593), 1,
      sym_comment,
  [93903] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4431), 1,
      anon_sym_while,
    STATE(2594), 1,
      sym_comment,
  [93916] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2388), 1,
      anon_sym_RPAREN,
    STATE(2595), 1,
      sym_comment,
  [93929] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4433), 1,
      anon_sym_RPAREN,
    STATE(2596), 1,
      sym_comment,
  [93942] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4349), 1,
      anon_sym_from,
    STATE(2597), 1,
      sym_comment,
  [93955] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2380), 1,
      anon_sym_RPAREN,
    STATE(2598), 1,
      sym_comment,
  [93968] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2400), 1,
      anon_sym_RBRACE,
    STATE(2599), 1,
      sym_comment,
  [93981] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4435), 1,
      sym_identifier,
    STATE(2600), 1,
      sym_comment,
  [93994] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4437), 1,
      anon_sym_from,
    STATE(2601), 1,
      sym_comment,
  [94007] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2376), 1,
      anon_sym_RPAREN,
    STATE(2602), 1,
      sym_comment,
  [94020] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3857), 1,
      anon_sym_GT,
    STATE(2603), 1,
      sym_comment,
  [94033] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2406), 1,
      anon_sym_RBRACK,
    STATE(2604), 1,
      sym_comment,
  [94046] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2342), 1,
      anon_sym_RBRACE,
    STATE(2605), 1,
      sym_comment,
  [94059] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2344), 1,
      anon_sym_RPAREN,
    STATE(2606), 1,
      sym_comment,
  [94072] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4439), 1,
      sym_identifier,
    STATE(2607), 1,
      sym_comment,
  [94085] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4441), 1,
      anon_sym_RPAREN,
    STATE(2608), 1,
      sym_comment,
  [94098] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4443), 1,
      sym_identifier,
    STATE(2609), 1,
      sym_comment,
  [94111] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2418), 1,
      anon_sym_RPAREN,
    STATE(2610), 1,
      sym_comment,
  [94124] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4445), 1,
      anon_sym_from,
    STATE(2611), 1,
      sym_comment,
  [94137] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4447), 1,
      anon_sym_EQ_GT,
    STATE(2612), 1,
      sym_comment,
  [94150] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4449), 1,
      anon_sym_EQ_GT,
    STATE(2613), 1,
      sym_comment,
  [94163] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4451), 1,
      anon_sym_EQ_GT,
    STATE(2614), 1,
      sym_comment,
  [94176] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2410), 1,
      anon_sym_RPAREN,
    STATE(2615), 1,
      sym_comment,
  [94189] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2386), 1,
      anon_sym_RBRACK,
    STATE(2616), 1,
      sym_comment,
  [94202] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4453), 1,
      anon_sym_EQ_GT,
    STATE(2617), 1,
      sym_comment,
  [94215] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4455), 1,
      anon_sym_EQ,
    STATE(2618), 1,
      sym_comment,
  [94228] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2532), 1,
      anon_sym_in,
    STATE(2619), 1,
      sym_comment,
  [94241] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2374), 1,
      anon_sym_RBRACK,
    STATE(2620), 1,
      sym_comment,
  [94254] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2372), 1,
      anon_sym_RPAREN,
    STATE(2621), 1,
      sym_comment,
  [94267] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2366), 1,
      anon_sym_RPAREN,
    STATE(2622), 1,
      sym_comment,
  [94280] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4457), 1,
      sym_identifier,
    STATE(2623), 1,
      sym_comment,
  [94293] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4459), 1,
      sym_regex_pattern,
    STATE(2624), 1,
      sym_comment,
  [94306] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3908), 1,
      anon_sym_GT,
    STATE(2625), 1,
      sym_comment,
  [94319] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2356), 1,
      anon_sym_RBRACE,
    STATE(2626), 1,
      sym_comment,
  [94332] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2378), 1,
      anon_sym_RBRACK,
    STATE(2627), 1,
      sym_comment,
  [94345] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4461), 1,
      anon_sym_SLASH2,
    STATE(2628), 1,
      sym_comment,
  [94358] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4463), 1,
      sym_identifier,
    STATE(2629), 1,
      sym_comment,
  [94371] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4465), 1,
      sym_identifier,
    STATE(2630), 1,
      sym_comment,
  [94384] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4467), 1,
      anon_sym_RPAREN,
    STATE(2631), 1,
      sym_comment,
  [94397] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4469), 1,
      anon_sym_SLASH2,
    STATE(2632), 1,
      sym_comment,
  [94410] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4471), 1,
      anon_sym_SLASH2,
    STATE(2633), 1,
      sym_comment,
  [94423] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4473), 1,
      anon_sym_EQ_GT,
    STATE(2634), 1,
      sym_comment,
  [94436] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4475), 1,
      anon_sym_EQ_GT,
    STATE(2635), 1,
      sym_comment,
  [94449] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4477), 1,
      anon_sym_EQ_GT,
    STATE(2636), 1,
      sym_comment,
  [94462] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4479), 1,
      anon_sym_target,
    STATE(2637), 1,
      sym_comment,
  [94475] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2430), 1,
      anon_sym_RPAREN,
    STATE(2638), 1,
      sym_comment,
  [94488] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2422), 1,
      anon_sym_RPAREN,
    STATE(2639), 1,
      sym_comment,
  [94501] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4481), 1,
      anon_sym_EQ_GT,
    STATE(2640), 1,
      sym_comment,
  [94514] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4483), 1,
      anon_sym_GT,
    STATE(2641), 1,
      sym_comment,
  [94527] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4485), 1,
      anon_sym_EQ_GT,
    STATE(2642), 1,
      sym_comment,
  [94540] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4487), 1,
      anon_sym_EQ_GT,
    STATE(2643), 1,
      sym_comment,
  [94553] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4489), 1,
      anon_sym_while,
    STATE(2644), 1,
      sym_comment,
  [94566] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2420), 1,
      anon_sym_RPAREN,
    STATE(2645), 1,
      sym_comment,
  [94579] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2021), 1,
      anon_sym_in,
    STATE(2646), 1,
      sym_comment,
  [94592] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4491), 1,
      anon_sym_EQ,
    STATE(2647), 1,
      sym_comment,
  [94605] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2414), 1,
      anon_sym_RPAREN,
    STATE(2648), 1,
      sym_comment,
  [94618] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2265), 1,
      anon_sym_in,
    STATE(2649), 1,
      sym_comment,
  [94631] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4493), 1,
      anon_sym_COLON,
    STATE(2650), 1,
      sym_comment,
  [94644] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2396), 1,
      anon_sym_RPAREN,
    STATE(2651), 1,
      sym_comment,
  [94657] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4495), 1,
      anon_sym_target,
    STATE(2652), 1,
      sym_comment,
  [94670] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4497), 1,
      anon_sym_as,
    STATE(2653), 1,
      sym_comment,
  [94683] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4499), 1,
      anon_sym_from,
    STATE(2654), 1,
      sym_comment,
  [94696] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3987), 1,
      anon_sym_RBRACE,
    STATE(2655), 1,
      sym_comment,
  [94709] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3991), 1,
      anon_sym_GT,
    STATE(2656), 1,
      sym_comment,
  [94722] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4501), 1,
      sym_identifier,
    STATE(2657), 1,
      sym_comment,
  [94735] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4503), 1,
      sym_identifier,
    STATE(2658), 1,
      sym_comment,
  [94748] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4505), 1,
      sym_identifier,
    STATE(2659), 1,
      sym_comment,
  [94761] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4507), 1,
      anon_sym_EQ_GT,
    STATE(2660), 1,
      sym_comment,
  [94774] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4125), 1,
      anon_sym_EQ_GT,
    STATE(2661), 1,
      sym_comment,
  [94787] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2358), 1,
      anon_sym_RPAREN,
    STATE(2662), 1,
      sym_comment,
  [94800] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4509), 1,
      sym_identifier,
    STATE(2663), 1,
      sym_comment,
  [94813] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4123), 1,
      anon_sym_EQ_GT,
    STATE(2664), 1,
      sym_comment,
  [94826] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2404), 1,
      anon_sym_COLON,
    STATE(2665), 1,
      sym_comment,
  [94839] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4511), 1,
      anon_sym_COLON,
    STATE(2666), 1,
      sym_comment,
  [94852] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4513), 1,
      anon_sym_from,
    STATE(2667), 1,
      sym_comment,
  [94865] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4515), 1,
      anon_sym_EQ,
    STATE(2668), 1,
      sym_comment,
  [94878] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4517), 1,
      anon_sym_SLASH2,
    STATE(2669), 1,
      sym_comment,
  [94891] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4519), 1,
      sym_identifier,
    STATE(2670), 1,
      sym_comment,
  [94904] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4521), 1,
      anon_sym_EQ_GT,
    STATE(2671), 1,
      sym_comment,
  [94917] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4523), 1,
      sym_identifier,
    STATE(2672), 1,
      sym_comment,
  [94930] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4525), 1,
      anon_sym_EQ_GT,
    STATE(2673), 1,
      sym_comment,
  [94943] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4527), 1,
      anon_sym_EQ_GT,
    STATE(2674), 1,
      sym_comment,
  [94956] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2841), 1,
      anon_sym_LPAREN,
    STATE(2675), 1,
      sym_comment,
  [94969] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3955), 1,
      anon_sym_RBRACE,
    STATE(2676), 1,
      sym_comment,
  [94982] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4529), 1,
      sym_identifier,
    STATE(2677), 1,
      sym_comment,
  [94995] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2450), 1,
      anon_sym_in,
    STATE(2678), 1,
      sym_comment,
  [95008] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2368), 1,
      anon_sym_RPAREN,
    STATE(2679), 1,
      sym_comment,
  [95021] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3681), 1,
      anon_sym_EQ,
    STATE(2680), 1,
      sym_comment,
  [95034] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    STATE(2681), 1,
      sym_comment,
  [95047] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4531), 1,
      anon_sym_EQ_GT,
    STATE(2682), 1,
      sym_comment,
  [95060] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4533), 1,
      sym_identifier,
    STATE(2683), 1,
      sym_comment,
  [95073] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3776), 1,
      anon_sym_GT,
    STATE(2684), 1,
      sym_comment,
  [95086] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4535), 1,
      sym_identifier,
    STATE(2685), 1,
      sym_comment,
  [95099] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4537), 1,
      sym_identifier,
    STATE(2686), 1,
      sym_comment,
  [95112] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4539), 1,
      anon_sym_function,
    STATE(2687), 1,
      sym_comment,
  [95125] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4541), 1,
      anon_sym_function,
    STATE(2688), 1,
      sym_comment,
  [95138] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4543), 1,
      anon_sym_function,
    STATE(2689), 1,
      sym_comment,
  [95151] = 1,
    ACTIONS(4545), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(466)] = 0,
  [SMALL_STATE(467)] = 75,
  [SMALL_STATE(468)] = 150,
  [SMALL_STATE(469)] = 233,
  [SMALL_STATE(470)] = 310,
  [SMALL_STATE(471)] = 401,
  [SMALL_STATE(472)] = 478,
  [SMALL_STATE(473)] = 573,
  [SMALL_STATE(474)] = 664,
  [SMALL_STATE(475)] = 739,
  [SMALL_STATE(476)] = 812,
  [SMALL_STATE(477)] = 885,
  [SMALL_STATE(478)] = 962,
  [SMALL_STATE(479)] = 1037,
  [SMALL_STATE(480)] = 1128,
  [SMALL_STATE(481)] = 1219,
  [SMALL_STATE(482)] = 1310,
  [SMALL_STATE(483)] = 1401,
  [SMALL_STATE(484)] = 1475,
  [SMALL_STATE(485)] = 1553,
  [SMALL_STATE(486)] = 1625,
  [SMALL_STATE(487)] = 1701,
  [SMALL_STATE(488)] = 1795,
  [SMALL_STATE(489)] = 1869,
  [SMALL_STATE(490)] = 1943,
  [SMALL_STATE(491)] = 2037,
  [SMALL_STATE(492)] = 2111,
  [SMALL_STATE(493)] = 2205,
  [SMALL_STATE(494)] = 2277,
  [SMALL_STATE(495)] = 2349,
  [SMALL_STATE(496)] = 2423,
  [SMALL_STATE(497)] = 2497,
  [SMALL_STATE(498)] = 2569,
  [SMALL_STATE(499)] = 2643,
  [SMALL_STATE(500)] = 2715,
  [SMALL_STATE(501)] = 2789,
  [SMALL_STATE(502)] = 2863,
  [SMALL_STATE(503)] = 2937,
  [SMALL_STATE(504)] = 3013,
  [SMALL_STATE(505)] = 3089,
  [SMALL_STATE(506)] = 3183,
  [SMALL_STATE(507)] = 3259,
  [SMALL_STATE(508)] = 3333,
  [SMALL_STATE(509)] = 3409,
  [SMALL_STATE(510)] = 3499,
  [SMALL_STATE(511)] = 3573,
  [SMALL_STATE(512)] = 3647,
  [SMALL_STATE(513)] = 3721,
  [SMALL_STATE(514)] = 3797,
  [SMALL_STATE(515)] = 3871,
  [SMALL_STATE(516)] = 3965,
  [SMALL_STATE(517)] = 4059,
  [SMALL_STATE(518)] = 4135,
  [SMALL_STATE(519)] = 4225,
  [SMALL_STATE(520)] = 4297,
  [SMALL_STATE(521)] = 4371,
  [SMALL_STATE(522)] = 4467,
  [SMALL_STATE(523)] = 4541,
  [SMALL_STATE(524)] = 4615,
  [SMALL_STATE(525)] = 4689,
  [SMALL_STATE(526)] = 4763,
  [SMALL_STATE(527)] = 4837,
  [SMALL_STATE(528)] = 4913,
  [SMALL_STATE(529)] = 4988,
  [SMALL_STATE(530)] = 5061,
  [SMALL_STATE(531)] = 5136,
  [SMALL_STATE(532)] = 5211,
  [SMALL_STATE(533)] = 5286,
  [SMALL_STATE(534)] = 5361,
  [SMALL_STATE(535)] = 5434,
  [SMALL_STATE(536)] = 5505,
  [SMALL_STATE(537)] = 5580,
  [SMALL_STATE(538)] = 5651,
  [SMALL_STATE(539)] = 5726,
  [SMALL_STATE(540)] = 5797,
  [SMALL_STATE(541)] = 5868,
  [SMALL_STATE(542)] = 5939,
  [SMALL_STATE(543)] = 6012,
  [SMALL_STATE(544)] = 6089,
  [SMALL_STATE(545)] = 6162,
  [SMALL_STATE(546)] = 6237,
  [SMALL_STATE(547)] = 6308,
  [SMALL_STATE(548)] = 6379,
  [SMALL_STATE(549)] = 6456,
  [SMALL_STATE(550)] = 6533,
  [SMALL_STATE(551)] = 6604,
  [SMALL_STATE(552)] = 6675,
  [SMALL_STATE(553)] = 6748,
  [SMALL_STATE(554)] = 6819,
  [SMALL_STATE(555)] = 6890,
  [SMALL_STATE(556)] = 6961,
  [SMALL_STATE(557)] = 7032,
  [SMALL_STATE(558)] = 7103,
  [SMALL_STATE(559)] = 7174,
  [SMALL_STATE(560)] = 7245,
  [SMALL_STATE(561)] = 7316,
  [SMALL_STATE(562)] = 7387,
  [SMALL_STATE(563)] = 7458,
  [SMALL_STATE(564)] = 7529,
  [SMALL_STATE(565)] = 7600,
  [SMALL_STATE(566)] = 7675,
  [SMALL_STATE(567)] = 7746,
  [SMALL_STATE(568)] = 7817,
  [SMALL_STATE(569)] = 7888,
  [SMALL_STATE(570)] = 7965,
  [SMALL_STATE(571)] = 8036,
  [SMALL_STATE(572)] = 8111,
  [SMALL_STATE(573)] = 8182,
  [SMALL_STATE(574)] = 8253,
  [SMALL_STATE(575)] = 8326,
  [SMALL_STATE(576)] = 8397,
  [SMALL_STATE(577)] = 8472,
  [SMALL_STATE(578)] = 8547,
  [SMALL_STATE(579)] = 8620,
  [SMALL_STATE(580)] = 8693,
  [SMALL_STATE(581)] = 8766,
  [SMALL_STATE(582)] = 8839,
  [SMALL_STATE(583)] = 8910,
  [SMALL_STATE(584)] = 8983,
  [SMALL_STATE(585)] = 9056,
  [SMALL_STATE(586)] = 9127,
  [SMALL_STATE(587)] = 9202,
  [SMALL_STATE(588)] = 9273,
  [SMALL_STATE(589)] = 9348,
  [SMALL_STATE(590)] = 9419,
  [SMALL_STATE(591)] = 9490,
  [SMALL_STATE(592)] = 9563,
  [SMALL_STATE(593)] = 9634,
  [SMALL_STATE(594)] = 9707,
  [SMALL_STATE(595)] = 9780,
  [SMALL_STATE(596)] = 9853,
  [SMALL_STATE(597)] = 9924,
  [SMALL_STATE(598)] = 9997,
  [SMALL_STATE(599)] = 10072,
  [SMALL_STATE(600)] = 10143,
  [SMALL_STATE(601)] = 10214,
  [SMALL_STATE(602)] = 10287,
  [SMALL_STATE(603)] = 10360,
  [SMALL_STATE(604)] = 10431,
  [SMALL_STATE(605)] = 10504,
  [SMALL_STATE(606)] = 10577,
  [SMALL_STATE(607)] = 10648,
  [SMALL_STATE(608)] = 10721,
  [SMALL_STATE(609)] = 10794,
  [SMALL_STATE(610)] = 10865,
  [SMALL_STATE(611)] = 10936,
  [SMALL_STATE(612)] = 11007,
  [SMALL_STATE(613)] = 11080,
  [SMALL_STATE(614)] = 11153,
  [SMALL_STATE(615)] = 11224,
  [SMALL_STATE(616)] = 11295,
  [SMALL_STATE(617)] = 11366,
  [SMALL_STATE(618)] = 11437,
  [SMALL_STATE(619)] = 11508,
  [SMALL_STATE(620)] = 11581,
  [SMALL_STATE(621)] = 11652,
  [SMALL_STATE(622)] = 11723,
  [SMALL_STATE(623)] = 11794,
  [SMALL_STATE(624)] = 11867,
  [SMALL_STATE(625)] = 11938,
  [SMALL_STATE(626)] = 12011,
  [SMALL_STATE(627)] = 12082,
  [SMALL_STATE(628)] = 12153,
  [SMALL_STATE(629)] = 12224,
  [SMALL_STATE(630)] = 12295,
  [SMALL_STATE(631)] = 12366,
  [SMALL_STATE(632)] = 12437,
  [SMALL_STATE(633)] = 12508,
  [SMALL_STATE(634)] = 12579,
  [SMALL_STATE(635)] = 12650,
  [SMALL_STATE(636)] = 12721,
  [SMALL_STATE(637)] = 12792,
  [SMALL_STATE(638)] = 12863,
  [SMALL_STATE(639)] = 12934,
  [SMALL_STATE(640)] = 13005,
  [SMALL_STATE(641)] = 13076,
  [SMALL_STATE(642)] = 13148,
  [SMALL_STATE(643)] = 13218,
  [SMALL_STATE(644)] = 13290,
  [SMALL_STATE(645)] = 13362,
  [SMALL_STATE(646)] = 13434,
  [SMALL_STATE(647)] = 13524,
  [SMALL_STATE(648)] = 13596,
  [SMALL_STATE(649)] = 13668,
  [SMALL_STATE(650)] = 13740,
  [SMALL_STATE(651)] = 13812,
  [SMALL_STATE(652)] = 13884,
  [SMALL_STATE(653)] = 13956,
  [SMALL_STATE(654)] = 14028,
  [SMALL_STATE(655)] = 14100,
  [SMALL_STATE(656)] = 14172,
  [SMALL_STATE(657)] = 14244,
  [SMALL_STATE(658)] = 14316,
  [SMALL_STATE(659)] = 14388,
  [SMALL_STATE(660)] = 14460,
  [SMALL_STATE(661)] = 14532,
  [SMALL_STATE(662)] = 14604,
  [SMALL_STATE(663)] = 14676,
  [SMALL_STATE(664)] = 14766,
  [SMALL_STATE(665)] = 14838,
  [SMALL_STATE(666)] = 14910,
  [SMALL_STATE(667)] = 14982,
  [SMALL_STATE(668)] = 15054,
  [SMALL_STATE(669)] = 15126,
  [SMALL_STATE(670)] = 15198,
  [SMALL_STATE(671)] = 15270,
  [SMALL_STATE(672)] = 15346,
  [SMALL_STATE(673)] = 15418,
  [SMALL_STATE(674)] = 15490,
  [SMALL_STATE(675)] = 15562,
  [SMALL_STATE(676)] = 15636,
  [SMALL_STATE(677)] = 15708,
  [SMALL_STATE(678)] = 15780,
  [SMALL_STATE(679)] = 15870,
  [SMALL_STATE(680)] = 15944,
  [SMALL_STATE(681)] = 16016,
  [SMALL_STATE(682)] = 16090,
  [SMALL_STATE(683)] = 16162,
  [SMALL_STATE(684)] = 16234,
  [SMALL_STATE(685)] = 16306,
  [SMALL_STATE(686)] = 16378,
  [SMALL_STATE(687)] = 16450,
  [SMALL_STATE(688)] = 16522,
  [SMALL_STATE(689)] = 16594,
  [SMALL_STATE(690)] = 16666,
  [SMALL_STATE(691)] = 16738,
  [SMALL_STATE(692)] = 16810,
  [SMALL_STATE(693)] = 16882,
  [SMALL_STATE(694)] = 16954,
  [SMALL_STATE(695)] = 17026,
  [SMALL_STATE(696)] = 17098,
  [SMALL_STATE(697)] = 17172,
  [SMALL_STATE(698)] = 17262,
  [SMALL_STATE(699)] = 17352,
  [SMALL_STATE(700)] = 17422,
  [SMALL_STATE(701)] = 17494,
  [SMALL_STATE(702)] = 17566,
  [SMALL_STATE(703)] = 17638,
  [SMALL_STATE(704)] = 17710,
  [SMALL_STATE(705)] = 17782,
  [SMALL_STATE(706)] = 17854,
  [SMALL_STATE(707)] = 17926,
  [SMALL_STATE(708)] = 17998,
  [SMALL_STATE(709)] = 18070,
  [SMALL_STATE(710)] = 18142,
  [SMALL_STATE(711)] = 18214,
  [SMALL_STATE(712)] = 18284,
  [SMALL_STATE(713)] = 18354,
  [SMALL_STATE(714)] = 18428,
  [SMALL_STATE(715)] = 18500,
  [SMALL_STATE(716)] = 18572,
  [SMALL_STATE(717)] = 18646,
  [SMALL_STATE(718)] = 18718,
  [SMALL_STATE(719)] = 18790,
  [SMALL_STATE(720)] = 18862,
  [SMALL_STATE(721)] = 18934,
  [SMALL_STATE(722)] = 19006,
  [SMALL_STATE(723)] = 19078,
  [SMALL_STATE(724)] = 19152,
  [SMALL_STATE(725)] = 19222,
  [SMALL_STATE(726)] = 19292,
  [SMALL_STATE(727)] = 19362,
  [SMALL_STATE(728)] = 19432,
  [SMALL_STATE(729)] = 19502,
  [SMALL_STATE(730)] = 19572,
  [SMALL_STATE(731)] = 19646,
  [SMALL_STATE(732)] = 19716,
  [SMALL_STATE(733)] = 19786,
  [SMALL_STATE(734)] = 19856,
  [SMALL_STATE(735)] = 19926,
  [SMALL_STATE(736)] = 19996,
  [SMALL_STATE(737)] = 20070,
  [SMALL_STATE(738)] = 20140,
  [SMALL_STATE(739)] = 20210,
  [SMALL_STATE(740)] = 20280,
  [SMALL_STATE(741)] = 20350,
  [SMALL_STATE(742)] = 20420,
  [SMALL_STATE(743)] = 20490,
  [SMALL_STATE(744)] = 20560,
  [SMALL_STATE(745)] = 20630,
  [SMALL_STATE(746)] = 20700,
  [SMALL_STATE(747)] = 20772,
  [SMALL_STATE(748)] = 20842,
  [SMALL_STATE(749)] = 20912,
  [SMALL_STATE(750)] = 20982,
  [SMALL_STATE(751)] = 21052,
  [SMALL_STATE(752)] = 21122,
  [SMALL_STATE(753)] = 21194,
  [SMALL_STATE(754)] = 21264,
  [SMALL_STATE(755)] = 21336,
  [SMALL_STATE(756)] = 21406,
  [SMALL_STATE(757)] = 21476,
  [SMALL_STATE(758)] = 21548,
  [SMALL_STATE(759)] = 21618,
  [SMALL_STATE(760)] = 21688,
  [SMALL_STATE(761)] = 21758,
  [SMALL_STATE(762)] = 21828,
  [SMALL_STATE(763)] = 21898,
  [SMALL_STATE(764)] = 21968,
  [SMALL_STATE(765)] = 22038,
  [SMALL_STATE(766)] = 22108,
  [SMALL_STATE(767)] = 22178,
  [SMALL_STATE(768)] = 22248,
  [SMALL_STATE(769)] = 22318,
  [SMALL_STATE(770)] = 22388,
  [SMALL_STATE(771)] = 22458,
  [SMALL_STATE(772)] = 22528,
  [SMALL_STATE(773)] = 22598,
  [SMALL_STATE(774)] = 22668,
  [SMALL_STATE(775)] = 22742,
  [SMALL_STATE(776)] = 22816,
  [SMALL_STATE(777)] = 22890,
  [SMALL_STATE(778)] = 22960,
  [SMALL_STATE(779)] = 23030,
  [SMALL_STATE(780)] = 23100,
  [SMALL_STATE(781)] = 23170,
  [SMALL_STATE(782)] = 23240,
  [SMALL_STATE(783)] = 23310,
  [SMALL_STATE(784)] = 23380,
  [SMALL_STATE(785)] = 23450,
  [SMALL_STATE(786)] = 23520,
  [SMALL_STATE(787)] = 23592,
  [SMALL_STATE(788)] = 23662,
  [SMALL_STATE(789)] = 23732,
  [SMALL_STATE(790)] = 23802,
  [SMALL_STATE(791)] = 23872,
  [SMALL_STATE(792)] = 23942,
  [SMALL_STATE(793)] = 24012,
  [SMALL_STATE(794)] = 24083,
  [SMALL_STATE(795)] = 24154,
  [SMALL_STATE(796)] = 24225,
  [SMALL_STATE(797)] = 24296,
  [SMALL_STATE(798)] = 24367,
  [SMALL_STATE(799)] = 24438,
  [SMALL_STATE(800)] = 24509,
  [SMALL_STATE(801)] = 24596,
  [SMALL_STATE(802)] = 24683,
  [SMALL_STATE(803)] = 24754,
  [SMALL_STATE(804)] = 24825,
  [SMALL_STATE(805)] = 24896,
  [SMALL_STATE(806)] = 24967,
  [SMALL_STATE(807)] = 25038,
  [SMALL_STATE(808)] = 25109,
  [SMALL_STATE(809)] = 25180,
  [SMALL_STATE(810)] = 25251,
  [SMALL_STATE(811)] = 25322,
  [SMALL_STATE(812)] = 25393,
  [SMALL_STATE(813)] = 25464,
  [SMALL_STATE(814)] = 25535,
  [SMALL_STATE(815)] = 25606,
  [SMALL_STATE(816)] = 25677,
  [SMALL_STATE(817)] = 25748,
  [SMALL_STATE(818)] = 25819,
  [SMALL_STATE(819)] = 25890,
  [SMALL_STATE(820)] = 25961,
  [SMALL_STATE(821)] = 26032,
  [SMALL_STATE(822)] = 26103,
  [SMALL_STATE(823)] = 26174,
  [SMALL_STATE(824)] = 26245,
  [SMALL_STATE(825)] = 26316,
  [SMALL_STATE(826)] = 26387,
  [SMALL_STATE(827)] = 26458,
  [SMALL_STATE(828)] = 26529,
  [SMALL_STATE(829)] = 26600,
  [SMALL_STATE(830)] = 26671,
  [SMALL_STATE(831)] = 26742,
  [SMALL_STATE(832)] = 26813,
  [SMALL_STATE(833)] = 26884,
  [SMALL_STATE(834)] = 26955,
  [SMALL_STATE(835)] = 27026,
  [SMALL_STATE(836)] = 27097,
  [SMALL_STATE(837)] = 27168,
  [SMALL_STATE(838)] = 27239,
  [SMALL_STATE(839)] = 27326,
  [SMALL_STATE(840)] = 27397,
  [SMALL_STATE(841)] = 27468,
  [SMALL_STATE(842)] = 27539,
  [SMALL_STATE(843)] = 27610,
  [SMALL_STATE(844)] = 27681,
  [SMALL_STATE(845)] = 27752,
  [SMALL_STATE(846)] = 27823,
  [SMALL_STATE(847)] = 27894,
  [SMALL_STATE(848)] = 27965,
  [SMALL_STATE(849)] = 28036,
  [SMALL_STATE(850)] = 28107,
  [SMALL_STATE(851)] = 28178,
  [SMALL_STATE(852)] = 28249,
  [SMALL_STATE(853)] = 28320,
  [SMALL_STATE(854)] = 28391,
  [SMALL_STATE(855)] = 28462,
  [SMALL_STATE(856)] = 28533,
  [SMALL_STATE(857)] = 28604,
  [SMALL_STATE(858)] = 28675,
  [SMALL_STATE(859)] = 28746,
  [SMALL_STATE(860)] = 28816,
  [SMALL_STATE(861)] = 28890,
  [SMALL_STATE(862)] = 28960,
  [SMALL_STATE(863)] = 29030,
  [SMALL_STATE(864)] = 29100,
  [SMALL_STATE(865)] = 29190,
  [SMALL_STATE(866)] = 29260,
  [SMALL_STATE(867)] = 29330,
  [SMALL_STATE(868)] = 29400,
  [SMALL_STATE(869)] = 29475,
  [SMALL_STATE(870)] = 29542,
  [SMALL_STATE(871)] = 29609,
  [SMALL_STATE(872)] = 29676,
  [SMALL_STATE(873)] = 29743,
  [SMALL_STATE(874)] = 29810,
  [SMALL_STATE(875)] = 29885,
  [SMALL_STATE(876)] = 29952,
  [SMALL_STATE(877)] = 30019,
  [SMALL_STATE(878)] = 30086,
  [SMALL_STATE(879)] = 30161,
  [SMALL_STATE(880)] = 30236,
  [SMALL_STATE(881)] = 30304,
  [SMALL_STATE(882)] = 30378,
  [SMALL_STATE(883)] = 30446,
  [SMALL_STATE(884)] = 30522,
  [SMALL_STATE(885)] = 30596,
  [SMALL_STATE(886)] = 30668,
  [SMALL_STATE(887)] = 30736,
  [SMALL_STATE(888)] = 30812,
  [SMALL_STATE(889)] = 30888,
  [SMALL_STATE(890)] = 30964,
  [SMALL_STATE(891)] = 31036,
  [SMALL_STATE(892)] = 31112,
  [SMALL_STATE(893)] = 31180,
  [SMALL_STATE(894)] = 31256,
  [SMALL_STATE(895)] = 31332,
  [SMALL_STATE(896)] = 31400,
  [SMALL_STATE(897)] = 31468,
  [SMALL_STATE(898)] = 31544,
  [SMALL_STATE(899)] = 31620,
  [SMALL_STATE(900)] = 31696,
  [SMALL_STATE(901)] = 31772,
  [SMALL_STATE(902)] = 31848,
  [SMALL_STATE(903)] = 31922,
  [SMALL_STATE(904)] = 31996,
  [SMALL_STATE(905)] = 32072,
  [SMALL_STATE(906)] = 32140,
  [SMALL_STATE(907)] = 32214,
  [SMALL_STATE(908)] = 32292,
  [SMALL_STATE(909)] = 32366,
  [SMALL_STATE(910)] = 32444,
  [SMALL_STATE(911)] = 32518,
  [SMALL_STATE(912)] = 32592,
  [SMALL_STATE(913)] = 32668,
  [SMALL_STATE(914)] = 32744,
  [SMALL_STATE(915)] = 32820,
  [SMALL_STATE(916)] = 32893,
  [SMALL_STATE(917)] = 32964,
  [SMALL_STATE(918)] = 33039,
  [SMALL_STATE(919)] = 33114,
  [SMALL_STATE(920)] = 33187,
  [SMALL_STATE(921)] = 33260,
  [SMALL_STATE(922)] = 33335,
  [SMALL_STATE(923)] = 33406,
  [SMALL_STATE(924)] = 33482,
  [SMALL_STATE(925)] = 33558,
  [SMALL_STATE(926)] = 33630,
  [SMALL_STATE(927)] = 33702,
  [SMALL_STATE(928)] = 33774,
  [SMALL_STATE(929)] = 33845,
  [SMALL_STATE(930)] = 33920,
  [SMALL_STATE(931)] = 33995,
  [SMALL_STATE(932)] = 34066,
  [SMALL_STATE(933)] = 34137,
  [SMALL_STATE(934)] = 34210,
  [SMALL_STATE(935)] = 34281,
  [SMALL_STATE(936)] = 34353,
  [SMALL_STATE(937)] = 34421,
  [SMALL_STATE(938)] = 34475,
  [SMALL_STATE(939)] = 34529,
  [SMALL_STATE(940)] = 34599,
  [SMALL_STATE(941)] = 34669,
  [SMALL_STATE(942)] = 34737,
  [SMALL_STATE(943)] = 34797,
  [SMALL_STATE(944)] = 34854,
  [SMALL_STATE(945)] = 34907,
  [SMALL_STATE(946)] = 34966,
  [SMALL_STATE(947)] = 35031,
  [SMALL_STATE(948)] = 35090,
  [SMALL_STATE(949)] = 35149,
  [SMALL_STATE(950)] = 35202,
  [SMALL_STATE(951)] = 35255,
  [SMALL_STATE(952)] = 35312,
  [SMALL_STATE(953)] = 35371,
  [SMALL_STATE(954)] = 35428,
  [SMALL_STATE(955)] = 35481,
  [SMALL_STATE(956)] = 35535,
  [SMALL_STATE(957)] = 35589,
  [SMALL_STATE(958)] = 35643,
  [SMALL_STATE(959)] = 35697,
  [SMALL_STATE(960)] = 35751,
  [SMALL_STATE(961)] = 35819,
  [SMALL_STATE(962)] = 35873,
  [SMALL_STATE(963)] = 35927,
  [SMALL_STATE(964)] = 35983,
  [SMALL_STATE(965)] = 36083,
  [SMALL_STATE(966)] = 36183,
  [SMALL_STATE(967)] = 36237,
  [SMALL_STATE(968)] = 36337,
  [SMALL_STATE(969)] = 36391,
  [SMALL_STATE(970)] = 36445,
  [SMALL_STATE(971)] = 36513,
  [SMALL_STATE(972)] = 36579,
  [SMALL_STATE(973)] = 36633,
  [SMALL_STATE(974)] = 36687,
  [SMALL_STATE(975)] = 36747,
  [SMALL_STATE(976)] = 36801,
  [SMALL_STATE(977)] = 36855,
  [SMALL_STATE(978)] = 36909,
  [SMALL_STATE(979)] = 36963,
  [SMALL_STATE(980)] = 37017,
  [SMALL_STATE(981)] = 37071,
  [SMALL_STATE(982)] = 37127,
  [SMALL_STATE(983)] = 37227,
  [SMALL_STATE(984)] = 37281,
  [SMALL_STATE(985)] = 37335,
  [SMALL_STATE(986)] = 37389,
  [SMALL_STATE(987)] = 37443,
  [SMALL_STATE(988)] = 37497,
  [SMALL_STATE(989)] = 37551,
  [SMALL_STATE(990)] = 37605,
  [SMALL_STATE(991)] = 37659,
  [SMALL_STATE(992)] = 37713,
  [SMALL_STATE(993)] = 37767,
  [SMALL_STATE(994)] = 37867,
  [SMALL_STATE(995)] = 37921,
  [SMALL_STATE(996)] = 38021,
  [SMALL_STATE(997)] = 38075,
  [SMALL_STATE(998)] = 38129,
  [SMALL_STATE(999)] = 38183,
  [SMALL_STATE(1000)] = 38283,
  [SMALL_STATE(1001)] = 38337,
  [SMALL_STATE(1002)] = 38391,
  [SMALL_STATE(1003)] = 38445,
  [SMALL_STATE(1004)] = 38499,
  [SMALL_STATE(1005)] = 38553,
  [SMALL_STATE(1006)] = 38653,
  [SMALL_STATE(1007)] = 38707,
  [SMALL_STATE(1008)] = 38761,
  [SMALL_STATE(1009)] = 38815,
  [SMALL_STATE(1010)] = 38869,
  [SMALL_STATE(1011)] = 38923,
  [SMALL_STATE(1012)] = 38977,
  [SMALL_STATE(1013)] = 39031,
  [SMALL_STATE(1014)] = 39131,
  [SMALL_STATE(1015)] = 39185,
  [SMALL_STATE(1016)] = 39239,
  [SMALL_STATE(1017)] = 39293,
  [SMALL_STATE(1018)] = 39347,
  [SMALL_STATE(1019)] = 39401,
  [SMALL_STATE(1020)] = 39457,
  [SMALL_STATE(1021)] = 39511,
  [SMALL_STATE(1022)] = 39611,
  [SMALL_STATE(1023)] = 39665,
  [SMALL_STATE(1024)] = 39765,
  [SMALL_STATE(1025)] = 39845,
  [SMALL_STATE(1026)] = 39899,
  [SMALL_STATE(1027)] = 39953,
  [SMALL_STATE(1028)] = 40007,
  [SMALL_STATE(1029)] = 40061,
  [SMALL_STATE(1030)] = 40115,
  [SMALL_STATE(1031)] = 40169,
  [SMALL_STATE(1032)] = 40239,
  [SMALL_STATE(1033)] = 40339,
  [SMALL_STATE(1034)] = 40431,
  [SMALL_STATE(1035)] = 40525,
  [SMALL_STATE(1036)] = 40601,
  [SMALL_STATE(1037)] = 40689,
  [SMALL_STATE(1038)] = 40779,
  [SMALL_STATE(1039)] = 40871,
  [SMALL_STATE(1040)] = 40945,
  [SMALL_STATE(1041)] = 41015,
  [SMALL_STATE(1042)] = 41099,
  [SMALL_STATE(1043)] = 41195,
  [SMALL_STATE(1044)] = 41249,
  [SMALL_STATE(1045)] = 41303,
  [SMALL_STATE(1046)] = 41357,
  [SMALL_STATE(1047)] = 41411,
  [SMALL_STATE(1048)] = 41511,
  [SMALL_STATE(1049)] = 41565,
  [SMALL_STATE(1050)] = 41668,
  [SMALL_STATE(1051)] = 41767,
  [SMALL_STATE(1052)] = 41870,
  [SMALL_STATE(1053)] = 41969,
  [SMALL_STATE(1054)] = 42032,
  [SMALL_STATE(1055)] = 42089,
  [SMALL_STATE(1056)] = 42192,
  [SMALL_STATE(1057)] = 42295,
  [SMALL_STATE(1058)] = 42394,
  [SMALL_STATE(1059)] = 42493,
  [SMALL_STATE(1060)] = 42592,
  [SMALL_STATE(1061)] = 42647,
  [SMALL_STATE(1062)] = 42750,
  [SMALL_STATE(1063)] = 42849,
  [SMALL_STATE(1064)] = 42904,
  [SMALL_STATE(1065)] = 43003,
  [SMALL_STATE(1066)] = 43106,
  [SMALL_STATE(1067)] = 43209,
  [SMALL_STATE(1068)] = 43308,
  [SMALL_STATE(1069)] = 43407,
  [SMALL_STATE(1070)] = 43510,
  [SMALL_STATE(1071)] = 43609,
  [SMALL_STATE(1072)] = 43712,
  [SMALL_STATE(1073)] = 43771,
  [SMALL_STATE(1074)] = 43824,
  [SMALL_STATE(1075)] = 43923,
  [SMALL_STATE(1076)] = 44024,
  [SMALL_STATE(1077)] = 44123,
  [SMALL_STATE(1078)] = 44218,
  [SMALL_STATE(1079)] = 44317,
  [SMALL_STATE(1080)] = 44400,
  [SMALL_STATE(1081)] = 44495,
  [SMALL_STATE(1082)] = 44578,
  [SMALL_STATE(1083)] = 44647,
  [SMALL_STATE(1084)] = 44720,
  [SMALL_STATE(1085)] = 44811,
  [SMALL_STATE(1086)] = 44900,
  [SMALL_STATE(1087)] = 44987,
  [SMALL_STATE(1088)] = 45062,
  [SMALL_STATE(1089)] = 45155,
  [SMALL_STATE(1090)] = 45246,
  [SMALL_STATE(1091)] = 45315,
  [SMALL_STATE(1092)] = 45384,
  [SMALL_STATE(1093)] = 45457,
  [SMALL_STATE(1094)] = 45536,
  [SMALL_STATE(1095)] = 45635,
  [SMALL_STATE(1096)] = 45734,
  [SMALL_STATE(1097)] = 45833,
  [SMALL_STATE(1098)] = 45932,
  [SMALL_STATE(1099)] = 46031,
  [SMALL_STATE(1100)] = 46134,
  [SMALL_STATE(1101)] = 46189,
  [SMALL_STATE(1102)] = 46244,
  [SMALL_STATE(1103)] = 46347,
  [SMALL_STATE(1104)] = 46446,
  [SMALL_STATE(1105)] = 46545,
  [SMALL_STATE(1106)] = 46648,
  [SMALL_STATE(1107)] = 46739,
  [SMALL_STATE(1108)] = 46794,
  [SMALL_STATE(1109)] = 46897,
  [SMALL_STATE(1110)] = 47000,
  [SMALL_STATE(1111)] = 47103,
  [SMALL_STATE(1112)] = 47206,
  [SMALL_STATE(1113)] = 47295,
  [SMALL_STATE(1114)] = 47394,
  [SMALL_STATE(1115)] = 47481,
  [SMALL_STATE(1116)] = 47556,
  [SMALL_STATE(1117)] = 47611,
  [SMALL_STATE(1118)] = 47666,
  [SMALL_STATE(1119)] = 47765,
  [SMALL_STATE(1120)] = 47818,
  [SMALL_STATE(1121)] = 47911,
  [SMALL_STATE(1122)] = 48002,
  [SMALL_STATE(1123)] = 48059,
  [SMALL_STATE(1124)] = 48128,
  [SMALL_STATE(1125)] = 48231,
  [SMALL_STATE(1126)] = 48334,
  [SMALL_STATE(1127)] = 48413,
  [SMALL_STATE(1128)] = 48516,
  [SMALL_STATE(1129)] = 48615,
  [SMALL_STATE(1130)] = 48714,
  [SMALL_STATE(1131)] = 48813,
  [SMALL_STATE(1132)] = 48868,
  [SMALL_STATE(1133)] = 48967,
  [SMALL_STATE(1134)] = 49023,
  [SMALL_STATE(1135)] = 49075,
  [SMALL_STATE(1136)] = 49131,
  [SMALL_STATE(1137)] = 49183,
  [SMALL_STATE(1138)] = 49235,
  [SMALL_STATE(1139)] = 49287,
  [SMALL_STATE(1140)] = 49339,
  [SMALL_STATE(1141)] = 49397,
  [SMALL_STATE(1142)] = 49449,
  [SMALL_STATE(1143)] = 49505,
  [SMALL_STATE(1144)] = 49561,
  [SMALL_STATE(1145)] = 49613,
  [SMALL_STATE(1146)] = 49715,
  [SMALL_STATE(1147)] = 49767,
  [SMALL_STATE(1148)] = 49819,
  [SMALL_STATE(1149)] = 49875,
  [SMALL_STATE(1150)] = 49927,
  [SMALL_STATE(1151)] = 49983,
  [SMALL_STATE(1152)] = 50085,
  [SMALL_STATE(1153)] = 50187,
  [SMALL_STATE(1154)] = 50245,
  [SMALL_STATE(1155)] = 50297,
  [SMALL_STATE(1156)] = 50349,
  [SMALL_STATE(1157)] = 50407,
  [SMALL_STATE(1158)] = 50459,
  [SMALL_STATE(1159)] = 50511,
  [SMALL_STATE(1160)] = 50565,
  [SMALL_STATE(1161)] = 50667,
  [SMALL_STATE(1162)] = 50719,
  [SMALL_STATE(1163)] = 50821,
  [SMALL_STATE(1164)] = 50873,
  [SMALL_STATE(1165)] = 50925,
  [SMALL_STATE(1166)] = 50977,
  [SMALL_STATE(1167)] = 51033,
  [SMALL_STATE(1168)] = 51085,
  [SMALL_STATE(1169)] = 51137,
  [SMALL_STATE(1170)] = 51189,
  [SMALL_STATE(1171)] = 51291,
  [SMALL_STATE(1172)] = 51343,
  [SMALL_STATE(1173)] = 51395,
  [SMALL_STATE(1174)] = 51447,
  [SMALL_STATE(1175)] = 51549,
  [SMALL_STATE(1176)] = 51601,
  [SMALL_STATE(1177)] = 51653,
  [SMALL_STATE(1178)] = 51705,
  [SMALL_STATE(1179)] = 51807,
  [SMALL_STATE(1180)] = 51859,
  [SMALL_STATE(1181)] = 51961,
  [SMALL_STATE(1182)] = 52013,
  [SMALL_STATE(1183)] = 52069,
  [SMALL_STATE(1184)] = 52171,
  [SMALL_STATE(1185)] = 52227,
  [SMALL_STATE(1186)] = 52329,
  [SMALL_STATE(1187)] = 52381,
  [SMALL_STATE(1188)] = 52479,
  [SMALL_STATE(1189)] = 52531,
  [SMALL_STATE(1190)] = 52583,
  [SMALL_STATE(1191)] = 52685,
  [SMALL_STATE(1192)] = 52737,
  [SMALL_STATE(1193)] = 52793,
  [SMALL_STATE(1194)] = 52845,
  [SMALL_STATE(1195)] = 52947,
  [SMALL_STATE(1196)] = 53049,
  [SMALL_STATE(1197)] = 53103,
  [SMALL_STATE(1198)] = 53205,
  [SMALL_STATE(1199)] = 53307,
  [SMALL_STATE(1200)] = 53405,
  [SMALL_STATE(1201)] = 53507,
  [SMALL_STATE(1202)] = 53609,
  [SMALL_STATE(1203)] = 53711,
  [SMALL_STATE(1204)] = 53813,
  [SMALL_STATE(1205)] = 53865,
  [SMALL_STATE(1206)] = 53967,
  [SMALL_STATE(1207)] = 54019,
  [SMALL_STATE(1208)] = 54121,
  [SMALL_STATE(1209)] = 54173,
  [SMALL_STATE(1210)] = 54275,
  [SMALL_STATE(1211)] = 54327,
  [SMALL_STATE(1212)] = 54383,
  [SMALL_STATE(1213)] = 54435,
  [SMALL_STATE(1214)] = 54537,
  [SMALL_STATE(1215)] = 54639,
  [SMALL_STATE(1216)] = 54741,
  [SMALL_STATE(1217)] = 54843,
  [SMALL_STATE(1218)] = 54895,
  [SMALL_STATE(1219)] = 54947,
  [SMALL_STATE(1220)] = 54999,
  [SMALL_STATE(1221)] = 55055,
  [SMALL_STATE(1222)] = 55109,
  [SMALL_STATE(1223)] = 55161,
  [SMALL_STATE(1224)] = 55213,
  [SMALL_STATE(1225)] = 55315,
  [SMALL_STATE(1226)] = 55417,
  [SMALL_STATE(1227)] = 55469,
  [SMALL_STATE(1228)] = 55521,
  [SMALL_STATE(1229)] = 55623,
  [SMALL_STATE(1230)] = 55675,
  [SMALL_STATE(1231)] = 55727,
  [SMALL_STATE(1232)] = 55825,
  [SMALL_STATE(1233)] = 55877,
  [SMALL_STATE(1234)] = 55979,
  [SMALL_STATE(1235)] = 56081,
  [SMALL_STATE(1236)] = 56139,
  [SMALL_STATE(1237)] = 56241,
  [SMALL_STATE(1238)] = 56343,
  [SMALL_STATE(1239)] = 56399,
  [SMALL_STATE(1240)] = 56455,
  [SMALL_STATE(1241)] = 56507,
  [SMALL_STATE(1242)] = 56609,
  [SMALL_STATE(1243)] = 56663,
  [SMALL_STATE(1244)] = 56715,
  [SMALL_STATE(1245)] = 56767,
  [SMALL_STATE(1246)] = 56825,
  [SMALL_STATE(1247)] = 56914,
  [SMALL_STATE(1248)] = 56981,
  [SMALL_STATE(1249)] = 57080,
  [SMALL_STATE(1250)] = 57177,
  [SMALL_STATE(1251)] = 57274,
  [SMALL_STATE(1252)] = 57373,
  [SMALL_STATE(1253)] = 57470,
  [SMALL_STATE(1254)] = 57567,
  [SMALL_STATE(1255)] = 57658,
  [SMALL_STATE(1256)] = 57755,
  [SMALL_STATE(1257)] = 57852,
  [SMALL_STATE(1258)] = 57925,
  [SMALL_STATE(1259)] = 58022,
  [SMALL_STATE(1260)] = 58119,
  [SMALL_STATE(1261)] = 58204,
  [SMALL_STATE(1262)] = 58301,
  [SMALL_STATE(1263)] = 58388,
  [SMALL_STATE(1264)] = 58485,
  [SMALL_STATE(1265)] = 58556,
  [SMALL_STATE(1266)] = 58655,
  [SMALL_STATE(1267)] = 58752,
  [SMALL_STATE(1268)] = 58807,
  [SMALL_STATE(1269)] = 58904,
  [SMALL_STATE(1270)] = 58959,
  [SMALL_STATE(1271)] = 59014,
  [SMALL_STATE(1272)] = 59113,
  [SMALL_STATE(1273)] = 59210,
  [SMALL_STATE(1274)] = 59299,
  [SMALL_STATE(1275)] = 59396,
  [SMALL_STATE(1276)] = 59493,
  [SMALL_STATE(1277)] = 59586,
  [SMALL_STATE(1278)] = 59683,
  [SMALL_STATE(1279)] = 59750,
  [SMALL_STATE(1280)] = 59847,
  [SMALL_STATE(1281)] = 59944,
  [SMALL_STATE(1282)] = 60043,
  [SMALL_STATE(1283)] = 60140,
  [SMALL_STATE(1284)] = 60221,
  [SMALL_STATE(1285)] = 60318,
  [SMALL_STATE(1286)] = 60395,
  [SMALL_STATE(1287)] = 60491,
  [SMALL_STATE(1288)] = 60587,
  [SMALL_STATE(1289)] = 60683,
  [SMALL_STATE(1290)] = 60763,
  [SMALL_STATE(1291)] = 60855,
  [SMALL_STATE(1292)] = 60951,
  [SMALL_STATE(1293)] = 61047,
  [SMALL_STATE(1294)] = 61117,
  [SMALL_STATE(1295)] = 61173,
  [SMALL_STATE(1296)] = 61269,
  [SMALL_STATE(1297)] = 61325,
  [SMALL_STATE(1298)] = 61381,
  [SMALL_STATE(1299)] = 61477,
  [SMALL_STATE(1300)] = 61573,
  [SMALL_STATE(1301)] = 61661,
  [SMALL_STATE(1302)] = 61757,
  [SMALL_STATE(1303)] = 61853,
  [SMALL_STATE(1304)] = 61949,
  [SMALL_STATE(1305)] = 62035,
  [SMALL_STATE(1306)] = 62119,
  [SMALL_STATE(1307)] = 62185,
  [SMALL_STATE(1308)] = 62257,
  [SMALL_STATE(1309)] = 62355,
  [SMALL_STATE(1310)] = 62445,
  [SMALL_STATE(1311)] = 62533,
  [SMALL_STATE(1312)] = 62589,
  [SMALL_STATE(1313)] = 62685,
  [SMALL_STATE(1314)] = 62781,
  [SMALL_STATE(1315)] = 62877,
  [SMALL_STATE(1316)] = 62973,
  [SMALL_STATE(1317)] = 63069,
  [SMALL_STATE(1318)] = 63165,
  [SMALL_STATE(1319)] = 63261,
  [SMALL_STATE(1320)] = 63357,
  [SMALL_STATE(1321)] = 63453,
  [SMALL_STATE(1322)] = 63529,
  [SMALL_STATE(1323)] = 63595,
  [SMALL_STATE(1324)] = 63688,
  [SMALL_STATE(1325)] = 63783,
  [SMALL_STATE(1326)] = 63838,
  [SMALL_STATE(1327)] = 63931,
  [SMALL_STATE(1328)] = 64026,
  [SMALL_STATE(1329)] = 64121,
  [SMALL_STATE(1330)] = 64176,
  [SMALL_STATE(1331)] = 64271,
  [SMALL_STATE(1332)] = 64326,
  [SMALL_STATE(1333)] = 64377,
  [SMALL_STATE(1334)] = 64472,
  [SMALL_STATE(1335)] = 64567,
  [SMALL_STATE(1336)] = 64662,
  [SMALL_STATE(1337)] = 64717,
  [SMALL_STATE(1338)] = 64768,
  [SMALL_STATE(1339)] = 64855,
  [SMALL_STATE(1340)] = 64942,
  [SMALL_STATE(1341)] = 65029,
  [SMALL_STATE(1342)] = 65116,
  [SMALL_STATE(1343)] = 65203,
  [SMALL_STATE(1344)] = 65290,
  [SMALL_STATE(1345)] = 65377,
  [SMALL_STATE(1346)] = 65464,
  [SMALL_STATE(1347)] = 65551,
  [SMALL_STATE(1348)] = 65638,
  [SMALL_STATE(1349)] = 65725,
  [SMALL_STATE(1350)] = 65812,
  [SMALL_STATE(1351)] = 65897,
  [SMALL_STATE(1352)] = 65984,
  [SMALL_STATE(1353)] = 66071,
  [SMALL_STATE(1354)] = 66158,
  [SMALL_STATE(1355)] = 66245,
  [SMALL_STATE(1356)] = 66332,
  [SMALL_STATE(1357)] = 66419,
  [SMALL_STATE(1358)] = 66506,
  [SMALL_STATE(1359)] = 66593,
  [SMALL_STATE(1360)] = 66680,
  [SMALL_STATE(1361)] = 66767,
  [SMALL_STATE(1362)] = 66854,
  [SMALL_STATE(1363)] = 66931,
  [SMALL_STATE(1364)] = 67003,
  [SMALL_STATE(1365)] = 67069,
  [SMALL_STATE(1366)] = 67135,
  [SMALL_STATE(1367)] = 67196,
  [SMALL_STATE(1368)] = 67261,
  [SMALL_STATE(1369)] = 67326,
  [SMALL_STATE(1370)] = 67389,
  [SMALL_STATE(1371)] = 67454,
  [SMALL_STATE(1372)] = 67517,
  [SMALL_STATE(1373)] = 67582,
  [SMALL_STATE(1374)] = 67645,
  [SMALL_STATE(1375)] = 67710,
  [SMALL_STATE(1376)] = 67773,
  [SMALL_STATE(1377)] = 67836,
  [SMALL_STATE(1378)] = 67899,
  [SMALL_STATE(1379)] = 67962,
  [SMALL_STATE(1380)] = 68027,
  [SMALL_STATE(1381)] = 68092,
  [SMALL_STATE(1382)] = 68150,
  [SMALL_STATE(1383)] = 68208,
  [SMALL_STATE(1384)] = 68266,
  [SMALL_STATE(1385)] = 68324,
  [SMALL_STATE(1386)] = 68382,
  [SMALL_STATE(1387)] = 68442,
  [SMALL_STATE(1388)] = 68500,
  [SMALL_STATE(1389)] = 68558,
  [SMALL_STATE(1390)] = 68615,
  [SMALL_STATE(1391)] = 68674,
  [SMALL_STATE(1392)] = 68731,
  [SMALL_STATE(1393)] = 68798,
  [SMALL_STATE(1394)] = 68853,
  [SMALL_STATE(1395)] = 68905,
  [SMALL_STATE(1396)] = 68967,
  [SMALL_STATE(1397)] = 69021,
  [SMALL_STATE(1398)] = 69075,
  [SMALL_STATE(1399)] = 69127,
  [SMALL_STATE(1400)] = 69179,
  [SMALL_STATE(1401)] = 69235,
  [SMALL_STATE(1402)] = 69289,
  [SMALL_STATE(1403)] = 69351,
  [SMALL_STATE(1404)] = 69401,
  [SMALL_STATE(1405)] = 69453,
  [SMALL_STATE(1406)] = 69500,
  [SMALL_STATE(1407)] = 69547,
  [SMALL_STATE(1408)] = 69594,
  [SMALL_STATE(1409)] = 69641,
  [SMALL_STATE(1410)] = 69678,
  [SMALL_STATE(1411)] = 69711,
  [SMALL_STATE(1412)] = 69758,
  [SMALL_STATE(1413)] = 69805,
  [SMALL_STATE(1414)] = 69838,
  [SMALL_STATE(1415)] = 69885,
  [SMALL_STATE(1416)] = 69915,
  [SMALL_STATE(1417)] = 69945,
  [SMALL_STATE(1418)] = 69975,
  [SMALL_STATE(1419)] = 70005,
  [SMALL_STATE(1420)] = 70035,
  [SMALL_STATE(1421)] = 70065,
  [SMALL_STATE(1422)] = 70095,
  [SMALL_STATE(1423)] = 70125,
  [SMALL_STATE(1424)] = 70155,
  [SMALL_STATE(1425)] = 70185,
  [SMALL_STATE(1426)] = 70215,
  [SMALL_STATE(1427)] = 70247,
  [SMALL_STATE(1428)] = 70277,
  [SMALL_STATE(1429)] = 70307,
  [SMALL_STATE(1430)] = 70337,
  [SMALL_STATE(1431)] = 70367,
  [SMALL_STATE(1432)] = 70397,
  [SMALL_STATE(1433)] = 70427,
  [SMALL_STATE(1434)] = 70457,
  [SMALL_STATE(1435)] = 70487,
  [SMALL_STATE(1436)] = 70517,
  [SMALL_STATE(1437)] = 70547,
  [SMALL_STATE(1438)] = 70577,
  [SMALL_STATE(1439)] = 70607,
  [SMALL_STATE(1440)] = 70637,
  [SMALL_STATE(1441)] = 70667,
  [SMALL_STATE(1442)] = 70701,
  [SMALL_STATE(1443)] = 70731,
  [SMALL_STATE(1444)] = 70767,
  [SMALL_STATE(1445)] = 70797,
  [SMALL_STATE(1446)] = 70827,
  [SMALL_STATE(1447)] = 70857,
  [SMALL_STATE(1448)] = 70887,
  [SMALL_STATE(1449)] = 70917,
  [SMALL_STATE(1450)] = 70947,
  [SMALL_STATE(1451)] = 70977,
  [SMALL_STATE(1452)] = 71007,
  [SMALL_STATE(1453)] = 71037,
  [SMALL_STATE(1454)] = 71067,
  [SMALL_STATE(1455)] = 71097,
  [SMALL_STATE(1456)] = 71127,
  [SMALL_STATE(1457)] = 71157,
  [SMALL_STATE(1458)] = 71187,
  [SMALL_STATE(1459)] = 71236,
  [SMALL_STATE(1460)] = 71283,
  [SMALL_STATE(1461)] = 71332,
  [SMALL_STATE(1462)] = 71383,
  [SMALL_STATE(1463)] = 71430,
  [SMALL_STATE(1464)] = 71475,
  [SMALL_STATE(1465)] = 71526,
  [SMALL_STATE(1466)] = 71559,
  [SMALL_STATE(1467)] = 71608,
  [SMALL_STATE(1468)] = 71657,
  [SMALL_STATE(1469)] = 71686,
  [SMALL_STATE(1470)] = 71728,
  [SMALL_STATE(1471)] = 71770,
  [SMALL_STATE(1472)] = 71812,
  [SMALL_STATE(1473)] = 71840,
  [SMALL_STATE(1474)] = 71888,
  [SMALL_STATE(1475)] = 71934,
  [SMALL_STATE(1476)] = 71976,
  [SMALL_STATE(1477)] = 72024,
  [SMALL_STATE(1478)] = 72066,
  [SMALL_STATE(1479)] = 72108,
  [SMALL_STATE(1480)] = 72150,
  [SMALL_STATE(1481)] = 72178,
  [SMALL_STATE(1482)] = 72220,
  [SMALL_STATE(1483)] = 72262,
  [SMALL_STATE(1484)] = 72304,
  [SMALL_STATE(1485)] = 72350,
  [SMALL_STATE(1486)] = 72392,
  [SMALL_STATE(1487)] = 72434,
  [SMALL_STATE(1488)] = 72462,
  [SMALL_STATE(1489)] = 72504,
  [SMALL_STATE(1490)] = 72546,
  [SMALL_STATE(1491)] = 72594,
  [SMALL_STATE(1492)] = 72636,
  [SMALL_STATE(1493)] = 72678,
  [SMALL_STATE(1494)] = 72720,
  [SMALL_STATE(1495)] = 72762,
  [SMALL_STATE(1496)] = 72804,
  [SMALL_STATE(1497)] = 72846,
  [SMALL_STATE(1498)] = 72888,
  [SMALL_STATE(1499)] = 72916,
  [SMALL_STATE(1500)] = 72964,
  [SMALL_STATE(1501)] = 73006,
  [SMALL_STATE(1502)] = 73048,
  [SMALL_STATE(1503)] = 73090,
  [SMALL_STATE(1504)] = 73138,
  [SMALL_STATE(1505)] = 73166,
  [SMALL_STATE(1506)] = 73194,
  [SMALL_STATE(1507)] = 73242,
  [SMALL_STATE(1508)] = 73290,
  [SMALL_STATE(1509)] = 73317,
  [SMALL_STATE(1510)] = 73344,
  [SMALL_STATE(1511)] = 73383,
  [SMALL_STATE(1512)] = 73422,
  [SMALL_STATE(1513)] = 73461,
  [SMALL_STATE(1514)] = 73488,
  [SMALL_STATE(1515)] = 73515,
  [SMALL_STATE(1516)] = 73542,
  [SMALL_STATE(1517)] = 73569,
  [SMALL_STATE(1518)] = 73608,
  [SMALL_STATE(1519)] = 73647,
  [SMALL_STATE(1520)] = 73686,
  [SMALL_STATE(1521)] = 73725,
  [SMALL_STATE(1522)] = 73752,
  [SMALL_STATE(1523)] = 73791,
  [SMALL_STATE(1524)] = 73830,
  [SMALL_STATE(1525)] = 73857,
  [SMALL_STATE(1526)] = 73884,
  [SMALL_STATE(1527)] = 73911,
  [SMALL_STATE(1528)] = 73950,
  [SMALL_STATE(1529)] = 73989,
  [SMALL_STATE(1530)] = 74016,
  [SMALL_STATE(1531)] = 74055,
  [SMALL_STATE(1532)] = 74094,
  [SMALL_STATE(1533)] = 74133,
  [SMALL_STATE(1534)] = 74172,
  [SMALL_STATE(1535)] = 74211,
  [SMALL_STATE(1536)] = 74250,
  [SMALL_STATE(1537)] = 74289,
  [SMALL_STATE(1538)] = 74330,
  [SMALL_STATE(1539)] = 74371,
  [SMALL_STATE(1540)] = 74412,
  [SMALL_STATE(1541)] = 74451,
  [SMALL_STATE(1542)] = 74492,
  [SMALL_STATE(1543)] = 74533,
  [SMALL_STATE(1544)] = 74574,
  [SMALL_STATE(1545)] = 74615,
  [SMALL_STATE(1546)] = 74656,
  [SMALL_STATE(1547)] = 74697,
  [SMALL_STATE(1548)] = 74738,
  [SMALL_STATE(1549)] = 74779,
  [SMALL_STATE(1550)] = 74820,
  [SMALL_STATE(1551)] = 74856,
  [SMALL_STATE(1552)] = 74895,
  [SMALL_STATE(1553)] = 74934,
  [SMALL_STATE(1554)] = 74973,
  [SMALL_STATE(1555)] = 75012,
  [SMALL_STATE(1556)] = 75048,
  [SMALL_STATE(1557)] = 75084,
  [SMALL_STATE(1558)] = 75120,
  [SMALL_STATE(1559)] = 75156,
  [SMALL_STATE(1560)] = 75192,
  [SMALL_STATE(1561)] = 75228,
  [SMALL_STATE(1562)] = 75264,
  [SMALL_STATE(1563)] = 75300,
  [SMALL_STATE(1564)] = 75329,
  [SMALL_STATE(1565)] = 75362,
  [SMALL_STATE(1566)] = 75395,
  [SMALL_STATE(1567)] = 75428,
  [SMALL_STATE(1568)] = 75461,
  [SMALL_STATE(1569)] = 75494,
  [SMALL_STATE(1570)] = 75527,
  [SMALL_STATE(1571)] = 75560,
  [SMALL_STATE(1572)] = 75593,
  [SMALL_STATE(1573)] = 75624,
  [SMALL_STATE(1574)] = 75657,
  [SMALL_STATE(1575)] = 75690,
  [SMALL_STATE(1576)] = 75723,
  [SMALL_STATE(1577)] = 75756,
  [SMALL_STATE(1578)] = 75789,
  [SMALL_STATE(1579)] = 75822,
  [SMALL_STATE(1580)] = 75855,
  [SMALL_STATE(1581)] = 75888,
  [SMALL_STATE(1582)] = 75921,
  [SMALL_STATE(1583)] = 75952,
  [SMALL_STATE(1584)] = 75985,
  [SMALL_STATE(1585)] = 76018,
  [SMALL_STATE(1586)] = 76051,
  [SMALL_STATE(1587)] = 76085,
  [SMALL_STATE(1588)] = 76119,
  [SMALL_STATE(1589)] = 76138,
  [SMALL_STATE(1590)] = 76167,
  [SMALL_STATE(1591)] = 76196,
  [SMALL_STATE(1592)] = 76225,
  [SMALL_STATE(1593)] = 76254,
  [SMALL_STATE(1594)] = 76283,
  [SMALL_STATE(1595)] = 76314,
  [SMALL_STATE(1596)] = 76345,
  [SMALL_STATE(1597)] = 76368,
  [SMALL_STATE(1598)] = 76397,
  [SMALL_STATE(1599)] = 76426,
  [SMALL_STATE(1600)] = 76455,
  [SMALL_STATE(1601)] = 76480,
  [SMALL_STATE(1602)] = 76509,
  [SMALL_STATE(1603)] = 76528,
  [SMALL_STATE(1604)] = 76559,
  [SMALL_STATE(1605)] = 76578,
  [SMALL_STATE(1606)] = 76607,
  [SMALL_STATE(1607)] = 76626,
  [SMALL_STATE(1608)] = 76655,
  [SMALL_STATE(1609)] = 76684,
  [SMALL_STATE(1610)] = 76713,
  [SMALL_STATE(1611)] = 76744,
  [SMALL_STATE(1612)] = 76769,
  [SMALL_STATE(1613)] = 76788,
  [SMALL_STATE(1614)] = 76817,
  [SMALL_STATE(1615)] = 76846,
  [SMALL_STATE(1616)] = 76875,
  [SMALL_STATE(1617)] = 76904,
  [SMALL_STATE(1618)] = 76933,
  [SMALL_STATE(1619)] = 76962,
  [SMALL_STATE(1620)] = 76991,
  [SMALL_STATE(1621)] = 77012,
  [SMALL_STATE(1622)] = 77031,
  [SMALL_STATE(1623)] = 77052,
  [SMALL_STATE(1624)] = 77078,
  [SMALL_STATE(1625)] = 77096,
  [SMALL_STATE(1626)] = 77122,
  [SMALL_STATE(1627)] = 77146,
  [SMALL_STATE(1628)] = 77172,
  [SMALL_STATE(1629)] = 77190,
  [SMALL_STATE(1630)] = 77208,
  [SMALL_STATE(1631)] = 77234,
  [SMALL_STATE(1632)] = 77252,
  [SMALL_STATE(1633)] = 77270,
  [SMALL_STATE(1634)] = 77288,
  [SMALL_STATE(1635)] = 77314,
  [SMALL_STATE(1636)] = 77332,
  [SMALL_STATE(1637)] = 77358,
  [SMALL_STATE(1638)] = 77376,
  [SMALL_STATE(1639)] = 77394,
  [SMALL_STATE(1640)] = 77420,
  [SMALL_STATE(1641)] = 77438,
  [SMALL_STATE(1642)] = 77456,
  [SMALL_STATE(1643)] = 77484,
  [SMALL_STATE(1644)] = 77502,
  [SMALL_STATE(1645)] = 77528,
  [SMALL_STATE(1646)] = 77546,
  [SMALL_STATE(1647)] = 77572,
  [SMALL_STATE(1648)] = 77598,
  [SMALL_STATE(1649)] = 77616,
  [SMALL_STATE(1650)] = 77642,
  [SMALL_STATE(1651)] = 77666,
  [SMALL_STATE(1652)] = 77692,
  [SMALL_STATE(1653)] = 77710,
  [SMALL_STATE(1654)] = 77736,
  [SMALL_STATE(1655)] = 77754,
  [SMALL_STATE(1656)] = 77772,
  [SMALL_STATE(1657)] = 77798,
  [SMALL_STATE(1658)] = 77816,
  [SMALL_STATE(1659)] = 77840,
  [SMALL_STATE(1660)] = 77858,
  [SMALL_STATE(1661)] = 77876,
  [SMALL_STATE(1662)] = 77896,
  [SMALL_STATE(1663)] = 77922,
  [SMALL_STATE(1664)] = 77940,
  [SMALL_STATE(1665)] = 77958,
  [SMALL_STATE(1666)] = 77976,
  [SMALL_STATE(1667)] = 78002,
  [SMALL_STATE(1668)] = 78020,
  [SMALL_STATE(1669)] = 78038,
  [SMALL_STATE(1670)] = 78056,
  [SMALL_STATE(1671)] = 78074,
  [SMALL_STATE(1672)] = 78100,
  [SMALL_STATE(1673)] = 78126,
  [SMALL_STATE(1674)] = 78152,
  [SMALL_STATE(1675)] = 78178,
  [SMALL_STATE(1676)] = 78196,
  [SMALL_STATE(1677)] = 78214,
  [SMALL_STATE(1678)] = 78240,
  [SMALL_STATE(1679)] = 78268,
  [SMALL_STATE(1680)] = 78286,
  [SMALL_STATE(1681)] = 78312,
  [SMALL_STATE(1682)] = 78338,
  [SMALL_STATE(1683)] = 78364,
  [SMALL_STATE(1684)] = 78382,
  [SMALL_STATE(1685)] = 78400,
  [SMALL_STATE(1686)] = 78422,
  [SMALL_STATE(1687)] = 78448,
  [SMALL_STATE(1688)] = 78468,
  [SMALL_STATE(1689)] = 78494,
  [SMALL_STATE(1690)] = 78512,
  [SMALL_STATE(1691)] = 78538,
  [SMALL_STATE(1692)] = 78556,
  [SMALL_STATE(1693)] = 78582,
  [SMALL_STATE(1694)] = 78607,
  [SMALL_STATE(1695)] = 78624,
  [SMALL_STATE(1696)] = 78645,
  [SMALL_STATE(1697)] = 78662,
  [SMALL_STATE(1698)] = 78679,
  [SMALL_STATE(1699)] = 78704,
  [SMALL_STATE(1700)] = 78729,
  [SMALL_STATE(1701)] = 78752,
  [SMALL_STATE(1702)] = 78777,
  [SMALL_STATE(1703)] = 78794,
  [SMALL_STATE(1704)] = 78819,
  [SMALL_STATE(1705)] = 78844,
  [SMALL_STATE(1706)] = 78869,
  [SMALL_STATE(1707)] = 78894,
  [SMALL_STATE(1708)] = 78919,
  [SMALL_STATE(1709)] = 78944,
  [SMALL_STATE(1710)] = 78969,
  [SMALL_STATE(1711)] = 78990,
  [SMALL_STATE(1712)] = 79015,
  [SMALL_STATE(1713)] = 79040,
  [SMALL_STATE(1714)] = 79065,
  [SMALL_STATE(1715)] = 79090,
  [SMALL_STATE(1716)] = 79115,
  [SMALL_STATE(1717)] = 79140,
  [SMALL_STATE(1718)] = 79165,
  [SMALL_STATE(1719)] = 79190,
  [SMALL_STATE(1720)] = 79215,
  [SMALL_STATE(1721)] = 79240,
  [SMALL_STATE(1722)] = 79265,
  [SMALL_STATE(1723)] = 79284,
  [SMALL_STATE(1724)] = 79309,
  [SMALL_STATE(1725)] = 79334,
  [SMALL_STATE(1726)] = 79359,
  [SMALL_STATE(1727)] = 79376,
  [SMALL_STATE(1728)] = 79401,
  [SMALL_STATE(1729)] = 79420,
  [SMALL_STATE(1730)] = 79445,
  [SMALL_STATE(1731)] = 79470,
  [SMALL_STATE(1732)] = 79495,
  [SMALL_STATE(1733)] = 79512,
  [SMALL_STATE(1734)] = 79533,
  [SMALL_STATE(1735)] = 79558,
  [SMALL_STATE(1736)] = 79575,
  [SMALL_STATE(1737)] = 79592,
  [SMALL_STATE(1738)] = 79617,
  [SMALL_STATE(1739)] = 79638,
  [SMALL_STATE(1740)] = 79655,
  [SMALL_STATE(1741)] = 79672,
  [SMALL_STATE(1742)] = 79689,
  [SMALL_STATE(1743)] = 79714,
  [SMALL_STATE(1744)] = 79731,
  [SMALL_STATE(1745)] = 79748,
  [SMALL_STATE(1746)] = 79765,
  [SMALL_STATE(1747)] = 79782,
  [SMALL_STATE(1748)] = 79801,
  [SMALL_STATE(1749)] = 79826,
  [SMALL_STATE(1750)] = 79843,
  [SMALL_STATE(1751)] = 79860,
  [SMALL_STATE(1752)] = 79877,
  [SMALL_STATE(1753)] = 79894,
  [SMALL_STATE(1754)] = 79911,
  [SMALL_STATE(1755)] = 79933,
  [SMALL_STATE(1756)] = 79951,
  [SMALL_STATE(1757)] = 79973,
  [SMALL_STATE(1758)] = 79995,
  [SMALL_STATE(1759)] = 80015,
  [SMALL_STATE(1760)] = 80035,
  [SMALL_STATE(1761)] = 80055,
  [SMALL_STATE(1762)] = 80077,
  [SMALL_STATE(1763)] = 80099,
  [SMALL_STATE(1764)] = 80121,
  [SMALL_STATE(1765)] = 80141,
  [SMALL_STATE(1766)] = 80161,
  [SMALL_STATE(1767)] = 80181,
  [SMALL_STATE(1768)] = 80201,
  [SMALL_STATE(1769)] = 80221,
  [SMALL_STATE(1770)] = 80241,
  [SMALL_STATE(1771)] = 80261,
  [SMALL_STATE(1772)] = 80283,
  [SMALL_STATE(1773)] = 80305,
  [SMALL_STATE(1774)] = 80321,
  [SMALL_STATE(1775)] = 80343,
  [SMALL_STATE(1776)] = 80365,
  [SMALL_STATE(1777)] = 80385,
  [SMALL_STATE(1778)] = 80405,
  [SMALL_STATE(1779)] = 80423,
  [SMALL_STATE(1780)] = 80439,
  [SMALL_STATE(1781)] = 80459,
  [SMALL_STATE(1782)] = 80477,
  [SMALL_STATE(1783)] = 80497,
  [SMALL_STATE(1784)] = 80517,
  [SMALL_STATE(1785)] = 80537,
  [SMALL_STATE(1786)] = 80559,
  [SMALL_STATE(1787)] = 80579,
  [SMALL_STATE(1788)] = 80599,
  [SMALL_STATE(1789)] = 80621,
  [SMALL_STATE(1790)] = 80643,
  [SMALL_STATE(1791)] = 80663,
  [SMALL_STATE(1792)] = 80683,
  [SMALL_STATE(1793)] = 80705,
  [SMALL_STATE(1794)] = 80727,
  [SMALL_STATE(1795)] = 80749,
  [SMALL_STATE(1796)] = 80771,
  [SMALL_STATE(1797)] = 80793,
  [SMALL_STATE(1798)] = 80815,
  [SMALL_STATE(1799)] = 80835,
  [SMALL_STATE(1800)] = 80855,
  [SMALL_STATE(1801)] = 80875,
  [SMALL_STATE(1802)] = 80897,
  [SMALL_STATE(1803)] = 80917,
  [SMALL_STATE(1804)] = 80937,
  [SMALL_STATE(1805)] = 80957,
  [SMALL_STATE(1806)] = 80979,
  [SMALL_STATE(1807)] = 80999,
  [SMALL_STATE(1808)] = 81021,
  [SMALL_STATE(1809)] = 81043,
  [SMALL_STATE(1810)] = 81063,
  [SMALL_STATE(1811)] = 81083,
  [SMALL_STATE(1812)] = 81105,
  [SMALL_STATE(1813)] = 81127,
  [SMALL_STATE(1814)] = 81147,
  [SMALL_STATE(1815)] = 81167,
  [SMALL_STATE(1816)] = 81183,
  [SMALL_STATE(1817)] = 81199,
  [SMALL_STATE(1818)] = 81219,
  [SMALL_STATE(1819)] = 81239,
  [SMALL_STATE(1820)] = 81259,
  [SMALL_STATE(1821)] = 81279,
  [SMALL_STATE(1822)] = 81301,
  [SMALL_STATE(1823)] = 81323,
  [SMALL_STATE(1824)] = 81341,
  [SMALL_STATE(1825)] = 81363,
  [SMALL_STATE(1826)] = 81385,
  [SMALL_STATE(1827)] = 81405,
  [SMALL_STATE(1828)] = 81427,
  [SMALL_STATE(1829)] = 81443,
  [SMALL_STATE(1830)] = 81465,
  [SMALL_STATE(1831)] = 81487,
  [SMALL_STATE(1832)] = 81509,
  [SMALL_STATE(1833)] = 81531,
  [SMALL_STATE(1834)] = 81553,
  [SMALL_STATE(1835)] = 81575,
  [SMALL_STATE(1836)] = 81593,
  [SMALL_STATE(1837)] = 81615,
  [SMALL_STATE(1838)] = 81635,
  [SMALL_STATE(1839)] = 81657,
  [SMALL_STATE(1840)] = 81679,
  [SMALL_STATE(1841)] = 81695,
  [SMALL_STATE(1842)] = 81711,
  [SMALL_STATE(1843)] = 81731,
  [SMALL_STATE(1844)] = 81753,
  [SMALL_STATE(1845)] = 81773,
  [SMALL_STATE(1846)] = 81795,
  [SMALL_STATE(1847)] = 81815,
  [SMALL_STATE(1848)] = 81837,
  [SMALL_STATE(1849)] = 81853,
  [SMALL_STATE(1850)] = 81875,
  [SMALL_STATE(1851)] = 81895,
  [SMALL_STATE(1852)] = 81915,
  [SMALL_STATE(1853)] = 81937,
  [SMALL_STATE(1854)] = 81957,
  [SMALL_STATE(1855)] = 81975,
  [SMALL_STATE(1856)] = 81995,
  [SMALL_STATE(1857)] = 82015,
  [SMALL_STATE(1858)] = 82037,
  [SMALL_STATE(1859)] = 82059,
  [SMALL_STATE(1860)] = 82079,
  [SMALL_STATE(1861)] = 82101,
  [SMALL_STATE(1862)] = 82123,
  [SMALL_STATE(1863)] = 82145,
  [SMALL_STATE(1864)] = 82167,
  [SMALL_STATE(1865)] = 82187,
  [SMALL_STATE(1866)] = 82207,
  [SMALL_STATE(1867)] = 82227,
  [SMALL_STATE(1868)] = 82247,
  [SMALL_STATE(1869)] = 82269,
  [SMALL_STATE(1870)] = 82289,
  [SMALL_STATE(1871)] = 82309,
  [SMALL_STATE(1872)] = 82329,
  [SMALL_STATE(1873)] = 82351,
  [SMALL_STATE(1874)] = 82373,
  [SMALL_STATE(1875)] = 82393,
  [SMALL_STATE(1876)] = 82415,
  [SMALL_STATE(1877)] = 82437,
  [SMALL_STATE(1878)] = 82453,
  [SMALL_STATE(1879)] = 82475,
  [SMALL_STATE(1880)] = 82495,
  [SMALL_STATE(1881)] = 82511,
  [SMALL_STATE(1882)] = 82529,
  [SMALL_STATE(1883)] = 82549,
  [SMALL_STATE(1884)] = 82571,
  [SMALL_STATE(1885)] = 82589,
  [SMALL_STATE(1886)] = 82611,
  [SMALL_STATE(1887)] = 82633,
  [SMALL_STATE(1888)] = 82649,
  [SMALL_STATE(1889)] = 82671,
  [SMALL_STATE(1890)] = 82693,
  [SMALL_STATE(1891)] = 82715,
  [SMALL_STATE(1892)] = 82737,
  [SMALL_STATE(1893)] = 82759,
  [SMALL_STATE(1894)] = 82781,
  [SMALL_STATE(1895)] = 82801,
  [SMALL_STATE(1896)] = 82823,
  [SMALL_STATE(1897)] = 82845,
  [SMALL_STATE(1898)] = 82867,
  [SMALL_STATE(1899)] = 82886,
  [SMALL_STATE(1900)] = 82905,
  [SMALL_STATE(1901)] = 82924,
  [SMALL_STATE(1902)] = 82943,
  [SMALL_STATE(1903)] = 82962,
  [SMALL_STATE(1904)] = 82979,
  [SMALL_STATE(1905)] = 82998,
  [SMALL_STATE(1906)] = 83017,
  [SMALL_STATE(1907)] = 83036,
  [SMALL_STATE(1908)] = 83055,
  [SMALL_STATE(1909)] = 83074,
  [SMALL_STATE(1910)] = 83089,
  [SMALL_STATE(1911)] = 83104,
  [SMALL_STATE(1912)] = 83119,
  [SMALL_STATE(1913)] = 83138,
  [SMALL_STATE(1914)] = 83155,
  [SMALL_STATE(1915)] = 83174,
  [SMALL_STATE(1916)] = 83191,
  [SMALL_STATE(1917)] = 83208,
  [SMALL_STATE(1918)] = 83225,
  [SMALL_STATE(1919)] = 83244,
  [SMALL_STATE(1920)] = 83263,
  [SMALL_STATE(1921)] = 83282,
  [SMALL_STATE(1922)] = 83301,
  [SMALL_STATE(1923)] = 83320,
  [SMALL_STATE(1924)] = 83337,
  [SMALL_STATE(1925)] = 83354,
  [SMALL_STATE(1926)] = 83371,
  [SMALL_STATE(1927)] = 83390,
  [SMALL_STATE(1928)] = 83409,
  [SMALL_STATE(1929)] = 83424,
  [SMALL_STATE(1930)] = 83441,
  [SMALL_STATE(1931)] = 83460,
  [SMALL_STATE(1932)] = 83479,
  [SMALL_STATE(1933)] = 83498,
  [SMALL_STATE(1934)] = 83517,
  [SMALL_STATE(1935)] = 83536,
  [SMALL_STATE(1936)] = 83555,
  [SMALL_STATE(1937)] = 83572,
  [SMALL_STATE(1938)] = 83591,
  [SMALL_STATE(1939)] = 83608,
  [SMALL_STATE(1940)] = 83625,
  [SMALL_STATE(1941)] = 83640,
  [SMALL_STATE(1942)] = 83655,
  [SMALL_STATE(1943)] = 83674,
  [SMALL_STATE(1944)] = 83689,
  [SMALL_STATE(1945)] = 83704,
  [SMALL_STATE(1946)] = 83721,
  [SMALL_STATE(1947)] = 83740,
  [SMALL_STATE(1948)] = 83759,
  [SMALL_STATE(1949)] = 83778,
  [SMALL_STATE(1950)] = 83797,
  [SMALL_STATE(1951)] = 83816,
  [SMALL_STATE(1952)] = 83835,
  [SMALL_STATE(1953)] = 83850,
  [SMALL_STATE(1954)] = 83865,
  [SMALL_STATE(1955)] = 83884,
  [SMALL_STATE(1956)] = 83901,
  [SMALL_STATE(1957)] = 83920,
  [SMALL_STATE(1958)] = 83939,
  [SMALL_STATE(1959)] = 83958,
  [SMALL_STATE(1960)] = 83977,
  [SMALL_STATE(1961)] = 83996,
  [SMALL_STATE(1962)] = 84015,
  [SMALL_STATE(1963)] = 84034,
  [SMALL_STATE(1964)] = 84051,
  [SMALL_STATE(1965)] = 84068,
  [SMALL_STATE(1966)] = 84087,
  [SMALL_STATE(1967)] = 84106,
  [SMALL_STATE(1968)] = 84125,
  [SMALL_STATE(1969)] = 84144,
  [SMALL_STATE(1970)] = 84163,
  [SMALL_STATE(1971)] = 84182,
  [SMALL_STATE(1972)] = 84201,
  [SMALL_STATE(1973)] = 84216,
  [SMALL_STATE(1974)] = 84235,
  [SMALL_STATE(1975)] = 84254,
  [SMALL_STATE(1976)] = 84269,
  [SMALL_STATE(1977)] = 84284,
  [SMALL_STATE(1978)] = 84303,
  [SMALL_STATE(1979)] = 84322,
  [SMALL_STATE(1980)] = 84341,
  [SMALL_STATE(1981)] = 84360,
  [SMALL_STATE(1982)] = 84379,
  [SMALL_STATE(1983)] = 84396,
  [SMALL_STATE(1984)] = 84415,
  [SMALL_STATE(1985)] = 84434,
  [SMALL_STATE(1986)] = 84453,
  [SMALL_STATE(1987)] = 84472,
  [SMALL_STATE(1988)] = 84489,
  [SMALL_STATE(1989)] = 84508,
  [SMALL_STATE(1990)] = 84527,
  [SMALL_STATE(1991)] = 84546,
  [SMALL_STATE(1992)] = 84565,
  [SMALL_STATE(1993)] = 84582,
  [SMALL_STATE(1994)] = 84597,
  [SMALL_STATE(1995)] = 84616,
  [SMALL_STATE(1996)] = 84635,
  [SMALL_STATE(1997)] = 84650,
  [SMALL_STATE(1998)] = 84669,
  [SMALL_STATE(1999)] = 84686,
  [SMALL_STATE(2000)] = 84701,
  [SMALL_STATE(2001)] = 84720,
  [SMALL_STATE(2002)] = 84739,
  [SMALL_STATE(2003)] = 84758,
  [SMALL_STATE(2004)] = 84777,
  [SMALL_STATE(2005)] = 84796,
  [SMALL_STATE(2006)] = 84811,
  [SMALL_STATE(2007)] = 84828,
  [SMALL_STATE(2008)] = 84843,
  [SMALL_STATE(2009)] = 84862,
  [SMALL_STATE(2010)] = 84881,
  [SMALL_STATE(2011)] = 84900,
  [SMALL_STATE(2012)] = 84919,
  [SMALL_STATE(2013)] = 84936,
  [SMALL_STATE(2014)] = 84955,
  [SMALL_STATE(2015)] = 84974,
  [SMALL_STATE(2016)] = 84991,
  [SMALL_STATE(2017)] = 85010,
  [SMALL_STATE(2018)] = 85029,
  [SMALL_STATE(2019)] = 85048,
  [SMALL_STATE(2020)] = 85067,
  [SMALL_STATE(2021)] = 85084,
  [SMALL_STATE(2022)] = 85101,
  [SMALL_STATE(2023)] = 85120,
  [SMALL_STATE(2024)] = 85139,
  [SMALL_STATE(2025)] = 85154,
  [SMALL_STATE(2026)] = 85169,
  [SMALL_STATE(2027)] = 85188,
  [SMALL_STATE(2028)] = 85207,
  [SMALL_STATE(2029)] = 85226,
  [SMALL_STATE(2030)] = 85245,
  [SMALL_STATE(2031)] = 85262,
  [SMALL_STATE(2032)] = 85281,
  [SMALL_STATE(2033)] = 85300,
  [SMALL_STATE(2034)] = 85319,
  [SMALL_STATE(2035)] = 85338,
  [SMALL_STATE(2036)] = 85357,
  [SMALL_STATE(2037)] = 85376,
  [SMALL_STATE(2038)] = 85393,
  [SMALL_STATE(2039)] = 85412,
  [SMALL_STATE(2040)] = 85431,
  [SMALL_STATE(2041)] = 85450,
  [SMALL_STATE(2042)] = 85465,
  [SMALL_STATE(2043)] = 85484,
  [SMALL_STATE(2044)] = 85503,
  [SMALL_STATE(2045)] = 85522,
  [SMALL_STATE(2046)] = 85541,
  [SMALL_STATE(2047)] = 85558,
  [SMALL_STATE(2048)] = 85575,
  [SMALL_STATE(2049)] = 85594,
  [SMALL_STATE(2050)] = 85613,
  [SMALL_STATE(2051)] = 85632,
  [SMALL_STATE(2052)] = 85651,
  [SMALL_STATE(2053)] = 85670,
  [SMALL_STATE(2054)] = 85684,
  [SMALL_STATE(2055)] = 85700,
  [SMALL_STATE(2056)] = 85716,
  [SMALL_STATE(2057)] = 85730,
  [SMALL_STATE(2058)] = 85746,
  [SMALL_STATE(2059)] = 85762,
  [SMALL_STATE(2060)] = 85778,
  [SMALL_STATE(2061)] = 85792,
  [SMALL_STATE(2062)] = 85806,
  [SMALL_STATE(2063)] = 85820,
  [SMALL_STATE(2064)] = 85836,
  [SMALL_STATE(2065)] = 85850,
  [SMALL_STATE(2066)] = 85864,
  [SMALL_STATE(2067)] = 85878,
  [SMALL_STATE(2068)] = 85894,
  [SMALL_STATE(2069)] = 85910,
  [SMALL_STATE(2070)] = 85926,
  [SMALL_STATE(2071)] = 85942,
  [SMALL_STATE(2072)] = 85958,
  [SMALL_STATE(2073)] = 85974,
  [SMALL_STATE(2074)] = 85990,
  [SMALL_STATE(2075)] = 86006,
  [SMALL_STATE(2076)] = 86020,
  [SMALL_STATE(2077)] = 86036,
  [SMALL_STATE(2078)] = 86050,
  [SMALL_STATE(2079)] = 86064,
  [SMALL_STATE(2080)] = 86080,
  [SMALL_STATE(2081)] = 86094,
  [SMALL_STATE(2082)] = 86110,
  [SMALL_STATE(2083)] = 86124,
  [SMALL_STATE(2084)] = 86140,
  [SMALL_STATE(2085)] = 86156,
  [SMALL_STATE(2086)] = 86172,
  [SMALL_STATE(2087)] = 86188,
  [SMALL_STATE(2088)] = 86202,
  [SMALL_STATE(2089)] = 86216,
  [SMALL_STATE(2090)] = 86230,
  [SMALL_STATE(2091)] = 86246,
  [SMALL_STATE(2092)] = 86260,
  [SMALL_STATE(2093)] = 86276,
  [SMALL_STATE(2094)] = 86292,
  [SMALL_STATE(2095)] = 86306,
  [SMALL_STATE(2096)] = 86320,
  [SMALL_STATE(2097)] = 86336,
  [SMALL_STATE(2098)] = 86350,
  [SMALL_STATE(2099)] = 86366,
  [SMALL_STATE(2100)] = 86382,
  [SMALL_STATE(2101)] = 86398,
  [SMALL_STATE(2102)] = 86414,
  [SMALL_STATE(2103)] = 86430,
  [SMALL_STATE(2104)] = 86446,
  [SMALL_STATE(2105)] = 86462,
  [SMALL_STATE(2106)] = 86478,
  [SMALL_STATE(2107)] = 86494,
  [SMALL_STATE(2108)] = 86510,
  [SMALL_STATE(2109)] = 86524,
  [SMALL_STATE(2110)] = 86540,
  [SMALL_STATE(2111)] = 86556,
  [SMALL_STATE(2112)] = 86572,
  [SMALL_STATE(2113)] = 86586,
  [SMALL_STATE(2114)] = 86602,
  [SMALL_STATE(2115)] = 86618,
  [SMALL_STATE(2116)] = 86632,
  [SMALL_STATE(2117)] = 86648,
  [SMALL_STATE(2118)] = 86664,
  [SMALL_STATE(2119)] = 86680,
  [SMALL_STATE(2120)] = 86696,
  [SMALL_STATE(2121)] = 86710,
  [SMALL_STATE(2122)] = 86724,
  [SMALL_STATE(2123)] = 86740,
  [SMALL_STATE(2124)] = 86756,
  [SMALL_STATE(2125)] = 86772,
  [SMALL_STATE(2126)] = 86788,
  [SMALL_STATE(2127)] = 86802,
  [SMALL_STATE(2128)] = 86818,
  [SMALL_STATE(2129)] = 86832,
  [SMALL_STATE(2130)] = 86848,
  [SMALL_STATE(2131)] = 86864,
  [SMALL_STATE(2132)] = 86880,
  [SMALL_STATE(2133)] = 86896,
  [SMALL_STATE(2134)] = 86912,
  [SMALL_STATE(2135)] = 86928,
  [SMALL_STATE(2136)] = 86944,
  [SMALL_STATE(2137)] = 86958,
  [SMALL_STATE(2138)] = 86974,
  [SMALL_STATE(2139)] = 86990,
  [SMALL_STATE(2140)] = 87006,
  [SMALL_STATE(2141)] = 87022,
  [SMALL_STATE(2142)] = 87038,
  [SMALL_STATE(2143)] = 87054,
  [SMALL_STATE(2144)] = 87070,
  [SMALL_STATE(2145)] = 87086,
  [SMALL_STATE(2146)] = 87100,
  [SMALL_STATE(2147)] = 87116,
  [SMALL_STATE(2148)] = 87132,
  [SMALL_STATE(2149)] = 87148,
  [SMALL_STATE(2150)] = 87164,
  [SMALL_STATE(2151)] = 87180,
  [SMALL_STATE(2152)] = 87196,
  [SMALL_STATE(2153)] = 87212,
  [SMALL_STATE(2154)] = 87228,
  [SMALL_STATE(2155)] = 87244,
  [SMALL_STATE(2156)] = 87260,
  [SMALL_STATE(2157)] = 87276,
  [SMALL_STATE(2158)] = 87292,
  [SMALL_STATE(2159)] = 87306,
  [SMALL_STATE(2160)] = 87320,
  [SMALL_STATE(2161)] = 87334,
  [SMALL_STATE(2162)] = 87350,
  [SMALL_STATE(2163)] = 87364,
  [SMALL_STATE(2164)] = 87380,
  [SMALL_STATE(2165)] = 87396,
  [SMALL_STATE(2166)] = 87412,
  [SMALL_STATE(2167)] = 87428,
  [SMALL_STATE(2168)] = 87442,
  [SMALL_STATE(2169)] = 87456,
  [SMALL_STATE(2170)] = 87470,
  [SMALL_STATE(2171)] = 87486,
  [SMALL_STATE(2172)] = 87500,
  [SMALL_STATE(2173)] = 87516,
  [SMALL_STATE(2174)] = 87532,
  [SMALL_STATE(2175)] = 87546,
  [SMALL_STATE(2176)] = 87560,
  [SMALL_STATE(2177)] = 87574,
  [SMALL_STATE(2178)] = 87590,
  [SMALL_STATE(2179)] = 87606,
  [SMALL_STATE(2180)] = 87622,
  [SMALL_STATE(2181)] = 87636,
  [SMALL_STATE(2182)] = 87650,
  [SMALL_STATE(2183)] = 87664,
  [SMALL_STATE(2184)] = 87678,
  [SMALL_STATE(2185)] = 87692,
  [SMALL_STATE(2186)] = 87706,
  [SMALL_STATE(2187)] = 87722,
  [SMALL_STATE(2188)] = 87736,
  [SMALL_STATE(2189)] = 87750,
  [SMALL_STATE(2190)] = 87764,
  [SMALL_STATE(2191)] = 87780,
  [SMALL_STATE(2192)] = 87794,
  [SMALL_STATE(2193)] = 87810,
  [SMALL_STATE(2194)] = 87826,
  [SMALL_STATE(2195)] = 87840,
  [SMALL_STATE(2196)] = 87854,
  [SMALL_STATE(2197)] = 87868,
  [SMALL_STATE(2198)] = 87884,
  [SMALL_STATE(2199)] = 87900,
  [SMALL_STATE(2200)] = 87914,
  [SMALL_STATE(2201)] = 87928,
  [SMALL_STATE(2202)] = 87944,
  [SMALL_STATE(2203)] = 87958,
  [SMALL_STATE(2204)] = 87972,
  [SMALL_STATE(2205)] = 87986,
  [SMALL_STATE(2206)] = 88002,
  [SMALL_STATE(2207)] = 88016,
  [SMALL_STATE(2208)] = 88032,
  [SMALL_STATE(2209)] = 88048,
  [SMALL_STATE(2210)] = 88064,
  [SMALL_STATE(2211)] = 88078,
  [SMALL_STATE(2212)] = 88092,
  [SMALL_STATE(2213)] = 88106,
  [SMALL_STATE(2214)] = 88120,
  [SMALL_STATE(2215)] = 88134,
  [SMALL_STATE(2216)] = 88148,
  [SMALL_STATE(2217)] = 88162,
  [SMALL_STATE(2218)] = 88178,
  [SMALL_STATE(2219)] = 88194,
  [SMALL_STATE(2220)] = 88210,
  [SMALL_STATE(2221)] = 88226,
  [SMALL_STATE(2222)] = 88242,
  [SMALL_STATE(2223)] = 88258,
  [SMALL_STATE(2224)] = 88272,
  [SMALL_STATE(2225)] = 88288,
  [SMALL_STATE(2226)] = 88304,
  [SMALL_STATE(2227)] = 88320,
  [SMALL_STATE(2228)] = 88336,
  [SMALL_STATE(2229)] = 88350,
  [SMALL_STATE(2230)] = 88364,
  [SMALL_STATE(2231)] = 88380,
  [SMALL_STATE(2232)] = 88394,
  [SMALL_STATE(2233)] = 88410,
  [SMALL_STATE(2234)] = 88426,
  [SMALL_STATE(2235)] = 88442,
  [SMALL_STATE(2236)] = 88458,
  [SMALL_STATE(2237)] = 88474,
  [SMALL_STATE(2238)] = 88490,
  [SMALL_STATE(2239)] = 88506,
  [SMALL_STATE(2240)] = 88522,
  [SMALL_STATE(2241)] = 88536,
  [SMALL_STATE(2242)] = 88552,
  [SMALL_STATE(2243)] = 88568,
  [SMALL_STATE(2244)] = 88584,
  [SMALL_STATE(2245)] = 88600,
  [SMALL_STATE(2246)] = 88616,
  [SMALL_STATE(2247)] = 88630,
  [SMALL_STATE(2248)] = 88646,
  [SMALL_STATE(2249)] = 88662,
  [SMALL_STATE(2250)] = 88678,
  [SMALL_STATE(2251)] = 88694,
  [SMALL_STATE(2252)] = 88710,
  [SMALL_STATE(2253)] = 88726,
  [SMALL_STATE(2254)] = 88742,
  [SMALL_STATE(2255)] = 88758,
  [SMALL_STATE(2256)] = 88774,
  [SMALL_STATE(2257)] = 88790,
  [SMALL_STATE(2258)] = 88806,
  [SMALL_STATE(2259)] = 88822,
  [SMALL_STATE(2260)] = 88838,
  [SMALL_STATE(2261)] = 88854,
  [SMALL_STATE(2262)] = 88870,
  [SMALL_STATE(2263)] = 88886,
  [SMALL_STATE(2264)] = 88902,
  [SMALL_STATE(2265)] = 88918,
  [SMALL_STATE(2266)] = 88934,
  [SMALL_STATE(2267)] = 88950,
  [SMALL_STATE(2268)] = 88966,
  [SMALL_STATE(2269)] = 88982,
  [SMALL_STATE(2270)] = 88998,
  [SMALL_STATE(2271)] = 89012,
  [SMALL_STATE(2272)] = 89028,
  [SMALL_STATE(2273)] = 89044,
  [SMALL_STATE(2274)] = 89060,
  [SMALL_STATE(2275)] = 89076,
  [SMALL_STATE(2276)] = 89092,
  [SMALL_STATE(2277)] = 89108,
  [SMALL_STATE(2278)] = 89124,
  [SMALL_STATE(2279)] = 89138,
  [SMALL_STATE(2280)] = 89152,
  [SMALL_STATE(2281)] = 89168,
  [SMALL_STATE(2282)] = 89184,
  [SMALL_STATE(2283)] = 89200,
  [SMALL_STATE(2284)] = 89216,
  [SMALL_STATE(2285)] = 89230,
  [SMALL_STATE(2286)] = 89244,
  [SMALL_STATE(2287)] = 89260,
  [SMALL_STATE(2288)] = 89276,
  [SMALL_STATE(2289)] = 89290,
  [SMALL_STATE(2290)] = 89304,
  [SMALL_STATE(2291)] = 89320,
  [SMALL_STATE(2292)] = 89336,
  [SMALL_STATE(2293)] = 89352,
  [SMALL_STATE(2294)] = 89368,
  [SMALL_STATE(2295)] = 89384,
  [SMALL_STATE(2296)] = 89398,
  [SMALL_STATE(2297)] = 89414,
  [SMALL_STATE(2298)] = 89428,
  [SMALL_STATE(2299)] = 89444,
  [SMALL_STATE(2300)] = 89458,
  [SMALL_STATE(2301)] = 89474,
  [SMALL_STATE(2302)] = 89490,
  [SMALL_STATE(2303)] = 89504,
  [SMALL_STATE(2304)] = 89520,
  [SMALL_STATE(2305)] = 89534,
  [SMALL_STATE(2306)] = 89550,
  [SMALL_STATE(2307)] = 89566,
  [SMALL_STATE(2308)] = 89582,
  [SMALL_STATE(2309)] = 89598,
  [SMALL_STATE(2310)] = 89612,
  [SMALL_STATE(2311)] = 89626,
  [SMALL_STATE(2312)] = 89640,
  [SMALL_STATE(2313)] = 89656,
  [SMALL_STATE(2314)] = 89670,
  [SMALL_STATE(2315)] = 89686,
  [SMALL_STATE(2316)] = 89700,
  [SMALL_STATE(2317)] = 89716,
  [SMALL_STATE(2318)] = 89732,
  [SMALL_STATE(2319)] = 89746,
  [SMALL_STATE(2320)] = 89760,
  [SMALL_STATE(2321)] = 89776,
  [SMALL_STATE(2322)] = 89790,
  [SMALL_STATE(2323)] = 89804,
  [SMALL_STATE(2324)] = 89820,
  [SMALL_STATE(2325)] = 89834,
  [SMALL_STATE(2326)] = 89850,
  [SMALL_STATE(2327)] = 89866,
  [SMALL_STATE(2328)] = 89882,
  [SMALL_STATE(2329)] = 89896,
  [SMALL_STATE(2330)] = 89910,
  [SMALL_STATE(2331)] = 89926,
  [SMALL_STATE(2332)] = 89940,
  [SMALL_STATE(2333)] = 89956,
  [SMALL_STATE(2334)] = 89972,
  [SMALL_STATE(2335)] = 89986,
  [SMALL_STATE(2336)] = 90002,
  [SMALL_STATE(2337)] = 90016,
  [SMALL_STATE(2338)] = 90032,
  [SMALL_STATE(2339)] = 90048,
  [SMALL_STATE(2340)] = 90064,
  [SMALL_STATE(2341)] = 90078,
  [SMALL_STATE(2342)] = 90094,
  [SMALL_STATE(2343)] = 90110,
  [SMALL_STATE(2344)] = 90124,
  [SMALL_STATE(2345)] = 90140,
  [SMALL_STATE(2346)] = 90156,
  [SMALL_STATE(2347)] = 90170,
  [SMALL_STATE(2348)] = 90184,
  [SMALL_STATE(2349)] = 90198,
  [SMALL_STATE(2350)] = 90214,
  [SMALL_STATE(2351)] = 90230,
  [SMALL_STATE(2352)] = 90244,
  [SMALL_STATE(2353)] = 90260,
  [SMALL_STATE(2354)] = 90276,
  [SMALL_STATE(2355)] = 90292,
  [SMALL_STATE(2356)] = 90308,
  [SMALL_STATE(2357)] = 90324,
  [SMALL_STATE(2358)] = 90340,
  [SMALL_STATE(2359)] = 90356,
  [SMALL_STATE(2360)] = 90372,
  [SMALL_STATE(2361)] = 90388,
  [SMALL_STATE(2362)] = 90404,
  [SMALL_STATE(2363)] = 90420,
  [SMALL_STATE(2364)] = 90436,
  [SMALL_STATE(2365)] = 90452,
  [SMALL_STATE(2366)] = 90468,
  [SMALL_STATE(2367)] = 90484,
  [SMALL_STATE(2368)] = 90500,
  [SMALL_STATE(2369)] = 90516,
  [SMALL_STATE(2370)] = 90532,
  [SMALL_STATE(2371)] = 90548,
  [SMALL_STATE(2372)] = 90562,
  [SMALL_STATE(2373)] = 90578,
  [SMALL_STATE(2374)] = 90594,
  [SMALL_STATE(2375)] = 90610,
  [SMALL_STATE(2376)] = 90626,
  [SMALL_STATE(2377)] = 90642,
  [SMALL_STATE(2378)] = 90656,
  [SMALL_STATE(2379)] = 90670,
  [SMALL_STATE(2380)] = 90686,
  [SMALL_STATE(2381)] = 90700,
  [SMALL_STATE(2382)] = 90714,
  [SMALL_STATE(2383)] = 90728,
  [SMALL_STATE(2384)] = 90744,
  [SMALL_STATE(2385)] = 90760,
  [SMALL_STATE(2386)] = 90774,
  [SMALL_STATE(2387)] = 90790,
  [SMALL_STATE(2388)] = 90806,
  [SMALL_STATE(2389)] = 90820,
  [SMALL_STATE(2390)] = 90834,
  [SMALL_STATE(2391)] = 90848,
  [SMALL_STATE(2392)] = 90864,
  [SMALL_STATE(2393)] = 90878,
  [SMALL_STATE(2394)] = 90894,
  [SMALL_STATE(2395)] = 90910,
  [SMALL_STATE(2396)] = 90926,
  [SMALL_STATE(2397)] = 90942,
  [SMALL_STATE(2398)] = 90958,
  [SMALL_STATE(2399)] = 90974,
  [SMALL_STATE(2400)] = 90988,
  [SMALL_STATE(2401)] = 91004,
  [SMALL_STATE(2402)] = 91020,
  [SMALL_STATE(2403)] = 91036,
  [SMALL_STATE(2404)] = 91052,
  [SMALL_STATE(2405)] = 91066,
  [SMALL_STATE(2406)] = 91080,
  [SMALL_STATE(2407)] = 91096,
  [SMALL_STATE(2408)] = 91112,
  [SMALL_STATE(2409)] = 91128,
  [SMALL_STATE(2410)] = 91144,
  [SMALL_STATE(2411)] = 91158,
  [SMALL_STATE(2412)] = 91172,
  [SMALL_STATE(2413)] = 91186,
  [SMALL_STATE(2414)] = 91200,
  [SMALL_STATE(2415)] = 91216,
  [SMALL_STATE(2416)] = 91230,
  [SMALL_STATE(2417)] = 91244,
  [SMALL_STATE(2418)] = 91260,
  [SMALL_STATE(2419)] = 91274,
  [SMALL_STATE(2420)] = 91290,
  [SMALL_STATE(2421)] = 91304,
  [SMALL_STATE(2422)] = 91320,
  [SMALL_STATE(2423)] = 91336,
  [SMALL_STATE(2424)] = 91350,
  [SMALL_STATE(2425)] = 91364,
  [SMALL_STATE(2426)] = 91380,
  [SMALL_STATE(2427)] = 91396,
  [SMALL_STATE(2428)] = 91412,
  [SMALL_STATE(2429)] = 91426,
  [SMALL_STATE(2430)] = 91442,
  [SMALL_STATE(2431)] = 91458,
  [SMALL_STATE(2432)] = 91472,
  [SMALL_STATE(2433)] = 91488,
  [SMALL_STATE(2434)] = 91502,
  [SMALL_STATE(2435)] = 91518,
  [SMALL_STATE(2436)] = 91532,
  [SMALL_STATE(2437)] = 91548,
  [SMALL_STATE(2438)] = 91564,
  [SMALL_STATE(2439)] = 91578,
  [SMALL_STATE(2440)] = 91594,
  [SMALL_STATE(2441)] = 91608,
  [SMALL_STATE(2442)] = 91622,
  [SMALL_STATE(2443)] = 91636,
  [SMALL_STATE(2444)] = 91650,
  [SMALL_STATE(2445)] = 91666,
  [SMALL_STATE(2446)] = 91680,
  [SMALL_STATE(2447)] = 91694,
  [SMALL_STATE(2448)] = 91710,
  [SMALL_STATE(2449)] = 91726,
  [SMALL_STATE(2450)] = 91742,
  [SMALL_STATE(2451)] = 91758,
  [SMALL_STATE(2452)] = 91772,
  [SMALL_STATE(2453)] = 91786,
  [SMALL_STATE(2454)] = 91802,
  [SMALL_STATE(2455)] = 91818,
  [SMALL_STATE(2456)] = 91834,
  [SMALL_STATE(2457)] = 91850,
  [SMALL_STATE(2458)] = 91866,
  [SMALL_STATE(2459)] = 91882,
  [SMALL_STATE(2460)] = 91898,
  [SMALL_STATE(2461)] = 91914,
  [SMALL_STATE(2462)] = 91930,
  [SMALL_STATE(2463)] = 91946,
  [SMALL_STATE(2464)] = 91962,
  [SMALL_STATE(2465)] = 91976,
  [SMALL_STATE(2466)] = 91992,
  [SMALL_STATE(2467)] = 92008,
  [SMALL_STATE(2468)] = 92024,
  [SMALL_STATE(2469)] = 92040,
  [SMALL_STATE(2470)] = 92054,
  [SMALL_STATE(2471)] = 92068,
  [SMALL_STATE(2472)] = 92084,
  [SMALL_STATE(2473)] = 92100,
  [SMALL_STATE(2474)] = 92114,
  [SMALL_STATE(2475)] = 92130,
  [SMALL_STATE(2476)] = 92144,
  [SMALL_STATE(2477)] = 92160,
  [SMALL_STATE(2478)] = 92176,
  [SMALL_STATE(2479)] = 92192,
  [SMALL_STATE(2480)] = 92208,
  [SMALL_STATE(2481)] = 92224,
  [SMALL_STATE(2482)] = 92240,
  [SMALL_STATE(2483)] = 92256,
  [SMALL_STATE(2484)] = 92272,
  [SMALL_STATE(2485)] = 92288,
  [SMALL_STATE(2486)] = 92304,
  [SMALL_STATE(2487)] = 92320,
  [SMALL_STATE(2488)] = 92336,
  [SMALL_STATE(2489)] = 92352,
  [SMALL_STATE(2490)] = 92368,
  [SMALL_STATE(2491)] = 92384,
  [SMALL_STATE(2492)] = 92400,
  [SMALL_STATE(2493)] = 92416,
  [SMALL_STATE(2494)] = 92432,
  [SMALL_STATE(2495)] = 92448,
  [SMALL_STATE(2496)] = 92464,
  [SMALL_STATE(2497)] = 92480,
  [SMALL_STATE(2498)] = 92496,
  [SMALL_STATE(2499)] = 92512,
  [SMALL_STATE(2500)] = 92528,
  [SMALL_STATE(2501)] = 92544,
  [SMALL_STATE(2502)] = 92560,
  [SMALL_STATE(2503)] = 92576,
  [SMALL_STATE(2504)] = 92592,
  [SMALL_STATE(2505)] = 92608,
  [SMALL_STATE(2506)] = 92624,
  [SMALL_STATE(2507)] = 92640,
  [SMALL_STATE(2508)] = 92656,
  [SMALL_STATE(2509)] = 92672,
  [SMALL_STATE(2510)] = 92686,
  [SMALL_STATE(2511)] = 92702,
  [SMALL_STATE(2512)] = 92718,
  [SMALL_STATE(2513)] = 92734,
  [SMALL_STATE(2514)] = 92750,
  [SMALL_STATE(2515)] = 92766,
  [SMALL_STATE(2516)] = 92782,
  [SMALL_STATE(2517)] = 92798,
  [SMALL_STATE(2518)] = 92814,
  [SMALL_STATE(2519)] = 92830,
  [SMALL_STATE(2520)] = 92846,
  [SMALL_STATE(2521)] = 92862,
  [SMALL_STATE(2522)] = 92878,
  [SMALL_STATE(2523)] = 92894,
  [SMALL_STATE(2524)] = 92910,
  [SMALL_STATE(2525)] = 92926,
  [SMALL_STATE(2526)] = 92942,
  [SMALL_STATE(2527)] = 92958,
  [SMALL_STATE(2528)] = 92972,
  [SMALL_STATE(2529)] = 92988,
  [SMALL_STATE(2530)] = 93004,
  [SMALL_STATE(2531)] = 93018,
  [SMALL_STATE(2532)] = 93034,
  [SMALL_STATE(2533)] = 93050,
  [SMALL_STATE(2534)] = 93066,
  [SMALL_STATE(2535)] = 93082,
  [SMALL_STATE(2536)] = 93096,
  [SMALL_STATE(2537)] = 93112,
  [SMALL_STATE(2538)] = 93128,
  [SMALL_STATE(2539)] = 93144,
  [SMALL_STATE(2540)] = 93158,
  [SMALL_STATE(2541)] = 93174,
  [SMALL_STATE(2542)] = 93190,
  [SMALL_STATE(2543)] = 93204,
  [SMALL_STATE(2544)] = 93218,
  [SMALL_STATE(2545)] = 93234,
  [SMALL_STATE(2546)] = 93250,
  [SMALL_STATE(2547)] = 93266,
  [SMALL_STATE(2548)] = 93282,
  [SMALL_STATE(2549)] = 93298,
  [SMALL_STATE(2550)] = 93314,
  [SMALL_STATE(2551)] = 93328,
  [SMALL_STATE(2552)] = 93344,
  [SMALL_STATE(2553)] = 93360,
  [SMALL_STATE(2554)] = 93374,
  [SMALL_STATE(2555)] = 93390,
  [SMALL_STATE(2556)] = 93406,
  [SMALL_STATE(2557)] = 93422,
  [SMALL_STATE(2558)] = 93435,
  [SMALL_STATE(2559)] = 93448,
  [SMALL_STATE(2560)] = 93461,
  [SMALL_STATE(2561)] = 93474,
  [SMALL_STATE(2562)] = 93487,
  [SMALL_STATE(2563)] = 93500,
  [SMALL_STATE(2564)] = 93513,
  [SMALL_STATE(2565)] = 93526,
  [SMALL_STATE(2566)] = 93539,
  [SMALL_STATE(2567)] = 93552,
  [SMALL_STATE(2568)] = 93565,
  [SMALL_STATE(2569)] = 93578,
  [SMALL_STATE(2570)] = 93591,
  [SMALL_STATE(2571)] = 93604,
  [SMALL_STATE(2572)] = 93617,
  [SMALL_STATE(2573)] = 93630,
  [SMALL_STATE(2574)] = 93643,
  [SMALL_STATE(2575)] = 93656,
  [SMALL_STATE(2576)] = 93669,
  [SMALL_STATE(2577)] = 93682,
  [SMALL_STATE(2578)] = 93695,
  [SMALL_STATE(2579)] = 93708,
  [SMALL_STATE(2580)] = 93721,
  [SMALL_STATE(2581)] = 93734,
  [SMALL_STATE(2582)] = 93747,
  [SMALL_STATE(2583)] = 93760,
  [SMALL_STATE(2584)] = 93773,
  [SMALL_STATE(2585)] = 93786,
  [SMALL_STATE(2586)] = 93799,
  [SMALL_STATE(2587)] = 93812,
  [SMALL_STATE(2588)] = 93825,
  [SMALL_STATE(2589)] = 93838,
  [SMALL_STATE(2590)] = 93851,
  [SMALL_STATE(2591)] = 93864,
  [SMALL_STATE(2592)] = 93877,
  [SMALL_STATE(2593)] = 93890,
  [SMALL_STATE(2594)] = 93903,
  [SMALL_STATE(2595)] = 93916,
  [SMALL_STATE(2596)] = 93929,
  [SMALL_STATE(2597)] = 93942,
  [SMALL_STATE(2598)] = 93955,
  [SMALL_STATE(2599)] = 93968,
  [SMALL_STATE(2600)] = 93981,
  [SMALL_STATE(2601)] = 93994,
  [SMALL_STATE(2602)] = 94007,
  [SMALL_STATE(2603)] = 94020,
  [SMALL_STATE(2604)] = 94033,
  [SMALL_STATE(2605)] = 94046,
  [SMALL_STATE(2606)] = 94059,
  [SMALL_STATE(2607)] = 94072,
  [SMALL_STATE(2608)] = 94085,
  [SMALL_STATE(2609)] = 94098,
  [SMALL_STATE(2610)] = 94111,
  [SMALL_STATE(2611)] = 94124,
  [SMALL_STATE(2612)] = 94137,
  [SMALL_STATE(2613)] = 94150,
  [SMALL_STATE(2614)] = 94163,
  [SMALL_STATE(2615)] = 94176,
  [SMALL_STATE(2616)] = 94189,
  [SMALL_STATE(2617)] = 94202,
  [SMALL_STATE(2618)] = 94215,
  [SMALL_STATE(2619)] = 94228,
  [SMALL_STATE(2620)] = 94241,
  [SMALL_STATE(2621)] = 94254,
  [SMALL_STATE(2622)] = 94267,
  [SMALL_STATE(2623)] = 94280,
  [SMALL_STATE(2624)] = 94293,
  [SMALL_STATE(2625)] = 94306,
  [SMALL_STATE(2626)] = 94319,
  [SMALL_STATE(2627)] = 94332,
  [SMALL_STATE(2628)] = 94345,
  [SMALL_STATE(2629)] = 94358,
  [SMALL_STATE(2630)] = 94371,
  [SMALL_STATE(2631)] = 94384,
  [SMALL_STATE(2632)] = 94397,
  [SMALL_STATE(2633)] = 94410,
  [SMALL_STATE(2634)] = 94423,
  [SMALL_STATE(2635)] = 94436,
  [SMALL_STATE(2636)] = 94449,
  [SMALL_STATE(2637)] = 94462,
  [SMALL_STATE(2638)] = 94475,
  [SMALL_STATE(2639)] = 94488,
  [SMALL_STATE(2640)] = 94501,
  [SMALL_STATE(2641)] = 94514,
  [SMALL_STATE(2642)] = 94527,
  [SMALL_STATE(2643)] = 94540,
  [SMALL_STATE(2644)] = 94553,
  [SMALL_STATE(2645)] = 94566,
  [SMALL_STATE(2646)] = 94579,
  [SMALL_STATE(2647)] = 94592,
  [SMALL_STATE(2648)] = 94605,
  [SMALL_STATE(2649)] = 94618,
  [SMALL_STATE(2650)] = 94631,
  [SMALL_STATE(2651)] = 94644,
  [SMALL_STATE(2652)] = 94657,
  [SMALL_STATE(2653)] = 94670,
  [SMALL_STATE(2654)] = 94683,
  [SMALL_STATE(2655)] = 94696,
  [SMALL_STATE(2656)] = 94709,
  [SMALL_STATE(2657)] = 94722,
  [SMALL_STATE(2658)] = 94735,
  [SMALL_STATE(2659)] = 94748,
  [SMALL_STATE(2660)] = 94761,
  [SMALL_STATE(2661)] = 94774,
  [SMALL_STATE(2662)] = 94787,
  [SMALL_STATE(2663)] = 94800,
  [SMALL_STATE(2664)] = 94813,
  [SMALL_STATE(2665)] = 94826,
  [SMALL_STATE(2666)] = 94839,
  [SMALL_STATE(2667)] = 94852,
  [SMALL_STATE(2668)] = 94865,
  [SMALL_STATE(2669)] = 94878,
  [SMALL_STATE(2670)] = 94891,
  [SMALL_STATE(2671)] = 94904,
  [SMALL_STATE(2672)] = 94917,
  [SMALL_STATE(2673)] = 94930,
  [SMALL_STATE(2674)] = 94943,
  [SMALL_STATE(2675)] = 94956,
  [SMALL_STATE(2676)] = 94969,
  [SMALL_STATE(2677)] = 94982,
  [SMALL_STATE(2678)] = 94995,
  [SMALL_STATE(2679)] = 95008,
  [SMALL_STATE(2680)] = 95021,
  [SMALL_STATE(2681)] = 95034,
  [SMALL_STATE(2682)] = 95047,
  [SMALL_STATE(2683)] = 95060,
  [SMALL_STATE(2684)] = 95073,
  [SMALL_STATE(2685)] = 95086,
  [SMALL_STATE(2686)] = 95099,
  [SMALL_STATE(2687)] = 95112,
  [SMALL_STATE(2688)] = 95125,
  [SMALL_STATE(2689)] = 95138,
  [SMALL_STATE(2690)] = 95151,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2690),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(45),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1699),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2564),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(913),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(428),
  [165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7),
  [170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1544),
  [173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2161),
  [176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1613),
  [179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(516),
  [182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1615),
  [185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2524),
  [188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2556),
  [191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2011),
  [194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(168),
  [197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(381),
  [200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2165),
  [203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(110),
  [206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2166),
  [209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2010),
  [212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2009),
  [215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2169),
  [218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(236),
  [221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(279),
  [224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(760),
  [227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(121),
  [230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(130),
  [233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2331),
  [236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1699),
  [239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1871),
  [242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1870),
  [245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1714),
  [248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(454),
  [251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1889),
  [254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(290),
  [257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(344),
  [260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2569),
  [263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(347),
  [266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1625),
  [269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1212),
  [272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2564),
  [275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1196),
  [278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1932),
  [281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(912),
  [284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2, 0, 0),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, 0, 37),
  [336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, 0, 59),
  [338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, 0, 100),
  [340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(914),
  [345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(432),
  [348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4),
  [351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1539),
  [354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2074),
  [357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1593),
  [360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(492),
  [363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1597),
  [366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2119),
  [369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2127),
  [372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1907),
  [375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2141),
  [378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(79),
  [381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2177),
  [384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1918),
  [387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1920),
  [390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2319),
  [393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(234),
  [396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(287),
  [399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(851),
  [402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1708),
  [405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(455),
  [408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1861),
  [411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(893),
  [414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2320),
  [536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2525),
  [538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2105),
  [546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1549),
  [574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2277),
  [576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2555),
  [584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2432),
  [586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1969),
  [588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1705),
  [608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2447),
  [632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2448),
  [634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2420),
  [654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1731),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1748),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1762),
  [694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2646),
  [708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2559),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2678),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2, 0, 0),
  [826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2, 0, 0),
  [828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2, 0, 0),
  [834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2, 0, 0),
  [876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2, 0, 0),
  [878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 98),
  [880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, 0, 98),
  [882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, 0, 98),
  [886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3, 0, 0),
  [888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3, 0, 0),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4, 0, 0),
  [924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4, 0, 0),
  [926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2, 0, 0),
  [930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 71),
  [932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 71),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 71),
  [938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0), REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 36),
  [943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 36),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 36),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 76),
  [955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 76),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 76),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 80),
  [965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 80),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 80),
  [971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 88),
  [973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 5, 0, 88),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 5, 0, 88),
  [979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, 0, 88),
  [981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 88),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 88),
  [987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 92),
  [989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 92),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 92),
  [995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, 0, 69),
  [997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, 0, 69),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2309),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 36),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [1007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [1011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 71),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [1015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 76),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [1019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 80),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [1023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 88),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [1027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, 0, 88),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [1031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 92),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [1035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 98),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [1067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2452),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1702),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2443),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [1211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [1219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 4),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [1224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 4), SHIFT(76),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [1237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 1),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2100),
  [1269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(1522),
  [1272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [1274] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 4), SHIFT(209),
  [1278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, 0, 4), SHIFT(76),
  [1281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(395),
  [1284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [1286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [1288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [1290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [1292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 1),
  [1294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2413),
  [1296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1463),
  [1298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [1300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [1302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [1304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [1306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [1310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [1312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [1314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [1316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [1318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [1320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [1324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [1326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [1328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [1330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [1332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [1336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [1340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [1346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [1348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [1350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [1352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [1354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 4),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2642),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [1365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(209),
  [1368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [1370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [1374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [1376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [1378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2557),
  [1380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [1382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [1384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, 0, 6),
  [1386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [1388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2339),
  [1390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_pattern, 1, -1, 1),
  [1393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(374),
  [1396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [1398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [1400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [1402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [1404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [1406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [1408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [1410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [1412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [1414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [1416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2673),
  [1418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2674),
  [1420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2, 0, 19),
  [1422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [1424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [1430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(296),
  [1433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [1435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1),
  [1437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(346),
  [1440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [1442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [1444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_rest_pattern, 2, 0, 19),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [1449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, 0, 6),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [1469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 28),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [1479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 28),
  [1481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, 0, 6),
  [1483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 4, 0, 62),
  [1485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [1499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 24),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [1505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [1511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [1517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [1521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 103),
  [1523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [1533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 71),
  [1535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, 0, 20),
  [1537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 54),
  [1539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 6),
  [1543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 4, 0, 62),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [1549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3, 0, 0),
  [1551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 62),
  [1553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 24),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [1557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 76),
  [1559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, 0, 91),
  [1561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 80),
  [1563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 96),
  [1565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, 0, 88),
  [1567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 88),
  [1569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 92),
  [1571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 102),
  [1573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, 0, 98),
  [1575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, 0, 21),
  [1581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [1585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 25),
  [1587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, 0, 26),
  [1589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [1591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [1593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, 0, 23),
  [1595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [1597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, 0, 23),
  [1599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 103),
  [1601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 27),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [1607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 36),
  [1609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 79),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [1615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 29),
  [1617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 30),
  [1619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 63),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [1623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 30),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [1627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [1631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 52),
  [1633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 54),
  [1635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 55),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [1639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 54),
  [1641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1, 0, 0),
  [1645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, 0, 3),
  [1647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [1653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 20),
  [1655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 60),
  [1657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2, 0, 0),
  [1661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 13),
  [1663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, 0, 61),
  [1665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, -1, 14),
  [1667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 0),
  [1669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 54),
  [1671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1, 0, 0),
  [1677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, 0, 3),
  [1679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [1685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 13),
  [1691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, -1, 14),
  [1693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 0),
  [1695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, 0, 20),
  [1697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, 0, 21),
  [1699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [1701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, 0, 23),
  [1703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 25),
  [1705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, 0, 26),
  [1707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 27),
  [1709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 29),
  [1711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 30),
  [1713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 30),
  [1715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [1719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 52),
  [1721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 54),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [1727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 55),
  [1729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 54),
  [1731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 20),
  [1733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [1735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, 0, 23),
  [1737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 60),
  [1739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2, 0, 0),
  [1741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, 0, 61),
  [1743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 63),
  [1747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 36),
  [1749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 79),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [1753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [1755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3, 0, 0),
  [1759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 62),
  [1761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 71),
  [1763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 76),
  [1765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, 0, 91),
  [1767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 80),
  [1769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 96),
  [1771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, 0, 88),
  [1773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 88),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [1779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 92),
  [1781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 102),
  [1783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, 0, 98),
  [1785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 4),
  [1792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [1794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [1796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 0),
  [1798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [1800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 44),
  [1802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 44),
  [1804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [1806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 47),
  [1808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 47),
  [1810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 46),
  [1812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 46),
  [1814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, 0, 90),
  [1816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, 0, 90),
  [1818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [1822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(152),
  [1825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 78),
  [1827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 78),
  [1829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 45),
  [1831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 45),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 94),
  [1837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, 0, 105),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [1843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 95),
  [1845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, 0, 101),
  [1847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [1849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_pattern, 1, -1, 1),
  [1852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 0),
  [1854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [1856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 19),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [1860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 1),
  [1862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0),
  [1864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(350),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [1869] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_pattern, 1, -1, 0),
  [1872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(343),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [1877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(294),
  [1880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [1882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [1886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_rest_pattern, 2, 0, 0),
  [1889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_rest_pattern, 2, 0, 19),
  [1892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [1894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [1896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [1898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0),
  [1900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2, 0, 0),
  [1902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [1906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [1908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [1910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [1912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [1914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8),
  [1916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 8),
  [1918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8),
  [1920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 8),
  [1922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [1924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 7),
  [1926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 7),
  [1928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [1930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [1933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 17),
  [1935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 17),
  [1937] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, 0, 17), REDUCE(sym_object_pattern, 3, 0, 18),
  [1940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, 0, 18),
  [1942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [1944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2, 0, 0),
  [1946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2, 0, 0),
  [1948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [1951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [1953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, 0, 73),
  [1955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, 0, 73),
  [1957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, 0, 64),
  [1959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, 0, 64),
  [1961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [1963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [1965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_closing_tag, 1, 0, 0),
  [1967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_closing_tag, 1, 0, 0),
  [1969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 2, 0, 11),
  [1971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 2, 0, 11),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [1985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 2, 0, 11),
  [1987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 2, 0, 11),
  [1989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2, 0, 0),
  [1991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2, 0, 0),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [1997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [2001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [2015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [2023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [2031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 15),
  [2033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 16),
  [2035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 16),
  [2037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, 0, 6),
  [2039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, 0, 6),
  [2041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [2043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [2045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [2047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [2049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 0),
  [2051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 0),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [2055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 89),
  [2057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [2059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [2061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 87),
  [2063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 87),
  [2065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 81),
  [2067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 81),
  [2069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 3, 0, 31),
  [2071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 3, 0, 31),
  [2073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [2075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [2077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, 0, 77),
  [2079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, 0, 77),
  [2081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 75),
  [2083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 75),
  [2085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 74),
  [2087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 74),
  [2089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 73),
  [2091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 73),
  [2093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 72),
  [2095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 72),
  [2097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 10),
  [2099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 10),
  [2101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [2103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [2105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [2107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 3, 0, 31),
  [2109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 3, 0, 31),
  [2111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [2113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [2115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 0),
  [2117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 0),
  [2119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 37),
  [2121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 37),
  [2123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 51),
  [2125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 17),
  [2127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 17),
  [2129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, 0, 38),
  [2131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, 0, 38),
  [2133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3, 0, 0),
  [2135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3, 0, 0),
  [2137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 1, 39),
  [2139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 1, 39),
  [2141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, 0, 40),
  [2143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, 0, 40),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [2147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3, 0, 0),
  [2149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3, 0, 0),
  [2151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 41),
  [2153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 42),
  [2155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 42),
  [2157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 43),
  [2159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 43),
  [2161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 53),
  [2163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 53),
  [2165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [2167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [2169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 9),
  [2171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 9),
  [2173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0),
  [2175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 48),
  [2177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 48),
  [2179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 3, 0, 49),
  [2181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 3, 0, 49),
  [2183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 2, 0, 0),
  [2185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 2, 0, 0),
  [2187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 3, 0, 50),
  [2189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 3, 0, 50),
  [2191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 43),
  [2193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 51),
  [2195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [2199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [2205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [2211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [2241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [2243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [2253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [2257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [2259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [2275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 56), REDUCE(sym_assignment_expression, 3, 0, 15),
  [2278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 56),
  [2280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 56), REDUCE(sym_assignment_expression, 3, 0, 41),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [2287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 41), REDUCE(sym_assignment_expression, 3, 0, 41),
  [2290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 41),
  [2292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [2294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, 0, 59),
  [2296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 59), SHIFT(351),
  [2299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2, 0, 0),
  [2301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, 0, 41),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [2323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [2325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [2336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 18),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [2346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, 0, 17), REDUCE(sym_object_pattern, 3, 0, 18),
  [2349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [2352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [2354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [2384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [2402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [2416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [2432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [2434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [2436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [2440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [2444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [2452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [2464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [2482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 0),
  [2485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 0),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [2489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3, 0, 0), REDUCE(sym_computed_property_name, 3, 0, 0),
  [2492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3, 0, 0),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [2498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 57),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [2508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [2510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [2520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [2524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [2526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [2534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [2552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 59), SHIFT(404),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [2557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2, 0, 0),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [2561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [2573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [2581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [2601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [2617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [2619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [2623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [2625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [2627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [2631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [2633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [2635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [2637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0), REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [2640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [2642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [2644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [2646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [2648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [2650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [2652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [2654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [2656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [2658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [2660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [2662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [2664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [2666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [2668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [2670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [2672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [2674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [2676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [2678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [2680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [2682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [2684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [2686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [2688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [2690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1840),
  [2693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1531),
  [2696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70),
  [2698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1423),
  [2701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(423),
  [2704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(2331),
  [2707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1764),
  [2710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1765),
  [2713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1404),
  [2716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1815),
  [2719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(2045),
  [2722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1386),
  [2725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1474),
  [2728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1414),
  [2731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [2733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [2735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [2737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [2739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [2743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [2745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [2747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [2749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [2751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [2755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [2757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [2759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [2761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [2765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [2767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [2769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0),
  [2771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [2773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [2775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [2777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [2779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [2781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [2783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1713),
  [2785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [2789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [2791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [2793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1, 0, 4),
  [2795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [2797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [2799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [2801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [2807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [2811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [2813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 4), SHIFT(2330),
  [2816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [2818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 2, 0, 17), REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 18),
  [2821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [2823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [2825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [2827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [2829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [2831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [2835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [2837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [2839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [2841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 4),
  [2843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [2845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [2847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [2849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [2851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [2853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [2855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [2857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [2859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [2861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [2863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [2865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [2867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 2, 0, 17),
  [2869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1535),
  [2871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [2873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [2875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [2877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [2879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2, 0, 0),
  [2881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [2883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [2889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 99),
  [2891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 2, 0, 6),
  [2893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, 0, 44),
  [2895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, 0, 104),
  [2897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 76),
  [2899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 83),
  [2901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 0),
  [2903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 33),
  [2905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 34),
  [2907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 34), SHIFT_REPEAT(1456),
  [2910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 3, 0, 37),
  [2912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 88),
  [2914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 93),
  [2916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 98),
  [2918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12),
  [2920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12), SHIFT_REPEAT(2048),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [2925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [2927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 58),
  [2929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 34),
  [2931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [2933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [2935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [2937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [2939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [2941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [2943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [2945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [2949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [2951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [2953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [2955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [2957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [2959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12), SHIFT_REPEAT(2045),
  [2962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [2964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [2966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [2968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [2970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [2972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [2974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [2976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [2978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [2980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [2982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [2984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [2986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, 0, 9),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [2992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 2),
  [2994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [2996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [2998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [3000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [3002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [3006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [3010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [3016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [3018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [3020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 1, 0, 0),
  [3022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [3024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [3026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [3028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1720),
  [3030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1698),
  [3032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [3034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1721),
  [3036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [3038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(227),
  [3041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(1664),
  [3044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(1660),
  [3047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(1720),
  [3050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0),
  [3052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [3054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [3056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [3058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [3060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [3062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1689),
  [3064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [3066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [3068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [3070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65), SHIFT_REPEAT(1596),
  [3073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65), SHIFT_REPEAT(232),
  [3076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65),
  [3078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [3080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [3082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [3084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [3086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [3088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [3090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [3092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [3094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [3098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [3102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [3104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [3106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1749),
  [3108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [3110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [3112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [3114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [3116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [3118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [3120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [3122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [3124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [3128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2676),
  [3130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [3134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2655),
  [3136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [3138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 0),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [3150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2611),
  [3152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [3154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, 0, 4),
  [3156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [3160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, 0, 5),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [3166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [3168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2667),
  [3170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 18),
  [3172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [3174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 0),
  [3176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [3180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [3182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [3186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__destructuring_pattern, 1, 0, 0),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [3198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [3200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [3202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2, 0, 0),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [3208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [3210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, -1, 64),
  [3212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [3214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [3218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, 0, 66),
  [3220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [3222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [3224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [3226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 2, 0, 0),
  [3228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, 0, 68),
  [3230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [3232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [3234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, 0, 85),
  [3236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2666),
  [3239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0),
  [3241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(245),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [3246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 3, 0, 0),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [3250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 2, -1, 0),
  [3252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [3254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1841),
  [3257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0),
  [3259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(256),
  [3262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 1, 0, 0),
  [3264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(305),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [3269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_text, 1, 0, 0),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [3277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 1, 0, 35),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [3281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 3, -1, 31),
  [3283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, 0, 44),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [3293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_namespace_name, 3, 0, 0),
  [3295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2, 0, 0),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [3299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, 0, 0),
  [3301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [3313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12),
  [3315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12), SHIFT_REPEAT(1932),
  [3318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [3320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [3322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2372),
  [3324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [3326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [3328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [3332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [3334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1793),
  [3336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [3338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [3346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [3348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [3350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [3352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [3354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [3356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [3358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [3360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [3362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [3364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, 0, 22),
  [3366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [3368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [3370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [3372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [3374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [3376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [3378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [3380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [3382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [3384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [3386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [3388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [3390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [3392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [3394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [3396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [3398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [3400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [3402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [3404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [3406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [3408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [3410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [3412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [3414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [3416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1744),
  [3418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [3420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [3422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, 0, 32),
  [3424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [3426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1637),
  [3428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [3430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(350),
  [3433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [3435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [3437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [3439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [3441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 17), REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 18),
  [3444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [3446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [3448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, 0, 44),
  [3450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 3, 0, 0),
  [3452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, 0, 4),
  [3454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, 0, 0),
  [3456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [3458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 2, 0, 0),
  [3460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(343),
  [3463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [3469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [3471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2037),
  [3474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [3476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [3478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [3482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [3490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [3498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [3500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [3504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1732),
  [3506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [3510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [3514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [3516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [3518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [3520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [3524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2284),
  [3526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [3528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1, 0, 0),
  [3530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [3532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [3534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [3536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [3540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 17),
  [3542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_export_name, 1, 0, 0),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [3546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(357),
  [3549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [3551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [3555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [3557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [3561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1963),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [3573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [3579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [3597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1964),
  [3600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0),
  [3602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1964),
  [3605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0), SHIFT_REPEAT(1963),
  [3608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0),
  [3610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0), SHIFT_REPEAT(1963),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [3617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 18),
  [3619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [3623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [3627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [3629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0),
  [3631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(2030),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [3636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [3640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [3642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [3644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3, 0, 0),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [3648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [3650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [3652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(202),
  [3655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [3659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [3661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1, 0, 0),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [3671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [3689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [3695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [3713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [3723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [3729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [3731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [3733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1607),
  [3736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [3742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [3748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [3752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [3758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [3762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [3766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [3770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2441),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [3774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [3778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [3782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [3786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [3790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [3794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [3796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 1, 0, 0),
  [3798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [3804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [3806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [3808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [3810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [3812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [3814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [3816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [3834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, 0, 57),
  [3836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [3838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(230),
  [3841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 2),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [3853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3, 0, 0),
  [3855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, 0, 20),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [3859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2, 0, 0), SHIFT_REPEAT(2284),
  [3862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2, 0, 0),
  [3864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [3866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [3868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [3870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [3872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 1, 0, 0),
  [3874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat2, 1, 0, 0),
  [3876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 1, 0, 0),
  [3878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat1, 1, 0, 0),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [3884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [3890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [3896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [3904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5, 0, 0),
  [3906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, 0, 9),
  [3908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [3910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [3912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [3926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(172),
  [3929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [3947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4, 0, 0),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [3957] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1642),
  [3960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0),
  [3962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [3964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [3966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [3970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [3974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [3978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0), SHIFT_REPEAT(1678),
  [3981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [3989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 1, 0, 5),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [3995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1366),
  [3998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0),
  [4000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(1363),
  [4003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [4009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [4021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 1, 0, 0),
  [4023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 1, 0, 0),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [4031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [4037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [4045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1, 0, 0),
  [4047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 1, 0, 0),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [4053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2, 0, 0),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [4057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2334),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [4061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [4063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [4067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 1, 0, 5),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [4077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [4081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2685),
  [4083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 76),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [4107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [4115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2672),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [4141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 83),
  [4143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, 0, 82),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [4151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [4159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [4177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2657),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [4193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 3, 0, 82),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [4201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 44),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [4205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [4215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [4217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, 0, 67),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [4225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [4229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [4231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [4233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [4235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1684),
  [4237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [4239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [4241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [4243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [4245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [4247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [4249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [4251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [4253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, 0, 84),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [4259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, 0, 86),
  [4261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [4267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [4269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [4271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [4273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [4275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [4277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [4279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [4281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [4283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 88),
  [4285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 93),
  [4287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [4291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [4293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 1, 0, 0),
  [4295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [4297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [4299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [4301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [4303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [4305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [4307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [4319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [4323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_opening_tag, 1, 0, 0),
  [4325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [4327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [4329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [4331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 4, 0, 97),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [4335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 98),
  [4337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 99),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [4349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1, 0, 0),
  [4351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 104),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [4355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2686),
  [4357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [4359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 58),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [4365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_attribute, 2, 0, 0),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [4371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [4375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [4387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3, 0, 0),
  [4389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [4391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2669),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [4395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3, 0, 0),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [4399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3, 0, 0),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [4403] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [4437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_export, 3, 0, 0),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [4445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5, 0, 0),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [4451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [4459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [4477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [4479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [4481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [4483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_namespace_name, 3, 0, 0),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [4487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [4491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [4493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [4495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [4497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [4499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2, 0, 0),
  [4501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [4503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [4505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [4509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [4511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [4513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4, 0, 0),
  [4515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [4527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [4545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 1, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token__ternary_qmark = 2,
  ts_external_token_html_comment = 3,
  ts_external_token_PIPE_PIPE = 4,
  ts_external_token_escape_sequence = 5,
  ts_external_token_regex_pattern = 6,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token__ternary_qmark] = sym__ternary_qmark,
  [ts_external_token_html_comment] = sym_html_comment,
  [ts_external_token_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [ts_external_token_escape_sequence] = sym_escape_sequence,
  [ts_external_token_regex_pattern] = sym_regex_pattern,
};

static const bool ts_external_scanner_states[9][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [2] = {
    [ts_external_token_html_comment] = true,
  },
  [3] = {
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
  },
  [6] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [7] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [8] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_regex_pattern] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_javascript_external_scanner_create(void);
void tree_sitter_javascript_external_scanner_destroy(void *);
bool tree_sitter_javascript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_javascript_external_scanner_serialize(void *, char *);
void tree_sitter_javascript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_javascript(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_javascript_external_scanner_create,
      tree_sitter_javascript_external_scanner_destroy,
      tree_sitter_javascript_external_scanner_scan,
      tree_sitter_javascript_external_scanner_serialize,
      tree_sitter_javascript_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
